"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.GitMergeStatus = exports.GitMergeMode = exports.GitGraphEdgeType = exports.GitGraphEdgeLineStyle = exports.GitEntryType = exports.GitCommitChangeType = exports.Gender = exports.FileDataType = exports.FeatureFlagStatus = exports.FailureConditionType = exports.ExtendedTypeScopeType = exports.ExecutionStatus = exports.EventParticipationStatus = exports.EventConferenceKind = exports.EnumValueOrdering = exports.EndpointAppLevelAuthUpdateType = exports.EmojiSearchMatchType = exports.DurationTextFormat = exports.DraftDocumentType = exports.DocumentBodyType = exports.DiffLineType = exports.DeploymentSyncStatus = exports.DeploymentStatus = exports.DashboardContainerType = exports.DarkTheme = exports.CustomFieldType = exports.ConnectionTopology = exports.CommitExecutionStatus = exports.ColumnSortOrder = exports.CodeReviewUnfurlContextField = exports.CodeReviewStateFilter = exports.CodeReviewState = exports.CodeReviewParticipantRole = exports.CodeDiscussionSuggestedEditState = exports.ClientOS = exports.ClientIDE = exports.ClientDeviceType = exports.ClientBrowser = exports.ChecklistSorting = exports.CDomainStatus = exports.BusyStatus = exports.BuiltInIssueField = exports.AppsOrdering = exports.ApplicationType = exports.AppUninstallationStatus = exports.AppConnectionStatus = exports.AllChannelsSortColumn = exports.AllChannelsFilter = exports.AccessType = exports.AbsenceListMode = void 0;
exports.RdWorkspaceState = exports.ProjectTeamType = exports.ProjectPinnedItemKind = exports.ProjectFeature = exports.ProfileOrgRelation = exports.ProfileOrder = exports.PrivateFeedColor = exports.PermissionRoleType = exports.PasswordStrength = exports.ParticipationState = exports.PackagesSortColumn = exports.PackageRepositoryMode = exports.PackageRepositoryEventAction = exports.PackageRepositoryCredentials = exports.OrgSizeDTO = exports.OrgIndustryDTO = exports.NotificationFilter = exports.MessagesSorting = exports.MessageTimestampFormat = exports.MessageTextSize = exports.MessageStyle = exports.MessageButtonStyle = exports.MergeRequestBranchType = exports.MeetingVisibility = exports.MeetingOrigin = exports.MeetingModificationPreference = exports.MeetingJoiningPreference = exports.MediaSource = exports.M2ObsoleteCause = exports.M2EmailNotificationType = exports.M2Access = exports.LocationType = exports.LoadDirection = exports.LdapModuleType = exports.JobTriggerType = exports.JobSubscriptionType = exports.JobExecutionStatus = exports.JobExecutionDisplayStatus = exports.IssuesSorting = exports.IssueListGrouping = exports.InterpolatedLineState = exports.IdeVersionSortOrder = exports.HierarchyRole2 = exports.HierarchyRole = exports.HATypeObjectKind = exports.HAPrimitive = exports.HAMethod = exports.GitSquashMode = exports.GitRebaseMode = exports.GitMergeStatusHttp = void 0;
exports.SpaceApi = exports.SpaceApiFactory = exports.SpaceApiFp = exports.SpaceApiAxiosParamCreator = exports.WorkerStatus = exports.WorkerScope = exports.WorkerOSType = exports.WorkerError = exports.WorkerCapability = exports.Weekday = exports.WarmupExecutionStatus = exports.VolumeState = exports.VersionStatus = exports.UnfurlDateTimeStyle = exports.UnfurlDateTimeFormat = exports.TwoFactorAuthenticationStatus = exports.TodoItemContentKind = exports.TimeTrackingSubjectType = exports.Tier = exports.SyntaxMarkupType = exports.SyncRecordModType = exports.SprintState = exports.SortOrderType = exports.SnapshotState = exports.SFUMediaKind = exports.RtTextAlign = exports.RoomOrigin = exports.RightStatus = exports.ReviewerState = exports.ReviewerChangedType = exports.ReviewType = exports.ReviewSorting = exports.ReviewRevisionsChangedType = exports.RepositoryState = exports.RecurrentModification = void 0;
const axios_1 = __importDefault(require("axios"));
const common_1 = require("./common");
const base_1 = require("./base");
exports.AbsenceListMode = {
    All: 'All',
    WithAccessibleReasonUnapproved: 'WithAccessibleReasonUnapproved',
    WithAccessibleReasonAll: 'WithAccessibleReasonAll'
};
exports.AccessType = {
    Public: 'PUBLIC',
    Confidential: 'CONFIDENTIAL',
    Restricted: 'RESTRICTED'
};
exports.AllChannelsFilter = {
    CreatedByMe: 'CreatedByMe',
    Subscribed: 'Subscribed'
};
exports.AllChannelsSortColumn = {
    Name: 'Name',
    Subscribers: 'Subscribers',
    Created: 'Created'
};
exports.AppConnectionStatus = {
    Connecting: 'CONNECTING',
    FailedToConnect: 'FAILED_TO_CONNECT',
    Reconnecting: 'RECONNECTING',
    Connected: 'CONNECTED'
};
exports.AppUninstallationStatus = {
    SendingUninstallPayload: 'SENDING_UNINSTALL_PAYLOAD',
    RetryingSendingUninstallPayload: 'RETRYING_SENDING_UNINSTALL_PAYLOAD',
    Failed: 'FAILED',
    Uninstalled: 'UNINSTALLED'
};
exports.ApplicationType = {
    Application: 'Application',
    InternalApp: 'InternalApp',
    MarketplaceApp: 'MarketplaceApp'
};
exports.AppsOrdering = {
    NameAToZ: 'NAME_A_TO_Z',
    NameZToA: 'NAME_Z_TO_A',
    LastEdited: 'LAST_EDITED'
};
exports.BuiltInIssueField = {
    Id: 'ID',
    DueDate: 'DUE_DATE',
    Attachments: 'ATTACHMENTS',
    Status: 'STATUS',
    Title: 'TITLE',
    Description: 'DESCRIPTION',
    Tags: 'TAGS',
    Assignee: 'ASSIGNEE',
    AttachmentCount: 'ATTACHMENT_COUNT',
    SubitemsCount: 'SUBITEMS_COUNT'
};
exports.BusyStatus = {
    Busy: 'Busy',
    Free: 'Free'
};
exports.CDomainStatus = {
    Available: 'AVAILABLE',
    Occupied: 'OCCUPIED',
    Blocked: 'BLOCKED'
};
exports.ChecklistSorting = {
    Updated: 'UPDATED',
    Title: 'TITLE',
    FavTitle: 'FAV_TITLE'
};
exports.ClientBrowser = {
    Other: 'Other',
    Chrome: 'Chrome',
    Firefox: 'Firefox',
    Safari: 'Safari',
    Edge: 'Edge',
    Opera: 'Opera'
};
exports.ClientDeviceType = {
    Other: 'Other',
    Phone: 'Phone',
    Tablet: 'Tablet',
    Desktop: 'Desktop'
};
exports.ClientIDE = {
    Other: 'Other',
    AppCode: 'AppCode',
    AndroidStudio: 'AndroidStudio',
    CLion: 'CLion',
    DataGrip: 'DataGrip',
    DataSpell: 'DataSpell',
    GoLand: 'GoLand',
    IdeaCommunity: 'IDEACommunity',
    IdeaEdu: 'IDEAEdu',
    IdeaUltimate: 'IDEAUltimate',
    Mps: 'MPS',
    PhpStorm: 'PhpStorm',
    PyCharmCommunity: 'PyCharmCommunity',
    PyCharmEdu: 'PyCharmEdu',
    PyCharmProfessional: 'PyCharmProfessional',
    RubyMine: 'RubyMine',
    WebStorm: 'WebStorm'
};
exports.ClientOS = {
    Other: 'Other',
    Windows: 'Windows',
    MacOs: 'MacOS',
    Linux: 'Linux',
    Android: 'Android',
    IOs: 'iOS'
};
exports.CodeDiscussionSuggestedEditState = {
    Accepted: 'Accepted',
    Rejected: 'Rejected',
    Deleted: 'Deleted'
};
exports.CodeReviewParticipantRole = {
    Reviewer: 'Reviewer',
    Author: 'Author',
    Watcher: 'Watcher'
};
exports.CodeReviewState = {
    Opened: 'Opened',
    Closed: 'Closed',
    Deleted: 'Deleted'
};
exports.CodeReviewStateFilter = {
    Opened: 'Opened',
    Closed: 'Closed',
    RequiresAuthorAttention: 'RequiresAuthorAttention',
    NeedsReview: 'NeedsReview',
    Merged: 'Merged'
};
exports.CodeReviewUnfurlContextField = {
    Title: 'Title',
    Description: 'Description'
};
exports.ColumnSortOrder = {
    Asc: 'ASC',
    Desc: 'DESC'
};
exports.CommitExecutionStatus = {
    Scheduled: 'SCHEDULED',
    Pending: 'PENDING',
    ReadyToStart: 'READY_TO_START',
    FailedToStart: 'FAILED_TO_START',
    Running: 'RUNNING',
    Failing: 'FAILING',
    Succeeded: 'SUCCEEDED',
    Terminated: 'TERMINATED',
    Failed: 'FAILED',
    Hanging: 'HANGING'
};
exports.ConnectionTopology = {
    Mesh: 'MESH',
    Sfu: 'SFU'
};
exports.CustomFieldType = {
    Autonumber: 'AUTONUMBER',
    Boolean: 'BOOLEAN',
    Date: 'DATE',
    DateTime: 'DATE_TIME',
    Document: 'DOCUMENT',
    Enum: 'ENUM',
    Integer: 'INTEGER',
    Issue: 'ISSUE',
    Location: 'LOCATION',
    OpenEnum: 'OPEN_ENUM',
    Percentage: 'PERCENTAGE',
    Profile: 'PROFILE',
    Project: 'PROJECT',
    String: 'STRING',
    Team: 'TEAM',
    Url: 'URL',
    Commit: 'COMMIT'
};
exports.DarkTheme = {
    Auto: 'AUTO',
    Enabled: 'ENABLED',
    Disabled: 'DISABLED'
};
exports.DashboardContainerType = {
    OldPersonal: 'OLD_PERSONAL',
    Project: 'PROJECT',
    Personal: 'PERSONAL'
};
exports.DeploymentStatus = {
    Scheduled: 'SCHEDULED',
    Deploying: 'DEPLOYING',
    Failed: 'FAILED',
    Current: 'CURRENT',
    Obsolete: 'OBSOLETE',
    Hanging: 'HANGING'
};
exports.DeploymentSyncStatus = {
    Synced: 'SYNCED',
    Dirty: 'DIRTY',
    Syncing: 'SYNCING',
    Failed: 'FAILED'
};
exports.DiffLineType = {
    Added: 'ADDED',
    Deleted: 'DELETED',
    Modified: 'MODIFIED',
    FilteredAdded: 'FILTERED_ADDED',
    FilteredDeleted: 'FILTERED_DELETED',
    Filtered: 'FILTERED',
    FilteredModified: 'FILTERED_MODIFIED',
    ConflictOld: 'CONFLICT_OLD',
    ConflictNew: 'CONFLICT_NEW'
};
exports.DocumentBodyType = {
    Text: 'TEXT',
    Checklist: 'CHECKLIST',
    File: 'FILE'
};
exports.DraftDocumentType = {
    RichText: 'RICH_TEXT',
    Wysiwyg: 'WYSIWYG',
    Markdown: 'MARKDOWN',
    NewRichText: 'NEW_RICH_TEXT'
};
exports.DurationTextFormat = {
    Weeks: 'WEEKS',
    Days: 'DAYS',
    Hours: 'HOURS'
};
exports.EmojiSearchMatchType = {
    Name: 'Name',
    OtherName: 'OtherName',
    Emoticon: 'Emoticon',
    Unicode: 'Unicode'
};
exports.EndpointAppLevelAuthUpdateType = {
    PublicKeySignature: 'PublicKeySignature',
    SigningKey: 'SigningKey',
    Bearer: 'Bearer',
    Basic: 'Basic'
};
exports.EnumValueOrdering = {
    Asc: 'NAME_ASC',
    Desc: 'NAME_DESC'
};
exports.EventConferenceKind = {
    None: 'NONE',
    GoogleMeet: 'GOOGLE_MEET',
    SpaceTelekom: 'SPACE_TELEKOM',
    Custom: 'CUSTOM'
};
exports.EventParticipationStatus = {
    Going: 'GOING',
    NotGoing: 'NOT_GOING',
    NotSure: 'NOT_SURE',
    WaitingForResponse: 'WAITING_FOR_RESPONSE'
};
exports.ExecutionStatus = {
    Scheduled: 'SCHEDULED',
    Pending: 'PENDING',
    ReadyToStart: 'READY_TO_START',
    Running: 'RUNNING',
    Finishing: 'FINISHING',
    Finished: 'FINISHED',
    Terminating: 'TERMINATING',
    Terminated: 'TERMINATED',
    Hibernating: 'HIBERNATING',
    Hibernated: 'HIBERNATED',
    Restarting: 'RESTARTING',
    Failed: 'FAILED'
};
exports.ExtendedTypeScopeType = {
    Org: 'Org',
    Container: 'Container'
};
exports.FailureConditionType = {
    NonZeroExitCode: 'NON_ZERO_EXIT_CODE',
    TestFailed: 'TEST_FAILED',
    OutOfMemory: 'OUT_OF_MEMORY',
    TimeOut: 'TIME_OUT'
};
exports.FeatureFlagStatus = {
    Wip: 'WIP',
    Experimental: 'EXPERIMENTAL',
    Internal: 'INTERNAL'
};
exports.FileDataType = {
    File: 'FILE',
    Dir: 'DIR'
};
exports.Gender = {
    Female: 'Female',
    Male: 'Male',
    Other: 'Other',
    NotSpecified: 'NotSpecified'
};
exports.GitCommitChangeType = {
    Added: 'ADDED',
    Deleted: 'DELETED',
    Modified: 'MODIFIED'
};
exports.GitEntryType = {
    ExeFile: 'EXE_FILE',
    File: 'FILE',
    Dir: 'DIR',
    GitLink: 'GIT_LINK',
    SymLink: 'SYM_LINK'
};
exports.GitGraphEdgeLineStyle = {
    Solid: 'SOLID',
    Dashed: 'DASHED',
    Dotted: 'DOTTED'
};
exports.GitGraphEdgeType = {
    Up: 'UP',
    Down: 'DOWN'
};
exports.GitMergeMode = {
    Ff: 'FF',
    FfOnly: 'FF_ONLY',
    NoFf: 'NO_FF'
};
exports.GitMergeStatus = {
    Success: 'Success',
    SuccessfulFastForward: 'SuccessfulFastForward',
    Conflict: 'Conflict',
    AlreadyMerged: 'AlreadyMerged',
    MultipleMergeBase: 'MultipleMergeBase',
    TooManyChanges: 'TooManyChanges',
    Error: 'Error'
};
exports.GitMergeStatusHttp = {
    SuccessfulMerge: 'SUCCESSFUL_MERGE',
    SuccessfulFastForward: 'SUCCESSFUL_FAST_FORWARD',
    AlreadyMerged: 'ALREADY_MERGED'
};
exports.GitRebaseMode = {
    Ff: 'FF',
    NoFf: 'NO_FF'
};
exports.GitSquashMode = {
    All: 'ALL',
    Auto: 'AUTO',
    None: 'NONE'
};
exports.HAMethod = {
    RestCreate: 'REST_CREATE',
    RestQuery: 'REST_QUERY',
    RestGet: 'REST_GET',
    RestUpdate: 'REST_UPDATE',
    RestDelete: 'REST_DELETE',
    HttpGet: 'HTTP_GET',
    HttpPost: 'HTTP_POST',
    HttpPatch: 'HTTP_PATCH',
    HttpPut: 'HTTP_PUT',
    HttpDelete: 'HTTP_DELETE'
};
exports.HAPrimitive = {
    Byte: 'Byte',
    Short: 'Short',
    Int: 'Int',
    Long: 'Long',
    Float: 'Float',
    Double: 'Double',
    Boolean: 'Boolean',
    String: 'String',
    Date: 'Date',
    DateTime: 'DateTime',
    Duration: 'Duration'
};
exports.HATypeObjectKind = {
    Pair: 'PAIR',
    Triple: 'TRIPLE',
    Batch: 'BATCH',
    SyncBatch: 'SYNC_BATCH',
    Mod: 'MOD',
    RequestBody: 'REQUEST_BODY'
};
exports.HierarchyRole = {
    Sealed: 'SEALED',
    Open: 'OPEN',
    Final: 'FINAL',
    Abstract: 'ABSTRACT',
    Interface: 'INTERFACE'
};
exports.HierarchyRole2 = {
    SealedClass: 'SEALED_CLASS',
    OpenClass: 'OPEN_CLASS',
    FinalClass: 'FINAL_CLASS',
    AbstractClass: 'ABSTRACT_CLASS',
    Interface: 'INTERFACE',
    SealedInterface: 'SEALED_INTERFACE'
};
exports.IdeVersionSortOrder = {
    ByReleaseDate: 'ByReleaseDate',
    ByVersionAndQuality: 'ByVersionAndQuality'
};
exports.InterpolatedLineState = {
    Normal: 'Normal',
    Deleted: 'Deleted',
    Modified: 'Modified'
};
exports.IssueListGrouping = {
    None: 'NONE',
    Tag: 'TAG',
    Assignee: 'ASSIGNEE',
    Status: 'STATUS',
    Project: 'PROJECT'
};
exports.IssuesSorting = {
    Updated: 'UPDATED',
    Created: 'CREATED',
    Title: 'TITLE',
    Due: 'DUE'
};
exports.JobExecutionDisplayStatus = {
    Awaiting: 'Awaiting',
    Running: 'Running',
    Restarting: 'Restarting',
    Finishing: 'Finishing',
    Stopped: 'Stopped',
    Succeeded: 'Succeeded',
    Failed: 'Failed',
    NoSuitableWorkers: 'NoSuitableWorkers',
    WaitingForWorkers: 'WaitingForWorkers'
};
exports.JobExecutionStatus = {
    Started: 'Started',
    Succeeded: 'Succeeded',
    Failed: 'Failed',
    Terminated: 'Terminated'
};
exports.JobSubscriptionType = {
    AllFinished: 'ALL_FINISHED',
    Failed: 'FAILED'
};
exports.JobTriggerType = {
    Manual: 'MANUAL',
    GitPush: 'GIT_PUSH',
    Schedule: 'SCHEDULE',
    GitBranchDeleted: 'GIT_BRANCH_DELETED',
    CodeReviewOpened: 'CODE_REVIEW_OPENED',
    CodeReviewClosed: 'CODE_REVIEW_CLOSED'
};
exports.LdapModuleType = {
    Ad: 'AD',
    OpenLdap: 'OPEN_LDAP'
};
exports.LoadDirection = {
    Prev: 'Prev',
    Next: 'Next'
};
exports.LocationType = {
    Region: 'Region',
    Campus: 'Campus',
    Building: 'Building',
    Floor: 'Floor',
    Room: 'Room',
    ConferenceRoom: 'ConferenceRoom'
};
exports.M2Access = {
    Private: 'Private',
    Public: 'Public'
};
exports.M2EmailNotificationType = {
    Instant: 'INSTANT',
    Delayed: 'DELAYED',
    None: 'NONE'
};
exports.M2ObsoleteCause = {
    PermissionsDenied: 'PermissionsDenied'
};
exports.MediaSource = {
    User: 'USER',
    Screen: 'SCREEN'
};
exports.MeetingJoiningPreference = {
    Nobody: 'NOBODY',
    Everyone: 'EVERYONE'
};
exports.MeetingModificationPreference = {
    Organizer: 'ORGANIZER',
    Participants: 'PARTICIPANTS',
    Everyone: 'EVERYONE'
};
exports.MeetingOrigin = {
    User: 'User',
    GoogleCalendar: 'GoogleCalendar'
};
exports.MeetingVisibility = {
    Participants: 'PARTICIPANTS',
    Everyone: 'EVERYONE'
};
exports.MergeRequestBranchType = {
    Source: 'SOURCE',
    Target: 'TARGET'
};
exports.MessageButtonStyle = {
    Primary: 'PRIMARY',
    Regular: 'REGULAR',
    Danger: 'DANGER',
    Secondary: 'SECONDARY'
};
exports.MessageStyle = {
    Primary: 'PRIMARY',
    Secondary: 'SECONDARY',
    Success: 'SUCCESS',
    Error: 'ERROR',
    Warning: 'WARNING'
};
exports.MessageTextSize = {
    Large: 'LARGE',
    Regular: 'REGULAR',
    Small: 'SMALL'
};
exports.MessageTimestampFormat = {
    RelativeToNow: 'RELATIVE_TO_NOW',
    Full: 'FULL',
    TimeOnly: 'TIME_ONLY',
    DateOnly: 'DATE_ONLY'
};
exports.MessagesSorting = {
    FromOldestToNewest: 'FromOldestToNewest',
    FromNewestToOldest: 'FromNewestToOldest'
};
exports.NotificationFilter = {
    AllMessages: 'ALL_MESSAGES',
    Mentions: 'MENTIONS',
    Nothing: 'NOTHING',
    Mute: 'MUTE'
};
exports.OrgIndustryDTO = {
    SoftwareDevelopment: 'SoftwareDevelopment',
    Science: 'Science',
    Education: 'Education',
    Finance: 'Finance',
    Health: 'Health',
    Manufacturing: 'Manufacturing',
    Retail: 'Retail',
    Transportation: 'Transportation',
    Media: 'Media',
    Hospitality: 'Hospitality',
    ProfessionalServices: 'ProfessionalServices',
    NonProfit: 'NonProfit',
    Other: 'Other'
};
exports.OrgSizeDTO = {
    JustMe: 'JUST_ME',
    N210: 'N_2_10',
    N1150: 'N_11_50',
    N51250: 'N_51_250',
    N251500: 'N_251_500',
    N5011000: 'N_501_1000',
    N10015000: 'N_1001_5000',
    MoreThan5000: 'MORE_THAN_5000'
};
exports.PackageRepositoryCredentials = {
    Anonymous: 'ANONYMOUS',
    Password: 'PASSWORD',
    Token: 'TOKEN',
    Header: 'HEADER'
};
exports.PackageRepositoryEventAction = {
    Published: 'published',
    Removed: 'removed',
    Vulnerabilities: 'vulnerabilities'
};
exports.PackageRepositoryMode = {
    Hosting: 'HOSTING',
    Proxy: 'PROXY'
};
exports.PackagesSortColumn = {
    Downloads: 'Downloads',
    LastAccessed: 'LastAccessed',
    Created: 'Created',
    Size: 'Size'
};
exports.ParticipationState = {
    None: 'NONE',
    Connected: 'CONNECTED',
    Disconnected: 'DISCONNECTED'
};
exports.PasswordStrength = {
    NoPolicy: 'NO_POLICY',
    Fair: 'FAIR',
    Good: 'GOOD',
    Strong: 'STRONG'
};
exports.PermissionRoleType = {
    Predefined: 'PREDEFINED',
    Custom: 'CUSTOM',
    Authorizable: 'AUTHORIZABLE',
    Anonymous: 'ANONYMOUS'
};
exports.PrivateFeedColor = {
    Blue: 'Blue',
    Purple: 'Purple',
    Yellow: 'Yellow',
    Green: 'Green',
    Grey: 'Grey',
    Orange: 'Orange',
    Pink: 'Pink'
};
exports.ProfileOrder = {
    Default: 'DEFAULT',
    FullName: 'FULL_NAME'
};
exports.ProfileOrgRelation = {
    Member: 'MEMBER',
    Guest: 'GUEST',
    Any: 'ANY'
};
exports.ProjectFeature = {
    Documents: 'DOCUMENTS',
    Issues: 'ISSUES',
    Boards: 'BOARDS',
    Repositories: 'REPOSITORIES',
    CodeReviews: 'CODE_REVIEWS',
    Jobs: 'JOBS',
    Packages: 'PACKAGES',
    DevEnvironments: 'DEV_ENVIRONMENTS',
    Hosting: 'HOSTING',
    Deployments: 'DEPLOYMENTS',
    Tables: 'TABLES',
    Parameters: 'PARAMETERS',
    Secrets: 'SECRETS'
};
exports.ProjectPinnedItemKind = {
    CodeRepository: 'CodeRepository',
    PlanningIssueBoard: 'PlanningIssueBoard',
    PackageRepository: 'PackageRepository',
    AutomationJob: 'AutomationJob',
    Document: 'Document',
    DocumentFolder: 'DocumentFolder',
    DeployTarget: 'DeployTarget',
    DocumentBook: 'DocumentBook',
    DevEnvironment: 'DevEnvironment'
};
exports.ProjectTeamType = {
    Legacy: 'LEGACY',
    Members: 'MEMBERS',
    Attached: 'ATTACHED'
};
exports.RdWorkspaceState = {
    Initializing: 'Initializing',
    Activating: 'Activating',
    Active: 'Active',
    Unhealthy: 'Unhealthy',
    Hibernating: 'Hibernating',
    Hibernated: 'Hibernated',
    Deleting: 'Deleting',
    Deleted: 'Deleted',
    Restarting: 'Restarting',
    Failed: 'Failed',
    FailedToStart: 'FailedToStart',
    Created: 'Created',
    Inactive: 'Inactive'
};
exports.RecurrentModification = {
    Me: 'Me',
    SinceMe: 'SinceMe',
    All: 'All'
};
exports.RepositoryState = {
    Ready: 'READY',
    InProgress: 'IN_PROGRESS',
    Error: 'ERROR'
};
exports.ReviewRevisionsChangedType = {
    Created: 'Created',
    Added: 'Added',
    Removed: 'Removed'
};
exports.ReviewSorting = {
    CreatedAtAsc: 'CreatedAtAsc',
    CreatedAtDesc: 'CreatedAtDesc',
    LastUpdatedAsc: 'LastUpdatedAsc',
    LastUpdatedDesc: 'LastUpdatedDesc'
};
exports.ReviewType = {
    CommitSetReview: 'CommitSetReview',
    MergeRequest: 'MergeRequest'
};
exports.ReviewerChangedType = {
    Joined: 'Joined',
    Left: 'Left'
};
exports.ReviewerState = {
    Accepted: 'Accepted',
    Rejected: 'Rejected'
};
exports.RightStatus = {
    None: 'NONE',
    Requested: 'REQUESTED',
    Granted: 'GRANTED',
    Rejected: 'REJECTED'
};
exports.RoomOrigin = {
    Unknown: 'Unknown',
    Chat: 'Chat',
    Adhoc: 'Adhoc',
    Meeting: 'Meeting'
};
exports.RtTextAlign = {
    Left: 'left',
    Center: 'center',
    Right: 'right',
    Justify: 'justify'
};
exports.SFUMediaKind = {
    Video: 'video',
    Audio: 'audio'
};
exports.SnapshotState = {
    Unknown: 'UNKNOWN',
    Pending: 'PENDING',
    Completed: 'COMPLETED',
    Error: 'ERROR'
};
exports.SortOrderType = {
    Asc: 'ASC',
    Desc: 'DESC'
};
exports.SprintState = {
    Closed: 'CLOSED',
    Current: 'CURRENT',
    Planned: 'PLANNED'
};
exports.SyncRecordModType = {
    Created: 'CREATED',
    Updated: 'UPDATED',
    Archived: 'ARCHIVED'
};
exports.SyntaxMarkupType = {
    Keyword: 'KEYWORD',
    Comment: 'COMMENT',
    NumLiteral: 'NUM_LITERAL',
    StringLiteral: 'STRING_LITERAL',
    Declaration: 'DECLARATION',
    ParameterAssignment: 'PARAMETER_ASSIGNMENT',
    Identifier: 'IDENTIFIER',
    IdentifierType: 'IDENTIFIER_TYPE',
    IdentifierDeclaration: 'IDENTIFIER_DECLARATION',
    Key: 'KEY',
    Tag: 'TAG',
    Annotation: 'ANNOTATION',
    PreprocessorAnnotation: 'PREPROCESSOR_ANNOTATION',
    PreprocessorMessage: 'PREPROCESSOR_MESSAGE',
    Highlight: 'HIGHLIGHT',
    CodeFold: 'CODE_FOLD',
    Skip: 'SKIP'
};
exports.Tier = {
    Free: 'Free',
    Team: 'Team',
    Organization: 'Organization',
    Classroom: 'Classroom',
    Beta: 'Beta',
    Enterprise: 'Enterprise'
};
exports.TimeTrackingSubjectType = {
    Issue: 'ISSUE'
};
exports.TodoItemContentKind = {
    None: 'NONE',
    Regular: 'REGULAR',
    Message: 'MESSAGE',
    Issue: 'ISSUE',
    Blog: 'BLOG',
    Document: 'DOCUMENT',
    Meeting: 'MEETING',
    CodeReview: 'CODE_REVIEW'
};
exports.TwoFactorAuthenticationStatus = {
    NotSetup: 'NOT_SETUP',
    Inactive: 'INACTIVE',
    Active: 'ACTIVE'
};
exports.UnfurlDateTimeFormat = {
    RelativeToNow: 'RELATIVE_TO_NOW',
    Full: 'FULL',
    TimeOnly: 'TIME_ONLY',
    DateOnly: 'DATE_ONLY'
};
exports.UnfurlDateTimeStyle = {
    Regular: 'REGULAR',
    Secondary: 'SECONDARY',
    Strikethrough: 'STRIKETHROUGH',
    Bold: 'BOLD',
    Code: 'CODE'
};
exports.VersionStatus = {
    Outdated: 'Outdated',
    Active: 'Active'
};
exports.VolumeState = {
    Unknown: 'UNKNOWN',
    Creating: 'CREATING',
    Available: 'AVAILABLE',
    InUse: 'IN_USE',
    Deleting: 'DELETING',
    Deleted: 'DELETED',
    Error: 'ERROR'
};
exports.WarmupExecutionStatus = {
    Started: 'Started',
    Failed: 'Failed',
    Terminated: 'Terminated',
    SnapshotCreated: 'SnapshotCreated',
    SnapshotDeleted: 'SnapshotDeleted'
};
exports.Weekday = {
    Sunday: 'SUNDAY',
    Monday: 'MONDAY',
    Tuesday: 'TUESDAY',
    Wednesday: 'WEDNESDAY',
    Thursday: 'THURSDAY',
    Friday: 'FRIDAY',
    Saturday: 'SATURDAY'
};
exports.WorkerCapability = {
    Docker: 'Docker',
    DockerCompose: 'DockerCompose',
    BlockStorage: 'BlockStorage',
    Git: 'Git'
};
exports.WorkerError = {
    StartError: 'StartError',
    DownloadError: 'DownloadError',
    Error: 'Error'
};
exports.WorkerOSType = {
    Linux: 'Linux',
    Windows: 'Windows',
    Mac: 'Mac',
    Other: 'Other'
};
exports.WorkerScope = {
    Organization: 'Organization',
    Project: 'Project'
};
exports.WorkerStatus = {
    Healthy: 'Healthy',
    Disconnected: 'Disconnected',
    Unhealthy: 'Unhealthy',
    Suspended: 'Suspended',
    GracefulShutdown: 'GracefulShutdown',
    Locked: 'Locked',
    WithWarning: 'WithWarning',
    NotInitialized: 'NotInitialized'
};
const SpaceApiAxiosParamCreator = function (configuration) {
    return {
        absencesAbsenceReasonsGet: async (withArchived, $fields, options = {}) => {
            const localVarPath = `/absences/absence-reasons`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if (withArchived !== undefined) {
                localVarQueryParameter['withArchived'] = withArchived;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        absencesAbsenceReasonsIdDelete: async (id, _delete, options = {}) => {
            (0, common_1.assertParamExists)('absencesAbsenceReasonsIdDelete', 'id', id);
            const localVarPath = `/absences/absence-reasons/{id}`
                .replace(`{${"id"}}`, encodeURIComponent(String(id)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if (_delete !== undefined) {
                localVarQueryParameter['delete'] = _delete;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        absencesAbsenceReasonsIdGet: async (id, $fields, options = {}) => {
            (0, common_1.assertParamExists)('absencesAbsenceReasonsIdGet', 'id', id);
            const localVarPath = `/absences/absence-reasons/{id}`
                .replace(`{${"id"}}`, encodeURIComponent(String(id)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        absencesAbsenceReasonsIdPatch: async (id, absencesAbsenceReasonsGetRequest, $fields, options = {}) => {
            (0, common_1.assertParamExists)('absencesAbsenceReasonsIdPatch', 'id', id);
            (0, common_1.assertParamExists)('absencesAbsenceReasonsIdPatch', 'absencesAbsenceReasonsGetRequest', absencesAbsenceReasonsGetRequest);
            const localVarPath = `/absences/absence-reasons/{id}`
                .replace(`{${"id"}}`, encodeURIComponent(String(id)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PATCH', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(absencesAbsenceReasonsGetRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        absencesAbsenceReasonsPost: async (absencesAbsenceReasonsGetRequest, $fields, options = {}) => {
            (0, common_1.assertParamExists)('absencesAbsenceReasonsPost', 'absencesAbsenceReasonsGetRequest', absencesAbsenceReasonsGetRequest);
            const localVarPath = `/absences/absence-reasons`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(absencesAbsenceReasonsGetRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        absencesGet: async ($skip, $top, member, members, location, team, since, till, viewMode, reason, $fields, options = {}) => {
            const localVarPath = `/absences`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($skip !== undefined) {
                localVarQueryParameter['$skip'] = $skip;
            }
            if ($top !== undefined) {
                localVarQueryParameter['$top'] = $top;
            }
            if (member !== undefined) {
                localVarQueryParameter['member'] = member;
            }
            if (members) {
                localVarQueryParameter['members'] = members;
            }
            if (location !== undefined) {
                localVarQueryParameter['location'] = location;
            }
            if (team !== undefined) {
                localVarQueryParameter['team'] = team;
            }
            if (since !== undefined) {
                localVarQueryParameter['since'] = since;
            }
            if (till !== undefined) {
                localVarQueryParameter['till'] = till;
            }
            if (viewMode !== undefined) {
                localVarQueryParameter['viewMode'] = viewMode;
            }
            if (reason !== undefined) {
                localVarQueryParameter['reason'] = reason;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        absencesIdApprovePost: async (id, absencesIdApprovePostRequest, options = {}) => {
            (0, common_1.assertParamExists)('absencesIdApprovePost', 'id', id);
            (0, common_1.assertParamExists)('absencesIdApprovePost', 'absencesIdApprovePostRequest', absencesIdApprovePostRequest);
            const localVarPath = `/absences/{id}/approve`
                .replace(`{${"id"}}`, encodeURIComponent(String(id)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(absencesIdApprovePostRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        absencesIdDelete: async (id, _delete, options = {}) => {
            (0, common_1.assertParamExists)('absencesIdDelete', 'id', id);
            const localVarPath = `/absences/{id}`
                .replace(`{${"id"}}`, encodeURIComponent(String(id)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if (_delete !== undefined) {
                localVarQueryParameter['delete'] = _delete;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        absencesIdDeleteApprovalDelete: async (id, options = {}) => {
            (0, common_1.assertParamExists)('absencesIdDeleteApprovalDelete', 'id', id);
            const localVarPath = `/absences/{id}/delete-approval`
                .replace(`{${"id"}}`, encodeURIComponent(String(id)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        absencesIdGet: async (id, $fields, options = {}) => {
            (0, common_1.assertParamExists)('absencesIdGet', 'id', id);
            const localVarPath = `/absences/{id}`
                .replace(`{${"id"}}`, encodeURIComponent(String(id)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        absencesIdPatch: async (id, absencesIdDeleteRequest, $fields, options = {}) => {
            (0, common_1.assertParamExists)('absencesIdPatch', 'id', id);
            (0, common_1.assertParamExists)('absencesIdPatch', 'absencesIdDeleteRequest', absencesIdDeleteRequest);
            const localVarPath = `/absences/{id}`
                .replace(`{${"id"}}`, encodeURIComponent(String(id)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PATCH', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(absencesIdDeleteRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        absencesMembermemberGet: async (member, $fields, options = {}) => {
            (0, common_1.assertParamExists)('absencesMembermemberGet', 'member', member);
            const localVarPath = `/absences/member:{member}`
                .replace(`{${"member"}}`, encodeURIComponent(String(member)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        absencesPost: async (absencesGetRequest, $fields, options = {}) => {
            (0, common_1.assertParamExists)('absencesPost', 'absencesGetRequest', absencesGetRequest);
            const localVarPath = `/absences`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(absencesGetRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        administrationSupportPost: async ($fields, options = {}) => {
            const localVarPath = `/administration/support`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        administrationUserAgreementEnabledGet: async (options = {}) => {
            const localVarPath = `/administration/user-agreement/enabled`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        administrationUserAgreementEnabledPost: async (administrationUserAgreementEnabledGetRequest, options = {}) => {
            (0, common_1.assertParamExists)('administrationUserAgreementEnabledPost', 'administrationUserAgreementEnabledGetRequest', administrationUserAgreementEnabledGetRequest);
            const localVarPath = `/administration/user-agreement/enabled`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(administrationUserAgreementEnabledGetRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        administrationUserAgreementGet: async ($fields, options = {}) => {
            const localVarPath = `/administration/user-agreement`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        administrationUserAgreementPatch: async (administrationUserAgreementGetRequest, $fields, options = {}) => {
            (0, common_1.assertParamExists)('administrationUserAgreementPatch', 'administrationUserAgreementGetRequest', administrationUserAgreementGetRequest);
            const localVarPath = `/administration/user-agreement`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PATCH', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(administrationUserAgreementGetRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        administrationUserAgreementStatusGet: async ($skip, $top, query, accepted, activeProfilesOnly, $fields, options = {}) => {
            const localVarPath = `/administration/user-agreement/status`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($skip !== undefined) {
                localVarQueryParameter['$skip'] = $skip;
            }
            if ($top !== undefined) {
                localVarQueryParameter['$top'] = $top;
            }
            if (query !== undefined) {
                localVarQueryParameter['query'] = query;
            }
            if (accepted !== undefined) {
                localVarQueryParameter['accepted'] = accepted;
            }
            if (activeProfilesOnly !== undefined) {
                localVarQueryParameter['activeProfilesOnly'] = activeProfilesOnly;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        administrationUserAgreementStatusProfileGet: async (profile, $fields, options = {}) => {
            (0, common_1.assertParamExists)('administrationUserAgreementStatusProfileGet', 'profile', profile);
            const localVarPath = `/administration/user-agreement/status/{profile}`
                .replace(`{${"profile"}}`, encodeURIComponent(String(profile)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        applicationsApplicationAuthorizationsAuthorizedContextsGet: async (application, $fields, options = {}) => {
            (0, common_1.assertParamExists)('applicationsApplicationAuthorizationsAuthorizedContextsGet', 'application', application);
            const localVarPath = `/applications/{application}/authorizations/authorized-contexts`
                .replace(`{${"application"}}`, encodeURIComponent(String(application)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        applicationsApplicationAuthorizationsAuthorizedRightsDelete: async (application, contextIdentifier, options = {}) => {
            (0, common_1.assertParamExists)('applicationsApplicationAuthorizationsAuthorizedRightsDelete', 'application', application);
            (0, common_1.assertParamExists)('applicationsApplicationAuthorizationsAuthorizedRightsDelete', 'contextIdentifier', contextIdentifier);
            const localVarPath = `/applications/{application}/authorizations/authorized-rights`
                .replace(`{${"application"}}`, encodeURIComponent(String(application)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if (contextIdentifier !== undefined) {
                localVarQueryParameter['contextIdentifier'] = contextIdentifier;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        applicationsApplicationAuthorizationsAuthorizedRightsGet: async (application, contextIdentifier, $fields, options = {}) => {
            (0, common_1.assertParamExists)('applicationsApplicationAuthorizationsAuthorizedRightsGet', 'application', application);
            (0, common_1.assertParamExists)('applicationsApplicationAuthorizationsAuthorizedRightsGet', 'contextIdentifier', contextIdentifier);
            const localVarPath = `/applications/{application}/authorizations/authorized-rights`
                .replace(`{${"application"}}`, encodeURIComponent(String(application)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if (contextIdentifier !== undefined) {
                localVarQueryParameter['contextIdentifier'] = contextIdentifier;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        applicationsApplicationAuthorizationsAuthorizedRightsPatch: async (application, applicationsApplicationAuthorizationsAuthorizedRightsDeleteRequest, options = {}) => {
            (0, common_1.assertParamExists)('applicationsApplicationAuthorizationsAuthorizedRightsPatch', 'application', application);
            (0, common_1.assertParamExists)('applicationsApplicationAuthorizationsAuthorizedRightsPatch', 'applicationsApplicationAuthorizationsAuthorizedRightsDeleteRequest', applicationsApplicationAuthorizationsAuthorizedRightsDeleteRequest);
            const localVarPath = `/applications/{application}/authorizations/authorized-rights`
                .replace(`{${"application"}}`, encodeURIComponent(String(application)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PATCH', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(applicationsApplicationAuthorizationsAuthorizedRightsDeleteRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        applicationsApplicationAuthorizationsAuthorizedRightsRequestRightsPatch: async (application, applicationsApplicationAuthorizationsAuthorizedRightsRequestRightsPatchRequest, options = {}) => {
            (0, common_1.assertParamExists)('applicationsApplicationAuthorizationsAuthorizedRightsRequestRightsPatch', 'application', application);
            (0, common_1.assertParamExists)('applicationsApplicationAuthorizationsAuthorizedRightsRequestRightsPatch', 'applicationsApplicationAuthorizationsAuthorizedRightsRequestRightsPatchRequest', applicationsApplicationAuthorizationsAuthorizedRightsRequestRightsPatchRequest);
            const localVarPath = `/applications/{application}/authorizations/authorized-rights/request-rights`
                .replace(`{${"application"}}`, encodeURIComponent(String(application)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PATCH', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(applicationsApplicationAuthorizationsAuthorizedRightsRequestRightsPatchRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        applicationsApplicationAuthorizationsRequiredRightsGet: async (application, $fields, options = {}) => {
            (0, common_1.assertParamExists)('applicationsApplicationAuthorizationsRequiredRightsGet', 'application', application);
            const localVarPath = `/applications/{application}/authorizations/required-rights`
                .replace(`{${"application"}}`, encodeURIComponent(String(application)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        applicationsApplicationAuthorizationsRequiredRightsPatch: async (application, applicationsApplicationAuthorizationsRequiredRightsGetRequest, options = {}) => {
            (0, common_1.assertParamExists)('applicationsApplicationAuthorizationsRequiredRightsPatch', 'application', application);
            (0, common_1.assertParamExists)('applicationsApplicationAuthorizationsRequiredRightsPatch', 'applicationsApplicationAuthorizationsRequiredRightsGetRequest', applicationsApplicationAuthorizationsRequiredRightsGetRequest);
            const localVarPath = `/applications/{application}/authorizations/required-rights`
                .replace(`{${"application"}}`, encodeURIComponent(String(application)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PATCH', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(applicationsApplicationAuthorizationsRequiredRightsGetRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        applicationsApplicationBearerTokenGet: async (application, options = {}) => {
            (0, common_1.assertParamExists)('applicationsApplicationBearerTokenGet', 'application', application);
            const localVarPath = `/applications/{application}/bearer-token`
                .replace(`{${"application"}}`, encodeURIComponent(String(application)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        applicationsApplicationClientSecretGet: async (application, options = {}) => {
            (0, common_1.assertParamExists)('applicationsApplicationClientSecretGet', 'application', application);
            const localVarPath = `/applications/{application}/client-secret`
                .replace(`{${"application"}}`, encodeURIComponent(String(application)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        applicationsApplicationClientSecretRegeneratePost: async (application, options = {}) => {
            (0, common_1.assertParamExists)('applicationsApplicationClientSecretRegeneratePost', 'application', application);
            const localVarPath = `/applications/{application}/client-secret/regenerate`
                .replace(`{${"application"}}`, encodeURIComponent(String(application)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        applicationsApplicationDelete: async (application, options = {}) => {
            (0, common_1.assertParamExists)('applicationsApplicationDelete', 'application', application);
            const localVarPath = `/applications/{application}`
                .replace(`{${"application"}}`, encodeURIComponent(String(application)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        applicationsApplicationForceRemovePost: async (application, options = {}) => {
            (0, common_1.assertParamExists)('applicationsApplicationForceRemovePost', 'application', application);
            const localVarPath = `/applications/{application}/force-remove`
                .replace(`{${"application"}}`, encodeURIComponent(String(application)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        applicationsApplicationGet: async (application, $fields, options = {}) => {
            (0, common_1.assertParamExists)('applicationsApplicationGet', 'application', application);
            const localVarPath = `/applications/{application}`
                .replace(`{${"application"}}`, encodeURIComponent(String(application)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        applicationsApplicationLastClientCredentialsAccessGet: async (application, $fields, options = {}) => {
            (0, common_1.assertParamExists)('applicationsApplicationLastClientCredentialsAccessGet', 'application', application);
            const localVarPath = `/applications/{application}/last-client-credentials-access`
                .replace(`{${"application"}}`, encodeURIComponent(String(application)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        applicationsApplicationPatch: async (application, $fields, applicationsApplicationDeleteRequest, options = {}) => {
            (0, common_1.assertParamExists)('applicationsApplicationPatch', 'application', application);
            const localVarPath = `/applications/{application}`
                .replace(`{${"application"}}`, encodeURIComponent(String(application)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PATCH', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(applicationsApplicationDeleteRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        applicationsApplicationPermanentTokensCurrentDelete: async (application, options = {}) => {
            (0, common_1.assertParamExists)('applicationsApplicationPermanentTokensCurrentDelete', 'application', application);
            const localVarPath = `/applications/{application}/permanent-tokens/current`
                .replace(`{${"application"}}`, encodeURIComponent(String(application)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        applicationsApplicationPermanentTokensGet: async (application, $skip, $top, $fields, options = {}) => {
            (0, common_1.assertParamExists)('applicationsApplicationPermanentTokensGet', 'application', application);
            const localVarPath = `/applications/{application}/permanent-tokens`
                .replace(`{${"application"}}`, encodeURIComponent(String(application)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($skip !== undefined) {
                localVarQueryParameter['$skip'] = $skip;
            }
            if ($top !== undefined) {
                localVarQueryParameter['$top'] = $top;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        applicationsApplicationPermanentTokensPost: async (application, applicationsApplicationPermanentTokensGetRequest, $fields, options = {}) => {
            (0, common_1.assertParamExists)('applicationsApplicationPermanentTokensPost', 'application', application);
            (0, common_1.assertParamExists)('applicationsApplicationPermanentTokensPost', 'applicationsApplicationPermanentTokensGetRequest', applicationsApplicationPermanentTokensGetRequest);
            const localVarPath = `/applications/{application}/permanent-tokens`
                .replace(`{${"application"}}`, encodeURIComponent(String(application)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(applicationsApplicationPermanentTokensGetRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        applicationsApplicationPermanentTokensTokenIdDelete: async (application, tokenId, options = {}) => {
            (0, common_1.assertParamExists)('applicationsApplicationPermanentTokensTokenIdDelete', 'application', application);
            (0, common_1.assertParamExists)('applicationsApplicationPermanentTokensTokenIdDelete', 'tokenId', tokenId);
            const localVarPath = `/applications/{application}/permanent-tokens/{tokenId}`
                .replace(`{${"application"}}`, encodeURIComponent(String(application)))
                .replace(`{${"tokenId"}}`, encodeURIComponent(String(tokenId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        applicationsApplicationPermanentTokensTokenIdPatch: async (application, tokenId, applicationsApplicationPermanentTokensTokenIdDeleteRequest, options = {}) => {
            (0, common_1.assertParamExists)('applicationsApplicationPermanentTokensTokenIdPatch', 'application', application);
            (0, common_1.assertParamExists)('applicationsApplicationPermanentTokensTokenIdPatch', 'tokenId', tokenId);
            const localVarPath = `/applications/{application}/permanent-tokens/{tokenId}`
                .replace(`{${"application"}}`, encodeURIComponent(String(application)))
                .replace(`{${"tokenId"}}`, encodeURIComponent(String(tokenId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PATCH', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(applicationsApplicationPermanentTokensTokenIdDeleteRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        applicationsApplicationPublicKeysGet: async (application, options = {}) => {
            (0, common_1.assertParamExists)('applicationsApplicationPublicKeysGet', 'application', application);
            const localVarPath = `/applications/{application}/public-keys`
                .replace(`{${"application"}}`, encodeURIComponent(String(application)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        applicationsApplicationRestorePost: async (application, options = {}) => {
            (0, common_1.assertParamExists)('applicationsApplicationRestorePost', 'application', application);
            const localVarPath = `/applications/{application}/restore`
                .replace(`{${"application"}}`, encodeURIComponent(String(application)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        applicationsApplicationSigningKeyGet: async (application, options = {}) => {
            (0, common_1.assertParamExists)('applicationsApplicationSigningKeyGet', 'application', application);
            const localVarPath = `/applications/{application}/signing-key`
                .replace(`{${"application"}}`, encodeURIComponent(String(application)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        applicationsApplicationSigningKeyRegeneratePost: async (application, options = {}) => {
            (0, common_1.assertParamExists)('applicationsApplicationSigningKeyRegeneratePost', 'application', application);
            const localVarPath = `/applications/{application}/signing-key/regenerate`
                .replace(`{${"application"}}`, encodeURIComponent(String(application)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        applicationsApplicationSshKeysFingerprintDelete: async (application, fingerprint, options = {}) => {
            (0, common_1.assertParamExists)('applicationsApplicationSshKeysFingerprintDelete', 'application', application);
            (0, common_1.assertParamExists)('applicationsApplicationSshKeysFingerprintDelete', 'fingerprint', fingerprint);
            const localVarPath = `/applications/{application}/ssh-keys/{fingerprint}`
                .replace(`{${"application"}}`, encodeURIComponent(String(application)))
                .replace(`{${"fingerprint"}}`, encodeURIComponent(String(fingerprint)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        applicationsApplicationSshKeysGet: async (application, $fields, options = {}) => {
            (0, common_1.assertParamExists)('applicationsApplicationSshKeysGet', 'application', application);
            const localVarPath = `/applications/{application}/ssh-keys`
                .replace(`{${"application"}}`, encodeURIComponent(String(application)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        applicationsApplicationSshKeysPost: async (application, applicationsApplicationSshKeysGetRequest, options = {}) => {
            (0, common_1.assertParamExists)('applicationsApplicationSshKeysPost', 'application', application);
            (0, common_1.assertParamExists)('applicationsApplicationSshKeysPost', 'applicationsApplicationSshKeysGetRequest', applicationsApplicationSshKeysGetRequest);
            const localVarPath = `/applications/{application}/ssh-keys`
                .replace(`{${"application"}}`, encodeURIComponent(String(application)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(applicationsApplicationSshKeysGetRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        applicationsApplicationUiExtensionsDisableForEverybodyPatch: async (application, applicationsApplicationUiExtensionsDisableForEverybodyPatchRequest, options = {}) => {
            (0, common_1.assertParamExists)('applicationsApplicationUiExtensionsDisableForEverybodyPatch', 'application', application);
            (0, common_1.assertParamExists)('applicationsApplicationUiExtensionsDisableForEverybodyPatch', 'applicationsApplicationUiExtensionsDisableForEverybodyPatchRequest', applicationsApplicationUiExtensionsDisableForEverybodyPatchRequest);
            const localVarPath = `/applications/{application}/ui-extensions/disable-for-everybody`
                .replace(`{${"application"}}`, encodeURIComponent(String(application)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PATCH', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(applicationsApplicationUiExtensionsDisableForEverybodyPatchRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        applicationsApplicationUiExtensionsDisableForMePatch: async (application, applicationsApplicationUiExtensionsDisableForEverybodyPatchRequest, options = {}) => {
            (0, common_1.assertParamExists)('applicationsApplicationUiExtensionsDisableForMePatch', 'application', application);
            (0, common_1.assertParamExists)('applicationsApplicationUiExtensionsDisableForMePatch', 'applicationsApplicationUiExtensionsDisableForEverybodyPatchRequest', applicationsApplicationUiExtensionsDisableForEverybodyPatchRequest);
            const localVarPath = `/applications/{application}/ui-extensions/disable-for-me`
                .replace(`{${"application"}}`, encodeURIComponent(String(application)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PATCH', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(applicationsApplicationUiExtensionsDisableForEverybodyPatchRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        applicationsApplicationUiExtensionsEnableForEverybodyPatch: async (application, applicationsApplicationUiExtensionsDisableForEverybodyPatchRequest, options = {}) => {
            (0, common_1.assertParamExists)('applicationsApplicationUiExtensionsEnableForEverybodyPatch', 'application', application);
            (0, common_1.assertParamExists)('applicationsApplicationUiExtensionsEnableForEverybodyPatch', 'applicationsApplicationUiExtensionsDisableForEverybodyPatchRequest', applicationsApplicationUiExtensionsDisableForEverybodyPatchRequest);
            const localVarPath = `/applications/{application}/ui-extensions/enable-for-everybody`
                .replace(`{${"application"}}`, encodeURIComponent(String(application)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PATCH', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(applicationsApplicationUiExtensionsDisableForEverybodyPatchRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        applicationsApplicationUiExtensionsEnableForMePatch: async (application, applicationsApplicationUiExtensionsDisableForEverybodyPatchRequest, options = {}) => {
            (0, common_1.assertParamExists)('applicationsApplicationUiExtensionsEnableForMePatch', 'application', application);
            (0, common_1.assertParamExists)('applicationsApplicationUiExtensionsEnableForMePatch', 'applicationsApplicationUiExtensionsDisableForEverybodyPatchRequest', applicationsApplicationUiExtensionsDisableForEverybodyPatchRequest);
            const localVarPath = `/applications/{application}/ui-extensions/enable-for-me`
                .replace(`{${"application"}}`, encodeURIComponent(String(application)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PATCH', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(applicationsApplicationUiExtensionsDisableForEverybodyPatchRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        applicationsApplicationUiExtensionsGet: async (application, contextIdentifier, $fields, options = {}) => {
            (0, common_1.assertParamExists)('applicationsApplicationUiExtensionsGet', 'application', application);
            (0, common_1.assertParamExists)('applicationsApplicationUiExtensionsGet', 'contextIdentifier', contextIdentifier);
            const localVarPath = `/applications/{application}/ui-extensions`
                .replace(`{${"application"}}`, encodeURIComponent(String(application)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if (contextIdentifier !== undefined) {
                localVarQueryParameter['contextIdentifier'] = contextIdentifier;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        applicationsApplicationUnfurlDomainsAuthorizePost: async (application, applicationsApplicationUnfurlDomainsAuthorizePostRequest, options = {}) => {
            (0, common_1.assertParamExists)('applicationsApplicationUnfurlDomainsAuthorizePost', 'application', application);
            (0, common_1.assertParamExists)('applicationsApplicationUnfurlDomainsAuthorizePost', 'applicationsApplicationUnfurlDomainsAuthorizePostRequest', applicationsApplicationUnfurlDomainsAuthorizePostRequest);
            const localVarPath = `/applications/{application}/unfurl-domains/authorize`
                .replace(`{${"application"}}`, encodeURIComponent(String(application)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(applicationsApplicationUnfurlDomainsAuthorizePostRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        applicationsApplicationUnfurlDomainsGet: async (application, $fields, options = {}) => {
            (0, common_1.assertParamExists)('applicationsApplicationUnfurlDomainsGet', 'application', application);
            const localVarPath = `/applications/{application}/unfurl-domains`
                .replace(`{${"application"}}`, encodeURIComponent(String(application)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        applicationsApplicationUnfurlPatternsAuthorizePost: async (application, applicationsApplicationUnfurlPatternsAuthorizePostRequest, options = {}) => {
            (0, common_1.assertParamExists)('applicationsApplicationUnfurlPatternsAuthorizePost', 'application', application);
            (0, common_1.assertParamExists)('applicationsApplicationUnfurlPatternsAuthorizePost', 'applicationsApplicationUnfurlPatternsAuthorizePostRequest', applicationsApplicationUnfurlPatternsAuthorizePostRequest);
            const localVarPath = `/applications/{application}/unfurl-patterns/authorize`
                .replace(`{${"application"}}`, encodeURIComponent(String(application)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(applicationsApplicationUnfurlPatternsAuthorizePostRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        applicationsApplicationUnfurlPatternsGet: async (application, $fields, options = {}) => {
            (0, common_1.assertParamExists)('applicationsApplicationUnfurlPatternsGet', 'application', application);
            const localVarPath = `/applications/{application}/unfurl-patterns`
                .replace(`{${"application"}}`, encodeURIComponent(String(application)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        applicationsApplicationVerificationTokenGet: async (application, options = {}) => {
            (0, common_1.assertParamExists)('applicationsApplicationVerificationTokenGet', 'application', application);
            const localVarPath = `/applications/{application}/verification-token`
                .replace(`{${"application"}}`, encodeURIComponent(String(application)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        applicationsApplicationVerificationTokenRegeneratePost: async (application, options = {}) => {
            (0, common_1.assertParamExists)('applicationsApplicationVerificationTokenRegeneratePost', 'application', application);
            const localVarPath = `/applications/{application}/verification-token/regenerate`
                .replace(`{${"application"}}`, encodeURIComponent(String(application)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        applicationsApplicationWebhooksGet: async (application, withArchived, query, $skip, $top, $fields, options = {}) => {
            (0, common_1.assertParamExists)('applicationsApplicationWebhooksGet', 'application', application);
            const localVarPath = `/applications/{application}/webhooks`
                .replace(`{${"application"}}`, encodeURIComponent(String(application)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if (withArchived !== undefined) {
                localVarQueryParameter['withArchived'] = withArchived;
            }
            if (query !== undefined) {
                localVarQueryParameter['query'] = query;
            }
            if ($skip !== undefined) {
                localVarQueryParameter['$skip'] = $skip;
            }
            if ($top !== undefined) {
                localVarQueryParameter['$top'] = $top;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        applicationsApplicationWebhooksPost: async (application, applicationsApplicationWebhooksGetRequest, $fields, options = {}) => {
            (0, common_1.assertParamExists)('applicationsApplicationWebhooksPost', 'application', application);
            (0, common_1.assertParamExists)('applicationsApplicationWebhooksPost', 'applicationsApplicationWebhooksGetRequest', applicationsApplicationWebhooksGetRequest);
            const localVarPath = `/applications/{application}/webhooks`
                .replace(`{${"application"}}`, encodeURIComponent(String(application)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(applicationsApplicationWebhooksGetRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        applicationsApplicationWebhooksWebhookIdBearerTokenGet: async (application, webhookId, options = {}) => {
            (0, common_1.assertParamExists)('applicationsApplicationWebhooksWebhookIdBearerTokenGet', 'application', application);
            (0, common_1.assertParamExists)('applicationsApplicationWebhooksWebhookIdBearerTokenGet', 'webhookId', webhookId);
            const localVarPath = `/applications/{application}/webhooks/{webhookId}/bearer-token`
                .replace(`{${"application"}}`, encodeURIComponent(String(application)))
                .replace(`{${"webhookId"}}`, encodeURIComponent(String(webhookId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        applicationsApplicationWebhooksWebhookIdCustomHeadersGet: async (application, webhookId, $fields, options = {}) => {
            (0, common_1.assertParamExists)('applicationsApplicationWebhooksWebhookIdCustomHeadersGet', 'application', application);
            (0, common_1.assertParamExists)('applicationsApplicationWebhooksWebhookIdCustomHeadersGet', 'webhookId', webhookId);
            const localVarPath = `/applications/{application}/webhooks/{webhookId}/custom-headers`
                .replace(`{${"application"}}`, encodeURIComponent(String(application)))
                .replace(`{${"webhookId"}}`, encodeURIComponent(String(webhookId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        applicationsApplicationWebhooksWebhookIdCustomHeadersPost: async (application, webhookId, applicationsApplicationWebhooksWebhookIdCustomHeadersGetRequest, options = {}) => {
            (0, common_1.assertParamExists)('applicationsApplicationWebhooksWebhookIdCustomHeadersPost', 'application', application);
            (0, common_1.assertParamExists)('applicationsApplicationWebhooksWebhookIdCustomHeadersPost', 'webhookId', webhookId);
            (0, common_1.assertParamExists)('applicationsApplicationWebhooksWebhookIdCustomHeadersPost', 'applicationsApplicationWebhooksWebhookIdCustomHeadersGetRequest', applicationsApplicationWebhooksWebhookIdCustomHeadersGetRequest);
            const localVarPath = `/applications/{application}/webhooks/{webhookId}/custom-headers`
                .replace(`{${"application"}}`, encodeURIComponent(String(application)))
                .replace(`{${"webhookId"}}`, encodeURIComponent(String(webhookId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(applicationsApplicationWebhooksWebhookIdCustomHeadersGetRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        applicationsApplicationWebhooksWebhookIdDelete: async (application, webhookId, options = {}) => {
            (0, common_1.assertParamExists)('applicationsApplicationWebhooksWebhookIdDelete', 'application', application);
            (0, common_1.assertParamExists)('applicationsApplicationWebhooksWebhookIdDelete', 'webhookId', webhookId);
            const localVarPath = `/applications/{application}/webhooks/{webhookId}`
                .replace(`{${"application"}}`, encodeURIComponent(String(application)))
                .replace(`{${"webhookId"}}`, encodeURIComponent(String(webhookId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        applicationsApplicationWebhooksWebhookIdPatch: async (application, webhookId, applicationsApplicationWebhooksWebhookIdDeleteRequest, options = {}) => {
            (0, common_1.assertParamExists)('applicationsApplicationWebhooksWebhookIdPatch', 'application', application);
            (0, common_1.assertParamExists)('applicationsApplicationWebhooksWebhookIdPatch', 'webhookId', webhookId);
            const localVarPath = `/applications/{application}/webhooks/{webhookId}`
                .replace(`{${"application"}}`, encodeURIComponent(String(application)))
                .replace(`{${"webhookId"}}`, encodeURIComponent(String(webhookId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PATCH', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(applicationsApplicationWebhooksWebhookIdDeleteRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        applicationsApplicationWebhooksWebhookIdPost: async (application, webhookId, options = {}) => {
            (0, common_1.assertParamExists)('applicationsApplicationWebhooksWebhookIdPost', 'application', application);
            (0, common_1.assertParamExists)('applicationsApplicationWebhooksWebhookIdPost', 'webhookId', webhookId);
            const localVarPath = `/applications/{application}/webhooks/{webhookId}`
                .replace(`{${"application"}}`, encodeURIComponent(String(application)))
                .replace(`{${"webhookId"}}`, encodeURIComponent(String(webhookId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        applicationsApplicationWebhooksWebhookIdSigningKeyGet: async (application, webhookId, options = {}) => {
            (0, common_1.assertParamExists)('applicationsApplicationWebhooksWebhookIdSigningKeyGet', 'application', application);
            (0, common_1.assertParamExists)('applicationsApplicationWebhooksWebhookIdSigningKeyGet', 'webhookId', webhookId);
            const localVarPath = `/applications/{application}/webhooks/{webhookId}/signing-key`
                .replace(`{${"application"}}`, encodeURIComponent(String(application)))
                .replace(`{${"webhookId"}}`, encodeURIComponent(String(webhookId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        applicationsApplicationWebhooksWebhookIdSigningKeyRegeneratePost: async (application, webhookId, options = {}) => {
            (0, common_1.assertParamExists)('applicationsApplicationWebhooksWebhookIdSigningKeyRegeneratePost', 'application', application);
            (0, common_1.assertParamExists)('applicationsApplicationWebhooksWebhookIdSigningKeyRegeneratePost', 'webhookId', webhookId);
            const localVarPath = `/applications/{application}/webhooks/{webhookId}/signing-key/regenerate`
                .replace(`{${"application"}}`, encodeURIComponent(String(application)))
                .replace(`{${"webhookId"}}`, encodeURIComponent(String(webhookId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        applicationsApplicationWebhooksWebhookIdSubscriptionsGet: async (application, webhookId, $fields, options = {}) => {
            (0, common_1.assertParamExists)('applicationsApplicationWebhooksWebhookIdSubscriptionsGet', 'application', application);
            (0, common_1.assertParamExists)('applicationsApplicationWebhooksWebhookIdSubscriptionsGet', 'webhookId', webhookId);
            const localVarPath = `/applications/{application}/webhooks/{webhookId}/subscriptions`
                .replace(`{${"application"}}`, encodeURIComponent(String(application)))
                .replace(`{${"webhookId"}}`, encodeURIComponent(String(webhookId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        applicationsApplicationWebhooksWebhookIdSubscriptionsPost: async (application, webhookId, applicationsApplicationWebhooksWebhookIdSubscriptionsGetRequest, $fields, options = {}) => {
            (0, common_1.assertParamExists)('applicationsApplicationWebhooksWebhookIdSubscriptionsPost', 'application', application);
            (0, common_1.assertParamExists)('applicationsApplicationWebhooksWebhookIdSubscriptionsPost', 'webhookId', webhookId);
            (0, common_1.assertParamExists)('applicationsApplicationWebhooksWebhookIdSubscriptionsPost', 'applicationsApplicationWebhooksWebhookIdSubscriptionsGetRequest', applicationsApplicationWebhooksWebhookIdSubscriptionsGetRequest);
            const localVarPath = `/applications/{application}/webhooks/{webhookId}/subscriptions`
                .replace(`{${"application"}}`, encodeURIComponent(String(application)))
                .replace(`{${"webhookId"}}`, encodeURIComponent(String(webhookId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(applicationsApplicationWebhooksWebhookIdSubscriptionsGetRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        applicationsApplicationWebhooksWebhookIdSubscriptionsSubscriptionIdDelete: async (application, webhookId, subscriptionId, options = {}) => {
            (0, common_1.assertParamExists)('applicationsApplicationWebhooksWebhookIdSubscriptionsSubscriptionIdDelete', 'application', application);
            (0, common_1.assertParamExists)('applicationsApplicationWebhooksWebhookIdSubscriptionsSubscriptionIdDelete', 'webhookId', webhookId);
            (0, common_1.assertParamExists)('applicationsApplicationWebhooksWebhookIdSubscriptionsSubscriptionIdDelete', 'subscriptionId', subscriptionId);
            const localVarPath = `/applications/{application}/webhooks/{webhookId}/subscriptions/{subscriptionId}`
                .replace(`{${"application"}}`, encodeURIComponent(String(application)))
                .replace(`{${"webhookId"}}`, encodeURIComponent(String(webhookId)))
                .replace(`{${"subscriptionId"}}`, encodeURIComponent(String(subscriptionId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        applicationsApplicationWebhooksWebhookIdSubscriptionsSubscriptionIdPatch: async (application, webhookId, subscriptionId, $fields, applicationsApplicationWebhooksWebhookIdSubscriptionsSubscriptionIdDeleteRequest, options = {}) => {
            (0, common_1.assertParamExists)('applicationsApplicationWebhooksWebhookIdSubscriptionsSubscriptionIdPatch', 'application', application);
            (0, common_1.assertParamExists)('applicationsApplicationWebhooksWebhookIdSubscriptionsSubscriptionIdPatch', 'webhookId', webhookId);
            (0, common_1.assertParamExists)('applicationsApplicationWebhooksWebhookIdSubscriptionsSubscriptionIdPatch', 'subscriptionId', subscriptionId);
            const localVarPath = `/applications/{application}/webhooks/{webhookId}/subscriptions/{subscriptionId}`
                .replace(`{${"application"}}`, encodeURIComponent(String(application)))
                .replace(`{${"webhookId"}}`, encodeURIComponent(String(webhookId)))
                .replace(`{${"subscriptionId"}}`, encodeURIComponent(String(subscriptionId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PATCH', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(applicationsApplicationWebhooksWebhookIdSubscriptionsSubscriptionIdDeleteRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        applicationsApplicationWebhooksWebhookIdSubscriptionsSubscriptionIdRequestMissingRightsPost: async (application, webhookId, subscriptionId, options = {}) => {
            (0, common_1.assertParamExists)('applicationsApplicationWebhooksWebhookIdSubscriptionsSubscriptionIdRequestMissingRightsPost', 'application', application);
            (0, common_1.assertParamExists)('applicationsApplicationWebhooksWebhookIdSubscriptionsSubscriptionIdRequestMissingRightsPost', 'webhookId', webhookId);
            (0, common_1.assertParamExists)('applicationsApplicationWebhooksWebhookIdSubscriptionsSubscriptionIdRequestMissingRightsPost', 'subscriptionId', subscriptionId);
            const localVarPath = `/applications/{application}/webhooks/{webhookId}/subscriptions/{subscriptionId}/request-missing-rights`
                .replace(`{${"application"}}`, encodeURIComponent(String(application)))
                .replace(`{${"webhookId"}}`, encodeURIComponent(String(webhookId)))
                .replace(`{${"subscriptionId"}}`, encodeURIComponent(String(subscriptionId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        applicationsAuthorizationsAuthorizedApplicationsGet: async (contextIdentifier, $fields, options = {}) => {
            (0, common_1.assertParamExists)('applicationsAuthorizationsAuthorizedApplicationsGet', 'contextIdentifier', contextIdentifier);
            const localVarPath = `/applications/authorizations/authorized-applications`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if (contextIdentifier !== undefined) {
                localVarQueryParameter['contextIdentifier'] = contextIdentifier;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        applicationsPagedGet: async ($skip, $top, name, owner, withArchived, withManaged, ordering, $fields, options = {}) => {
            const localVarPath = `/applications/paged`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($skip !== undefined) {
                localVarQueryParameter['$skip'] = $skip;
            }
            if ($top !== undefined) {
                localVarQueryParameter['$top'] = $top;
            }
            if (name !== undefined) {
                localVarQueryParameter['name'] = name;
            }
            if (owner) {
                localVarQueryParameter['owner'] = owner;
            }
            if (withArchived !== undefined) {
                localVarQueryParameter['withArchived'] = withArchived;
            }
            if (withManaged !== undefined) {
                localVarQueryParameter['withManaged'] = withManaged;
            }
            if (ordering !== undefined) {
                localVarQueryParameter['ordering'] = ordering;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        applicationsPost: async (applicationsPostRequest, $fields, options = {}) => {
            (0, common_1.assertParamExists)('applicationsPost', 'applicationsPostRequest', applicationsPostRequest);
            const localVarPath = `/applications`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(applicationsPostRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        applicationsUiExtensionsPatch: async (applicationsUiExtensionsPatchRequest, options = {}) => {
            (0, common_1.assertParamExists)('applicationsUiExtensionsPatch', 'applicationsUiExtensionsPatchRequest', applicationsUiExtensionsPatchRequest);
            const localVarPath = `/applications/ui-extensions`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PATCH', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(applicationsUiExtensionsPatchRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        applicationsUnfurlsDomainsPatch: async (applicationsUnfurlsDomainsPatchRequest, options = {}) => {
            (0, common_1.assertParamExists)('applicationsUnfurlsDomainsPatch', 'applicationsUnfurlsDomainsPatchRequest', applicationsUnfurlsDomainsPatchRequest);
            const localVarPath = `/applications/unfurls/domains`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PATCH', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(applicationsUnfurlsDomainsPatchRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        applicationsUnfurlsPatternsPatch: async (applicationsUnfurlsPatternsPatchRequest, options = {}) => {
            (0, common_1.assertParamExists)('applicationsUnfurlsPatternsPatch', 'applicationsUnfurlsPatternsPatchRequest', applicationsUnfurlsPatternsPatchRequest);
            const localVarPath = `/applications/unfurls/patterns`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PATCH', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(applicationsUnfurlsPatternsPatchRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        applicationsUnfurlsQueueContentPost: async (applicationsUnfurlsQueueContentPostRequest, $fields, options = {}) => {
            (0, common_1.assertParamExists)('applicationsUnfurlsQueueContentPost', 'applicationsUnfurlsQueueContentPostRequest', applicationsUnfurlsQueueContentPostRequest);
            const localVarPath = `/applications/unfurls/queue/content`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(applicationsUnfurlsQueueContentPostRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        applicationsUnfurlsQueueGet: async (batchSize, fromEtag, $fields, options = {}) => {
            (0, common_1.assertParamExists)('applicationsUnfurlsQueueGet', 'batchSize', batchSize);
            const localVarPath = `/applications/unfurls/queue`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if (fromEtag !== undefined) {
                localVarQueryParameter['fromEtag'] = fromEtag;
            }
            if (batchSize !== undefined) {
                localVarQueryParameter['batchSize'] = batchSize;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        applicationsUnfurlsQueueRequestExternalAuthPost: async (applicationsUnfurlsQueueRequestExternalAuthPostRequest, options = {}) => {
            (0, common_1.assertParamExists)('applicationsUnfurlsQueueRequestExternalAuthPost', 'applicationsUnfurlsQueueRequestExternalAuthPostRequest', applicationsUnfurlsQueueRequestExternalAuthPostRequest);
            const localVarPath = `/applications/unfurls/queue/request-external-auth`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(applicationsUnfurlsQueueRequestExternalAuthPostRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        applicationsUnfurlsQueueResetExternalAuthRequestsPost: async (applicationsUnfurlsQueueResetExternalAuthRequestsPostRequest, options = {}) => {
            (0, common_1.assertParamExists)('applicationsUnfurlsQueueResetExternalAuthRequestsPost', 'applicationsUnfurlsQueueResetExternalAuthRequestsPostRequest', applicationsUnfurlsQueueResetExternalAuthRequestsPostRequest);
            const localVarPath = `/applications/unfurls/queue/reset-external-auth-requests`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(applicationsUnfurlsQueueResetExternalAuthRequestsPostRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        authModulesConfigDelete: async ($fields, options = {}) => {
            const localVarPath = `/auth-modules/config`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        authModulesConfigGet: async ($fields, options = {}) => {
            const localVarPath = `/auth-modules/config`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        authModulesConfigPut: async (authModulesConfigDeleteRequest, options = {}) => {
            const localVarPath = `/auth-modules/config`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PUT', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(authModulesConfigDeleteRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        authModulesDiscoverOidcGet: async (discoveryEndpoint, $fields, options = {}) => {
            (0, common_1.assertParamExists)('authModulesDiscoverOidcGet', 'discoveryEndpoint', discoveryEndpoint);
            const localVarPath = `/auth-modules/discover-oidc`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if (discoveryEndpoint !== undefined) {
                localVarQueryParameter['discoveryEndpoint'] = discoveryEndpoint;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        authModulesGet: async (withDisabled, $fields, options = {}) => {
            const localVarPath = `/auth-modules`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if (withDisabled !== undefined) {
                localVarQueryParameter['withDisabled'] = withDisabled;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        authModulesIdDelete: async (id, options = {}) => {
            (0, common_1.assertParamExists)('authModulesIdDelete', 'id', id);
            const localVarPath = `/auth-modules/{id}`
                .replace(`{${"id"}}`, encodeURIComponent(String(id)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        authModulesIdLoginsIdentifierChangePost: async (id, identifier, authModulesIdLoginsIdentifierChangePostRequest, options = {}) => {
            (0, common_1.assertParamExists)('authModulesIdLoginsIdentifierChangePost', 'id', id);
            (0, common_1.assertParamExists)('authModulesIdLoginsIdentifierChangePost', 'identifier', identifier);
            (0, common_1.assertParamExists)('authModulesIdLoginsIdentifierChangePost', 'authModulesIdLoginsIdentifierChangePostRequest', authModulesIdLoginsIdentifierChangePostRequest);
            const localVarPath = `/auth-modules/{id}/logins/{identifier}/change`
                .replace(`{${"id"}}`, encodeURIComponent(String(id)))
                .replace(`{${"identifier"}}`, encodeURIComponent(String(identifier)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(authModulesIdLoginsIdentifierChangePostRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        authModulesIdLoginsIdentifierDelete: async (identifier, id, options = {}) => {
            (0, common_1.assertParamExists)('authModulesIdLoginsIdentifierDelete', 'identifier', identifier);
            (0, common_1.assertParamExists)('authModulesIdLoginsIdentifierDelete', 'id', id);
            const localVarPath = `/auth-modules/{id}/logins/{identifier}`
                .replace(`{${"identifier"}}`, encodeURIComponent(String(identifier)))
                .replace(`{${"id"}}`, encodeURIComponent(String(id)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        authModulesIdLoginsIdentifierResetPost: async (id, identifier, options = {}) => {
            (0, common_1.assertParamExists)('authModulesIdLoginsIdentifierResetPost', 'id', id);
            (0, common_1.assertParamExists)('authModulesIdLoginsIdentifierResetPost', 'identifier', identifier);
            const localVarPath = `/auth-modules/{id}/logins/{identifier}/reset`
                .replace(`{${"id"}}`, encodeURIComponent(String(id)))
                .replace(`{${"identifier"}}`, encodeURIComponent(String(identifier)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        authModulesIdPatch: async (id, authModulesIdDeleteRequest, options = {}) => {
            (0, common_1.assertParamExists)('authModulesIdPatch', 'id', id);
            const localVarPath = `/auth-modules/{id}`
                .replace(`{${"id"}}`, encodeURIComponent(String(id)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PATCH', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(authModulesIdDeleteRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        authModulesIdSamlMetadataPost: async (id, authModulesIdSamlMetadataPostRequest, $fields, options = {}) => {
            (0, common_1.assertParamExists)('authModulesIdSamlMetadataPost', 'id', id);
            (0, common_1.assertParamExists)('authModulesIdSamlMetadataPost', 'authModulesIdSamlMetadataPostRequest', authModulesIdSamlMetadataPostRequest);
            const localVarPath = `/auth-modules/{id}/saml-metadata`
                .replace(`{${"id"}}`, encodeURIComponent(String(id)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(authModulesIdSamlMetadataPostRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        authModulesKeykeyGet: async (key, $fields, options = {}) => {
            (0, common_1.assertParamExists)('authModulesKeykeyGet', 'key', key);
            const localVarPath = `/auth-modules/key:{key}`
                .replace(`{${"key"}}`, encodeURIComponent(String(key)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        authModulesPost: async (authModulesGetRequest, $fields, options = {}) => {
            (0, common_1.assertParamExists)('authModulesPost', 'authModulesGetRequest', authModulesGetRequest);
            const localVarPath = `/auth-modules`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(authModulesGetRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        authModulesReorderPost: async (authModulesReorderPostRequest, options = {}) => {
            (0, common_1.assertParamExists)('authModulesReorderPost', 'authModulesReorderPostRequest', authModulesReorderPostRequest);
            const localVarPath = `/auth-modules/reorder`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(authModulesReorderPostRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        authModulesTestBuiltInPost: async (authModulesTestBuiltInPostRequest, $fields, options = {}) => {
            (0, common_1.assertParamExists)('authModulesTestBuiltInPost', 'authModulesTestBuiltInPostRequest', authModulesTestBuiltInPostRequest);
            const localVarPath = `/auth-modules/test/built-in`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(authModulesTestBuiltInPostRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        authModulesTestLdapPost: async (authModulesTestLdapPostRequest, $fields, options = {}) => {
            (0, common_1.assertParamExists)('authModulesTestLdapPost', 'authModulesTestLdapPostRequest', authModulesTestLdapPostRequest);
            const localVarPath = `/auth-modules/test/ldap`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(authModulesTestLdapPostRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        authModulesThrottledLoginsDelete: async (logins, options = {}) => {
            (0, common_1.assertParamExists)('authModulesThrottledLoginsDelete', 'logins', logins);
            const localVarPath = `/auth-modules/throttled-logins`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if (logins) {
                localVarQueryParameter['logins'] = logins;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        authModulesThrottledLoginsGet: async ($skip, $top, login, $fields, options = {}) => {
            const localVarPath = `/auth-modules/throttled-logins`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($skip !== undefined) {
                localVarQueryParameter['$skip'] = $skip;
            }
            if ($top !== undefined) {
                localVarQueryParameter['$top'] = $top;
            }
            if (login !== undefined) {
                localVarQueryParameter['login'] = login;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        authModulesThrottledLoginsOrgStatusDelete: async (options = {}) => {
            const localVarPath = `/auth-modules/throttled-logins/org-status`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        authModulesThrottledLoginsOrgStatusGet: async ($fields, options = {}) => {
            const localVarPath = `/auth-modules/throttled-logins/org-status`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        authModulesUsagesGet: async ($fields, options = {}) => {
            const localVarPath = `/auth-modules/usages`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        billingAdminOverdraftsGet: async ($fields, options = {}) => {
            const localVarPath = `/billing-admin/overdrafts`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        billingAdminOverdraftsPut: async (billingAdminOverdraftsGetRequest, options = {}) => {
            (0, common_1.assertParamExists)('billingAdminOverdraftsPut', 'billingAdminOverdraftsGetRequest', billingAdminOverdraftsGetRequest);
            const localVarPath = `/billing-admin/overdrafts`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PUT', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(billingAdminOverdraftsGetRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        billingAdminReportsBillingPeriodGet: async (billingPeriod, $fields, options = {}) => {
            (0, common_1.assertParamExists)('billingAdminReportsBillingPeriodGet', 'billingPeriod', billingPeriod);
            const localVarPath = `/billing-admin/reports/{billingPeriod}`
                .replace(`{${"billingPeriod"}}`, encodeURIComponent(String(billingPeriod)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        billingAdminReportsTodayGet: async (date, $fields, options = {}) => {
            (0, common_1.assertParamExists)('billingAdminReportsTodayGet', 'date', date);
            const localVarPath = `/billing-admin/reports/today`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if (date !== undefined) {
                localVarQueryParameter['date'] = date;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        billingAdminTrialPut: async (billingAdminTrialPutRequest, options = {}) => {
            (0, common_1.assertParamExists)('billingAdminTrialPut', 'billingAdminTrialPutRequest', billingAdminTrialPutRequest);
            const localVarPath = `/billing-admin/trial`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PUT', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(billingAdminTrialPutRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        blogAliasaliasGet: async (alias, $fields, options = {}) => {
            (0, common_1.assertParamExists)('blogAliasaliasGet', 'alias', alias);
            const localVarPath = `/blog/alias:{alias}`
                .replace(`{${"alias"}}`, encodeURIComponent(String(alias)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        blogExternalIdidGet: async (id, $fields, options = {}) => {
            (0, common_1.assertParamExists)('blogExternalIdidGet', 'id', id);
            const localVarPath = `/blog/external-id:{id}`
                .replace(`{${"id"}}`, encodeURIComponent(String(id)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        blogGet: async ($skip, $top, term, dateFrom, dateTo, authorId, teamId, locationId, forProfile, $fields, options = {}) => {
            const localVarPath = `/blog`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($skip !== undefined) {
                localVarQueryParameter['$skip'] = $skip;
            }
            if ($top !== undefined) {
                localVarQueryParameter['$top'] = $top;
            }
            if (term !== undefined) {
                localVarQueryParameter['term'] = term;
            }
            if (dateFrom !== undefined) {
                localVarQueryParameter['dateFrom'] = (dateFrom instanceof Date) ?
                    dateFrom.toISOString() :
                    dateFrom;
            }
            if (dateTo !== undefined) {
                localVarQueryParameter['dateTo'] = (dateTo instanceof Date) ?
                    dateTo.toISOString() :
                    dateTo;
            }
            if (authorId !== undefined) {
                localVarQueryParameter['authorId'] = authorId;
            }
            if (teamId !== undefined) {
                localVarQueryParameter['teamId'] = teamId;
            }
            if (locationId !== undefined) {
                localVarQueryParameter['locationId'] = locationId;
            }
            if (forProfile !== undefined) {
                localVarQueryParameter['forProfile'] = forProfile;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        blogIdDelete: async (id, options = {}) => {
            (0, common_1.assertParamExists)('blogIdDelete', 'id', id);
            const localVarPath = `/blog/{id}`
                .replace(`{${"id"}}`, encodeURIComponent(String(id)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        blogIdGet: async (id, $fields, options = {}) => {
            (0, common_1.assertParamExists)('blogIdGet', 'id', id);
            const localVarPath = `/blog/{id}`
                .replace(`{${"id"}}`, encodeURIComponent(String(id)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        blogIdPatch: async (id, $fields, blogIdDeleteRequest, options = {}) => {
            (0, common_1.assertParamExists)('blogIdPatch', 'id', id);
            const localVarPath = `/blog/{id}`
                .replace(`{${"id"}}`, encodeURIComponent(String(id)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PATCH', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(blogIdDeleteRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        blogImportPost: async (blogImportPostRequest, $fields, options = {}) => {
            (0, common_1.assertParamExists)('blogImportPost', 'blogImportPostRequest', blogImportPostRequest);
            const localVarPath = `/blog/import`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(blogImportPostRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        blogPost: async (blogGetRequest, $fields, options = {}) => {
            (0, common_1.assertParamExists)('blogPost', 'blogGetRequest', blogGetRequest);
            const localVarPath = `/blog`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(blogGetRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        blogStatsGet: async (dateFrom, dateTo, authorId, teamId, locationId, $fields, options = {}) => {
            const localVarPath = `/blog/stats`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if (dateFrom !== undefined) {
                localVarQueryParameter['dateFrom'] = (dateFrom instanceof Date) ?
                    dateFrom.toISOString() :
                    dateFrom;
            }
            if (dateTo !== undefined) {
                localVarQueryParameter['dateTo'] = (dateTo instanceof Date) ?
                    dateTo.toISOString() :
                    dateTo;
            }
            if (authorId !== undefined) {
                localVarQueryParameter['authorId'] = authorId;
            }
            if (teamId !== undefined) {
                localVarQueryParameter['teamId'] = teamId;
            }
            if (locationId !== undefined) {
                localVarQueryParameter['locationId'] = locationId;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        calendarsAbsenceEventsGet: async (dateFrom, dateTo, team, location, role, $fields, options = {}) => {
            (0, common_1.assertParamExists)('calendarsAbsenceEventsGet', 'dateFrom', dateFrom);
            (0, common_1.assertParamExists)('calendarsAbsenceEventsGet', 'dateTo', dateTo);
            const localVarPath = `/calendars/absence-events`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if (dateFrom !== undefined) {
                localVarQueryParameter['dateFrom'] = dateFrom;
            }
            if (dateTo !== undefined) {
                localVarQueryParameter['dateTo'] = dateTo;
            }
            if (team !== undefined) {
                localVarQueryParameter['team'] = team;
            }
            if (location !== undefined) {
                localVarQueryParameter['location'] = location;
            }
            if (role !== undefined) {
                localVarQueryParameter['role'] = role;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        calendarsBirthdayEventsGet: async (dateFrom, dateTo, team, location, role, $fields, options = {}) => {
            (0, common_1.assertParamExists)('calendarsBirthdayEventsGet', 'dateFrom', dateFrom);
            (0, common_1.assertParamExists)('calendarsBirthdayEventsGet', 'dateTo', dateTo);
            const localVarPath = `/calendars/birthday-events`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if (dateFrom !== undefined) {
                localVarQueryParameter['dateFrom'] = dateFrom;
            }
            if (dateTo !== undefined) {
                localVarQueryParameter['dateTo'] = dateTo;
            }
            if (team !== undefined) {
                localVarQueryParameter['team'] = team;
            }
            if (location !== undefined) {
                localVarQueryParameter['location'] = location;
            }
            if (role !== undefined) {
                localVarQueryParameter['role'] = role;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        calendarsBirthdayEventsStarredGet: async (dateFrom, dateTo, $fields, options = {}) => {
            (0, common_1.assertParamExists)('calendarsBirthdayEventsStarredGet', 'dateFrom', dateFrom);
            (0, common_1.assertParamExists)('calendarsBirthdayEventsStarredGet', 'dateTo', dateTo);
            const localVarPath = `/calendars/birthday-events/starred`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if (dateFrom !== undefined) {
                localVarQueryParameter['dateFrom'] = dateFrom;
            }
            if (dateTo !== undefined) {
                localVarQueryParameter['dateTo'] = dateTo;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        calendarsEventParticipationsIdPatch: async (id, calendarsEventParticipationsIdPatchRequest, $fields, options = {}) => {
            (0, common_1.assertParamExists)('calendarsEventParticipationsIdPatch', 'id', id);
            (0, common_1.assertParamExists)('calendarsEventParticipationsIdPatch', 'calendarsEventParticipationsIdPatchRequest', calendarsEventParticipationsIdPatchRequest);
            const localVarPath = `/calendars/event-participations/{id}`
                .replace(`{${"id"}}`, encodeURIComponent(String(id)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PATCH', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(calendarsEventParticipationsIdPatchRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        calendarsEventsGet: async (dateFrom, dateTo, $fields, options = {}) => {
            (0, common_1.assertParamExists)('calendarsEventsGet', 'dateFrom', dateFrom);
            (0, common_1.assertParamExists)('calendarsEventsGet', 'dateTo', dateTo);
            const localVarPath = `/calendars/events`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if (dateFrom !== undefined) {
                localVarQueryParameter['dateFrom'] = dateFrom;
            }
            if (dateTo !== undefined) {
                localVarQueryParameter['dateTo'] = dateTo;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        calendarsEventsIdGet: async (id, $fields, options = {}) => {
            (0, common_1.assertParamExists)('calendarsEventsIdGet', 'id', id);
            const localVarPath = `/calendars/events/{id}`
                .replace(`{${"id"}}`, encodeURIComponent(String(id)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        calendarsHolidaysGet: async (startDate, endDate, team, location, role, workingDays, $fields, options = {}) => {
            (0, common_1.assertParamExists)('calendarsHolidaysGet', 'startDate', startDate);
            (0, common_1.assertParamExists)('calendarsHolidaysGet', 'endDate', endDate);
            const localVarPath = `/calendars/holidays`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if (startDate !== undefined) {
                localVarQueryParameter['startDate'] = startDate;
            }
            if (endDate !== undefined) {
                localVarQueryParameter['endDate'] = endDate;
            }
            if (team !== undefined) {
                localVarQueryParameter['team'] = team;
            }
            if (location !== undefined) {
                localVarQueryParameter['location'] = location;
            }
            if (role !== undefined) {
                localVarQueryParameter['role'] = role;
            }
            if (workingDays !== undefined) {
                localVarQueryParameter['workingDays'] = workingDays;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        calendarsMeetingsGet: async ($skip, $top, summaryQuery, locationsQuery, startingAfter, endingAfter, endingBefore, startingBefore, profiles, teams, organizer, includePrivate, includeArchived, includeMeetingInstances, $fields, options = {}) => {
            const localVarPath = `/calendars/meetings`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($skip !== undefined) {
                localVarQueryParameter['$skip'] = $skip;
            }
            if ($top !== undefined) {
                localVarQueryParameter['$top'] = $top;
            }
            if (summaryQuery !== undefined) {
                localVarQueryParameter['summaryQuery'] = summaryQuery;
            }
            if (locationsQuery) {
                localVarQueryParameter['locationsQuery'] = locationsQuery;
            }
            if (startingAfter !== undefined) {
                localVarQueryParameter['startingAfter'] = (startingAfter instanceof Date) ?
                    startingAfter.toISOString() :
                    startingAfter;
            }
            if (endingAfter !== undefined) {
                localVarQueryParameter['endingAfter'] = (endingAfter instanceof Date) ?
                    endingAfter.toISOString() :
                    endingAfter;
            }
            if (endingBefore !== undefined) {
                localVarQueryParameter['endingBefore'] = (endingBefore instanceof Date) ?
                    endingBefore.toISOString() :
                    endingBefore;
            }
            if (startingBefore !== undefined) {
                localVarQueryParameter['startingBefore'] = (startingBefore instanceof Date) ?
                    startingBefore.toISOString() :
                    startingBefore;
            }
            if (profiles) {
                localVarQueryParameter['profiles'] = profiles;
            }
            if (teams) {
                localVarQueryParameter['teams'] = teams;
            }
            if (organizer !== undefined) {
                localVarQueryParameter['organizer'] = organizer;
            }
            if (includePrivate !== undefined) {
                localVarQueryParameter['includePrivate'] = includePrivate;
            }
            if (includeArchived !== undefined) {
                localVarQueryParameter['includeArchived'] = includeArchived;
            }
            if (includeMeetingInstances !== undefined) {
                localVarQueryParameter['includeMeetingInstances'] = includeMeetingInstances;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        calendarsMeetingsIdConferenceRoomsDelete: async (id, roomId, dateTime, options = {}) => {
            (0, common_1.assertParamExists)('calendarsMeetingsIdConferenceRoomsDelete', 'id', id);
            (0, common_1.assertParamExists)('calendarsMeetingsIdConferenceRoomsDelete', 'roomId', roomId);
            (0, common_1.assertParamExists)('calendarsMeetingsIdConferenceRoomsDelete', 'dateTime', dateTime);
            const localVarPath = `/calendars/meetings/{id}/conference-rooms`
                .replace(`{${"id"}}`, encodeURIComponent(String(id)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if (roomId !== undefined) {
                localVarQueryParameter['roomId'] = roomId;
            }
            if (dateTime !== undefined) {
                localVarQueryParameter['dateTime'] = (dateTime instanceof Date) ?
                    dateTime.toISOString() :
                    dateTime;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        calendarsMeetingsIdConferenceRoomsPost: async (id, calendarsMeetingsIdConferenceRoomsDeleteRequest, options = {}) => {
            (0, common_1.assertParamExists)('calendarsMeetingsIdConferenceRoomsPost', 'id', id);
            (0, common_1.assertParamExists)('calendarsMeetingsIdConferenceRoomsPost', 'calendarsMeetingsIdConferenceRoomsDeleteRequest', calendarsMeetingsIdConferenceRoomsDeleteRequest);
            const localVarPath = `/calendars/meetings/{id}/conference-rooms`
                .replace(`{${"id"}}`, encodeURIComponent(String(id)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(calendarsMeetingsIdConferenceRoomsDeleteRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        calendarsMeetingsIdDelete: async (id, targetDate, modificationKind, $fields, options = {}) => {
            (0, common_1.assertParamExists)('calendarsMeetingsIdDelete', 'id', id);
            const localVarPath = `/calendars/meetings/{id}`
                .replace(`{${"id"}}`, encodeURIComponent(String(id)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if (targetDate !== undefined) {
                localVarQueryParameter['targetDate'] = (targetDate instanceof Date) ?
                    targetDate.toISOString() :
                    targetDate;
            }
            if (modificationKind !== undefined) {
                localVarQueryParameter['modificationKind'] = modificationKind;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        calendarsMeetingsIdGet: async (id, $fields, options = {}) => {
            (0, common_1.assertParamExists)('calendarsMeetingsIdGet', 'id', id);
            const localVarPath = `/calendars/meetings/{id}`
                .replace(`{${"id"}}`, encodeURIComponent(String(id)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        calendarsMeetingsIdParticipationStatusPatch: async (id, calendarsMeetingsIdParticipationStatusPatchRequest, $fields, options = {}) => {
            (0, common_1.assertParamExists)('calendarsMeetingsIdParticipationStatusPatch', 'id', id);
            (0, common_1.assertParamExists)('calendarsMeetingsIdParticipationStatusPatch', 'calendarsMeetingsIdParticipationStatusPatchRequest', calendarsMeetingsIdParticipationStatusPatchRequest);
            const localVarPath = `/calendars/meetings/{id}/participation-status`
                .replace(`{${"id"}}`, encodeURIComponent(String(id)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PATCH', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(calendarsMeetingsIdParticipationStatusPatchRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        calendarsMeetingsIdPatch: async (id, $fields, calendarsMeetingsIdDeleteRequest, options = {}) => {
            (0, common_1.assertParamExists)('calendarsMeetingsIdPatch', 'id', id);
            const localVarPath = `/calendars/meetings/{id}`
                .replace(`{${"id"}}`, encodeURIComponent(String(id)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PATCH', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(calendarsMeetingsIdDeleteRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        calendarsMeetingsNextOccurrenceGet: async (meetingId, since, $fields, options = {}) => {
            (0, common_1.assertParamExists)('calendarsMeetingsNextOccurrenceGet', 'meetingId', meetingId);
            const localVarPath = `/calendars/meetings/next-occurrence`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if (meetingId !== undefined) {
                localVarQueryParameter['meetingId'] = meetingId;
            }
            if (since !== undefined) {
                localVarQueryParameter['since'] = (since instanceof Date) ?
                    since.toISOString() :
                    since;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        calendarsMeetingsOccurrencesByMeetingGet: async (meetingIds, since, until, limit, $fields, options = {}) => {
            (0, common_1.assertParamExists)('calendarsMeetingsOccurrencesByMeetingGet', 'meetingIds', meetingIds);
            (0, common_1.assertParamExists)('calendarsMeetingsOccurrencesByMeetingGet', 'since', since);
            (0, common_1.assertParamExists)('calendarsMeetingsOccurrencesByMeetingGet', 'until', until);
            const localVarPath = `/calendars/meetings/occurrences-by-meeting`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if (meetingIds) {
                localVarQueryParameter['meetingIds'] = meetingIds;
            }
            if (since !== undefined) {
                localVarQueryParameter['since'] = (since instanceof Date) ?
                    since.toISOString() :
                    since;
            }
            if (until !== undefined) {
                localVarQueryParameter['until'] = (until instanceof Date) ?
                    until.toISOString() :
                    until;
            }
            if (limit !== undefined) {
                localVarQueryParameter['limit'] = limit;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        calendarsMeetingsOccurrencesGet: async (meetingId, since, until, limit, $fields, options = {}) => {
            (0, common_1.assertParamExists)('calendarsMeetingsOccurrencesGet', 'meetingId', meetingId);
            (0, common_1.assertParamExists)('calendarsMeetingsOccurrencesGet', 'since', since);
            (0, common_1.assertParamExists)('calendarsMeetingsOccurrencesGet', 'until', until);
            const localVarPath = `/calendars/meetings/occurrences`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if (meetingId !== undefined) {
                localVarQueryParameter['meetingId'] = meetingId;
            }
            if (since !== undefined) {
                localVarQueryParameter['since'] = (since instanceof Date) ?
                    since.toISOString() :
                    since;
            }
            if (until !== undefined) {
                localVarQueryParameter['until'] = (until instanceof Date) ?
                    until.toISOString() :
                    until;
            }
            if (limit !== undefined) {
                localVarQueryParameter['limit'] = limit;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        calendarsMeetingsParticipationStatusesExternalGet: async (id, emails, options = {}) => {
            (0, common_1.assertParamExists)('calendarsMeetingsParticipationStatusesExternalGet', 'id', id);
            (0, common_1.assertParamExists)('calendarsMeetingsParticipationStatusesExternalGet', 'emails', emails);
            const localVarPath = `/calendars/meetings/participation-statuses-external`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if (id !== undefined) {
                localVarQueryParameter['id'] = id;
            }
            if (emails) {
                localVarQueryParameter['emails'] = emails;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        calendarsMeetingsParticipationStatusesGet: async (id, profileIds, options = {}) => {
            (0, common_1.assertParamExists)('calendarsMeetingsParticipationStatusesGet', 'id', id);
            (0, common_1.assertParamExists)('calendarsMeetingsParticipationStatusesGet', 'profileIds', profileIds);
            const localVarPath = `/calendars/meetings/participation-statuses`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if (id !== undefined) {
                localVarQueryParameter['id'] = id;
            }
            if (profileIds) {
                localVarQueryParameter['profileIds'] = profileIds;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        calendarsMeetingsPost: async (calendarsMeetingsGetRequest, $fields, options = {}) => {
            (0, common_1.assertParamExists)('calendarsMeetingsPost', 'calendarsMeetingsGetRequest', calendarsMeetingsGetRequest);
            const localVarPath = `/calendars/meetings`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(calendarsMeetingsGetRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        calendarsMeetingsProfileParticipationGet: async (profileId, events, $fields, options = {}) => {
            (0, common_1.assertParamExists)('calendarsMeetingsProfileParticipationGet', 'profileId', profileId);
            (0, common_1.assertParamExists)('calendarsMeetingsProfileParticipationGet', 'events', events);
            const localVarPath = `/calendars/meetings/profile-participation`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if (profileId !== undefined) {
                localVarQueryParameter['profileId'] = profileId;
            }
            if (events) {
                localVarQueryParameter['events'] = events;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        calendarsMeetingsProfileParticipationRecordsGet: async (profileId, events, $fields, options = {}) => {
            (0, common_1.assertParamExists)('calendarsMeetingsProfileParticipationRecordsGet', 'profileId', profileId);
            (0, common_1.assertParamExists)('calendarsMeetingsProfileParticipationRecordsGet', 'events', events);
            const localVarPath = `/calendars/meetings/profile-participation-records`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if (profileId !== undefined) {
                localVarQueryParameter['profileId'] = profileId;
            }
            if (events) {
                localVarQueryParameter['events'] = events;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        calendarsMembershipEventsGet: async (dateFrom, dateTo, team, location, role, $fields, options = {}) => {
            (0, common_1.assertParamExists)('calendarsMembershipEventsGet', 'dateFrom', dateFrom);
            (0, common_1.assertParamExists)('calendarsMembershipEventsGet', 'dateTo', dateTo);
            const localVarPath = `/calendars/membership-events`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if (dateFrom !== undefined) {
                localVarQueryParameter['dateFrom'] = dateFrom;
            }
            if (dateTo !== undefined) {
                localVarQueryParameter['dateTo'] = dateTo;
            }
            if (team !== undefined) {
                localVarQueryParameter['team'] = team;
            }
            if (location !== undefined) {
                localVarQueryParameter['location'] = location;
            }
            if (role !== undefined) {
                localVarQueryParameter['role'] = role;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        calendarsNonWorkingDaysEventsGet: async (dateFrom, dateTo, member, team, location, role, $fields, options = {}) => {
            (0, common_1.assertParamExists)('calendarsNonWorkingDaysEventsGet', 'dateFrom', dateFrom);
            (0, common_1.assertParamExists)('calendarsNonWorkingDaysEventsGet', 'dateTo', dateTo);
            const localVarPath = `/calendars/non-working-days-events`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if (dateFrom !== undefined) {
                localVarQueryParameter['dateFrom'] = dateFrom;
            }
            if (dateTo !== undefined) {
                localVarQueryParameter['dateTo'] = dateTo;
            }
            if (member !== undefined) {
                localVarQueryParameter['member'] = member;
            }
            if (team !== undefined) {
                localVarQueryParameter['team'] = team;
            }
            if (location !== undefined) {
                localVarQueryParameter['location'] = location;
            }
            if (role !== undefined) {
                localVarQueryParameter['role'] = role;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        callsPost: async (callsPostRequest, $fields, options = {}) => {
            (0, common_1.assertParamExists)('callsPost', 'callsPostRequest', callsPostRequest);
            const localVarPath = `/calls`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(callsPostRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        chatsChannelsAllChannelsGet: async (query, $skip, $top, quickFilter, sortColumn, sortOrder, publicOnly, withArchived, subscriber, $fields, options = {}) => {
            (0, common_1.assertParamExists)('chatsChannelsAllChannelsGet', 'query', query);
            const localVarPath = `/chats/channels/all-channels`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if (query !== undefined) {
                localVarQueryParameter['query'] = query;
            }
            if ($skip !== undefined) {
                localVarQueryParameter['$skip'] = $skip;
            }
            if ($top !== undefined) {
                localVarQueryParameter['$top'] = $top;
            }
            if (quickFilter !== undefined) {
                localVarQueryParameter['quickFilter'] = quickFilter;
            }
            if (sortColumn !== undefined) {
                localVarQueryParameter['sortColumn'] = sortColumn;
            }
            if (sortOrder !== undefined) {
                localVarQueryParameter['sortOrder'] = sortOrder;
            }
            if (publicOnly !== undefined) {
                localVarQueryParameter['publicOnly'] = publicOnly;
            }
            if (withArchived !== undefined) {
                localVarQueryParameter['withArchived'] = withArchived;
            }
            if (subscriber !== undefined) {
                localVarQueryParameter['subscriber'] = subscriber;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        chatsChannelsChannelAdministratorGet: async (channel, $fields, options = {}) => {
            (0, common_1.assertParamExists)('chatsChannelsChannelAdministratorGet', 'channel', channel);
            const localVarPath = `/chats/channels/{channel}/administrator`
                .replace(`{${"channel"}}`, encodeURIComponent(String(channel)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        chatsChannelsChannelAdministratorPatch: async (channel, chatsChannelsChannelAdministratorGetRequest, options = {}) => {
            (0, common_1.assertParamExists)('chatsChannelsChannelAdministratorPatch', 'channel', channel);
            (0, common_1.assertParamExists)('chatsChannelsChannelAdministratorPatch', 'chatsChannelsChannelAdministratorGetRequest', chatsChannelsChannelAdministratorGetRequest);
            const localVarPath = `/chats/channels/{channel}/administrator`
                .replace(`{${"channel"}}`, encodeURIComponent(String(channel)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PATCH', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(chatsChannelsChannelAdministratorGetRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        chatsChannelsChannelArchiveDelete: async (channel, options = {}) => {
            (0, common_1.assertParamExists)('chatsChannelsChannelArchiveDelete', 'channel', channel);
            const localVarPath = `/chats/channels/{channel}/archive`
                .replace(`{${"channel"}}`, encodeURIComponent(String(channel)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        chatsChannelsChannelAttachmentsFilesGet: async (channel, $skip, $top, $fields, options = {}) => {
            (0, common_1.assertParamExists)('chatsChannelsChannelAttachmentsFilesGet', 'channel', channel);
            const localVarPath = `/chats/channels/{channel}/attachments/files`
                .replace(`{${"channel"}}`, encodeURIComponent(String(channel)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($skip !== undefined) {
                localVarQueryParameter['$skip'] = $skip;
            }
            if ($top !== undefined) {
                localVarQueryParameter['$top'] = $top;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        chatsChannelsChannelAttachmentsGet: async (channel, $skip, $top, $fields, options = {}) => {
            (0, common_1.assertParamExists)('chatsChannelsChannelAttachmentsGet', 'channel', channel);
            const localVarPath = `/chats/channels/{channel}/attachments`
                .replace(`{${"channel"}}`, encodeURIComponent(String(channel)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($skip !== undefined) {
                localVarQueryParameter['$skip'] = $skip;
            }
            if ($top !== undefined) {
                localVarQueryParameter['$top'] = $top;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        chatsChannelsChannelAttachmentsImagesGet: async (channel, $skip, $top, $fields, options = {}) => {
            (0, common_1.assertParamExists)('chatsChannelsChannelAttachmentsImagesGet', 'channel', channel);
            const localVarPath = `/chats/channels/{channel}/attachments/images`
                .replace(`{${"channel"}}`, encodeURIComponent(String(channel)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($skip !== undefined) {
                localVarQueryParameter['$skip'] = $skip;
            }
            if ($top !== undefined) {
                localVarQueryParameter['$top'] = $top;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        chatsChannelsChannelAttachmentsLinksGet: async (channel, $skip, $top, $fields, options = {}) => {
            (0, common_1.assertParamExists)('chatsChannelsChannelAttachmentsLinksGet', 'channel', channel);
            const localVarPath = `/chats/channels/{channel}/attachments/links`
                .replace(`{${"channel"}}`, encodeURIComponent(String(channel)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($skip !== undefined) {
                localVarQueryParameter['$skip'] = $skip;
            }
            if ($top !== undefined) {
                localVarQueryParameter['$top'] = $top;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        chatsChannelsChannelAttachmentsVideosGet: async (channel, $skip, $top, $fields, options = {}) => {
            (0, common_1.assertParamExists)('chatsChannelsChannelAttachmentsVideosGet', 'channel', channel);
            const localVarPath = `/chats/channels/{channel}/attachments/videos`
                .replace(`{${"channel"}}`, encodeURIComponent(String(channel)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($skip !== undefined) {
                localVarQueryParameter['$skip'] = $skip;
            }
            if ($top !== undefined) {
                localVarQueryParameter['$top'] = $top;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        chatsChannelsChannelDelete: async (channel, options = {}) => {
            (0, common_1.assertParamExists)('chatsChannelsChannelDelete', 'channel', channel);
            const localVarPath = `/chats/channels/{channel}`
                .replace(`{${"channel"}}`, encodeURIComponent(String(channel)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        chatsChannelsChannelDescriptionPatch: async (channel, chatsChannelsChannelDescriptionPatchRequest, options = {}) => {
            (0, common_1.assertParamExists)('chatsChannelsChannelDescriptionPatch', 'channel', channel);
            (0, common_1.assertParamExists)('chatsChannelsChannelDescriptionPatch', 'chatsChannelsChannelDescriptionPatchRequest', chatsChannelsChannelDescriptionPatchRequest);
            const localVarPath = `/chats/channels/{channel}/description`
                .replace(`{${"channel"}}`, encodeURIComponent(String(channel)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PATCH', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(chatsChannelsChannelDescriptionPatchRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        chatsChannelsChannelGet: async (channel, $fields, options = {}) => {
            (0, common_1.assertParamExists)('chatsChannelsChannelGet', 'channel', channel);
            const localVarPath = `/chats/channels/{channel}`
                .replace(`{${"channel"}}`, encodeURIComponent(String(channel)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        chatsChannelsChannelIconPatch: async (channel, chatsChannelsChannelIconPatchRequest, options = {}) => {
            (0, common_1.assertParamExists)('chatsChannelsChannelIconPatch', 'channel', channel);
            const localVarPath = `/chats/channels/{channel}/icon`
                .replace(`{${"channel"}}`, encodeURIComponent(String(channel)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PATCH', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(chatsChannelsChannelIconPatchRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        chatsChannelsChannelNamePatch: async (channel, chatsChannelsIsNameFreePostRequest, options = {}) => {
            (0, common_1.assertParamExists)('chatsChannelsChannelNamePatch', 'channel', channel);
            (0, common_1.assertParamExists)('chatsChannelsChannelNamePatch', 'chatsChannelsIsNameFreePostRequest', chatsChannelsIsNameFreePostRequest);
            const localVarPath = `/chats/channels/{channel}/name`
                .replace(`{${"channel"}}`, encodeURIComponent(String(channel)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PATCH', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(chatsChannelsIsNameFreePostRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        chatsChannelsChannelRestoreArchivedPost: async (channel, options = {}) => {
            (0, common_1.assertParamExists)('chatsChannelsChannelRestoreArchivedPost', 'channel', channel);
            const localVarPath = `/chats/channels/{channel}/restore-archived`
                .replace(`{${"channel"}}`, encodeURIComponent(String(channel)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        chatsChannelsChannelSubscribersTeamsDelete: async (channel, teams, options = {}) => {
            (0, common_1.assertParamExists)('chatsChannelsChannelSubscribersTeamsDelete', 'channel', channel);
            (0, common_1.assertParamExists)('chatsChannelsChannelSubscribersTeamsDelete', 'teams', teams);
            const localVarPath = `/chats/channels/{channel}/subscribers/teams`
                .replace(`{${"channel"}}`, encodeURIComponent(String(channel)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if (teams) {
                localVarQueryParameter['teams'] = teams;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        chatsChannelsChannelSubscribersTeamsGet: async (channel, query, $skip, $top, $fields, options = {}) => {
            (0, common_1.assertParamExists)('chatsChannelsChannelSubscribersTeamsGet', 'channel', channel);
            (0, common_1.assertParamExists)('chatsChannelsChannelSubscribersTeamsGet', 'query', query);
            const localVarPath = `/chats/channels/{channel}/subscribers/teams`
                .replace(`{${"channel"}}`, encodeURIComponent(String(channel)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($skip !== undefined) {
                localVarQueryParameter['$skip'] = $skip;
            }
            if ($top !== undefined) {
                localVarQueryParameter['$top'] = $top;
            }
            if (query !== undefined) {
                localVarQueryParameter['query'] = query;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        chatsChannelsChannelSubscribersTeamsPost: async (channel, chatsChannelsChannelSubscribersTeamsDeleteRequest, options = {}) => {
            (0, common_1.assertParamExists)('chatsChannelsChannelSubscribersTeamsPost', 'channel', channel);
            (0, common_1.assertParamExists)('chatsChannelsChannelSubscribersTeamsPost', 'chatsChannelsChannelSubscribersTeamsDeleteRequest', chatsChannelsChannelSubscribersTeamsDeleteRequest);
            const localVarPath = `/chats/channels/{channel}/subscribers/teams`
                .replace(`{${"channel"}}`, encodeURIComponent(String(channel)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(chatsChannelsChannelSubscribersTeamsDeleteRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        chatsChannelsChannelSubscribersUsersDelete: async (channel, profiles, options = {}) => {
            (0, common_1.assertParamExists)('chatsChannelsChannelSubscribersUsersDelete', 'channel', channel);
            (0, common_1.assertParamExists)('chatsChannelsChannelSubscribersUsersDelete', 'profiles', profiles);
            const localVarPath = `/chats/channels/{channel}/subscribers/users`
                .replace(`{${"channel"}}`, encodeURIComponent(String(channel)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if (profiles) {
                localVarQueryParameter['profiles'] = profiles;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        chatsChannelsChannelSubscribersUsersGet: async (channel, query, $skip, $top, $fields, options = {}) => {
            (0, common_1.assertParamExists)('chatsChannelsChannelSubscribersUsersGet', 'channel', channel);
            (0, common_1.assertParamExists)('chatsChannelsChannelSubscribersUsersGet', 'query', query);
            const localVarPath = `/chats/channels/{channel}/subscribers/users`
                .replace(`{${"channel"}}`, encodeURIComponent(String(channel)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($skip !== undefined) {
                localVarQueryParameter['$skip'] = $skip;
            }
            if ($top !== undefined) {
                localVarQueryParameter['$top'] = $top;
            }
            if (query !== undefined) {
                localVarQueryParameter['query'] = query;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        chatsChannelsChannelSubscribersUsersPost: async (channel, chatsChannelsChannelSubscribersUsersDeleteRequest, options = {}) => {
            (0, common_1.assertParamExists)('chatsChannelsChannelSubscribersUsersPost', 'channel', channel);
            (0, common_1.assertParamExists)('chatsChannelsChannelSubscribersUsersPost', 'chatsChannelsChannelSubscribersUsersDeleteRequest', chatsChannelsChannelSubscribersUsersDeleteRequest);
            const localVarPath = `/chats/channels/{channel}/subscribers/users`
                .replace(`{${"channel"}}`, encodeURIComponent(String(channel)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(chatsChannelsChannelSubscribersUsersDeleteRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        chatsChannelsConversationsChannelConvertPost: async (channel, chatsChannelsConversationsChannelConvertPostRequest, $fields, options = {}) => {
            (0, common_1.assertParamExists)('chatsChannelsConversationsChannelConvertPost', 'channel', channel);
            (0, common_1.assertParamExists)('chatsChannelsConversationsChannelConvertPost', 'chatsChannelsConversationsChannelConvertPostRequest', chatsChannelsConversationsChannelConvertPostRequest);
            const localVarPath = `/chats/channels/conversations/{channel}/convert`
                .replace(`{${"channel"}}`, encodeURIComponent(String(channel)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(chatsChannelsConversationsChannelConvertPostRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        chatsChannelsConversationsChannelSubjectPatch: async (channel, chatsChannelsConversationsChannelSubjectPatchRequest, options = {}) => {
            (0, common_1.assertParamExists)('chatsChannelsConversationsChannelSubjectPatch', 'channel', channel);
            (0, common_1.assertParamExists)('chatsChannelsConversationsChannelSubjectPatch', 'chatsChannelsConversationsChannelSubjectPatchRequest', chatsChannelsConversationsChannelSubjectPatchRequest);
            const localVarPath = `/chats/channels/conversations/{channel}/subject`
                .replace(`{${"channel"}}`, encodeURIComponent(String(channel)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PATCH', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(chatsChannelsConversationsChannelSubjectPatchRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        chatsChannelsConversationsPost: async (chatsChannelsConversationsPostRequest, $fields, options = {}) => {
            (0, common_1.assertParamExists)('chatsChannelsConversationsPost', 'chatsChannelsConversationsPostRequest', chatsChannelsConversationsPostRequest);
            const localVarPath = `/chats/channels/conversations`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(chatsChannelsConversationsPostRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        chatsChannelsDmPost: async (chatsChannelsDmPostRequest, $fields, options = {}) => {
            (0, common_1.assertParamExists)('chatsChannelsDmPost', 'chatsChannelsDmPostRequest', chatsChannelsDmPostRequest);
            const localVarPath = `/chats/channels/dm`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(chatsChannelsDmPostRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        chatsChannelsIsNameFreePost: async (chatsChannelsIsNameFreePostRequest, options = {}) => {
            (0, common_1.assertParamExists)('chatsChannelsIsNameFreePost', 'chatsChannelsIsNameFreePostRequest', chatsChannelsIsNameFreePostRequest);
            const localVarPath = `/chats/channels/is-name-free`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(chatsChannelsIsNameFreePostRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        chatsChannelsPost: async (chatsChannelsPostRequest, $fields, options = {}) => {
            (0, common_1.assertParamExists)('chatsChannelsPost', 'chatsChannelsPostRequest', chatsChannelsPostRequest);
            const localVarPath = `/chats/channels`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(chatsChannelsPostRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        chatsMessagesDeleteMessagePost: async (chatsMessagesDeleteMessagePostRequest, options = {}) => {
            (0, common_1.assertParamExists)('chatsMessagesDeleteMessagePost', 'chatsMessagesDeleteMessagePostRequest', chatsMessagesDeleteMessagePostRequest);
            const localVarPath = `/chats/messages/delete-message`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(chatsMessagesDeleteMessagePostRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        chatsMessagesEditMessagePost: async (chatsMessagesEditMessagePostRequest, options = {}) => {
            (0, common_1.assertParamExists)('chatsMessagesEditMessagePost', 'chatsMessagesEditMessagePostRequest', chatsMessagesEditMessagePostRequest);
            const localVarPath = `/chats/messages/edit-message`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(chatsMessagesEditMessagePostRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        chatsMessagesGet: async (channel, sorting, batchSize, startFromDate, $fields, options = {}) => {
            (0, common_1.assertParamExists)('chatsMessagesGet', 'channel', channel);
            (0, common_1.assertParamExists)('chatsMessagesGet', 'sorting', sorting);
            (0, common_1.assertParamExists)('chatsMessagesGet', 'batchSize', batchSize);
            const localVarPath = `/chats/messages`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if (channel !== undefined) {
                localVarQueryParameter['channel'] = channel;
            }
            if (sorting !== undefined) {
                localVarQueryParameter['sorting'] = sorting;
            }
            if (startFromDate !== undefined) {
                localVarQueryParameter['startFromDate'] = (startFromDate instanceof Date) ?
                    startFromDate.toISOString() :
                    startFromDate;
            }
            if (batchSize !== undefined) {
                localVarQueryParameter['batchSize'] = batchSize;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        chatsMessagesImportPost: async (chatsMessagesImportPostRequest, options = {}) => {
            (0, common_1.assertParamExists)('chatsMessagesImportPost', 'chatsMessagesImportPostRequest', chatsMessagesImportPostRequest);
            const localVarPath = `/chats/messages/import`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(chatsMessagesImportPostRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        chatsMessagesMessageGet: async (message, channel, $fields, options = {}) => {
            (0, common_1.assertParamExists)('chatsMessagesMessageGet', 'message', message);
            (0, common_1.assertParamExists)('chatsMessagesMessageGet', 'channel', channel);
            const localVarPath = `/chats/messages/{message}`
                .replace(`{${"message"}}`, encodeURIComponent(String(message)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if (channel !== undefined) {
                localVarQueryParameter['channel'] = channel;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        chatsMessagesPinPatch: async (chatsMessagesPinPatchRequest, options = {}) => {
            (0, common_1.assertParamExists)('chatsMessagesPinPatch', 'chatsMessagesPinPatchRequest', chatsMessagesPinPatchRequest);
            const localVarPath = `/chats/messages/pin`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PATCH', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(chatsMessagesPinPatchRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        chatsMessagesPinnedMessagesGet: async (channel, $skip, $top, $fields, options = {}) => {
            (0, common_1.assertParamExists)('chatsMessagesPinnedMessagesGet', 'channel', channel);
            const localVarPath = `/chats/messages/pinned-messages`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if (channel !== undefined) {
                localVarQueryParameter['channel'] = channel;
            }
            if ($skip !== undefined) {
                localVarQueryParameter['$skip'] = $skip;
            }
            if ($top !== undefined) {
                localVarQueryParameter['$top'] = $top;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        chatsMessagesSendMessagePost: async (chatsMessagesSendMessagePostRequest, $fields, options = {}) => {
            (0, common_1.assertParamExists)('chatsMessagesSendMessagePost', 'chatsMessagesSendMessagePostRequest', chatsMessagesSendMessagePostRequest);
            const localVarPath = `/chats/messages/send-message`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(chatsMessagesSendMessagePostRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        chatsMessagesSendPost: async (chatsMessagesSendPostRequest, $fields, options = {}) => {
            (0, common_1.assertParamExists)('chatsMessagesSendPost', 'chatsMessagesSendPostRequest', chatsMessagesSendPostRequest);
            const localVarPath = `/chats/messages/send`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(chatsMessagesSendPostRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        chatsMessagesUnpinPatch: async (chatsMessagesPinPatchRequest, options = {}) => {
            (0, common_1.assertParamExists)('chatsMessagesUnpinPatch', 'chatsMessagesPinPatchRequest', chatsMessagesPinPatchRequest);
            const localVarPath = `/chats/messages/unpin`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PATCH', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(chatsMessagesPinPatchRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        checklistsChecklistItemsPlanItemDelete: async (checklist, planItem, options = {}) => {
            (0, common_1.assertParamExists)('checklistsChecklistItemsPlanItemDelete', 'checklist', checklist);
            (0, common_1.assertParamExists)('checklistsChecklistItemsPlanItemDelete', 'planItem', planItem);
            const localVarPath = `/checklists/{checklist}/items/{planItem}`
                .replace(`{${"checklist"}}`, encodeURIComponent(String(checklist)))
                .replace(`{${"planItem"}}`, encodeURIComponent(String(planItem)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        checklistsChecklistItemsPlanItemGet: async (checklist, planItem, $fields, options = {}) => {
            (0, common_1.assertParamExists)('checklistsChecklistItemsPlanItemGet', 'checklist', checklist);
            (0, common_1.assertParamExists)('checklistsChecklistItemsPlanItemGet', 'planItem', planItem);
            const localVarPath = `/checklists/{checklist}/items/{planItem}`
                .replace(`{${"checklist"}}`, encodeURIComponent(String(checklist)))
                .replace(`{${"planItem"}}`, encodeURIComponent(String(planItem)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        checklistsChecklistItemsPlanItemMovePost: async (checklist, planItem, checklistsChecklistItemsPlanItemMovePostRequest, $fields, options = {}) => {
            (0, common_1.assertParamExists)('checklistsChecklistItemsPlanItemMovePost', 'checklist', checklist);
            (0, common_1.assertParamExists)('checklistsChecklistItemsPlanItemMovePost', 'planItem', planItem);
            (0, common_1.assertParamExists)('checklistsChecklistItemsPlanItemMovePost', 'checklistsChecklistItemsPlanItemMovePostRequest', checklistsChecklistItemsPlanItemMovePostRequest);
            const localVarPath = `/checklists/{checklist}/items/{planItem}/move`
                .replace(`{${"checklist"}}`, encodeURIComponent(String(checklist)))
                .replace(`{${"planItem"}}`, encodeURIComponent(String(planItem)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(checklistsChecklistItemsPlanItemMovePostRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        checklistsChecklistItemsPlanItemPatch: async (checklist, planItem, $fields, checklistsChecklistItemsPlanItemDeleteRequest, options = {}) => {
            (0, common_1.assertParamExists)('checklistsChecklistItemsPlanItemPatch', 'checklist', checklist);
            (0, common_1.assertParamExists)('checklistsChecklistItemsPlanItemPatch', 'planItem', planItem);
            const localVarPath = `/checklists/{checklist}/items/{planItem}`
                .replace(`{${"checklist"}}`, encodeURIComponent(String(checklist)))
                .replace(`{${"planItem"}}`, encodeURIComponent(String(planItem)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PATCH', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(checklistsChecklistItemsPlanItemDeleteRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        checklistsChecklistItemsPost: async (checklist, checklistsChecklistItemsPostRequest, $fields, options = {}) => {
            (0, common_1.assertParamExists)('checklistsChecklistItemsPost', 'checklist', checklist);
            (0, common_1.assertParamExists)('checklistsChecklistItemsPost', 'checklistsChecklistItemsPostRequest', checklistsChecklistItemsPostRequest);
            const localVarPath = `/checklists/{checklist}/items`
                .replace(`{${"checklist"}}`, encodeURIComponent(String(checklist)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(checklistsChecklistItemsPostRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        customFieldsExtendedTypesGet: async (scope, $fields, options = {}) => {
            const localVarPath = `/custom-fields/extended-types`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if (scope !== undefined) {
                localVarQueryParameter['scope'] = scope;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        customFieldsTypeKeyAllValuesGet: async (typeKey, $skip, $top, extendedEntityIds, scope, $fields, options = {}) => {
            (0, common_1.assertParamExists)('customFieldsTypeKeyAllValuesGet', 'typeKey', typeKey);
            const localVarPath = `/custom-fields/{typeKey}/all-values`
                .replace(`{${"typeKey"}}`, encodeURIComponent(String(typeKey)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($skip !== undefined) {
                localVarQueryParameter['$skip'] = $skip;
            }
            if ($top !== undefined) {
                localVarQueryParameter['$top'] = $top;
            }
            if (extendedEntityIds) {
                localVarQueryParameter['extendedEntityIds'] = extendedEntityIds;
            }
            if (scope !== undefined) {
                localVarQueryParameter['scope'] = scope;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        customFieldsTypeKeyEntityIdValuesGet: async (typeKey, entityId, scope, $fields, options = {}) => {
            (0, common_1.assertParamExists)('customFieldsTypeKeyEntityIdValuesGet', 'typeKey', typeKey);
            (0, common_1.assertParamExists)('customFieldsTypeKeyEntityIdValuesGet', 'entityId', entityId);
            const localVarPath = `/custom-fields/{typeKey}/{entityId}/values`
                .replace(`{${"typeKey"}}`, encodeURIComponent(String(typeKey)))
                .replace(`{${"entityId"}}`, encodeURIComponent(String(entityId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if (scope !== undefined) {
                localVarQueryParameter['scope'] = scope;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        customFieldsTypeKeyEntityIdValuesPatch: async (entityId, typeKey, customFieldsTypeKeyEntityIdValuesGetRequest, options = {}) => {
            (0, common_1.assertParamExists)('customFieldsTypeKeyEntityIdValuesPatch', 'entityId', entityId);
            (0, common_1.assertParamExists)('customFieldsTypeKeyEntityIdValuesPatch', 'typeKey', typeKey);
            (0, common_1.assertParamExists)('customFieldsTypeKeyEntityIdValuesPatch', 'customFieldsTypeKeyEntityIdValuesGetRequest', customFieldsTypeKeyEntityIdValuesGetRequest);
            const localVarPath = `/custom-fields/{typeKey}/{entityId}/values`
                .replace(`{${"entityId"}}`, encodeURIComponent(String(entityId)))
                .replace(`{${"typeKey"}}`, encodeURIComponent(String(typeKey)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PATCH', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(customFieldsTypeKeyEntityIdValuesGetRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        customFieldsTypeKeyEnumValuesCustomFieldIdGet: async (typeKey, customFieldId, $skip, $top, query, ordering, countRecords, addedByProfileId, scope, $fields, options = {}) => {
            (0, common_1.assertParamExists)('customFieldsTypeKeyEnumValuesCustomFieldIdGet', 'typeKey', typeKey);
            (0, common_1.assertParamExists)('customFieldsTypeKeyEnumValuesCustomFieldIdGet', 'customFieldId', customFieldId);
            const localVarPath = `/custom-fields/{typeKey}/enum-values/{customFieldId}`
                .replace(`{${"typeKey"}}`, encodeURIComponent(String(typeKey)))
                .replace(`{${"customFieldId"}}`, encodeURIComponent(String(customFieldId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($skip !== undefined) {
                localVarQueryParameter['$skip'] = $skip;
            }
            if ($top !== undefined) {
                localVarQueryParameter['$top'] = $top;
            }
            if (query !== undefined) {
                localVarQueryParameter['query'] = query;
            }
            if (ordering !== undefined) {
                localVarQueryParameter['ordering'] = ordering;
            }
            if (countRecords !== undefined) {
                localVarQueryParameter['countRecords'] = countRecords;
            }
            if (addedByProfileId !== undefined) {
                localVarQueryParameter['addedByProfileId'] = addedByProfileId;
            }
            if (scope !== undefined) {
                localVarQueryParameter['scope'] = scope;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        customFieldsTypeKeyEnumValuesCustomFieldIdPost: async (typeKey, customFieldId, customFieldsTypeKeyEnumValuesCustomFieldIdGetRequest, $fields, options = {}) => {
            (0, common_1.assertParamExists)('customFieldsTypeKeyEnumValuesCustomFieldIdPost', 'typeKey', typeKey);
            (0, common_1.assertParamExists)('customFieldsTypeKeyEnumValuesCustomFieldIdPost', 'customFieldId', customFieldId);
            (0, common_1.assertParamExists)('customFieldsTypeKeyEnumValuesCustomFieldIdPost', 'customFieldsTypeKeyEnumValuesCustomFieldIdGetRequest', customFieldsTypeKeyEnumValuesCustomFieldIdGetRequest);
            const localVarPath = `/custom-fields/{typeKey}/enum-values/{customFieldId}`
                .replace(`{${"typeKey"}}`, encodeURIComponent(String(typeKey)))
                .replace(`{${"customFieldId"}}`, encodeURIComponent(String(customFieldId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(customFieldsTypeKeyEnumValuesCustomFieldIdGetRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        customFieldsTypeKeyFieldsGet: async (typeKey, withArchived, scope, $fields, options = {}) => {
            (0, common_1.assertParamExists)('customFieldsTypeKeyFieldsGet', 'typeKey', typeKey);
            const localVarPath = `/custom-fields/{typeKey}/fields`
                .replace(`{${"typeKey"}}`, encodeURIComponent(String(typeKey)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if (withArchived !== undefined) {
                localVarQueryParameter['withArchived'] = withArchived;
            }
            if (scope !== undefined) {
                localVarQueryParameter['scope'] = scope;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        customFieldsTypeKeyFieldsIdArchivePost: async (typeKey, id, customFieldsTypeKeyFieldsIdArchivePostRequest, options = {}) => {
            (0, common_1.assertParamExists)('customFieldsTypeKeyFieldsIdArchivePost', 'typeKey', typeKey);
            (0, common_1.assertParamExists)('customFieldsTypeKeyFieldsIdArchivePost', 'id', id);
            (0, common_1.assertParamExists)('customFieldsTypeKeyFieldsIdArchivePost', 'customFieldsTypeKeyFieldsIdArchivePostRequest', customFieldsTypeKeyFieldsIdArchivePostRequest);
            const localVarPath = `/custom-fields/{typeKey}/fields/{id}/archive`
                .replace(`{${"typeKey"}}`, encodeURIComponent(String(typeKey)))
                .replace(`{${"id"}}`, encodeURIComponent(String(id)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(customFieldsTypeKeyFieldsIdArchivePostRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        customFieldsTypeKeyFieldsIdDelete: async (typeKey, id, scope, options = {}) => {
            (0, common_1.assertParamExists)('customFieldsTypeKeyFieldsIdDelete', 'typeKey', typeKey);
            (0, common_1.assertParamExists)('customFieldsTypeKeyFieldsIdDelete', 'id', id);
            (0, common_1.assertParamExists)('customFieldsTypeKeyFieldsIdDelete', 'scope', scope);
            const localVarPath = `/custom-fields/{typeKey}/fields/{id}`
                .replace(`{${"typeKey"}}`, encodeURIComponent(String(typeKey)))
                .replace(`{${"id"}}`, encodeURIComponent(String(id)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if (scope !== undefined) {
                localVarQueryParameter['scope'] = scope;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        customFieldsTypeKeyFieldsIdFilterValuesGet: async (typeKey, id, $skip, $top, scope, calculateTotal, $fields, options = {}) => {
            (0, common_1.assertParamExists)('customFieldsTypeKeyFieldsIdFilterValuesGet', 'typeKey', typeKey);
            (0, common_1.assertParamExists)('customFieldsTypeKeyFieldsIdFilterValuesGet', 'id', id);
            const localVarPath = `/custom-fields/{typeKey}/fields/{id}/filter-values`
                .replace(`{${"typeKey"}}`, encodeURIComponent(String(typeKey)))
                .replace(`{${"id"}}`, encodeURIComponent(String(id)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($skip !== undefined) {
                localVarQueryParameter['$skip'] = $skip;
            }
            if ($top !== undefined) {
                localVarQueryParameter['$top'] = $top;
            }
            if (scope !== undefined) {
                localVarQueryParameter['scope'] = scope;
            }
            if (calculateTotal !== undefined) {
                localVarQueryParameter['calculateTotal'] = calculateTotal;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        customFieldsTypeKeyFieldsIdPatch: async (typeKey, id, customFieldsTypeKeyFieldsIdDeleteRequest, options = {}) => {
            (0, common_1.assertParamExists)('customFieldsTypeKeyFieldsIdPatch', 'typeKey', typeKey);
            (0, common_1.assertParamExists)('customFieldsTypeKeyFieldsIdPatch', 'id', id);
            (0, common_1.assertParamExists)('customFieldsTypeKeyFieldsIdPatch', 'customFieldsTypeKeyFieldsIdDeleteRequest', customFieldsTypeKeyFieldsIdDeleteRequest);
            const localVarPath = `/custom-fields/{typeKey}/fields/{id}`
                .replace(`{${"typeKey"}}`, encodeURIComponent(String(typeKey)))
                .replace(`{${"id"}}`, encodeURIComponent(String(id)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PATCH', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(customFieldsTypeKeyFieldsIdDeleteRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        customFieldsTypeKeyFieldsIdRestorePost: async (typeKey, id, customFieldsTypeKeyFieldsIdArchivePostRequest, options = {}) => {
            (0, common_1.assertParamExists)('customFieldsTypeKeyFieldsIdRestorePost', 'typeKey', typeKey);
            (0, common_1.assertParamExists)('customFieldsTypeKeyFieldsIdRestorePost', 'id', id);
            (0, common_1.assertParamExists)('customFieldsTypeKeyFieldsIdRestorePost', 'customFieldsTypeKeyFieldsIdArchivePostRequest', customFieldsTypeKeyFieldsIdArchivePostRequest);
            const localVarPath = `/custom-fields/{typeKey}/fields/{id}/restore`
                .replace(`{${"typeKey"}}`, encodeURIComponent(String(typeKey)))
                .replace(`{${"id"}}`, encodeURIComponent(String(id)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(customFieldsTypeKeyFieldsIdArchivePostRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        customFieldsTypeKeyFieldsPost: async (typeKey, customFieldsTypeKeyFieldsGetRequest, $fields, options = {}) => {
            (0, common_1.assertParamExists)('customFieldsTypeKeyFieldsPost', 'typeKey', typeKey);
            (0, common_1.assertParamExists)('customFieldsTypeKeyFieldsPost', 'customFieldsTypeKeyFieldsGetRequest', customFieldsTypeKeyFieldsGetRequest);
            const localVarPath = `/custom-fields/{typeKey}/fields`
                .replace(`{${"typeKey"}}`, encodeURIComponent(String(typeKey)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(customFieldsTypeKeyFieldsGetRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        customFieldsTypeKeyFieldsReorderPost: async (typeKey, customFieldsTypeKeyFieldsReorderPostRequest, options = {}) => {
            (0, common_1.assertParamExists)('customFieldsTypeKeyFieldsReorderPost', 'typeKey', typeKey);
            (0, common_1.assertParamExists)('customFieldsTypeKeyFieldsReorderPost', 'customFieldsTypeKeyFieldsReorderPostRequest', customFieldsTypeKeyFieldsReorderPostRequest);
            const localVarPath = `/custom-fields/{typeKey}/fields/reorder`
                .replace(`{${"typeKey"}}`, encodeURIComponent(String(typeKey)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(customFieldsTypeKeyFieldsReorderPostRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        customFieldsV2EntityTypeFieldsCustomFieldArchivePost: async (entityType, customField, options = {}) => {
            (0, common_1.assertParamExists)('customFieldsV2EntityTypeFieldsCustomFieldArchivePost', 'entityType', entityType);
            (0, common_1.assertParamExists)('customFieldsV2EntityTypeFieldsCustomFieldArchivePost', 'customField', customField);
            const localVarPath = `/custom-fields-v2/{entityType}/fields/{customField}/archive`
                .replace(`{${"entityType"}}`, encodeURIComponent(String(entityType)))
                .replace(`{${"customField"}}`, encodeURIComponent(String(customField)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        customFieldsV2EntityTypeFieldsCustomFieldDelete: async (entityType, customField, options = {}) => {
            (0, common_1.assertParamExists)('customFieldsV2EntityTypeFieldsCustomFieldDelete', 'entityType', entityType);
            (0, common_1.assertParamExists)('customFieldsV2EntityTypeFieldsCustomFieldDelete', 'customField', customField);
            const localVarPath = `/custom-fields-v2/{entityType}/fields/{customField}`
                .replace(`{${"entityType"}}`, encodeURIComponent(String(entityType)))
                .replace(`{${"customField"}}`, encodeURIComponent(String(customField)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        customFieldsV2EntityTypeFieldsCustomFieldEnumValuesBulkUpdatePost: async (entityType, customField, customFieldsV2EntityTypeFieldsCustomFieldEnumValuesBulkUpdatePostRequest, options = {}) => {
            (0, common_1.assertParamExists)('customFieldsV2EntityTypeFieldsCustomFieldEnumValuesBulkUpdatePost', 'entityType', entityType);
            (0, common_1.assertParamExists)('customFieldsV2EntityTypeFieldsCustomFieldEnumValuesBulkUpdatePost', 'customField', customField);
            (0, common_1.assertParamExists)('customFieldsV2EntityTypeFieldsCustomFieldEnumValuesBulkUpdatePost', 'customFieldsV2EntityTypeFieldsCustomFieldEnumValuesBulkUpdatePostRequest', customFieldsV2EntityTypeFieldsCustomFieldEnumValuesBulkUpdatePostRequest);
            const localVarPath = `/custom-fields-v2/{entityType}/fields/{customField}/enum-values/bulk-update`
                .replace(`{${"entityType"}}`, encodeURIComponent(String(entityType)))
                .replace(`{${"customField"}}`, encodeURIComponent(String(customField)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(customFieldsV2EntityTypeFieldsCustomFieldEnumValuesBulkUpdatePostRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        customFieldsV2EntityTypeFieldsCustomFieldEnumValuesEnumValueToRemoveDelete: async (entityType, customField, enumValueToRemove, options = {}) => {
            (0, common_1.assertParamExists)('customFieldsV2EntityTypeFieldsCustomFieldEnumValuesEnumValueToRemoveDelete', 'entityType', entityType);
            (0, common_1.assertParamExists)('customFieldsV2EntityTypeFieldsCustomFieldEnumValuesEnumValueToRemoveDelete', 'customField', customField);
            (0, common_1.assertParamExists)('customFieldsV2EntityTypeFieldsCustomFieldEnumValuesEnumValueToRemoveDelete', 'enumValueToRemove', enumValueToRemove);
            const localVarPath = `/custom-fields-v2/{entityType}/fields/{customField}/enum-values/{enumValueToRemove}`
                .replace(`{${"entityType"}}`, encodeURIComponent(String(entityType)))
                .replace(`{${"customField"}}`, encodeURIComponent(String(customField)))
                .replace(`{${"enumValueToRemove"}}`, encodeURIComponent(String(enumValueToRemove)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        customFieldsV2EntityTypeFieldsCustomFieldEnumValuesGet: async (entityType, customField, query, ordering, addedByProfileId, $skip, $top, $fields, options = {}) => {
            (0, common_1.assertParamExists)('customFieldsV2EntityTypeFieldsCustomFieldEnumValuesGet', 'entityType', entityType);
            (0, common_1.assertParamExists)('customFieldsV2EntityTypeFieldsCustomFieldEnumValuesGet', 'customField', customField);
            const localVarPath = `/custom-fields-v2/{entityType}/fields/{customField}/enum-values`
                .replace(`{${"entityType"}}`, encodeURIComponent(String(entityType)))
                .replace(`{${"customField"}}`, encodeURIComponent(String(customField)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if (query !== undefined) {
                localVarQueryParameter['query'] = query;
            }
            if (ordering !== undefined) {
                localVarQueryParameter['ordering'] = ordering;
            }
            if (addedByProfileId !== undefined) {
                localVarQueryParameter['addedByProfileId'] = addedByProfileId;
            }
            if ($skip !== undefined) {
                localVarQueryParameter['$skip'] = $skip;
            }
            if ($top !== undefined) {
                localVarQueryParameter['$top'] = $top;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        customFieldsV2EntityTypeFieldsCustomFieldEnumValuesPatch: async (entityType, customField, customFieldsV2EntityTypeFieldsCustomFieldEnumValuesGetRequest1, options = {}) => {
            (0, common_1.assertParamExists)('customFieldsV2EntityTypeFieldsCustomFieldEnumValuesPatch', 'entityType', entityType);
            (0, common_1.assertParamExists)('customFieldsV2EntityTypeFieldsCustomFieldEnumValuesPatch', 'customField', customField);
            (0, common_1.assertParamExists)('customFieldsV2EntityTypeFieldsCustomFieldEnumValuesPatch', 'customFieldsV2EntityTypeFieldsCustomFieldEnumValuesGetRequest1', customFieldsV2EntityTypeFieldsCustomFieldEnumValuesGetRequest1);
            const localVarPath = `/custom-fields-v2/{entityType}/fields/{customField}/enum-values`
                .replace(`{${"entityType"}}`, encodeURIComponent(String(entityType)))
                .replace(`{${"customField"}}`, encodeURIComponent(String(customField)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PATCH', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(customFieldsV2EntityTypeFieldsCustomFieldEnumValuesGetRequest1, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        customFieldsV2EntityTypeFieldsCustomFieldEnumValuesPost: async (entityType, customField, customFieldsV2EntityTypeFieldsCustomFieldEnumValuesGetRequest, $fields, options = {}) => {
            (0, common_1.assertParamExists)('customFieldsV2EntityTypeFieldsCustomFieldEnumValuesPost', 'entityType', entityType);
            (0, common_1.assertParamExists)('customFieldsV2EntityTypeFieldsCustomFieldEnumValuesPost', 'customField', customField);
            (0, common_1.assertParamExists)('customFieldsV2EntityTypeFieldsCustomFieldEnumValuesPost', 'customFieldsV2EntityTypeFieldsCustomFieldEnumValuesGetRequest', customFieldsV2EntityTypeFieldsCustomFieldEnumValuesGetRequest);
            const localVarPath = `/custom-fields-v2/{entityType}/fields/{customField}/enum-values`
                .replace(`{${"entityType"}}`, encodeURIComponent(String(entityType)))
                .replace(`{${"customField"}}`, encodeURIComponent(String(customField)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(customFieldsV2EntityTypeFieldsCustomFieldEnumValuesGetRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        customFieldsV2EntityTypeFieldsCustomFieldGet: async (entityType, customField, $fields, options = {}) => {
            (0, common_1.assertParamExists)('customFieldsV2EntityTypeFieldsCustomFieldGet', 'entityType', entityType);
            (0, common_1.assertParamExists)('customFieldsV2EntityTypeFieldsCustomFieldGet', 'customField', customField);
            const localVarPath = `/custom-fields-v2/{entityType}/fields/{customField}`
                .replace(`{${"entityType"}}`, encodeURIComponent(String(entityType)))
                .replace(`{${"customField"}}`, encodeURIComponent(String(customField)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        customFieldsV2EntityTypeFieldsCustomFieldPatch: async (entityType, customField, customFieldsV2EntityTypeFieldsCustomFieldDeleteRequest, options = {}) => {
            (0, common_1.assertParamExists)('customFieldsV2EntityTypeFieldsCustomFieldPatch', 'entityType', entityType);
            (0, common_1.assertParamExists)('customFieldsV2EntityTypeFieldsCustomFieldPatch', 'customField', customField);
            const localVarPath = `/custom-fields-v2/{entityType}/fields/{customField}`
                .replace(`{${"entityType"}}`, encodeURIComponent(String(entityType)))
                .replace(`{${"customField"}}`, encodeURIComponent(String(customField)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PATCH', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(customFieldsV2EntityTypeFieldsCustomFieldDeleteRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        customFieldsV2EntityTypeFieldsCustomFieldRestorePost: async (entityType, customField, options = {}) => {
            (0, common_1.assertParamExists)('customFieldsV2EntityTypeFieldsCustomFieldRestorePost', 'entityType', entityType);
            (0, common_1.assertParamExists)('customFieldsV2EntityTypeFieldsCustomFieldRestorePost', 'customField', customField);
            const localVarPath = `/custom-fields-v2/{entityType}/fields/{customField}/restore`
                .replace(`{${"entityType"}}`, encodeURIComponent(String(entityType)))
                .replace(`{${"customField"}}`, encodeURIComponent(String(customField)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        customFieldsV2EntityTypeFieldsGet: async (entityType, withArchived, $fields, options = {}) => {
            (0, common_1.assertParamExists)('customFieldsV2EntityTypeFieldsGet', 'entityType', entityType);
            const localVarPath = `/custom-fields-v2/{entityType}/fields`
                .replace(`{${"entityType"}}`, encodeURIComponent(String(entityType)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if (withArchived !== undefined) {
                localVarQueryParameter['withArchived'] = withArchived;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        customFieldsV2EntityTypeFieldsPost: async (entityType, customFieldsV2EntityTypeFieldsGetRequest, $fields, options = {}) => {
            (0, common_1.assertParamExists)('customFieldsV2EntityTypeFieldsPost', 'entityType', entityType);
            (0, common_1.assertParamExists)('customFieldsV2EntityTypeFieldsPost', 'customFieldsV2EntityTypeFieldsGetRequest', customFieldsV2EntityTypeFieldsGetRequest);
            const localVarPath = `/custom-fields-v2/{entityType}/fields`
                .replace(`{${"entityType"}}`, encodeURIComponent(String(entityType)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(customFieldsV2EntityTypeFieldsGetRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        customFieldsV2EntityTypeFieldsReorderPost: async (entityType, customFieldsV2EntityTypeFieldsReorderPostRequest, options = {}) => {
            (0, common_1.assertParamExists)('customFieldsV2EntityTypeFieldsReorderPost', 'entityType', entityType);
            (0, common_1.assertParamExists)('customFieldsV2EntityTypeFieldsReorderPost', 'customFieldsV2EntityTypeFieldsReorderPostRequest', customFieldsV2EntityTypeFieldsReorderPostRequest);
            const localVarPath = `/custom-fields-v2/{entityType}/fields/reorder`
                .replace(`{${"entityType"}}`, encodeURIComponent(String(entityType)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(customFieldsV2EntityTypeFieldsReorderPostRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        customFieldsV2ValuesEntityCustomFieldGet: async (entity, customField, $fields, options = {}) => {
            (0, common_1.assertParamExists)('customFieldsV2ValuesEntityCustomFieldGet', 'entity', entity);
            (0, common_1.assertParamExists)('customFieldsV2ValuesEntityCustomFieldGet', 'customField', customField);
            const localVarPath = `/custom-fields-v2/values/{entity}/{customField}`
                .replace(`{${"entity"}}`, encodeURIComponent(String(entity)))
                .replace(`{${"customField"}}`, encodeURIComponent(String(customField)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        customFieldsV2ValuesEntityCustomFieldPost: async (entity, customField, customFieldsV2ValuesEntityCustomFieldGetRequest, options = {}) => {
            (0, common_1.assertParamExists)('customFieldsV2ValuesEntityCustomFieldPost', 'entity', entity);
            (0, common_1.assertParamExists)('customFieldsV2ValuesEntityCustomFieldPost', 'customField', customField);
            (0, common_1.assertParamExists)('customFieldsV2ValuesEntityCustomFieldPost', 'customFieldsV2ValuesEntityCustomFieldGetRequest', customFieldsV2ValuesEntityCustomFieldGetRequest);
            const localVarPath = `/custom-fields-v2/values/{entity}/{customField}`
                .replace(`{${"entity"}}`, encodeURIComponent(String(entity)))
                .replace(`{${"customField"}}`, encodeURIComponent(String(customField)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(customFieldsV2ValuesEntityCustomFieldGetRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        customFieldsV2ValuesEntityGet: async (entity, $fields, options = {}) => {
            (0, common_1.assertParamExists)('customFieldsV2ValuesEntityGet', 'entity', entity);
            const localVarPath = `/custom-fields-v2/values/{entity}`
                .replace(`{${"entity"}}`, encodeURIComponent(String(entity)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        customFieldsV2ValuesEntityPost: async (entity, customFieldsV2ValuesEntityGetRequest, options = {}) => {
            (0, common_1.assertParamExists)('customFieldsV2ValuesEntityPost', 'entity', entity);
            (0, common_1.assertParamExists)('customFieldsV2ValuesEntityPost', 'customFieldsV2ValuesEntityGetRequest', customFieldsV2ValuesEntityGetRequest);
            const localVarPath = `/custom-fields-v2/values/{entity}`
                .replace(`{${"entity"}}`, encodeURIComponent(String(entity)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(customFieldsV2ValuesEntityGetRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        emojisAddPost: async (emojisAddPostRequest, options = {}) => {
            (0, common_1.assertParamExists)('emojisAddPost', 'emojisAddPostRequest', emojisAddPostRequest);
            const localVarPath = `/emojis/add`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(emojisAddPostRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        emojisDeletePost: async (emojisDeletePostRequest, options = {}) => {
            (0, common_1.assertParamExists)('emojisDeletePost', 'emojisDeletePostRequest', emojisDeletePostRequest);
            const localVarPath = `/emojis/delete`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(emojisDeletePostRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        emojisExistsGet: async (emoji, options = {}) => {
            (0, common_1.assertParamExists)('emojisExistsGet', 'emoji', emoji);
            const localVarPath = `/emojis/exists`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if (emoji !== undefined) {
                localVarQueryParameter['emoji'] = emoji;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        emojisFrequentlyUsedGet: async (options = {}) => {
            const localVarPath = `/emojis/frequently-used`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        emojisRecordUsagePost: async (emojisRecordUsagePostRequest, options = {}) => {
            (0, common_1.assertParamExists)('emojisRecordUsagePost', 'emojisRecordUsagePostRequest', emojisRecordUsagePostRequest);
            const localVarPath = `/emojis/record-usage`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(emojisRecordUsagePostRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        emojisSearchGet: async (query, $skip, $top, version, $fields, options = {}) => {
            (0, common_1.assertParamExists)('emojisSearchGet', 'query', query);
            const localVarPath = `/emojis/search`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($skip !== undefined) {
                localVarQueryParameter['$skip'] = $skip;
            }
            if ($top !== undefined) {
                localVarQueryParameter['$top'] = $top;
            }
            if (query !== undefined) {
                localVarQueryParameter['query'] = query;
            }
            if (version !== undefined) {
                localVarQueryParameter['version'] = version;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        externalLinkPatternsDelete: async (pattern, options = {}) => {
            (0, common_1.assertParamExists)('externalLinkPatternsDelete', 'pattern', pattern);
            const localVarPath = `/external-link-patterns`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if (pattern !== undefined) {
                localVarQueryParameter['pattern'] = pattern;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        externalLinkPatternsGet: async ($fields, options = {}) => {
            const localVarPath = `/external-link-patterns`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        externalLinkPatternsPost: async (externalLinkPatternsDeleteRequest, options = {}) => {
            (0, common_1.assertParamExists)('externalLinkPatternsPost', 'externalLinkPatternsDeleteRequest', externalLinkPatternsDeleteRequest);
            const localVarPath = `/external-link-patterns`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(externalLinkPatternsDeleteRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        httpApiModelGet: async ($fields, options = {}) => {
            const localVarPath = `/http-api-model`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        notificationsChannelSubscriptionsGet: async (channel, $fields, options = {}) => {
            (0, common_1.assertParamExists)('notificationsChannelSubscriptionsGet', 'channel', channel);
            const localVarPath = `/notifications/channel-subscriptions`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if (channel !== undefined) {
                localVarQueryParameter['channel'] = channel;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        notificationsChannelSubscriptionsIdDelete: async (id, options = {}) => {
            (0, common_1.assertParamExists)('notificationsChannelSubscriptionsIdDelete', 'id', id);
            const localVarPath = `/notifications/channel-subscriptions/{id}`
                .replace(`{${"id"}}`, encodeURIComponent(String(id)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        notificationsChannelSubscriptionsIdPatch: async (id, $fields, notificationsChannelSubscriptionsIdDeleteRequest, options = {}) => {
            (0, common_1.assertParamExists)('notificationsChannelSubscriptionsIdPatch', 'id', id);
            const localVarPath = `/notifications/channel-subscriptions/{id}`
                .replace(`{${"id"}}`, encodeURIComponent(String(id)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PATCH', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(notificationsChannelSubscriptionsIdDeleteRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        notificationsChannelSubscriptionsIdRequestMissingRightsPost: async (id, options = {}) => {
            (0, common_1.assertParamExists)('notificationsChannelSubscriptionsIdRequestMissingRightsPost', 'id', id);
            const localVarPath = `/notifications/channel-subscriptions/{id}/request-missing-rights`
                .replace(`{${"id"}}`, encodeURIComponent(String(id)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        notificationsChannelSubscriptionsPost: async (notificationsChannelSubscriptionsGetRequest, $fields, options = {}) => {
            (0, common_1.assertParamExists)('notificationsChannelSubscriptionsPost', 'notificationsChannelSubscriptionsGetRequest', notificationsChannelSubscriptionsGetRequest);
            const localVarPath = `/notifications/channel-subscriptions`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(notificationsChannelSubscriptionsGetRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        notificationsGet: async ($fields, options = {}) => {
            const localVarPath = `/notifications`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        notificationsPersonalCustomSubscriptionsGet: async (profile, $fields, options = {}) => {
            (0, common_1.assertParamExists)('notificationsPersonalCustomSubscriptionsGet', 'profile', profile);
            const localVarPath = `/notifications/personal-custom-subscriptions`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if (profile !== undefined) {
                localVarQueryParameter['profile'] = profile;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        notificationsPersonalCustomSubscriptionsIdDelete: async (id, options = {}) => {
            (0, common_1.assertParamExists)('notificationsPersonalCustomSubscriptionsIdDelete', 'id', id);
            const localVarPath = `/notifications/personal-custom-subscriptions/{id}`
                .replace(`{${"id"}}`, encodeURIComponent(String(id)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        notificationsPersonalCustomSubscriptionsIdPatch: async (id, $fields, notificationsPersonalCustomSubscriptionsIdDeleteRequest, options = {}) => {
            (0, common_1.assertParamExists)('notificationsPersonalCustomSubscriptionsIdPatch', 'id', id);
            const localVarPath = `/notifications/personal-custom-subscriptions/{id}`
                .replace(`{${"id"}}`, encodeURIComponent(String(id)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PATCH', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(notificationsPersonalCustomSubscriptionsIdDeleteRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        notificationsPersonalCustomSubscriptionsPost: async (notificationsPersonalCustomSubscriptionsGetRequest, $fields, options = {}) => {
            (0, common_1.assertParamExists)('notificationsPersonalCustomSubscriptionsPost', 'notificationsPersonalCustomSubscriptionsGetRequest', notificationsPersonalCustomSubscriptionsGetRequest);
            const localVarPath = `/notifications/personal-custom-subscriptions`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(notificationsPersonalCustomSubscriptionsGetRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        notificationsPersonalSubscriptionsAllPersonalSubscriptionTargetsGet: async ($fields, options = {}) => {
            const localVarPath = `/notifications/personal-subscriptions/all-personal-subscription-targets`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        notificationsPersonalSubscriptionsPersonalSubscriptionSettingsGet: async (profile, feed, $fields, options = {}) => {
            (0, common_1.assertParamExists)('notificationsPersonalSubscriptionsPersonalSubscriptionSettingsGet', 'profile', profile);
            (0, common_1.assertParamExists)('notificationsPersonalSubscriptionsPersonalSubscriptionSettingsGet', 'feed', feed);
            const localVarPath = `/notifications/personal-subscriptions/personal-subscription-settings`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if (profile !== undefined) {
                localVarQueryParameter['profile'] = profile;
            }
            if (feed !== undefined) {
                localVarQueryParameter['feed'] = feed;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        notificationsPersonalSubscriptionsUpdatePersonalSubscriptionSubjectPost: async (notificationsPersonalSubscriptionsUpdatePersonalSubscriptionSubjectPostRequest, options = {}) => {
            (0, common_1.assertParamExists)('notificationsPersonalSubscriptionsUpdatePersonalSubscriptionSubjectPost', 'notificationsPersonalSubscriptionsUpdatePersonalSubscriptionSubjectPostRequest', notificationsPersonalSubscriptionsUpdatePersonalSubscriptionSubjectPostRequest);
            const localVarPath = `/notifications/personal-subscriptions/update-personal-subscription-subject`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(notificationsPersonalSubscriptionsUpdatePersonalSubscriptionSubjectPostRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        notificationsPersonalSubscriptionsUpdatePersonalSubscriptionTargetPost: async (notificationsPersonalSubscriptionsUpdatePersonalSubscriptionTargetPostRequest, options = {}) => {
            (0, common_1.assertParamExists)('notificationsPersonalSubscriptionsUpdatePersonalSubscriptionTargetPost', 'notificationsPersonalSubscriptionsUpdatePersonalSubscriptionTargetPostRequest', notificationsPersonalSubscriptionsUpdatePersonalSubscriptionTargetPostRequest);
            const localVarPath = `/notifications/personal-subscriptions/update-personal-subscription-target`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(notificationsPersonalSubscriptionsUpdatePersonalSubscriptionTargetPostRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        notificationsPrivateFeedsGet: async (profile, $fields, options = {}) => {
            (0, common_1.assertParamExists)('notificationsPrivateFeedsGet', 'profile', profile);
            const localVarPath = `/notifications/private-feeds`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if (profile !== undefined) {
                localVarQueryParameter['profile'] = profile;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        notificationsPrivateFeedsIdDelete: async (id, options = {}) => {
            (0, common_1.assertParamExists)('notificationsPrivateFeedsIdDelete', 'id', id);
            const localVarPath = `/notifications/private-feeds/{id}`
                .replace(`{${"id"}}`, encodeURIComponent(String(id)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        notificationsPrivateFeedsIdPatch: async (id, $fields, notificationsPrivateFeedsIdDeleteRequest, options = {}) => {
            (0, common_1.assertParamExists)('notificationsPrivateFeedsIdPatch', 'id', id);
            const localVarPath = `/notifications/private-feeds/{id}`
                .replace(`{${"id"}}`, encodeURIComponent(String(id)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PATCH', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(notificationsPrivateFeedsIdDeleteRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        notificationsPrivateFeedsPost: async (notificationsPrivateFeedsGetRequest, $fields, options = {}) => {
            (0, common_1.assertParamExists)('notificationsPrivateFeedsPost', 'notificationsPrivateFeedsGetRequest', notificationsPrivateFeedsGetRequest);
            const localVarPath = `/notifications/private-feeds`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(notificationsPrivateFeedsGetRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        organizationDomainsCheckGet: async (domain, options = {}) => {
            (0, common_1.assertParamExists)('organizationDomainsCheckGet', 'domain', domain);
            const localVarPath = `/organization/domains/check`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if (domain !== undefined) {
                localVarQueryParameter['domain'] = domain;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        organizationDomainsGet: async ($fields, options = {}) => {
            const localVarPath = `/organization/domains`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        organizationDomainsPatch: async (organizationDomainsGetRequest, options = {}) => {
            (0, common_1.assertParamExists)('organizationDomainsPatch', 'organizationDomainsGetRequest', organizationDomainsGetRequest);
            const localVarPath = `/organization/domains`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PATCH', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(organizationDomainsGetRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        organizationGet: async ($fields, options = {}) => {
            const localVarPath = `/organization`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        organizationJetSalesLicenseActivationUrlGet: async (options = {}) => {
            const localVarPath = `/organization/jet-sales/license-activation-url`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        organizationJetSalesUrlGet: async (options = {}) => {
            const localVarPath = `/organization/jet-sales/url`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        organizationPatch: async (organizationGetRequest, options = {}) => {
            (0, common_1.assertParamExists)('organizationPatch', 'organizationGetRequest', organizationGetRequest);
            const localVarPath = `/organization`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PATCH', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(organizationGetRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        permissionRolesCreatePost: async (permissionRolesCreatePostRequest, $fields, options = {}) => {
            (0, common_1.assertParamExists)('permissionRolesCreatePost', 'permissionRolesCreatePostRequest', permissionRolesCreatePostRequest);
            const localVarPath = `/permission-roles/create`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(permissionRolesCreatePostRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        permissionRolesGetPost: async (applicationsApplicationUiExtensionsDisableForEverybodyPatchRequest, $fields, options = {}) => {
            (0, common_1.assertParamExists)('permissionRolesGetPost', 'applicationsApplicationUiExtensionsDisableForEverybodyPatchRequest', applicationsApplicationUiExtensionsDisableForEverybodyPatchRequest);
            const localVarPath = `/permission-roles/get`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(applicationsApplicationUiExtensionsDisableForEverybodyPatchRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        permissionRolesRoleId2FaRequirementGet: async (roleId, $fields, options = {}) => {
            (0, common_1.assertParamExists)('permissionRolesRoleId2FaRequirementGet', 'roleId', roleId);
            const localVarPath = `/permission-roles/{roleId}/2-fa-requirement`
                .replace(`{${"roleId"}}`, encodeURIComponent(String(roleId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        permissionRolesRoleId2FaRequirementPatch: async (roleId, permissionRolesRoleId2FaRequirementGetRequest, options = {}) => {
            (0, common_1.assertParamExists)('permissionRolesRoleId2FaRequirementPatch', 'roleId', roleId);
            const localVarPath = `/permission-roles/{roleId}/2-fa-requirement`
                .replace(`{${"roleId"}}`, encodeURIComponent(String(roleId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PATCH', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(permissionRolesRoleId2FaRequirementGetRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        permissionRolesRoleIdDelete: async (roleId, options = {}) => {
            (0, common_1.assertParamExists)('permissionRolesRoleIdDelete', 'roleId', roleId);
            const localVarPath = `/permission-roles/{roleId}`
                .replace(`{${"roleId"}}`, encodeURIComponent(String(roleId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        permissionRolesRoleIdPatch: async (roleId, chatsChannelsIsNameFreePostRequest, options = {}) => {
            (0, common_1.assertParamExists)('permissionRolesRoleIdPatch', 'roleId', roleId);
            (0, common_1.assertParamExists)('permissionRolesRoleIdPatch', 'chatsChannelsIsNameFreePostRequest', chatsChannelsIsNameFreePostRequest);
            const localVarPath = `/permission-roles/{roleId}`
                .replace(`{${"roleId"}}`, encodeURIComponent(String(roleId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PATCH', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(chatsChannelsIsNameFreePostRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        permissionRolesRoleIdPermissionsDelete: async (roleId, rightCodes, options = {}) => {
            (0, common_1.assertParamExists)('permissionRolesRoleIdPermissionsDelete', 'roleId', roleId);
            (0, common_1.assertParamExists)('permissionRolesRoleIdPermissionsDelete', 'rightCodes', rightCodes);
            const localVarPath = `/permission-roles/{roleId}/permissions`
                .replace(`{${"roleId"}}`, encodeURIComponent(String(roleId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if (rightCodes) {
                localVarQueryParameter['rightCodes'] = rightCodes;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        permissionRolesRoleIdPermissionsGet: async (roleId, $fields, options = {}) => {
            (0, common_1.assertParamExists)('permissionRolesRoleIdPermissionsGet', 'roleId', roleId);
            const localVarPath = `/permission-roles/{roleId}/permissions`
                .replace(`{${"roleId"}}`, encodeURIComponent(String(roleId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        permissionRolesRoleIdPermissionsPost: async (roleId, permissionRolesRoleIdPermissionsDeleteRequest, options = {}) => {
            (0, common_1.assertParamExists)('permissionRolesRoleIdPermissionsPost', 'roleId', roleId);
            (0, common_1.assertParamExists)('permissionRolesRoleIdPermissionsPost', 'permissionRolesRoleIdPermissionsDeleteRequest', permissionRolesRoleIdPermissionsDeleteRequest);
            const localVarPath = `/permission-roles/{roleId}/permissions`
                .replace(`{${"roleId"}}`, encodeURIComponent(String(roleId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(permissionRolesRoleIdPermissionsDeleteRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        permissionRolesRoleIdProfilesGet: async (roleId, $fields, options = {}) => {
            (0, common_1.assertParamExists)('permissionRolesRoleIdProfilesGet', 'roleId', roleId);
            const localVarPath = `/permission-roles/{roleId}/profiles`
                .replace(`{${"roleId"}}`, encodeURIComponent(String(roleId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        permissionRolesRoleIdProfilesProfileDelete: async (roleId, profile, options = {}) => {
            (0, common_1.assertParamExists)('permissionRolesRoleIdProfilesProfileDelete', 'roleId', roleId);
            (0, common_1.assertParamExists)('permissionRolesRoleIdProfilesProfileDelete', 'profile', profile);
            const localVarPath = `/permission-roles/{roleId}/profiles/{profile}`
                .replace(`{${"roleId"}}`, encodeURIComponent(String(roleId)))
                .replace(`{${"profile"}}`, encodeURIComponent(String(profile)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        permissionRolesRoleIdProfilesProfilePost: async (roleId, profile, options = {}) => {
            (0, common_1.assertParamExists)('permissionRolesRoleIdProfilesProfilePost', 'roleId', roleId);
            (0, common_1.assertParamExists)('permissionRolesRoleIdProfilesProfilePost', 'profile', profile);
            const localVarPath = `/permission-roles/{roleId}/profiles/{profile}`
                .replace(`{${"roleId"}}`, encodeURIComponent(String(roleId)))
                .replace(`{${"profile"}}`, encodeURIComponent(String(profile)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        permissionRolesRoleIdResetRolePermissionsToDefaultPost: async (roleId, options = {}) => {
            (0, common_1.assertParamExists)('permissionRolesRoleIdResetRolePermissionsToDefaultPost', 'roleId', roleId);
            const localVarPath = `/permission-roles/{roleId}/reset-role-permissions-to-default`
                .replace(`{${"roleId"}}`, encodeURIComponent(String(roleId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        permissionRolesRoleIdTeamsGet: async (roleId, $fields, options = {}) => {
            (0, common_1.assertParamExists)('permissionRolesRoleIdTeamsGet', 'roleId', roleId);
            const localVarPath = `/permission-roles/{roleId}/teams`
                .replace(`{${"roleId"}}`, encodeURIComponent(String(roleId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        permissionRolesRoleIdTeamsTeamDelete: async (roleId, team, options = {}) => {
            (0, common_1.assertParamExists)('permissionRolesRoleIdTeamsTeamDelete', 'roleId', roleId);
            (0, common_1.assertParamExists)('permissionRolesRoleIdTeamsTeamDelete', 'team', team);
            const localVarPath = `/permission-roles/{roleId}/teams/{team}`
                .replace(`{${"roleId"}}`, encodeURIComponent(String(roleId)))
                .replace(`{${"team"}}`, encodeURIComponent(String(team)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        permissionRolesRoleIdTeamsTeamPost: async (roleId, team, options = {}) => {
            (0, common_1.assertParamExists)('permissionRolesRoleIdTeamsTeamPost', 'roleId', roleId);
            (0, common_1.assertParamExists)('permissionRolesRoleIdTeamsTeamPost', 'team', team);
            const localVarPath = `/permission-roles/{roleId}/teams/{team}`
                .replace(`{${"roleId"}}`, encodeURIComponent(String(roleId)))
                .replace(`{${"team"}}`, encodeURIComponent(String(team)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        permissionsCheckPermissionPost: async (permissionsCheckPermissionPostRequest, options = {}) => {
            (0, common_1.assertParamExists)('permissionsCheckPermissionPost', 'permissionsCheckPermissionPostRequest', permissionsCheckPermissionPostRequest);
            const localVarPath = `/permissions/check-permission`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(permissionsCheckPermissionPostRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        permissionsGet: async ($fields, options = {}) => {
            const localVarPath = `/permissions`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsAutomationDslEvaluationsConfigGet: async ($fields, options = {}) => {
            const localVarPath = `/projects/automation/dsl-evaluations/config`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsAutomationGraphExecutionsIdGet: async (id, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsAutomationGraphExecutionsIdGet', 'id', id);
            const localVarPath = `/projects/automation/graph-executions/{id}`
                .replace(`{${"id"}}`, encodeURIComponent(String(id)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsAutomationGraphExecutionsIdStopPost: async (id, options = {}) => {
            (0, common_1.assertParamExists)('projectsAutomationGraphExecutionsIdStopPost', 'id', id);
            const localVarPath = `/projects/automation/graph-executions/{id}/stop`
                .replace(`{${"id"}}`, encodeURIComponent(String(id)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsAutomationJobExecutionsCurrentGet: async ($fields, options = {}) => {
            const localVarPath = `/projects/automation/job-executions/current`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsAutomationJobsJobIdGet: async (jobId, project, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsAutomationJobsJobIdGet', 'jobId', jobId);
            (0, common_1.assertParamExists)('projectsAutomationJobsJobIdGet', 'project', project);
            const localVarPath = `/projects/automation/jobs/{jobId}`
                .replace(`{${"jobId"}}`, encodeURIComponent(String(jobId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if (project !== undefined) {
                localVarQueryParameter['project'] = project;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsAutomationStepExecutionsStepExecIdParametersKeyDelete: async (stepExecId, key, options = {}) => {
            (0, common_1.assertParamExists)('projectsAutomationStepExecutionsStepExecIdParametersKeyDelete', 'stepExecId', stepExecId);
            (0, common_1.assertParamExists)('projectsAutomationStepExecutionsStepExecIdParametersKeyDelete', 'key', key);
            const localVarPath = `/projects/automation/step-executions/{stepExecId}/parameters/{key}`
                .replace(`{${"stepExecId"}}`, encodeURIComponent(String(stepExecId)))
                .replace(`{${"key"}}`, encodeURIComponent(String(key)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsAutomationStepExecutionsStepExecIdParametersKeyGet: async (stepExecId, key, options = {}) => {
            (0, common_1.assertParamExists)('projectsAutomationStepExecutionsStepExecIdParametersKeyGet', 'stepExecId', stepExecId);
            (0, common_1.assertParamExists)('projectsAutomationStepExecutionsStepExecIdParametersKeyGet', 'key', key);
            const localVarPath = `/projects/automation/step-executions/{stepExecId}/parameters/{key}`
                .replace(`{${"stepExecId"}}`, encodeURIComponent(String(stepExecId)))
                .replace(`{${"key"}}`, encodeURIComponent(String(key)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsAutomationStepExecutionsStepExecIdParametersKeyPatch: async (stepExecId, key, projectsAutomationStepExecutionsStepExecIdParametersKeyDeleteRequest, options = {}) => {
            (0, common_1.assertParamExists)('projectsAutomationStepExecutionsStepExecIdParametersKeyPatch', 'stepExecId', stepExecId);
            (0, common_1.assertParamExists)('projectsAutomationStepExecutionsStepExecIdParametersKeyPatch', 'key', key);
            (0, common_1.assertParamExists)('projectsAutomationStepExecutionsStepExecIdParametersKeyPatch', 'projectsAutomationStepExecutionsStepExecIdParametersKeyDeleteRequest', projectsAutomationStepExecutionsStepExecIdParametersKeyDeleteRequest);
            const localVarPath = `/projects/automation/step-executions/{stepExecId}/parameters/{key}`
                .replace(`{${"stepExecId"}}`, encodeURIComponent(String(stepExecId)))
                .replace(`{${"key"}}`, encodeURIComponent(String(key)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PATCH', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(projectsAutomationStepExecutionsStepExecIdParametersKeyDeleteRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsAutomationStepExecutionsUsedParametersParamParameterIdGet: async (parameterId, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsAutomationStepExecutionsUsedParametersParamParameterIdGet', 'parameterId', parameterId);
            const localVarPath = `/projects/automation/step-executions/used-parameters/param/{parameterId}`
                .replace(`{${"parameterId"}}`, encodeURIComponent(String(parameterId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsAutomationStepExecutionsUsedParametersSecretSecretIdGet: async (secretId, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsAutomationStepExecutionsUsedParametersSecretSecretIdGet', 'secretId', secretId);
            const localVarPath = `/projects/automation/step-executions/used-parameters/secret/{secretId}`
                .replace(`{${"secretId"}}`, encodeURIComponent(String(secretId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsAutomationSubscriptionsLegacyChannelsDelete: async (project, jobId, unsubscribedOnly, options = {}) => {
            const localVarPath = `/projects/automation/subscriptions/legacy-channels`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if (project !== undefined) {
                localVarQueryParameter['project'] = project;
            }
            if (jobId !== undefined) {
                localVarQueryParameter['jobId'] = jobId;
            }
            if (unsubscribedOnly !== undefined) {
                localVarQueryParameter['unsubscribedOnly'] = unsubscribedOnly;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsCollaboratorprofileGet: async (profile, $skip, $top, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsCollaboratorprofileGet', 'profile', profile);
            const localVarPath = `/projects/collaborator:{profile}`
                .replace(`{${"profile"}}`, encodeURIComponent(String(profile)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($skip !== undefined) {
                localVarQueryParameter['$skip'] = $skip;
            }
            if ($top !== undefined) {
                localVarQueryParameter['$top'] = $top;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsGet: async ($skip, $top, term, tag, starred, $fields, options = {}) => {
            const localVarPath = `/projects`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($skip !== undefined) {
                localVarQueryParameter['$skip'] = $skip;
            }
            if ($top !== undefined) {
                localVarQueryParameter['$top'] = $top;
            }
            if (term !== undefined) {
                localVarQueryParameter['term'] = term;
            }
            if (tag !== undefined) {
                localVarQueryParameter['tag'] = tag;
            }
            if (starred !== undefined) {
                localVarQueryParameter['starred'] = starred;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsMembermemberGet: async (member, $skip, $top, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsMembermemberGet', 'member', member);
            const localVarPath = `/projects/member:{member}`
                .replace(`{${"member"}}`, encodeURIComponent(String(member)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($skip !== undefined) {
                localVarQueryParameter['$skip'] = $skip;
            }
            if ($top !== undefined) {
                localVarQueryParameter['$top'] = $top;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsParamsDefaultBundleGet: async (project, $skip, $top, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsParamsDefaultBundleGet', 'project', project);
            const localVarPath = `/projects/params/default-bundle`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if (project !== undefined) {
                localVarQueryParameter['project'] = project;
            }
            if ($skip !== undefined) {
                localVarQueryParameter['$skip'] = $skip;
            }
            if ($top !== undefined) {
                localVarQueryParameter['$top'] = $top;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsParamsDefaultBundlePost: async (projectsParamsDefaultBundleGetRequest, options = {}) => {
            (0, common_1.assertParamExists)('projectsParamsDefaultBundlePost', 'projectsParamsDefaultBundleGetRequest', projectsParamsDefaultBundleGetRequest);
            const localVarPath = `/projects/params/default-bundle`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(projectsParamsDefaultBundleGetRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsParamsIdDelete: async (id, options = {}) => {
            (0, common_1.assertParamExists)('projectsParamsIdDelete', 'id', id);
            const localVarPath = `/projects/params/{id}`
                .replace(`{${"id"}}`, encodeURIComponent(String(id)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsParamsIdPatch: async (id, projectsParamsIdDeleteRequest, options = {}) => {
            (0, common_1.assertParamExists)('projectsParamsIdPatch', 'id', id);
            (0, common_1.assertParamExists)('projectsParamsIdPatch', 'projectsParamsIdDeleteRequest', projectsParamsIdDeleteRequest);
            const localVarPath = `/projects/params/{id}`
                .replace(`{${"id"}}`, encodeURIComponent(String(id)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PATCH', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(projectsParamsIdDeleteRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsParamsInDefaultBundleGet: async (projectId, $skip, $top, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsParamsInDefaultBundleGet', 'projectId', projectId);
            const localVarPath = `/projects/params/in-default-bundle`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if (projectId !== undefined) {
                localVarQueryParameter['projectId'] = projectId;
            }
            if ($skip !== undefined) {
                localVarQueryParameter['$skip'] = $skip;
            }
            if ($top !== undefined) {
                localVarQueryParameter['$top'] = $top;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsParamsInDefaultBundlePost: async (projectsParamsInDefaultBundleGetRequest, options = {}) => {
            (0, common_1.assertParamExists)('projectsParamsInDefaultBundlePost', 'projectsParamsInDefaultBundleGetRequest', projectsParamsInDefaultBundleGetRequest);
            const localVarPath = `/projects/params/in-default-bundle`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(projectsParamsInDefaultBundleGetRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsPlanningBoardsBoardDelete: async (board, options = {}) => {
            (0, common_1.assertParamExists)('projectsPlanningBoardsBoardDelete', 'board', board);
            const localVarPath = `/projects/planning/boards/{board}`
                .replace(`{${"board"}}`, encodeURIComponent(String(board)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsPlanningBoardsBoardGet: async (board, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsPlanningBoardsBoardGet', 'board', board);
            const localVarPath = `/projects/planning/boards/{board}`
                .replace(`{${"board"}}`, encodeURIComponent(String(board)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsPlanningBoardsBoardIssuesGet: async (board, $skip, $top, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsPlanningBoardsBoardIssuesGet', 'board', board);
            const localVarPath = `/projects/planning/boards/{board}/issues`
                .replace(`{${"board"}}`, encodeURIComponent(String(board)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($skip !== undefined) {
                localVarQueryParameter['$skip'] = $skip;
            }
            if ($top !== undefined) {
                localVarQueryParameter['$top'] = $top;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsPlanningBoardsBoardIssuesIssueDelete: async (issue, board, options = {}) => {
            (0, common_1.assertParamExists)('projectsPlanningBoardsBoardIssuesIssueDelete', 'issue', issue);
            (0, common_1.assertParamExists)('projectsPlanningBoardsBoardIssuesIssueDelete', 'board', board);
            const localVarPath = `/projects/planning/boards/{board}/issues/{issue}`
                .replace(`{${"issue"}}`, encodeURIComponent(String(issue)))
                .replace(`{${"board"}}`, encodeURIComponent(String(board)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsPlanningBoardsBoardIssuesIssuePost: async (issue, board, options = {}) => {
            (0, common_1.assertParamExists)('projectsPlanningBoardsBoardIssuesIssuePost', 'issue', issue);
            (0, common_1.assertParamExists)('projectsPlanningBoardsBoardIssuesIssuePost', 'board', board);
            const localVarPath = `/projects/planning/boards/{board}/issues/{issue}`
                .replace(`{${"issue"}}`, encodeURIComponent(String(issue)))
                .replace(`{${"board"}}`, encodeURIComponent(String(board)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsPlanningBoardsBoardPatch: async (board, projectsPlanningBoardsBoardDeleteRequest, options = {}) => {
            (0, common_1.assertParamExists)('projectsPlanningBoardsBoardPatch', 'board', board);
            const localVarPath = `/projects/planning/boards/{board}`
                .replace(`{${"board"}}`, encodeURIComponent(String(board)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PATCH', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(projectsPlanningBoardsBoardDeleteRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsPlanningBoardsSprintsPost: async (projectsPlanningBoardsSprintsPostRequest, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsPlanningBoardsSprintsPost', 'projectsPlanningBoardsSprintsPostRequest', projectsPlanningBoardsSprintsPostRequest);
            const localVarPath = `/projects/planning/boards/sprints`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(projectsPlanningBoardsSprintsPostRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsPlanningBoardsSprintsSprintArchiveDelete: async (sprint, options = {}) => {
            (0, common_1.assertParamExists)('projectsPlanningBoardsSprintsSprintArchiveDelete', 'sprint', sprint);
            const localVarPath = `/projects/planning/boards/sprints/{sprint}/archive`
                .replace(`{${"sprint"}}`, encodeURIComponent(String(sprint)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsPlanningBoardsSprintsSprintIssuesGet: async (sprint, $skip, $top, unresolvedOnly, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsPlanningBoardsSprintsSprintIssuesGet', 'sprint', sprint);
            const localVarPath = `/projects/planning/boards/sprints/{sprint}/issues`
                .replace(`{${"sprint"}}`, encodeURIComponent(String(sprint)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($skip !== undefined) {
                localVarQueryParameter['$skip'] = $skip;
            }
            if ($top !== undefined) {
                localVarQueryParameter['$top'] = $top;
            }
            if (unresolvedOnly !== undefined) {
                localVarQueryParameter['unresolvedOnly'] = unresolvedOnly;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsPlanningBoardsSprintsSprintIssuesIssueDelete: async (issue, sprint, options = {}) => {
            (0, common_1.assertParamExists)('projectsPlanningBoardsSprintsSprintIssuesIssueDelete', 'issue', issue);
            (0, common_1.assertParamExists)('projectsPlanningBoardsSprintsSprintIssuesIssueDelete', 'sprint', sprint);
            const localVarPath = `/projects/planning/boards/sprints/{sprint}/issues/{issue}`
                .replace(`{${"issue"}}`, encodeURIComponent(String(issue)))
                .replace(`{${"sprint"}}`, encodeURIComponent(String(sprint)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsPlanningBoardsSprintsSprintIssuesIssuePost: async (issue, sprint, options = {}) => {
            (0, common_1.assertParamExists)('projectsPlanningBoardsSprintsSprintIssuesIssuePost', 'issue', issue);
            (0, common_1.assertParamExists)('projectsPlanningBoardsSprintsSprintIssuesIssuePost', 'sprint', sprint);
            const localVarPath = `/projects/planning/boards/sprints/{sprint}/issues/{issue}`
                .replace(`{${"issue"}}`, encodeURIComponent(String(issue)))
                .replace(`{${"sprint"}}`, encodeURIComponent(String(sprint)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsPlanningBoardsSprintsSprintLaunchPost: async (sprint, projectsPlanningBoardsSprintsSprintLaunchPostRequest, options = {}) => {
            (0, common_1.assertParamExists)('projectsPlanningBoardsSprintsSprintLaunchPost', 'sprint', sprint);
            (0, common_1.assertParamExists)('projectsPlanningBoardsSprintsSprintLaunchPost', 'projectsPlanningBoardsSprintsSprintLaunchPostRequest', projectsPlanningBoardsSprintsSprintLaunchPostRequest);
            const localVarPath = `/projects/planning/boards/sprints/{sprint}/launch`
                .replace(`{${"sprint"}}`, encodeURIComponent(String(sprint)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(projectsPlanningBoardsSprintsSprintLaunchPostRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsPlanningBoardsSprintsSprintPatch: async (sprint, projectsPlanningBoardsSprintsSprintPatchRequest, options = {}) => {
            (0, common_1.assertParamExists)('projectsPlanningBoardsSprintsSprintPatch', 'sprint', sprint);
            const localVarPath = `/projects/planning/boards/sprints/{sprint}`
                .replace(`{${"sprint"}}`, encodeURIComponent(String(sprint)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PATCH', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(projectsPlanningBoardsSprintsSprintPatchRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsPost: async (projectsGetRequest, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsPost', 'projectsGetRequest', projectsGetRequest);
            const localVarPath = `/projects`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(projectsGetRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsPrivateProjectsGet: async ($fields, options = {}) => {
            const localVarPath = `/projects/private-projects`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsPrivateProjectsProjectRequestAccessPost: async (project, options = {}) => {
            (0, common_1.assertParamExists)('projectsPrivateProjectsProjectRequestAccessPost', 'project', project);
            const localVarPath = `/projects/private-projects/{project}/request-access`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectAccessAdminsGet: async (project, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectAccessAdminsGet', 'project', project);
            const localVarPath = `/projects/{project}/access/admins`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectAccessAdminsProfilesPost: async (project, chatsChannelsChannelAdministratorGetRequest, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectAccessAdminsProfilesPost', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectAccessAdminsProfilesPost', 'chatsChannelsChannelAdministratorGetRequest', chatsChannelsChannelAdministratorGetRequest);
            const localVarPath = `/projects/{project}/access/admins/profiles`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(chatsChannelsChannelAdministratorGetRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectAccessAdminsProfilesProfileDelete: async (project, profile, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectAccessAdminsProfilesProfileDelete', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectAccessAdminsProfilesProfileDelete', 'profile', profile);
            const localVarPath = `/projects/{project}/access/admins/profiles/{profile}`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"profile"}}`, encodeURIComponent(String(profile)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectAccessAdminsTeamsPost: async (project, projectsProjectAccessAdminsTeamsPostRequest, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectAccessAdminsTeamsPost', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectAccessAdminsTeamsPost', 'projectsProjectAccessAdminsTeamsPostRequest', projectsProjectAccessAdminsTeamsPostRequest);
            const localVarPath = `/projects/{project}/access/admins/teams`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(projectsProjectAccessAdminsTeamsPostRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectAccessAdminsTeamsTeamIdDelete: async (project, teamId, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectAccessAdminsTeamsTeamIdDelete', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectAccessAdminsTeamsTeamIdDelete', 'teamId', teamId);
            const localVarPath = `/projects/{project}/access/admins/teams/{teamId}`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"teamId"}}`, encodeURIComponent(String(teamId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectAccessCollaboratorsGet: async (project, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectAccessCollaboratorsGet', 'project', project);
            const localVarPath = `/projects/{project}/access/collaborators`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectAccessCollaboratorsProfilesDelete: async (project, profile, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectAccessCollaboratorsProfilesDelete', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectAccessCollaboratorsProfilesDelete', 'profile', profile);
            const localVarPath = `/projects/{project}/access/collaborators/profiles`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if (profile !== undefined) {
                localVarQueryParameter['profile'] = profile;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectAccessCollaboratorsProfilesGet: async (project, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectAccessCollaboratorsProfilesGet', 'project', project);
            const localVarPath = `/projects/{project}/access/collaborators/profiles`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectAccessCollaboratorsProfilesPost: async (project, chatsChannelsChannelAdministratorGetRequest, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectAccessCollaboratorsProfilesPost', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectAccessCollaboratorsProfilesPost', 'chatsChannelsChannelAdministratorGetRequest', chatsChannelsChannelAdministratorGetRequest);
            const localVarPath = `/projects/{project}/access/collaborators/profiles`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(chatsChannelsChannelAdministratorGetRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectAccessCollaboratorsTeamsDelete: async (project, teamId, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectAccessCollaboratorsTeamsDelete', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectAccessCollaboratorsTeamsDelete', 'teamId', teamId);
            const localVarPath = `/projects/{project}/access/collaborators/teams`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if (teamId !== undefined) {
                localVarQueryParameter['teamId'] = teamId;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectAccessCollaboratorsTeamsGet: async (project, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectAccessCollaboratorsTeamsGet', 'project', project);
            const localVarPath = `/projects/{project}/access/collaborators/teams`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectAccessCollaboratorsTeamsPost: async (project, projectsProjectAccessAdminsTeamsPostRequest, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectAccessCollaboratorsTeamsPost', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectAccessCollaboratorsTeamsPost', 'projectsProjectAccessAdminsTeamsPostRequest', projectsProjectAccessAdminsTeamsPostRequest);
            const localVarPath = `/projects/{project}/access/collaborators/teams`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(projectsProjectAccessAdminsTeamsPostRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectAccessMemberProfilesGet: async (project, $skip, $top, query, includingAdmins, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectAccessMemberProfilesGet', 'project', project);
            const localVarPath = `/projects/{project}/access/member-profiles`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($skip !== undefined) {
                localVarQueryParameter['$skip'] = $skip;
            }
            if ($top !== undefined) {
                localVarQueryParameter['$top'] = $top;
            }
            if (query !== undefined) {
                localVarQueryParameter['query'] = query;
            }
            if (includingAdmins !== undefined) {
                localVarQueryParameter['includingAdmins'] = includingAdmins;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectAccessMembersProfilesPost: async (project, chatsChannelsChannelAdministratorGetRequest, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectAccessMembersProfilesPost', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectAccessMembersProfilesPost', 'chatsChannelsChannelAdministratorGetRequest', chatsChannelsChannelAdministratorGetRequest);
            const localVarPath = `/projects/{project}/access/members/profiles`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(chatsChannelsChannelAdministratorGetRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectAccessMembersProfilesProfileDelete: async (project, profile, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectAccessMembersProfilesProfileDelete', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectAccessMembersProfilesProfileDelete', 'profile', profile);
            const localVarPath = `/projects/{project}/access/members/profiles/{profile}`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"profile"}}`, encodeURIComponent(String(profile)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectAccessMembersTeamsPost: async (project, projectsProjectAccessAdminsTeamsPostRequest, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectAccessMembersTeamsPost', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectAccessMembersTeamsPost', 'projectsProjectAccessAdminsTeamsPostRequest', projectsProjectAccessAdminsTeamsPostRequest);
            const localVarPath = `/projects/{project}/access/members/teams`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(projectsProjectAccessAdminsTeamsPostRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectAccessMembersTeamsTeamIdDelete: async (project, teamId, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectAccessMembersTeamsTeamIdDelete', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectAccessMembersTeamsTeamIdDelete', 'teamId', teamId);
            const localVarPath = `/projects/{project}/access/members/teams/{teamId}`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"teamId"}}`, encodeURIComponent(String(teamId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectAccessViewersGet: async (project, term, $skip, $top, meOnTop, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectAccessViewersGet', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectAccessViewersGet', 'term', term);
            const localVarPath = `/projects/{project}/access/viewers`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($skip !== undefined) {
                localVarQueryParameter['$skip'] = $skip;
            }
            if ($top !== undefined) {
                localVarQueryParameter['$top'] = $top;
            }
            if (term !== undefined) {
                localVarQueryParameter['term'] = term;
            }
            if (meOnTop !== undefined) {
                localVarQueryParameter['meOnTop'] = meOnTop;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectAutomationDeploymentTargetsFavoritesGet: async (project, sortBy, sortOrder, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectAutomationDeploymentTargetsFavoritesGet', 'project', project);
            const localVarPath = `/projects/{project}/automation/deployment-targets/favorites`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if (sortBy !== undefined) {
                localVarQueryParameter['sortBy'] = sortBy;
            }
            if (sortOrder !== undefined) {
                localVarQueryParameter['sortOrder'] = sortOrder;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectAutomationDeploymentTargetsGet: async (project, search, sortBy, sortOrder, $skip, $top, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectAutomationDeploymentTargetsGet', 'project', project);
            const localVarPath = `/projects/{project}/automation/deployment-targets`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if (search !== undefined) {
                localVarQueryParameter['search'] = search;
            }
            if (sortBy !== undefined) {
                localVarQueryParameter['sortBy'] = sortBy;
            }
            if (sortOrder !== undefined) {
                localVarQueryParameter['sortOrder'] = sortOrder;
            }
            if ($skip !== undefined) {
                localVarQueryParameter['$skip'] = $skip;
            }
            if ($top !== undefined) {
                localVarQueryParameter['$top'] = $top;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectAutomationDeploymentTargetsPost: async (project, projectsProjectAutomationDeploymentTargetsGetRequest, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectAutomationDeploymentTargetsPost', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectAutomationDeploymentTargetsPost', 'projectsProjectAutomationDeploymentTargetsGetRequest', projectsProjectAutomationDeploymentTargetsGetRequest);
            const localVarPath = `/projects/{project}/automation/deployment-targets`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(projectsProjectAutomationDeploymentTargetsGetRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectAutomationDeploymentTargetsTargetDelete: async (project, target, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectAutomationDeploymentTargetsTargetDelete', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectAutomationDeploymentTargetsTargetDelete', 'target', target);
            const localVarPath = `/projects/{project}/automation/deployment-targets/{target}`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"target"}}`, encodeURIComponent(String(target)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectAutomationDeploymentTargetsTargetGet: async (project, target, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectAutomationDeploymentTargetsTargetGet', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectAutomationDeploymentTargetsTargetGet', 'target', target);
            const localVarPath = `/projects/{project}/automation/deployment-targets/{target}`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"target"}}`, encodeURIComponent(String(target)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectAutomationDeploymentTargetsTargetPut: async (project, target, projectsProjectAutomationDeploymentTargetsTargetDeleteRequest, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectAutomationDeploymentTargetsTargetPut', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectAutomationDeploymentTargetsTargetPut', 'target', target);
            const localVarPath = `/projects/{project}/automation/deployment-targets/{target}`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"target"}}`, encodeURIComponent(String(target)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PUT', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(projectsProjectAutomationDeploymentTargetsTargetDeleteRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectAutomationDeploymentsFailPost: async (project, projectsProjectAutomationDeploymentsFailPostRequest, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectAutomationDeploymentsFailPost', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectAutomationDeploymentsFailPost', 'projectsProjectAutomationDeploymentsFailPostRequest', projectsProjectAutomationDeploymentsFailPostRequest);
            const localVarPath = `/projects/{project}/automation/deployments/fail`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(projectsProjectAutomationDeploymentsFailPostRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectAutomationDeploymentsFinishPost: async (project, projectsProjectAutomationDeploymentsFinishPostRequest, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectAutomationDeploymentsFinishPost', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectAutomationDeploymentsFinishPost', 'projectsProjectAutomationDeploymentsFinishPostRequest', projectsProjectAutomationDeploymentsFinishPostRequest);
            const localVarPath = `/projects/{project}/automation/deployments/finish`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(projectsProjectAutomationDeploymentsFinishPostRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectAutomationDeploymentsGet: async (project, targetIdentifier, jobExecutionId, $skip, $top, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectAutomationDeploymentsGet', 'project', project);
            const localVarPath = `/projects/{project}/automation/deployments`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if (targetIdentifier !== undefined) {
                localVarQueryParameter['targetIdentifier'] = targetIdentifier;
            }
            if (jobExecutionId !== undefined) {
                localVarQueryParameter['jobExecutionId'] = jobExecutionId;
            }
            if ($skip !== undefined) {
                localVarQueryParameter['$skip'] = $skip;
            }
            if ($top !== undefined) {
                localVarQueryParameter['$top'] = $top;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectAutomationDeploymentsPut: async (project, projectsProjectAutomationDeploymentsGetRequest, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectAutomationDeploymentsPut', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectAutomationDeploymentsPut', 'projectsProjectAutomationDeploymentsGetRequest', projectsProjectAutomationDeploymentsGetRequest);
            const localVarPath = `/projects/{project}/automation/deployments`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PUT', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(projectsProjectAutomationDeploymentsGetRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectAutomationDeploymentsSchedulePost: async (project, projectsProjectAutomationDeploymentsSchedulePostRequest, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectAutomationDeploymentsSchedulePost', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectAutomationDeploymentsSchedulePost', 'projectsProjectAutomationDeploymentsSchedulePostRequest', projectsProjectAutomationDeploymentsSchedulePostRequest);
            const localVarPath = `/projects/{project}/automation/deployments/schedule`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(projectsProjectAutomationDeploymentsSchedulePostRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectAutomationDeploymentsStartPost: async (project, projectsProjectAutomationDeploymentsStartPostRequest, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectAutomationDeploymentsStartPost', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectAutomationDeploymentsStartPost', 'projectsProjectAutomationDeploymentsStartPostRequest', projectsProjectAutomationDeploymentsStartPostRequest);
            const localVarPath = `/projects/{project}/automation/deployments/start`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(projectsProjectAutomationDeploymentsStartPostRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectAutomationDeploymentsTargetIdentifierDeploymentIdentifierDelete: async (project, targetIdentifier, deploymentIdentifier, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectAutomationDeploymentsTargetIdentifierDeploymentIdentifierDelete', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectAutomationDeploymentsTargetIdentifierDeploymentIdentifierDelete', 'targetIdentifier', targetIdentifier);
            (0, common_1.assertParamExists)('projectsProjectAutomationDeploymentsTargetIdentifierDeploymentIdentifierDelete', 'deploymentIdentifier', deploymentIdentifier);
            const localVarPath = `/projects/{project}/automation/deployments/{targetIdentifier}/{deploymentIdentifier}`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"targetIdentifier"}}`, encodeURIComponent(String(targetIdentifier)))
                .replace(`{${"deploymentIdentifier"}}`, encodeURIComponent(String(deploymentIdentifier)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectAutomationDeploymentsTargetIdentifierDeploymentIdentifierGet: async (project, targetIdentifier, deploymentIdentifier, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectAutomationDeploymentsTargetIdentifierDeploymentIdentifierGet', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectAutomationDeploymentsTargetIdentifierDeploymentIdentifierGet', 'targetIdentifier', targetIdentifier);
            (0, common_1.assertParamExists)('projectsProjectAutomationDeploymentsTargetIdentifierDeploymentIdentifierGet', 'deploymentIdentifier', deploymentIdentifier);
            const localVarPath = `/projects/{project}/automation/deployments/{targetIdentifier}/{deploymentIdentifier}`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"targetIdentifier"}}`, encodeURIComponent(String(targetIdentifier)))
                .replace(`{${"deploymentIdentifier"}}`, encodeURIComponent(String(deploymentIdentifier)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectAutomationGraphExecutionsGet: async (project, jobId, branchFilter, statusFilter, jobTriggerFilter, $skip, $top, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectAutomationGraphExecutionsGet', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectAutomationGraphExecutionsGet', 'jobId', jobId);
            const localVarPath = `/projects/{project}/automation/graph-executions`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if (jobId !== undefined) {
                localVarQueryParameter['jobId'] = jobId;
            }
            if (branchFilter !== undefined) {
                localVarQueryParameter['branchFilter'] = branchFilter;
            }
            if (statusFilter !== undefined) {
                localVarQueryParameter['statusFilter'] = statusFilter;
            }
            if (jobTriggerFilter !== undefined) {
                localVarQueryParameter['jobTriggerFilter'] = jobTriggerFilter;
            }
            if ($skip !== undefined) {
                localVarQueryParameter['$skip'] = $skip;
            }
            if ($top !== undefined) {
                localVarQueryParameter['$top'] = $top;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectAutomationJobsGet: async (project, repoFilter, branchFilter, trigger, $skip, $top, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectAutomationJobsGet', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectAutomationJobsGet', 'repoFilter', repoFilter);
            (0, common_1.assertParamExists)('projectsProjectAutomationJobsGet', 'branchFilter', branchFilter);
            const localVarPath = `/projects/{project}/automation/jobs`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if (repoFilter !== undefined) {
                localVarQueryParameter['repoFilter'] = repoFilter;
            }
            if (branchFilter !== undefined) {
                localVarQueryParameter['branchFilter'] = branchFilter;
            }
            if (trigger !== undefined) {
                localVarQueryParameter['trigger'] = trigger;
            }
            if ($skip !== undefined) {
                localVarQueryParameter['$skip'] = $skip;
            }
            if ($top !== undefined) {
                localVarQueryParameter['$top'] = $top;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectAutomationJobsJobIdStartPost: async (project, jobId, projectsProjectAutomationJobsJobIdStartPostRequest, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectAutomationJobsJobIdStartPost', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectAutomationJobsJobIdStartPost', 'jobId', jobId);
            (0, common_1.assertParamExists)('projectsProjectAutomationJobsJobIdStartPost', 'projectsProjectAutomationJobsJobIdStartPostRequest', projectsProjectAutomationJobsJobIdStartPostRequest);
            const localVarPath = `/projects/{project}/automation/jobs/{jobId}/start`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"jobId"}}`, encodeURIComponent(String(jobId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(projectsProjectAutomationJobsJobIdStartPostRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectCodeReviewsCodeDiscussionsDiscussionIdAcceptSuggestedEditPost: async (project, discussionId, projectsProjectCodeReviewsCodeDiscussionsDiscussionIdAcceptSuggestedEditPostRequest, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectCodeReviewsCodeDiscussionsDiscussionIdAcceptSuggestedEditPost', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectCodeReviewsCodeDiscussionsDiscussionIdAcceptSuggestedEditPost', 'discussionId', discussionId);
            (0, common_1.assertParamExists)('projectsProjectCodeReviewsCodeDiscussionsDiscussionIdAcceptSuggestedEditPost', 'projectsProjectCodeReviewsCodeDiscussionsDiscussionIdAcceptSuggestedEditPostRequest', projectsProjectCodeReviewsCodeDiscussionsDiscussionIdAcceptSuggestedEditPostRequest);
            const localVarPath = `/projects/{project}/code-reviews/code-discussions/{discussionId}/accept-suggested-edit`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"discussionId"}}`, encodeURIComponent(String(discussionId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(projectsProjectCodeReviewsCodeDiscussionsDiscussionIdAcceptSuggestedEditPostRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectCodeReviewsCodeDiscussionsDiscussionIdRejectSuggestedEditPost: async (project, discussionId, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectCodeReviewsCodeDiscussionsDiscussionIdRejectSuggestedEditPost', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectCodeReviewsCodeDiscussionsDiscussionIdRejectSuggestedEditPost', 'discussionId', discussionId);
            const localVarPath = `/projects/{project}/code-reviews/code-discussions/{discussionId}/reject-suggested-edit`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"discussionId"}}`, encodeURIComponent(String(discussionId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectCodeReviewsCodeDiscussionsDiscussionIdReopenSuggestedEditPost: async (project, discussionId, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectCodeReviewsCodeDiscussionsDiscussionIdReopenSuggestedEditPost', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectCodeReviewsCodeDiscussionsDiscussionIdReopenSuggestedEditPost', 'discussionId', discussionId);
            const localVarPath = `/projects/{project}/code-reviews/code-discussions/{discussionId}/reopen-suggested-edit`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"discussionId"}}`, encodeURIComponent(String(discussionId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectCodeReviewsCodeDiscussionsDiscussionIdSuggestedEditPatch: async (project, discussionId, projectsProjectCodeReviewsCodeDiscussionsDiscussionIdSuggestedEditPatchRequest, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectCodeReviewsCodeDiscussionsDiscussionIdSuggestedEditPatch', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectCodeReviewsCodeDiscussionsDiscussionIdSuggestedEditPatch', 'discussionId', discussionId);
            (0, common_1.assertParamExists)('projectsProjectCodeReviewsCodeDiscussionsDiscussionIdSuggestedEditPatch', 'projectsProjectCodeReviewsCodeDiscussionsDiscussionIdSuggestedEditPatchRequest', projectsProjectCodeReviewsCodeDiscussionsDiscussionIdSuggestedEditPatchRequest);
            const localVarPath = `/projects/{project}/code-reviews/code-discussions/{discussionId}/suggested-edit`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"discussionId"}}`, encodeURIComponent(String(discussionId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PATCH', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(projectsProjectCodeReviewsCodeDiscussionsDiscussionIdSuggestedEditPatchRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectCodeReviewsCodeDiscussionsPost: async (project, projectsProjectCodeReviewsCodeDiscussionsPostRequest, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectCodeReviewsCodeDiscussionsPost', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectCodeReviewsCodeDiscussionsPost', 'projectsProjectCodeReviewsCodeDiscussionsPostRequest', projectsProjectCodeReviewsCodeDiscussionsPostRequest);
            const localVarPath = `/projects/{project}/code-reviews/code-discussions`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(projectsProjectCodeReviewsCodeDiscussionsPostRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectCodeReviewsCommitSetReviewPost: async (project, projectsProjectCodeReviewsCommitSetReviewPostRequest, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectCodeReviewsCommitSetReviewPost', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectCodeReviewsCommitSetReviewPost', 'projectsProjectCodeReviewsCommitSetReviewPostRequest', projectsProjectCodeReviewsCommitSetReviewPostRequest);
            const localVarPath = `/projects/{project}/code-reviews/commit-set-review`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(projectsProjectCodeReviewsCommitSetReviewPostRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectCodeReviewsGet: async (project, $skip, $top, state, text, author, from, to, sort, reviewer, type, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectCodeReviewsGet', 'project', project);
            const localVarPath = `/projects/{project}/code-reviews`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($skip !== undefined) {
                localVarQueryParameter['$skip'] = $skip;
            }
            if ($top !== undefined) {
                localVarQueryParameter['$top'] = $top;
            }
            if (state !== undefined) {
                localVarQueryParameter['state'] = state;
            }
            if (text !== undefined) {
                localVarQueryParameter['text'] = text;
            }
            if (author !== undefined) {
                localVarQueryParameter['author'] = author;
            }
            if (from !== undefined) {
                localVarQueryParameter['from'] = from;
            }
            if (to !== undefined) {
                localVarQueryParameter['to'] = to;
            }
            if (sort !== undefined) {
                localVarQueryParameter['sort'] = sort;
            }
            if (reviewer !== undefined) {
                localVarQueryParameter['reviewer'] = reviewer;
            }
            if (type !== undefined) {
                localVarQueryParameter['type'] = type;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectCodeReviewsMergeRequestsPost: async (project, projectsProjectCodeReviewsMergeRequestsPostRequest, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectCodeReviewsMergeRequestsPost', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectCodeReviewsMergeRequestsPost', 'projectsProjectCodeReviewsMergeRequestsPostRequest', projectsProjectCodeReviewsMergeRequestsPostRequest);
            const localVarPath = `/projects/{project}/code-reviews/merge-requests`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(projectsProjectCodeReviewsMergeRequestsPostRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectCodeReviewsReviewIdDescriptionPatch: async (project, reviewId, chatsChannelsChannelDescriptionPatchRequest, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectCodeReviewsReviewIdDescriptionPatch', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectCodeReviewsReviewIdDescriptionPatch', 'reviewId', reviewId);
            (0, common_1.assertParamExists)('projectsProjectCodeReviewsReviewIdDescriptionPatch', 'chatsChannelsChannelDescriptionPatchRequest', chatsChannelsChannelDescriptionPatchRequest);
            const localVarPath = `/projects/{project}/code-reviews/{reviewId}/description`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"reviewId"}}`, encodeURIComponent(String(reviewId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PATCH', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(chatsChannelsChannelDescriptionPatchRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectCodeReviewsReviewIdDetailsGet: async (project, reviewId, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectCodeReviewsReviewIdDetailsGet', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectCodeReviewsReviewIdDetailsGet', 'reviewId', reviewId);
            const localVarPath = `/projects/{project}/code-reviews/{reviewId}/details`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"reviewId"}}`, encodeURIComponent(String(reviewId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectCodeReviewsReviewIdFilesGet: async (project, reviewId, $skip, $top, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectCodeReviewsReviewIdFilesGet', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectCodeReviewsReviewIdFilesGet', 'reviewId', reviewId);
            const localVarPath = `/projects/{project}/code-reviews/{reviewId}/files`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"reviewId"}}`, encodeURIComponent(String(reviewId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($skip !== undefined) {
                localVarQueryParameter['$skip'] = $skip;
            }
            if ($top !== undefined) {
                localVarQueryParameter['$top'] = $top;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectCodeReviewsReviewIdGet: async (project, reviewId, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectCodeReviewsReviewIdGet', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectCodeReviewsReviewIdGet', 'reviewId', reviewId);
            const localVarPath = `/projects/{project}/code-reviews/{reviewId}`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"reviewId"}}`, encodeURIComponent(String(reviewId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectCodeReviewsReviewIdMergeFilesGet: async (project, reviewId, $skip, $top, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectCodeReviewsReviewIdMergeFilesGet', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectCodeReviewsReviewIdMergeFilesGet', 'reviewId', reviewId);
            const localVarPath = `/projects/{project}/code-reviews/{reviewId}/merge-files`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"reviewId"}}`, encodeURIComponent(String(reviewId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($skip !== undefined) {
                localVarQueryParameter['$skip'] = $skip;
            }
            if ($top !== undefined) {
                localVarQueryParameter['$top'] = $top;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectCodeReviewsReviewIdMergePut: async (project, reviewId, projectsProjectCodeReviewsReviewIdMergePutRequest, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectCodeReviewsReviewIdMergePut', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectCodeReviewsReviewIdMergePut', 'reviewId', reviewId);
            (0, common_1.assertParamExists)('projectsProjectCodeReviewsReviewIdMergePut', 'projectsProjectCodeReviewsReviewIdMergePutRequest', projectsProjectCodeReviewsReviewIdMergePutRequest);
            const localVarPath = `/projects/{project}/code-reviews/{reviewId}/merge`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"reviewId"}}`, encodeURIComponent(String(reviewId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PUT', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(projectsProjectCodeReviewsReviewIdMergePutRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectCodeReviewsReviewIdParticipantsUserDelete: async (project, reviewId, user, role, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectCodeReviewsReviewIdParticipantsUserDelete', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectCodeReviewsReviewIdParticipantsUserDelete', 'reviewId', reviewId);
            (0, common_1.assertParamExists)('projectsProjectCodeReviewsReviewIdParticipantsUserDelete', 'user', user);
            (0, common_1.assertParamExists)('projectsProjectCodeReviewsReviewIdParticipantsUserDelete', 'role', role);
            const localVarPath = `/projects/{project}/code-reviews/{reviewId}/participants/{user}`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"reviewId"}}`, encodeURIComponent(String(reviewId)))
                .replace(`{${"user"}}`, encodeURIComponent(String(user)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if (role !== undefined) {
                localVarQueryParameter['role'] = role;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectCodeReviewsReviewIdParticipantsUserPost: async (project, reviewId, user, projectsProjectCodeReviewsReviewIdParticipantsUserDeleteRequest, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectCodeReviewsReviewIdParticipantsUserPost', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectCodeReviewsReviewIdParticipantsUserPost', 'reviewId', reviewId);
            (0, common_1.assertParamExists)('projectsProjectCodeReviewsReviewIdParticipantsUserPost', 'user', user);
            (0, common_1.assertParamExists)('projectsProjectCodeReviewsReviewIdParticipantsUserPost', 'projectsProjectCodeReviewsReviewIdParticipantsUserDeleteRequest', projectsProjectCodeReviewsReviewIdParticipantsUserDeleteRequest);
            const localVarPath = `/projects/{project}/code-reviews/{reviewId}/participants/{user}`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"reviewId"}}`, encodeURIComponent(String(reviewId)))
                .replace(`{${"user"}}`, encodeURIComponent(String(user)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(projectsProjectCodeReviewsReviewIdParticipantsUserDeleteRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectCodeReviewsReviewIdRebasePut: async (project, reviewId, projectsProjectCodeReviewsReviewIdRebasePutRequest, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectCodeReviewsReviewIdRebasePut', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectCodeReviewsReviewIdRebasePut', 'reviewId', reviewId);
            (0, common_1.assertParamExists)('projectsProjectCodeReviewsReviewIdRebasePut', 'projectsProjectCodeReviewsReviewIdRebasePutRequest', projectsProjectCodeReviewsReviewIdRebasePutRequest);
            const localVarPath = `/projects/{project}/code-reviews/{reviewId}/rebase`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"reviewId"}}`, encodeURIComponent(String(reviewId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PUT', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(projectsProjectCodeReviewsReviewIdRebasePutRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectCodeReviewsReviewIdRevisionsDelete: async (project, reviewId, revisions, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectCodeReviewsReviewIdRevisionsDelete', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectCodeReviewsReviewIdRevisionsDelete', 'reviewId', reviewId);
            (0, common_1.assertParamExists)('projectsProjectCodeReviewsReviewIdRevisionsDelete', 'revisions', revisions);
            const localVarPath = `/projects/{project}/code-reviews/{reviewId}/revisions`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"reviewId"}}`, encodeURIComponent(String(reviewId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if (revisions) {
                localVarQueryParameter['revisions'] = revisions;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectCodeReviewsReviewIdRevisionsPost: async (project, reviewId, projectsProjectCodeReviewsReviewIdRevisionsDeleteRequest, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectCodeReviewsReviewIdRevisionsPost', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectCodeReviewsReviewIdRevisionsPost', 'reviewId', reviewId);
            (0, common_1.assertParamExists)('projectsProjectCodeReviewsReviewIdRevisionsPost', 'projectsProjectCodeReviewsReviewIdRevisionsDeleteRequest', projectsProjectCodeReviewsReviewIdRevisionsDeleteRequest);
            const localVarPath = `/projects/{project}/code-reviews/{reviewId}/revisions`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"reviewId"}}`, encodeURIComponent(String(reviewId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(projectsProjectCodeReviewsReviewIdRevisionsDeleteRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectCodeReviewsReviewIdStatePatch: async (project, reviewId, projectsProjectCodeReviewsReviewIdStatePatchRequest, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectCodeReviewsReviewIdStatePatch', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectCodeReviewsReviewIdStatePatch', 'reviewId', reviewId);
            (0, common_1.assertParamExists)('projectsProjectCodeReviewsReviewIdStatePatch', 'projectsProjectCodeReviewsReviewIdStatePatchRequest', projectsProjectCodeReviewsReviewIdStatePatchRequest);
            const localVarPath = `/projects/{project}/code-reviews/{reviewId}/state`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"reviewId"}}`, encodeURIComponent(String(reviewId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PATCH', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(projectsProjectCodeReviewsReviewIdStatePatchRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectCodeReviewsReviewIdSuggestedReviewersGet: async (project, reviewId, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectCodeReviewsReviewIdSuggestedReviewersGet', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectCodeReviewsReviewIdSuggestedReviewersGet', 'reviewId', reviewId);
            const localVarPath = `/projects/{project}/code-reviews/{reviewId}/suggested-reviewers`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"reviewId"}}`, encodeURIComponent(String(reviewId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectCodeReviewsReviewIdTitlePatch: async (project, reviewId, projectsProjectCodeReviewsReviewIdTitlePatchRequest, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectCodeReviewsReviewIdTitlePatch', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectCodeReviewsReviewIdTitlePatch', 'reviewId', reviewId);
            (0, common_1.assertParamExists)('projectsProjectCodeReviewsReviewIdTitlePatch', 'projectsProjectCodeReviewsReviewIdTitlePatchRequest', projectsProjectCodeReviewsReviewIdTitlePatchRequest);
            const localVarPath = `/projects/{project}/code-reviews/{reviewId}/title`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"reviewId"}}`, encodeURIComponent(String(reviewId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PATCH', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(projectsProjectCodeReviewsReviewIdTitlePatchRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectDelete: async (project, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectDelete', 'project', project);
            const localVarPath = `/projects/{project}`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectDocumentsDocumentIdCopyPost: async (project, documentId, projectsProjectDocumentsDocumentIdCopyPostRequest, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectDocumentsDocumentIdCopyPost', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectDocumentsDocumentIdCopyPost', 'documentId', documentId);
            (0, common_1.assertParamExists)('projectsProjectDocumentsDocumentIdCopyPost', 'projectsProjectDocumentsDocumentIdCopyPostRequest', projectsProjectDocumentsDocumentIdCopyPostRequest);
            const localVarPath = `/projects/{project}/documents/{documentId}/copy`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"documentId"}}`, encodeURIComponent(String(documentId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(projectsProjectDocumentsDocumentIdCopyPostRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectDocumentsDocumentIdDelete: async (project, documentId, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectDocumentsDocumentIdDelete', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectDocumentsDocumentIdDelete', 'documentId', documentId);
            const localVarPath = `/projects/{project}/documents/{documentId}`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"documentId"}}`, encodeURIComponent(String(documentId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectDocumentsDocumentIdDeleteForeverDelete: async (project, documentId, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectDocumentsDocumentIdDeleteForeverDelete', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectDocumentsDocumentIdDeleteForeverDelete', 'documentId', documentId);
            const localVarPath = `/projects/{project}/documents/{documentId}/delete-forever`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"documentId"}}`, encodeURIComponent(String(documentId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectDocumentsDocumentIdGet: async (project, documentId, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectDocumentsDocumentIdGet', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectDocumentsDocumentIdGet', 'documentId', documentId);
            const localVarPath = `/projects/{project}/documents/{documentId}`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"documentId"}}`, encodeURIComponent(String(documentId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectDocumentsDocumentIdMovePatch: async (project, documentId, projectsProjectDocumentsDocumentIdMovePatchRequest, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectDocumentsDocumentIdMovePatch', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectDocumentsDocumentIdMovePatch', 'documentId', documentId);
            (0, common_1.assertParamExists)('projectsProjectDocumentsDocumentIdMovePatch', 'projectsProjectDocumentsDocumentIdMovePatchRequest', projectsProjectDocumentsDocumentIdMovePatchRequest);
            const localVarPath = `/projects/{project}/documents/{documentId}/move`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"documentId"}}`, encodeURIComponent(String(documentId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PATCH', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(projectsProjectDocumentsDocumentIdMovePatchRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectDocumentsDocumentIdPatch: async (project, documentId, $fields, projectsProjectDocumentsDocumentIdDeleteRequest, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectDocumentsDocumentIdPatch', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectDocumentsDocumentIdPatch', 'documentId', documentId);
            const localVarPath = `/projects/{project}/documents/{documentId}`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"documentId"}}`, encodeURIComponent(String(documentId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PATCH', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(projectsProjectDocumentsDocumentIdDeleteRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectDocumentsDocumentIdUnarchivePatch: async (project, documentId, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectDocumentsDocumentIdUnarchivePatch', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectDocumentsDocumentIdUnarchivePatch', 'documentId', documentId);
            const localVarPath = `/projects/{project}/documents/{documentId}/unarchive`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"documentId"}}`, encodeURIComponent(String(documentId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PATCH', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectDocumentsFoldersFolderDelete: async (project, folder, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectDocumentsFoldersFolderDelete', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectDocumentsFoldersFolderDelete', 'folder', folder);
            const localVarPath = `/projects/{project}/documents/folders/{folder}`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"folder"}}`, encodeURIComponent(String(folder)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectDocumentsFoldersFolderDocumentsGet: async (project, folder, withArchived, sortBy, order, $skip, $top, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectDocumentsFoldersFolderDocumentsGet', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectDocumentsFoldersFolderDocumentsGet', 'folder', folder);
            const localVarPath = `/projects/{project}/documents/folders/{folder}/documents`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"folder"}}`, encodeURIComponent(String(folder)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if (withArchived !== undefined) {
                localVarQueryParameter['withArchived'] = withArchived;
            }
            if (sortBy !== undefined) {
                localVarQueryParameter['sortBy'] = sortBy;
            }
            if (order !== undefined) {
                localVarQueryParameter['order'] = order;
            }
            if ($skip !== undefined) {
                localVarQueryParameter['$skip'] = $skip;
            }
            if ($top !== undefined) {
                localVarQueryParameter['$top'] = $top;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectDocumentsFoldersFolderGet: async (project, folder, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectDocumentsFoldersFolderGet', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectDocumentsFoldersFolderGet', 'folder', folder);
            const localVarPath = `/projects/{project}/documents/folders/{folder}`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"folder"}}`, encodeURIComponent(String(folder)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectDocumentsFoldersFolderIntroductionDelete: async (project, folder, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectDocumentsFoldersFolderIntroductionDelete', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectDocumentsFoldersFolderIntroductionDelete', 'folder', folder);
            const localVarPath = `/projects/{project}/documents/folders/{folder}/introduction`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"folder"}}`, encodeURIComponent(String(folder)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectDocumentsFoldersFolderIntroductionDocumentIdPatch: async (project, folder, documentId, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectDocumentsFoldersFolderIntroductionDocumentIdPatch', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectDocumentsFoldersFolderIntroductionDocumentIdPatch', 'folder', folder);
            (0, common_1.assertParamExists)('projectsProjectDocumentsFoldersFolderIntroductionDocumentIdPatch', 'documentId', documentId);
            const localVarPath = `/projects/{project}/documents/folders/{folder}/introduction/{documentId}`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"folder"}}`, encodeURIComponent(String(folder)))
                .replace(`{${"documentId"}}`, encodeURIComponent(String(documentId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PATCH', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectDocumentsFoldersFolderMovePatch: async (project, folder, projectsProjectDocumentsFoldersFolderMovePatchRequest, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectDocumentsFoldersFolderMovePatch', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectDocumentsFoldersFolderMovePatch', 'folder', folder);
            (0, common_1.assertParamExists)('projectsProjectDocumentsFoldersFolderMovePatch', 'projectsProjectDocumentsFoldersFolderMovePatchRequest', projectsProjectDocumentsFoldersFolderMovePatchRequest);
            const localVarPath = `/projects/{project}/documents/folders/{folder}/move`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"folder"}}`, encodeURIComponent(String(folder)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PATCH', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(projectsProjectDocumentsFoldersFolderMovePatchRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectDocumentsFoldersFolderPatch: async (project, folder, chatsChannelsIsNameFreePostRequest, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectDocumentsFoldersFolderPatch', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectDocumentsFoldersFolderPatch', 'folder', folder);
            (0, common_1.assertParamExists)('projectsProjectDocumentsFoldersFolderPatch', 'chatsChannelsIsNameFreePostRequest', chatsChannelsIsNameFreePostRequest);
            const localVarPath = `/projects/{project}/documents/folders/{folder}`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"folder"}}`, encodeURIComponent(String(folder)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PATCH', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(chatsChannelsIsNameFreePostRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectDocumentsFoldersFolderSubfoldersGet: async (project, folder, withArchived, sortBy, order, $skip, $top, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectDocumentsFoldersFolderSubfoldersGet', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectDocumentsFoldersFolderSubfoldersGet', 'folder', folder);
            const localVarPath = `/projects/{project}/documents/folders/{folder}/subfolders`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"folder"}}`, encodeURIComponent(String(folder)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if (withArchived !== undefined) {
                localVarQueryParameter['withArchived'] = withArchived;
            }
            if (sortBy !== undefined) {
                localVarQueryParameter['sortBy'] = sortBy;
            }
            if (order !== undefined) {
                localVarQueryParameter['order'] = order;
            }
            if ($skip !== undefined) {
                localVarQueryParameter['$skip'] = $skip;
            }
            if ($top !== undefined) {
                localVarQueryParameter['$top'] = $top;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectDocumentsFoldersPost: async (project, projectsProjectDocumentsFoldersPostRequest, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectDocumentsFoldersPost', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectDocumentsFoldersPost', 'projectsProjectDocumentsFoldersPostRequest', projectsProjectDocumentsFoldersPostRequest);
            const localVarPath = `/projects/{project}/documents/folders`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(projectsProjectDocumentsFoldersPostRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectDocumentsPost: async (project, projectsProjectDocumentsPostRequest, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectDocumentsPost', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectDocumentsPost', 'projectsProjectDocumentsPostRequest', projectsProjectDocumentsPostRequest);
            const localVarPath = `/projects/{project}/documents`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(projectsProjectDocumentsPostRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectGet: async (project, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectGet', 'project', project);
            const localVarPath = `/projects/{project}`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectPackagesRepositoriesGet: async (project, type, query, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectPackagesRepositoriesGet', 'project', project);
            const localVarPath = `/projects/{project}/packages/repositories`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if (type !== undefined) {
                localVarQueryParameter['type'] = type;
            }
            if (query !== undefined) {
                localVarQueryParameter['query'] = query;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectPackagesRepositoriesPost: async (project, projectsProjectPackagesRepositoriesGetRequest, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectPackagesRepositoriesPost', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectPackagesRepositoriesPost', 'projectsProjectPackagesRepositoriesGetRequest', projectsProjectPackagesRepositoriesGetRequest);
            const localVarPath = `/projects/{project}/packages/repositories`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(projectsProjectPackagesRepositoriesGetRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectPackagesRepositoriesRepositoryCleanupDryPost: async (project, repository, projectsProjectPackagesRepositoriesRepositoryCleanupDryPostRequest, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectPackagesRepositoriesRepositoryCleanupDryPost', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectPackagesRepositoriesRepositoryCleanupDryPost', 'repository', repository);
            (0, common_1.assertParamExists)('projectsProjectPackagesRepositoriesRepositoryCleanupDryPost', 'projectsProjectPackagesRepositoriesRepositoryCleanupDryPostRequest', projectsProjectPackagesRepositoriesRepositoryCleanupDryPostRequest);
            const localVarPath = `/projects/{project}/packages/repositories/{repository}/cleanup/dry`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"repository"}}`, encodeURIComponent(String(repository)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(projectsProjectPackagesRepositoriesRepositoryCleanupDryPostRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectPackagesRepositoriesRepositoryCleanupPost: async (project, repository, $fields, projectsProjectPackagesRepositoriesRepositoryCleanupPostRequest, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectPackagesRepositoriesRepositoryCleanupPost', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectPackagesRepositoriesRepositoryCleanupPost', 'repository', repository);
            const localVarPath = `/projects/{project}/packages/repositories/{repository}/cleanup`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"repository"}}`, encodeURIComponent(String(repository)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(projectsProjectPackagesRepositoriesRepositoryCleanupPostRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectPackagesRepositoriesRepositoryConnectionsConnectionIdPublishGet: async (project, repository, connectionId, $skip, $top, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectPackagesRepositoriesRepositoryConnectionsConnectionIdPublishGet', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectPackagesRepositoriesRepositoryConnectionsConnectionIdPublishGet', 'repository', repository);
            (0, common_1.assertParamExists)('projectsProjectPackagesRepositoriesRepositoryConnectionsConnectionIdPublishGet', 'connectionId', connectionId);
            const localVarPath = `/projects/{project}/packages/repositories/{repository}/connections/{connectionId}/publish`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"repository"}}`, encodeURIComponent(String(repository)))
                .replace(`{${"connectionId"}}`, encodeURIComponent(String(connectionId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($skip !== undefined) {
                localVarQueryParameter['$skip'] = $skip;
            }
            if ($top !== undefined) {
                localVarQueryParameter['$top'] = $top;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectPackagesRepositoriesRepositoryConnectionsConnectionIdPublishPost: async (project, repository, connectionId, projectsProjectPackagesRepositoriesRepositoryConnectionsConnectionIdPublishGetRequest, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectPackagesRepositoriesRepositoryConnectionsConnectionIdPublishPost', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectPackagesRepositoriesRepositoryConnectionsConnectionIdPublishPost', 'repository', repository);
            (0, common_1.assertParamExists)('projectsProjectPackagesRepositoriesRepositoryConnectionsConnectionIdPublishPost', 'connectionId', connectionId);
            (0, common_1.assertParamExists)('projectsProjectPackagesRepositoriesRepositoryConnectionsConnectionIdPublishPost', 'projectsProjectPackagesRepositoriesRepositoryConnectionsConnectionIdPublishGetRequest', projectsProjectPackagesRepositoriesRepositoryConnectionsConnectionIdPublishGetRequest);
            const localVarPath = `/projects/{project}/packages/repositories/{repository}/connections/{connectionId}/publish`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"repository"}}`, encodeURIComponent(String(repository)))
                .replace(`{${"connectionId"}}`, encodeURIComponent(String(connectionId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(projectsProjectPackagesRepositoriesRepositoryConnectionsConnectionIdPublishGetRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectPackagesRepositoriesRepositoryConnectionsGet: async (project, repository, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectPackagesRepositoriesRepositoryConnectionsGet', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectPackagesRepositoriesRepositoryConnectionsGet', 'repository', repository);
            const localVarPath = `/projects/{project}/packages/repositories/{repository}/connections`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"repository"}}`, encodeURIComponent(String(repository)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectPackagesRepositoriesRepositoryDelete: async (project, repository, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectPackagesRepositoriesRepositoryDelete', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectPackagesRepositoriesRepositoryDelete', 'repository', repository);
            const localVarPath = `/projects/{project}/packages/repositories/{repository}`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"repository"}}`, encodeURIComponent(String(repository)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectPackagesRepositoriesRepositoryFilesFolderfolderPathDelete: async (project, repository, folderPath, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectPackagesRepositoriesRepositoryFilesFolderfolderPathDelete', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectPackagesRepositoriesRepositoryFilesFolderfolderPathDelete', 'repository', repository);
            (0, common_1.assertParamExists)('projectsProjectPackagesRepositoriesRepositoryFilesFolderfolderPathDelete', 'folderPath', folderPath);
            const localVarPath = `/projects/{project}/packages/repositories/{repository}/files/folder:{folderPath}`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"repository"}}`, encodeURIComponent(String(repository)))
                .replace(`{${"folderPath"}}`, encodeURIComponent(String(folderPath)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectPackagesRepositoriesRepositoryFilesGet: async (project, repository, parentPath, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectPackagesRepositoriesRepositoryFilesGet', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectPackagesRepositoriesRepositoryFilesGet', 'repository', repository);
            const localVarPath = `/projects/{project}/packages/repositories/{repository}/files`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"repository"}}`, encodeURIComponent(String(repository)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if (parentPath !== undefined) {
                localVarQueryParameter['parentPath'] = parentPath;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectPackagesRepositoriesRepositoryFilesNamefilePathDelete: async (project, repository, filePath, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectPackagesRepositoriesRepositoryFilesNamefilePathDelete', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectPackagesRepositoriesRepositoryFilesNamefilePathDelete', 'repository', repository);
            (0, common_1.assertParamExists)('projectsProjectPackagesRepositoriesRepositoryFilesNamefilePathDelete', 'filePath', filePath);
            const localVarPath = `/projects/{project}/packages/repositories/{repository}/files/name:{filePath}`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"repository"}}`, encodeURIComponent(String(repository)))
                .replace(`{${"filePath"}}`, encodeURIComponent(String(filePath)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectPackagesRepositoriesRepositoryFilesNamefilePathGet: async (project, repository, filePath, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectPackagesRepositoriesRepositoryFilesNamefilePathGet', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectPackagesRepositoriesRepositoryFilesNamefilePathGet', 'repository', repository);
            (0, common_1.assertParamExists)('projectsProjectPackagesRepositoriesRepositoryFilesNamefilePathGet', 'filePath', filePath);
            const localVarPath = `/projects/{project}/packages/repositories/{repository}/files/name:{filePath}`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"repository"}}`, encodeURIComponent(String(repository)))
                .replace(`{${"filePath"}}`, encodeURIComponent(String(filePath)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectPackagesRepositoriesRepositoryGet: async (project, repository, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectPackagesRepositoriesRepositoryGet', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectPackagesRepositoriesRepositoryGet', 'repository', repository);
            const localVarPath = `/projects/{project}/packages/repositories/{repository}`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"repository"}}`, encodeURIComponent(String(repository)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectPackagesRepositoriesRepositoryPackagesGet: async (project, repository, query, connectionId, $skip, $top, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectPackagesRepositoriesRepositoryPackagesGet', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectPackagesRepositoriesRepositoryPackagesGet', 'repository', repository);
            (0, common_1.assertParamExists)('projectsProjectPackagesRepositoriesRepositoryPackagesGet', 'query', query);
            const localVarPath = `/projects/{project}/packages/repositories/{repository}/packages`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"repository"}}`, encodeURIComponent(String(repository)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if (query !== undefined) {
                localVarQueryParameter['query'] = query;
            }
            if (connectionId !== undefined) {
                localVarQueryParameter['connectionId'] = connectionId;
            }
            if ($skip !== undefined) {
                localVarQueryParameter['$skip'] = $skip;
            }
            if ($top !== undefined) {
                localVarQueryParameter['$top'] = $top;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectPackagesRepositoriesRepositoryPackagesNamepackageNameDelete: async (project, repository, packageName, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectPackagesRepositoriesRepositoryPackagesNamepackageNameDelete', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectPackagesRepositoriesRepositoryPackagesNamepackageNameDelete', 'repository', repository);
            (0, common_1.assertParamExists)('projectsProjectPackagesRepositoriesRepositoryPackagesNamepackageNameDelete', 'packageName', packageName);
            const localVarPath = `/projects/{project}/packages/repositories/{repository}/packages/name:{packageName}`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"repository"}}`, encodeURIComponent(String(repository)))
                .replace(`{${"packageName"}}`, encodeURIComponent(String(packageName)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectPackagesRepositoriesRepositoryPackagesNamepackageNameMetadataGet: async (project, repository, packageName, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectPackagesRepositoriesRepositoryPackagesNamepackageNameMetadataGet', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectPackagesRepositoriesRepositoryPackagesNamepackageNameMetadataGet', 'repository', repository);
            (0, common_1.assertParamExists)('projectsProjectPackagesRepositoriesRepositoryPackagesNamepackageNameMetadataGet', 'packageName', packageName);
            const localVarPath = `/projects/{project}/packages/repositories/{repository}/packages/name:{packageName}/metadata`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"repository"}}`, encodeURIComponent(String(repository)))
                .replace(`{${"packageName"}}`, encodeURIComponent(String(packageName)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectPackagesRepositoriesRepositoryPackagesNamepackageNameMetadataPut: async (project, repository, packageName, projectsProjectPackagesRepositoriesRepositoryPackagesNamePackageNameMetadataGetRequest, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectPackagesRepositoriesRepositoryPackagesNamepackageNameMetadataPut', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectPackagesRepositoriesRepositoryPackagesNamepackageNameMetadataPut', 'repository', repository);
            (0, common_1.assertParamExists)('projectsProjectPackagesRepositoriesRepositoryPackagesNamepackageNameMetadataPut', 'packageName', packageName);
            const localVarPath = `/projects/{project}/packages/repositories/{repository}/packages/name:{packageName}/metadata`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"repository"}}`, encodeURIComponent(String(repository)))
                .replace(`{${"packageName"}}`, encodeURIComponent(String(packageName)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PUT', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(projectsProjectPackagesRepositoriesRepositoryPackagesNamePackageNameMetadataGetRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectPackagesRepositoriesRepositoryPackagesNamepackageNameMetadataVersionpackageVersionPut: async (project, repository, packageName, packageVersion, projectsProjectPackagesRepositoriesRepositoryPackagesNamePackageNameMetadataVersionPackageVersionPutRequest, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectPackagesRepositoriesRepositoryPackagesNamepackageNameMetadataVersionpackageVersionPut', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectPackagesRepositoriesRepositoryPackagesNamepackageNameMetadataVersionpackageVersionPut', 'repository', repository);
            (0, common_1.assertParamExists)('projectsProjectPackagesRepositoriesRepositoryPackagesNamepackageNameMetadataVersionpackageVersionPut', 'packageName', packageName);
            (0, common_1.assertParamExists)('projectsProjectPackagesRepositoriesRepositoryPackagesNamepackageNameMetadataVersionpackageVersionPut', 'packageVersion', packageVersion);
            (0, common_1.assertParamExists)('projectsProjectPackagesRepositoriesRepositoryPackagesNamepackageNameMetadataVersionpackageVersionPut', 'projectsProjectPackagesRepositoriesRepositoryPackagesNamePackageNameMetadataVersionPackageVersionPutRequest', projectsProjectPackagesRepositoriesRepositoryPackagesNamePackageNameMetadataVersionPackageVersionPutRequest);
            const localVarPath = `/projects/{project}/packages/repositories/{repository}/packages/name:{packageName}/metadata/version:{packageVersion}`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"repository"}}`, encodeURIComponent(String(repository)))
                .replace(`{${"packageName"}}`, encodeURIComponent(String(packageName)))
                .replace(`{${"packageVersion"}}`, encodeURIComponent(String(packageVersion)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PUT', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(projectsProjectPackagesRepositoriesRepositoryPackagesNamePackageNameMetadataVersionPackageVersionPutRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectPackagesRepositoriesRepositoryPackagesNamepackageNameVersionsGet: async (project, repository, packageName, query, sortColumn, sortOrder, connectionId, pinned, $skip, $top, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectPackagesRepositoriesRepositoryPackagesNamepackageNameVersionsGet', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectPackagesRepositoriesRepositoryPackagesNamepackageNameVersionsGet', 'repository', repository);
            (0, common_1.assertParamExists)('projectsProjectPackagesRepositoriesRepositoryPackagesNamepackageNameVersionsGet', 'packageName', packageName);
            (0, common_1.assertParamExists)('projectsProjectPackagesRepositoriesRepositoryPackagesNamepackageNameVersionsGet', 'query', query);
            (0, common_1.assertParamExists)('projectsProjectPackagesRepositoriesRepositoryPackagesNamepackageNameVersionsGet', 'sortColumn', sortColumn);
            (0, common_1.assertParamExists)('projectsProjectPackagesRepositoriesRepositoryPackagesNamepackageNameVersionsGet', 'sortOrder', sortOrder);
            const localVarPath = `/projects/{project}/packages/repositories/{repository}/packages/name:{packageName}/versions`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"repository"}}`, encodeURIComponent(String(repository)))
                .replace(`{${"packageName"}}`, encodeURIComponent(String(packageName)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if (query !== undefined) {
                localVarQueryParameter['query'] = query;
            }
            if (connectionId !== undefined) {
                localVarQueryParameter['connectionId'] = connectionId;
            }
            if (pinned !== undefined) {
                localVarQueryParameter['pinned'] = pinned;
            }
            if ($skip !== undefined) {
                localVarQueryParameter['$skip'] = $skip;
            }
            if ($top !== undefined) {
                localVarQueryParameter['$top'] = $top;
            }
            if (sortColumn !== undefined) {
                localVarQueryParameter['sortColumn'] = sortColumn;
            }
            if (sortOrder !== undefined) {
                localVarQueryParameter['sortOrder'] = sortOrder;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectPackagesRepositoriesRepositoryPackagesNamepackageNameVersionsVersionpackageVersionDelete: async (project, repository, packageName, packageVersion, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectPackagesRepositoriesRepositoryPackagesNamepackageNameVersionsVersionpackageVersionDelete', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectPackagesRepositoriesRepositoryPackagesNamepackageNameVersionsVersionpackageVersionDelete', 'repository', repository);
            (0, common_1.assertParamExists)('projectsProjectPackagesRepositoriesRepositoryPackagesNamepackageNameVersionsVersionpackageVersionDelete', 'packageName', packageName);
            (0, common_1.assertParamExists)('projectsProjectPackagesRepositoriesRepositoryPackagesNamepackageNameVersionsVersionpackageVersionDelete', 'packageVersion', packageVersion);
            const localVarPath = `/projects/{project}/packages/repositories/{repository}/packages/name:{packageName}/versions/version:{packageVersion}`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"repository"}}`, encodeURIComponent(String(repository)))
                .replace(`{${"packageName"}}`, encodeURIComponent(String(packageName)))
                .replace(`{${"packageVersion"}}`, encodeURIComponent(String(packageVersion)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectPackagesRepositoriesRepositoryPackagesNamepackageNameVersionsVersionpackageVersionGet: async (project, repository, packageName, packageVersion, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectPackagesRepositoriesRepositoryPackagesNamepackageNameVersionsVersionpackageVersionGet', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectPackagesRepositoriesRepositoryPackagesNamepackageNameVersionsVersionpackageVersionGet', 'repository', repository);
            (0, common_1.assertParamExists)('projectsProjectPackagesRepositoriesRepositoryPackagesNamepackageNameVersionsVersionpackageVersionGet', 'packageName', packageName);
            (0, common_1.assertParamExists)('projectsProjectPackagesRepositoriesRepositoryPackagesNamepackageNameVersionsVersionpackageVersionGet', 'packageVersion', packageVersion);
            const localVarPath = `/projects/{project}/packages/repositories/{repository}/packages/name:{packageName}/versions/version:{packageVersion}`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"repository"}}`, encodeURIComponent(String(repository)))
                .replace(`{${"packageName"}}`, encodeURIComponent(String(packageName)))
                .replace(`{${"packageVersion"}}`, encodeURIComponent(String(packageVersion)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectPackagesRepositoriesRepositoryPatch: async (project, repository, projectsProjectPackagesRepositoriesRepositoryDeleteRequest, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectPackagesRepositoriesRepositoryPatch', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectPackagesRepositoriesRepositoryPatch', 'repository', repository);
            const localVarPath = `/projects/{project}/packages/repositories/{repository}`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"repository"}}`, encodeURIComponent(String(repository)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PATCH', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(projectsProjectPackagesRepositoriesRepositoryDeleteRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectPackagesRepositoriesRepositoryUrlGet: async (project, repository, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectPackagesRepositoriesRepositoryUrlGet', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectPackagesRepositoriesRepositoryUrlGet', 'repository', repository);
            const localVarPath = `/projects/{project}/packages/repositories/{repository}/url`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"repository"}}`, encodeURIComponent(String(repository)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectPackagesRepositoriesTypetypeRepositoryrepositoryNamePackagesGet: async (project, type, repositoryName, query, $skip, $top, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectPackagesRepositoriesTypetypeRepositoryrepositoryNamePackagesGet', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectPackagesRepositoriesTypetypeRepositoryrepositoryNamePackagesGet', 'type', type);
            (0, common_1.assertParamExists)('projectsProjectPackagesRepositoriesTypetypeRepositoryrepositoryNamePackagesGet', 'repositoryName', repositoryName);
            (0, common_1.assertParamExists)('projectsProjectPackagesRepositoriesTypetypeRepositoryrepositoryNamePackagesGet', 'query', query);
            const localVarPath = `/projects/{project}/packages/repositories/type:{type}/repository:{repositoryName}/packages`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"type"}}`, encodeURIComponent(String(type)))
                .replace(`{${"repositoryName"}}`, encodeURIComponent(String(repositoryName)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if (query !== undefined) {
                localVarQueryParameter['query'] = query;
            }
            if ($skip !== undefined) {
                localVarQueryParameter['$skip'] = $skip;
            }
            if ($top !== undefined) {
                localVarQueryParameter['$top'] = $top;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectPackagesRepositoriesTypetypeRepositoryrepositoryNamePackagesNamepackageNameVersionsGet: async (project, type, repositoryName, packageName, query, sortColumn, sortOrder, $skip, $top, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectPackagesRepositoriesTypetypeRepositoryrepositoryNamePackagesNamepackageNameVersionsGet', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectPackagesRepositoriesTypetypeRepositoryrepositoryNamePackagesNamepackageNameVersionsGet', 'type', type);
            (0, common_1.assertParamExists)('projectsProjectPackagesRepositoriesTypetypeRepositoryrepositoryNamePackagesNamepackageNameVersionsGet', 'repositoryName', repositoryName);
            (0, common_1.assertParamExists)('projectsProjectPackagesRepositoriesTypetypeRepositoryrepositoryNamePackagesNamepackageNameVersionsGet', 'packageName', packageName);
            (0, common_1.assertParamExists)('projectsProjectPackagesRepositoriesTypetypeRepositoryrepositoryNamePackagesNamepackageNameVersionsGet', 'query', query);
            (0, common_1.assertParamExists)('projectsProjectPackagesRepositoriesTypetypeRepositoryrepositoryNamePackagesNamepackageNameVersionsGet', 'sortColumn', sortColumn);
            (0, common_1.assertParamExists)('projectsProjectPackagesRepositoriesTypetypeRepositoryrepositoryNamePackagesNamepackageNameVersionsGet', 'sortOrder', sortOrder);
            const localVarPath = `/projects/{project}/packages/repositories/type:{type}/repository:{repositoryName}/packages/name:{packageName}/versions`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"type"}}`, encodeURIComponent(String(type)))
                .replace(`{${"repositoryName"}}`, encodeURIComponent(String(repositoryName)))
                .replace(`{${"packageName"}}`, encodeURIComponent(String(packageName)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if (query !== undefined) {
                localVarQueryParameter['query'] = query;
            }
            if ($skip !== undefined) {
                localVarQueryParameter['$skip'] = $skip;
            }
            if ($top !== undefined) {
                localVarQueryParameter['$top'] = $top;
            }
            if (sortColumn !== undefined) {
                localVarQueryParameter['sortColumn'] = sortColumn;
            }
            if (sortOrder !== undefined) {
                localVarQueryParameter['sortOrder'] = sortOrder;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectPackagesRepositoriesTypetypeRepositoryrepositoryNamePackagesNamepackageNameVersionsVersionpackageVersionDelete: async (project, type, repositoryName, packageName, packageVersion, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectPackagesRepositoriesTypetypeRepositoryrepositoryNamePackagesNamepackageNameVersionsVersionpackageVersionDelete', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectPackagesRepositoriesTypetypeRepositoryrepositoryNamePackagesNamepackageNameVersionsVersionpackageVersionDelete', 'type', type);
            (0, common_1.assertParamExists)('projectsProjectPackagesRepositoriesTypetypeRepositoryrepositoryNamePackagesNamepackageNameVersionsVersionpackageVersionDelete', 'repositoryName', repositoryName);
            (0, common_1.assertParamExists)('projectsProjectPackagesRepositoriesTypetypeRepositoryrepositoryNamePackagesNamepackageNameVersionsVersionpackageVersionDelete', 'packageName', packageName);
            (0, common_1.assertParamExists)('projectsProjectPackagesRepositoriesTypetypeRepositoryrepositoryNamePackagesNamepackageNameVersionsVersionpackageVersionDelete', 'packageVersion', packageVersion);
            const localVarPath = `/projects/{project}/packages/repositories/type:{type}/repository:{repositoryName}/packages/name:{packageName}/versions/version:{packageVersion}`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"type"}}`, encodeURIComponent(String(type)))
                .replace(`{${"repositoryName"}}`, encodeURIComponent(String(repositoryName)))
                .replace(`{${"packageName"}}`, encodeURIComponent(String(packageName)))
                .replace(`{${"packageVersion"}}`, encodeURIComponent(String(packageVersion)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectPackagesRepositoriesTypetypeRepositoryrepositoryNamePackagesNamepackageNameVersionsVersionpackageVersionGet: async (project, type, repositoryName, packageName, packageVersion, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectPackagesRepositoriesTypetypeRepositoryrepositoryNamePackagesNamepackageNameVersionsVersionpackageVersionGet', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectPackagesRepositoriesTypetypeRepositoryrepositoryNamePackagesNamepackageNameVersionsVersionpackageVersionGet', 'type', type);
            (0, common_1.assertParamExists)('projectsProjectPackagesRepositoriesTypetypeRepositoryrepositoryNamePackagesNamepackageNameVersionsVersionpackageVersionGet', 'repositoryName', repositoryName);
            (0, common_1.assertParamExists)('projectsProjectPackagesRepositoriesTypetypeRepositoryrepositoryNamePackagesNamepackageNameVersionsVersionpackageVersionGet', 'packageName', packageName);
            (0, common_1.assertParamExists)('projectsProjectPackagesRepositoriesTypetypeRepositoryrepositoryNamePackagesNamepackageNameVersionsVersionpackageVersionGet', 'packageVersion', packageVersion);
            const localVarPath = `/projects/{project}/packages/repositories/type:{type}/repository:{repositoryName}/packages/name:{packageName}/versions/version:{packageVersion}`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"type"}}`, encodeURIComponent(String(type)))
                .replace(`{${"repositoryName"}}`, encodeURIComponent(String(repositoryName)))
                .replace(`{${"packageName"}}`, encodeURIComponent(String(packageName)))
                .replace(`{${"packageVersion"}}`, encodeURIComponent(String(packageVersion)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectPackagesSearchGet: async (project, type, query, connectionId, $skip, $top, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectPackagesSearchGet', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectPackagesSearchGet', 'type', type);
            (0, common_1.assertParamExists)('projectsProjectPackagesSearchGet', 'query', query);
            const localVarPath = `/projects/{project}/packages/search`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if (type !== undefined) {
                localVarQueryParameter['type'] = type;
            }
            if (query !== undefined) {
                localVarQueryParameter['query'] = query;
            }
            if (connectionId !== undefined) {
                localVarQueryParameter['connectionId'] = connectionId;
            }
            if ($skip !== undefined) {
                localVarQueryParameter['$skip'] = $skip;
            }
            if ($top !== undefined) {
                localVarQueryParameter['$top'] = $top;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectPackagesTypesGet: async (project, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectPackagesTypesGet', 'project', project);
            const localVarPath = `/projects/{project}/packages/types`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectPatch: async (project, $fields, projectsProjectDeleteRequest, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectPatch', 'project', project);
            const localVarPath = `/projects/{project}`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PATCH', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(projectsProjectDeleteRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectPlanningBoardsBoardArchiveDelete: async (project, board, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectPlanningBoardsBoardArchiveDelete', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectPlanningBoardsBoardArchiveDelete', 'board', board);
            const localVarPath = `/projects/{project}/planning/boards/{board}/archive`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"board"}}`, encodeURIComponent(String(board)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectPlanningBoardsGet: async (project, $skip, $top, query, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectPlanningBoardsGet', 'project', project);
            const localVarPath = `/projects/{project}/planning/boards`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($skip !== undefined) {
                localVarQueryParameter['$skip'] = $skip;
            }
            if ($top !== undefined) {
                localVarQueryParameter['$top'] = $top;
            }
            if (query !== undefined) {
                localVarQueryParameter['query'] = query;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectPlanningBoardsPost: async (project, projectsProjectPlanningBoardsGetRequest, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectPlanningBoardsPost', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectPlanningBoardsPost', 'projectsProjectPlanningBoardsGetRequest', projectsProjectPlanningBoardsGetRequest);
            const localVarPath = `/projects/{project}/planning/boards`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(projectsProjectPlanningBoardsGetRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectPlanningBoardsSprintsGet: async (project, $skip, $top, board, query, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectPlanningBoardsSprintsGet', 'project', project);
            const localVarPath = `/projects/{project}/planning/boards/sprints`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($skip !== undefined) {
                localVarQueryParameter['$skip'] = $skip;
            }
            if ($top !== undefined) {
                localVarQueryParameter['$top'] = $top;
            }
            if (board !== undefined) {
                localVarQueryParameter['board'] = board;
            }
            if (query !== undefined) {
                localVarQueryParameter['query'] = query;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectPlanningBoardsStarredGet: async (project, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectPlanningBoardsStarredGet', 'project', project);
            const localVarPath = `/projects/{project}/planning/boards/starred`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectPlanningChecklistsChecklistIdDelete: async (project, checklistId, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectPlanningChecklistsChecklistIdDelete', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectPlanningChecklistsChecklistIdDelete', 'checklistId', checklistId);
            const localVarPath = `/projects/{project}/planning/checklists/{checklistId}`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"checklistId"}}`, encodeURIComponent(String(checklistId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectPlanningChecklistsChecklistIdFullChecklistTreeGet: async (project, checklistId, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectPlanningChecklistsChecklistIdFullChecklistTreeGet', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectPlanningChecklistsChecklistIdFullChecklistTreeGet', 'checklistId', checklistId);
            const localVarPath = `/projects/{project}/planning/checklists/{checklistId}/full-checklist-tree`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"checklistId"}}`, encodeURIComponent(String(checklistId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectPlanningChecklistsChecklistIdImportPost: async (project, checklistId, projectsProjectPlanningChecklistsChecklistIdImportPostRequest, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectPlanningChecklistsChecklistIdImportPost', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectPlanningChecklistsChecklistIdImportPost', 'checklistId', checklistId);
            (0, common_1.assertParamExists)('projectsProjectPlanningChecklistsChecklistIdImportPost', 'projectsProjectPlanningChecklistsChecklistIdImportPostRequest', projectsProjectPlanningChecklistsChecklistIdImportPostRequest);
            const localVarPath = `/projects/{project}/planning/checklists/{checklistId}/import`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"checklistId"}}`, encodeURIComponent(String(checklistId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(projectsProjectPlanningChecklistsChecklistIdImportPostRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectPlanningChecklistsChecklistIdPatch: async (project, checklistId, projectsProjectPlanningChecklistsChecklistIdDeleteRequest, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectPlanningChecklistsChecklistIdPatch', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectPlanningChecklistsChecklistIdPatch', 'checklistId', checklistId);
            const localVarPath = `/projects/{project}/planning/checklists/{checklistId}`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"checklistId"}}`, encodeURIComponent(String(checklistId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PATCH', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(projectsProjectPlanningChecklistsChecklistIdDeleteRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectPlanningChecklistsGet: async (project, $skip, $top, query, sorting, descending, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectPlanningChecklistsGet', 'project', project);
            const localVarPath = `/projects/{project}/planning/checklists`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($skip !== undefined) {
                localVarQueryParameter['$skip'] = $skip;
            }
            if ($top !== undefined) {
                localVarQueryParameter['$top'] = $top;
            }
            if (query !== undefined) {
                localVarQueryParameter['query'] = query;
            }
            if (sorting !== undefined) {
                localVarQueryParameter['sorting'] = sorting;
            }
            if (descending !== undefined) {
                localVarQueryParameter['descending'] = descending;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectPlanningChecklistsImportPost: async (project, projectsProjectPlanningChecklistsImportPostRequest, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectPlanningChecklistsImportPost', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectPlanningChecklistsImportPost', 'projectsProjectPlanningChecklistsImportPostRequest', projectsProjectPlanningChecklistsImportPostRequest);
            const localVarPath = `/projects/{project}/planning/checklists/import`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(projectsProjectPlanningChecklistsImportPostRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectPlanningChecklistsPost: async (project, chatsChannelsIsNameFreePostRequest, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectPlanningChecklistsPost', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectPlanningChecklistsPost', 'chatsChannelsIsNameFreePostRequest', chatsChannelsIsNameFreePostRequest);
            const localVarPath = `/projects/{project}/planning/checklists`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(chatsChannelsIsNameFreePostRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectPlanningChecklistsStarredGet: async (project, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectPlanningChecklistsStarredGet', 'project', project);
            const localVarPath = `/projects/{project}/planning/checklists/starred`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectPlanningIssuesGet: async (project, sorting, descending, $skip, $top, assigneeId, createdByProfileId, createdBy, statuses, tagId, query, tags, sprints, boards, customFields, importTransaction, creationTimeFrom, creationTimeTo, dueDateFrom, dueDateTo, topics, grouping, deployment, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectPlanningIssuesGet', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectPlanningIssuesGet', 'sorting', sorting);
            (0, common_1.assertParamExists)('projectsProjectPlanningIssuesGet', 'descending', descending);
            const localVarPath = `/projects/{project}/planning/issues`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($skip !== undefined) {
                localVarQueryParameter['$skip'] = $skip;
            }
            if ($top !== undefined) {
                localVarQueryParameter['$top'] = $top;
            }
            if (assigneeId) {
                localVarQueryParameter['assigneeId'] = assigneeId;
            }
            if (createdByProfileId !== undefined) {
                localVarQueryParameter['createdByProfileId'] = createdByProfileId;
            }
            if (createdBy) {
                localVarQueryParameter['createdBy'] = createdBy;
            }
            if (statuses) {
                localVarQueryParameter['statuses'] = statuses;
            }
            if (tagId !== undefined) {
                localVarQueryParameter['tagId'] = tagId;
            }
            if (query !== undefined) {
                localVarQueryParameter['query'] = query;
            }
            if (sorting !== undefined) {
                localVarQueryParameter['sorting'] = sorting;
            }
            if (descending !== undefined) {
                localVarQueryParameter['descending'] = descending;
            }
            if (tags) {
                localVarQueryParameter['tags'] = tags;
            }
            if (sprints) {
                localVarQueryParameter['sprints'] = sprints;
            }
            if (boards) {
                localVarQueryParameter['boards'] = boards;
            }
            if (customFields) {
                localVarQueryParameter['customFields'] = customFields;
            }
            if (importTransaction !== undefined) {
                localVarQueryParameter['importTransaction'] = importTransaction;
            }
            if (creationTimeFrom !== undefined) {
                localVarQueryParameter['creationTimeFrom'] = (creationTimeFrom instanceof Date) ?
                    creationTimeFrom.toISOString() :
                    creationTimeFrom;
            }
            if (creationTimeTo !== undefined) {
                localVarQueryParameter['creationTimeTo'] = (creationTimeTo instanceof Date) ?
                    creationTimeTo.toISOString() :
                    creationTimeTo;
            }
            if (dueDateFrom !== undefined) {
                localVarQueryParameter['dueDateFrom'] = dueDateFrom;
            }
            if (dueDateTo !== undefined) {
                localVarQueryParameter['dueDateTo'] = dueDateTo;
            }
            if (topics) {
                localVarQueryParameter['topics'] = topics;
            }
            if (grouping !== undefined) {
                localVarQueryParameter['grouping'] = grouping;
            }
            if (deployment !== undefined) {
                localVarQueryParameter['deployment'] = deployment;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectPlanningIssuesImportPost: async (project, projectsProjectPlanningIssuesImportPostRequest, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectPlanningIssuesImportPost', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectPlanningIssuesImportPost', 'projectsProjectPlanningIssuesImportPostRequest', projectsProjectPlanningIssuesImportPostRequest);
            const localVarPath = `/projects/{project}/planning/issues/import`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(projectsProjectPlanningIssuesImportPostRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectPlanningIssuesIssueIdAttachmentsDelete: async (project, issueId, identities, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectPlanningIssuesIssueIdAttachmentsDelete', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectPlanningIssuesIssueIdAttachmentsDelete', 'issueId', issueId);
            (0, common_1.assertParamExists)('projectsProjectPlanningIssuesIssueIdAttachmentsDelete', 'identities', identities);
            const localVarPath = `/projects/{project}/planning/issues/{issueId}/attachments`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"issueId"}}`, encodeURIComponent(String(issueId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if (identities) {
                localVarQueryParameter['identities'] = identities;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectPlanningIssuesIssueIdAttachmentsPost: async (project, issueId, projectsProjectPlanningIssuesIssueIdAttachmentsDeleteRequest, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectPlanningIssuesIssueIdAttachmentsPost', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectPlanningIssuesIssueIdAttachmentsPost', 'issueId', issueId);
            (0, common_1.assertParamExists)('projectsProjectPlanningIssuesIssueIdAttachmentsPost', 'projectsProjectPlanningIssuesIssueIdAttachmentsDeleteRequest', projectsProjectPlanningIssuesIssueIdAttachmentsDeleteRequest);
            const localVarPath = `/projects/{project}/planning/issues/{issueId}/attachments`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"issueId"}}`, encodeURIComponent(String(issueId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(projectsProjectPlanningIssuesIssueIdAttachmentsDeleteRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectPlanningIssuesIssueIdChecklistsChecklistIdDelete: async (project, issueId, checklistId, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectPlanningIssuesIssueIdChecklistsChecklistIdDelete', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectPlanningIssuesIssueIdChecklistsChecklistIdDelete', 'issueId', issueId);
            (0, common_1.assertParamExists)('projectsProjectPlanningIssuesIssueIdChecklistsChecklistIdDelete', 'checklistId', checklistId);
            const localVarPath = `/projects/{project}/planning/issues/{issueId}/checklists/{checklistId}`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"issueId"}}`, encodeURIComponent(String(issueId)))
                .replace(`{${"checklistId"}}`, encodeURIComponent(String(checklistId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectPlanningIssuesIssueIdChecklistsChecklistIdPost: async (project, issueId, checklistId, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectPlanningIssuesIssueIdChecklistsChecklistIdPost', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectPlanningIssuesIssueIdChecklistsChecklistIdPost', 'issueId', issueId);
            (0, common_1.assertParamExists)('projectsProjectPlanningIssuesIssueIdChecklistsChecklistIdPost', 'checklistId', checklistId);
            const localVarPath = `/projects/{project}/planning/issues/{issueId}/checklists/{checklistId}`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"issueId"}}`, encodeURIComponent(String(issueId)))
                .replace(`{${"checklistId"}}`, encodeURIComponent(String(checklistId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectPlanningIssuesIssueIdCodeReviewsDelete: async (project, issueId, codeReviewIds, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectPlanningIssuesIssueIdCodeReviewsDelete', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectPlanningIssuesIssueIdCodeReviewsDelete', 'issueId', issueId);
            (0, common_1.assertParamExists)('projectsProjectPlanningIssuesIssueIdCodeReviewsDelete', 'codeReviewIds', codeReviewIds);
            const localVarPath = `/projects/{project}/planning/issues/{issueId}/code-reviews`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"issueId"}}`, encodeURIComponent(String(issueId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if (codeReviewIds) {
                localVarQueryParameter['codeReviewIds'] = codeReviewIds;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectPlanningIssuesIssueIdCodeReviewsPost: async (project, issueId, projectsProjectPlanningIssuesIssueIdCodeReviewsDeleteRequest, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectPlanningIssuesIssueIdCodeReviewsPost', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectPlanningIssuesIssueIdCodeReviewsPost', 'issueId', issueId);
            (0, common_1.assertParamExists)('projectsProjectPlanningIssuesIssueIdCodeReviewsPost', 'projectsProjectPlanningIssuesIssueIdCodeReviewsDeleteRequest', projectsProjectPlanningIssuesIssueIdCodeReviewsDeleteRequest);
            const localVarPath = `/projects/{project}/planning/issues/{issueId}/code-reviews`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"issueId"}}`, encodeURIComponent(String(issueId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(projectsProjectPlanningIssuesIssueIdCodeReviewsDeleteRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectPlanningIssuesIssueIdCommentsImportPost: async (project, issueId, projectsProjectPlanningIssuesIssueIdCommentsImportPostRequest, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectPlanningIssuesIssueIdCommentsImportPost', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectPlanningIssuesIssueIdCommentsImportPost', 'issueId', issueId);
            (0, common_1.assertParamExists)('projectsProjectPlanningIssuesIssueIdCommentsImportPost', 'projectsProjectPlanningIssuesIssueIdCommentsImportPostRequest', projectsProjectPlanningIssuesIssueIdCommentsImportPostRequest);
            const localVarPath = `/projects/{project}/planning/issues/{issueId}/comments/import`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"issueId"}}`, encodeURIComponent(String(issueId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(projectsProjectPlanningIssuesIssueIdCommentsImportPostRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectPlanningIssuesIssueIdCommitsDelete: async (project, issueId, repository, commitIds, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectPlanningIssuesIssueIdCommitsDelete', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectPlanningIssuesIssueIdCommitsDelete', 'issueId', issueId);
            (0, common_1.assertParamExists)('projectsProjectPlanningIssuesIssueIdCommitsDelete', 'repository', repository);
            (0, common_1.assertParamExists)('projectsProjectPlanningIssuesIssueIdCommitsDelete', 'commitIds', commitIds);
            const localVarPath = `/projects/{project}/planning/issues/{issueId}/commits`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"issueId"}}`, encodeURIComponent(String(issueId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if (repository !== undefined) {
                localVarQueryParameter['repository'] = repository;
            }
            if (commitIds) {
                localVarQueryParameter['commitIds'] = commitIds;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectPlanningIssuesIssueIdCommitsPost: async (project, issueId, projectsProjectPlanningIssuesIssueIdCommitsDeleteRequest, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectPlanningIssuesIssueIdCommitsPost', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectPlanningIssuesIssueIdCommitsPost', 'issueId', issueId);
            (0, common_1.assertParamExists)('projectsProjectPlanningIssuesIssueIdCommitsPost', 'projectsProjectPlanningIssuesIssueIdCommitsDeleteRequest', projectsProjectPlanningIssuesIssueIdCommitsDeleteRequest);
            const localVarPath = `/projects/{project}/planning/issues/{issueId}/commits`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"issueId"}}`, encodeURIComponent(String(issueId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(projectsProjectPlanningIssuesIssueIdCommitsDeleteRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectPlanningIssuesIssueIdDelete: async (project, issueId, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectPlanningIssuesIssueIdDelete', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectPlanningIssuesIssueIdDelete', 'issueId', issueId);
            const localVarPath = `/projects/{project}/planning/issues/{issueId}`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"issueId"}}`, encodeURIComponent(String(issueId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectPlanningIssuesIssueIdGet: async (project, issueId, withDeleted, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectPlanningIssuesIssueIdGet', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectPlanningIssuesIssueIdGet', 'issueId', issueId);
            const localVarPath = `/projects/{project}/planning/issues/{issueId}`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"issueId"}}`, encodeURIComponent(String(issueId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if (withDeleted !== undefined) {
                localVarQueryParameter['withDeleted'] = withDeleted;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectPlanningIssuesIssueIdPatch: async (project, issueId, projectsProjectPlanningIssuesIssueIdDeleteRequest, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectPlanningIssuesIssueIdPatch', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectPlanningIssuesIssueIdPatch', 'issueId', issueId);
            const localVarPath = `/projects/{project}/planning/issues/{issueId}`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"issueId"}}`, encodeURIComponent(String(issueId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PATCH', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(projectsProjectPlanningIssuesIssueIdDeleteRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectPlanningIssuesIssueIdRestorePost: async (project, issueId, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectPlanningIssuesIssueIdRestorePost', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectPlanningIssuesIssueIdRestorePost', 'issueId', issueId);
            const localVarPath = `/projects/{project}/planning/issues/{issueId}/restore`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"issueId"}}`, encodeURIComponent(String(issueId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectPlanningIssuesIssueIdTagsTagIdDelete: async (project, issueId, tagId, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectPlanningIssuesIssueIdTagsTagIdDelete', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectPlanningIssuesIssueIdTagsTagIdDelete', 'issueId', issueId);
            (0, common_1.assertParamExists)('projectsProjectPlanningIssuesIssueIdTagsTagIdDelete', 'tagId', tagId);
            const localVarPath = `/projects/{project}/planning/issues/{issueId}/tags/{tagId}`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"issueId"}}`, encodeURIComponent(String(issueId)))
                .replace(`{${"tagId"}}`, encodeURIComponent(String(tagId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectPlanningIssuesIssueIdTagsTagIdPost: async (project, issueId, tagId, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectPlanningIssuesIssueIdTagsTagIdPost', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectPlanningIssuesIssueIdTagsTagIdPost', 'issueId', issueId);
            (0, common_1.assertParamExists)('projectsProjectPlanningIssuesIssueIdTagsTagIdPost', 'tagId', tagId);
            const localVarPath = `/projects/{project}/planning/issues/{issueId}/tags/{tagId}`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"issueId"}}`, encodeURIComponent(String(issueId)))
                .replace(`{${"tagId"}}`, encodeURIComponent(String(tagId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectPlanningIssuesIssueIdToggleResolvedPost: async (project, issueId, projectsProjectPlanningIssuesIssueIdToggleResolvedPostRequest, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectPlanningIssuesIssueIdToggleResolvedPost', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectPlanningIssuesIssueIdToggleResolvedPost', 'issueId', issueId);
            (0, common_1.assertParamExists)('projectsProjectPlanningIssuesIssueIdToggleResolvedPost', 'projectsProjectPlanningIssuesIssueIdToggleResolvedPostRequest', projectsProjectPlanningIssuesIssueIdToggleResolvedPostRequest);
            const localVarPath = `/projects/{project}/planning/issues/{issueId}/toggle-resolved`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"issueId"}}`, encodeURIComponent(String(issueId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(projectsProjectPlanningIssuesIssueIdToggleResolvedPostRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectPlanningIssuesNumbernumberGet: async (project, number, resolveAlias, withDeleted, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectPlanningIssuesNumbernumberGet', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectPlanningIssuesNumbernumberGet', 'number', number);
            const localVarPath = `/projects/{project}/planning/issues/number:{number}`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"number"}}`, encodeURIComponent(String(number)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if (resolveAlias !== undefined) {
                localVarQueryParameter['resolveAlias'] = resolveAlias;
            }
            if (withDeleted !== undefined) {
                localVarQueryParameter['withDeleted'] = withDeleted;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectPlanningIssuesPost: async (project, projectsProjectPlanningIssuesGetRequest, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectPlanningIssuesPost', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectPlanningIssuesPost', 'projectsProjectPlanningIssuesGetRequest', projectsProjectPlanningIssuesGetRequest);
            const localVarPath = `/projects/{project}/planning/issues`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(projectsProjectPlanningIssuesGetRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectPlanningIssuesStatusesAutoUpdateOnMergeRequestMergeGet: async (project, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectPlanningIssuesStatusesAutoUpdateOnMergeRequestMergeGet', 'project', project);
            const localVarPath = `/projects/{project}/planning/issues/statuses/auto-update-on-merge-request-merge`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectPlanningIssuesStatusesAutoUpdateOnMergeRequestMergePatch: async (project, projectsProjectPlanningIssuesStatusesAutoUpdateOnMergeRequestMergeGetRequest, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectPlanningIssuesStatusesAutoUpdateOnMergeRequestMergePatch', 'project', project);
            const localVarPath = `/projects/{project}/planning/issues/statuses/auto-update-on-merge-request-merge`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PATCH', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(projectsProjectPlanningIssuesStatusesAutoUpdateOnMergeRequestMergeGetRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectPlanningIssuesStatusesDistributionGet: async (project, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectPlanningIssuesStatusesDistributionGet', 'project', project);
            const localVarPath = `/projects/{project}/planning/issues/statuses/distribution`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectPlanningIssuesStatusesGet: async (project, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectPlanningIssuesStatusesGet', 'project', project);
            const localVarPath = `/projects/{project}/planning/issues/statuses`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectPlanningIssuesStatusesPatch: async (project, projectsProjectPlanningIssuesStatusesGetRequest, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectPlanningIssuesStatusesPatch', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectPlanningIssuesStatusesPatch', 'projectsProjectPlanningIssuesStatusesGetRequest', projectsProjectPlanningIssuesStatusesGetRequest);
            const localVarPath = `/projects/{project}/planning/issues/statuses`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PATCH', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(projectsProjectPlanningIssuesStatusesGetRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectPlanningTagsGet: async (project, $skip, $top, query, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectPlanningTagsGet', 'project', project);
            const localVarPath = `/projects/{project}/planning/tags`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($skip !== undefined) {
                localVarQueryParameter['$skip'] = $skip;
            }
            if ($top !== undefined) {
                localVarQueryParameter['$top'] = $top;
            }
            if (query !== undefined) {
                localVarQueryParameter['query'] = query;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectPlanningTagsPost: async (project, projectsProjectPlanningTagsGetRequest, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectPlanningTagsPost', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectPlanningTagsPost', 'projectsProjectPlanningTagsGetRequest', projectsProjectPlanningTagsGetRequest);
            const localVarPath = `/projects/{project}/planning/tags`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(projectsProjectPlanningTagsGetRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectRepositoriesRepositoryCherryPickCommitPost: async (project, repository, projectsProjectRepositoriesRepositoryCherryPickCommitPostRequest, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectRepositoriesRepositoryCherryPickCommitPost', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectRepositoriesRepositoryCherryPickCommitPost', 'repository', repository);
            (0, common_1.assertParamExists)('projectsProjectRepositoriesRepositoryCherryPickCommitPost', 'projectsProjectRepositoriesRepositoryCherryPickCommitPostRequest', projectsProjectRepositoriesRepositoryCherryPickCommitPostRequest);
            const localVarPath = `/projects/{project}/repositories/{repository}/cherry-pick-commit`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"repository"}}`, encodeURIComponent(String(repository)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(projectsProjectRepositoriesRepositoryCherryPickCommitPostRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectRepositoriesRepositoryCommitBranchesGet: async (project, repository, commit, prefix, limit, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectRepositoriesRepositoryCommitBranchesGet', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectRepositoriesRepositoryCommitBranchesGet', 'repository', repository);
            (0, common_1.assertParamExists)('projectsProjectRepositoriesRepositoryCommitBranchesGet', 'commit', commit);
            const localVarPath = `/projects/{project}/repositories/{repository}/commit-branches`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"repository"}}`, encodeURIComponent(String(repository)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if (commit !== undefined) {
                localVarQueryParameter['commit'] = commit;
            }
            if (prefix !== undefined) {
                localVarQueryParameter['prefix'] = prefix;
            }
            if (limit !== undefined) {
                localVarQueryParameter['limit'] = limit;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectRepositoriesRepositoryCommitPost: async (project, repository, projectsProjectRepositoriesRepositoryCommitPostRequest, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectRepositoriesRepositoryCommitPost', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectRepositoriesRepositoryCommitPost', 'repository', repository);
            (0, common_1.assertParamExists)('projectsProjectRepositoriesRepositoryCommitPost', 'projectsProjectRepositoriesRepositoryCommitPostRequest', projectsProjectRepositoriesRepositoryCommitPostRequest);
            const localVarPath = `/projects/{project}/repositories/{repository}/commit`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"repository"}}`, encodeURIComponent(String(repository)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(projectsProjectRepositoriesRepositoryCommitPostRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectRepositoriesRepositoryCommitsGet: async (project, repository, $skip, $top, query, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectRepositoriesRepositoryCommitsGet', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectRepositoriesRepositoryCommitsGet', 'repository', repository);
            const localVarPath = `/projects/{project}/repositories/{repository}/commits`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"repository"}}`, encodeURIComponent(String(repository)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($skip !== undefined) {
                localVarQueryParameter['$skip'] = $skip;
            }
            if ($top !== undefined) {
                localVarQueryParameter['$top'] = $top;
            }
            if (query !== undefined) {
                localVarQueryParameter['query'] = query;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectRepositoriesRepositoryDelete: async (project, repository, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectRepositoriesRepositoryDelete', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectRepositoriesRepositoryDelete', 'repository', repository);
            const localVarPath = `/projects/{project}/repositories/{repository}`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"repository"}}`, encodeURIComponent(String(repository)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectRepositoriesRepositoryDeleteBranchPost: async (project, repository, projectsProjectRepositoriesRepositoryDeleteBranchPostRequest, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectRepositoriesRepositoryDeleteBranchPost', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectRepositoriesRepositoryDeleteBranchPost', 'repository', repository);
            (0, common_1.assertParamExists)('projectsProjectRepositoriesRepositoryDeleteBranchPost', 'projectsProjectRepositoriesRepositoryDeleteBranchPostRequest', projectsProjectRepositoriesRepositoryDeleteBranchPostRequest);
            const localVarPath = `/projects/{project}/repositories/{repository}/delete-branch`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"repository"}}`, encodeURIComponent(String(repository)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(projectsProjectRepositoriesRepositoryDeleteBranchPostRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectRepositoriesRepositoryFilesGet: async (project, repository, commit, path, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectRepositoriesRepositoryFilesGet', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectRepositoriesRepositoryFilesGet', 'repository', repository);
            (0, common_1.assertParamExists)('projectsProjectRepositoriesRepositoryFilesGet', 'commit', commit);
            (0, common_1.assertParamExists)('projectsProjectRepositoriesRepositoryFilesGet', 'path', path);
            const localVarPath = `/projects/{project}/repositories/{repository}/files`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"repository"}}`, encodeURIComponent(String(repository)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if (commit !== undefined) {
                localVarQueryParameter['commit'] = commit;
            }
            if (path !== undefined) {
                localVarQueryParameter['path'] = path;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectRepositoriesRepositoryGcPost: async (project, repository, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectRepositoriesRepositoryGcPost', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectRepositoriesRepositoryGcPost', 'repository', repository);
            const localVarPath = `/projects/{project}/repositories/{repository}/gc`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"repository"}}`, encodeURIComponent(String(repository)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectRepositoriesRepositoryMergeBranchPost: async (project, repository, projectsProjectRepositoriesRepositoryMergeBranchPostRequest, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectRepositoriesRepositoryMergeBranchPost', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectRepositoriesRepositoryMergeBranchPost', 'repository', repository);
            (0, common_1.assertParamExists)('projectsProjectRepositoriesRepositoryMergeBranchPost', 'projectsProjectRepositoriesRepositoryMergeBranchPostRequest', projectsProjectRepositoriesRepositoryMergeBranchPostRequest);
            const localVarPath = `/projects/{project}/repositories/{repository}/merge-branch`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"repository"}}`, encodeURIComponent(String(repository)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(projectsProjectRepositoriesRepositoryMergeBranchPostRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectRepositoriesRepositoryPost: async (project, repository, $fields, projectsProjectRepositoriesRepositoryDeleteRequest, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectRepositoriesRepositoryPost', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectRepositoriesRepositoryPost', 'repository', repository);
            const localVarPath = `/projects/{project}/repositories/{repository}`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"repository"}}`, encodeURIComponent(String(repository)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(projectsProjectRepositoriesRepositoryDeleteRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectRepositoriesRepositoryReadonlyGet: async (project, repository, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectRepositoriesRepositoryReadonlyGet', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectRepositoriesRepositoryReadonlyGet', 'repository', repository);
            const localVarPath = `/projects/{project}/repositories/{repository}/readonly`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"repository"}}`, encodeURIComponent(String(repository)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectRepositoriesRepositoryReadonlyPost: async (project, repository, projectsProjectRepositoriesRepositoryReadonlyGetRequest, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectRepositoriesRepositoryReadonlyPost', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectRepositoriesRepositoryReadonlyPost', 'repository', repository);
            (0, common_1.assertParamExists)('projectsProjectRepositoriesRepositoryReadonlyPost', 'projectsProjectRepositoriesRepositoryReadonlyGetRequest', projectsProjectRepositoriesRepositoryReadonlyGetRequest);
            const localVarPath = `/projects/{project}/repositories/{repository}/readonly`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"repository"}}`, encodeURIComponent(String(repository)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(projectsProjectRepositoriesRepositoryReadonlyGetRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectRepositoriesRepositoryRebaseBranchPost: async (project, repository, projectsProjectRepositoriesRepositoryRebaseBranchPostRequest, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectRepositoriesRepositoryRebaseBranchPost', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectRepositoriesRepositoryRebaseBranchPost', 'repository', repository);
            (0, common_1.assertParamExists)('projectsProjectRepositoriesRepositoryRebaseBranchPost', 'projectsProjectRepositoriesRepositoryRebaseBranchPostRequest', projectsProjectRepositoriesRepositoryRebaseBranchPostRequest);
            const localVarPath = `/projects/{project}/repositories/{repository}/rebase-branch`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"repository"}}`, encodeURIComponent(String(repository)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(projectsProjectRepositoriesRepositoryRebaseBranchPostRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectRepositoriesRepositoryRevisionsRevisionExternalChecksGet: async (project, repository, revision, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectRepositoriesRepositoryRevisionsRevisionExternalChecksGet', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectRepositoriesRepositoryRevisionsRevisionExternalChecksGet', 'repository', repository);
            (0, common_1.assertParamExists)('projectsProjectRepositoriesRepositoryRevisionsRevisionExternalChecksGet', 'revision', revision);
            const localVarPath = `/projects/{project}/repositories/{repository}/revisions/{revision}/external-checks`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"repository"}}`, encodeURIComponent(String(repository)))
                .replace(`{${"revision"}}`, encodeURIComponent(String(revision)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectRepositoriesRepositoryRevisionsRevisionExternalChecksPost: async (project, repository, revision, projectsProjectRepositoriesRepositoryRevisionsRevisionExternalChecksGetRequest, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectRepositoriesRepositoryRevisionsRevisionExternalChecksPost', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectRepositoriesRepositoryRevisionsRevisionExternalChecksPost', 'repository', repository);
            (0, common_1.assertParamExists)('projectsProjectRepositoriesRepositoryRevisionsRevisionExternalChecksPost', 'revision', revision);
            (0, common_1.assertParamExists)('projectsProjectRepositoriesRepositoryRevisionsRevisionExternalChecksPost', 'projectsProjectRepositoriesRepositoryRevisionsRevisionExternalChecksGetRequest', projectsProjectRepositoriesRepositoryRevisionsRevisionExternalChecksGetRequest);
            const localVarPath = `/projects/{project}/repositories/{repository}/revisions/{revision}/external-checks`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"repository"}}`, encodeURIComponent(String(repository)))
                .replace(`{${"revision"}}`, encodeURIComponent(String(revision)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(projectsProjectRepositoriesRepositoryRevisionsRevisionExternalChecksGetRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectRepositoriesRepositorySettingsGet: async (project, repository, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectRepositoriesRepositorySettingsGet', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectRepositoriesRepositorySettingsGet', 'repository', repository);
            const localVarPath = `/projects/{project}/repositories/{repository}/settings`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"repository"}}`, encodeURIComponent(String(repository)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectRepositoriesRepositorySettingsPost: async (project, repository, projectsProjectRepositoriesRepositorySettingsGetRequest, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectRepositoriesRepositorySettingsPost', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectRepositoriesRepositorySettingsPost', 'repository', repository);
            (0, common_1.assertParamExists)('projectsProjectRepositoriesRepositorySettingsPost', 'projectsProjectRepositoriesRepositorySettingsGetRequest', projectsProjectRepositoriesRepositorySettingsGetRequest);
            const localVarPath = `/projects/{project}/repositories/{repository}/settings`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"repository"}}`, encodeURIComponent(String(repository)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(projectsProjectRepositoriesRepositorySettingsGetRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectRepositoriesRepositoryUrlGet: async (project, repository, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectRepositoriesRepositoryUrlGet', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectRepositoriesRepositoryUrlGet', 'repository', repository);
            const localVarPath = `/projects/{project}/repositories/{repository}/url`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"repository"}}`, encodeURIComponent(String(repository)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectResponsibilitiesResponsibilityIdAssigneesProfileIdDelete: async (project, responsibilityId, profileId, role, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectResponsibilitiesResponsibilityIdAssigneesProfileIdDelete', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectResponsibilitiesResponsibilityIdAssigneesProfileIdDelete', 'responsibilityId', responsibilityId);
            (0, common_1.assertParamExists)('projectsProjectResponsibilitiesResponsibilityIdAssigneesProfileIdDelete', 'profileId', profileId);
            const localVarPath = `/projects/{project}/responsibilities/{responsibilityId}/assignees/{profileId}`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"responsibilityId"}}`, encodeURIComponent(String(responsibilityId)))
                .replace(`{${"profileId"}}`, encodeURIComponent(String(profileId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if (role !== undefined) {
                localVarQueryParameter['role'] = role;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectResponsibilitiesResponsibilityIdAssigneesProfileIdPost: async (project, responsibilityId, profileId, projectsProjectResponsibilitiesResponsibilityIdAssigneesProfileIdDeleteRequest, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectResponsibilitiesResponsibilityIdAssigneesProfileIdPost', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectResponsibilitiesResponsibilityIdAssigneesProfileIdPost', 'responsibilityId', responsibilityId);
            (0, common_1.assertParamExists)('projectsProjectResponsibilitiesResponsibilityIdAssigneesProfileIdPost', 'profileId', profileId);
            const localVarPath = `/projects/{project}/responsibilities/{responsibilityId}/assignees/{profileId}`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"responsibilityId"}}`, encodeURIComponent(String(responsibilityId)))
                .replace(`{${"profileId"}}`, encodeURIComponent(String(profileId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(projectsProjectResponsibilitiesResponsibilityIdAssigneesProfileIdDeleteRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectResponsibilitiesSchemeGet: async (project, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectResponsibilitiesSchemeGet', 'project', project);
            const localVarPath = `/projects/{project}/responsibilities/scheme`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectResponsibilitiesSubjectsPost: async (project, projectsProjectResponsibilitiesSubjectsPostRequest, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectResponsibilitiesSubjectsPost', 'project', project);
            const localVarPath = `/projects/{project}/responsibilities/subjects`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(projectsProjectResponsibilitiesSubjectsPostRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectResponsibilitiesSubjectsSubjectIdPatch: async (project, subjectId, projectsProjectResponsibilitiesSubjectsPostRequest, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectResponsibilitiesSubjectsSubjectIdPatch', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectResponsibilitiesSubjectsSubjectIdPatch', 'subjectId', subjectId);
            const localVarPath = `/projects/{project}/responsibilities/subjects/{subjectId}`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"subjectId"}}`, encodeURIComponent(String(subjectId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PATCH', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(projectsProjectResponsibilitiesSubjectsPostRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectTopicsGet: async (project, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectTopicsGet', 'project', project);
            const localVarPath = `/projects/{project}/topics`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectTopicsIdPatch: async (project, id, $fields, projectsProjectTopicsIdPatchRequest, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectTopicsIdPatch', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectTopicsIdPatch', 'id', id);
            const localVarPath = `/projects/{project}/topics/{id}`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)))
                .replace(`{${"id"}}`, encodeURIComponent(String(id)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PATCH', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(projectsProjectTopicsIdPatchRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectTopicsPost: async (project, projectsProjectTopicsGetRequest, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectTopicsPost', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectTopicsPost', 'projectsProjectTopicsGetRequest', projectsProjectTopicsGetRequest);
            const localVarPath = `/projects/{project}/topics`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(projectsProjectTopicsGetRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectTopicsRemoveTopicsPost: async (project, projectsProjectTopicsRemoveTopicsPostRequest, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectTopicsRemoveTopicsPost', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectTopicsRemoveTopicsPost', 'projectsProjectTopicsRemoveTopicsPostRequest', projectsProjectTopicsRemoveTopicsPostRequest);
            const localVarPath = `/projects/{project}/topics/remove-topics`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(projectsProjectTopicsRemoveTopicsPostRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsProjectTopicsSetResponsiblePost: async (project, projectsProjectTopicsSetResponsiblePostRequest, options = {}) => {
            (0, common_1.assertParamExists)('projectsProjectTopicsSetResponsiblePost', 'project', project);
            (0, common_1.assertParamExists)('projectsProjectTopicsSetResponsiblePost', 'projectsProjectTopicsSetResponsiblePostRequest', projectsProjectTopicsSetResponsiblePostRequest);
            const localVarPath = `/projects/{project}/topics/set-responsible`
                .replace(`{${"project"}}`, encodeURIComponent(String(project)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(projectsProjectTopicsSetResponsiblePostRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsRepositoriesFindGet: async (term, $skip, $top, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsRepositoriesFindGet', 'term', term);
            const localVarPath = `/projects/repositories/find`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($skip !== undefined) {
                localVarQueryParameter['$skip'] = $skip;
            }
            if ($top !== undefined) {
                localVarQueryParameter['$top'] = $top;
            }
            if (term !== undefined) {
                localVarQueryParameter['term'] = term;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsResponsibilitiesPost: async (projectsResponsibilitiesPostRequest, options = {}) => {
            (0, common_1.assertParamExists)('projectsResponsibilitiesPost', 'projectsResponsibilitiesPostRequest', projectsResponsibilitiesPostRequest);
            const localVarPath = `/projects/responsibilities`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(projectsResponsibilitiesPostRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsResponsibilitiesResponsibilityIdDelete: async (responsibilityId, options = {}) => {
            (0, common_1.assertParamExists)('projectsResponsibilitiesResponsibilityIdDelete', 'responsibilityId', responsibilityId);
            const localVarPath = `/projects/responsibilities/{responsibilityId}`
                .replace(`{${"responsibilityId"}}`, encodeURIComponent(String(responsibilityId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsResponsibilitiesResponsibilityIdPatch: async (responsibilityId, projectsResponsibilitiesResponsibilityIdDeleteRequest, options = {}) => {
            (0, common_1.assertParamExists)('projectsResponsibilitiesResponsibilityIdPatch', 'responsibilityId', responsibilityId);
            (0, common_1.assertParamExists)('projectsResponsibilitiesResponsibilityIdPatch', 'projectsResponsibilitiesResponsibilityIdDeleteRequest', projectsResponsibilitiesResponsibilityIdDeleteRequest);
            const localVarPath = `/projects/responsibilities/{responsibilityId}`
                .replace(`{${"responsibilityId"}}`, encodeURIComponent(String(responsibilityId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PATCH', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(projectsResponsibilitiesResponsibilityIdDeleteRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsResponsibilitiesSubjectsSubjectIdDelete: async (subjectId, project, options = {}) => {
            (0, common_1.assertParamExists)('projectsResponsibilitiesSubjectsSubjectIdDelete', 'subjectId', subjectId);
            const localVarPath = `/projects/responsibilities/subjects/{subjectId}`
                .replace(`{${"subjectId"}}`, encodeURIComponent(String(subjectId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if (project !== undefined) {
                localVarQueryParameter['project'] = project;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsRightCoderightCodeGet: async (rightCode, $skip, $top, term, path, starred, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsRightCoderightCodeGet', 'rightCode', rightCode);
            const localVarPath = `/projects/right-code:{rightCode}`
                .replace(`{${"rightCode"}}`, encodeURIComponent(String(rightCode)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($skip !== undefined) {
                localVarQueryParameter['$skip'] = $skip;
            }
            if ($top !== undefined) {
                localVarQueryParameter['$top'] = $top;
            }
            if (term !== undefined) {
                localVarQueryParameter['term'] = term;
            }
            if (path !== undefined) {
                localVarQueryParameter['path'] = path;
            }
            if (starred !== undefined) {
                localVarQueryParameter['starred'] = starred;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsRightUniqueCoderightGet: async (right, $skip, $top, term, path, starred, _private, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsRightUniqueCoderightGet', 'right', right);
            const localVarPath = `/projects/right-unique-code:{right}`
                .replace(`{${"right"}}`, encodeURIComponent(String(right)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($skip !== undefined) {
                localVarQueryParameter['$skip'] = $skip;
            }
            if ($top !== undefined) {
                localVarQueryParameter['$top'] = $top;
            }
            if (term !== undefined) {
                localVarQueryParameter['term'] = term;
            }
            if (path !== undefined) {
                localVarQueryParameter['path'] = path;
            }
            if (starred !== undefined) {
                localVarQueryParameter['starred'] = starred;
            }
            if (_private !== undefined) {
                localVarQueryParameter['private'] = _private;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsSecretsDefaultBundleGet: async (project, $skip, $top, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsSecretsDefaultBundleGet', 'project', project);
            const localVarPath = `/projects/secrets/default-bundle`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if (project !== undefined) {
                localVarQueryParameter['project'] = project;
            }
            if ($skip !== undefined) {
                localVarQueryParameter['$skip'] = $skip;
            }
            if ($top !== undefined) {
                localVarQueryParameter['$top'] = $top;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsSecretsDefaultBundlePost: async (projectsSecretsDefaultBundleGetRequest, options = {}) => {
            (0, common_1.assertParamExists)('projectsSecretsDefaultBundlePost', 'projectsSecretsDefaultBundleGetRequest', projectsSecretsDefaultBundleGetRequest);
            const localVarPath = `/projects/secrets/default-bundle`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(projectsSecretsDefaultBundleGetRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsSecretsIdDelete: async (id, options = {}) => {
            (0, common_1.assertParamExists)('projectsSecretsIdDelete', 'id', id);
            const localVarPath = `/projects/secrets/{id}`
                .replace(`{${"id"}}`, encodeURIComponent(String(id)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsSecretsIdPatch: async (id, projectsSecretsIdDeleteRequest, options = {}) => {
            (0, common_1.assertParamExists)('projectsSecretsIdPatch', 'id', id);
            (0, common_1.assertParamExists)('projectsSecretsIdPatch', 'projectsSecretsIdDeleteRequest', projectsSecretsIdDeleteRequest);
            const localVarPath = `/projects/secrets/{id}`
                .replace(`{${"id"}}`, encodeURIComponent(String(id)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PATCH', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(projectsSecretsIdDeleteRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsSecretsInDefaultBundleGet: async (projectId, $skip, $top, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsSecretsInDefaultBundleGet', 'projectId', projectId);
            const localVarPath = `/projects/secrets/in-default-bundle`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if (projectId !== undefined) {
                localVarQueryParameter['projectId'] = projectId;
            }
            if ($skip !== undefined) {
                localVarQueryParameter['$skip'] = $skip;
            }
            if ($top !== undefined) {
                localVarQueryParameter['$top'] = $top;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsSecretsInDefaultBundlePost: async (projectsSecretsInDefaultBundleGetRequest, options = {}) => {
            (0, common_1.assertParamExists)('projectsSecretsInDefaultBundlePost', 'projectsSecretsInDefaultBundleGetRequest', projectsSecretsInDefaultBundleGetRequest);
            const localVarPath = `/projects/secrets/in-default-bundle`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(projectsSecretsInDefaultBundleGetRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsTagsGet: async ($fields, options = {}) => {
            const localVarPath = `/projects/tags`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsTagsTrackAccessPost: async (projectsTagsTrackAccessPostRequest, options = {}) => {
            (0, common_1.assertParamExists)('projectsTagsTrackAccessPost', 'projectsTagsTrackAccessPostRequest', projectsTagsTrackAccessPostRequest);
            const localVarPath = `/projects/tags/track-access`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(projectsTagsTrackAccessPostRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsTeamteamGet: async (team, $skip, $top, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsTeamteamGet', 'team', team);
            const localVarPath = `/projects/team:{team}`
                .replace(`{${"team"}}`, encodeURIComponent(String(team)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($skip !== undefined) {
                localVarQueryParameter['$skip'] = $skip;
            }
            if ($top !== undefined) {
                localVarQueryParameter['$top'] = $top;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsVaultGet: async (project, $fields, options = {}) => {
            (0, common_1.assertParamExists)('projectsVaultGet', 'project', project);
            const localVarPath = `/projects/vault`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if (project !== undefined) {
                localVarQueryParameter['project'] = project;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsVaultIdDelete: async (id, options = {}) => {
            (0, common_1.assertParamExists)('projectsVaultIdDelete', 'id', id);
            const localVarPath = `/projects/vault/{id}`
                .replace(`{${"id"}}`, encodeURIComponent(String(id)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsVaultIdPatch: async (id, projectsVaultIdDeleteRequest, options = {}) => {
            (0, common_1.assertParamExists)('projectsVaultIdPatch', 'id', id);
            (0, common_1.assertParamExists)('projectsVaultIdPatch', 'projectsVaultIdDeleteRequest', projectsVaultIdDeleteRequest);
            const localVarPath = `/projects/vault/{id}`
                .replace(`{${"id"}}`, encodeURIComponent(String(id)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PATCH', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(projectsVaultIdDeleteRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        projectsVaultPost: async (projectsVaultGetRequest, options = {}) => {
            (0, common_1.assertParamExists)('projectsVaultPost', 'projectsVaultGetRequest', projectsVaultGetRequest);
            const localVarPath = `/projects/vault`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(projectsVaultGetRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        publicHolidaysCalendarsGet: async ($skip, $top, $fields, options = {}) => {
            const localVarPath = `/public-holidays/calendars`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($skip !== undefined) {
                localVarQueryParameter['$skip'] = $skip;
            }
            if ($top !== undefined) {
                localVarQueryParameter['$top'] = $top;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        publicHolidaysCalendarsIdDelete: async (id, options = {}) => {
            (0, common_1.assertParamExists)('publicHolidaysCalendarsIdDelete', 'id', id);
            const localVarPath = `/public-holidays/calendars/{id}`
                .replace(`{${"id"}}`, encodeURIComponent(String(id)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        publicHolidaysCalendarsIdPatch: async (id, publicHolidaysCalendarsGetRequest, $fields, options = {}) => {
            (0, common_1.assertParamExists)('publicHolidaysCalendarsIdPatch', 'id', id);
            (0, common_1.assertParamExists)('publicHolidaysCalendarsIdPatch', 'publicHolidaysCalendarsGetRequest', publicHolidaysCalendarsGetRequest);
            const localVarPath = `/public-holidays/calendars/{id}`
                .replace(`{${"id"}}`, encodeURIComponent(String(id)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PATCH', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(publicHolidaysCalendarsGetRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        publicHolidaysCalendarsImportPost: async (publicHolidaysCalendarsImportPostRequest, options = {}) => {
            (0, common_1.assertParamExists)('publicHolidaysCalendarsImportPost', 'publicHolidaysCalendarsImportPostRequest', publicHolidaysCalendarsImportPostRequest);
            const localVarPath = `/public-holidays/calendars/import`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(publicHolidaysCalendarsImportPostRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        publicHolidaysCalendarsPost: async (publicHolidaysCalendarsGetRequest, $fields, options = {}) => {
            (0, common_1.assertParamExists)('publicHolidaysCalendarsPost', 'publicHolidaysCalendarsGetRequest', publicHolidaysCalendarsGetRequest);
            const localVarPath = `/public-holidays/calendars`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(publicHolidaysCalendarsGetRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        publicHolidaysHolidaysGet: async ($skip, $top, calendar, location, startDate, endDate, $fields, options = {}) => {
            const localVarPath = `/public-holidays/holidays`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($skip !== undefined) {
                localVarQueryParameter['$skip'] = $skip;
            }
            if ($top !== undefined) {
                localVarQueryParameter['$top'] = $top;
            }
            if (calendar !== undefined) {
                localVarQueryParameter['calendar'] = calendar;
            }
            if (location !== undefined) {
                localVarQueryParameter['location'] = location;
            }
            if (startDate !== undefined) {
                localVarQueryParameter['startDate'] = startDate;
            }
            if (endDate !== undefined) {
                localVarQueryParameter['endDate'] = endDate;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        publicHolidaysHolidaysIdDelete: async (id, options = {}) => {
            (0, common_1.assertParamExists)('publicHolidaysHolidaysIdDelete', 'id', id);
            const localVarPath = `/public-holidays/holidays/{id}`
                .replace(`{${"id"}}`, encodeURIComponent(String(id)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        publicHolidaysHolidaysIdPatch: async (id, $fields, publicHolidaysHolidaysIdDeleteRequest, options = {}) => {
            (0, common_1.assertParamExists)('publicHolidaysHolidaysIdPatch', 'id', id);
            const localVarPath = `/public-holidays/holidays/{id}`
                .replace(`{${"id"}}`, encodeURIComponent(String(id)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PATCH', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(publicHolidaysHolidaysIdDeleteRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        publicHolidaysHolidaysPost: async (publicHolidaysHolidaysGetRequest, $fields, options = {}) => {
            (0, common_1.assertParamExists)('publicHolidaysHolidaysPost', 'publicHolidaysHolidaysGetRequest', publicHolidaysHolidaysGetRequest);
            const localVarPath = `/public-holidays/holidays`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(publicHolidaysHolidaysGetRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        publicHolidaysHolidaysProfileHolidaysGet: async (startDate, endDate, profile, workingDays, $fields, options = {}) => {
            (0, common_1.assertParamExists)('publicHolidaysHolidaysProfileHolidaysGet', 'startDate', startDate);
            (0, common_1.assertParamExists)('publicHolidaysHolidaysProfileHolidaysGet', 'endDate', endDate);
            (0, common_1.assertParamExists)('publicHolidaysHolidaysProfileHolidaysGet', 'profile', profile);
            const localVarPath = `/public-holidays/holidays/profile-holidays`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if (startDate !== undefined) {
                localVarQueryParameter['startDate'] = startDate;
            }
            if (endDate !== undefined) {
                localVarQueryParameter['endDate'] = endDate;
            }
            if (profile !== undefined) {
                localVarQueryParameter['profile'] = profile;
            }
            if (workingDays !== undefined) {
                localVarQueryParameter['workingDays'] = workingDays;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        publicHolidaysHolidaysRelatedHolidaysGet: async ($skip, $top, startDate, endDate, $fields, options = {}) => {
            const localVarPath = `/public-holidays/holidays/related-holidays`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($skip !== undefined) {
                localVarQueryParameter['$skip'] = $skip;
            }
            if ($top !== undefined) {
                localVarQueryParameter['$top'] = $top;
            }
            if (startDate !== undefined) {
                localVarQueryParameter['startDate'] = startDate;
            }
            if (endDate !== undefined) {
                localVarQueryParameter['endDate'] = endDate;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        reactionsItemEmojiDelete: async (item, emoji, options = {}) => {
            (0, common_1.assertParamExists)('reactionsItemEmojiDelete', 'item', item);
            (0, common_1.assertParamExists)('reactionsItemEmojiDelete', 'emoji', emoji);
            const localVarPath = `/reactions/{item}/{emoji}`
                .replace(`{${"item"}}`, encodeURIComponent(String(item)))
                .replace(`{${"emoji"}}`, encodeURIComponent(String(emoji)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        reactionsItemEmojiGet: async (item, emoji, $fields, options = {}) => {
            (0, common_1.assertParamExists)('reactionsItemEmojiGet', 'item', item);
            (0, common_1.assertParamExists)('reactionsItemEmojiGet', 'emoji', emoji);
            const localVarPath = `/reactions/{item}/{emoji}`
                .replace(`{${"item"}}`, encodeURIComponent(String(item)))
                .replace(`{${"emoji"}}`, encodeURIComponent(String(emoji)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        reactionsItemEmojiPost: async (item, emoji, options = {}) => {
            (0, common_1.assertParamExists)('reactionsItemEmojiPost', 'item', item);
            (0, common_1.assertParamExists)('reactionsItemEmojiPost', 'emoji', emoji);
            const localVarPath = `/reactions/{item}/{emoji}`
                .replace(`{${"item"}}`, encodeURIComponent(String(item)))
                .replace(`{${"emoji"}}`, encodeURIComponent(String(emoji)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        reactionsItemGet: async (item, $fields, options = {}) => {
            (0, common_1.assertParamExists)('reactionsItemGet', 'item', item);
            const localVarPath = `/reactions/{item}`
                .replace(`{${"item"}}`, encodeURIComponent(String(item)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        richTextParseMarkdownPost: async (richTextParseMarkdownPostRequest, $fields, options = {}) => {
            (0, common_1.assertParamExists)('richTextParseMarkdownPost', 'richTextParseMarkdownPostRequest', richTextParseMarkdownPostRequest);
            const localVarPath = `/rich-text/parse-markdown`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(richTextParseMarkdownPostRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryCalendarEventsAbsenceEventsGet: async (dateFrom, dateTo, team, location, role, $fields, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryCalendarEventsAbsenceEventsGet', 'dateFrom', dateFrom);
            (0, common_1.assertParamExists)('teamDirectoryCalendarEventsAbsenceEventsGet', 'dateTo', dateTo);
            const localVarPath = `/team-directory/calendar-events/absence-events`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if (dateFrom !== undefined) {
                localVarQueryParameter['dateFrom'] = dateFrom;
            }
            if (dateTo !== undefined) {
                localVarQueryParameter['dateTo'] = dateTo;
            }
            if (team !== undefined) {
                localVarQueryParameter['team'] = team;
            }
            if (location !== undefined) {
                localVarQueryParameter['location'] = location;
            }
            if (role !== undefined) {
                localVarQueryParameter['role'] = role;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryCalendarEventsBirthdayEventsGet: async (dateFrom, dateTo, team, location, role, $fields, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryCalendarEventsBirthdayEventsGet', 'dateFrom', dateFrom);
            (0, common_1.assertParamExists)('teamDirectoryCalendarEventsBirthdayEventsGet', 'dateTo', dateTo);
            const localVarPath = `/team-directory/calendar-events/birthday-events`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if (dateFrom !== undefined) {
                localVarQueryParameter['dateFrom'] = dateFrom;
            }
            if (dateTo !== undefined) {
                localVarQueryParameter['dateTo'] = dateTo;
            }
            if (team !== undefined) {
                localVarQueryParameter['team'] = team;
            }
            if (location !== undefined) {
                localVarQueryParameter['location'] = location;
            }
            if (role !== undefined) {
                localVarQueryParameter['role'] = role;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryCalendarEventsBirthdayEventsStarredGet: async (dateFrom, dateTo, $fields, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryCalendarEventsBirthdayEventsStarredGet', 'dateFrom', dateFrom);
            (0, common_1.assertParamExists)('teamDirectoryCalendarEventsBirthdayEventsStarredGet', 'dateTo', dateTo);
            const localVarPath = `/team-directory/calendar-events/birthday-events/starred`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if (dateFrom !== undefined) {
                localVarQueryParameter['dateFrom'] = dateFrom;
            }
            if (dateTo !== undefined) {
                localVarQueryParameter['dateTo'] = dateTo;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryCalendarEventsGet: async (dateFrom, dateTo, $fields, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryCalendarEventsGet', 'dateFrom', dateFrom);
            (0, common_1.assertParamExists)('teamDirectoryCalendarEventsGet', 'dateTo', dateTo);
            const localVarPath = `/team-directory/calendar-events`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if (dateFrom !== undefined) {
                localVarQueryParameter['dateFrom'] = dateFrom;
            }
            if (dateTo !== undefined) {
                localVarQueryParameter['dateTo'] = dateTo;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryCalendarEventsHolidaysGet: async (startDate, endDate, team, location, role, workingDays, $fields, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryCalendarEventsHolidaysGet', 'startDate', startDate);
            (0, common_1.assertParamExists)('teamDirectoryCalendarEventsHolidaysGet', 'endDate', endDate);
            const localVarPath = `/team-directory/calendar-events/holidays`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if (startDate !== undefined) {
                localVarQueryParameter['startDate'] = startDate;
            }
            if (endDate !== undefined) {
                localVarQueryParameter['endDate'] = endDate;
            }
            if (team !== undefined) {
                localVarQueryParameter['team'] = team;
            }
            if (location !== undefined) {
                localVarQueryParameter['location'] = location;
            }
            if (role !== undefined) {
                localVarQueryParameter['role'] = role;
            }
            if (workingDays !== undefined) {
                localVarQueryParameter['workingDays'] = workingDays;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryCalendarEventsIdGet: async (id, $fields, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryCalendarEventsIdGet', 'id', id);
            const localVarPath = `/team-directory/calendar-events/{id}`
                .replace(`{${"id"}}`, encodeURIComponent(String(id)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryCalendarEventsMeetingParticipationsIdPatch: async (id, calendarsEventParticipationsIdPatchRequest, $fields, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryCalendarEventsMeetingParticipationsIdPatch', 'id', id);
            (0, common_1.assertParamExists)('teamDirectoryCalendarEventsMeetingParticipationsIdPatch', 'calendarsEventParticipationsIdPatchRequest', calendarsEventParticipationsIdPatchRequest);
            const localVarPath = `/team-directory/calendar-events/meeting-participations/{id}`
                .replace(`{${"id"}}`, encodeURIComponent(String(id)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PATCH', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(calendarsEventParticipationsIdPatchRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryCalendarEventsMembershipEventsGet: async (dateFrom, dateTo, team, location, role, $fields, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryCalendarEventsMembershipEventsGet', 'dateFrom', dateFrom);
            (0, common_1.assertParamExists)('teamDirectoryCalendarEventsMembershipEventsGet', 'dateTo', dateTo);
            const localVarPath = `/team-directory/calendar-events/membership-events`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if (dateFrom !== undefined) {
                localVarQueryParameter['dateFrom'] = dateFrom;
            }
            if (dateTo !== undefined) {
                localVarQueryParameter['dateTo'] = dateTo;
            }
            if (team !== undefined) {
                localVarQueryParameter['team'] = team;
            }
            if (location !== undefined) {
                localVarQueryParameter['location'] = location;
            }
            if (role !== undefined) {
                localVarQueryParameter['role'] = role;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryCalendarEventsNonWorkingDaysEventsGet: async (dateFrom, dateTo, member, team, location, role, $fields, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryCalendarEventsNonWorkingDaysEventsGet', 'dateFrom', dateFrom);
            (0, common_1.assertParamExists)('teamDirectoryCalendarEventsNonWorkingDaysEventsGet', 'dateTo', dateTo);
            const localVarPath = `/team-directory/calendar-events/non-working-days-events`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if (dateFrom !== undefined) {
                localVarQueryParameter['dateFrom'] = dateFrom;
            }
            if (dateTo !== undefined) {
                localVarQueryParameter['dateTo'] = dateTo;
            }
            if (member !== undefined) {
                localVarQueryParameter['member'] = member;
            }
            if (team !== undefined) {
                localVarQueryParameter['team'] = team;
            }
            if (location !== undefined) {
                localVarQueryParameter['location'] = location;
            }
            if (role !== undefined) {
                localVarQueryParameter['role'] = role;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryInvitationLinksGet: async ($skip, $top, withDeleted, projects, teams, $fields, options = {}) => {
            const localVarPath = `/team-directory/invitation-links`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($skip !== undefined) {
                localVarQueryParameter['$skip'] = $skip;
            }
            if ($top !== undefined) {
                localVarQueryParameter['$top'] = $top;
            }
            if (withDeleted !== undefined) {
                localVarQueryParameter['withDeleted'] = withDeleted;
            }
            if (projects) {
                localVarQueryParameter['projects'] = projects;
            }
            if (teams) {
                localVarQueryParameter['teams'] = teams;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryInvitationLinksInvitationLinkIdDelete: async (invitationLinkId, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryInvitationLinksInvitationLinkIdDelete', 'invitationLinkId', invitationLinkId);
            const localVarPath = `/team-directory/invitation-links/{invitationLinkId}`
                .replace(`{${"invitationLinkId"}}`, encodeURIComponent(String(invitationLinkId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryInvitationLinksInvitationLinkIdPatch: async (invitationLinkId, teamDirectoryInvitationLinksInvitationLinkIdDeleteRequest, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryInvitationLinksInvitationLinkIdPatch', 'invitationLinkId', invitationLinkId);
            const localVarPath = `/team-directory/invitation-links/{invitationLinkId}`
                .replace(`{${"invitationLinkId"}}`, encodeURIComponent(String(invitationLinkId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PATCH', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(teamDirectoryInvitationLinksInvitationLinkIdDeleteRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryInvitationLinksPost: async (teamDirectoryInvitationLinksGetRequest, $fields, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryInvitationLinksPost', 'teamDirectoryInvitationLinksGetRequest', teamDirectoryInvitationLinksGetRequest);
            const localVarPath = `/team-directory/invitation-links`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(teamDirectoryInvitationLinksGetRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryInvitationsGet: async ($skip, $top, withDeleted, projects, teams, $fields, options = {}) => {
            const localVarPath = `/team-directory/invitations`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($skip !== undefined) {
                localVarQueryParameter['$skip'] = $skip;
            }
            if ($top !== undefined) {
                localVarQueryParameter['$top'] = $top;
            }
            if (withDeleted !== undefined) {
                localVarQueryParameter['withDeleted'] = withDeleted;
            }
            if (projects) {
                localVarQueryParameter['projects'] = projects;
            }
            if (teams) {
                localVarQueryParameter['teams'] = teams;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryInvitationsIdDelete: async (id, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryInvitationsIdDelete', 'id', id);
            const localVarPath = `/team-directory/invitations/{id}`
                .replace(`{${"id"}}`, encodeURIComponent(String(id)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryInvitationsIdPatch: async (id, teamDirectoryInvitationsIdDeleteRequest, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryInvitationsIdPatch', 'id', id);
            const localVarPath = `/team-directory/invitations/{id}`
                .replace(`{${"id"}}`, encodeURIComponent(String(id)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PATCH', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(teamDirectoryInvitationsIdDeleteRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryInvitationsPost: async (teamDirectoryInvitationsGetRequest, $fields, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryInvitationsPost', 'teamDirectoryInvitationsGetRequest', teamDirectoryInvitationsGetRequest);
            const localVarPath = `/team-directory/invitations`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(teamDirectoryInvitationsGetRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryLanguagesGet: async ($fields, options = {}) => {
            const localVarPath = `/team-directory/languages`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryLocationEquipmentTypesGet: async (withArchived, $fields, options = {}) => {
            const localVarPath = `/team-directory/location-equipment-types`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if (withArchived !== undefined) {
                localVarQueryParameter['withArchived'] = withArchived;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryLocationEquipmentTypesNamenameDelete: async (name, _delete, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryLocationEquipmentTypesNamenameDelete', 'name', name);
            (0, common_1.assertParamExists)('teamDirectoryLocationEquipmentTypesNamenameDelete', '_delete', _delete);
            const localVarPath = `/team-directory/location-equipment-types/name:{name}`
                .replace(`{${"name"}}`, encodeURIComponent(String(name)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if (_delete !== undefined) {
                localVarQueryParameter['delete'] = _delete;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryLocationMapMemberPointsGet: async (locationId, $skip, $top, includeUnmarked, $fields, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryLocationMapMemberPointsGet', 'locationId', locationId);
            const localVarPath = `/team-directory/location-map-member-points`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($skip !== undefined) {
                localVarQueryParameter['$skip'] = $skip;
            }
            if ($top !== undefined) {
                localVarQueryParameter['$top'] = $top;
            }
            if (locationId !== undefined) {
                localVarQueryParameter['locationId'] = locationId;
            }
            if (includeUnmarked !== undefined) {
                localVarQueryParameter['includeUnmarked'] = includeUnmarked;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryLocationMapMemberPointsLocationPointIdDelete: async (locationPointId, _delete, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryLocationMapMemberPointsLocationPointIdDelete', 'locationPointId', locationPointId);
            (0, common_1.assertParamExists)('teamDirectoryLocationMapMemberPointsLocationPointIdDelete', '_delete', _delete);
            const localVarPath = `/team-directory/location-map-member-points/{locationPointId}`
                .replace(`{${"locationPointId"}}`, encodeURIComponent(String(locationPointId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if (_delete !== undefined) {
                localVarQueryParameter['delete'] = _delete;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryLocationMapMemberPointsLocationPointIdPatch: async (locationPointId, $fields, teamDirectoryLocationMapMemberPointsLocationPointIdDeleteRequest, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryLocationMapMemberPointsLocationPointIdPatch', 'locationPointId', locationPointId);
            const localVarPath = `/team-directory/location-map-member-points/{locationPointId}`
                .replace(`{${"locationPointId"}}`, encodeURIComponent(String(locationPointId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PATCH', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(teamDirectoryLocationMapMemberPointsLocationPointIdDeleteRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryLocationMapMemberPointsPost: async (teamDirectoryLocationMapMemberPointsGetRequest, $fields, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryLocationMapMemberPointsPost', 'teamDirectoryLocationMapMemberPointsGetRequest', teamDirectoryLocationMapMemberPointsGetRequest);
            const localVarPath = `/team-directory/location-map-member-points`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(teamDirectoryLocationMapMemberPointsGetRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryLocationsGet: async (query, type, withArchived, $fields, options = {}) => {
            const localVarPath = `/team-directory/locations`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if (query !== undefined) {
                localVarQueryParameter['query'] = query;
            }
            if (type !== undefined) {
                localVarQueryParameter['type'] = type;
            }
            if (withArchived !== undefined) {
                localVarQueryParameter['withArchived'] = withArchived;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryLocationsIdDelete: async (id, $fields, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryLocationsIdDelete', 'id', id);
            const localVarPath = `/team-directory/locations/{id}`
                .replace(`{${"id"}}`, encodeURIComponent(String(id)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryLocationsIdGet: async (id, $fields, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryLocationsIdGet', 'id', id);
            const localVarPath = `/team-directory/locations/{id}`
                .replace(`{${"id"}}`, encodeURIComponent(String(id)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryLocationsIdMapGet: async (id, $fields, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryLocationsIdMapGet', 'id', id);
            const localVarPath = `/team-directory/locations/{id}/map`
                .replace(`{${"id"}}`, encodeURIComponent(String(id)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryLocationsIdMapPatch: async (id, teamDirectoryLocationsIdMapGetRequest, $fields, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryLocationsIdMapPatch', 'id', id);
            (0, common_1.assertParamExists)('teamDirectoryLocationsIdMapPatch', 'teamDirectoryLocationsIdMapGetRequest', teamDirectoryLocationsIdMapGetRequest);
            const localVarPath = `/team-directory/locations/{id}/map`
                .replace(`{${"id"}}`, encodeURIComponent(String(id)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PATCH', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(teamDirectoryLocationsIdMapGetRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryLocationsIdPatch: async (id, $fields, teamDirectoryLocationsIdDeleteRequest, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryLocationsIdPatch', 'id', id);
            const localVarPath = `/team-directory/locations/{id}`
                .replace(`{${"id"}}`, encodeURIComponent(String(id)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PATCH', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(teamDirectoryLocationsIdDeleteRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryLocationsIdRestorePost: async (id, $fields, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryLocationsIdRestorePost', 'id', id);
            const localVarPath = `/team-directory/locations/{id}/restore`
                .replace(`{${"id"}}`, encodeURIComponent(String(id)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryLocationsPost: async (teamDirectoryLocationsGetRequest, $fields, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryLocationsPost', 'teamDirectoryLocationsGetRequest', teamDirectoryLocationsGetRequest);
            const localVarPath = `/team-directory/locations`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(teamDirectoryLocationsGetRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryLocationsRestorePost: async (projectsProjectTopicsRemoveTopicsPostRequest, $fields, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryLocationsRestorePost', 'projectsProjectTopicsRemoveTopicsPostRequest', projectsProjectTopicsRemoveTopicsPostRequest);
            const localVarPath = `/team-directory/locations/restore`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(projectsProjectTopicsRemoveTopicsPostRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryLocationsWithTimezoneGet: async ($fields, options = {}) => {
            const localVarPath = `/team-directory/locations-with-timezone`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryMemberLocationsGet: async ($skip, $top, profiles, locations, since, till, withArchived, $fields, options = {}) => {
            const localVarPath = `/team-directory/member-locations`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($skip !== undefined) {
                localVarQueryParameter['$skip'] = $skip;
            }
            if ($top !== undefined) {
                localVarQueryParameter['$top'] = $top;
            }
            if (profiles) {
                localVarQueryParameter['profiles'] = profiles;
            }
            if (locations) {
                localVarQueryParameter['locations'] = locations;
            }
            if (since !== undefined) {
                localVarQueryParameter['since'] = since;
            }
            if (till !== undefined) {
                localVarQueryParameter['till'] = till;
            }
            if (withArchived !== undefined) {
                localVarQueryParameter['withArchived'] = withArchived;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryMemberLocationsMemberLocationIdDelete: async (memberLocationId, _delete, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryMemberLocationsMemberLocationIdDelete', 'memberLocationId', memberLocationId);
            const localVarPath = `/team-directory/member-locations/{memberLocationId}`
                .replace(`{${"memberLocationId"}}`, encodeURIComponent(String(memberLocationId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if (_delete !== undefined) {
                localVarQueryParameter['delete'] = _delete;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryMemberLocationsMemberLocationIdGet: async (memberLocationId, $fields, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryMemberLocationsMemberLocationIdGet', 'memberLocationId', memberLocationId);
            const localVarPath = `/team-directory/member-locations/{memberLocationId}`
                .replace(`{${"memberLocationId"}}`, encodeURIComponent(String(memberLocationId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryMemberLocationsMemberLocationIdPatch: async (memberLocationId, $fields, teamDirectoryMemberLocationsMemberLocationIdDeleteRequest, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryMemberLocationsMemberLocationIdPatch', 'memberLocationId', memberLocationId);
            const localVarPath = `/team-directory/member-locations/{memberLocationId}`
                .replace(`{${"memberLocationId"}}`, encodeURIComponent(String(memberLocationId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PATCH', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(teamDirectoryMemberLocationsMemberLocationIdDeleteRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryMemberLocationsPost: async (teamDirectoryMemberLocationsGetRequest, $fields, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryMemberLocationsPost', 'teamDirectoryMemberLocationsGetRequest', teamDirectoryMemberLocationsGetRequest);
            const localVarPath = `/team-directory/member-locations`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(teamDirectoryMemberLocationsGetRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryMembershipEventsGet: async ($skip, $top, teamId, locationId, roleId, $fields, options = {}) => {
            const localVarPath = `/team-directory/membership-events`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($skip !== undefined) {
                localVarQueryParameter['$skip'] = $skip;
            }
            if ($top !== undefined) {
                localVarQueryParameter['$top'] = $top;
            }
            if (teamId !== undefined) {
                localVarQueryParameter['teamId'] = teamId;
            }
            if (locationId !== undefined) {
                localVarQueryParameter['locationId'] = locationId;
            }
            if (roleId !== undefined) {
                localVarQueryParameter['roleId'] = roleId;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryMembershipsGet: async ($skip, $top, identifiers, profiles, teams, directTeams, roles, directRoles, since, till, requiresApproval, withArchived, $fields, options = {}) => {
            const localVarPath = `/team-directory/memberships`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($skip !== undefined) {
                localVarQueryParameter['$skip'] = $skip;
            }
            if ($top !== undefined) {
                localVarQueryParameter['$top'] = $top;
            }
            if (identifiers) {
                localVarQueryParameter['identifiers'] = identifiers;
            }
            if (profiles) {
                localVarQueryParameter['profiles'] = profiles;
            }
            if (teams) {
                localVarQueryParameter['teams'] = teams;
            }
            if (directTeams !== undefined) {
                localVarQueryParameter['directTeams'] = directTeams;
            }
            if (roles) {
                localVarQueryParameter['roles'] = roles;
            }
            if (directRoles !== undefined) {
                localVarQueryParameter['directRoles'] = directRoles;
            }
            if (since !== undefined) {
                localVarQueryParameter['since'] = (since instanceof Date) ?
                    since.toISOString() :
                    since;
            }
            if (till !== undefined) {
                localVarQueryParameter['till'] = (till instanceof Date) ?
                    till.toISOString() :
                    till;
            }
            if (requiresApproval !== undefined) {
                localVarQueryParameter['requiresApproval'] = requiresApproval;
            }
            if (withArchived !== undefined) {
                localVarQueryParameter['withArchived'] = withArchived;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryMembershipsManagerCandidatesGet: async (term, $skip, $top, teamId, excludedMemberId, $fields, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryMembershipsManagerCandidatesGet', 'term', term);
            const localVarPath = `/team-directory/memberships/manager-candidates`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($skip !== undefined) {
                localVarQueryParameter['$skip'] = $skip;
            }
            if ($top !== undefined) {
                localVarQueryParameter['$top'] = $top;
            }
            if (term !== undefined) {
                localVarQueryParameter['term'] = term;
            }
            if (teamId !== undefined) {
                localVarQueryParameter['teamId'] = teamId;
            }
            if (excludedMemberId !== undefined) {
                localVarQueryParameter['excludedMemberId'] = excludedMemberId;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryMembershipsMembershipIdDelete: async (membershipId, _delete, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryMembershipsMembershipIdDelete', 'membershipId', membershipId);
            const localVarPath = `/team-directory/memberships/{membershipId}`
                .replace(`{${"membershipId"}}`, encodeURIComponent(String(membershipId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if (_delete !== undefined) {
                localVarQueryParameter['delete'] = _delete;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryMembershipsMembershipIdGet: async (membershipId, $fields, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryMembershipsMembershipIdGet', 'membershipId', membershipId);
            const localVarPath = `/team-directory/memberships/{membershipId}`
                .replace(`{${"membershipId"}}`, encodeURIComponent(String(membershipId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryMembershipsMembershipIdPatch: async (membershipId, $fields, teamDirectoryMembershipsMembershipIdDeleteRequest, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryMembershipsMembershipIdPatch', 'membershipId', membershipId);
            const localVarPath = `/team-directory/memberships/{membershipId}`
                .replace(`{${"membershipId"}}`, encodeURIComponent(String(membershipId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PATCH', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(teamDirectoryMembershipsMembershipIdDeleteRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryMembershipsMembershipIdRequestRevokePatch: async (membershipId, teamDirectoryMembershipsMembershipIdRequestRevokePatchRequest, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryMembershipsMembershipIdRequestRevokePatch', 'membershipId', membershipId);
            (0, common_1.assertParamExists)('teamDirectoryMembershipsMembershipIdRequestRevokePatch', 'teamDirectoryMembershipsMembershipIdRequestRevokePatchRequest', teamDirectoryMembershipsMembershipIdRequestRevokePatchRequest);
            const localVarPath = `/team-directory/memberships/{membershipId}/request-revoke`
                .replace(`{${"membershipId"}}`, encodeURIComponent(String(membershipId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PATCH', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(teamDirectoryMembershipsMembershipIdRequestRevokePatchRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryMembershipsMembershipIdRevokeDelete: async (membershipId, till, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryMembershipsMembershipIdRevokeDelete', 'membershipId', membershipId);
            const localVarPath = `/team-directory/memberships/{membershipId}/revoke`
                .replace(`{${"membershipId"}}`, encodeURIComponent(String(membershipId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if (till !== undefined) {
                localVarQueryParameter['till'] = (till instanceof Date) ?
                    till.toISOString() :
                    till;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryMembershipsPost: async (teamDirectoryMembershipsGetRequest, $fields, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryMembershipsPost', 'teamDirectoryMembershipsGetRequest', teamDirectoryMembershipsGetRequest);
            const localVarPath = `/team-directory/memberships`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(teamDirectoryMembershipsGetRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryMembershipsRequestsGet: async ($skip, $top, teamId, direct, $fields, options = {}) => {
            const localVarPath = `/team-directory/memberships/requests`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($skip !== undefined) {
                localVarQueryParameter['$skip'] = $skip;
            }
            if ($top !== undefined) {
                localVarQueryParameter['$top'] = $top;
            }
            if (teamId !== undefined) {
                localVarQueryParameter['teamId'] = teamId;
            }
            if (direct !== undefined) {
                localVarQueryParameter['direct'] = direct;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryMembershipsRequestsMembershipRequestIdDelete: async (membershipRequestId, $fields, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryMembershipsRequestsMembershipRequestIdDelete', 'membershipRequestId', membershipRequestId);
            const localVarPath = `/team-directory/memberships/requests/{membershipRequestId}`
                .replace(`{${"membershipRequestId"}}`, encodeURIComponent(String(membershipRequestId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryMembershipsRequestsMembershipRequestIdPatch: async (membershipRequestId, teamDirectoryMembershipsRequestsMembershipRequestIdDeleteRequest, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryMembershipsRequestsMembershipRequestIdPatch', 'membershipRequestId', membershipRequestId);
            (0, common_1.assertParamExists)('teamDirectoryMembershipsRequestsMembershipRequestIdPatch', 'teamDirectoryMembershipsRequestsMembershipRequestIdDeleteRequest', teamDirectoryMembershipsRequestsMembershipRequestIdDeleteRequest);
            const localVarPath = `/team-directory/memberships/requests/{membershipRequestId}`
                .replace(`{${"membershipRequestId"}}`, encodeURIComponent(String(membershipRequestId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PATCH', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(teamDirectoryMembershipsRequestsMembershipRequestIdDeleteRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryProfilesAuthenticationSessionsOwnerGet: async (owner, $fields, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryProfilesAuthenticationSessionsOwnerGet', 'owner', owner);
            const localVarPath = `/team-directory/profiles/authentication-sessions/{owner}`
                .replace(`{${"owner"}}`, encodeURIComponent(String(owner)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryProfilesAuthenticationSessionsOwnerSessionIdDelete: async (owner, sessionId, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryProfilesAuthenticationSessionsOwnerSessionIdDelete', 'owner', owner);
            (0, common_1.assertParamExists)('teamDirectoryProfilesAuthenticationSessionsOwnerSessionIdDelete', 'sessionId', sessionId);
            const localVarPath = `/team-directory/profiles/authentication-sessions/{owner}/{sessionId}`
                .replace(`{${"owner"}}`, encodeURIComponent(String(owner)))
                .replace(`{${"sessionId"}}`, encodeURIComponent(String(sessionId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryProfilesDashboardsDashboardGet: async (dashboard, $fields, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryProfilesDashboardsDashboardGet', 'dashboard', dashboard);
            const localVarPath = `/team-directory/profiles/dashboards/{dashboard}`
                .replace(`{${"dashboard"}}`, encodeURIComponent(String(dashboard)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryProfilesDashboardsDashboardPatch: async (dashboard, teamDirectoryProfilesDashboardsDashboardGetRequest, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryProfilesDashboardsDashboardPatch', 'dashboard', dashboard);
            (0, common_1.assertParamExists)('teamDirectoryProfilesDashboardsDashboardPatch', 'teamDirectoryProfilesDashboardsDashboardGetRequest', teamDirectoryProfilesDashboardsDashboardGetRequest);
            const localVarPath = `/team-directory/profiles/dashboards/{dashboard}`
                .replace(`{${"dashboard"}}`, encodeURIComponent(String(dashboard)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PATCH', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(teamDirectoryProfilesDashboardsDashboardGetRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryProfilesEmailemailGet: async (email, verified, $fields, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryProfilesEmailemailGet', 'email', email);
            const localVarPath = `/team-directory/profiles/email:{email}`
                .replace(`{${"email"}}`, encodeURIComponent(String(email)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if (verified !== undefined) {
                localVarQueryParameter['verified'] = verified;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryProfilesGet: async ($skip, $top, query, reportPastMembers, reportFutureMembers, reportCurrentMembers, teamId, locationId, roleId, meOnTop, order, orgRelation, $fields, options = {}) => {
            const localVarPath = `/team-directory/profiles`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($skip !== undefined) {
                localVarQueryParameter['$skip'] = $skip;
            }
            if ($top !== undefined) {
                localVarQueryParameter['$top'] = $top;
            }
            if (query !== undefined) {
                localVarQueryParameter['query'] = query;
            }
            if (reportPastMembers !== undefined) {
                localVarQueryParameter['reportPastMembers'] = reportPastMembers;
            }
            if (reportFutureMembers !== undefined) {
                localVarQueryParameter['reportFutureMembers'] = reportFutureMembers;
            }
            if (reportCurrentMembers !== undefined) {
                localVarQueryParameter['reportCurrentMembers'] = reportCurrentMembers;
            }
            if (teamId !== undefined) {
                localVarQueryParameter['teamId'] = teamId;
            }
            if (locationId !== undefined) {
                localVarQueryParameter['locationId'] = locationId;
            }
            if (roleId !== undefined) {
                localVarQueryParameter['roleId'] = roleId;
            }
            if (meOnTop !== undefined) {
                localVarQueryParameter['meOnTop'] = meOnTop;
            }
            if (order !== undefined) {
                localVarQueryParameter['order'] = order;
            }
            if (orgRelation !== undefined) {
                localVarQueryParameter['orgRelation'] = orgRelation;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryProfilesOauthConsentsOwnerApplicationsApplicationDelete: async (owner, application, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryProfilesOauthConsentsOwnerApplicationsApplicationDelete', 'owner', owner);
            (0, common_1.assertParamExists)('teamDirectoryProfilesOauthConsentsOwnerApplicationsApplicationDelete', 'application', application);
            const localVarPath = `/team-directory/profiles/oauth-consents/{owner}/applications/{application}`
                .replace(`{${"owner"}}`, encodeURIComponent(String(owner)))
                .replace(`{${"application"}}`, encodeURIComponent(String(application)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryProfilesOauthConsentsOwnerApprovedScopesIdDelete: async (owner, id, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryProfilesOauthConsentsOwnerApprovedScopesIdDelete', 'owner', owner);
            (0, common_1.assertParamExists)('teamDirectoryProfilesOauthConsentsOwnerApprovedScopesIdDelete', 'id', id);
            const localVarPath = `/team-directory/profiles/oauth-consents/{owner}/approved-scopes/{id}`
                .replace(`{${"owner"}}`, encodeURIComponent(String(owner)))
                .replace(`{${"id"}}`, encodeURIComponent(String(id)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryProfilesOauthConsentsOwnerGet: async (owner, $fields, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryProfilesOauthConsentsOwnerGet', 'owner', owner);
            const localVarPath = `/team-directory/profiles/oauth-consents/{owner}`
                .replace(`{${"owner"}}`, encodeURIComponent(String(owner)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryProfilesOauthConsentsOwnerInternalApplicationsClientIdDelete: async (owner, clientId, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryProfilesOauthConsentsOwnerInternalApplicationsClientIdDelete', 'owner', owner);
            (0, common_1.assertParamExists)('teamDirectoryProfilesOauthConsentsOwnerInternalApplicationsClientIdDelete', 'clientId', clientId);
            const localVarPath = `/team-directory/profiles/oauth-consents/{owner}/internal-applications/{clientId}`
                .replace(`{${"owner"}}`, encodeURIComponent(String(owner)))
                .replace(`{${"clientId"}}`, encodeURIComponent(String(clientId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryProfilesOauthConsentsOwnerRefreshTokensIdDelete: async (owner, id, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryProfilesOauthConsentsOwnerRefreshTokensIdDelete', 'owner', owner);
            (0, common_1.assertParamExists)('teamDirectoryProfilesOauthConsentsOwnerRefreshTokensIdDelete', 'id', id);
            const localVarPath = `/team-directory/profiles/oauth-consents/{owner}/refresh-tokens/{id}`
                .replace(`{${"owner"}}`, encodeURIComponent(String(owner)))
                .replace(`{${"id"}}`, encodeURIComponent(String(id)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryProfilesPost: async (teamDirectoryProfilesGetRequest, $fields, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryProfilesPost', 'teamDirectoryProfilesGetRequest', teamDirectoryProfilesGetRequest);
            const localVarPath = `/team-directory/profiles`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(teamDirectoryProfilesGetRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryProfilesProfile2FaRequirementsGet: async (profile, $fields, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfile2FaRequirementsGet', 'profile', profile);
            const localVarPath = `/team-directory/profiles/{profile}/2-fa/requirements`
                .replace(`{${"profile"}}`, encodeURIComponent(String(profile)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryProfilesProfile2FaStatusGet: async (profile, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfile2FaStatusGet', 'profile', profile);
            const localVarPath = `/team-directory/profiles/{profile}/2-fa/status`
                .replace(`{${"profile"}}`, encodeURIComponent(String(profile)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryProfilesProfile2FaTotpConfirmPost: async (profile, teamDirectoryProfilesProfile2FaTotpConfirmPostRequest, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfile2FaTotpConfirmPost', 'profile', profile);
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfile2FaTotpConfirmPost', 'teamDirectoryProfilesProfile2FaTotpConfirmPostRequest', teamDirectoryProfilesProfile2FaTotpConfirmPostRequest);
            const localVarPath = `/team-directory/profiles/{profile}/2-fa/totp/confirm`
                .replace(`{${"profile"}}`, encodeURIComponent(String(profile)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(teamDirectoryProfilesProfile2FaTotpConfirmPostRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryProfilesProfile2FaTotpDelete: async (profile, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfile2FaTotpDelete', 'profile', profile);
            const localVarPath = `/team-directory/profiles/{profile}/2-fa/totp`
                .replace(`{${"profile"}}`, encodeURIComponent(String(profile)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryProfilesProfile2FaTotpPatch: async (profile, administrationUserAgreementEnabledGetRequest, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfile2FaTotpPatch', 'profile', profile);
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfile2FaTotpPatch', 'administrationUserAgreementEnabledGetRequest', administrationUserAgreementEnabledGetRequest);
            const localVarPath = `/team-directory/profiles/{profile}/2-fa/totp`
                .replace(`{${"profile"}}`, encodeURIComponent(String(profile)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PATCH', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(administrationUserAgreementEnabledGetRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryProfilesProfile2FaTotpPost: async (profile, $fields, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfile2FaTotpPost', 'profile', profile);
            const localVarPath = `/team-directory/profiles/{profile}/2-fa/totp`
                .replace(`{${"profile"}}`, encodeURIComponent(String(profile)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryProfilesProfileApplicationPasswordsGet: async (profile, $skip, $top, $fields, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileApplicationPasswordsGet', 'profile', profile);
            const localVarPath = `/team-directory/profiles/{profile}/application-passwords`
                .replace(`{${"profile"}}`, encodeURIComponent(String(profile)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($skip !== undefined) {
                localVarQueryParameter['$skip'] = $skip;
            }
            if ($top !== undefined) {
                localVarQueryParameter['$top'] = $top;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryProfilesProfileApplicationPasswordsPasswordIdDelete: async (profile, passwordId, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileApplicationPasswordsPasswordIdDelete', 'profile', profile);
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileApplicationPasswordsPasswordIdDelete', 'passwordId', passwordId);
            const localVarPath = `/team-directory/profiles/{profile}/application-passwords/{passwordId}`
                .replace(`{${"profile"}}`, encodeURIComponent(String(profile)))
                .replace(`{${"passwordId"}}`, encodeURIComponent(String(passwordId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryProfilesProfileApplicationPasswordsPasswordIdPatch: async (profile, passwordId, teamDirectoryProfilesProfileApplicationPasswordsPasswordIdDeleteRequest, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileApplicationPasswordsPasswordIdPatch', 'profile', profile);
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileApplicationPasswordsPasswordIdPatch', 'passwordId', passwordId);
            const localVarPath = `/team-directory/profiles/{profile}/application-passwords/{passwordId}`
                .replace(`{${"profile"}}`, encodeURIComponent(String(profile)))
                .replace(`{${"passwordId"}}`, encodeURIComponent(String(passwordId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PATCH', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(teamDirectoryProfilesProfileApplicationPasswordsPasswordIdDeleteRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryProfilesProfileApplicationPasswordsPost: async (profile, teamDirectoryProfilesProfileApplicationPasswordsGetRequest, $fields, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileApplicationPasswordsPost', 'profile', profile);
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileApplicationPasswordsPost', 'teamDirectoryProfilesProfileApplicationPasswordsGetRequest', teamDirectoryProfilesProfileApplicationPasswordsGetRequest);
            const localVarPath = `/team-directory/profiles/{profile}/application-passwords`
                .replace(`{${"profile"}}`, encodeURIComponent(String(profile)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(teamDirectoryProfilesProfileApplicationPasswordsGetRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryProfilesProfileChecklistsChecklistIdDelete: async (profile, checklistId, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileChecklistsChecklistIdDelete', 'profile', profile);
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileChecklistsChecklistIdDelete', 'checklistId', checklistId);
            const localVarPath = `/team-directory/profiles/{profile}/checklists/{checklistId}`
                .replace(`{${"profile"}}`, encodeURIComponent(String(profile)))
                .replace(`{${"checklistId"}}`, encodeURIComponent(String(checklistId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryProfilesProfileChecklistsChecklistIdFullChecklistTreeGet: async (profile, checklistId, $fields, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileChecklistsChecklistIdFullChecklistTreeGet', 'profile', profile);
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileChecklistsChecklistIdFullChecklistTreeGet', 'checklistId', checklistId);
            const localVarPath = `/team-directory/profiles/{profile}/checklists/{checklistId}/full-checklist-tree`
                .replace(`{${"profile"}}`, encodeURIComponent(String(profile)))
                .replace(`{${"checklistId"}}`, encodeURIComponent(String(checklistId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryProfilesProfileChecklistsChecklistIdImportPost: async (profile, checklistId, projectsProjectPlanningChecklistsChecklistIdImportPostRequest, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileChecklistsChecklistIdImportPost', 'profile', profile);
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileChecklistsChecklistIdImportPost', 'checklistId', checklistId);
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileChecklistsChecklistIdImportPost', 'projectsProjectPlanningChecklistsChecklistIdImportPostRequest', projectsProjectPlanningChecklistsChecklistIdImportPostRequest);
            const localVarPath = `/team-directory/profiles/{profile}/checklists/{checklistId}/import`
                .replace(`{${"profile"}}`, encodeURIComponent(String(profile)))
                .replace(`{${"checklistId"}}`, encodeURIComponent(String(checklistId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(projectsProjectPlanningChecklistsChecklistIdImportPostRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryProfilesProfileChecklistsChecklistIdPatch: async (profile, checklistId, teamDirectoryProfilesProfileChecklistsChecklistIdDeleteRequest, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileChecklistsChecklistIdPatch', 'profile', profile);
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileChecklistsChecklistIdPatch', 'checklistId', checklistId);
            const localVarPath = `/team-directory/profiles/{profile}/checklists/{checklistId}`
                .replace(`{${"profile"}}`, encodeURIComponent(String(profile)))
                .replace(`{${"checklistId"}}`, encodeURIComponent(String(checklistId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PATCH', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(teamDirectoryProfilesProfileChecklistsChecklistIdDeleteRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryProfilesProfileChecklistsGet: async (profile, $fields, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileChecklistsGet', 'profile', profile);
            const localVarPath = `/team-directory/profiles/{profile}/checklists`
                .replace(`{${"profile"}}`, encodeURIComponent(String(profile)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryProfilesProfileChecklistsImportPost: async (profile, projectsProjectPlanningChecklistsImportPostRequest, $fields, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileChecklistsImportPost', 'profile', profile);
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileChecklistsImportPost', 'projectsProjectPlanningChecklistsImportPostRequest', projectsProjectPlanningChecklistsImportPostRequest);
            const localVarPath = `/team-directory/profiles/{profile}/checklists/import`
                .replace(`{${"profile"}}`, encodeURIComponent(String(profile)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(projectsProjectPlanningChecklistsImportPostRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryProfilesProfileChecklistsPost: async (profile, chatsChannelsIsNameFreePostRequest, $fields, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileChecklistsPost', 'profile', profile);
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileChecklistsPost', 'chatsChannelsIsNameFreePostRequest', chatsChannelsIsNameFreePostRequest);
            const localVarPath = `/team-directory/profiles/{profile}/checklists`
                .replace(`{${"profile"}}`, encodeURIComponent(String(profile)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(chatsChannelsIsNameFreePostRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryProfilesProfileChecklistsStarredGet: async (profile, $fields, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileChecklistsStarredGet', 'profile', profile);
            const localVarPath = `/team-directory/profiles/{profile}/checklists/starred`
                .replace(`{${"profile"}}`, encodeURIComponent(String(profile)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryProfilesProfileConvertToGuestPatch: async (profile, teamDirectoryProfilesProfileConvertToGuestPatchRequest, $fields, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileConvertToGuestPatch', 'profile', profile);
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileConvertToGuestPatch', 'teamDirectoryProfilesProfileConvertToGuestPatchRequest', teamDirectoryProfilesProfileConvertToGuestPatchRequest);
            const localVarPath = `/team-directory/profiles/{profile}/convert-to-guest`
                .replace(`{${"profile"}}`, encodeURIComponent(String(profile)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PATCH', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(teamDirectoryProfilesProfileConvertToGuestPatchRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryProfilesProfileConvertToMemberPatch: async (profile, teamDirectoryProfilesProfileConvertToMemberPatchRequest, $fields, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileConvertToMemberPatch', 'profile', profile);
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileConvertToMemberPatch', 'teamDirectoryProfilesProfileConvertToMemberPatchRequest', teamDirectoryProfilesProfileConvertToMemberPatchRequest);
            const localVarPath = `/team-directory/profiles/{profile}/convert-to-member`
                .replace(`{${"profile"}}`, encodeURIComponent(String(profile)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PATCH', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(teamDirectoryProfilesProfileConvertToMemberPatchRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryProfilesProfileDeactivateDelete: async (profile, at, $fields, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileDeactivateDelete', 'profile', profile);
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileDeactivateDelete', 'at', at);
            const localVarPath = `/team-directory/profiles/{profile}/deactivate`
                .replace(`{${"profile"}}`, encodeURIComponent(String(profile)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if (at !== undefined) {
                localVarQueryParameter['at'] = (at instanceof Date) ?
                    at.toISOString() :
                    at;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryProfilesProfileDelete: async (profile, $fields, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileDelete', 'profile', profile);
            const localVarPath = `/team-directory/profiles/{profile}`
                .replace(`{${"profile"}}`, encodeURIComponent(String(profile)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryProfilesProfileDocumentsDocumentIdCopyPost: async (profile, documentId, projectsProjectDocumentsDocumentIdCopyPostRequest, $fields, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileDocumentsDocumentIdCopyPost', 'profile', profile);
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileDocumentsDocumentIdCopyPost', 'documentId', documentId);
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileDocumentsDocumentIdCopyPost', 'projectsProjectDocumentsDocumentIdCopyPostRequest', projectsProjectDocumentsDocumentIdCopyPostRequest);
            const localVarPath = `/team-directory/profiles/{profile}/documents/{documentId}/copy`
                .replace(`{${"profile"}}`, encodeURIComponent(String(profile)))
                .replace(`{${"documentId"}}`, encodeURIComponent(String(documentId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(projectsProjectDocumentsDocumentIdCopyPostRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryProfilesProfileDocumentsDocumentIdDelete: async (profile, documentId, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileDocumentsDocumentIdDelete', 'profile', profile);
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileDocumentsDocumentIdDelete', 'documentId', documentId);
            const localVarPath = `/team-directory/profiles/{profile}/documents/{documentId}`
                .replace(`{${"profile"}}`, encodeURIComponent(String(profile)))
                .replace(`{${"documentId"}}`, encodeURIComponent(String(documentId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryProfilesProfileDocumentsDocumentIdDeleteForeverDelete: async (profile, documentId, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileDocumentsDocumentIdDeleteForeverDelete', 'profile', profile);
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileDocumentsDocumentIdDeleteForeverDelete', 'documentId', documentId);
            const localVarPath = `/team-directory/profiles/{profile}/documents/{documentId}/delete-forever`
                .replace(`{${"profile"}}`, encodeURIComponent(String(profile)))
                .replace(`{${"documentId"}}`, encodeURIComponent(String(documentId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryProfilesProfileDocumentsDocumentIdGet: async (profile, documentId, $fields, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileDocumentsDocumentIdGet', 'profile', profile);
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileDocumentsDocumentIdGet', 'documentId', documentId);
            const localVarPath = `/team-directory/profiles/{profile}/documents/{documentId}`
                .replace(`{${"profile"}}`, encodeURIComponent(String(profile)))
                .replace(`{${"documentId"}}`, encodeURIComponent(String(documentId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryProfilesProfileDocumentsDocumentIdMovePatch: async (profile, documentId, projectsProjectDocumentsDocumentIdMovePatchRequest, $fields, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileDocumentsDocumentIdMovePatch', 'profile', profile);
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileDocumentsDocumentIdMovePatch', 'documentId', documentId);
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileDocumentsDocumentIdMovePatch', 'projectsProjectDocumentsDocumentIdMovePatchRequest', projectsProjectDocumentsDocumentIdMovePatchRequest);
            const localVarPath = `/team-directory/profiles/{profile}/documents/{documentId}/move`
                .replace(`{${"profile"}}`, encodeURIComponent(String(profile)))
                .replace(`{${"documentId"}}`, encodeURIComponent(String(documentId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PATCH', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(projectsProjectDocumentsDocumentIdMovePatchRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryProfilesProfileDocumentsDocumentIdPatch: async (profile, documentId, $fields, projectsProjectDocumentsDocumentIdDeleteRequest, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileDocumentsDocumentIdPatch', 'profile', profile);
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileDocumentsDocumentIdPatch', 'documentId', documentId);
            const localVarPath = `/team-directory/profiles/{profile}/documents/{documentId}`
                .replace(`{${"profile"}}`, encodeURIComponent(String(profile)))
                .replace(`{${"documentId"}}`, encodeURIComponent(String(documentId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PATCH', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(projectsProjectDocumentsDocumentIdDeleteRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryProfilesProfileDocumentsDocumentIdUnarchivePatch: async (profile, documentId, $fields, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileDocumentsDocumentIdUnarchivePatch', 'profile', profile);
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileDocumentsDocumentIdUnarchivePatch', 'documentId', documentId);
            const localVarPath = `/team-directory/profiles/{profile}/documents/{documentId}/unarchive`
                .replace(`{${"profile"}}`, encodeURIComponent(String(profile)))
                .replace(`{${"documentId"}}`, encodeURIComponent(String(documentId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PATCH', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryProfilesProfileDocumentsFoldersFolderDelete: async (profile, folder, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileDocumentsFoldersFolderDelete', 'profile', profile);
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileDocumentsFoldersFolderDelete', 'folder', folder);
            const localVarPath = `/team-directory/profiles/{profile}/documents/folders/{folder}`
                .replace(`{${"profile"}}`, encodeURIComponent(String(profile)))
                .replace(`{${"folder"}}`, encodeURIComponent(String(folder)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryProfilesProfileDocumentsFoldersFolderDocumentsGet: async (profile, folder, withArchived, sortBy, order, $skip, $top, $fields, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileDocumentsFoldersFolderDocumentsGet', 'profile', profile);
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileDocumentsFoldersFolderDocumentsGet', 'folder', folder);
            const localVarPath = `/team-directory/profiles/{profile}/documents/folders/{folder}/documents`
                .replace(`{${"profile"}}`, encodeURIComponent(String(profile)))
                .replace(`{${"folder"}}`, encodeURIComponent(String(folder)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if (withArchived !== undefined) {
                localVarQueryParameter['withArchived'] = withArchived;
            }
            if (sortBy !== undefined) {
                localVarQueryParameter['sortBy'] = sortBy;
            }
            if (order !== undefined) {
                localVarQueryParameter['order'] = order;
            }
            if ($skip !== undefined) {
                localVarQueryParameter['$skip'] = $skip;
            }
            if ($top !== undefined) {
                localVarQueryParameter['$top'] = $top;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryProfilesProfileDocumentsFoldersFolderGet: async (profile, folder, $fields, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileDocumentsFoldersFolderGet', 'profile', profile);
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileDocumentsFoldersFolderGet', 'folder', folder);
            const localVarPath = `/team-directory/profiles/{profile}/documents/folders/{folder}`
                .replace(`{${"profile"}}`, encodeURIComponent(String(profile)))
                .replace(`{${"folder"}}`, encodeURIComponent(String(folder)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryProfilesProfileDocumentsFoldersFolderIntroductionDelete: async (profile, folder, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileDocumentsFoldersFolderIntroductionDelete', 'profile', profile);
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileDocumentsFoldersFolderIntroductionDelete', 'folder', folder);
            const localVarPath = `/team-directory/profiles/{profile}/documents/folders/{folder}/introduction`
                .replace(`{${"profile"}}`, encodeURIComponent(String(profile)))
                .replace(`{${"folder"}}`, encodeURIComponent(String(folder)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryProfilesProfileDocumentsFoldersFolderIntroductionDocumentIdPatch: async (profile, folder, documentId, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileDocumentsFoldersFolderIntroductionDocumentIdPatch', 'profile', profile);
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileDocumentsFoldersFolderIntroductionDocumentIdPatch', 'folder', folder);
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileDocumentsFoldersFolderIntroductionDocumentIdPatch', 'documentId', documentId);
            const localVarPath = `/team-directory/profiles/{profile}/documents/folders/{folder}/introduction/{documentId}`
                .replace(`{${"profile"}}`, encodeURIComponent(String(profile)))
                .replace(`{${"folder"}}`, encodeURIComponent(String(folder)))
                .replace(`{${"documentId"}}`, encodeURIComponent(String(documentId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PATCH', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryProfilesProfileDocumentsFoldersFolderMovePatch: async (profile, folder, projectsProjectDocumentsFoldersFolderMovePatchRequest, $fields, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileDocumentsFoldersFolderMovePatch', 'profile', profile);
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileDocumentsFoldersFolderMovePatch', 'folder', folder);
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileDocumentsFoldersFolderMovePatch', 'projectsProjectDocumentsFoldersFolderMovePatchRequest', projectsProjectDocumentsFoldersFolderMovePatchRequest);
            const localVarPath = `/team-directory/profiles/{profile}/documents/folders/{folder}/move`
                .replace(`{${"profile"}}`, encodeURIComponent(String(profile)))
                .replace(`{${"folder"}}`, encodeURIComponent(String(folder)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PATCH', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(projectsProjectDocumentsFoldersFolderMovePatchRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryProfilesProfileDocumentsFoldersFolderPatch: async (profile, folder, chatsChannelsIsNameFreePostRequest, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileDocumentsFoldersFolderPatch', 'profile', profile);
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileDocumentsFoldersFolderPatch', 'folder', folder);
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileDocumentsFoldersFolderPatch', 'chatsChannelsIsNameFreePostRequest', chatsChannelsIsNameFreePostRequest);
            const localVarPath = `/team-directory/profiles/{profile}/documents/folders/{folder}`
                .replace(`{${"profile"}}`, encodeURIComponent(String(profile)))
                .replace(`{${"folder"}}`, encodeURIComponent(String(folder)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PATCH', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(chatsChannelsIsNameFreePostRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryProfilesProfileDocumentsFoldersFolderSubfoldersGet: async (profile, folder, withArchived, sortBy, order, $skip, $top, $fields, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileDocumentsFoldersFolderSubfoldersGet', 'profile', profile);
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileDocumentsFoldersFolderSubfoldersGet', 'folder', folder);
            const localVarPath = `/team-directory/profiles/{profile}/documents/folders/{folder}/subfolders`
                .replace(`{${"profile"}}`, encodeURIComponent(String(profile)))
                .replace(`{${"folder"}}`, encodeURIComponent(String(folder)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if (withArchived !== undefined) {
                localVarQueryParameter['withArchived'] = withArchived;
            }
            if (sortBy !== undefined) {
                localVarQueryParameter['sortBy'] = sortBy;
            }
            if (order !== undefined) {
                localVarQueryParameter['order'] = order;
            }
            if ($skip !== undefined) {
                localVarQueryParameter['$skip'] = $skip;
            }
            if ($top !== undefined) {
                localVarQueryParameter['$top'] = $top;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryProfilesProfileDocumentsFoldersPost: async (profile, projectsProjectDocumentsFoldersPostRequest, $fields, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileDocumentsFoldersPost', 'profile', profile);
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileDocumentsFoldersPost', 'projectsProjectDocumentsFoldersPostRequest', projectsProjectDocumentsFoldersPostRequest);
            const localVarPath = `/team-directory/profiles/{profile}/documents/folders`
                .replace(`{${"profile"}}`, encodeURIComponent(String(profile)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(projectsProjectDocumentsFoldersPostRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryProfilesProfileDocumentsPost: async (profile, projectsProjectDocumentsPostRequest, $fields, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileDocumentsPost', 'profile', profile);
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileDocumentsPost', 'projectsProjectDocumentsPostRequest', projectsProjectDocumentsPostRequest);
            const localVarPath = `/team-directory/profiles/{profile}/documents`
                .replace(`{${"profile"}}`, encodeURIComponent(String(profile)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(projectsProjectDocumentsPostRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryProfilesProfileGet: async (profile, $fields, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileGet', 'profile', profile);
            const localVarPath = `/team-directory/profiles/{profile}`
                .replace(`{${"profile"}}`, encodeURIComponent(String(profile)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryProfilesProfileGpgKeysFingerprintDelete: async (profile, fingerprint, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileGpgKeysFingerprintDelete', 'profile', profile);
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileGpgKeysFingerprintDelete', 'fingerprint', fingerprint);
            const localVarPath = `/team-directory/profiles/{profile}/gpg-keys/{fingerprint}`
                .replace(`{${"profile"}}`, encodeURIComponent(String(profile)))
                .replace(`{${"fingerprint"}}`, encodeURIComponent(String(fingerprint)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryProfilesProfileGpgKeysFingerprintPatch: async (profile, fingerprint, teamDirectoryProfilesProfileGpgKeysFingerprintDeleteRequest, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileGpgKeysFingerprintPatch', 'profile', profile);
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileGpgKeysFingerprintPatch', 'fingerprint', fingerprint);
            const localVarPath = `/team-directory/profiles/{profile}/gpg-keys/{fingerprint}`
                .replace(`{${"profile"}}`, encodeURIComponent(String(profile)))
                .replace(`{${"fingerprint"}}`, encodeURIComponent(String(fingerprint)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PATCH', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(teamDirectoryProfilesProfileGpgKeysFingerprintDeleteRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryProfilesProfileGpgKeysGet: async (profile, $fields, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileGpgKeysGet', 'profile', profile);
            const localVarPath = `/team-directory/profiles/{profile}/gpg-keys`
                .replace(`{${"profile"}}`, encodeURIComponent(String(profile)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryProfilesProfileGpgKeysPost: async (profile, teamDirectoryProfilesProfileGpgKeysGetRequest, $fields, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileGpgKeysPost', 'profile', profile);
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileGpgKeysPost', 'teamDirectoryProfilesProfileGpgKeysGetRequest', teamDirectoryProfilesProfileGpgKeysGetRequest);
            const localVarPath = `/team-directory/profiles/{profile}/gpg-keys`
                .replace(`{${"profile"}}`, encodeURIComponent(String(profile)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(teamDirectoryProfilesProfileGpgKeysGetRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryProfilesProfileIsTeamMemberGet: async (profile, teamIds, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileIsTeamMemberGet', 'profile', profile);
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileIsTeamMemberGet', 'teamIds', teamIds);
            const localVarPath = `/team-directory/profiles/{profile}/is-team-member`
                .replace(`{${"profile"}}`, encodeURIComponent(String(profile)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if (teamIds) {
                localVarQueryParameter['teamIds'] = teamIds;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryProfilesProfileLeadsGet: async (profile, $fields, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileLeadsGet', 'profile', profile);
            const localVarPath = `/team-directory/profiles/{profile}/leads`
                .replace(`{${"profile"}}`, encodeURIComponent(String(profile)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryProfilesProfileNavBarMenuItemsGet: async (profile, $fields, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileNavBarMenuItemsGet', 'profile', profile);
            const localVarPath = `/team-directory/profiles/{profile}/nav-bar-menu-items`
                .replace(`{${"profile"}}`, encodeURIComponent(String(profile)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryProfilesProfileNavBarMenuItemsPatch: async (profile, teamDirectoryProfilesProfileNavBarMenuItemsGetRequest, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileNavBarMenuItemsPatch', 'profile', profile);
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileNavBarMenuItemsPatch', 'teamDirectoryProfilesProfileNavBarMenuItemsGetRequest', teamDirectoryProfilesProfileNavBarMenuItemsGetRequest);
            const localVarPath = `/team-directory/profiles/{profile}/nav-bar-menu-items`
                .replace(`{${"profile"}}`, encodeURIComponent(String(profile)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PATCH', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(teamDirectoryProfilesProfileNavBarMenuItemsGetRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryProfilesProfileNavBarProjectsGet: async (profile, $fields, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileNavBarProjectsGet', 'profile', profile);
            const localVarPath = `/team-directory/profiles/{profile}/nav-bar-projects`
                .replace(`{${"profile"}}`, encodeURIComponent(String(profile)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryProfilesProfileNavBarProjectsPost: async (profile, teamDirectoryProfilesProfileNavBarProjectsGetRequest, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileNavBarProjectsPost', 'profile', profile);
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileNavBarProjectsPost', 'teamDirectoryProfilesProfileNavBarProjectsGetRequest', teamDirectoryProfilesProfileNavBarProjectsGetRequest);
            const localVarPath = `/team-directory/profiles/{profile}/nav-bar-projects`
                .replace(`{${"profile"}}`, encodeURIComponent(String(profile)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(teamDirectoryProfilesProfileNavBarProjectsGetRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryProfilesProfileNavBarProjectsProjectDelete: async (profile, project, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileNavBarProjectsProjectDelete', 'profile', profile);
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileNavBarProjectsProjectDelete', 'project', project);
            const localVarPath = `/team-directory/profiles/{profile}/nav-bar-projects/{project}`
                .replace(`{${"profile"}}`, encodeURIComponent(String(profile)))
                .replace(`{${"project"}}`, encodeURIComponent(String(project)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryProfilesProfileNotificationSettingsGet: async (profile, $fields, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileNotificationSettingsGet', 'profile', profile);
            const localVarPath = `/team-directory/profiles/{profile}/notification-settings`
                .replace(`{${"profile"}}`, encodeURIComponent(String(profile)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryProfilesProfileNotificationSettingsPatch: async (profile, teamDirectoryProfilesProfileNotificationSettingsGetRequest, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileNotificationSettingsPatch', 'profile', profile);
            const localVarPath = `/team-directory/profiles/{profile}/notification-settings`
                .replace(`{${"profile"}}`, encodeURIComponent(String(profile)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PATCH', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(teamDirectoryProfilesProfileNotificationSettingsGetRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryProfilesProfilePatch: async (profile, $fields, teamDirectoryProfilesProfileDeleteRequest, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfilePatch', 'profile', profile);
            const localVarPath = `/team-directory/profiles/{profile}`
                .replace(`{${"profile"}}`, encodeURIComponent(String(profile)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PATCH', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(teamDirectoryProfilesProfileDeleteRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryProfilesProfilePermanentTokensCurrentDelete: async (profile, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfilePermanentTokensCurrentDelete', 'profile', profile);
            const localVarPath = `/team-directory/profiles/{profile}/permanent-tokens/current`
                .replace(`{${"profile"}}`, encodeURIComponent(String(profile)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryProfilesProfilePermanentTokensGet: async (profile, $skip, $top, $fields, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfilePermanentTokensGet', 'profile', profile);
            const localVarPath = `/team-directory/profiles/{profile}/permanent-tokens`
                .replace(`{${"profile"}}`, encodeURIComponent(String(profile)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($skip !== undefined) {
                localVarQueryParameter['$skip'] = $skip;
            }
            if ($top !== undefined) {
                localVarQueryParameter['$top'] = $top;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryProfilesProfilePermanentTokensPost: async (profile, applicationsApplicationPermanentTokensGetRequest, $fields, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfilePermanentTokensPost', 'profile', profile);
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfilePermanentTokensPost', 'applicationsApplicationPermanentTokensGetRequest', applicationsApplicationPermanentTokensGetRequest);
            const localVarPath = `/team-directory/profiles/{profile}/permanent-tokens`
                .replace(`{${"profile"}}`, encodeURIComponent(String(profile)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(applicationsApplicationPermanentTokensGetRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryProfilesProfilePermanentTokensTokenIdDelete: async (profile, tokenId, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfilePermanentTokensTokenIdDelete', 'profile', profile);
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfilePermanentTokensTokenIdDelete', 'tokenId', tokenId);
            const localVarPath = `/team-directory/profiles/{profile}/permanent-tokens/{tokenId}`
                .replace(`{${"profile"}}`, encodeURIComponent(String(profile)))
                .replace(`{${"tokenId"}}`, encodeURIComponent(String(tokenId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryProfilesProfilePermanentTokensTokenIdPatch: async (profile, tokenId, applicationsApplicationPermanentTokensTokenIdDeleteRequest, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfilePermanentTokensTokenIdPatch', 'profile', profile);
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfilePermanentTokensTokenIdPatch', 'tokenId', tokenId);
            const localVarPath = `/team-directory/profiles/{profile}/permanent-tokens/{tokenId}`
                .replace(`{${"profile"}}`, encodeURIComponent(String(profile)))
                .replace(`{${"tokenId"}}`, encodeURIComponent(String(tokenId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PATCH', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(applicationsApplicationPermanentTokensTokenIdDeleteRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryProfilesProfileReactivatePatch: async (profile, $fields, teamDirectoryProfilesProfileReactivatePatchRequest, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileReactivatePatch', 'profile', profile);
            const localVarPath = `/team-directory/profiles/{profile}/reactivate`
                .replace(`{${"profile"}}`, encodeURIComponent(String(profile)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PATCH', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(teamDirectoryProfilesProfileReactivatePatchRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryProfilesProfileSettingsGet: async (profile, $fields, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileSettingsGet', 'profile', profile);
            const localVarPath = `/team-directory/profiles/{profile}/settings`
                .replace(`{${"profile"}}`, encodeURIComponent(String(profile)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryProfilesProfileSettingsPatch: async (profile, teamDirectoryProfilesProfileSettingsGetRequest, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileSettingsPatch', 'profile', profile);
            const localVarPath = `/team-directory/profiles/{profile}/settings`
                .replace(`{${"profile"}}`, encodeURIComponent(String(profile)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PATCH', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(teamDirectoryProfilesProfileSettingsGetRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryProfilesProfileSpokenLanguagesGet: async (profile, $fields, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileSpokenLanguagesGet', 'profile', profile);
            const localVarPath = `/team-directory/profiles/{profile}/spoken-languages`
                .replace(`{${"profile"}}`, encodeURIComponent(String(profile)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryProfilesProfileSpokenLanguagesLanguageDelete: async (profile, language, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileSpokenLanguagesLanguageDelete', 'profile', profile);
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileSpokenLanguagesLanguageDelete', 'language', language);
            const localVarPath = `/team-directory/profiles/{profile}/spoken-languages/{language}`
                .replace(`{${"profile"}}`, encodeURIComponent(String(profile)))
                .replace(`{${"language"}}`, encodeURIComponent(String(language)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryProfilesProfileSpokenLanguagesPost: async (profile, teamDirectoryProfilesProfileSpokenLanguagesGetRequest, $fields, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileSpokenLanguagesPost', 'profile', profile);
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileSpokenLanguagesPost', 'teamDirectoryProfilesProfileSpokenLanguagesGetRequest', teamDirectoryProfilesProfileSpokenLanguagesGetRequest);
            const localVarPath = `/team-directory/profiles/{profile}/spoken-languages`
                .replace(`{${"profile"}}`, encodeURIComponent(String(profile)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(teamDirectoryProfilesProfileSpokenLanguagesGetRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryProfilesProfileSshKeysFingerprintDelete: async (profile, fingerprint, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileSshKeysFingerprintDelete', 'profile', profile);
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileSshKeysFingerprintDelete', 'fingerprint', fingerprint);
            const localVarPath = `/team-directory/profiles/{profile}/ssh-keys/{fingerprint}`
                .replace(`{${"profile"}}`, encodeURIComponent(String(profile)))
                .replace(`{${"fingerprint"}}`, encodeURIComponent(String(fingerprint)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryProfilesProfileSshKeysGet: async (profile, $fields, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileSshKeysGet', 'profile', profile);
            const localVarPath = `/team-directory/profiles/{profile}/ssh-keys`
                .replace(`{${"profile"}}`, encodeURIComponent(String(profile)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryProfilesProfileSshKeysPost: async (profile, teamDirectoryProfilesProfileGpgKeysGetRequest, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileSshKeysPost', 'profile', profile);
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileSshKeysPost', 'teamDirectoryProfilesProfileGpgKeysGetRequest', teamDirectoryProfilesProfileGpgKeysGetRequest);
            const localVarPath = `/team-directory/profiles/{profile}/ssh-keys`
                .replace(`{${"profile"}}`, encodeURIComponent(String(profile)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(teamDirectoryProfilesProfileGpgKeysGetRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryProfilesProfileTimezoneGet: async (profile, $fields, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileTimezoneGet', 'profile', profile);
            const localVarPath = `/team-directory/profiles/{profile}/timezone`
                .replace(`{${"profile"}}`, encodeURIComponent(String(profile)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryProfilesProfileWorkingDaysGet: async (profile, $skip, $top, $fields, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileWorkingDaysGet', 'profile', profile);
            const localVarPath = `/team-directory/profiles/{profile}/working-days`
                .replace(`{${"profile"}}`, encodeURIComponent(String(profile)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($skip !== undefined) {
                localVarQueryParameter['$skip'] = $skip;
            }
            if ($top !== undefined) {
                localVarQueryParameter['$top'] = $top;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryProfilesProfileWorkingDaysPost: async (profile, teamDirectoryProfilesProfileWorkingDaysGetRequest, $fields, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileWorkingDaysPost', 'profile', profile);
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileWorkingDaysPost', 'teamDirectoryProfilesProfileWorkingDaysGetRequest', teamDirectoryProfilesProfileWorkingDaysGetRequest);
            const localVarPath = `/team-directory/profiles/{profile}/working-days`
                .replace(`{${"profile"}}`, encodeURIComponent(String(profile)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(teamDirectoryProfilesProfileWorkingDaysGetRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryProfilesProfileWorkingDaysWorkingDaysIdDelete: async (profile, workingDaysId, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileWorkingDaysWorkingDaysIdDelete', 'profile', profile);
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileWorkingDaysWorkingDaysIdDelete', 'workingDaysId', workingDaysId);
            const localVarPath = `/team-directory/profiles/{profile}/working-days/{workingDaysId}`
                .replace(`{${"profile"}}`, encodeURIComponent(String(profile)))
                .replace(`{${"workingDaysId"}}`, encodeURIComponent(String(workingDaysId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryProfilesProfileWorkingDaysWorkingDaysIdPatch: async (profile, workingDaysId, teamDirectoryProfilesProfileWorkingDaysGetRequest, $fields, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileWorkingDaysWorkingDaysIdPatch', 'profile', profile);
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileWorkingDaysWorkingDaysIdPatch', 'workingDaysId', workingDaysId);
            (0, common_1.assertParamExists)('teamDirectoryProfilesProfileWorkingDaysWorkingDaysIdPatch', 'teamDirectoryProfilesProfileWorkingDaysGetRequest', teamDirectoryProfilesProfileWorkingDaysGetRequest);
            const localVarPath = `/team-directory/profiles/{profile}/working-days/{workingDaysId}`
                .replace(`{${"profile"}}`, encodeURIComponent(String(profile)))
                .replace(`{${"workingDaysId"}}`, encodeURIComponent(String(workingDaysId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PATCH', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(teamDirectoryProfilesProfileWorkingDaysGetRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryProfilesWorkingDaysGet: async ($skip, $top, profiles, since, till, $fields, options = {}) => {
            const localVarPath = `/team-directory/profiles/working-days`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($skip !== undefined) {
                localVarQueryParameter['$skip'] = $skip;
            }
            if ($top !== undefined) {
                localVarQueryParameter['$top'] = $top;
            }
            if (profiles) {
                localVarQueryParameter['profiles'] = profiles;
            }
            if (since !== undefined) {
                localVarQueryParameter['since'] = since;
            }
            if (till !== undefined) {
                localVarQueryParameter['till'] = till;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryRolesGet: async (query, withArchived, $fields, options = {}) => {
            const localVarPath = `/team-directory/roles`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if (query !== undefined) {
                localVarQueryParameter['query'] = query;
            }
            if (withArchived !== undefined) {
                localVarQueryParameter['withArchived'] = withArchived;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryRolesIdDelete: async (id, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryRolesIdDelete', 'id', id);
            const localVarPath = `/team-directory/roles/{id}`
                .replace(`{${"id"}}`, encodeURIComponent(String(id)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryRolesIdGet: async (id, $fields, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryRolesIdGet', 'id', id);
            const localVarPath = `/team-directory/roles/{id}`
                .replace(`{${"id"}}`, encodeURIComponent(String(id)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryRolesIdPatch: async (id, $fields, teamDirectoryRolesIdDeleteRequest, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryRolesIdPatch', 'id', id);
            const localVarPath = `/team-directory/roles/{id}`
                .replace(`{${"id"}}`, encodeURIComponent(String(id)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PATCH', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(teamDirectoryRolesIdDeleteRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryRolesIdRestorePost: async (id, $fields, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryRolesIdRestorePost', 'id', id);
            const localVarPath = `/team-directory/roles/{id}/restore`
                .replace(`{${"id"}}`, encodeURIComponent(String(id)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryRolesPost: async (teamDirectoryRolesGetRequest, $fields, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryRolesPost', 'teamDirectoryRolesGetRequest', teamDirectoryRolesGetRequest);
            const localVarPath = `/team-directory/roles`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(teamDirectoryRolesGetRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryStatsGet: async (teamId, locationId, roleId, $fields, options = {}) => {
            const localVarPath = `/team-directory/stats`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if (teamId !== undefined) {
                localVarQueryParameter['teamId'] = teamId;
            }
            if (locationId !== undefined) {
                localVarQueryParameter['locationId'] = locationId;
            }
            if (roleId !== undefined) {
                localVarQueryParameter['roleId'] = roleId;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryTeamsGet: async ($skip, $top, query, withArchived, $fields, options = {}) => {
            const localVarPath = `/team-directory/teams`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($skip !== undefined) {
                localVarQueryParameter['$skip'] = $skip;
            }
            if ($top !== undefined) {
                localVarQueryParameter['$top'] = $top;
            }
            if (query !== undefined) {
                localVarQueryParameter['query'] = query;
            }
            if (withArchived !== undefined) {
                localVarQueryParameter['withArchived'] = withArchived;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryTeamsIdCancelDisbandingPost: async (id, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryTeamsIdCancelDisbandingPost', 'id', id);
            const localVarPath = `/team-directory/teams/{id}/cancel-disbanding`
                .replace(`{${"id"}}`, encodeURIComponent(String(id)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryTeamsIdDelete: async (id, $fields, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryTeamsIdDelete', 'id', id);
            const localVarPath = `/team-directory/teams/{id}`
                .replace(`{${"id"}}`, encodeURIComponent(String(id)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryTeamsIdDirectMembersGet: async (id, $skip, $top, query, $fields, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryTeamsIdDirectMembersGet', 'id', id);
            const localVarPath = `/team-directory/teams/{id}/direct-members`
                .replace(`{${"id"}}`, encodeURIComponent(String(id)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($skip !== undefined) {
                localVarQueryParameter['$skip'] = $skip;
            }
            if ($top !== undefined) {
                localVarQueryParameter['$top'] = $top;
            }
            if (query !== undefined) {
                localVarQueryParameter['query'] = query;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryTeamsIdDisbandDelete: async (id, $fields, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryTeamsIdDisbandDelete', 'id', id);
            const localVarPath = `/team-directory/teams/{id}/disband`
                .replace(`{${"id"}}`, encodeURIComponent(String(id)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryTeamsIdGet: async (id, $fields, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryTeamsIdGet', 'id', id);
            const localVarPath = `/team-directory/teams/{id}`
                .replace(`{${"id"}}`, encodeURIComponent(String(id)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryTeamsIdPatch: async (id, $fields, teamDirectoryTeamsIdDeleteRequest, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryTeamsIdPatch', 'id', id);
            const localVarPath = `/team-directory/teams/{id}`
                .replace(`{${"id"}}`, encodeURIComponent(String(id)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PATCH', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(teamDirectoryTeamsIdDeleteRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryTeamsIdRestorePost: async (id, $fields, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryTeamsIdRestorePost', 'id', id);
            const localVarPath = `/team-directory/teams/{id}/restore`
                .replace(`{${"id"}}`, encodeURIComponent(String(id)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        teamDirectoryTeamsPost: async (teamDirectoryTeamsGetRequest, $fields, options = {}) => {
            (0, common_1.assertParamExists)('teamDirectoryTeamsPost', 'teamDirectoryTeamsGetRequest', teamDirectoryTeamsGetRequest);
            const localVarPath = `/team-directory/teams`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(teamDirectoryTeamsGetRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        timeTrackingItemsGet: async (subject, $skip, $top, $fields, options = {}) => {
            (0, common_1.assertParamExists)('timeTrackingItemsGet', 'subject', subject);
            const localVarPath = `/time-tracking/items`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if (subject !== undefined) {
                localVarQueryParameter['subject'] = subject;
            }
            if ($skip !== undefined) {
                localVarQueryParameter['$skip'] = $skip;
            }
            if ($top !== undefined) {
                localVarQueryParameter['$top'] = $top;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        timeTrackingItemsItemIdDelete: async (itemId, options = {}) => {
            (0, common_1.assertParamExists)('timeTrackingItemsItemIdDelete', 'itemId', itemId);
            const localVarPath = `/time-tracking/items/{itemId}`
                .replace(`{${"itemId"}}`, encodeURIComponent(String(itemId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        timeTrackingItemsItemIdPatch: async (itemId, timeTrackingItemsItemIdDeleteRequest, options = {}) => {
            (0, common_1.assertParamExists)('timeTrackingItemsItemIdPatch', 'itemId', itemId);
            const localVarPath = `/time-tracking/items/{itemId}`
                .replace(`{${"itemId"}}`, encodeURIComponent(String(itemId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PATCH', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(timeTrackingItemsItemIdDeleteRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        timeTrackingItemsPost: async (timeTrackingItemsGetRequest, $fields, options = {}) => {
            (0, common_1.assertParamExists)('timeTrackingItemsPost', 'timeTrackingItemsGetRequest', timeTrackingItemsGetRequest);
            const localVarPath = `/time-tracking/items`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(timeTrackingItemsGetRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        todoGet: async ($skip, $top, open, from, till, $fields, options = {}) => {
            const localVarPath = `/todo`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($skip !== undefined) {
                localVarQueryParameter['$skip'] = $skip;
            }
            if ($top !== undefined) {
                localVarQueryParameter['$top'] = $top;
            }
            if (open !== undefined) {
                localVarQueryParameter['open'] = open;
            }
            if (from !== undefined) {
                localVarQueryParameter['from'] = from;
            }
            if (till !== undefined) {
                localVarQueryParameter['till'] = till;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        todoIdDelete: async (id, options = {}) => {
            (0, common_1.assertParamExists)('todoIdDelete', 'id', id);
            const localVarPath = `/todo/{id}`
                .replace(`{${"id"}}`, encodeURIComponent(String(id)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        todoIdPatch: async (id, todoIdDeleteRequest, options = {}) => {
            (0, common_1.assertParamExists)('todoIdPatch', 'id', id);
            const localVarPath = `/todo/{id}`
                .replace(`{${"id"}}`, encodeURIComponent(String(id)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PATCH', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(todoIdDeleteRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        todoPost: async (todoGetRequest, $fields, options = {}) => {
            (0, common_1.assertParamExists)('todoPost', 'todoGetRequest', todoGetRequest);
            const localVarPath = `/todo`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(todoGetRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        trustedCertificatesGet: async ($fields, options = {}) => {
            const localVarPath = `/trusted-certificates`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        trustedCertificatesIdDelete: async (id, options = {}) => {
            (0, common_1.assertParamExists)('trustedCertificatesIdDelete', 'id', id);
            const localVarPath = `/trusted-certificates/{id}`
                .replace(`{${"id"}}`, encodeURIComponent(String(id)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        trustedCertificatesIdPatch: async (id, trustedCertificatesIdDeleteRequest, options = {}) => {
            (0, common_1.assertParamExists)('trustedCertificatesIdPatch', 'id', id);
            const localVarPath = `/trusted-certificates/{id}`
                .replace(`{${"id"}}`, encodeURIComponent(String(id)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'PATCH', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(trustedCertificatesIdDeleteRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        trustedCertificatesInfoGet: async (data, $fields, options = {}) => {
            (0, common_1.assertParamExists)('trustedCertificatesInfoGet', 'data', data);
            const localVarPath = `/trusted-certificates/info`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if (data !== undefined) {
                localVarQueryParameter['data'] = data;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        trustedCertificatesPost: async (trustedCertificatesGetRequest, $fields, options = {}) => {
            (0, common_1.assertParamExists)('trustedCertificatesPost', 'trustedCertificatesGetRequest', trustedCertificatesGetRequest);
            const localVarPath = `/trusted-certificates`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(trustedCertificatesGetRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        unfurlsBlockUnfurlGlobalPost: async (unfurlsBlockUnfurlPostRequest, options = {}) => {
            (0, common_1.assertParamExists)('unfurlsBlockUnfurlGlobalPost', 'unfurlsBlockUnfurlPostRequest', unfurlsBlockUnfurlPostRequest);
            const localVarPath = `/unfurls/block-unfurl-global`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(unfurlsBlockUnfurlPostRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        unfurlsBlockUnfurlPost: async (unfurlsBlockUnfurlPostRequest, options = {}) => {
            (0, common_1.assertParamExists)('unfurlsBlockUnfurlPost', 'unfurlsBlockUnfurlPostRequest', unfurlsBlockUnfurlPostRequest);
            const localVarPath = `/unfurls/block-unfurl`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(unfurlsBlockUnfurlPostRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        unfurlsCheckBlockedPost: async (unfurlsCheckBlockedPostRequest, options = {}) => {
            (0, common_1.assertParamExists)('unfurlsCheckBlockedPost', 'unfurlsCheckBlockedPostRequest', unfurlsCheckBlockedPostRequest);
            const localVarPath = `/unfurls/check-blocked`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(unfurlsCheckBlockedPostRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        unfurlsListBlockedGet: async ($skip, $top, $fields, options = {}) => {
            const localVarPath = `/unfurls/list-blocked`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($skip !== undefined) {
                localVarQueryParameter['$skip'] = $skip;
            }
            if ($top !== undefined) {
                localVarQueryParameter['$top'] = $top;
            }
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        unfurlsUnblockUnfurlGlobalPost: async (unfurlsBlockUnfurlPostRequest, options = {}) => {
            (0, common_1.assertParamExists)('unfurlsUnblockUnfurlGlobalPost', 'unfurlsBlockUnfurlPostRequest', unfurlsBlockUnfurlPostRequest);
            const localVarPath = `/unfurls/unblock-unfurl-global`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(unfurlsBlockUnfurlPostRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        unfurlsUnblockUnfurlPost: async (unfurlsBlockUnfurlPostRequest, options = {}) => {
            (0, common_1.assertParamExists)('unfurlsUnblockUnfurlPost', 'unfurlsBlockUnfurlPostRequest', unfurlsBlockUnfurlPostRequest);
            const localVarPath = `/unfurls/unblock-unfurl`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(unfurlsBlockUnfurlPostRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        uploadsChatPublicUrlChannelMessageAttachmentIdGet: async (channel, message, attachmentId, options = {}) => {
            (0, common_1.assertParamExists)('uploadsChatPublicUrlChannelMessageAttachmentIdGet', 'channel', channel);
            (0, common_1.assertParamExists)('uploadsChatPublicUrlChannelMessageAttachmentIdGet', 'message', message);
            (0, common_1.assertParamExists)('uploadsChatPublicUrlChannelMessageAttachmentIdGet', 'attachmentId', attachmentId);
            const localVarPath = `/uploads/chat/public-url/{channel}/{message}/{attachmentId}`
                .replace(`{${"channel"}}`, encodeURIComponent(String(channel)))
                .replace(`{${"message"}}`, encodeURIComponent(String(message)))
                .replace(`{${"attachmentId"}}`, encodeURIComponent(String(attachmentId)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        uploadsImageIdGet: async (id, $fields, options = {}) => {
            (0, common_1.assertParamExists)('uploadsImageIdGet', 'id', id);
            const localVarPath = `/uploads/image/{id}`
                .replace(`{${"id"}}`, encodeURIComponent(String(id)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            if ($fields !== undefined) {
                localVarQueryParameter['$fields'] = $fields;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        uploadsPost: async (uploadsPostRequest, options = {}) => {
            (0, common_1.assertParamExists)('uploadsPost', 'uploadsPostRequest', uploadsPostRequest);
            const localVarPath = `/uploads`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setBearerAuthToObject)(localVarHeaderParameter, configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = { ...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers };
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(uploadsPostRequest, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
    };
};
exports.SpaceApiAxiosParamCreator = SpaceApiAxiosParamCreator;
const SpaceApiFp = function (configuration) {
    const localVarAxiosParamCreator = (0, exports.SpaceApiAxiosParamCreator)(configuration);
    return {
        async absencesAbsenceReasonsGet(withArchived, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.absencesAbsenceReasonsGet(withArchived, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async absencesAbsenceReasonsIdDelete(id, _delete, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.absencesAbsenceReasonsIdDelete(id, _delete, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async absencesAbsenceReasonsIdGet(id, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.absencesAbsenceReasonsIdGet(id, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async absencesAbsenceReasonsIdPatch(id, absencesAbsenceReasonsGetRequest, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.absencesAbsenceReasonsIdPatch(id, absencesAbsenceReasonsGetRequest, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async absencesAbsenceReasonsPost(absencesAbsenceReasonsGetRequest, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.absencesAbsenceReasonsPost(absencesAbsenceReasonsGetRequest, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async absencesGet($skip, $top, member, members, location, team, since, till, viewMode, reason, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.absencesGet($skip, $top, member, members, location, team, since, till, viewMode, reason, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async absencesIdApprovePost(id, absencesIdApprovePostRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.absencesIdApprovePost(id, absencesIdApprovePostRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async absencesIdDelete(id, _delete, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.absencesIdDelete(id, _delete, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async absencesIdDeleteApprovalDelete(id, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.absencesIdDeleteApprovalDelete(id, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async absencesIdGet(id, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.absencesIdGet(id, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async absencesIdPatch(id, absencesIdDeleteRequest, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.absencesIdPatch(id, absencesIdDeleteRequest, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async absencesMembermemberGet(member, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.absencesMembermemberGet(member, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async absencesPost(absencesGetRequest, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.absencesPost(absencesGetRequest, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async administrationSupportPost($fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.administrationSupportPost($fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async administrationUserAgreementEnabledGet(options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.administrationUserAgreementEnabledGet(options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async administrationUserAgreementEnabledPost(administrationUserAgreementEnabledGetRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.administrationUserAgreementEnabledPost(administrationUserAgreementEnabledGetRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async administrationUserAgreementGet($fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.administrationUserAgreementGet($fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async administrationUserAgreementPatch(administrationUserAgreementGetRequest, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.administrationUserAgreementPatch(administrationUserAgreementGetRequest, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async administrationUserAgreementStatusGet($skip, $top, query, accepted, activeProfilesOnly, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.administrationUserAgreementStatusGet($skip, $top, query, accepted, activeProfilesOnly, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async administrationUserAgreementStatusProfileGet(profile, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.administrationUserAgreementStatusProfileGet(profile, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async applicationsApplicationAuthorizationsAuthorizedContextsGet(application, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.applicationsApplicationAuthorizationsAuthorizedContextsGet(application, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async applicationsApplicationAuthorizationsAuthorizedRightsDelete(application, contextIdentifier, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.applicationsApplicationAuthorizationsAuthorizedRightsDelete(application, contextIdentifier, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async applicationsApplicationAuthorizationsAuthorizedRightsGet(application, contextIdentifier, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.applicationsApplicationAuthorizationsAuthorizedRightsGet(application, contextIdentifier, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async applicationsApplicationAuthorizationsAuthorizedRightsPatch(application, applicationsApplicationAuthorizationsAuthorizedRightsDeleteRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.applicationsApplicationAuthorizationsAuthorizedRightsPatch(application, applicationsApplicationAuthorizationsAuthorizedRightsDeleteRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async applicationsApplicationAuthorizationsAuthorizedRightsRequestRightsPatch(application, applicationsApplicationAuthorizationsAuthorizedRightsRequestRightsPatchRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.applicationsApplicationAuthorizationsAuthorizedRightsRequestRightsPatch(application, applicationsApplicationAuthorizationsAuthorizedRightsRequestRightsPatchRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async applicationsApplicationAuthorizationsRequiredRightsGet(application, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.applicationsApplicationAuthorizationsRequiredRightsGet(application, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async applicationsApplicationAuthorizationsRequiredRightsPatch(application, applicationsApplicationAuthorizationsRequiredRightsGetRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.applicationsApplicationAuthorizationsRequiredRightsPatch(application, applicationsApplicationAuthorizationsRequiredRightsGetRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async applicationsApplicationBearerTokenGet(application, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.applicationsApplicationBearerTokenGet(application, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async applicationsApplicationClientSecretGet(application, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.applicationsApplicationClientSecretGet(application, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async applicationsApplicationClientSecretRegeneratePost(application, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.applicationsApplicationClientSecretRegeneratePost(application, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async applicationsApplicationDelete(application, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.applicationsApplicationDelete(application, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async applicationsApplicationForceRemovePost(application, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.applicationsApplicationForceRemovePost(application, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async applicationsApplicationGet(application, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.applicationsApplicationGet(application, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async applicationsApplicationLastClientCredentialsAccessGet(application, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.applicationsApplicationLastClientCredentialsAccessGet(application, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async applicationsApplicationPatch(application, $fields, applicationsApplicationDeleteRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.applicationsApplicationPatch(application, $fields, applicationsApplicationDeleteRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async applicationsApplicationPermanentTokensCurrentDelete(application, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.applicationsApplicationPermanentTokensCurrentDelete(application, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async applicationsApplicationPermanentTokensGet(application, $skip, $top, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.applicationsApplicationPermanentTokensGet(application, $skip, $top, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async applicationsApplicationPermanentTokensPost(application, applicationsApplicationPermanentTokensGetRequest, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.applicationsApplicationPermanentTokensPost(application, applicationsApplicationPermanentTokensGetRequest, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async applicationsApplicationPermanentTokensTokenIdDelete(application, tokenId, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.applicationsApplicationPermanentTokensTokenIdDelete(application, tokenId, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async applicationsApplicationPermanentTokensTokenIdPatch(application, tokenId, applicationsApplicationPermanentTokensTokenIdDeleteRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.applicationsApplicationPermanentTokensTokenIdPatch(application, tokenId, applicationsApplicationPermanentTokensTokenIdDeleteRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async applicationsApplicationPublicKeysGet(application, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.applicationsApplicationPublicKeysGet(application, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async applicationsApplicationRestorePost(application, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.applicationsApplicationRestorePost(application, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async applicationsApplicationSigningKeyGet(application, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.applicationsApplicationSigningKeyGet(application, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async applicationsApplicationSigningKeyRegeneratePost(application, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.applicationsApplicationSigningKeyRegeneratePost(application, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async applicationsApplicationSshKeysFingerprintDelete(application, fingerprint, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.applicationsApplicationSshKeysFingerprintDelete(application, fingerprint, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async applicationsApplicationSshKeysGet(application, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.applicationsApplicationSshKeysGet(application, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async applicationsApplicationSshKeysPost(application, applicationsApplicationSshKeysGetRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.applicationsApplicationSshKeysPost(application, applicationsApplicationSshKeysGetRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async applicationsApplicationUiExtensionsDisableForEverybodyPatch(application, applicationsApplicationUiExtensionsDisableForEverybodyPatchRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.applicationsApplicationUiExtensionsDisableForEverybodyPatch(application, applicationsApplicationUiExtensionsDisableForEverybodyPatchRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async applicationsApplicationUiExtensionsDisableForMePatch(application, applicationsApplicationUiExtensionsDisableForEverybodyPatchRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.applicationsApplicationUiExtensionsDisableForMePatch(application, applicationsApplicationUiExtensionsDisableForEverybodyPatchRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async applicationsApplicationUiExtensionsEnableForEverybodyPatch(application, applicationsApplicationUiExtensionsDisableForEverybodyPatchRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.applicationsApplicationUiExtensionsEnableForEverybodyPatch(application, applicationsApplicationUiExtensionsDisableForEverybodyPatchRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async applicationsApplicationUiExtensionsEnableForMePatch(application, applicationsApplicationUiExtensionsDisableForEverybodyPatchRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.applicationsApplicationUiExtensionsEnableForMePatch(application, applicationsApplicationUiExtensionsDisableForEverybodyPatchRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async applicationsApplicationUiExtensionsGet(application, contextIdentifier, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.applicationsApplicationUiExtensionsGet(application, contextIdentifier, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async applicationsApplicationUnfurlDomainsAuthorizePost(application, applicationsApplicationUnfurlDomainsAuthorizePostRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.applicationsApplicationUnfurlDomainsAuthorizePost(application, applicationsApplicationUnfurlDomainsAuthorizePostRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async applicationsApplicationUnfurlDomainsGet(application, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.applicationsApplicationUnfurlDomainsGet(application, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async applicationsApplicationUnfurlPatternsAuthorizePost(application, applicationsApplicationUnfurlPatternsAuthorizePostRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.applicationsApplicationUnfurlPatternsAuthorizePost(application, applicationsApplicationUnfurlPatternsAuthorizePostRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async applicationsApplicationUnfurlPatternsGet(application, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.applicationsApplicationUnfurlPatternsGet(application, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async applicationsApplicationVerificationTokenGet(application, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.applicationsApplicationVerificationTokenGet(application, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async applicationsApplicationVerificationTokenRegeneratePost(application, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.applicationsApplicationVerificationTokenRegeneratePost(application, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async applicationsApplicationWebhooksGet(application, withArchived, query, $skip, $top, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.applicationsApplicationWebhooksGet(application, withArchived, query, $skip, $top, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async applicationsApplicationWebhooksPost(application, applicationsApplicationWebhooksGetRequest, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.applicationsApplicationWebhooksPost(application, applicationsApplicationWebhooksGetRequest, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async applicationsApplicationWebhooksWebhookIdBearerTokenGet(application, webhookId, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.applicationsApplicationWebhooksWebhookIdBearerTokenGet(application, webhookId, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async applicationsApplicationWebhooksWebhookIdCustomHeadersGet(application, webhookId, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.applicationsApplicationWebhooksWebhookIdCustomHeadersGet(application, webhookId, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async applicationsApplicationWebhooksWebhookIdCustomHeadersPost(application, webhookId, applicationsApplicationWebhooksWebhookIdCustomHeadersGetRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.applicationsApplicationWebhooksWebhookIdCustomHeadersPost(application, webhookId, applicationsApplicationWebhooksWebhookIdCustomHeadersGetRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async applicationsApplicationWebhooksWebhookIdDelete(application, webhookId, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.applicationsApplicationWebhooksWebhookIdDelete(application, webhookId, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async applicationsApplicationWebhooksWebhookIdPatch(application, webhookId, applicationsApplicationWebhooksWebhookIdDeleteRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.applicationsApplicationWebhooksWebhookIdPatch(application, webhookId, applicationsApplicationWebhooksWebhookIdDeleteRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async applicationsApplicationWebhooksWebhookIdPost(application, webhookId, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.applicationsApplicationWebhooksWebhookIdPost(application, webhookId, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async applicationsApplicationWebhooksWebhookIdSigningKeyGet(application, webhookId, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.applicationsApplicationWebhooksWebhookIdSigningKeyGet(application, webhookId, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async applicationsApplicationWebhooksWebhookIdSigningKeyRegeneratePost(application, webhookId, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.applicationsApplicationWebhooksWebhookIdSigningKeyRegeneratePost(application, webhookId, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async applicationsApplicationWebhooksWebhookIdSubscriptionsGet(application, webhookId, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.applicationsApplicationWebhooksWebhookIdSubscriptionsGet(application, webhookId, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async applicationsApplicationWebhooksWebhookIdSubscriptionsPost(application, webhookId, applicationsApplicationWebhooksWebhookIdSubscriptionsGetRequest, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.applicationsApplicationWebhooksWebhookIdSubscriptionsPost(application, webhookId, applicationsApplicationWebhooksWebhookIdSubscriptionsGetRequest, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async applicationsApplicationWebhooksWebhookIdSubscriptionsSubscriptionIdDelete(application, webhookId, subscriptionId, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.applicationsApplicationWebhooksWebhookIdSubscriptionsSubscriptionIdDelete(application, webhookId, subscriptionId, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async applicationsApplicationWebhooksWebhookIdSubscriptionsSubscriptionIdPatch(application, webhookId, subscriptionId, $fields, applicationsApplicationWebhooksWebhookIdSubscriptionsSubscriptionIdDeleteRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.applicationsApplicationWebhooksWebhookIdSubscriptionsSubscriptionIdPatch(application, webhookId, subscriptionId, $fields, applicationsApplicationWebhooksWebhookIdSubscriptionsSubscriptionIdDeleteRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async applicationsApplicationWebhooksWebhookIdSubscriptionsSubscriptionIdRequestMissingRightsPost(application, webhookId, subscriptionId, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.applicationsApplicationWebhooksWebhookIdSubscriptionsSubscriptionIdRequestMissingRightsPost(application, webhookId, subscriptionId, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async applicationsAuthorizationsAuthorizedApplicationsGet(contextIdentifier, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.applicationsAuthorizationsAuthorizedApplicationsGet(contextIdentifier, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async applicationsPagedGet($skip, $top, name, owner, withArchived, withManaged, ordering, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.applicationsPagedGet($skip, $top, name, owner, withArchived, withManaged, ordering, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async applicationsPost(applicationsPostRequest, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.applicationsPost(applicationsPostRequest, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async applicationsUiExtensionsPatch(applicationsUiExtensionsPatchRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.applicationsUiExtensionsPatch(applicationsUiExtensionsPatchRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async applicationsUnfurlsDomainsPatch(applicationsUnfurlsDomainsPatchRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.applicationsUnfurlsDomainsPatch(applicationsUnfurlsDomainsPatchRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async applicationsUnfurlsPatternsPatch(applicationsUnfurlsPatternsPatchRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.applicationsUnfurlsPatternsPatch(applicationsUnfurlsPatternsPatchRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async applicationsUnfurlsQueueContentPost(applicationsUnfurlsQueueContentPostRequest, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.applicationsUnfurlsQueueContentPost(applicationsUnfurlsQueueContentPostRequest, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async applicationsUnfurlsQueueGet(batchSize, fromEtag, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.applicationsUnfurlsQueueGet(batchSize, fromEtag, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async applicationsUnfurlsQueueRequestExternalAuthPost(applicationsUnfurlsQueueRequestExternalAuthPostRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.applicationsUnfurlsQueueRequestExternalAuthPost(applicationsUnfurlsQueueRequestExternalAuthPostRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async applicationsUnfurlsQueueResetExternalAuthRequestsPost(applicationsUnfurlsQueueResetExternalAuthRequestsPostRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.applicationsUnfurlsQueueResetExternalAuthRequestsPost(applicationsUnfurlsQueueResetExternalAuthRequestsPostRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async authModulesConfigDelete($fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.authModulesConfigDelete($fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async authModulesConfigGet($fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.authModulesConfigGet($fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async authModulesConfigPut(authModulesConfigDeleteRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.authModulesConfigPut(authModulesConfigDeleteRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async authModulesDiscoverOidcGet(discoveryEndpoint, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.authModulesDiscoverOidcGet(discoveryEndpoint, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async authModulesGet(withDisabled, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.authModulesGet(withDisabled, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async authModulesIdDelete(id, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.authModulesIdDelete(id, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async authModulesIdLoginsIdentifierChangePost(id, identifier, authModulesIdLoginsIdentifierChangePostRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.authModulesIdLoginsIdentifierChangePost(id, identifier, authModulesIdLoginsIdentifierChangePostRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async authModulesIdLoginsIdentifierDelete(identifier, id, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.authModulesIdLoginsIdentifierDelete(identifier, id, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async authModulesIdLoginsIdentifierResetPost(id, identifier, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.authModulesIdLoginsIdentifierResetPost(id, identifier, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async authModulesIdPatch(id, authModulesIdDeleteRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.authModulesIdPatch(id, authModulesIdDeleteRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async authModulesIdSamlMetadataPost(id, authModulesIdSamlMetadataPostRequest, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.authModulesIdSamlMetadataPost(id, authModulesIdSamlMetadataPostRequest, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async authModulesKeykeyGet(key, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.authModulesKeykeyGet(key, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async authModulesPost(authModulesGetRequest, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.authModulesPost(authModulesGetRequest, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async authModulesReorderPost(authModulesReorderPostRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.authModulesReorderPost(authModulesReorderPostRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async authModulesTestBuiltInPost(authModulesTestBuiltInPostRequest, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.authModulesTestBuiltInPost(authModulesTestBuiltInPostRequest, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async authModulesTestLdapPost(authModulesTestLdapPostRequest, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.authModulesTestLdapPost(authModulesTestLdapPostRequest, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async authModulesThrottledLoginsDelete(logins, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.authModulesThrottledLoginsDelete(logins, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async authModulesThrottledLoginsGet($skip, $top, login, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.authModulesThrottledLoginsGet($skip, $top, login, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async authModulesThrottledLoginsOrgStatusDelete(options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.authModulesThrottledLoginsOrgStatusDelete(options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async authModulesThrottledLoginsOrgStatusGet($fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.authModulesThrottledLoginsOrgStatusGet($fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async authModulesUsagesGet($fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.authModulesUsagesGet($fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async billingAdminOverdraftsGet($fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.billingAdminOverdraftsGet($fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async billingAdminOverdraftsPut(billingAdminOverdraftsGetRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.billingAdminOverdraftsPut(billingAdminOverdraftsGetRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async billingAdminReportsBillingPeriodGet(billingPeriod, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.billingAdminReportsBillingPeriodGet(billingPeriod, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async billingAdminReportsTodayGet(date, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.billingAdminReportsTodayGet(date, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async billingAdminTrialPut(billingAdminTrialPutRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.billingAdminTrialPut(billingAdminTrialPutRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async blogAliasaliasGet(alias, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.blogAliasaliasGet(alias, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async blogExternalIdidGet(id, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.blogExternalIdidGet(id, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async blogGet($skip, $top, term, dateFrom, dateTo, authorId, teamId, locationId, forProfile, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.blogGet($skip, $top, term, dateFrom, dateTo, authorId, teamId, locationId, forProfile, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async blogIdDelete(id, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.blogIdDelete(id, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async blogIdGet(id, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.blogIdGet(id, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async blogIdPatch(id, $fields, blogIdDeleteRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.blogIdPatch(id, $fields, blogIdDeleteRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async blogImportPost(blogImportPostRequest, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.blogImportPost(blogImportPostRequest, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async blogPost(blogGetRequest, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.blogPost(blogGetRequest, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async blogStatsGet(dateFrom, dateTo, authorId, teamId, locationId, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.blogStatsGet(dateFrom, dateTo, authorId, teamId, locationId, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async calendarsAbsenceEventsGet(dateFrom, dateTo, team, location, role, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.calendarsAbsenceEventsGet(dateFrom, dateTo, team, location, role, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async calendarsBirthdayEventsGet(dateFrom, dateTo, team, location, role, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.calendarsBirthdayEventsGet(dateFrom, dateTo, team, location, role, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async calendarsBirthdayEventsStarredGet(dateFrom, dateTo, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.calendarsBirthdayEventsStarredGet(dateFrom, dateTo, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async calendarsEventParticipationsIdPatch(id, calendarsEventParticipationsIdPatchRequest, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.calendarsEventParticipationsIdPatch(id, calendarsEventParticipationsIdPatchRequest, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async calendarsEventsGet(dateFrom, dateTo, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.calendarsEventsGet(dateFrom, dateTo, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async calendarsEventsIdGet(id, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.calendarsEventsIdGet(id, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async calendarsHolidaysGet(startDate, endDate, team, location, role, workingDays, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.calendarsHolidaysGet(startDate, endDate, team, location, role, workingDays, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async calendarsMeetingsGet($skip, $top, summaryQuery, locationsQuery, startingAfter, endingAfter, endingBefore, startingBefore, profiles, teams, organizer, includePrivate, includeArchived, includeMeetingInstances, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.calendarsMeetingsGet($skip, $top, summaryQuery, locationsQuery, startingAfter, endingAfter, endingBefore, startingBefore, profiles, teams, organizer, includePrivate, includeArchived, includeMeetingInstances, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async calendarsMeetingsIdConferenceRoomsDelete(id, roomId, dateTime, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.calendarsMeetingsIdConferenceRoomsDelete(id, roomId, dateTime, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async calendarsMeetingsIdConferenceRoomsPost(id, calendarsMeetingsIdConferenceRoomsDeleteRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.calendarsMeetingsIdConferenceRoomsPost(id, calendarsMeetingsIdConferenceRoomsDeleteRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async calendarsMeetingsIdDelete(id, targetDate, modificationKind, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.calendarsMeetingsIdDelete(id, targetDate, modificationKind, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async calendarsMeetingsIdGet(id, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.calendarsMeetingsIdGet(id, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async calendarsMeetingsIdParticipationStatusPatch(id, calendarsMeetingsIdParticipationStatusPatchRequest, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.calendarsMeetingsIdParticipationStatusPatch(id, calendarsMeetingsIdParticipationStatusPatchRequest, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async calendarsMeetingsIdPatch(id, $fields, calendarsMeetingsIdDeleteRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.calendarsMeetingsIdPatch(id, $fields, calendarsMeetingsIdDeleteRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async calendarsMeetingsNextOccurrenceGet(meetingId, since, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.calendarsMeetingsNextOccurrenceGet(meetingId, since, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async calendarsMeetingsOccurrencesByMeetingGet(meetingIds, since, until, limit, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.calendarsMeetingsOccurrencesByMeetingGet(meetingIds, since, until, limit, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async calendarsMeetingsOccurrencesGet(meetingId, since, until, limit, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.calendarsMeetingsOccurrencesGet(meetingId, since, until, limit, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async calendarsMeetingsParticipationStatusesExternalGet(id, emails, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.calendarsMeetingsParticipationStatusesExternalGet(id, emails, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async calendarsMeetingsParticipationStatusesGet(id, profileIds, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.calendarsMeetingsParticipationStatusesGet(id, profileIds, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async calendarsMeetingsPost(calendarsMeetingsGetRequest, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.calendarsMeetingsPost(calendarsMeetingsGetRequest, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async calendarsMeetingsProfileParticipationGet(profileId, events, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.calendarsMeetingsProfileParticipationGet(profileId, events, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async calendarsMeetingsProfileParticipationRecordsGet(profileId, events, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.calendarsMeetingsProfileParticipationRecordsGet(profileId, events, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async calendarsMembershipEventsGet(dateFrom, dateTo, team, location, role, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.calendarsMembershipEventsGet(dateFrom, dateTo, team, location, role, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async calendarsNonWorkingDaysEventsGet(dateFrom, dateTo, member, team, location, role, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.calendarsNonWorkingDaysEventsGet(dateFrom, dateTo, member, team, location, role, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async callsPost(callsPostRequest, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.callsPost(callsPostRequest, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async chatsChannelsAllChannelsGet(query, $skip, $top, quickFilter, sortColumn, sortOrder, publicOnly, withArchived, subscriber, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.chatsChannelsAllChannelsGet(query, $skip, $top, quickFilter, sortColumn, sortOrder, publicOnly, withArchived, subscriber, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async chatsChannelsChannelAdministratorGet(channel, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.chatsChannelsChannelAdministratorGet(channel, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async chatsChannelsChannelAdministratorPatch(channel, chatsChannelsChannelAdministratorGetRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.chatsChannelsChannelAdministratorPatch(channel, chatsChannelsChannelAdministratorGetRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async chatsChannelsChannelArchiveDelete(channel, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.chatsChannelsChannelArchiveDelete(channel, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async chatsChannelsChannelAttachmentsFilesGet(channel, $skip, $top, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.chatsChannelsChannelAttachmentsFilesGet(channel, $skip, $top, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async chatsChannelsChannelAttachmentsGet(channel, $skip, $top, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.chatsChannelsChannelAttachmentsGet(channel, $skip, $top, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async chatsChannelsChannelAttachmentsImagesGet(channel, $skip, $top, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.chatsChannelsChannelAttachmentsImagesGet(channel, $skip, $top, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async chatsChannelsChannelAttachmentsLinksGet(channel, $skip, $top, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.chatsChannelsChannelAttachmentsLinksGet(channel, $skip, $top, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async chatsChannelsChannelAttachmentsVideosGet(channel, $skip, $top, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.chatsChannelsChannelAttachmentsVideosGet(channel, $skip, $top, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async chatsChannelsChannelDelete(channel, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.chatsChannelsChannelDelete(channel, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async chatsChannelsChannelDescriptionPatch(channel, chatsChannelsChannelDescriptionPatchRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.chatsChannelsChannelDescriptionPatch(channel, chatsChannelsChannelDescriptionPatchRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async chatsChannelsChannelGet(channel, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.chatsChannelsChannelGet(channel, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async chatsChannelsChannelIconPatch(channel, chatsChannelsChannelIconPatchRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.chatsChannelsChannelIconPatch(channel, chatsChannelsChannelIconPatchRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async chatsChannelsChannelNamePatch(channel, chatsChannelsIsNameFreePostRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.chatsChannelsChannelNamePatch(channel, chatsChannelsIsNameFreePostRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async chatsChannelsChannelRestoreArchivedPost(channel, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.chatsChannelsChannelRestoreArchivedPost(channel, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async chatsChannelsChannelSubscribersTeamsDelete(channel, teams, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.chatsChannelsChannelSubscribersTeamsDelete(channel, teams, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async chatsChannelsChannelSubscribersTeamsGet(channel, query, $skip, $top, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.chatsChannelsChannelSubscribersTeamsGet(channel, query, $skip, $top, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async chatsChannelsChannelSubscribersTeamsPost(channel, chatsChannelsChannelSubscribersTeamsDeleteRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.chatsChannelsChannelSubscribersTeamsPost(channel, chatsChannelsChannelSubscribersTeamsDeleteRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async chatsChannelsChannelSubscribersUsersDelete(channel, profiles, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.chatsChannelsChannelSubscribersUsersDelete(channel, profiles, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async chatsChannelsChannelSubscribersUsersGet(channel, query, $skip, $top, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.chatsChannelsChannelSubscribersUsersGet(channel, query, $skip, $top, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async chatsChannelsChannelSubscribersUsersPost(channel, chatsChannelsChannelSubscribersUsersDeleteRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.chatsChannelsChannelSubscribersUsersPost(channel, chatsChannelsChannelSubscribersUsersDeleteRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async chatsChannelsConversationsChannelConvertPost(channel, chatsChannelsConversationsChannelConvertPostRequest, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.chatsChannelsConversationsChannelConvertPost(channel, chatsChannelsConversationsChannelConvertPostRequest, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async chatsChannelsConversationsChannelSubjectPatch(channel, chatsChannelsConversationsChannelSubjectPatchRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.chatsChannelsConversationsChannelSubjectPatch(channel, chatsChannelsConversationsChannelSubjectPatchRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async chatsChannelsConversationsPost(chatsChannelsConversationsPostRequest, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.chatsChannelsConversationsPost(chatsChannelsConversationsPostRequest, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async chatsChannelsDmPost(chatsChannelsDmPostRequest, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.chatsChannelsDmPost(chatsChannelsDmPostRequest, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async chatsChannelsIsNameFreePost(chatsChannelsIsNameFreePostRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.chatsChannelsIsNameFreePost(chatsChannelsIsNameFreePostRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async chatsChannelsPost(chatsChannelsPostRequest, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.chatsChannelsPost(chatsChannelsPostRequest, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async chatsMessagesDeleteMessagePost(chatsMessagesDeleteMessagePostRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.chatsMessagesDeleteMessagePost(chatsMessagesDeleteMessagePostRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async chatsMessagesEditMessagePost(chatsMessagesEditMessagePostRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.chatsMessagesEditMessagePost(chatsMessagesEditMessagePostRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async chatsMessagesGet(channel, sorting, batchSize, startFromDate, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.chatsMessagesGet(channel, sorting, batchSize, startFromDate, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async chatsMessagesImportPost(chatsMessagesImportPostRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.chatsMessagesImportPost(chatsMessagesImportPostRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async chatsMessagesMessageGet(message, channel, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.chatsMessagesMessageGet(message, channel, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async chatsMessagesPinPatch(chatsMessagesPinPatchRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.chatsMessagesPinPatch(chatsMessagesPinPatchRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async chatsMessagesPinnedMessagesGet(channel, $skip, $top, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.chatsMessagesPinnedMessagesGet(channel, $skip, $top, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async chatsMessagesSendMessagePost(chatsMessagesSendMessagePostRequest, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.chatsMessagesSendMessagePost(chatsMessagesSendMessagePostRequest, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async chatsMessagesSendPost(chatsMessagesSendPostRequest, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.chatsMessagesSendPost(chatsMessagesSendPostRequest, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async chatsMessagesUnpinPatch(chatsMessagesPinPatchRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.chatsMessagesUnpinPatch(chatsMessagesPinPatchRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async checklistsChecklistItemsPlanItemDelete(checklist, planItem, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.checklistsChecklistItemsPlanItemDelete(checklist, planItem, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async checklistsChecklistItemsPlanItemGet(checklist, planItem, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.checklistsChecklistItemsPlanItemGet(checklist, planItem, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async checklistsChecklistItemsPlanItemMovePost(checklist, planItem, checklistsChecklistItemsPlanItemMovePostRequest, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.checklistsChecklistItemsPlanItemMovePost(checklist, planItem, checklistsChecklistItemsPlanItemMovePostRequest, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async checklistsChecklistItemsPlanItemPatch(checklist, planItem, $fields, checklistsChecklistItemsPlanItemDeleteRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.checklistsChecklistItemsPlanItemPatch(checklist, planItem, $fields, checklistsChecklistItemsPlanItemDeleteRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async checklistsChecklistItemsPost(checklist, checklistsChecklistItemsPostRequest, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.checklistsChecklistItemsPost(checklist, checklistsChecklistItemsPostRequest, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async customFieldsExtendedTypesGet(scope, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.customFieldsExtendedTypesGet(scope, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async customFieldsTypeKeyAllValuesGet(typeKey, $skip, $top, extendedEntityIds, scope, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.customFieldsTypeKeyAllValuesGet(typeKey, $skip, $top, extendedEntityIds, scope, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async customFieldsTypeKeyEntityIdValuesGet(typeKey, entityId, scope, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.customFieldsTypeKeyEntityIdValuesGet(typeKey, entityId, scope, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async customFieldsTypeKeyEntityIdValuesPatch(entityId, typeKey, customFieldsTypeKeyEntityIdValuesGetRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.customFieldsTypeKeyEntityIdValuesPatch(entityId, typeKey, customFieldsTypeKeyEntityIdValuesGetRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async customFieldsTypeKeyEnumValuesCustomFieldIdGet(typeKey, customFieldId, $skip, $top, query, ordering, countRecords, addedByProfileId, scope, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.customFieldsTypeKeyEnumValuesCustomFieldIdGet(typeKey, customFieldId, $skip, $top, query, ordering, countRecords, addedByProfileId, scope, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async customFieldsTypeKeyEnumValuesCustomFieldIdPost(typeKey, customFieldId, customFieldsTypeKeyEnumValuesCustomFieldIdGetRequest, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.customFieldsTypeKeyEnumValuesCustomFieldIdPost(typeKey, customFieldId, customFieldsTypeKeyEnumValuesCustomFieldIdGetRequest, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async customFieldsTypeKeyFieldsGet(typeKey, withArchived, scope, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.customFieldsTypeKeyFieldsGet(typeKey, withArchived, scope, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async customFieldsTypeKeyFieldsIdArchivePost(typeKey, id, customFieldsTypeKeyFieldsIdArchivePostRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.customFieldsTypeKeyFieldsIdArchivePost(typeKey, id, customFieldsTypeKeyFieldsIdArchivePostRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async customFieldsTypeKeyFieldsIdDelete(typeKey, id, scope, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.customFieldsTypeKeyFieldsIdDelete(typeKey, id, scope, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async customFieldsTypeKeyFieldsIdFilterValuesGet(typeKey, id, $skip, $top, scope, calculateTotal, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.customFieldsTypeKeyFieldsIdFilterValuesGet(typeKey, id, $skip, $top, scope, calculateTotal, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async customFieldsTypeKeyFieldsIdPatch(typeKey, id, customFieldsTypeKeyFieldsIdDeleteRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.customFieldsTypeKeyFieldsIdPatch(typeKey, id, customFieldsTypeKeyFieldsIdDeleteRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async customFieldsTypeKeyFieldsIdRestorePost(typeKey, id, customFieldsTypeKeyFieldsIdArchivePostRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.customFieldsTypeKeyFieldsIdRestorePost(typeKey, id, customFieldsTypeKeyFieldsIdArchivePostRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async customFieldsTypeKeyFieldsPost(typeKey, customFieldsTypeKeyFieldsGetRequest, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.customFieldsTypeKeyFieldsPost(typeKey, customFieldsTypeKeyFieldsGetRequest, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async customFieldsTypeKeyFieldsReorderPost(typeKey, customFieldsTypeKeyFieldsReorderPostRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.customFieldsTypeKeyFieldsReorderPost(typeKey, customFieldsTypeKeyFieldsReorderPostRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async customFieldsV2EntityTypeFieldsCustomFieldArchivePost(entityType, customField, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.customFieldsV2EntityTypeFieldsCustomFieldArchivePost(entityType, customField, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async customFieldsV2EntityTypeFieldsCustomFieldDelete(entityType, customField, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.customFieldsV2EntityTypeFieldsCustomFieldDelete(entityType, customField, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async customFieldsV2EntityTypeFieldsCustomFieldEnumValuesBulkUpdatePost(entityType, customField, customFieldsV2EntityTypeFieldsCustomFieldEnumValuesBulkUpdatePostRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.customFieldsV2EntityTypeFieldsCustomFieldEnumValuesBulkUpdatePost(entityType, customField, customFieldsV2EntityTypeFieldsCustomFieldEnumValuesBulkUpdatePostRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async customFieldsV2EntityTypeFieldsCustomFieldEnumValuesEnumValueToRemoveDelete(entityType, customField, enumValueToRemove, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.customFieldsV2EntityTypeFieldsCustomFieldEnumValuesEnumValueToRemoveDelete(entityType, customField, enumValueToRemove, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async customFieldsV2EntityTypeFieldsCustomFieldEnumValuesGet(entityType, customField, query, ordering, addedByProfileId, $skip, $top, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.customFieldsV2EntityTypeFieldsCustomFieldEnumValuesGet(entityType, customField, query, ordering, addedByProfileId, $skip, $top, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async customFieldsV2EntityTypeFieldsCustomFieldEnumValuesPatch(entityType, customField, customFieldsV2EntityTypeFieldsCustomFieldEnumValuesGetRequest1, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.customFieldsV2EntityTypeFieldsCustomFieldEnumValuesPatch(entityType, customField, customFieldsV2EntityTypeFieldsCustomFieldEnumValuesGetRequest1, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async customFieldsV2EntityTypeFieldsCustomFieldEnumValuesPost(entityType, customField, customFieldsV2EntityTypeFieldsCustomFieldEnumValuesGetRequest, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.customFieldsV2EntityTypeFieldsCustomFieldEnumValuesPost(entityType, customField, customFieldsV2EntityTypeFieldsCustomFieldEnumValuesGetRequest, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async customFieldsV2EntityTypeFieldsCustomFieldGet(entityType, customField, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.customFieldsV2EntityTypeFieldsCustomFieldGet(entityType, customField, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async customFieldsV2EntityTypeFieldsCustomFieldPatch(entityType, customField, customFieldsV2EntityTypeFieldsCustomFieldDeleteRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.customFieldsV2EntityTypeFieldsCustomFieldPatch(entityType, customField, customFieldsV2EntityTypeFieldsCustomFieldDeleteRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async customFieldsV2EntityTypeFieldsCustomFieldRestorePost(entityType, customField, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.customFieldsV2EntityTypeFieldsCustomFieldRestorePost(entityType, customField, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async customFieldsV2EntityTypeFieldsGet(entityType, withArchived, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.customFieldsV2EntityTypeFieldsGet(entityType, withArchived, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async customFieldsV2EntityTypeFieldsPost(entityType, customFieldsV2EntityTypeFieldsGetRequest, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.customFieldsV2EntityTypeFieldsPost(entityType, customFieldsV2EntityTypeFieldsGetRequest, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async customFieldsV2EntityTypeFieldsReorderPost(entityType, customFieldsV2EntityTypeFieldsReorderPostRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.customFieldsV2EntityTypeFieldsReorderPost(entityType, customFieldsV2EntityTypeFieldsReorderPostRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async customFieldsV2ValuesEntityCustomFieldGet(entity, customField, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.customFieldsV2ValuesEntityCustomFieldGet(entity, customField, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async customFieldsV2ValuesEntityCustomFieldPost(entity, customField, customFieldsV2ValuesEntityCustomFieldGetRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.customFieldsV2ValuesEntityCustomFieldPost(entity, customField, customFieldsV2ValuesEntityCustomFieldGetRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async customFieldsV2ValuesEntityGet(entity, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.customFieldsV2ValuesEntityGet(entity, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async customFieldsV2ValuesEntityPost(entity, customFieldsV2ValuesEntityGetRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.customFieldsV2ValuesEntityPost(entity, customFieldsV2ValuesEntityGetRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async emojisAddPost(emojisAddPostRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.emojisAddPost(emojisAddPostRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async emojisDeletePost(emojisDeletePostRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.emojisDeletePost(emojisDeletePostRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async emojisExistsGet(emoji, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.emojisExistsGet(emoji, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async emojisFrequentlyUsedGet(options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.emojisFrequentlyUsedGet(options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async emojisRecordUsagePost(emojisRecordUsagePostRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.emojisRecordUsagePost(emojisRecordUsagePostRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async emojisSearchGet(query, $skip, $top, version, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.emojisSearchGet(query, $skip, $top, version, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async externalLinkPatternsDelete(pattern, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.externalLinkPatternsDelete(pattern, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async externalLinkPatternsGet($fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.externalLinkPatternsGet($fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async externalLinkPatternsPost(externalLinkPatternsDeleteRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.externalLinkPatternsPost(externalLinkPatternsDeleteRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async httpApiModelGet($fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.httpApiModelGet($fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async notificationsChannelSubscriptionsGet(channel, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.notificationsChannelSubscriptionsGet(channel, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async notificationsChannelSubscriptionsIdDelete(id, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.notificationsChannelSubscriptionsIdDelete(id, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async notificationsChannelSubscriptionsIdPatch(id, $fields, notificationsChannelSubscriptionsIdDeleteRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.notificationsChannelSubscriptionsIdPatch(id, $fields, notificationsChannelSubscriptionsIdDeleteRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async notificationsChannelSubscriptionsIdRequestMissingRightsPost(id, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.notificationsChannelSubscriptionsIdRequestMissingRightsPost(id, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async notificationsChannelSubscriptionsPost(notificationsChannelSubscriptionsGetRequest, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.notificationsChannelSubscriptionsPost(notificationsChannelSubscriptionsGetRequest, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async notificationsGet($fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.notificationsGet($fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async notificationsPersonalCustomSubscriptionsGet(profile, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.notificationsPersonalCustomSubscriptionsGet(profile, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async notificationsPersonalCustomSubscriptionsIdDelete(id, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.notificationsPersonalCustomSubscriptionsIdDelete(id, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async notificationsPersonalCustomSubscriptionsIdPatch(id, $fields, notificationsPersonalCustomSubscriptionsIdDeleteRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.notificationsPersonalCustomSubscriptionsIdPatch(id, $fields, notificationsPersonalCustomSubscriptionsIdDeleteRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async notificationsPersonalCustomSubscriptionsPost(notificationsPersonalCustomSubscriptionsGetRequest, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.notificationsPersonalCustomSubscriptionsPost(notificationsPersonalCustomSubscriptionsGetRequest, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async notificationsPersonalSubscriptionsAllPersonalSubscriptionTargetsGet($fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.notificationsPersonalSubscriptionsAllPersonalSubscriptionTargetsGet($fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async notificationsPersonalSubscriptionsPersonalSubscriptionSettingsGet(profile, feed, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.notificationsPersonalSubscriptionsPersonalSubscriptionSettingsGet(profile, feed, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async notificationsPersonalSubscriptionsUpdatePersonalSubscriptionSubjectPost(notificationsPersonalSubscriptionsUpdatePersonalSubscriptionSubjectPostRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.notificationsPersonalSubscriptionsUpdatePersonalSubscriptionSubjectPost(notificationsPersonalSubscriptionsUpdatePersonalSubscriptionSubjectPostRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async notificationsPersonalSubscriptionsUpdatePersonalSubscriptionTargetPost(notificationsPersonalSubscriptionsUpdatePersonalSubscriptionTargetPostRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.notificationsPersonalSubscriptionsUpdatePersonalSubscriptionTargetPost(notificationsPersonalSubscriptionsUpdatePersonalSubscriptionTargetPostRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async notificationsPrivateFeedsGet(profile, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.notificationsPrivateFeedsGet(profile, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async notificationsPrivateFeedsIdDelete(id, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.notificationsPrivateFeedsIdDelete(id, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async notificationsPrivateFeedsIdPatch(id, $fields, notificationsPrivateFeedsIdDeleteRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.notificationsPrivateFeedsIdPatch(id, $fields, notificationsPrivateFeedsIdDeleteRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async notificationsPrivateFeedsPost(notificationsPrivateFeedsGetRequest, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.notificationsPrivateFeedsPost(notificationsPrivateFeedsGetRequest, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async organizationDomainsCheckGet(domain, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.organizationDomainsCheckGet(domain, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async organizationDomainsGet($fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.organizationDomainsGet($fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async organizationDomainsPatch(organizationDomainsGetRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.organizationDomainsPatch(organizationDomainsGetRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async organizationGet($fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.organizationGet($fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async organizationJetSalesLicenseActivationUrlGet(options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.organizationJetSalesLicenseActivationUrlGet(options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async organizationJetSalesUrlGet(options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.organizationJetSalesUrlGet(options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async organizationPatch(organizationGetRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.organizationPatch(organizationGetRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async permissionRolesCreatePost(permissionRolesCreatePostRequest, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.permissionRolesCreatePost(permissionRolesCreatePostRequest, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async permissionRolesGetPost(applicationsApplicationUiExtensionsDisableForEverybodyPatchRequest, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.permissionRolesGetPost(applicationsApplicationUiExtensionsDisableForEverybodyPatchRequest, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async permissionRolesRoleId2FaRequirementGet(roleId, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.permissionRolesRoleId2FaRequirementGet(roleId, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async permissionRolesRoleId2FaRequirementPatch(roleId, permissionRolesRoleId2FaRequirementGetRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.permissionRolesRoleId2FaRequirementPatch(roleId, permissionRolesRoleId2FaRequirementGetRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async permissionRolesRoleIdDelete(roleId, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.permissionRolesRoleIdDelete(roleId, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async permissionRolesRoleIdPatch(roleId, chatsChannelsIsNameFreePostRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.permissionRolesRoleIdPatch(roleId, chatsChannelsIsNameFreePostRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async permissionRolesRoleIdPermissionsDelete(roleId, rightCodes, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.permissionRolesRoleIdPermissionsDelete(roleId, rightCodes, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async permissionRolesRoleIdPermissionsGet(roleId, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.permissionRolesRoleIdPermissionsGet(roleId, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async permissionRolesRoleIdPermissionsPost(roleId, permissionRolesRoleIdPermissionsDeleteRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.permissionRolesRoleIdPermissionsPost(roleId, permissionRolesRoleIdPermissionsDeleteRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async permissionRolesRoleIdProfilesGet(roleId, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.permissionRolesRoleIdProfilesGet(roleId, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async permissionRolesRoleIdProfilesProfileDelete(roleId, profile, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.permissionRolesRoleIdProfilesProfileDelete(roleId, profile, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async permissionRolesRoleIdProfilesProfilePost(roleId, profile, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.permissionRolesRoleIdProfilesProfilePost(roleId, profile, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async permissionRolesRoleIdResetRolePermissionsToDefaultPost(roleId, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.permissionRolesRoleIdResetRolePermissionsToDefaultPost(roleId, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async permissionRolesRoleIdTeamsGet(roleId, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.permissionRolesRoleIdTeamsGet(roleId, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async permissionRolesRoleIdTeamsTeamDelete(roleId, team, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.permissionRolesRoleIdTeamsTeamDelete(roleId, team, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async permissionRolesRoleIdTeamsTeamPost(roleId, team, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.permissionRolesRoleIdTeamsTeamPost(roleId, team, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async permissionsCheckPermissionPost(permissionsCheckPermissionPostRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.permissionsCheckPermissionPost(permissionsCheckPermissionPostRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async permissionsGet($fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.permissionsGet($fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsAutomationDslEvaluationsConfigGet($fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsAutomationDslEvaluationsConfigGet($fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsAutomationGraphExecutionsIdGet(id, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsAutomationGraphExecutionsIdGet(id, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsAutomationGraphExecutionsIdStopPost(id, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsAutomationGraphExecutionsIdStopPost(id, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsAutomationJobExecutionsCurrentGet($fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsAutomationJobExecutionsCurrentGet($fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsAutomationJobsJobIdGet(jobId, project, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsAutomationJobsJobIdGet(jobId, project, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsAutomationStepExecutionsStepExecIdParametersKeyDelete(stepExecId, key, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsAutomationStepExecutionsStepExecIdParametersKeyDelete(stepExecId, key, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsAutomationStepExecutionsStepExecIdParametersKeyGet(stepExecId, key, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsAutomationStepExecutionsStepExecIdParametersKeyGet(stepExecId, key, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsAutomationStepExecutionsStepExecIdParametersKeyPatch(stepExecId, key, projectsAutomationStepExecutionsStepExecIdParametersKeyDeleteRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsAutomationStepExecutionsStepExecIdParametersKeyPatch(stepExecId, key, projectsAutomationStepExecutionsStepExecIdParametersKeyDeleteRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsAutomationStepExecutionsUsedParametersParamParameterIdGet(parameterId, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsAutomationStepExecutionsUsedParametersParamParameterIdGet(parameterId, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsAutomationStepExecutionsUsedParametersSecretSecretIdGet(secretId, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsAutomationStepExecutionsUsedParametersSecretSecretIdGet(secretId, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsAutomationSubscriptionsLegacyChannelsDelete(project, jobId, unsubscribedOnly, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsAutomationSubscriptionsLegacyChannelsDelete(project, jobId, unsubscribedOnly, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsCollaboratorprofileGet(profile, $skip, $top, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsCollaboratorprofileGet(profile, $skip, $top, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsGet($skip, $top, term, tag, starred, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsGet($skip, $top, term, tag, starred, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsMembermemberGet(member, $skip, $top, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsMembermemberGet(member, $skip, $top, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsParamsDefaultBundleGet(project, $skip, $top, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsParamsDefaultBundleGet(project, $skip, $top, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsParamsDefaultBundlePost(projectsParamsDefaultBundleGetRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsParamsDefaultBundlePost(projectsParamsDefaultBundleGetRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsParamsIdDelete(id, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsParamsIdDelete(id, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsParamsIdPatch(id, projectsParamsIdDeleteRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsParamsIdPatch(id, projectsParamsIdDeleteRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsParamsInDefaultBundleGet(projectId, $skip, $top, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsParamsInDefaultBundleGet(projectId, $skip, $top, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsParamsInDefaultBundlePost(projectsParamsInDefaultBundleGetRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsParamsInDefaultBundlePost(projectsParamsInDefaultBundleGetRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsPlanningBoardsBoardDelete(board, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsPlanningBoardsBoardDelete(board, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsPlanningBoardsBoardGet(board, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsPlanningBoardsBoardGet(board, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsPlanningBoardsBoardIssuesGet(board, $skip, $top, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsPlanningBoardsBoardIssuesGet(board, $skip, $top, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsPlanningBoardsBoardIssuesIssueDelete(issue, board, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsPlanningBoardsBoardIssuesIssueDelete(issue, board, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsPlanningBoardsBoardIssuesIssuePost(issue, board, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsPlanningBoardsBoardIssuesIssuePost(issue, board, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsPlanningBoardsBoardPatch(board, projectsPlanningBoardsBoardDeleteRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsPlanningBoardsBoardPatch(board, projectsPlanningBoardsBoardDeleteRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsPlanningBoardsSprintsPost(projectsPlanningBoardsSprintsPostRequest, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsPlanningBoardsSprintsPost(projectsPlanningBoardsSprintsPostRequest, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsPlanningBoardsSprintsSprintArchiveDelete(sprint, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsPlanningBoardsSprintsSprintArchiveDelete(sprint, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsPlanningBoardsSprintsSprintIssuesGet(sprint, $skip, $top, unresolvedOnly, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsPlanningBoardsSprintsSprintIssuesGet(sprint, $skip, $top, unresolvedOnly, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsPlanningBoardsSprintsSprintIssuesIssueDelete(issue, sprint, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsPlanningBoardsSprintsSprintIssuesIssueDelete(issue, sprint, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsPlanningBoardsSprintsSprintIssuesIssuePost(issue, sprint, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsPlanningBoardsSprintsSprintIssuesIssuePost(issue, sprint, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsPlanningBoardsSprintsSprintLaunchPost(sprint, projectsPlanningBoardsSprintsSprintLaunchPostRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsPlanningBoardsSprintsSprintLaunchPost(sprint, projectsPlanningBoardsSprintsSprintLaunchPostRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsPlanningBoardsSprintsSprintPatch(sprint, projectsPlanningBoardsSprintsSprintPatchRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsPlanningBoardsSprintsSprintPatch(sprint, projectsPlanningBoardsSprintsSprintPatchRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsPost(projectsGetRequest, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsPost(projectsGetRequest, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsPrivateProjectsGet($fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsPrivateProjectsGet($fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsPrivateProjectsProjectRequestAccessPost(project, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsPrivateProjectsProjectRequestAccessPost(project, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectAccessAdminsGet(project, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectAccessAdminsGet(project, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectAccessAdminsProfilesPost(project, chatsChannelsChannelAdministratorGetRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectAccessAdminsProfilesPost(project, chatsChannelsChannelAdministratorGetRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectAccessAdminsProfilesProfileDelete(project, profile, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectAccessAdminsProfilesProfileDelete(project, profile, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectAccessAdminsTeamsPost(project, projectsProjectAccessAdminsTeamsPostRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectAccessAdminsTeamsPost(project, projectsProjectAccessAdminsTeamsPostRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectAccessAdminsTeamsTeamIdDelete(project, teamId, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectAccessAdminsTeamsTeamIdDelete(project, teamId, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectAccessCollaboratorsGet(project, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectAccessCollaboratorsGet(project, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectAccessCollaboratorsProfilesDelete(project, profile, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectAccessCollaboratorsProfilesDelete(project, profile, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectAccessCollaboratorsProfilesGet(project, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectAccessCollaboratorsProfilesGet(project, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectAccessCollaboratorsProfilesPost(project, chatsChannelsChannelAdministratorGetRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectAccessCollaboratorsProfilesPost(project, chatsChannelsChannelAdministratorGetRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectAccessCollaboratorsTeamsDelete(project, teamId, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectAccessCollaboratorsTeamsDelete(project, teamId, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectAccessCollaboratorsTeamsGet(project, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectAccessCollaboratorsTeamsGet(project, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectAccessCollaboratorsTeamsPost(project, projectsProjectAccessAdminsTeamsPostRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectAccessCollaboratorsTeamsPost(project, projectsProjectAccessAdminsTeamsPostRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectAccessMemberProfilesGet(project, $skip, $top, query, includingAdmins, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectAccessMemberProfilesGet(project, $skip, $top, query, includingAdmins, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectAccessMembersProfilesPost(project, chatsChannelsChannelAdministratorGetRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectAccessMembersProfilesPost(project, chatsChannelsChannelAdministratorGetRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectAccessMembersProfilesProfileDelete(project, profile, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectAccessMembersProfilesProfileDelete(project, profile, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectAccessMembersTeamsPost(project, projectsProjectAccessAdminsTeamsPostRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectAccessMembersTeamsPost(project, projectsProjectAccessAdminsTeamsPostRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectAccessMembersTeamsTeamIdDelete(project, teamId, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectAccessMembersTeamsTeamIdDelete(project, teamId, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectAccessViewersGet(project, term, $skip, $top, meOnTop, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectAccessViewersGet(project, term, $skip, $top, meOnTop, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectAutomationDeploymentTargetsFavoritesGet(project, sortBy, sortOrder, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectAutomationDeploymentTargetsFavoritesGet(project, sortBy, sortOrder, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectAutomationDeploymentTargetsGet(project, search, sortBy, sortOrder, $skip, $top, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectAutomationDeploymentTargetsGet(project, search, sortBy, sortOrder, $skip, $top, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectAutomationDeploymentTargetsPost(project, projectsProjectAutomationDeploymentTargetsGetRequest, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectAutomationDeploymentTargetsPost(project, projectsProjectAutomationDeploymentTargetsGetRequest, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectAutomationDeploymentTargetsTargetDelete(project, target, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectAutomationDeploymentTargetsTargetDelete(project, target, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectAutomationDeploymentTargetsTargetGet(project, target, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectAutomationDeploymentTargetsTargetGet(project, target, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectAutomationDeploymentTargetsTargetPut(project, target, projectsProjectAutomationDeploymentTargetsTargetDeleteRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectAutomationDeploymentTargetsTargetPut(project, target, projectsProjectAutomationDeploymentTargetsTargetDeleteRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectAutomationDeploymentsFailPost(project, projectsProjectAutomationDeploymentsFailPostRequest, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectAutomationDeploymentsFailPost(project, projectsProjectAutomationDeploymentsFailPostRequest, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectAutomationDeploymentsFinishPost(project, projectsProjectAutomationDeploymentsFinishPostRequest, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectAutomationDeploymentsFinishPost(project, projectsProjectAutomationDeploymentsFinishPostRequest, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectAutomationDeploymentsGet(project, targetIdentifier, jobExecutionId, $skip, $top, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectAutomationDeploymentsGet(project, targetIdentifier, jobExecutionId, $skip, $top, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectAutomationDeploymentsPut(project, projectsProjectAutomationDeploymentsGetRequest, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectAutomationDeploymentsPut(project, projectsProjectAutomationDeploymentsGetRequest, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectAutomationDeploymentsSchedulePost(project, projectsProjectAutomationDeploymentsSchedulePostRequest, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectAutomationDeploymentsSchedulePost(project, projectsProjectAutomationDeploymentsSchedulePostRequest, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectAutomationDeploymentsStartPost(project, projectsProjectAutomationDeploymentsStartPostRequest, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectAutomationDeploymentsStartPost(project, projectsProjectAutomationDeploymentsStartPostRequest, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectAutomationDeploymentsTargetIdentifierDeploymentIdentifierDelete(project, targetIdentifier, deploymentIdentifier, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectAutomationDeploymentsTargetIdentifierDeploymentIdentifierDelete(project, targetIdentifier, deploymentIdentifier, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectAutomationDeploymentsTargetIdentifierDeploymentIdentifierGet(project, targetIdentifier, deploymentIdentifier, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectAutomationDeploymentsTargetIdentifierDeploymentIdentifierGet(project, targetIdentifier, deploymentIdentifier, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectAutomationGraphExecutionsGet(project, jobId, branchFilter, statusFilter, jobTriggerFilter, $skip, $top, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectAutomationGraphExecutionsGet(project, jobId, branchFilter, statusFilter, jobTriggerFilter, $skip, $top, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectAutomationJobsGet(project, repoFilter, branchFilter, trigger, $skip, $top, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectAutomationJobsGet(project, repoFilter, branchFilter, trigger, $skip, $top, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectAutomationJobsJobIdStartPost(project, jobId, projectsProjectAutomationJobsJobIdStartPostRequest, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectAutomationJobsJobIdStartPost(project, jobId, projectsProjectAutomationJobsJobIdStartPostRequest, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectCodeReviewsCodeDiscussionsDiscussionIdAcceptSuggestedEditPost(project, discussionId, projectsProjectCodeReviewsCodeDiscussionsDiscussionIdAcceptSuggestedEditPostRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectCodeReviewsCodeDiscussionsDiscussionIdAcceptSuggestedEditPost(project, discussionId, projectsProjectCodeReviewsCodeDiscussionsDiscussionIdAcceptSuggestedEditPostRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectCodeReviewsCodeDiscussionsDiscussionIdRejectSuggestedEditPost(project, discussionId, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectCodeReviewsCodeDiscussionsDiscussionIdRejectSuggestedEditPost(project, discussionId, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectCodeReviewsCodeDiscussionsDiscussionIdReopenSuggestedEditPost(project, discussionId, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectCodeReviewsCodeDiscussionsDiscussionIdReopenSuggestedEditPost(project, discussionId, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectCodeReviewsCodeDiscussionsDiscussionIdSuggestedEditPatch(project, discussionId, projectsProjectCodeReviewsCodeDiscussionsDiscussionIdSuggestedEditPatchRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectCodeReviewsCodeDiscussionsDiscussionIdSuggestedEditPatch(project, discussionId, projectsProjectCodeReviewsCodeDiscussionsDiscussionIdSuggestedEditPatchRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectCodeReviewsCodeDiscussionsPost(project, projectsProjectCodeReviewsCodeDiscussionsPostRequest, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectCodeReviewsCodeDiscussionsPost(project, projectsProjectCodeReviewsCodeDiscussionsPostRequest, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectCodeReviewsCommitSetReviewPost(project, projectsProjectCodeReviewsCommitSetReviewPostRequest, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectCodeReviewsCommitSetReviewPost(project, projectsProjectCodeReviewsCommitSetReviewPostRequest, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectCodeReviewsGet(project, $skip, $top, state, text, author, from, to, sort, reviewer, type, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectCodeReviewsGet(project, $skip, $top, state, text, author, from, to, sort, reviewer, type, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectCodeReviewsMergeRequestsPost(project, projectsProjectCodeReviewsMergeRequestsPostRequest, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectCodeReviewsMergeRequestsPost(project, projectsProjectCodeReviewsMergeRequestsPostRequest, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectCodeReviewsReviewIdDescriptionPatch(project, reviewId, chatsChannelsChannelDescriptionPatchRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectCodeReviewsReviewIdDescriptionPatch(project, reviewId, chatsChannelsChannelDescriptionPatchRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectCodeReviewsReviewIdDetailsGet(project, reviewId, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectCodeReviewsReviewIdDetailsGet(project, reviewId, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectCodeReviewsReviewIdFilesGet(project, reviewId, $skip, $top, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectCodeReviewsReviewIdFilesGet(project, reviewId, $skip, $top, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectCodeReviewsReviewIdGet(project, reviewId, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectCodeReviewsReviewIdGet(project, reviewId, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectCodeReviewsReviewIdMergeFilesGet(project, reviewId, $skip, $top, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectCodeReviewsReviewIdMergeFilesGet(project, reviewId, $skip, $top, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectCodeReviewsReviewIdMergePut(project, reviewId, projectsProjectCodeReviewsReviewIdMergePutRequest, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectCodeReviewsReviewIdMergePut(project, reviewId, projectsProjectCodeReviewsReviewIdMergePutRequest, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectCodeReviewsReviewIdParticipantsUserDelete(project, reviewId, user, role, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectCodeReviewsReviewIdParticipantsUserDelete(project, reviewId, user, role, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectCodeReviewsReviewIdParticipantsUserPost(project, reviewId, user, projectsProjectCodeReviewsReviewIdParticipantsUserDeleteRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectCodeReviewsReviewIdParticipantsUserPost(project, reviewId, user, projectsProjectCodeReviewsReviewIdParticipantsUserDeleteRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectCodeReviewsReviewIdRebasePut(project, reviewId, projectsProjectCodeReviewsReviewIdRebasePutRequest, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectCodeReviewsReviewIdRebasePut(project, reviewId, projectsProjectCodeReviewsReviewIdRebasePutRequest, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectCodeReviewsReviewIdRevisionsDelete(project, reviewId, revisions, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectCodeReviewsReviewIdRevisionsDelete(project, reviewId, revisions, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectCodeReviewsReviewIdRevisionsPost(project, reviewId, projectsProjectCodeReviewsReviewIdRevisionsDeleteRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectCodeReviewsReviewIdRevisionsPost(project, reviewId, projectsProjectCodeReviewsReviewIdRevisionsDeleteRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectCodeReviewsReviewIdStatePatch(project, reviewId, projectsProjectCodeReviewsReviewIdStatePatchRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectCodeReviewsReviewIdStatePatch(project, reviewId, projectsProjectCodeReviewsReviewIdStatePatchRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectCodeReviewsReviewIdSuggestedReviewersGet(project, reviewId, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectCodeReviewsReviewIdSuggestedReviewersGet(project, reviewId, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectCodeReviewsReviewIdTitlePatch(project, reviewId, projectsProjectCodeReviewsReviewIdTitlePatchRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectCodeReviewsReviewIdTitlePatch(project, reviewId, projectsProjectCodeReviewsReviewIdTitlePatchRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectDelete(project, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectDelete(project, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectDocumentsDocumentIdCopyPost(project, documentId, projectsProjectDocumentsDocumentIdCopyPostRequest, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectDocumentsDocumentIdCopyPost(project, documentId, projectsProjectDocumentsDocumentIdCopyPostRequest, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectDocumentsDocumentIdDelete(project, documentId, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectDocumentsDocumentIdDelete(project, documentId, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectDocumentsDocumentIdDeleteForeverDelete(project, documentId, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectDocumentsDocumentIdDeleteForeverDelete(project, documentId, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectDocumentsDocumentIdGet(project, documentId, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectDocumentsDocumentIdGet(project, documentId, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectDocumentsDocumentIdMovePatch(project, documentId, projectsProjectDocumentsDocumentIdMovePatchRequest, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectDocumentsDocumentIdMovePatch(project, documentId, projectsProjectDocumentsDocumentIdMovePatchRequest, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectDocumentsDocumentIdPatch(project, documentId, $fields, projectsProjectDocumentsDocumentIdDeleteRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectDocumentsDocumentIdPatch(project, documentId, $fields, projectsProjectDocumentsDocumentIdDeleteRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectDocumentsDocumentIdUnarchivePatch(project, documentId, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectDocumentsDocumentIdUnarchivePatch(project, documentId, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectDocumentsFoldersFolderDelete(project, folder, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectDocumentsFoldersFolderDelete(project, folder, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectDocumentsFoldersFolderDocumentsGet(project, folder, withArchived, sortBy, order, $skip, $top, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectDocumentsFoldersFolderDocumentsGet(project, folder, withArchived, sortBy, order, $skip, $top, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectDocumentsFoldersFolderGet(project, folder, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectDocumentsFoldersFolderGet(project, folder, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectDocumentsFoldersFolderIntroductionDelete(project, folder, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectDocumentsFoldersFolderIntroductionDelete(project, folder, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectDocumentsFoldersFolderIntroductionDocumentIdPatch(project, folder, documentId, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectDocumentsFoldersFolderIntroductionDocumentIdPatch(project, folder, documentId, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectDocumentsFoldersFolderMovePatch(project, folder, projectsProjectDocumentsFoldersFolderMovePatchRequest, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectDocumentsFoldersFolderMovePatch(project, folder, projectsProjectDocumentsFoldersFolderMovePatchRequest, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectDocumentsFoldersFolderPatch(project, folder, chatsChannelsIsNameFreePostRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectDocumentsFoldersFolderPatch(project, folder, chatsChannelsIsNameFreePostRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectDocumentsFoldersFolderSubfoldersGet(project, folder, withArchived, sortBy, order, $skip, $top, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectDocumentsFoldersFolderSubfoldersGet(project, folder, withArchived, sortBy, order, $skip, $top, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectDocumentsFoldersPost(project, projectsProjectDocumentsFoldersPostRequest, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectDocumentsFoldersPost(project, projectsProjectDocumentsFoldersPostRequest, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectDocumentsPost(project, projectsProjectDocumentsPostRequest, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectDocumentsPost(project, projectsProjectDocumentsPostRequest, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectGet(project, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectGet(project, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectPackagesRepositoriesGet(project, type, query, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectPackagesRepositoriesGet(project, type, query, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectPackagesRepositoriesPost(project, projectsProjectPackagesRepositoriesGetRequest, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectPackagesRepositoriesPost(project, projectsProjectPackagesRepositoriesGetRequest, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectPackagesRepositoriesRepositoryCleanupDryPost(project, repository, projectsProjectPackagesRepositoriesRepositoryCleanupDryPostRequest, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectPackagesRepositoriesRepositoryCleanupDryPost(project, repository, projectsProjectPackagesRepositoriesRepositoryCleanupDryPostRequest, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectPackagesRepositoriesRepositoryCleanupPost(project, repository, $fields, projectsProjectPackagesRepositoriesRepositoryCleanupPostRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectPackagesRepositoriesRepositoryCleanupPost(project, repository, $fields, projectsProjectPackagesRepositoriesRepositoryCleanupPostRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectPackagesRepositoriesRepositoryConnectionsConnectionIdPublishGet(project, repository, connectionId, $skip, $top, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectPackagesRepositoriesRepositoryConnectionsConnectionIdPublishGet(project, repository, connectionId, $skip, $top, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectPackagesRepositoriesRepositoryConnectionsConnectionIdPublishPost(project, repository, connectionId, projectsProjectPackagesRepositoriesRepositoryConnectionsConnectionIdPublishGetRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectPackagesRepositoriesRepositoryConnectionsConnectionIdPublishPost(project, repository, connectionId, projectsProjectPackagesRepositoriesRepositoryConnectionsConnectionIdPublishGetRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectPackagesRepositoriesRepositoryConnectionsGet(project, repository, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectPackagesRepositoriesRepositoryConnectionsGet(project, repository, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectPackagesRepositoriesRepositoryDelete(project, repository, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectPackagesRepositoriesRepositoryDelete(project, repository, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectPackagesRepositoriesRepositoryFilesFolderfolderPathDelete(project, repository, folderPath, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectPackagesRepositoriesRepositoryFilesFolderfolderPathDelete(project, repository, folderPath, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectPackagesRepositoriesRepositoryFilesGet(project, repository, parentPath, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectPackagesRepositoriesRepositoryFilesGet(project, repository, parentPath, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectPackagesRepositoriesRepositoryFilesNamefilePathDelete(project, repository, filePath, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectPackagesRepositoriesRepositoryFilesNamefilePathDelete(project, repository, filePath, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectPackagesRepositoriesRepositoryFilesNamefilePathGet(project, repository, filePath, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectPackagesRepositoriesRepositoryFilesNamefilePathGet(project, repository, filePath, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectPackagesRepositoriesRepositoryGet(project, repository, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectPackagesRepositoriesRepositoryGet(project, repository, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectPackagesRepositoriesRepositoryPackagesGet(project, repository, query, connectionId, $skip, $top, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectPackagesRepositoriesRepositoryPackagesGet(project, repository, query, connectionId, $skip, $top, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectPackagesRepositoriesRepositoryPackagesNamepackageNameDelete(project, repository, packageName, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectPackagesRepositoriesRepositoryPackagesNamepackageNameDelete(project, repository, packageName, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectPackagesRepositoriesRepositoryPackagesNamepackageNameMetadataGet(project, repository, packageName, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectPackagesRepositoriesRepositoryPackagesNamepackageNameMetadataGet(project, repository, packageName, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectPackagesRepositoriesRepositoryPackagesNamepackageNameMetadataPut(project, repository, packageName, projectsProjectPackagesRepositoriesRepositoryPackagesNamePackageNameMetadataGetRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectPackagesRepositoriesRepositoryPackagesNamepackageNameMetadataPut(project, repository, packageName, projectsProjectPackagesRepositoriesRepositoryPackagesNamePackageNameMetadataGetRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectPackagesRepositoriesRepositoryPackagesNamepackageNameMetadataVersionpackageVersionPut(project, repository, packageName, packageVersion, projectsProjectPackagesRepositoriesRepositoryPackagesNamePackageNameMetadataVersionPackageVersionPutRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectPackagesRepositoriesRepositoryPackagesNamepackageNameMetadataVersionpackageVersionPut(project, repository, packageName, packageVersion, projectsProjectPackagesRepositoriesRepositoryPackagesNamePackageNameMetadataVersionPackageVersionPutRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectPackagesRepositoriesRepositoryPackagesNamepackageNameVersionsGet(project, repository, packageName, query, sortColumn, sortOrder, connectionId, pinned, $skip, $top, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectPackagesRepositoriesRepositoryPackagesNamepackageNameVersionsGet(project, repository, packageName, query, sortColumn, sortOrder, connectionId, pinned, $skip, $top, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectPackagesRepositoriesRepositoryPackagesNamepackageNameVersionsVersionpackageVersionDelete(project, repository, packageName, packageVersion, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectPackagesRepositoriesRepositoryPackagesNamepackageNameVersionsVersionpackageVersionDelete(project, repository, packageName, packageVersion, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectPackagesRepositoriesRepositoryPackagesNamepackageNameVersionsVersionpackageVersionGet(project, repository, packageName, packageVersion, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectPackagesRepositoriesRepositoryPackagesNamepackageNameVersionsVersionpackageVersionGet(project, repository, packageName, packageVersion, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectPackagesRepositoriesRepositoryPatch(project, repository, projectsProjectPackagesRepositoriesRepositoryDeleteRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectPackagesRepositoriesRepositoryPatch(project, repository, projectsProjectPackagesRepositoriesRepositoryDeleteRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectPackagesRepositoriesRepositoryUrlGet(project, repository, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectPackagesRepositoriesRepositoryUrlGet(project, repository, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectPackagesRepositoriesTypetypeRepositoryrepositoryNamePackagesGet(project, type, repositoryName, query, $skip, $top, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectPackagesRepositoriesTypetypeRepositoryrepositoryNamePackagesGet(project, type, repositoryName, query, $skip, $top, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectPackagesRepositoriesTypetypeRepositoryrepositoryNamePackagesNamepackageNameVersionsGet(project, type, repositoryName, packageName, query, sortColumn, sortOrder, $skip, $top, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectPackagesRepositoriesTypetypeRepositoryrepositoryNamePackagesNamepackageNameVersionsGet(project, type, repositoryName, packageName, query, sortColumn, sortOrder, $skip, $top, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectPackagesRepositoriesTypetypeRepositoryrepositoryNamePackagesNamepackageNameVersionsVersionpackageVersionDelete(project, type, repositoryName, packageName, packageVersion, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectPackagesRepositoriesTypetypeRepositoryrepositoryNamePackagesNamepackageNameVersionsVersionpackageVersionDelete(project, type, repositoryName, packageName, packageVersion, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectPackagesRepositoriesTypetypeRepositoryrepositoryNamePackagesNamepackageNameVersionsVersionpackageVersionGet(project, type, repositoryName, packageName, packageVersion, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectPackagesRepositoriesTypetypeRepositoryrepositoryNamePackagesNamepackageNameVersionsVersionpackageVersionGet(project, type, repositoryName, packageName, packageVersion, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectPackagesSearchGet(project, type, query, connectionId, $skip, $top, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectPackagesSearchGet(project, type, query, connectionId, $skip, $top, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectPackagesTypesGet(project, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectPackagesTypesGet(project, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectPatch(project, $fields, projectsProjectDeleteRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectPatch(project, $fields, projectsProjectDeleteRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectPlanningBoardsBoardArchiveDelete(project, board, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectPlanningBoardsBoardArchiveDelete(project, board, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectPlanningBoardsGet(project, $skip, $top, query, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectPlanningBoardsGet(project, $skip, $top, query, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectPlanningBoardsPost(project, projectsProjectPlanningBoardsGetRequest, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectPlanningBoardsPost(project, projectsProjectPlanningBoardsGetRequest, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectPlanningBoardsSprintsGet(project, $skip, $top, board, query, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectPlanningBoardsSprintsGet(project, $skip, $top, board, query, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectPlanningBoardsStarredGet(project, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectPlanningBoardsStarredGet(project, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectPlanningChecklistsChecklistIdDelete(project, checklistId, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectPlanningChecklistsChecklistIdDelete(project, checklistId, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectPlanningChecklistsChecklistIdFullChecklistTreeGet(project, checklistId, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectPlanningChecklistsChecklistIdFullChecklistTreeGet(project, checklistId, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectPlanningChecklistsChecklistIdImportPost(project, checklistId, projectsProjectPlanningChecklistsChecklistIdImportPostRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectPlanningChecklistsChecklistIdImportPost(project, checklistId, projectsProjectPlanningChecklistsChecklistIdImportPostRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectPlanningChecklistsChecklistIdPatch(project, checklistId, projectsProjectPlanningChecklistsChecklistIdDeleteRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectPlanningChecklistsChecklistIdPatch(project, checklistId, projectsProjectPlanningChecklistsChecklistIdDeleteRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectPlanningChecklistsGet(project, $skip, $top, query, sorting, descending, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectPlanningChecklistsGet(project, $skip, $top, query, sorting, descending, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectPlanningChecklistsImportPost(project, projectsProjectPlanningChecklistsImportPostRequest, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectPlanningChecklistsImportPost(project, projectsProjectPlanningChecklistsImportPostRequest, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectPlanningChecklistsPost(project, chatsChannelsIsNameFreePostRequest, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectPlanningChecklistsPost(project, chatsChannelsIsNameFreePostRequest, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectPlanningChecklistsStarredGet(project, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectPlanningChecklistsStarredGet(project, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectPlanningIssuesGet(project, sorting, descending, $skip, $top, assigneeId, createdByProfileId, createdBy, statuses, tagId, query, tags, sprints, boards, customFields, importTransaction, creationTimeFrom, creationTimeTo, dueDateFrom, dueDateTo, topics, grouping, deployment, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectPlanningIssuesGet(project, sorting, descending, $skip, $top, assigneeId, createdByProfileId, createdBy, statuses, tagId, query, tags, sprints, boards, customFields, importTransaction, creationTimeFrom, creationTimeTo, dueDateFrom, dueDateTo, topics, grouping, deployment, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectPlanningIssuesImportPost(project, projectsProjectPlanningIssuesImportPostRequest, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectPlanningIssuesImportPost(project, projectsProjectPlanningIssuesImportPostRequest, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectPlanningIssuesIssueIdAttachmentsDelete(project, issueId, identities, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectPlanningIssuesIssueIdAttachmentsDelete(project, issueId, identities, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectPlanningIssuesIssueIdAttachmentsPost(project, issueId, projectsProjectPlanningIssuesIssueIdAttachmentsDeleteRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectPlanningIssuesIssueIdAttachmentsPost(project, issueId, projectsProjectPlanningIssuesIssueIdAttachmentsDeleteRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectPlanningIssuesIssueIdChecklistsChecklistIdDelete(project, issueId, checklistId, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectPlanningIssuesIssueIdChecklistsChecklistIdDelete(project, issueId, checklistId, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectPlanningIssuesIssueIdChecklistsChecklistIdPost(project, issueId, checklistId, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectPlanningIssuesIssueIdChecklistsChecklistIdPost(project, issueId, checklistId, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectPlanningIssuesIssueIdCodeReviewsDelete(project, issueId, codeReviewIds, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectPlanningIssuesIssueIdCodeReviewsDelete(project, issueId, codeReviewIds, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectPlanningIssuesIssueIdCodeReviewsPost(project, issueId, projectsProjectPlanningIssuesIssueIdCodeReviewsDeleteRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectPlanningIssuesIssueIdCodeReviewsPost(project, issueId, projectsProjectPlanningIssuesIssueIdCodeReviewsDeleteRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectPlanningIssuesIssueIdCommentsImportPost(project, issueId, projectsProjectPlanningIssuesIssueIdCommentsImportPostRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectPlanningIssuesIssueIdCommentsImportPost(project, issueId, projectsProjectPlanningIssuesIssueIdCommentsImportPostRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectPlanningIssuesIssueIdCommitsDelete(project, issueId, repository, commitIds, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectPlanningIssuesIssueIdCommitsDelete(project, issueId, repository, commitIds, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectPlanningIssuesIssueIdCommitsPost(project, issueId, projectsProjectPlanningIssuesIssueIdCommitsDeleteRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectPlanningIssuesIssueIdCommitsPost(project, issueId, projectsProjectPlanningIssuesIssueIdCommitsDeleteRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectPlanningIssuesIssueIdDelete(project, issueId, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectPlanningIssuesIssueIdDelete(project, issueId, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectPlanningIssuesIssueIdGet(project, issueId, withDeleted, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectPlanningIssuesIssueIdGet(project, issueId, withDeleted, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectPlanningIssuesIssueIdPatch(project, issueId, projectsProjectPlanningIssuesIssueIdDeleteRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectPlanningIssuesIssueIdPatch(project, issueId, projectsProjectPlanningIssuesIssueIdDeleteRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectPlanningIssuesIssueIdRestorePost(project, issueId, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectPlanningIssuesIssueIdRestorePost(project, issueId, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectPlanningIssuesIssueIdTagsTagIdDelete(project, issueId, tagId, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectPlanningIssuesIssueIdTagsTagIdDelete(project, issueId, tagId, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectPlanningIssuesIssueIdTagsTagIdPost(project, issueId, tagId, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectPlanningIssuesIssueIdTagsTagIdPost(project, issueId, tagId, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectPlanningIssuesIssueIdToggleResolvedPost(project, issueId, projectsProjectPlanningIssuesIssueIdToggleResolvedPostRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectPlanningIssuesIssueIdToggleResolvedPost(project, issueId, projectsProjectPlanningIssuesIssueIdToggleResolvedPostRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectPlanningIssuesNumbernumberGet(project, number, resolveAlias, withDeleted, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectPlanningIssuesNumbernumberGet(project, number, resolveAlias, withDeleted, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectPlanningIssuesPost(project, projectsProjectPlanningIssuesGetRequest, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectPlanningIssuesPost(project, projectsProjectPlanningIssuesGetRequest, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectPlanningIssuesStatusesAutoUpdateOnMergeRequestMergeGet(project, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectPlanningIssuesStatusesAutoUpdateOnMergeRequestMergeGet(project, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectPlanningIssuesStatusesAutoUpdateOnMergeRequestMergePatch(project, projectsProjectPlanningIssuesStatusesAutoUpdateOnMergeRequestMergeGetRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectPlanningIssuesStatusesAutoUpdateOnMergeRequestMergePatch(project, projectsProjectPlanningIssuesStatusesAutoUpdateOnMergeRequestMergeGetRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectPlanningIssuesStatusesDistributionGet(project, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectPlanningIssuesStatusesDistributionGet(project, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectPlanningIssuesStatusesGet(project, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectPlanningIssuesStatusesGet(project, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectPlanningIssuesStatusesPatch(project, projectsProjectPlanningIssuesStatusesGetRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectPlanningIssuesStatusesPatch(project, projectsProjectPlanningIssuesStatusesGetRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectPlanningTagsGet(project, $skip, $top, query, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectPlanningTagsGet(project, $skip, $top, query, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectPlanningTagsPost(project, projectsProjectPlanningTagsGetRequest, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectPlanningTagsPost(project, projectsProjectPlanningTagsGetRequest, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectRepositoriesRepositoryCherryPickCommitPost(project, repository, projectsProjectRepositoriesRepositoryCherryPickCommitPostRequest, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectRepositoriesRepositoryCherryPickCommitPost(project, repository, projectsProjectRepositoriesRepositoryCherryPickCommitPostRequest, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectRepositoriesRepositoryCommitBranchesGet(project, repository, commit, prefix, limit, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectRepositoriesRepositoryCommitBranchesGet(project, repository, commit, prefix, limit, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectRepositoriesRepositoryCommitPost(project, repository, projectsProjectRepositoriesRepositoryCommitPostRequest, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectRepositoriesRepositoryCommitPost(project, repository, projectsProjectRepositoriesRepositoryCommitPostRequest, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectRepositoriesRepositoryCommitsGet(project, repository, $skip, $top, query, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectRepositoriesRepositoryCommitsGet(project, repository, $skip, $top, query, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectRepositoriesRepositoryDelete(project, repository, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectRepositoriesRepositoryDelete(project, repository, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectRepositoriesRepositoryDeleteBranchPost(project, repository, projectsProjectRepositoriesRepositoryDeleteBranchPostRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectRepositoriesRepositoryDeleteBranchPost(project, repository, projectsProjectRepositoriesRepositoryDeleteBranchPostRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectRepositoriesRepositoryFilesGet(project, repository, commit, path, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectRepositoriesRepositoryFilesGet(project, repository, commit, path, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectRepositoriesRepositoryGcPost(project, repository, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectRepositoriesRepositoryGcPost(project, repository, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectRepositoriesRepositoryMergeBranchPost(project, repository, projectsProjectRepositoriesRepositoryMergeBranchPostRequest, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectRepositoriesRepositoryMergeBranchPost(project, repository, projectsProjectRepositoriesRepositoryMergeBranchPostRequest, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectRepositoriesRepositoryPost(project, repository, $fields, projectsProjectRepositoriesRepositoryDeleteRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectRepositoriesRepositoryPost(project, repository, $fields, projectsProjectRepositoriesRepositoryDeleteRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectRepositoriesRepositoryReadonlyGet(project, repository, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectRepositoriesRepositoryReadonlyGet(project, repository, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectRepositoriesRepositoryReadonlyPost(project, repository, projectsProjectRepositoriesRepositoryReadonlyGetRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectRepositoriesRepositoryReadonlyPost(project, repository, projectsProjectRepositoriesRepositoryReadonlyGetRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectRepositoriesRepositoryRebaseBranchPost(project, repository, projectsProjectRepositoriesRepositoryRebaseBranchPostRequest, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectRepositoriesRepositoryRebaseBranchPost(project, repository, projectsProjectRepositoriesRepositoryRebaseBranchPostRequest, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectRepositoriesRepositoryRevisionsRevisionExternalChecksGet(project, repository, revision, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectRepositoriesRepositoryRevisionsRevisionExternalChecksGet(project, repository, revision, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectRepositoriesRepositoryRevisionsRevisionExternalChecksPost(project, repository, revision, projectsProjectRepositoriesRepositoryRevisionsRevisionExternalChecksGetRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectRepositoriesRepositoryRevisionsRevisionExternalChecksPost(project, repository, revision, projectsProjectRepositoriesRepositoryRevisionsRevisionExternalChecksGetRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectRepositoriesRepositorySettingsGet(project, repository, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectRepositoriesRepositorySettingsGet(project, repository, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectRepositoriesRepositorySettingsPost(project, repository, projectsProjectRepositoriesRepositorySettingsGetRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectRepositoriesRepositorySettingsPost(project, repository, projectsProjectRepositoriesRepositorySettingsGetRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectRepositoriesRepositoryUrlGet(project, repository, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectRepositoriesRepositoryUrlGet(project, repository, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectResponsibilitiesResponsibilityIdAssigneesProfileIdDelete(project, responsibilityId, profileId, role, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectResponsibilitiesResponsibilityIdAssigneesProfileIdDelete(project, responsibilityId, profileId, role, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectResponsibilitiesResponsibilityIdAssigneesProfileIdPost(project, responsibilityId, profileId, projectsProjectResponsibilitiesResponsibilityIdAssigneesProfileIdDeleteRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectResponsibilitiesResponsibilityIdAssigneesProfileIdPost(project, responsibilityId, profileId, projectsProjectResponsibilitiesResponsibilityIdAssigneesProfileIdDeleteRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectResponsibilitiesSchemeGet(project, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectResponsibilitiesSchemeGet(project, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectResponsibilitiesSubjectsPost(project, projectsProjectResponsibilitiesSubjectsPostRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectResponsibilitiesSubjectsPost(project, projectsProjectResponsibilitiesSubjectsPostRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectResponsibilitiesSubjectsSubjectIdPatch(project, subjectId, projectsProjectResponsibilitiesSubjectsPostRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectResponsibilitiesSubjectsSubjectIdPatch(project, subjectId, projectsProjectResponsibilitiesSubjectsPostRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectTopicsGet(project, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectTopicsGet(project, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectTopicsIdPatch(project, id, $fields, projectsProjectTopicsIdPatchRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectTopicsIdPatch(project, id, $fields, projectsProjectTopicsIdPatchRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectTopicsPost(project, projectsProjectTopicsGetRequest, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectTopicsPost(project, projectsProjectTopicsGetRequest, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectTopicsRemoveTopicsPost(project, projectsProjectTopicsRemoveTopicsPostRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectTopicsRemoveTopicsPost(project, projectsProjectTopicsRemoveTopicsPostRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsProjectTopicsSetResponsiblePost(project, projectsProjectTopicsSetResponsiblePostRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsProjectTopicsSetResponsiblePost(project, projectsProjectTopicsSetResponsiblePostRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsRepositoriesFindGet(term, $skip, $top, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsRepositoriesFindGet(term, $skip, $top, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsResponsibilitiesPost(projectsResponsibilitiesPostRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsResponsibilitiesPost(projectsResponsibilitiesPostRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsResponsibilitiesResponsibilityIdDelete(responsibilityId, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsResponsibilitiesResponsibilityIdDelete(responsibilityId, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsResponsibilitiesResponsibilityIdPatch(responsibilityId, projectsResponsibilitiesResponsibilityIdDeleteRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsResponsibilitiesResponsibilityIdPatch(responsibilityId, projectsResponsibilitiesResponsibilityIdDeleteRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsResponsibilitiesSubjectsSubjectIdDelete(subjectId, project, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsResponsibilitiesSubjectsSubjectIdDelete(subjectId, project, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsRightCoderightCodeGet(rightCode, $skip, $top, term, path, starred, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsRightCoderightCodeGet(rightCode, $skip, $top, term, path, starred, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsRightUniqueCoderightGet(right, $skip, $top, term, path, starred, _private, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsRightUniqueCoderightGet(right, $skip, $top, term, path, starred, _private, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsSecretsDefaultBundleGet(project, $skip, $top, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsSecretsDefaultBundleGet(project, $skip, $top, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsSecretsDefaultBundlePost(projectsSecretsDefaultBundleGetRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsSecretsDefaultBundlePost(projectsSecretsDefaultBundleGetRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsSecretsIdDelete(id, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsSecretsIdDelete(id, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsSecretsIdPatch(id, projectsSecretsIdDeleteRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsSecretsIdPatch(id, projectsSecretsIdDeleteRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsSecretsInDefaultBundleGet(projectId, $skip, $top, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsSecretsInDefaultBundleGet(projectId, $skip, $top, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsSecretsInDefaultBundlePost(projectsSecretsInDefaultBundleGetRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsSecretsInDefaultBundlePost(projectsSecretsInDefaultBundleGetRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsTagsGet($fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsTagsGet($fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsTagsTrackAccessPost(projectsTagsTrackAccessPostRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsTagsTrackAccessPost(projectsTagsTrackAccessPostRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsTeamteamGet(team, $skip, $top, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsTeamteamGet(team, $skip, $top, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsVaultGet(project, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsVaultGet(project, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsVaultIdDelete(id, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsVaultIdDelete(id, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsVaultIdPatch(id, projectsVaultIdDeleteRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsVaultIdPatch(id, projectsVaultIdDeleteRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async projectsVaultPost(projectsVaultGetRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.projectsVaultPost(projectsVaultGetRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async publicHolidaysCalendarsGet($skip, $top, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.publicHolidaysCalendarsGet($skip, $top, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async publicHolidaysCalendarsIdDelete(id, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.publicHolidaysCalendarsIdDelete(id, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async publicHolidaysCalendarsIdPatch(id, publicHolidaysCalendarsGetRequest, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.publicHolidaysCalendarsIdPatch(id, publicHolidaysCalendarsGetRequest, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async publicHolidaysCalendarsImportPost(publicHolidaysCalendarsImportPostRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.publicHolidaysCalendarsImportPost(publicHolidaysCalendarsImportPostRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async publicHolidaysCalendarsPost(publicHolidaysCalendarsGetRequest, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.publicHolidaysCalendarsPost(publicHolidaysCalendarsGetRequest, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async publicHolidaysHolidaysGet($skip, $top, calendar, location, startDate, endDate, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.publicHolidaysHolidaysGet($skip, $top, calendar, location, startDate, endDate, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async publicHolidaysHolidaysIdDelete(id, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.publicHolidaysHolidaysIdDelete(id, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async publicHolidaysHolidaysIdPatch(id, $fields, publicHolidaysHolidaysIdDeleteRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.publicHolidaysHolidaysIdPatch(id, $fields, publicHolidaysHolidaysIdDeleteRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async publicHolidaysHolidaysPost(publicHolidaysHolidaysGetRequest, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.publicHolidaysHolidaysPost(publicHolidaysHolidaysGetRequest, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async publicHolidaysHolidaysProfileHolidaysGet(startDate, endDate, profile, workingDays, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.publicHolidaysHolidaysProfileHolidaysGet(startDate, endDate, profile, workingDays, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async publicHolidaysHolidaysRelatedHolidaysGet($skip, $top, startDate, endDate, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.publicHolidaysHolidaysRelatedHolidaysGet($skip, $top, startDate, endDate, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async reactionsItemEmojiDelete(item, emoji, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.reactionsItemEmojiDelete(item, emoji, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async reactionsItemEmojiGet(item, emoji, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.reactionsItemEmojiGet(item, emoji, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async reactionsItemEmojiPost(item, emoji, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.reactionsItemEmojiPost(item, emoji, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async reactionsItemGet(item, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.reactionsItemGet(item, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async richTextParseMarkdownPost(richTextParseMarkdownPostRequest, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.richTextParseMarkdownPost(richTextParseMarkdownPostRequest, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryCalendarEventsAbsenceEventsGet(dateFrom, dateTo, team, location, role, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryCalendarEventsAbsenceEventsGet(dateFrom, dateTo, team, location, role, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryCalendarEventsBirthdayEventsGet(dateFrom, dateTo, team, location, role, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryCalendarEventsBirthdayEventsGet(dateFrom, dateTo, team, location, role, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryCalendarEventsBirthdayEventsStarredGet(dateFrom, dateTo, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryCalendarEventsBirthdayEventsStarredGet(dateFrom, dateTo, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryCalendarEventsGet(dateFrom, dateTo, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryCalendarEventsGet(dateFrom, dateTo, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryCalendarEventsHolidaysGet(startDate, endDate, team, location, role, workingDays, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryCalendarEventsHolidaysGet(startDate, endDate, team, location, role, workingDays, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryCalendarEventsIdGet(id, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryCalendarEventsIdGet(id, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryCalendarEventsMeetingParticipationsIdPatch(id, calendarsEventParticipationsIdPatchRequest, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryCalendarEventsMeetingParticipationsIdPatch(id, calendarsEventParticipationsIdPatchRequest, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryCalendarEventsMembershipEventsGet(dateFrom, dateTo, team, location, role, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryCalendarEventsMembershipEventsGet(dateFrom, dateTo, team, location, role, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryCalendarEventsNonWorkingDaysEventsGet(dateFrom, dateTo, member, team, location, role, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryCalendarEventsNonWorkingDaysEventsGet(dateFrom, dateTo, member, team, location, role, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryInvitationLinksGet($skip, $top, withDeleted, projects, teams, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryInvitationLinksGet($skip, $top, withDeleted, projects, teams, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryInvitationLinksInvitationLinkIdDelete(invitationLinkId, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryInvitationLinksInvitationLinkIdDelete(invitationLinkId, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryInvitationLinksInvitationLinkIdPatch(invitationLinkId, teamDirectoryInvitationLinksInvitationLinkIdDeleteRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryInvitationLinksInvitationLinkIdPatch(invitationLinkId, teamDirectoryInvitationLinksInvitationLinkIdDeleteRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryInvitationLinksPost(teamDirectoryInvitationLinksGetRequest, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryInvitationLinksPost(teamDirectoryInvitationLinksGetRequest, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryInvitationsGet($skip, $top, withDeleted, projects, teams, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryInvitationsGet($skip, $top, withDeleted, projects, teams, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryInvitationsIdDelete(id, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryInvitationsIdDelete(id, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryInvitationsIdPatch(id, teamDirectoryInvitationsIdDeleteRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryInvitationsIdPatch(id, teamDirectoryInvitationsIdDeleteRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryInvitationsPost(teamDirectoryInvitationsGetRequest, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryInvitationsPost(teamDirectoryInvitationsGetRequest, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryLanguagesGet($fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryLanguagesGet($fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryLocationEquipmentTypesGet(withArchived, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryLocationEquipmentTypesGet(withArchived, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryLocationEquipmentTypesNamenameDelete(name, _delete, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryLocationEquipmentTypesNamenameDelete(name, _delete, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryLocationMapMemberPointsGet(locationId, $skip, $top, includeUnmarked, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryLocationMapMemberPointsGet(locationId, $skip, $top, includeUnmarked, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryLocationMapMemberPointsLocationPointIdDelete(locationPointId, _delete, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryLocationMapMemberPointsLocationPointIdDelete(locationPointId, _delete, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryLocationMapMemberPointsLocationPointIdPatch(locationPointId, $fields, teamDirectoryLocationMapMemberPointsLocationPointIdDeleteRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryLocationMapMemberPointsLocationPointIdPatch(locationPointId, $fields, teamDirectoryLocationMapMemberPointsLocationPointIdDeleteRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryLocationMapMemberPointsPost(teamDirectoryLocationMapMemberPointsGetRequest, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryLocationMapMemberPointsPost(teamDirectoryLocationMapMemberPointsGetRequest, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryLocationsGet(query, type, withArchived, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryLocationsGet(query, type, withArchived, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryLocationsIdDelete(id, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryLocationsIdDelete(id, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryLocationsIdGet(id, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryLocationsIdGet(id, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryLocationsIdMapGet(id, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryLocationsIdMapGet(id, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryLocationsIdMapPatch(id, teamDirectoryLocationsIdMapGetRequest, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryLocationsIdMapPatch(id, teamDirectoryLocationsIdMapGetRequest, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryLocationsIdPatch(id, $fields, teamDirectoryLocationsIdDeleteRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryLocationsIdPatch(id, $fields, teamDirectoryLocationsIdDeleteRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryLocationsIdRestorePost(id, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryLocationsIdRestorePost(id, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryLocationsPost(teamDirectoryLocationsGetRequest, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryLocationsPost(teamDirectoryLocationsGetRequest, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryLocationsRestorePost(projectsProjectTopicsRemoveTopicsPostRequest, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryLocationsRestorePost(projectsProjectTopicsRemoveTopicsPostRequest, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryLocationsWithTimezoneGet($fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryLocationsWithTimezoneGet($fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryMemberLocationsGet($skip, $top, profiles, locations, since, till, withArchived, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryMemberLocationsGet($skip, $top, profiles, locations, since, till, withArchived, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryMemberLocationsMemberLocationIdDelete(memberLocationId, _delete, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryMemberLocationsMemberLocationIdDelete(memberLocationId, _delete, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryMemberLocationsMemberLocationIdGet(memberLocationId, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryMemberLocationsMemberLocationIdGet(memberLocationId, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryMemberLocationsMemberLocationIdPatch(memberLocationId, $fields, teamDirectoryMemberLocationsMemberLocationIdDeleteRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryMemberLocationsMemberLocationIdPatch(memberLocationId, $fields, teamDirectoryMemberLocationsMemberLocationIdDeleteRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryMemberLocationsPost(teamDirectoryMemberLocationsGetRequest, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryMemberLocationsPost(teamDirectoryMemberLocationsGetRequest, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryMembershipEventsGet($skip, $top, teamId, locationId, roleId, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryMembershipEventsGet($skip, $top, teamId, locationId, roleId, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryMembershipsGet($skip, $top, identifiers, profiles, teams, directTeams, roles, directRoles, since, till, requiresApproval, withArchived, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryMembershipsGet($skip, $top, identifiers, profiles, teams, directTeams, roles, directRoles, since, till, requiresApproval, withArchived, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryMembershipsManagerCandidatesGet(term, $skip, $top, teamId, excludedMemberId, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryMembershipsManagerCandidatesGet(term, $skip, $top, teamId, excludedMemberId, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryMembershipsMembershipIdDelete(membershipId, _delete, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryMembershipsMembershipIdDelete(membershipId, _delete, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryMembershipsMembershipIdGet(membershipId, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryMembershipsMembershipIdGet(membershipId, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryMembershipsMembershipIdPatch(membershipId, $fields, teamDirectoryMembershipsMembershipIdDeleteRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryMembershipsMembershipIdPatch(membershipId, $fields, teamDirectoryMembershipsMembershipIdDeleteRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryMembershipsMembershipIdRequestRevokePatch(membershipId, teamDirectoryMembershipsMembershipIdRequestRevokePatchRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryMembershipsMembershipIdRequestRevokePatch(membershipId, teamDirectoryMembershipsMembershipIdRequestRevokePatchRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryMembershipsMembershipIdRevokeDelete(membershipId, till, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryMembershipsMembershipIdRevokeDelete(membershipId, till, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryMembershipsPost(teamDirectoryMembershipsGetRequest, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryMembershipsPost(teamDirectoryMembershipsGetRequest, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryMembershipsRequestsGet($skip, $top, teamId, direct, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryMembershipsRequestsGet($skip, $top, teamId, direct, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryMembershipsRequestsMembershipRequestIdDelete(membershipRequestId, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryMembershipsRequestsMembershipRequestIdDelete(membershipRequestId, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryMembershipsRequestsMembershipRequestIdPatch(membershipRequestId, teamDirectoryMembershipsRequestsMembershipRequestIdDeleteRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryMembershipsRequestsMembershipRequestIdPatch(membershipRequestId, teamDirectoryMembershipsRequestsMembershipRequestIdDeleteRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryProfilesAuthenticationSessionsOwnerGet(owner, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryProfilesAuthenticationSessionsOwnerGet(owner, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryProfilesAuthenticationSessionsOwnerSessionIdDelete(owner, sessionId, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryProfilesAuthenticationSessionsOwnerSessionIdDelete(owner, sessionId, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryProfilesDashboardsDashboardGet(dashboard, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryProfilesDashboardsDashboardGet(dashboard, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryProfilesDashboardsDashboardPatch(dashboard, teamDirectoryProfilesDashboardsDashboardGetRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryProfilesDashboardsDashboardPatch(dashboard, teamDirectoryProfilesDashboardsDashboardGetRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryProfilesEmailemailGet(email, verified, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryProfilesEmailemailGet(email, verified, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryProfilesGet($skip, $top, query, reportPastMembers, reportFutureMembers, reportCurrentMembers, teamId, locationId, roleId, meOnTop, order, orgRelation, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryProfilesGet($skip, $top, query, reportPastMembers, reportFutureMembers, reportCurrentMembers, teamId, locationId, roleId, meOnTop, order, orgRelation, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryProfilesOauthConsentsOwnerApplicationsApplicationDelete(owner, application, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryProfilesOauthConsentsOwnerApplicationsApplicationDelete(owner, application, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryProfilesOauthConsentsOwnerApprovedScopesIdDelete(owner, id, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryProfilesOauthConsentsOwnerApprovedScopesIdDelete(owner, id, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryProfilesOauthConsentsOwnerGet(owner, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryProfilesOauthConsentsOwnerGet(owner, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryProfilesOauthConsentsOwnerInternalApplicationsClientIdDelete(owner, clientId, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryProfilesOauthConsentsOwnerInternalApplicationsClientIdDelete(owner, clientId, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryProfilesOauthConsentsOwnerRefreshTokensIdDelete(owner, id, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryProfilesOauthConsentsOwnerRefreshTokensIdDelete(owner, id, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryProfilesPost(teamDirectoryProfilesGetRequest, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryProfilesPost(teamDirectoryProfilesGetRequest, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryProfilesProfile2FaRequirementsGet(profile, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryProfilesProfile2FaRequirementsGet(profile, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryProfilesProfile2FaStatusGet(profile, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryProfilesProfile2FaStatusGet(profile, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryProfilesProfile2FaTotpConfirmPost(profile, teamDirectoryProfilesProfile2FaTotpConfirmPostRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryProfilesProfile2FaTotpConfirmPost(profile, teamDirectoryProfilesProfile2FaTotpConfirmPostRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryProfilesProfile2FaTotpDelete(profile, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryProfilesProfile2FaTotpDelete(profile, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryProfilesProfile2FaTotpPatch(profile, administrationUserAgreementEnabledGetRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryProfilesProfile2FaTotpPatch(profile, administrationUserAgreementEnabledGetRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryProfilesProfile2FaTotpPost(profile, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryProfilesProfile2FaTotpPost(profile, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryProfilesProfileApplicationPasswordsGet(profile, $skip, $top, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryProfilesProfileApplicationPasswordsGet(profile, $skip, $top, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryProfilesProfileApplicationPasswordsPasswordIdDelete(profile, passwordId, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryProfilesProfileApplicationPasswordsPasswordIdDelete(profile, passwordId, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryProfilesProfileApplicationPasswordsPasswordIdPatch(profile, passwordId, teamDirectoryProfilesProfileApplicationPasswordsPasswordIdDeleteRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryProfilesProfileApplicationPasswordsPasswordIdPatch(profile, passwordId, teamDirectoryProfilesProfileApplicationPasswordsPasswordIdDeleteRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryProfilesProfileApplicationPasswordsPost(profile, teamDirectoryProfilesProfileApplicationPasswordsGetRequest, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryProfilesProfileApplicationPasswordsPost(profile, teamDirectoryProfilesProfileApplicationPasswordsGetRequest, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryProfilesProfileChecklistsChecklistIdDelete(profile, checklistId, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryProfilesProfileChecklistsChecklistIdDelete(profile, checklistId, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryProfilesProfileChecklistsChecklistIdFullChecklistTreeGet(profile, checklistId, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryProfilesProfileChecklistsChecklistIdFullChecklistTreeGet(profile, checklistId, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryProfilesProfileChecklistsChecklistIdImportPost(profile, checklistId, projectsProjectPlanningChecklistsChecklistIdImportPostRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryProfilesProfileChecklistsChecklistIdImportPost(profile, checklistId, projectsProjectPlanningChecklistsChecklistIdImportPostRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryProfilesProfileChecklistsChecklistIdPatch(profile, checklistId, teamDirectoryProfilesProfileChecklistsChecklistIdDeleteRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryProfilesProfileChecklistsChecklistIdPatch(profile, checklistId, teamDirectoryProfilesProfileChecklistsChecklistIdDeleteRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryProfilesProfileChecklistsGet(profile, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryProfilesProfileChecklistsGet(profile, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryProfilesProfileChecklistsImportPost(profile, projectsProjectPlanningChecklistsImportPostRequest, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryProfilesProfileChecklistsImportPost(profile, projectsProjectPlanningChecklistsImportPostRequest, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryProfilesProfileChecklistsPost(profile, chatsChannelsIsNameFreePostRequest, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryProfilesProfileChecklistsPost(profile, chatsChannelsIsNameFreePostRequest, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryProfilesProfileChecklistsStarredGet(profile, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryProfilesProfileChecklistsStarredGet(profile, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryProfilesProfileConvertToGuestPatch(profile, teamDirectoryProfilesProfileConvertToGuestPatchRequest, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryProfilesProfileConvertToGuestPatch(profile, teamDirectoryProfilesProfileConvertToGuestPatchRequest, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryProfilesProfileConvertToMemberPatch(profile, teamDirectoryProfilesProfileConvertToMemberPatchRequest, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryProfilesProfileConvertToMemberPatch(profile, teamDirectoryProfilesProfileConvertToMemberPatchRequest, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryProfilesProfileDeactivateDelete(profile, at, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryProfilesProfileDeactivateDelete(profile, at, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryProfilesProfileDelete(profile, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryProfilesProfileDelete(profile, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryProfilesProfileDocumentsDocumentIdCopyPost(profile, documentId, projectsProjectDocumentsDocumentIdCopyPostRequest, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryProfilesProfileDocumentsDocumentIdCopyPost(profile, documentId, projectsProjectDocumentsDocumentIdCopyPostRequest, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryProfilesProfileDocumentsDocumentIdDelete(profile, documentId, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryProfilesProfileDocumentsDocumentIdDelete(profile, documentId, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryProfilesProfileDocumentsDocumentIdDeleteForeverDelete(profile, documentId, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryProfilesProfileDocumentsDocumentIdDeleteForeverDelete(profile, documentId, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryProfilesProfileDocumentsDocumentIdGet(profile, documentId, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryProfilesProfileDocumentsDocumentIdGet(profile, documentId, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryProfilesProfileDocumentsDocumentIdMovePatch(profile, documentId, projectsProjectDocumentsDocumentIdMovePatchRequest, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryProfilesProfileDocumentsDocumentIdMovePatch(profile, documentId, projectsProjectDocumentsDocumentIdMovePatchRequest, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryProfilesProfileDocumentsDocumentIdPatch(profile, documentId, $fields, projectsProjectDocumentsDocumentIdDeleteRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryProfilesProfileDocumentsDocumentIdPatch(profile, documentId, $fields, projectsProjectDocumentsDocumentIdDeleteRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryProfilesProfileDocumentsDocumentIdUnarchivePatch(profile, documentId, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryProfilesProfileDocumentsDocumentIdUnarchivePatch(profile, documentId, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryProfilesProfileDocumentsFoldersFolderDelete(profile, folder, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryProfilesProfileDocumentsFoldersFolderDelete(profile, folder, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryProfilesProfileDocumentsFoldersFolderDocumentsGet(profile, folder, withArchived, sortBy, order, $skip, $top, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryProfilesProfileDocumentsFoldersFolderDocumentsGet(profile, folder, withArchived, sortBy, order, $skip, $top, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryProfilesProfileDocumentsFoldersFolderGet(profile, folder, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryProfilesProfileDocumentsFoldersFolderGet(profile, folder, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryProfilesProfileDocumentsFoldersFolderIntroductionDelete(profile, folder, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryProfilesProfileDocumentsFoldersFolderIntroductionDelete(profile, folder, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryProfilesProfileDocumentsFoldersFolderIntroductionDocumentIdPatch(profile, folder, documentId, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryProfilesProfileDocumentsFoldersFolderIntroductionDocumentIdPatch(profile, folder, documentId, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryProfilesProfileDocumentsFoldersFolderMovePatch(profile, folder, projectsProjectDocumentsFoldersFolderMovePatchRequest, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryProfilesProfileDocumentsFoldersFolderMovePatch(profile, folder, projectsProjectDocumentsFoldersFolderMovePatchRequest, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryProfilesProfileDocumentsFoldersFolderPatch(profile, folder, chatsChannelsIsNameFreePostRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryProfilesProfileDocumentsFoldersFolderPatch(profile, folder, chatsChannelsIsNameFreePostRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryProfilesProfileDocumentsFoldersFolderSubfoldersGet(profile, folder, withArchived, sortBy, order, $skip, $top, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryProfilesProfileDocumentsFoldersFolderSubfoldersGet(profile, folder, withArchived, sortBy, order, $skip, $top, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryProfilesProfileDocumentsFoldersPost(profile, projectsProjectDocumentsFoldersPostRequest, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryProfilesProfileDocumentsFoldersPost(profile, projectsProjectDocumentsFoldersPostRequest, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryProfilesProfileDocumentsPost(profile, projectsProjectDocumentsPostRequest, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryProfilesProfileDocumentsPost(profile, projectsProjectDocumentsPostRequest, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryProfilesProfileGet(profile, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryProfilesProfileGet(profile, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryProfilesProfileGpgKeysFingerprintDelete(profile, fingerprint, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryProfilesProfileGpgKeysFingerprintDelete(profile, fingerprint, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryProfilesProfileGpgKeysFingerprintPatch(profile, fingerprint, teamDirectoryProfilesProfileGpgKeysFingerprintDeleteRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryProfilesProfileGpgKeysFingerprintPatch(profile, fingerprint, teamDirectoryProfilesProfileGpgKeysFingerprintDeleteRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryProfilesProfileGpgKeysGet(profile, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryProfilesProfileGpgKeysGet(profile, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryProfilesProfileGpgKeysPost(profile, teamDirectoryProfilesProfileGpgKeysGetRequest, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryProfilesProfileGpgKeysPost(profile, teamDirectoryProfilesProfileGpgKeysGetRequest, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryProfilesProfileIsTeamMemberGet(profile, teamIds, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryProfilesProfileIsTeamMemberGet(profile, teamIds, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryProfilesProfileLeadsGet(profile, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryProfilesProfileLeadsGet(profile, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryProfilesProfileNavBarMenuItemsGet(profile, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryProfilesProfileNavBarMenuItemsGet(profile, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryProfilesProfileNavBarMenuItemsPatch(profile, teamDirectoryProfilesProfileNavBarMenuItemsGetRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryProfilesProfileNavBarMenuItemsPatch(profile, teamDirectoryProfilesProfileNavBarMenuItemsGetRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryProfilesProfileNavBarProjectsGet(profile, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryProfilesProfileNavBarProjectsGet(profile, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryProfilesProfileNavBarProjectsPost(profile, teamDirectoryProfilesProfileNavBarProjectsGetRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryProfilesProfileNavBarProjectsPost(profile, teamDirectoryProfilesProfileNavBarProjectsGetRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryProfilesProfileNavBarProjectsProjectDelete(profile, project, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryProfilesProfileNavBarProjectsProjectDelete(profile, project, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryProfilesProfileNotificationSettingsGet(profile, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryProfilesProfileNotificationSettingsGet(profile, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryProfilesProfileNotificationSettingsPatch(profile, teamDirectoryProfilesProfileNotificationSettingsGetRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryProfilesProfileNotificationSettingsPatch(profile, teamDirectoryProfilesProfileNotificationSettingsGetRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryProfilesProfilePatch(profile, $fields, teamDirectoryProfilesProfileDeleteRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryProfilesProfilePatch(profile, $fields, teamDirectoryProfilesProfileDeleteRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryProfilesProfilePermanentTokensCurrentDelete(profile, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryProfilesProfilePermanentTokensCurrentDelete(profile, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryProfilesProfilePermanentTokensGet(profile, $skip, $top, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryProfilesProfilePermanentTokensGet(profile, $skip, $top, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryProfilesProfilePermanentTokensPost(profile, applicationsApplicationPermanentTokensGetRequest, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryProfilesProfilePermanentTokensPost(profile, applicationsApplicationPermanentTokensGetRequest, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryProfilesProfilePermanentTokensTokenIdDelete(profile, tokenId, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryProfilesProfilePermanentTokensTokenIdDelete(profile, tokenId, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryProfilesProfilePermanentTokensTokenIdPatch(profile, tokenId, applicationsApplicationPermanentTokensTokenIdDeleteRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryProfilesProfilePermanentTokensTokenIdPatch(profile, tokenId, applicationsApplicationPermanentTokensTokenIdDeleteRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryProfilesProfileReactivatePatch(profile, $fields, teamDirectoryProfilesProfileReactivatePatchRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryProfilesProfileReactivatePatch(profile, $fields, teamDirectoryProfilesProfileReactivatePatchRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryProfilesProfileSettingsGet(profile, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryProfilesProfileSettingsGet(profile, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryProfilesProfileSettingsPatch(profile, teamDirectoryProfilesProfileSettingsGetRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryProfilesProfileSettingsPatch(profile, teamDirectoryProfilesProfileSettingsGetRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryProfilesProfileSpokenLanguagesGet(profile, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryProfilesProfileSpokenLanguagesGet(profile, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryProfilesProfileSpokenLanguagesLanguageDelete(profile, language, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryProfilesProfileSpokenLanguagesLanguageDelete(profile, language, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryProfilesProfileSpokenLanguagesPost(profile, teamDirectoryProfilesProfileSpokenLanguagesGetRequest, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryProfilesProfileSpokenLanguagesPost(profile, teamDirectoryProfilesProfileSpokenLanguagesGetRequest, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryProfilesProfileSshKeysFingerprintDelete(profile, fingerprint, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryProfilesProfileSshKeysFingerprintDelete(profile, fingerprint, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryProfilesProfileSshKeysGet(profile, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryProfilesProfileSshKeysGet(profile, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryProfilesProfileSshKeysPost(profile, teamDirectoryProfilesProfileGpgKeysGetRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryProfilesProfileSshKeysPost(profile, teamDirectoryProfilesProfileGpgKeysGetRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryProfilesProfileTimezoneGet(profile, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryProfilesProfileTimezoneGet(profile, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryProfilesProfileWorkingDaysGet(profile, $skip, $top, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryProfilesProfileWorkingDaysGet(profile, $skip, $top, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryProfilesProfileWorkingDaysPost(profile, teamDirectoryProfilesProfileWorkingDaysGetRequest, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryProfilesProfileWorkingDaysPost(profile, teamDirectoryProfilesProfileWorkingDaysGetRequest, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryProfilesProfileWorkingDaysWorkingDaysIdDelete(profile, workingDaysId, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryProfilesProfileWorkingDaysWorkingDaysIdDelete(profile, workingDaysId, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryProfilesProfileWorkingDaysWorkingDaysIdPatch(profile, workingDaysId, teamDirectoryProfilesProfileWorkingDaysGetRequest, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryProfilesProfileWorkingDaysWorkingDaysIdPatch(profile, workingDaysId, teamDirectoryProfilesProfileWorkingDaysGetRequest, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryProfilesWorkingDaysGet($skip, $top, profiles, since, till, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryProfilesWorkingDaysGet($skip, $top, profiles, since, till, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryRolesGet(query, withArchived, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryRolesGet(query, withArchived, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryRolesIdDelete(id, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryRolesIdDelete(id, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryRolesIdGet(id, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryRolesIdGet(id, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryRolesIdPatch(id, $fields, teamDirectoryRolesIdDeleteRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryRolesIdPatch(id, $fields, teamDirectoryRolesIdDeleteRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryRolesIdRestorePost(id, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryRolesIdRestorePost(id, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryRolesPost(teamDirectoryRolesGetRequest, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryRolesPost(teamDirectoryRolesGetRequest, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryStatsGet(teamId, locationId, roleId, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryStatsGet(teamId, locationId, roleId, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryTeamsGet($skip, $top, query, withArchived, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryTeamsGet($skip, $top, query, withArchived, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryTeamsIdCancelDisbandingPost(id, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryTeamsIdCancelDisbandingPost(id, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryTeamsIdDelete(id, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryTeamsIdDelete(id, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryTeamsIdDirectMembersGet(id, $skip, $top, query, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryTeamsIdDirectMembersGet(id, $skip, $top, query, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryTeamsIdDisbandDelete(id, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryTeamsIdDisbandDelete(id, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryTeamsIdGet(id, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryTeamsIdGet(id, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryTeamsIdPatch(id, $fields, teamDirectoryTeamsIdDeleteRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryTeamsIdPatch(id, $fields, teamDirectoryTeamsIdDeleteRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryTeamsIdRestorePost(id, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryTeamsIdRestorePost(id, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async teamDirectoryTeamsPost(teamDirectoryTeamsGetRequest, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.teamDirectoryTeamsPost(teamDirectoryTeamsGetRequest, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async timeTrackingItemsGet(subject, $skip, $top, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.timeTrackingItemsGet(subject, $skip, $top, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async timeTrackingItemsItemIdDelete(itemId, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.timeTrackingItemsItemIdDelete(itemId, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async timeTrackingItemsItemIdPatch(itemId, timeTrackingItemsItemIdDeleteRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.timeTrackingItemsItemIdPatch(itemId, timeTrackingItemsItemIdDeleteRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async timeTrackingItemsPost(timeTrackingItemsGetRequest, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.timeTrackingItemsPost(timeTrackingItemsGetRequest, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async todoGet($skip, $top, open, from, till, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.todoGet($skip, $top, open, from, till, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async todoIdDelete(id, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.todoIdDelete(id, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async todoIdPatch(id, todoIdDeleteRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.todoIdPatch(id, todoIdDeleteRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async todoPost(todoGetRequest, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.todoPost(todoGetRequest, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async trustedCertificatesGet($fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.trustedCertificatesGet($fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async trustedCertificatesIdDelete(id, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.trustedCertificatesIdDelete(id, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async trustedCertificatesIdPatch(id, trustedCertificatesIdDeleteRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.trustedCertificatesIdPatch(id, trustedCertificatesIdDeleteRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async trustedCertificatesInfoGet(data, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.trustedCertificatesInfoGet(data, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async trustedCertificatesPost(trustedCertificatesGetRequest, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.trustedCertificatesPost(trustedCertificatesGetRequest, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async unfurlsBlockUnfurlGlobalPost(unfurlsBlockUnfurlPostRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.unfurlsBlockUnfurlGlobalPost(unfurlsBlockUnfurlPostRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async unfurlsBlockUnfurlPost(unfurlsBlockUnfurlPostRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.unfurlsBlockUnfurlPost(unfurlsBlockUnfurlPostRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async unfurlsCheckBlockedPost(unfurlsCheckBlockedPostRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.unfurlsCheckBlockedPost(unfurlsCheckBlockedPostRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async unfurlsListBlockedGet($skip, $top, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.unfurlsListBlockedGet($skip, $top, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async unfurlsUnblockUnfurlGlobalPost(unfurlsBlockUnfurlPostRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.unfurlsUnblockUnfurlGlobalPost(unfurlsBlockUnfurlPostRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async unfurlsUnblockUnfurlPost(unfurlsBlockUnfurlPostRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.unfurlsUnblockUnfurlPost(unfurlsBlockUnfurlPostRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async uploadsChatPublicUrlChannelMessageAttachmentIdGet(channel, message, attachmentId, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.uploadsChatPublicUrlChannelMessageAttachmentIdGet(channel, message, attachmentId, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async uploadsImageIdGet(id, $fields, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.uploadsImageIdGet(id, $fields, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async uploadsPost(uploadsPostRequest, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.uploadsPost(uploadsPostRequest, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
    };
};
exports.SpaceApiFp = SpaceApiFp;
const SpaceApiFactory = function (configuration, basePath, axios) {
    const localVarFp = (0, exports.SpaceApiFp)(configuration);
    return {
        absencesAbsenceReasonsGet(withArchived, $fields, options) {
            return localVarFp.absencesAbsenceReasonsGet(withArchived, $fields, options).then((request) => request(axios, basePath));
        },
        absencesAbsenceReasonsIdDelete(id, _delete, options) {
            return localVarFp.absencesAbsenceReasonsIdDelete(id, _delete, options).then((request) => request(axios, basePath));
        },
        absencesAbsenceReasonsIdGet(id, $fields, options) {
            return localVarFp.absencesAbsenceReasonsIdGet(id, $fields, options).then((request) => request(axios, basePath));
        },
        absencesAbsenceReasonsIdPatch(id, absencesAbsenceReasonsGetRequest, $fields, options) {
            return localVarFp.absencesAbsenceReasonsIdPatch(id, absencesAbsenceReasonsGetRequest, $fields, options).then((request) => request(axios, basePath));
        },
        absencesAbsenceReasonsPost(absencesAbsenceReasonsGetRequest, $fields, options) {
            return localVarFp.absencesAbsenceReasonsPost(absencesAbsenceReasonsGetRequest, $fields, options).then((request) => request(axios, basePath));
        },
        absencesGet($skip, $top, member, members, location, team, since, till, viewMode, reason, $fields, options) {
            return localVarFp.absencesGet($skip, $top, member, members, location, team, since, till, viewMode, reason, $fields, options).then((request) => request(axios, basePath));
        },
        absencesIdApprovePost(id, absencesIdApprovePostRequest, options) {
            return localVarFp.absencesIdApprovePost(id, absencesIdApprovePostRequest, options).then((request) => request(axios, basePath));
        },
        absencesIdDelete(id, _delete, options) {
            return localVarFp.absencesIdDelete(id, _delete, options).then((request) => request(axios, basePath));
        },
        absencesIdDeleteApprovalDelete(id, options) {
            return localVarFp.absencesIdDeleteApprovalDelete(id, options).then((request) => request(axios, basePath));
        },
        absencesIdGet(id, $fields, options) {
            return localVarFp.absencesIdGet(id, $fields, options).then((request) => request(axios, basePath));
        },
        absencesIdPatch(id, absencesIdDeleteRequest, $fields, options) {
            return localVarFp.absencesIdPatch(id, absencesIdDeleteRequest, $fields, options).then((request) => request(axios, basePath));
        },
        absencesMembermemberGet(member, $fields, options) {
            return localVarFp.absencesMembermemberGet(member, $fields, options).then((request) => request(axios, basePath));
        },
        absencesPost(absencesGetRequest, $fields, options) {
            return localVarFp.absencesPost(absencesGetRequest, $fields, options).then((request) => request(axios, basePath));
        },
        administrationSupportPost($fields, options) {
            return localVarFp.administrationSupportPost($fields, options).then((request) => request(axios, basePath));
        },
        administrationUserAgreementEnabledGet(options) {
            return localVarFp.administrationUserAgreementEnabledGet(options).then((request) => request(axios, basePath));
        },
        administrationUserAgreementEnabledPost(administrationUserAgreementEnabledGetRequest, options) {
            return localVarFp.administrationUserAgreementEnabledPost(administrationUserAgreementEnabledGetRequest, options).then((request) => request(axios, basePath));
        },
        administrationUserAgreementGet($fields, options) {
            return localVarFp.administrationUserAgreementGet($fields, options).then((request) => request(axios, basePath));
        },
        administrationUserAgreementPatch(administrationUserAgreementGetRequest, $fields, options) {
            return localVarFp.administrationUserAgreementPatch(administrationUserAgreementGetRequest, $fields, options).then((request) => request(axios, basePath));
        },
        administrationUserAgreementStatusGet($skip, $top, query, accepted, activeProfilesOnly, $fields, options) {
            return localVarFp.administrationUserAgreementStatusGet($skip, $top, query, accepted, activeProfilesOnly, $fields, options).then((request) => request(axios, basePath));
        },
        administrationUserAgreementStatusProfileGet(profile, $fields, options) {
            return localVarFp.administrationUserAgreementStatusProfileGet(profile, $fields, options).then((request) => request(axios, basePath));
        },
        applicationsApplicationAuthorizationsAuthorizedContextsGet(application, $fields, options) {
            return localVarFp.applicationsApplicationAuthorizationsAuthorizedContextsGet(application, $fields, options).then((request) => request(axios, basePath));
        },
        applicationsApplicationAuthorizationsAuthorizedRightsDelete(application, contextIdentifier, options) {
            return localVarFp.applicationsApplicationAuthorizationsAuthorizedRightsDelete(application, contextIdentifier, options).then((request) => request(axios, basePath));
        },
        applicationsApplicationAuthorizationsAuthorizedRightsGet(application, contextIdentifier, $fields, options) {
            return localVarFp.applicationsApplicationAuthorizationsAuthorizedRightsGet(application, contextIdentifier, $fields, options).then((request) => request(axios, basePath));
        },
        applicationsApplicationAuthorizationsAuthorizedRightsPatch(application, applicationsApplicationAuthorizationsAuthorizedRightsDeleteRequest, options) {
            return localVarFp.applicationsApplicationAuthorizationsAuthorizedRightsPatch(application, applicationsApplicationAuthorizationsAuthorizedRightsDeleteRequest, options).then((request) => request(axios, basePath));
        },
        applicationsApplicationAuthorizationsAuthorizedRightsRequestRightsPatch(application, applicationsApplicationAuthorizationsAuthorizedRightsRequestRightsPatchRequest, options) {
            return localVarFp.applicationsApplicationAuthorizationsAuthorizedRightsRequestRightsPatch(application, applicationsApplicationAuthorizationsAuthorizedRightsRequestRightsPatchRequest, options).then((request) => request(axios, basePath));
        },
        applicationsApplicationAuthorizationsRequiredRightsGet(application, $fields, options) {
            return localVarFp.applicationsApplicationAuthorizationsRequiredRightsGet(application, $fields, options).then((request) => request(axios, basePath));
        },
        applicationsApplicationAuthorizationsRequiredRightsPatch(application, applicationsApplicationAuthorizationsRequiredRightsGetRequest, options) {
            return localVarFp.applicationsApplicationAuthorizationsRequiredRightsPatch(application, applicationsApplicationAuthorizationsRequiredRightsGetRequest, options).then((request) => request(axios, basePath));
        },
        applicationsApplicationBearerTokenGet(application, options) {
            return localVarFp.applicationsApplicationBearerTokenGet(application, options).then((request) => request(axios, basePath));
        },
        applicationsApplicationClientSecretGet(application, options) {
            return localVarFp.applicationsApplicationClientSecretGet(application, options).then((request) => request(axios, basePath));
        },
        applicationsApplicationClientSecretRegeneratePost(application, options) {
            return localVarFp.applicationsApplicationClientSecretRegeneratePost(application, options).then((request) => request(axios, basePath));
        },
        applicationsApplicationDelete(application, options) {
            return localVarFp.applicationsApplicationDelete(application, options).then((request) => request(axios, basePath));
        },
        applicationsApplicationForceRemovePost(application, options) {
            return localVarFp.applicationsApplicationForceRemovePost(application, options).then((request) => request(axios, basePath));
        },
        applicationsApplicationGet(application, $fields, options) {
            return localVarFp.applicationsApplicationGet(application, $fields, options).then((request) => request(axios, basePath));
        },
        applicationsApplicationLastClientCredentialsAccessGet(application, $fields, options) {
            return localVarFp.applicationsApplicationLastClientCredentialsAccessGet(application, $fields, options).then((request) => request(axios, basePath));
        },
        applicationsApplicationPatch(application, $fields, applicationsApplicationDeleteRequest, options) {
            return localVarFp.applicationsApplicationPatch(application, $fields, applicationsApplicationDeleteRequest, options).then((request) => request(axios, basePath));
        },
        applicationsApplicationPermanentTokensCurrentDelete(application, options) {
            return localVarFp.applicationsApplicationPermanentTokensCurrentDelete(application, options).then((request) => request(axios, basePath));
        },
        applicationsApplicationPermanentTokensGet(application, $skip, $top, $fields, options) {
            return localVarFp.applicationsApplicationPermanentTokensGet(application, $skip, $top, $fields, options).then((request) => request(axios, basePath));
        },
        applicationsApplicationPermanentTokensPost(application, applicationsApplicationPermanentTokensGetRequest, $fields, options) {
            return localVarFp.applicationsApplicationPermanentTokensPost(application, applicationsApplicationPermanentTokensGetRequest, $fields, options).then((request) => request(axios, basePath));
        },
        applicationsApplicationPermanentTokensTokenIdDelete(application, tokenId, options) {
            return localVarFp.applicationsApplicationPermanentTokensTokenIdDelete(application, tokenId, options).then((request) => request(axios, basePath));
        },
        applicationsApplicationPermanentTokensTokenIdPatch(application, tokenId, applicationsApplicationPermanentTokensTokenIdDeleteRequest, options) {
            return localVarFp.applicationsApplicationPermanentTokensTokenIdPatch(application, tokenId, applicationsApplicationPermanentTokensTokenIdDeleteRequest, options).then((request) => request(axios, basePath));
        },
        applicationsApplicationPublicKeysGet(application, options) {
            return localVarFp.applicationsApplicationPublicKeysGet(application, options).then((request) => request(axios, basePath));
        },
        applicationsApplicationRestorePost(application, options) {
            return localVarFp.applicationsApplicationRestorePost(application, options).then((request) => request(axios, basePath));
        },
        applicationsApplicationSigningKeyGet(application, options) {
            return localVarFp.applicationsApplicationSigningKeyGet(application, options).then((request) => request(axios, basePath));
        },
        applicationsApplicationSigningKeyRegeneratePost(application, options) {
            return localVarFp.applicationsApplicationSigningKeyRegeneratePost(application, options).then((request) => request(axios, basePath));
        },
        applicationsApplicationSshKeysFingerprintDelete(application, fingerprint, options) {
            return localVarFp.applicationsApplicationSshKeysFingerprintDelete(application, fingerprint, options).then((request) => request(axios, basePath));
        },
        applicationsApplicationSshKeysGet(application, $fields, options) {
            return localVarFp.applicationsApplicationSshKeysGet(application, $fields, options).then((request) => request(axios, basePath));
        },
        applicationsApplicationSshKeysPost(application, applicationsApplicationSshKeysGetRequest, options) {
            return localVarFp.applicationsApplicationSshKeysPost(application, applicationsApplicationSshKeysGetRequest, options).then((request) => request(axios, basePath));
        },
        applicationsApplicationUiExtensionsDisableForEverybodyPatch(application, applicationsApplicationUiExtensionsDisableForEverybodyPatchRequest, options) {
            return localVarFp.applicationsApplicationUiExtensionsDisableForEverybodyPatch(application, applicationsApplicationUiExtensionsDisableForEverybodyPatchRequest, options).then((request) => request(axios, basePath));
        },
        applicationsApplicationUiExtensionsDisableForMePatch(application, applicationsApplicationUiExtensionsDisableForEverybodyPatchRequest, options) {
            return localVarFp.applicationsApplicationUiExtensionsDisableForMePatch(application, applicationsApplicationUiExtensionsDisableForEverybodyPatchRequest, options).then((request) => request(axios, basePath));
        },
        applicationsApplicationUiExtensionsEnableForEverybodyPatch(application, applicationsApplicationUiExtensionsDisableForEverybodyPatchRequest, options) {
            return localVarFp.applicationsApplicationUiExtensionsEnableForEverybodyPatch(application, applicationsApplicationUiExtensionsDisableForEverybodyPatchRequest, options).then((request) => request(axios, basePath));
        },
        applicationsApplicationUiExtensionsEnableForMePatch(application, applicationsApplicationUiExtensionsDisableForEverybodyPatchRequest, options) {
            return localVarFp.applicationsApplicationUiExtensionsEnableForMePatch(application, applicationsApplicationUiExtensionsDisableForEverybodyPatchRequest, options).then((request) => request(axios, basePath));
        },
        applicationsApplicationUiExtensionsGet(application, contextIdentifier, $fields, options) {
            return localVarFp.applicationsApplicationUiExtensionsGet(application, contextIdentifier, $fields, options).then((request) => request(axios, basePath));
        },
        applicationsApplicationUnfurlDomainsAuthorizePost(application, applicationsApplicationUnfurlDomainsAuthorizePostRequest, options) {
            return localVarFp.applicationsApplicationUnfurlDomainsAuthorizePost(application, applicationsApplicationUnfurlDomainsAuthorizePostRequest, options).then((request) => request(axios, basePath));
        },
        applicationsApplicationUnfurlDomainsGet(application, $fields, options) {
            return localVarFp.applicationsApplicationUnfurlDomainsGet(application, $fields, options).then((request) => request(axios, basePath));
        },
        applicationsApplicationUnfurlPatternsAuthorizePost(application, applicationsApplicationUnfurlPatternsAuthorizePostRequest, options) {
            return localVarFp.applicationsApplicationUnfurlPatternsAuthorizePost(application, applicationsApplicationUnfurlPatternsAuthorizePostRequest, options).then((request) => request(axios, basePath));
        },
        applicationsApplicationUnfurlPatternsGet(application, $fields, options) {
            return localVarFp.applicationsApplicationUnfurlPatternsGet(application, $fields, options).then((request) => request(axios, basePath));
        },
        applicationsApplicationVerificationTokenGet(application, options) {
            return localVarFp.applicationsApplicationVerificationTokenGet(application, options).then((request) => request(axios, basePath));
        },
        applicationsApplicationVerificationTokenRegeneratePost(application, options) {
            return localVarFp.applicationsApplicationVerificationTokenRegeneratePost(application, options).then((request) => request(axios, basePath));
        },
        applicationsApplicationWebhooksGet(application, withArchived, query, $skip, $top, $fields, options) {
            return localVarFp.applicationsApplicationWebhooksGet(application, withArchived, query, $skip, $top, $fields, options).then((request) => request(axios, basePath));
        },
        applicationsApplicationWebhooksPost(application, applicationsApplicationWebhooksGetRequest, $fields, options) {
            return localVarFp.applicationsApplicationWebhooksPost(application, applicationsApplicationWebhooksGetRequest, $fields, options).then((request) => request(axios, basePath));
        },
        applicationsApplicationWebhooksWebhookIdBearerTokenGet(application, webhookId, options) {
            return localVarFp.applicationsApplicationWebhooksWebhookIdBearerTokenGet(application, webhookId, options).then((request) => request(axios, basePath));
        },
        applicationsApplicationWebhooksWebhookIdCustomHeadersGet(application, webhookId, $fields, options) {
            return localVarFp.applicationsApplicationWebhooksWebhookIdCustomHeadersGet(application, webhookId, $fields, options).then((request) => request(axios, basePath));
        },
        applicationsApplicationWebhooksWebhookIdCustomHeadersPost(application, webhookId, applicationsApplicationWebhooksWebhookIdCustomHeadersGetRequest, options) {
            return localVarFp.applicationsApplicationWebhooksWebhookIdCustomHeadersPost(application, webhookId, applicationsApplicationWebhooksWebhookIdCustomHeadersGetRequest, options).then((request) => request(axios, basePath));
        },
        applicationsApplicationWebhooksWebhookIdDelete(application, webhookId, options) {
            return localVarFp.applicationsApplicationWebhooksWebhookIdDelete(application, webhookId, options).then((request) => request(axios, basePath));
        },
        applicationsApplicationWebhooksWebhookIdPatch(application, webhookId, applicationsApplicationWebhooksWebhookIdDeleteRequest, options) {
            return localVarFp.applicationsApplicationWebhooksWebhookIdPatch(application, webhookId, applicationsApplicationWebhooksWebhookIdDeleteRequest, options).then((request) => request(axios, basePath));
        },
        applicationsApplicationWebhooksWebhookIdPost(application, webhookId, options) {
            return localVarFp.applicationsApplicationWebhooksWebhookIdPost(application, webhookId, options).then((request) => request(axios, basePath));
        },
        applicationsApplicationWebhooksWebhookIdSigningKeyGet(application, webhookId, options) {
            return localVarFp.applicationsApplicationWebhooksWebhookIdSigningKeyGet(application, webhookId, options).then((request) => request(axios, basePath));
        },
        applicationsApplicationWebhooksWebhookIdSigningKeyRegeneratePost(application, webhookId, options) {
            return localVarFp.applicationsApplicationWebhooksWebhookIdSigningKeyRegeneratePost(application, webhookId, options).then((request) => request(axios, basePath));
        },
        applicationsApplicationWebhooksWebhookIdSubscriptionsGet(application, webhookId, $fields, options) {
            return localVarFp.applicationsApplicationWebhooksWebhookIdSubscriptionsGet(application, webhookId, $fields, options).then((request) => request(axios, basePath));
        },
        applicationsApplicationWebhooksWebhookIdSubscriptionsPost(application, webhookId, applicationsApplicationWebhooksWebhookIdSubscriptionsGetRequest, $fields, options) {
            return localVarFp.applicationsApplicationWebhooksWebhookIdSubscriptionsPost(application, webhookId, applicationsApplicationWebhooksWebhookIdSubscriptionsGetRequest, $fields, options).then((request) => request(axios, basePath));
        },
        applicationsApplicationWebhooksWebhookIdSubscriptionsSubscriptionIdDelete(application, webhookId, subscriptionId, options) {
            return localVarFp.applicationsApplicationWebhooksWebhookIdSubscriptionsSubscriptionIdDelete(application, webhookId, subscriptionId, options).then((request) => request(axios, basePath));
        },
        applicationsApplicationWebhooksWebhookIdSubscriptionsSubscriptionIdPatch(application, webhookId, subscriptionId, $fields, applicationsApplicationWebhooksWebhookIdSubscriptionsSubscriptionIdDeleteRequest, options) {
            return localVarFp.applicationsApplicationWebhooksWebhookIdSubscriptionsSubscriptionIdPatch(application, webhookId, subscriptionId, $fields, applicationsApplicationWebhooksWebhookIdSubscriptionsSubscriptionIdDeleteRequest, options).then((request) => request(axios, basePath));
        },
        applicationsApplicationWebhooksWebhookIdSubscriptionsSubscriptionIdRequestMissingRightsPost(application, webhookId, subscriptionId, options) {
            return localVarFp.applicationsApplicationWebhooksWebhookIdSubscriptionsSubscriptionIdRequestMissingRightsPost(application, webhookId, subscriptionId, options).then((request) => request(axios, basePath));
        },
        applicationsAuthorizationsAuthorizedApplicationsGet(contextIdentifier, $fields, options) {
            return localVarFp.applicationsAuthorizationsAuthorizedApplicationsGet(contextIdentifier, $fields, options).then((request) => request(axios, basePath));
        },
        applicationsPagedGet($skip, $top, name, owner, withArchived, withManaged, ordering, $fields, options) {
            return localVarFp.applicationsPagedGet($skip, $top, name, owner, withArchived, withManaged, ordering, $fields, options).then((request) => request(axios, basePath));
        },
        applicationsPost(applicationsPostRequest, $fields, options) {
            return localVarFp.applicationsPost(applicationsPostRequest, $fields, options).then((request) => request(axios, basePath));
        },
        applicationsUiExtensionsPatch(applicationsUiExtensionsPatchRequest, options) {
            return localVarFp.applicationsUiExtensionsPatch(applicationsUiExtensionsPatchRequest, options).then((request) => request(axios, basePath));
        },
        applicationsUnfurlsDomainsPatch(applicationsUnfurlsDomainsPatchRequest, options) {
            return localVarFp.applicationsUnfurlsDomainsPatch(applicationsUnfurlsDomainsPatchRequest, options).then((request) => request(axios, basePath));
        },
        applicationsUnfurlsPatternsPatch(applicationsUnfurlsPatternsPatchRequest, options) {
            return localVarFp.applicationsUnfurlsPatternsPatch(applicationsUnfurlsPatternsPatchRequest, options).then((request) => request(axios, basePath));
        },
        applicationsUnfurlsQueueContentPost(applicationsUnfurlsQueueContentPostRequest, $fields, options) {
            return localVarFp.applicationsUnfurlsQueueContentPost(applicationsUnfurlsQueueContentPostRequest, $fields, options).then((request) => request(axios, basePath));
        },
        applicationsUnfurlsQueueGet(batchSize, fromEtag, $fields, options) {
            return localVarFp.applicationsUnfurlsQueueGet(batchSize, fromEtag, $fields, options).then((request) => request(axios, basePath));
        },
        applicationsUnfurlsQueueRequestExternalAuthPost(applicationsUnfurlsQueueRequestExternalAuthPostRequest, options) {
            return localVarFp.applicationsUnfurlsQueueRequestExternalAuthPost(applicationsUnfurlsQueueRequestExternalAuthPostRequest, options).then((request) => request(axios, basePath));
        },
        applicationsUnfurlsQueueResetExternalAuthRequestsPost(applicationsUnfurlsQueueResetExternalAuthRequestsPostRequest, options) {
            return localVarFp.applicationsUnfurlsQueueResetExternalAuthRequestsPost(applicationsUnfurlsQueueResetExternalAuthRequestsPostRequest, options).then((request) => request(axios, basePath));
        },
        authModulesConfigDelete($fields, options) {
            return localVarFp.authModulesConfigDelete($fields, options).then((request) => request(axios, basePath));
        },
        authModulesConfigGet($fields, options) {
            return localVarFp.authModulesConfigGet($fields, options).then((request) => request(axios, basePath));
        },
        authModulesConfigPut(authModulesConfigDeleteRequest, options) {
            return localVarFp.authModulesConfigPut(authModulesConfigDeleteRequest, options).then((request) => request(axios, basePath));
        },
        authModulesDiscoverOidcGet(discoveryEndpoint, $fields, options) {
            return localVarFp.authModulesDiscoverOidcGet(discoveryEndpoint, $fields, options).then((request) => request(axios, basePath));
        },
        authModulesGet(withDisabled, $fields, options) {
            return localVarFp.authModulesGet(withDisabled, $fields, options).then((request) => request(axios, basePath));
        },
        authModulesIdDelete(id, options) {
            return localVarFp.authModulesIdDelete(id, options).then((request) => request(axios, basePath));
        },
        authModulesIdLoginsIdentifierChangePost(id, identifier, authModulesIdLoginsIdentifierChangePostRequest, options) {
            return localVarFp.authModulesIdLoginsIdentifierChangePost(id, identifier, authModulesIdLoginsIdentifierChangePostRequest, options).then((request) => request(axios, basePath));
        },
        authModulesIdLoginsIdentifierDelete(identifier, id, options) {
            return localVarFp.authModulesIdLoginsIdentifierDelete(identifier, id, options).then((request) => request(axios, basePath));
        },
        authModulesIdLoginsIdentifierResetPost(id, identifier, options) {
            return localVarFp.authModulesIdLoginsIdentifierResetPost(id, identifier, options).then((request) => request(axios, basePath));
        },
        authModulesIdPatch(id, authModulesIdDeleteRequest, options) {
            return localVarFp.authModulesIdPatch(id, authModulesIdDeleteRequest, options).then((request) => request(axios, basePath));
        },
        authModulesIdSamlMetadataPost(id, authModulesIdSamlMetadataPostRequest, $fields, options) {
            return localVarFp.authModulesIdSamlMetadataPost(id, authModulesIdSamlMetadataPostRequest, $fields, options).then((request) => request(axios, basePath));
        },
        authModulesKeykeyGet(key, $fields, options) {
            return localVarFp.authModulesKeykeyGet(key, $fields, options).then((request) => request(axios, basePath));
        },
        authModulesPost(authModulesGetRequest, $fields, options) {
            return localVarFp.authModulesPost(authModulesGetRequest, $fields, options).then((request) => request(axios, basePath));
        },
        authModulesReorderPost(authModulesReorderPostRequest, options) {
            return localVarFp.authModulesReorderPost(authModulesReorderPostRequest, options).then((request) => request(axios, basePath));
        },
        authModulesTestBuiltInPost(authModulesTestBuiltInPostRequest, $fields, options) {
            return localVarFp.authModulesTestBuiltInPost(authModulesTestBuiltInPostRequest, $fields, options).then((request) => request(axios, basePath));
        },
        authModulesTestLdapPost(authModulesTestLdapPostRequest, $fields, options) {
            return localVarFp.authModulesTestLdapPost(authModulesTestLdapPostRequest, $fields, options).then((request) => request(axios, basePath));
        },
        authModulesThrottledLoginsDelete(logins, options) {
            return localVarFp.authModulesThrottledLoginsDelete(logins, options).then((request) => request(axios, basePath));
        },
        authModulesThrottledLoginsGet($skip, $top, login, $fields, options) {
            return localVarFp.authModulesThrottledLoginsGet($skip, $top, login, $fields, options).then((request) => request(axios, basePath));
        },
        authModulesThrottledLoginsOrgStatusDelete(options) {
            return localVarFp.authModulesThrottledLoginsOrgStatusDelete(options).then((request) => request(axios, basePath));
        },
        authModulesThrottledLoginsOrgStatusGet($fields, options) {
            return localVarFp.authModulesThrottledLoginsOrgStatusGet($fields, options).then((request) => request(axios, basePath));
        },
        authModulesUsagesGet($fields, options) {
            return localVarFp.authModulesUsagesGet($fields, options).then((request) => request(axios, basePath));
        },
        billingAdminOverdraftsGet($fields, options) {
            return localVarFp.billingAdminOverdraftsGet($fields, options).then((request) => request(axios, basePath));
        },
        billingAdminOverdraftsPut(billingAdminOverdraftsGetRequest, options) {
            return localVarFp.billingAdminOverdraftsPut(billingAdminOverdraftsGetRequest, options).then((request) => request(axios, basePath));
        },
        billingAdminReportsBillingPeriodGet(billingPeriod, $fields, options) {
            return localVarFp.billingAdminReportsBillingPeriodGet(billingPeriod, $fields, options).then((request) => request(axios, basePath));
        },
        billingAdminReportsTodayGet(date, $fields, options) {
            return localVarFp.billingAdminReportsTodayGet(date, $fields, options).then((request) => request(axios, basePath));
        },
        billingAdminTrialPut(billingAdminTrialPutRequest, options) {
            return localVarFp.billingAdminTrialPut(billingAdminTrialPutRequest, options).then((request) => request(axios, basePath));
        },
        blogAliasaliasGet(alias, $fields, options) {
            return localVarFp.blogAliasaliasGet(alias, $fields, options).then((request) => request(axios, basePath));
        },
        blogExternalIdidGet(id, $fields, options) {
            return localVarFp.blogExternalIdidGet(id, $fields, options).then((request) => request(axios, basePath));
        },
        blogGet($skip, $top, term, dateFrom, dateTo, authorId, teamId, locationId, forProfile, $fields, options) {
            return localVarFp.blogGet($skip, $top, term, dateFrom, dateTo, authorId, teamId, locationId, forProfile, $fields, options).then((request) => request(axios, basePath));
        },
        blogIdDelete(id, options) {
            return localVarFp.blogIdDelete(id, options).then((request) => request(axios, basePath));
        },
        blogIdGet(id, $fields, options) {
            return localVarFp.blogIdGet(id, $fields, options).then((request) => request(axios, basePath));
        },
        blogIdPatch(id, $fields, blogIdDeleteRequest, options) {
            return localVarFp.blogIdPatch(id, $fields, blogIdDeleteRequest, options).then((request) => request(axios, basePath));
        },
        blogImportPost(blogImportPostRequest, $fields, options) {
            return localVarFp.blogImportPost(blogImportPostRequest, $fields, options).then((request) => request(axios, basePath));
        },
        blogPost(blogGetRequest, $fields, options) {
            return localVarFp.blogPost(blogGetRequest, $fields, options).then((request) => request(axios, basePath));
        },
        blogStatsGet(dateFrom, dateTo, authorId, teamId, locationId, $fields, options) {
            return localVarFp.blogStatsGet(dateFrom, dateTo, authorId, teamId, locationId, $fields, options).then((request) => request(axios, basePath));
        },
        calendarsAbsenceEventsGet(dateFrom, dateTo, team, location, role, $fields, options) {
            return localVarFp.calendarsAbsenceEventsGet(dateFrom, dateTo, team, location, role, $fields, options).then((request) => request(axios, basePath));
        },
        calendarsBirthdayEventsGet(dateFrom, dateTo, team, location, role, $fields, options) {
            return localVarFp.calendarsBirthdayEventsGet(dateFrom, dateTo, team, location, role, $fields, options).then((request) => request(axios, basePath));
        },
        calendarsBirthdayEventsStarredGet(dateFrom, dateTo, $fields, options) {
            return localVarFp.calendarsBirthdayEventsStarredGet(dateFrom, dateTo, $fields, options).then((request) => request(axios, basePath));
        },
        calendarsEventParticipationsIdPatch(id, calendarsEventParticipationsIdPatchRequest, $fields, options) {
            return localVarFp.calendarsEventParticipationsIdPatch(id, calendarsEventParticipationsIdPatchRequest, $fields, options).then((request) => request(axios, basePath));
        },
        calendarsEventsGet(dateFrom, dateTo, $fields, options) {
            return localVarFp.calendarsEventsGet(dateFrom, dateTo, $fields, options).then((request) => request(axios, basePath));
        },
        calendarsEventsIdGet(id, $fields, options) {
            return localVarFp.calendarsEventsIdGet(id, $fields, options).then((request) => request(axios, basePath));
        },
        calendarsHolidaysGet(startDate, endDate, team, location, role, workingDays, $fields, options) {
            return localVarFp.calendarsHolidaysGet(startDate, endDate, team, location, role, workingDays, $fields, options).then((request) => request(axios, basePath));
        },
        calendarsMeetingsGet($skip, $top, summaryQuery, locationsQuery, startingAfter, endingAfter, endingBefore, startingBefore, profiles, teams, organizer, includePrivate, includeArchived, includeMeetingInstances, $fields, options) {
            return localVarFp.calendarsMeetingsGet($skip, $top, summaryQuery, locationsQuery, startingAfter, endingAfter, endingBefore, startingBefore, profiles, teams, organizer, includePrivate, includeArchived, includeMeetingInstances, $fields, options).then((request) => request(axios, basePath));
        },
        calendarsMeetingsIdConferenceRoomsDelete(id, roomId, dateTime, options) {
            return localVarFp.calendarsMeetingsIdConferenceRoomsDelete(id, roomId, dateTime, options).then((request) => request(axios, basePath));
        },
        calendarsMeetingsIdConferenceRoomsPost(id, calendarsMeetingsIdConferenceRoomsDeleteRequest, options) {
            return localVarFp.calendarsMeetingsIdConferenceRoomsPost(id, calendarsMeetingsIdConferenceRoomsDeleteRequest, options).then((request) => request(axios, basePath));
        },
        calendarsMeetingsIdDelete(id, targetDate, modificationKind, $fields, options) {
            return localVarFp.calendarsMeetingsIdDelete(id, targetDate, modificationKind, $fields, options).then((request) => request(axios, basePath));
        },
        calendarsMeetingsIdGet(id, $fields, options) {
            return localVarFp.calendarsMeetingsIdGet(id, $fields, options).then((request) => request(axios, basePath));
        },
        calendarsMeetingsIdParticipationStatusPatch(id, calendarsMeetingsIdParticipationStatusPatchRequest, $fields, options) {
            return localVarFp.calendarsMeetingsIdParticipationStatusPatch(id, calendarsMeetingsIdParticipationStatusPatchRequest, $fields, options).then((request) => request(axios, basePath));
        },
        calendarsMeetingsIdPatch(id, $fields, calendarsMeetingsIdDeleteRequest, options) {
            return localVarFp.calendarsMeetingsIdPatch(id, $fields, calendarsMeetingsIdDeleteRequest, options).then((request) => request(axios, basePath));
        },
        calendarsMeetingsNextOccurrenceGet(meetingId, since, $fields, options) {
            return localVarFp.calendarsMeetingsNextOccurrenceGet(meetingId, since, $fields, options).then((request) => request(axios, basePath));
        },
        calendarsMeetingsOccurrencesByMeetingGet(meetingIds, since, until, limit, $fields, options) {
            return localVarFp.calendarsMeetingsOccurrencesByMeetingGet(meetingIds, since, until, limit, $fields, options).then((request) => request(axios, basePath));
        },
        calendarsMeetingsOccurrencesGet(meetingId, since, until, limit, $fields, options) {
            return localVarFp.calendarsMeetingsOccurrencesGet(meetingId, since, until, limit, $fields, options).then((request) => request(axios, basePath));
        },
        calendarsMeetingsParticipationStatusesExternalGet(id, emails, options) {
            return localVarFp.calendarsMeetingsParticipationStatusesExternalGet(id, emails, options).then((request) => request(axios, basePath));
        },
        calendarsMeetingsParticipationStatusesGet(id, profileIds, options) {
            return localVarFp.calendarsMeetingsParticipationStatusesGet(id, profileIds, options).then((request) => request(axios, basePath));
        },
        calendarsMeetingsPost(calendarsMeetingsGetRequest, $fields, options) {
            return localVarFp.calendarsMeetingsPost(calendarsMeetingsGetRequest, $fields, options).then((request) => request(axios, basePath));
        },
        calendarsMeetingsProfileParticipationGet(profileId, events, $fields, options) {
            return localVarFp.calendarsMeetingsProfileParticipationGet(profileId, events, $fields, options).then((request) => request(axios, basePath));
        },
        calendarsMeetingsProfileParticipationRecordsGet(profileId, events, $fields, options) {
            return localVarFp.calendarsMeetingsProfileParticipationRecordsGet(profileId, events, $fields, options).then((request) => request(axios, basePath));
        },
        calendarsMembershipEventsGet(dateFrom, dateTo, team, location, role, $fields, options) {
            return localVarFp.calendarsMembershipEventsGet(dateFrom, dateTo, team, location, role, $fields, options).then((request) => request(axios, basePath));
        },
        calendarsNonWorkingDaysEventsGet(dateFrom, dateTo, member, team, location, role, $fields, options) {
            return localVarFp.calendarsNonWorkingDaysEventsGet(dateFrom, dateTo, member, team, location, role, $fields, options).then((request) => request(axios, basePath));
        },
        callsPost(callsPostRequest, $fields, options) {
            return localVarFp.callsPost(callsPostRequest, $fields, options).then((request) => request(axios, basePath));
        },
        chatsChannelsAllChannelsGet(query, $skip, $top, quickFilter, sortColumn, sortOrder, publicOnly, withArchived, subscriber, $fields, options) {
            return localVarFp.chatsChannelsAllChannelsGet(query, $skip, $top, quickFilter, sortColumn, sortOrder, publicOnly, withArchived, subscriber, $fields, options).then((request) => request(axios, basePath));
        },
        chatsChannelsChannelAdministratorGet(channel, $fields, options) {
            return localVarFp.chatsChannelsChannelAdministratorGet(channel, $fields, options).then((request) => request(axios, basePath));
        },
        chatsChannelsChannelAdministratorPatch(channel, chatsChannelsChannelAdministratorGetRequest, options) {
            return localVarFp.chatsChannelsChannelAdministratorPatch(channel, chatsChannelsChannelAdministratorGetRequest, options).then((request) => request(axios, basePath));
        },
        chatsChannelsChannelArchiveDelete(channel, options) {
            return localVarFp.chatsChannelsChannelArchiveDelete(channel, options).then((request) => request(axios, basePath));
        },
        chatsChannelsChannelAttachmentsFilesGet(channel, $skip, $top, $fields, options) {
            return localVarFp.chatsChannelsChannelAttachmentsFilesGet(channel, $skip, $top, $fields, options).then((request) => request(axios, basePath));
        },
        chatsChannelsChannelAttachmentsGet(channel, $skip, $top, $fields, options) {
            return localVarFp.chatsChannelsChannelAttachmentsGet(channel, $skip, $top, $fields, options).then((request) => request(axios, basePath));
        },
        chatsChannelsChannelAttachmentsImagesGet(channel, $skip, $top, $fields, options) {
            return localVarFp.chatsChannelsChannelAttachmentsImagesGet(channel, $skip, $top, $fields, options).then((request) => request(axios, basePath));
        },
        chatsChannelsChannelAttachmentsLinksGet(channel, $skip, $top, $fields, options) {
            return localVarFp.chatsChannelsChannelAttachmentsLinksGet(channel, $skip, $top, $fields, options).then((request) => request(axios, basePath));
        },
        chatsChannelsChannelAttachmentsVideosGet(channel, $skip, $top, $fields, options) {
            return localVarFp.chatsChannelsChannelAttachmentsVideosGet(channel, $skip, $top, $fields, options).then((request) => request(axios, basePath));
        },
        chatsChannelsChannelDelete(channel, options) {
            return localVarFp.chatsChannelsChannelDelete(channel, options).then((request) => request(axios, basePath));
        },
        chatsChannelsChannelDescriptionPatch(channel, chatsChannelsChannelDescriptionPatchRequest, options) {
            return localVarFp.chatsChannelsChannelDescriptionPatch(channel, chatsChannelsChannelDescriptionPatchRequest, options).then((request) => request(axios, basePath));
        },
        chatsChannelsChannelGet(channel, $fields, options) {
            return localVarFp.chatsChannelsChannelGet(channel, $fields, options).then((request) => request(axios, basePath));
        },
        chatsChannelsChannelIconPatch(channel, chatsChannelsChannelIconPatchRequest, options) {
            return localVarFp.chatsChannelsChannelIconPatch(channel, chatsChannelsChannelIconPatchRequest, options).then((request) => request(axios, basePath));
        },
        chatsChannelsChannelNamePatch(channel, chatsChannelsIsNameFreePostRequest, options) {
            return localVarFp.chatsChannelsChannelNamePatch(channel, chatsChannelsIsNameFreePostRequest, options).then((request) => request(axios, basePath));
        },
        chatsChannelsChannelRestoreArchivedPost(channel, options) {
            return localVarFp.chatsChannelsChannelRestoreArchivedPost(channel, options).then((request) => request(axios, basePath));
        },
        chatsChannelsChannelSubscribersTeamsDelete(channel, teams, options) {
            return localVarFp.chatsChannelsChannelSubscribersTeamsDelete(channel, teams, options).then((request) => request(axios, basePath));
        },
        chatsChannelsChannelSubscribersTeamsGet(channel, query, $skip, $top, $fields, options) {
            return localVarFp.chatsChannelsChannelSubscribersTeamsGet(channel, query, $skip, $top, $fields, options).then((request) => request(axios, basePath));
        },
        chatsChannelsChannelSubscribersTeamsPost(channel, chatsChannelsChannelSubscribersTeamsDeleteRequest, options) {
            return localVarFp.chatsChannelsChannelSubscribersTeamsPost(channel, chatsChannelsChannelSubscribersTeamsDeleteRequest, options).then((request) => request(axios, basePath));
        },
        chatsChannelsChannelSubscribersUsersDelete(channel, profiles, options) {
            return localVarFp.chatsChannelsChannelSubscribersUsersDelete(channel, profiles, options).then((request) => request(axios, basePath));
        },
        chatsChannelsChannelSubscribersUsersGet(channel, query, $skip, $top, $fields, options) {
            return localVarFp.chatsChannelsChannelSubscribersUsersGet(channel, query, $skip, $top, $fields, options).then((request) => request(axios, basePath));
        },
        chatsChannelsChannelSubscribersUsersPost(channel, chatsChannelsChannelSubscribersUsersDeleteRequest, options) {
            return localVarFp.chatsChannelsChannelSubscribersUsersPost(channel, chatsChannelsChannelSubscribersUsersDeleteRequest, options).then((request) => request(axios, basePath));
        },
        chatsChannelsConversationsChannelConvertPost(channel, chatsChannelsConversationsChannelConvertPostRequest, $fields, options) {
            return localVarFp.chatsChannelsConversationsChannelConvertPost(channel, chatsChannelsConversationsChannelConvertPostRequest, $fields, options).then((request) => request(axios, basePath));
        },
        chatsChannelsConversationsChannelSubjectPatch(channel, chatsChannelsConversationsChannelSubjectPatchRequest, options) {
            return localVarFp.chatsChannelsConversationsChannelSubjectPatch(channel, chatsChannelsConversationsChannelSubjectPatchRequest, options).then((request) => request(axios, basePath));
        },
        chatsChannelsConversationsPost(chatsChannelsConversationsPostRequest, $fields, options) {
            return localVarFp.chatsChannelsConversationsPost(chatsChannelsConversationsPostRequest, $fields, options).then((request) => request(axios, basePath));
        },
        chatsChannelsDmPost(chatsChannelsDmPostRequest, $fields, options) {
            return localVarFp.chatsChannelsDmPost(chatsChannelsDmPostRequest, $fields, options).then((request) => request(axios, basePath));
        },
        chatsChannelsIsNameFreePost(chatsChannelsIsNameFreePostRequest, options) {
            return localVarFp.chatsChannelsIsNameFreePost(chatsChannelsIsNameFreePostRequest, options).then((request) => request(axios, basePath));
        },
        chatsChannelsPost(chatsChannelsPostRequest, $fields, options) {
            return localVarFp.chatsChannelsPost(chatsChannelsPostRequest, $fields, options).then((request) => request(axios, basePath));
        },
        chatsMessagesDeleteMessagePost(chatsMessagesDeleteMessagePostRequest, options) {
            return localVarFp.chatsMessagesDeleteMessagePost(chatsMessagesDeleteMessagePostRequest, options).then((request) => request(axios, basePath));
        },
        chatsMessagesEditMessagePost(chatsMessagesEditMessagePostRequest, options) {
            return localVarFp.chatsMessagesEditMessagePost(chatsMessagesEditMessagePostRequest, options).then((request) => request(axios, basePath));
        },
        chatsMessagesGet(channel, sorting, batchSize, startFromDate, $fields, options) {
            return localVarFp.chatsMessagesGet(channel, sorting, batchSize, startFromDate, $fields, options).then((request) => request(axios, basePath));
        },
        chatsMessagesImportPost(chatsMessagesImportPostRequest, options) {
            return localVarFp.chatsMessagesImportPost(chatsMessagesImportPostRequest, options).then((request) => request(axios, basePath));
        },
        chatsMessagesMessageGet(message, channel, $fields, options) {
            return localVarFp.chatsMessagesMessageGet(message, channel, $fields, options).then((request) => request(axios, basePath));
        },
        chatsMessagesPinPatch(chatsMessagesPinPatchRequest, options) {
            return localVarFp.chatsMessagesPinPatch(chatsMessagesPinPatchRequest, options).then((request) => request(axios, basePath));
        },
        chatsMessagesPinnedMessagesGet(channel, $skip, $top, $fields, options) {
            return localVarFp.chatsMessagesPinnedMessagesGet(channel, $skip, $top, $fields, options).then((request) => request(axios, basePath));
        },
        chatsMessagesSendMessagePost(chatsMessagesSendMessagePostRequest, $fields, options) {
            return localVarFp.chatsMessagesSendMessagePost(chatsMessagesSendMessagePostRequest, $fields, options).then((request) => request(axios, basePath));
        },
        chatsMessagesSendPost(chatsMessagesSendPostRequest, $fields, options) {
            return localVarFp.chatsMessagesSendPost(chatsMessagesSendPostRequest, $fields, options).then((request) => request(axios, basePath));
        },
        chatsMessagesUnpinPatch(chatsMessagesPinPatchRequest, options) {
            return localVarFp.chatsMessagesUnpinPatch(chatsMessagesPinPatchRequest, options).then((request) => request(axios, basePath));
        },
        checklistsChecklistItemsPlanItemDelete(checklist, planItem, options) {
            return localVarFp.checklistsChecklistItemsPlanItemDelete(checklist, planItem, options).then((request) => request(axios, basePath));
        },
        checklistsChecklistItemsPlanItemGet(checklist, planItem, $fields, options) {
            return localVarFp.checklistsChecklistItemsPlanItemGet(checklist, planItem, $fields, options).then((request) => request(axios, basePath));
        },
        checklistsChecklistItemsPlanItemMovePost(checklist, planItem, checklistsChecklistItemsPlanItemMovePostRequest, $fields, options) {
            return localVarFp.checklistsChecklistItemsPlanItemMovePost(checklist, planItem, checklistsChecklistItemsPlanItemMovePostRequest, $fields, options).then((request) => request(axios, basePath));
        },
        checklistsChecklistItemsPlanItemPatch(checklist, planItem, $fields, checklistsChecklistItemsPlanItemDeleteRequest, options) {
            return localVarFp.checklistsChecklistItemsPlanItemPatch(checklist, planItem, $fields, checklistsChecklistItemsPlanItemDeleteRequest, options).then((request) => request(axios, basePath));
        },
        checklistsChecklistItemsPost(checklist, checklistsChecklistItemsPostRequest, $fields, options) {
            return localVarFp.checklistsChecklistItemsPost(checklist, checklistsChecklistItemsPostRequest, $fields, options).then((request) => request(axios, basePath));
        },
        customFieldsExtendedTypesGet(scope, $fields, options) {
            return localVarFp.customFieldsExtendedTypesGet(scope, $fields, options).then((request) => request(axios, basePath));
        },
        customFieldsTypeKeyAllValuesGet(typeKey, $skip, $top, extendedEntityIds, scope, $fields, options) {
            return localVarFp.customFieldsTypeKeyAllValuesGet(typeKey, $skip, $top, extendedEntityIds, scope, $fields, options).then((request) => request(axios, basePath));
        },
        customFieldsTypeKeyEntityIdValuesGet(typeKey, entityId, scope, $fields, options) {
            return localVarFp.customFieldsTypeKeyEntityIdValuesGet(typeKey, entityId, scope, $fields, options).then((request) => request(axios, basePath));
        },
        customFieldsTypeKeyEntityIdValuesPatch(entityId, typeKey, customFieldsTypeKeyEntityIdValuesGetRequest, options) {
            return localVarFp.customFieldsTypeKeyEntityIdValuesPatch(entityId, typeKey, customFieldsTypeKeyEntityIdValuesGetRequest, options).then((request) => request(axios, basePath));
        },
        customFieldsTypeKeyEnumValuesCustomFieldIdGet(typeKey, customFieldId, $skip, $top, query, ordering, countRecords, addedByProfileId, scope, $fields, options) {
            return localVarFp.customFieldsTypeKeyEnumValuesCustomFieldIdGet(typeKey, customFieldId, $skip, $top, query, ordering, countRecords, addedByProfileId, scope, $fields, options).then((request) => request(axios, basePath));
        },
        customFieldsTypeKeyEnumValuesCustomFieldIdPost(typeKey, customFieldId, customFieldsTypeKeyEnumValuesCustomFieldIdGetRequest, $fields, options) {
            return localVarFp.customFieldsTypeKeyEnumValuesCustomFieldIdPost(typeKey, customFieldId, customFieldsTypeKeyEnumValuesCustomFieldIdGetRequest, $fields, options).then((request) => request(axios, basePath));
        },
        customFieldsTypeKeyFieldsGet(typeKey, withArchived, scope, $fields, options) {
            return localVarFp.customFieldsTypeKeyFieldsGet(typeKey, withArchived, scope, $fields, options).then((request) => request(axios, basePath));
        },
        customFieldsTypeKeyFieldsIdArchivePost(typeKey, id, customFieldsTypeKeyFieldsIdArchivePostRequest, options) {
            return localVarFp.customFieldsTypeKeyFieldsIdArchivePost(typeKey, id, customFieldsTypeKeyFieldsIdArchivePostRequest, options).then((request) => request(axios, basePath));
        },
        customFieldsTypeKeyFieldsIdDelete(typeKey, id, scope, options) {
            return localVarFp.customFieldsTypeKeyFieldsIdDelete(typeKey, id, scope, options).then((request) => request(axios, basePath));
        },
        customFieldsTypeKeyFieldsIdFilterValuesGet(typeKey, id, $skip, $top, scope, calculateTotal, $fields, options) {
            return localVarFp.customFieldsTypeKeyFieldsIdFilterValuesGet(typeKey, id, $skip, $top, scope, calculateTotal, $fields, options).then((request) => request(axios, basePath));
        },
        customFieldsTypeKeyFieldsIdPatch(typeKey, id, customFieldsTypeKeyFieldsIdDeleteRequest, options) {
            return localVarFp.customFieldsTypeKeyFieldsIdPatch(typeKey, id, customFieldsTypeKeyFieldsIdDeleteRequest, options).then((request) => request(axios, basePath));
        },
        customFieldsTypeKeyFieldsIdRestorePost(typeKey, id, customFieldsTypeKeyFieldsIdArchivePostRequest, options) {
            return localVarFp.customFieldsTypeKeyFieldsIdRestorePost(typeKey, id, customFieldsTypeKeyFieldsIdArchivePostRequest, options).then((request) => request(axios, basePath));
        },
        customFieldsTypeKeyFieldsPost(typeKey, customFieldsTypeKeyFieldsGetRequest, $fields, options) {
            return localVarFp.customFieldsTypeKeyFieldsPost(typeKey, customFieldsTypeKeyFieldsGetRequest, $fields, options).then((request) => request(axios, basePath));
        },
        customFieldsTypeKeyFieldsReorderPost(typeKey, customFieldsTypeKeyFieldsReorderPostRequest, options) {
            return localVarFp.customFieldsTypeKeyFieldsReorderPost(typeKey, customFieldsTypeKeyFieldsReorderPostRequest, options).then((request) => request(axios, basePath));
        },
        customFieldsV2EntityTypeFieldsCustomFieldArchivePost(entityType, customField, options) {
            return localVarFp.customFieldsV2EntityTypeFieldsCustomFieldArchivePost(entityType, customField, options).then((request) => request(axios, basePath));
        },
        customFieldsV2EntityTypeFieldsCustomFieldDelete(entityType, customField, options) {
            return localVarFp.customFieldsV2EntityTypeFieldsCustomFieldDelete(entityType, customField, options).then((request) => request(axios, basePath));
        },
        customFieldsV2EntityTypeFieldsCustomFieldEnumValuesBulkUpdatePost(entityType, customField, customFieldsV2EntityTypeFieldsCustomFieldEnumValuesBulkUpdatePostRequest, options) {
            return localVarFp.customFieldsV2EntityTypeFieldsCustomFieldEnumValuesBulkUpdatePost(entityType, customField, customFieldsV2EntityTypeFieldsCustomFieldEnumValuesBulkUpdatePostRequest, options).then((request) => request(axios, basePath));
        },
        customFieldsV2EntityTypeFieldsCustomFieldEnumValuesEnumValueToRemoveDelete(entityType, customField, enumValueToRemove, options) {
            return localVarFp.customFieldsV2EntityTypeFieldsCustomFieldEnumValuesEnumValueToRemoveDelete(entityType, customField, enumValueToRemove, options).then((request) => request(axios, basePath));
        },
        customFieldsV2EntityTypeFieldsCustomFieldEnumValuesGet(entityType, customField, query, ordering, addedByProfileId, $skip, $top, $fields, options) {
            return localVarFp.customFieldsV2EntityTypeFieldsCustomFieldEnumValuesGet(entityType, customField, query, ordering, addedByProfileId, $skip, $top, $fields, options).then((request) => request(axios, basePath));
        },
        customFieldsV2EntityTypeFieldsCustomFieldEnumValuesPatch(entityType, customField, customFieldsV2EntityTypeFieldsCustomFieldEnumValuesGetRequest1, options) {
            return localVarFp.customFieldsV2EntityTypeFieldsCustomFieldEnumValuesPatch(entityType, customField, customFieldsV2EntityTypeFieldsCustomFieldEnumValuesGetRequest1, options).then((request) => request(axios, basePath));
        },
        customFieldsV2EntityTypeFieldsCustomFieldEnumValuesPost(entityType, customField, customFieldsV2EntityTypeFieldsCustomFieldEnumValuesGetRequest, $fields, options) {
            return localVarFp.customFieldsV2EntityTypeFieldsCustomFieldEnumValuesPost(entityType, customField, customFieldsV2EntityTypeFieldsCustomFieldEnumValuesGetRequest, $fields, options).then((request) => request(axios, basePath));
        },
        customFieldsV2EntityTypeFieldsCustomFieldGet(entityType, customField, $fields, options) {
            return localVarFp.customFieldsV2EntityTypeFieldsCustomFieldGet(entityType, customField, $fields, options).then((request) => request(axios, basePath));
        },
        customFieldsV2EntityTypeFieldsCustomFieldPatch(entityType, customField, customFieldsV2EntityTypeFieldsCustomFieldDeleteRequest, options) {
            return localVarFp.customFieldsV2EntityTypeFieldsCustomFieldPatch(entityType, customField, customFieldsV2EntityTypeFieldsCustomFieldDeleteRequest, options).then((request) => request(axios, basePath));
        },
        customFieldsV2EntityTypeFieldsCustomFieldRestorePost(entityType, customField, options) {
            return localVarFp.customFieldsV2EntityTypeFieldsCustomFieldRestorePost(entityType, customField, options).then((request) => request(axios, basePath));
        },
        customFieldsV2EntityTypeFieldsGet(entityType, withArchived, $fields, options) {
            return localVarFp.customFieldsV2EntityTypeFieldsGet(entityType, withArchived, $fields, options).then((request) => request(axios, basePath));
        },
        customFieldsV2EntityTypeFieldsPost(entityType, customFieldsV2EntityTypeFieldsGetRequest, $fields, options) {
            return localVarFp.customFieldsV2EntityTypeFieldsPost(entityType, customFieldsV2EntityTypeFieldsGetRequest, $fields, options).then((request) => request(axios, basePath));
        },
        customFieldsV2EntityTypeFieldsReorderPost(entityType, customFieldsV2EntityTypeFieldsReorderPostRequest, options) {
            return localVarFp.customFieldsV2EntityTypeFieldsReorderPost(entityType, customFieldsV2EntityTypeFieldsReorderPostRequest, options).then((request) => request(axios, basePath));
        },
        customFieldsV2ValuesEntityCustomFieldGet(entity, customField, $fields, options) {
            return localVarFp.customFieldsV2ValuesEntityCustomFieldGet(entity, customField, $fields, options).then((request) => request(axios, basePath));
        },
        customFieldsV2ValuesEntityCustomFieldPost(entity, customField, customFieldsV2ValuesEntityCustomFieldGetRequest, options) {
            return localVarFp.customFieldsV2ValuesEntityCustomFieldPost(entity, customField, customFieldsV2ValuesEntityCustomFieldGetRequest, options).then((request) => request(axios, basePath));
        },
        customFieldsV2ValuesEntityGet(entity, $fields, options) {
            return localVarFp.customFieldsV2ValuesEntityGet(entity, $fields, options).then((request) => request(axios, basePath));
        },
        customFieldsV2ValuesEntityPost(entity, customFieldsV2ValuesEntityGetRequest, options) {
            return localVarFp.customFieldsV2ValuesEntityPost(entity, customFieldsV2ValuesEntityGetRequest, options).then((request) => request(axios, basePath));
        },
        emojisAddPost(emojisAddPostRequest, options) {
            return localVarFp.emojisAddPost(emojisAddPostRequest, options).then((request) => request(axios, basePath));
        },
        emojisDeletePost(emojisDeletePostRequest, options) {
            return localVarFp.emojisDeletePost(emojisDeletePostRequest, options).then((request) => request(axios, basePath));
        },
        emojisExistsGet(emoji, options) {
            return localVarFp.emojisExistsGet(emoji, options).then((request) => request(axios, basePath));
        },
        emojisFrequentlyUsedGet(options) {
            return localVarFp.emojisFrequentlyUsedGet(options).then((request) => request(axios, basePath));
        },
        emojisRecordUsagePost(emojisRecordUsagePostRequest, options) {
            return localVarFp.emojisRecordUsagePost(emojisRecordUsagePostRequest, options).then((request) => request(axios, basePath));
        },
        emojisSearchGet(query, $skip, $top, version, $fields, options) {
            return localVarFp.emojisSearchGet(query, $skip, $top, version, $fields, options).then((request) => request(axios, basePath));
        },
        externalLinkPatternsDelete(pattern, options) {
            return localVarFp.externalLinkPatternsDelete(pattern, options).then((request) => request(axios, basePath));
        },
        externalLinkPatternsGet($fields, options) {
            return localVarFp.externalLinkPatternsGet($fields, options).then((request) => request(axios, basePath));
        },
        externalLinkPatternsPost(externalLinkPatternsDeleteRequest, options) {
            return localVarFp.externalLinkPatternsPost(externalLinkPatternsDeleteRequest, options).then((request) => request(axios, basePath));
        },
        httpApiModelGet($fields, options) {
            return localVarFp.httpApiModelGet($fields, options).then((request) => request(axios, basePath));
        },
        notificationsChannelSubscriptionsGet(channel, $fields, options) {
            return localVarFp.notificationsChannelSubscriptionsGet(channel, $fields, options).then((request) => request(axios, basePath));
        },
        notificationsChannelSubscriptionsIdDelete(id, options) {
            return localVarFp.notificationsChannelSubscriptionsIdDelete(id, options).then((request) => request(axios, basePath));
        },
        notificationsChannelSubscriptionsIdPatch(id, $fields, notificationsChannelSubscriptionsIdDeleteRequest, options) {
            return localVarFp.notificationsChannelSubscriptionsIdPatch(id, $fields, notificationsChannelSubscriptionsIdDeleteRequest, options).then((request) => request(axios, basePath));
        },
        notificationsChannelSubscriptionsIdRequestMissingRightsPost(id, options) {
            return localVarFp.notificationsChannelSubscriptionsIdRequestMissingRightsPost(id, options).then((request) => request(axios, basePath));
        },
        notificationsChannelSubscriptionsPost(notificationsChannelSubscriptionsGetRequest, $fields, options) {
            return localVarFp.notificationsChannelSubscriptionsPost(notificationsChannelSubscriptionsGetRequest, $fields, options).then((request) => request(axios, basePath));
        },
        notificationsGet($fields, options) {
            return localVarFp.notificationsGet($fields, options).then((request) => request(axios, basePath));
        },
        notificationsPersonalCustomSubscriptionsGet(profile, $fields, options) {
            return localVarFp.notificationsPersonalCustomSubscriptionsGet(profile, $fields, options).then((request) => request(axios, basePath));
        },
        notificationsPersonalCustomSubscriptionsIdDelete(id, options) {
            return localVarFp.notificationsPersonalCustomSubscriptionsIdDelete(id, options).then((request) => request(axios, basePath));
        },
        notificationsPersonalCustomSubscriptionsIdPatch(id, $fields, notificationsPersonalCustomSubscriptionsIdDeleteRequest, options) {
            return localVarFp.notificationsPersonalCustomSubscriptionsIdPatch(id, $fields, notificationsPersonalCustomSubscriptionsIdDeleteRequest, options).then((request) => request(axios, basePath));
        },
        notificationsPersonalCustomSubscriptionsPost(notificationsPersonalCustomSubscriptionsGetRequest, $fields, options) {
            return localVarFp.notificationsPersonalCustomSubscriptionsPost(notificationsPersonalCustomSubscriptionsGetRequest, $fields, options).then((request) => request(axios, basePath));
        },
        notificationsPersonalSubscriptionsAllPersonalSubscriptionTargetsGet($fields, options) {
            return localVarFp.notificationsPersonalSubscriptionsAllPersonalSubscriptionTargetsGet($fields, options).then((request) => request(axios, basePath));
        },
        notificationsPersonalSubscriptionsPersonalSubscriptionSettingsGet(profile, feed, $fields, options) {
            return localVarFp.notificationsPersonalSubscriptionsPersonalSubscriptionSettingsGet(profile, feed, $fields, options).then((request) => request(axios, basePath));
        },
        notificationsPersonalSubscriptionsUpdatePersonalSubscriptionSubjectPost(notificationsPersonalSubscriptionsUpdatePersonalSubscriptionSubjectPostRequest, options) {
            return localVarFp.notificationsPersonalSubscriptionsUpdatePersonalSubscriptionSubjectPost(notificationsPersonalSubscriptionsUpdatePersonalSubscriptionSubjectPostRequest, options).then((request) => request(axios, basePath));
        },
        notificationsPersonalSubscriptionsUpdatePersonalSubscriptionTargetPost(notificationsPersonalSubscriptionsUpdatePersonalSubscriptionTargetPostRequest, options) {
            return localVarFp.notificationsPersonalSubscriptionsUpdatePersonalSubscriptionTargetPost(notificationsPersonalSubscriptionsUpdatePersonalSubscriptionTargetPostRequest, options).then((request) => request(axios, basePath));
        },
        notificationsPrivateFeedsGet(profile, $fields, options) {
            return localVarFp.notificationsPrivateFeedsGet(profile, $fields, options).then((request) => request(axios, basePath));
        },
        notificationsPrivateFeedsIdDelete(id, options) {
            return localVarFp.notificationsPrivateFeedsIdDelete(id, options).then((request) => request(axios, basePath));
        },
        notificationsPrivateFeedsIdPatch(id, $fields, notificationsPrivateFeedsIdDeleteRequest, options) {
            return localVarFp.notificationsPrivateFeedsIdPatch(id, $fields, notificationsPrivateFeedsIdDeleteRequest, options).then((request) => request(axios, basePath));
        },
        notificationsPrivateFeedsPost(notificationsPrivateFeedsGetRequest, $fields, options) {
            return localVarFp.notificationsPrivateFeedsPost(notificationsPrivateFeedsGetRequest, $fields, options).then((request) => request(axios, basePath));
        },
        organizationDomainsCheckGet(domain, options) {
            return localVarFp.organizationDomainsCheckGet(domain, options).then((request) => request(axios, basePath));
        },
        organizationDomainsGet($fields, options) {
            return localVarFp.organizationDomainsGet($fields, options).then((request) => request(axios, basePath));
        },
        organizationDomainsPatch(organizationDomainsGetRequest, options) {
            return localVarFp.organizationDomainsPatch(organizationDomainsGetRequest, options).then((request) => request(axios, basePath));
        },
        organizationGet($fields, options) {
            return localVarFp.organizationGet($fields, options).then((request) => request(axios, basePath));
        },
        organizationJetSalesLicenseActivationUrlGet(options) {
            return localVarFp.organizationJetSalesLicenseActivationUrlGet(options).then((request) => request(axios, basePath));
        },
        organizationJetSalesUrlGet(options) {
            return localVarFp.organizationJetSalesUrlGet(options).then((request) => request(axios, basePath));
        },
        organizationPatch(organizationGetRequest, options) {
            return localVarFp.organizationPatch(organizationGetRequest, options).then((request) => request(axios, basePath));
        },
        permissionRolesCreatePost(permissionRolesCreatePostRequest, $fields, options) {
            return localVarFp.permissionRolesCreatePost(permissionRolesCreatePostRequest, $fields, options).then((request) => request(axios, basePath));
        },
        permissionRolesGetPost(applicationsApplicationUiExtensionsDisableForEverybodyPatchRequest, $fields, options) {
            return localVarFp.permissionRolesGetPost(applicationsApplicationUiExtensionsDisableForEverybodyPatchRequest, $fields, options).then((request) => request(axios, basePath));
        },
        permissionRolesRoleId2FaRequirementGet(roleId, $fields, options) {
            return localVarFp.permissionRolesRoleId2FaRequirementGet(roleId, $fields, options).then((request) => request(axios, basePath));
        },
        permissionRolesRoleId2FaRequirementPatch(roleId, permissionRolesRoleId2FaRequirementGetRequest, options) {
            return localVarFp.permissionRolesRoleId2FaRequirementPatch(roleId, permissionRolesRoleId2FaRequirementGetRequest, options).then((request) => request(axios, basePath));
        },
        permissionRolesRoleIdDelete(roleId, options) {
            return localVarFp.permissionRolesRoleIdDelete(roleId, options).then((request) => request(axios, basePath));
        },
        permissionRolesRoleIdPatch(roleId, chatsChannelsIsNameFreePostRequest, options) {
            return localVarFp.permissionRolesRoleIdPatch(roleId, chatsChannelsIsNameFreePostRequest, options).then((request) => request(axios, basePath));
        },
        permissionRolesRoleIdPermissionsDelete(roleId, rightCodes, options) {
            return localVarFp.permissionRolesRoleIdPermissionsDelete(roleId, rightCodes, options).then((request) => request(axios, basePath));
        },
        permissionRolesRoleIdPermissionsGet(roleId, $fields, options) {
            return localVarFp.permissionRolesRoleIdPermissionsGet(roleId, $fields, options).then((request) => request(axios, basePath));
        },
        permissionRolesRoleIdPermissionsPost(roleId, permissionRolesRoleIdPermissionsDeleteRequest, options) {
            return localVarFp.permissionRolesRoleIdPermissionsPost(roleId, permissionRolesRoleIdPermissionsDeleteRequest, options).then((request) => request(axios, basePath));
        },
        permissionRolesRoleIdProfilesGet(roleId, $fields, options) {
            return localVarFp.permissionRolesRoleIdProfilesGet(roleId, $fields, options).then((request) => request(axios, basePath));
        },
        permissionRolesRoleIdProfilesProfileDelete(roleId, profile, options) {
            return localVarFp.permissionRolesRoleIdProfilesProfileDelete(roleId, profile, options).then((request) => request(axios, basePath));
        },
        permissionRolesRoleIdProfilesProfilePost(roleId, profile, options) {
            return localVarFp.permissionRolesRoleIdProfilesProfilePost(roleId, profile, options).then((request) => request(axios, basePath));
        },
        permissionRolesRoleIdResetRolePermissionsToDefaultPost(roleId, options) {
            return localVarFp.permissionRolesRoleIdResetRolePermissionsToDefaultPost(roleId, options).then((request) => request(axios, basePath));
        },
        permissionRolesRoleIdTeamsGet(roleId, $fields, options) {
            return localVarFp.permissionRolesRoleIdTeamsGet(roleId, $fields, options).then((request) => request(axios, basePath));
        },
        permissionRolesRoleIdTeamsTeamDelete(roleId, team, options) {
            return localVarFp.permissionRolesRoleIdTeamsTeamDelete(roleId, team, options).then((request) => request(axios, basePath));
        },
        permissionRolesRoleIdTeamsTeamPost(roleId, team, options) {
            return localVarFp.permissionRolesRoleIdTeamsTeamPost(roleId, team, options).then((request) => request(axios, basePath));
        },
        permissionsCheckPermissionPost(permissionsCheckPermissionPostRequest, options) {
            return localVarFp.permissionsCheckPermissionPost(permissionsCheckPermissionPostRequest, options).then((request) => request(axios, basePath));
        },
        permissionsGet($fields, options) {
            return localVarFp.permissionsGet($fields, options).then((request) => request(axios, basePath));
        },
        projectsAutomationDslEvaluationsConfigGet($fields, options) {
            return localVarFp.projectsAutomationDslEvaluationsConfigGet($fields, options).then((request) => request(axios, basePath));
        },
        projectsAutomationGraphExecutionsIdGet(id, $fields, options) {
            return localVarFp.projectsAutomationGraphExecutionsIdGet(id, $fields, options).then((request) => request(axios, basePath));
        },
        projectsAutomationGraphExecutionsIdStopPost(id, options) {
            return localVarFp.projectsAutomationGraphExecutionsIdStopPost(id, options).then((request) => request(axios, basePath));
        },
        projectsAutomationJobExecutionsCurrentGet($fields, options) {
            return localVarFp.projectsAutomationJobExecutionsCurrentGet($fields, options).then((request) => request(axios, basePath));
        },
        projectsAutomationJobsJobIdGet(jobId, project, $fields, options) {
            return localVarFp.projectsAutomationJobsJobIdGet(jobId, project, $fields, options).then((request) => request(axios, basePath));
        },
        projectsAutomationStepExecutionsStepExecIdParametersKeyDelete(stepExecId, key, options) {
            return localVarFp.projectsAutomationStepExecutionsStepExecIdParametersKeyDelete(stepExecId, key, options).then((request) => request(axios, basePath));
        },
        projectsAutomationStepExecutionsStepExecIdParametersKeyGet(stepExecId, key, options) {
            return localVarFp.projectsAutomationStepExecutionsStepExecIdParametersKeyGet(stepExecId, key, options).then((request) => request(axios, basePath));
        },
        projectsAutomationStepExecutionsStepExecIdParametersKeyPatch(stepExecId, key, projectsAutomationStepExecutionsStepExecIdParametersKeyDeleteRequest, options) {
            return localVarFp.projectsAutomationStepExecutionsStepExecIdParametersKeyPatch(stepExecId, key, projectsAutomationStepExecutionsStepExecIdParametersKeyDeleteRequest, options).then((request) => request(axios, basePath));
        },
        projectsAutomationStepExecutionsUsedParametersParamParameterIdGet(parameterId, $fields, options) {
            return localVarFp.projectsAutomationStepExecutionsUsedParametersParamParameterIdGet(parameterId, $fields, options).then((request) => request(axios, basePath));
        },
        projectsAutomationStepExecutionsUsedParametersSecretSecretIdGet(secretId, $fields, options) {
            return localVarFp.projectsAutomationStepExecutionsUsedParametersSecretSecretIdGet(secretId, $fields, options).then((request) => request(axios, basePath));
        },
        projectsAutomationSubscriptionsLegacyChannelsDelete(project, jobId, unsubscribedOnly, options) {
            return localVarFp.projectsAutomationSubscriptionsLegacyChannelsDelete(project, jobId, unsubscribedOnly, options).then((request) => request(axios, basePath));
        },
        projectsCollaboratorprofileGet(profile, $skip, $top, $fields, options) {
            return localVarFp.projectsCollaboratorprofileGet(profile, $skip, $top, $fields, options).then((request) => request(axios, basePath));
        },
        projectsGet($skip, $top, term, tag, starred, $fields, options) {
            return localVarFp.projectsGet($skip, $top, term, tag, starred, $fields, options).then((request) => request(axios, basePath));
        },
        projectsMembermemberGet(member, $skip, $top, $fields, options) {
            return localVarFp.projectsMembermemberGet(member, $skip, $top, $fields, options).then((request) => request(axios, basePath));
        },
        projectsParamsDefaultBundleGet(project, $skip, $top, $fields, options) {
            return localVarFp.projectsParamsDefaultBundleGet(project, $skip, $top, $fields, options).then((request) => request(axios, basePath));
        },
        projectsParamsDefaultBundlePost(projectsParamsDefaultBundleGetRequest, options) {
            return localVarFp.projectsParamsDefaultBundlePost(projectsParamsDefaultBundleGetRequest, options).then((request) => request(axios, basePath));
        },
        projectsParamsIdDelete(id, options) {
            return localVarFp.projectsParamsIdDelete(id, options).then((request) => request(axios, basePath));
        },
        projectsParamsIdPatch(id, projectsParamsIdDeleteRequest, options) {
            return localVarFp.projectsParamsIdPatch(id, projectsParamsIdDeleteRequest, options).then((request) => request(axios, basePath));
        },
        projectsParamsInDefaultBundleGet(projectId, $skip, $top, $fields, options) {
            return localVarFp.projectsParamsInDefaultBundleGet(projectId, $skip, $top, $fields, options).then((request) => request(axios, basePath));
        },
        projectsParamsInDefaultBundlePost(projectsParamsInDefaultBundleGetRequest, options) {
            return localVarFp.projectsParamsInDefaultBundlePost(projectsParamsInDefaultBundleGetRequest, options).then((request) => request(axios, basePath));
        },
        projectsPlanningBoardsBoardDelete(board, options) {
            return localVarFp.projectsPlanningBoardsBoardDelete(board, options).then((request) => request(axios, basePath));
        },
        projectsPlanningBoardsBoardGet(board, $fields, options) {
            return localVarFp.projectsPlanningBoardsBoardGet(board, $fields, options).then((request) => request(axios, basePath));
        },
        projectsPlanningBoardsBoardIssuesGet(board, $skip, $top, $fields, options) {
            return localVarFp.projectsPlanningBoardsBoardIssuesGet(board, $skip, $top, $fields, options).then((request) => request(axios, basePath));
        },
        projectsPlanningBoardsBoardIssuesIssueDelete(issue, board, options) {
            return localVarFp.projectsPlanningBoardsBoardIssuesIssueDelete(issue, board, options).then((request) => request(axios, basePath));
        },
        projectsPlanningBoardsBoardIssuesIssuePost(issue, board, options) {
            return localVarFp.projectsPlanningBoardsBoardIssuesIssuePost(issue, board, options).then((request) => request(axios, basePath));
        },
        projectsPlanningBoardsBoardPatch(board, projectsPlanningBoardsBoardDeleteRequest, options) {
            return localVarFp.projectsPlanningBoardsBoardPatch(board, projectsPlanningBoardsBoardDeleteRequest, options).then((request) => request(axios, basePath));
        },
        projectsPlanningBoardsSprintsPost(projectsPlanningBoardsSprintsPostRequest, $fields, options) {
            return localVarFp.projectsPlanningBoardsSprintsPost(projectsPlanningBoardsSprintsPostRequest, $fields, options).then((request) => request(axios, basePath));
        },
        projectsPlanningBoardsSprintsSprintArchiveDelete(sprint, options) {
            return localVarFp.projectsPlanningBoardsSprintsSprintArchiveDelete(sprint, options).then((request) => request(axios, basePath));
        },
        projectsPlanningBoardsSprintsSprintIssuesGet(sprint, $skip, $top, unresolvedOnly, $fields, options) {
            return localVarFp.projectsPlanningBoardsSprintsSprintIssuesGet(sprint, $skip, $top, unresolvedOnly, $fields, options).then((request) => request(axios, basePath));
        },
        projectsPlanningBoardsSprintsSprintIssuesIssueDelete(issue, sprint, options) {
            return localVarFp.projectsPlanningBoardsSprintsSprintIssuesIssueDelete(issue, sprint, options).then((request) => request(axios, basePath));
        },
        projectsPlanningBoardsSprintsSprintIssuesIssuePost(issue, sprint, options) {
            return localVarFp.projectsPlanningBoardsSprintsSprintIssuesIssuePost(issue, sprint, options).then((request) => request(axios, basePath));
        },
        projectsPlanningBoardsSprintsSprintLaunchPost(sprint, projectsPlanningBoardsSprintsSprintLaunchPostRequest, options) {
            return localVarFp.projectsPlanningBoardsSprintsSprintLaunchPost(sprint, projectsPlanningBoardsSprintsSprintLaunchPostRequest, options).then((request) => request(axios, basePath));
        },
        projectsPlanningBoardsSprintsSprintPatch(sprint, projectsPlanningBoardsSprintsSprintPatchRequest, options) {
            return localVarFp.projectsPlanningBoardsSprintsSprintPatch(sprint, projectsPlanningBoardsSprintsSprintPatchRequest, options).then((request) => request(axios, basePath));
        },
        projectsPost(projectsGetRequest, $fields, options) {
            return localVarFp.projectsPost(projectsGetRequest, $fields, options).then((request) => request(axios, basePath));
        },
        projectsPrivateProjectsGet($fields, options) {
            return localVarFp.projectsPrivateProjectsGet($fields, options).then((request) => request(axios, basePath));
        },
        projectsPrivateProjectsProjectRequestAccessPost(project, options) {
            return localVarFp.projectsPrivateProjectsProjectRequestAccessPost(project, options).then((request) => request(axios, basePath));
        },
        projectsProjectAccessAdminsGet(project, $fields, options) {
            return localVarFp.projectsProjectAccessAdminsGet(project, $fields, options).then((request) => request(axios, basePath));
        },
        projectsProjectAccessAdminsProfilesPost(project, chatsChannelsChannelAdministratorGetRequest, options) {
            return localVarFp.projectsProjectAccessAdminsProfilesPost(project, chatsChannelsChannelAdministratorGetRequest, options).then((request) => request(axios, basePath));
        },
        projectsProjectAccessAdminsProfilesProfileDelete(project, profile, options) {
            return localVarFp.projectsProjectAccessAdminsProfilesProfileDelete(project, profile, options).then((request) => request(axios, basePath));
        },
        projectsProjectAccessAdminsTeamsPost(project, projectsProjectAccessAdminsTeamsPostRequest, options) {
            return localVarFp.projectsProjectAccessAdminsTeamsPost(project, projectsProjectAccessAdminsTeamsPostRequest, options).then((request) => request(axios, basePath));
        },
        projectsProjectAccessAdminsTeamsTeamIdDelete(project, teamId, options) {
            return localVarFp.projectsProjectAccessAdminsTeamsTeamIdDelete(project, teamId, options).then((request) => request(axios, basePath));
        },
        projectsProjectAccessCollaboratorsGet(project, $fields, options) {
            return localVarFp.projectsProjectAccessCollaboratorsGet(project, $fields, options).then((request) => request(axios, basePath));
        },
        projectsProjectAccessCollaboratorsProfilesDelete(project, profile, options) {
            return localVarFp.projectsProjectAccessCollaboratorsProfilesDelete(project, profile, options).then((request) => request(axios, basePath));
        },
        projectsProjectAccessCollaboratorsProfilesGet(project, $fields, options) {
            return localVarFp.projectsProjectAccessCollaboratorsProfilesGet(project, $fields, options).then((request) => request(axios, basePath));
        },
        projectsProjectAccessCollaboratorsProfilesPost(project, chatsChannelsChannelAdministratorGetRequest, options) {
            return localVarFp.projectsProjectAccessCollaboratorsProfilesPost(project, chatsChannelsChannelAdministratorGetRequest, options).then((request) => request(axios, basePath));
        },
        projectsProjectAccessCollaboratorsTeamsDelete(project, teamId, options) {
            return localVarFp.projectsProjectAccessCollaboratorsTeamsDelete(project, teamId, options).then((request) => request(axios, basePath));
        },
        projectsProjectAccessCollaboratorsTeamsGet(project, $fields, options) {
            return localVarFp.projectsProjectAccessCollaboratorsTeamsGet(project, $fields, options).then((request) => request(axios, basePath));
        },
        projectsProjectAccessCollaboratorsTeamsPost(project, projectsProjectAccessAdminsTeamsPostRequest, options) {
            return localVarFp.projectsProjectAccessCollaboratorsTeamsPost(project, projectsProjectAccessAdminsTeamsPostRequest, options).then((request) => request(axios, basePath));
        },
        projectsProjectAccessMemberProfilesGet(project, $skip, $top, query, includingAdmins, $fields, options) {
            return localVarFp.projectsProjectAccessMemberProfilesGet(project, $skip, $top, query, includingAdmins, $fields, options).then((request) => request(axios, basePath));
        },
        projectsProjectAccessMembersProfilesPost(project, chatsChannelsChannelAdministratorGetRequest, options) {
            return localVarFp.projectsProjectAccessMembersProfilesPost(project, chatsChannelsChannelAdministratorGetRequest, options).then((request) => request(axios, basePath));
        },
        projectsProjectAccessMembersProfilesProfileDelete(project, profile, options) {
            return localVarFp.projectsProjectAccessMembersProfilesProfileDelete(project, profile, options).then((request) => request(axios, basePath));
        },
        projectsProjectAccessMembersTeamsPost(project, projectsProjectAccessAdminsTeamsPostRequest, options) {
            return localVarFp.projectsProjectAccessMembersTeamsPost(project, projectsProjectAccessAdminsTeamsPostRequest, options).then((request) => request(axios, basePath));
        },
        projectsProjectAccessMembersTeamsTeamIdDelete(project, teamId, options) {
            return localVarFp.projectsProjectAccessMembersTeamsTeamIdDelete(project, teamId, options).then((request) => request(axios, basePath));
        },
        projectsProjectAccessViewersGet(project, term, $skip, $top, meOnTop, $fields, options) {
            return localVarFp.projectsProjectAccessViewersGet(project, term, $skip, $top, meOnTop, $fields, options).then((request) => request(axios, basePath));
        },
        projectsProjectAutomationDeploymentTargetsFavoritesGet(project, sortBy, sortOrder, $fields, options) {
            return localVarFp.projectsProjectAutomationDeploymentTargetsFavoritesGet(project, sortBy, sortOrder, $fields, options).then((request) => request(axios, basePath));
        },
        projectsProjectAutomationDeploymentTargetsGet(project, search, sortBy, sortOrder, $skip, $top, $fields, options) {
            return localVarFp.projectsProjectAutomationDeploymentTargetsGet(project, search, sortBy, sortOrder, $skip, $top, $fields, options).then((request) => request(axios, basePath));
        },
        projectsProjectAutomationDeploymentTargetsPost(project, projectsProjectAutomationDeploymentTargetsGetRequest, $fields, options) {
            return localVarFp.projectsProjectAutomationDeploymentTargetsPost(project, projectsProjectAutomationDeploymentTargetsGetRequest, $fields, options).then((request) => request(axios, basePath));
        },
        projectsProjectAutomationDeploymentTargetsTargetDelete(project, target, options) {
            return localVarFp.projectsProjectAutomationDeploymentTargetsTargetDelete(project, target, options).then((request) => request(axios, basePath));
        },
        projectsProjectAutomationDeploymentTargetsTargetGet(project, target, $fields, options) {
            return localVarFp.projectsProjectAutomationDeploymentTargetsTargetGet(project, target, $fields, options).then((request) => request(axios, basePath));
        },
        projectsProjectAutomationDeploymentTargetsTargetPut(project, target, projectsProjectAutomationDeploymentTargetsTargetDeleteRequest, options) {
            return localVarFp.projectsProjectAutomationDeploymentTargetsTargetPut(project, target, projectsProjectAutomationDeploymentTargetsTargetDeleteRequest, options).then((request) => request(axios, basePath));
        },
        projectsProjectAutomationDeploymentsFailPost(project, projectsProjectAutomationDeploymentsFailPostRequest, $fields, options) {
            return localVarFp.projectsProjectAutomationDeploymentsFailPost(project, projectsProjectAutomationDeploymentsFailPostRequest, $fields, options).then((request) => request(axios, basePath));
        },
        projectsProjectAutomationDeploymentsFinishPost(project, projectsProjectAutomationDeploymentsFinishPostRequest, $fields, options) {
            return localVarFp.projectsProjectAutomationDeploymentsFinishPost(project, projectsProjectAutomationDeploymentsFinishPostRequest, $fields, options).then((request) => request(axios, basePath));
        },
        projectsProjectAutomationDeploymentsGet(project, targetIdentifier, jobExecutionId, $skip, $top, $fields, options) {
            return localVarFp.projectsProjectAutomationDeploymentsGet(project, targetIdentifier, jobExecutionId, $skip, $top, $fields, options).then((request) => request(axios, basePath));
        },
        projectsProjectAutomationDeploymentsPut(project, projectsProjectAutomationDeploymentsGetRequest, $fields, options) {
            return localVarFp.projectsProjectAutomationDeploymentsPut(project, projectsProjectAutomationDeploymentsGetRequest, $fields, options).then((request) => request(axios, basePath));
        },
        projectsProjectAutomationDeploymentsSchedulePost(project, projectsProjectAutomationDeploymentsSchedulePostRequest, $fields, options) {
            return localVarFp.projectsProjectAutomationDeploymentsSchedulePost(project, projectsProjectAutomationDeploymentsSchedulePostRequest, $fields, options).then((request) => request(axios, basePath));
        },
        projectsProjectAutomationDeploymentsStartPost(project, projectsProjectAutomationDeploymentsStartPostRequest, $fields, options) {
            return localVarFp.projectsProjectAutomationDeploymentsStartPost(project, projectsProjectAutomationDeploymentsStartPostRequest, $fields, options).then((request) => request(axios, basePath));
        },
        projectsProjectAutomationDeploymentsTargetIdentifierDeploymentIdentifierDelete(project, targetIdentifier, deploymentIdentifier, options) {
            return localVarFp.projectsProjectAutomationDeploymentsTargetIdentifierDeploymentIdentifierDelete(project, targetIdentifier, deploymentIdentifier, options).then((request) => request(axios, basePath));
        },
        projectsProjectAutomationDeploymentsTargetIdentifierDeploymentIdentifierGet(project, targetIdentifier, deploymentIdentifier, $fields, options) {
            return localVarFp.projectsProjectAutomationDeploymentsTargetIdentifierDeploymentIdentifierGet(project, targetIdentifier, deploymentIdentifier, $fields, options).then((request) => request(axios, basePath));
        },
        projectsProjectAutomationGraphExecutionsGet(project, jobId, branchFilter, statusFilter, jobTriggerFilter, $skip, $top, $fields, options) {
            return localVarFp.projectsProjectAutomationGraphExecutionsGet(project, jobId, branchFilter, statusFilter, jobTriggerFilter, $skip, $top, $fields, options).then((request) => request(axios, basePath));
        },
        projectsProjectAutomationJobsGet(project, repoFilter, branchFilter, trigger, $skip, $top, $fields, options) {
            return localVarFp.projectsProjectAutomationJobsGet(project, repoFilter, branchFilter, trigger, $skip, $top, $fields, options).then((request) => request(axios, basePath));
        },
        projectsProjectAutomationJobsJobIdStartPost(project, jobId, projectsProjectAutomationJobsJobIdStartPostRequest, $fields, options) {
            return localVarFp.projectsProjectAutomationJobsJobIdStartPost(project, jobId, projectsProjectAutomationJobsJobIdStartPostRequest, $fields, options).then((request) => request(axios, basePath));
        },
        projectsProjectCodeReviewsCodeDiscussionsDiscussionIdAcceptSuggestedEditPost(project, discussionId, projectsProjectCodeReviewsCodeDiscussionsDiscussionIdAcceptSuggestedEditPostRequest, options) {
            return localVarFp.projectsProjectCodeReviewsCodeDiscussionsDiscussionIdAcceptSuggestedEditPost(project, discussionId, projectsProjectCodeReviewsCodeDiscussionsDiscussionIdAcceptSuggestedEditPostRequest, options).then((request) => request(axios, basePath));
        },
        projectsProjectCodeReviewsCodeDiscussionsDiscussionIdRejectSuggestedEditPost(project, discussionId, options) {
            return localVarFp.projectsProjectCodeReviewsCodeDiscussionsDiscussionIdRejectSuggestedEditPost(project, discussionId, options).then((request) => request(axios, basePath));
        },
        projectsProjectCodeReviewsCodeDiscussionsDiscussionIdReopenSuggestedEditPost(project, discussionId, options) {
            return localVarFp.projectsProjectCodeReviewsCodeDiscussionsDiscussionIdReopenSuggestedEditPost(project, discussionId, options).then((request) => request(axios, basePath));
        },
        projectsProjectCodeReviewsCodeDiscussionsDiscussionIdSuggestedEditPatch(project, discussionId, projectsProjectCodeReviewsCodeDiscussionsDiscussionIdSuggestedEditPatchRequest, options) {
            return localVarFp.projectsProjectCodeReviewsCodeDiscussionsDiscussionIdSuggestedEditPatch(project, discussionId, projectsProjectCodeReviewsCodeDiscussionsDiscussionIdSuggestedEditPatchRequest, options).then((request) => request(axios, basePath));
        },
        projectsProjectCodeReviewsCodeDiscussionsPost(project, projectsProjectCodeReviewsCodeDiscussionsPostRequest, $fields, options) {
            return localVarFp.projectsProjectCodeReviewsCodeDiscussionsPost(project, projectsProjectCodeReviewsCodeDiscussionsPostRequest, $fields, options).then((request) => request(axios, basePath));
        },
        projectsProjectCodeReviewsCommitSetReviewPost(project, projectsProjectCodeReviewsCommitSetReviewPostRequest, $fields, options) {
            return localVarFp.projectsProjectCodeReviewsCommitSetReviewPost(project, projectsProjectCodeReviewsCommitSetReviewPostRequest, $fields, options).then((request) => request(axios, basePath));
        },
        projectsProjectCodeReviewsGet(project, $skip, $top, state, text, author, from, to, sort, reviewer, type, $fields, options) {
            return localVarFp.projectsProjectCodeReviewsGet(project, $skip, $top, state, text, author, from, to, sort, reviewer, type, $fields, options).then((request) => request(axios, basePath));
        },
        projectsProjectCodeReviewsMergeRequestsPost(project, projectsProjectCodeReviewsMergeRequestsPostRequest, $fields, options) {
            return localVarFp.projectsProjectCodeReviewsMergeRequestsPost(project, projectsProjectCodeReviewsMergeRequestsPostRequest, $fields, options).then((request) => request(axios, basePath));
        },
        projectsProjectCodeReviewsReviewIdDescriptionPatch(project, reviewId, chatsChannelsChannelDescriptionPatchRequest, options) {
            return localVarFp.projectsProjectCodeReviewsReviewIdDescriptionPatch(project, reviewId, chatsChannelsChannelDescriptionPatchRequest, options).then((request) => request(axios, basePath));
        },
        projectsProjectCodeReviewsReviewIdDetailsGet(project, reviewId, $fields, options) {
            return localVarFp.projectsProjectCodeReviewsReviewIdDetailsGet(project, reviewId, $fields, options).then((request) => request(axios, basePath));
        },
        projectsProjectCodeReviewsReviewIdFilesGet(project, reviewId, $skip, $top, $fields, options) {
            return localVarFp.projectsProjectCodeReviewsReviewIdFilesGet(project, reviewId, $skip, $top, $fields, options).then((request) => request(axios, basePath));
        },
        projectsProjectCodeReviewsReviewIdGet(project, reviewId, $fields, options) {
            return localVarFp.projectsProjectCodeReviewsReviewIdGet(project, reviewId, $fields, options).then((request) => request(axios, basePath));
        },
        projectsProjectCodeReviewsReviewIdMergeFilesGet(project, reviewId, $skip, $top, $fields, options) {
            return localVarFp.projectsProjectCodeReviewsReviewIdMergeFilesGet(project, reviewId, $skip, $top, $fields, options).then((request) => request(axios, basePath));
        },
        projectsProjectCodeReviewsReviewIdMergePut(project, reviewId, projectsProjectCodeReviewsReviewIdMergePutRequest, $fields, options) {
            return localVarFp.projectsProjectCodeReviewsReviewIdMergePut(project, reviewId, projectsProjectCodeReviewsReviewIdMergePutRequest, $fields, options).then((request) => request(axios, basePath));
        },
        projectsProjectCodeReviewsReviewIdParticipantsUserDelete(project, reviewId, user, role, options) {
            return localVarFp.projectsProjectCodeReviewsReviewIdParticipantsUserDelete(project, reviewId, user, role, options).then((request) => request(axios, basePath));
        },
        projectsProjectCodeReviewsReviewIdParticipantsUserPost(project, reviewId, user, projectsProjectCodeReviewsReviewIdParticipantsUserDeleteRequest, options) {
            return localVarFp.projectsProjectCodeReviewsReviewIdParticipantsUserPost(project, reviewId, user, projectsProjectCodeReviewsReviewIdParticipantsUserDeleteRequest, options).then((request) => request(axios, basePath));
        },
        projectsProjectCodeReviewsReviewIdRebasePut(project, reviewId, projectsProjectCodeReviewsReviewIdRebasePutRequest, $fields, options) {
            return localVarFp.projectsProjectCodeReviewsReviewIdRebasePut(project, reviewId, projectsProjectCodeReviewsReviewIdRebasePutRequest, $fields, options).then((request) => request(axios, basePath));
        },
        projectsProjectCodeReviewsReviewIdRevisionsDelete(project, reviewId, revisions, options) {
            return localVarFp.projectsProjectCodeReviewsReviewIdRevisionsDelete(project, reviewId, revisions, options).then((request) => request(axios, basePath));
        },
        projectsProjectCodeReviewsReviewIdRevisionsPost(project, reviewId, projectsProjectCodeReviewsReviewIdRevisionsDeleteRequest, options) {
            return localVarFp.projectsProjectCodeReviewsReviewIdRevisionsPost(project, reviewId, projectsProjectCodeReviewsReviewIdRevisionsDeleteRequest, options).then((request) => request(axios, basePath));
        },
        projectsProjectCodeReviewsReviewIdStatePatch(project, reviewId, projectsProjectCodeReviewsReviewIdStatePatchRequest, options) {
            return localVarFp.projectsProjectCodeReviewsReviewIdStatePatch(project, reviewId, projectsProjectCodeReviewsReviewIdStatePatchRequest, options).then((request) => request(axios, basePath));
        },
        projectsProjectCodeReviewsReviewIdSuggestedReviewersGet(project, reviewId, $fields, options) {
            return localVarFp.projectsProjectCodeReviewsReviewIdSuggestedReviewersGet(project, reviewId, $fields, options).then((request) => request(axios, basePath));
        },
        projectsProjectCodeReviewsReviewIdTitlePatch(project, reviewId, projectsProjectCodeReviewsReviewIdTitlePatchRequest, options) {
            return localVarFp.projectsProjectCodeReviewsReviewIdTitlePatch(project, reviewId, projectsProjectCodeReviewsReviewIdTitlePatchRequest, options).then((request) => request(axios, basePath));
        },
        projectsProjectDelete(project, options) {
            return localVarFp.projectsProjectDelete(project, options).then((request) => request(axios, basePath));
        },
        projectsProjectDocumentsDocumentIdCopyPost(project, documentId, projectsProjectDocumentsDocumentIdCopyPostRequest, $fields, options) {
            return localVarFp.projectsProjectDocumentsDocumentIdCopyPost(project, documentId, projectsProjectDocumentsDocumentIdCopyPostRequest, $fields, options).then((request) => request(axios, basePath));
        },
        projectsProjectDocumentsDocumentIdDelete(project, documentId, options) {
            return localVarFp.projectsProjectDocumentsDocumentIdDelete(project, documentId, options).then((request) => request(axios, basePath));
        },
        projectsProjectDocumentsDocumentIdDeleteForeverDelete(project, documentId, options) {
            return localVarFp.projectsProjectDocumentsDocumentIdDeleteForeverDelete(project, documentId, options).then((request) => request(axios, basePath));
        },
        projectsProjectDocumentsDocumentIdGet(project, documentId, $fields, options) {
            return localVarFp.projectsProjectDocumentsDocumentIdGet(project, documentId, $fields, options).then((request) => request(axios, basePath));
        },
        projectsProjectDocumentsDocumentIdMovePatch(project, documentId, projectsProjectDocumentsDocumentIdMovePatchRequest, $fields, options) {
            return localVarFp.projectsProjectDocumentsDocumentIdMovePatch(project, documentId, projectsProjectDocumentsDocumentIdMovePatchRequest, $fields, options).then((request) => request(axios, basePath));
        },
        projectsProjectDocumentsDocumentIdPatch(project, documentId, $fields, projectsProjectDocumentsDocumentIdDeleteRequest, options) {
            return localVarFp.projectsProjectDocumentsDocumentIdPatch(project, documentId, $fields, projectsProjectDocumentsDocumentIdDeleteRequest, options).then((request) => request(axios, basePath));
        },
        projectsProjectDocumentsDocumentIdUnarchivePatch(project, documentId, $fields, options) {
            return localVarFp.projectsProjectDocumentsDocumentIdUnarchivePatch(project, documentId, $fields, options).then((request) => request(axios, basePath));
        },
        projectsProjectDocumentsFoldersFolderDelete(project, folder, options) {
            return localVarFp.projectsProjectDocumentsFoldersFolderDelete(project, folder, options).then((request) => request(axios, basePath));
        },
        projectsProjectDocumentsFoldersFolderDocumentsGet(project, folder, withArchived, sortBy, order, $skip, $top, $fields, options) {
            return localVarFp.projectsProjectDocumentsFoldersFolderDocumentsGet(project, folder, withArchived, sortBy, order, $skip, $top, $fields, options).then((request) => request(axios, basePath));
        },
        projectsProjectDocumentsFoldersFolderGet(project, folder, $fields, options) {
            return localVarFp.projectsProjectDocumentsFoldersFolderGet(project, folder, $fields, options).then((request) => request(axios, basePath));
        },
        projectsProjectDocumentsFoldersFolderIntroductionDelete(project, folder, options) {
            return localVarFp.projectsProjectDocumentsFoldersFolderIntroductionDelete(project, folder, options).then((request) => request(axios, basePath));
        },
        projectsProjectDocumentsFoldersFolderIntroductionDocumentIdPatch(project, folder, documentId, options) {
            return localVarFp.projectsProjectDocumentsFoldersFolderIntroductionDocumentIdPatch(project, folder, documentId, options).then((request) => request(axios, basePath));
        },
        projectsProjectDocumentsFoldersFolderMovePatch(project, folder, projectsProjectDocumentsFoldersFolderMovePatchRequest, $fields, options) {
            return localVarFp.projectsProjectDocumentsFoldersFolderMovePatch(project, folder, projectsProjectDocumentsFoldersFolderMovePatchRequest, $fields, options).then((request) => request(axios, basePath));
        },
        projectsProjectDocumentsFoldersFolderPatch(project, folder, chatsChannelsIsNameFreePostRequest, options) {
            return localVarFp.projectsProjectDocumentsFoldersFolderPatch(project, folder, chatsChannelsIsNameFreePostRequest, options).then((request) => request(axios, basePath));
        },
        projectsProjectDocumentsFoldersFolderSubfoldersGet(project, folder, withArchived, sortBy, order, $skip, $top, $fields, options) {
            return localVarFp.projectsProjectDocumentsFoldersFolderSubfoldersGet(project, folder, withArchived, sortBy, order, $skip, $top, $fields, options).then((request) => request(axios, basePath));
        },
        projectsProjectDocumentsFoldersPost(project, projectsProjectDocumentsFoldersPostRequest, $fields, options) {
            return localVarFp.projectsProjectDocumentsFoldersPost(project, projectsProjectDocumentsFoldersPostRequest, $fields, options).then((request) => request(axios, basePath));
        },
        projectsProjectDocumentsPost(project, projectsProjectDocumentsPostRequest, $fields, options) {
            return localVarFp.projectsProjectDocumentsPost(project, projectsProjectDocumentsPostRequest, $fields, options).then((request) => request(axios, basePath));
        },
        projectsProjectGet(project, $fields, options) {
            return localVarFp.projectsProjectGet(project, $fields, options).then((request) => request(axios, basePath));
        },
        projectsProjectPackagesRepositoriesGet(project, type, query, $fields, options) {
            return localVarFp.projectsProjectPackagesRepositoriesGet(project, type, query, $fields, options).then((request) => request(axios, basePath));
        },
        projectsProjectPackagesRepositoriesPost(project, projectsProjectPackagesRepositoriesGetRequest, $fields, options) {
            return localVarFp.projectsProjectPackagesRepositoriesPost(project, projectsProjectPackagesRepositoriesGetRequest, $fields, options).then((request) => request(axios, basePath));
        },
        projectsProjectPackagesRepositoriesRepositoryCleanupDryPost(project, repository, projectsProjectPackagesRepositoriesRepositoryCleanupDryPostRequest, $fields, options) {
            return localVarFp.projectsProjectPackagesRepositoriesRepositoryCleanupDryPost(project, repository, projectsProjectPackagesRepositoriesRepositoryCleanupDryPostRequest, $fields, options).then((request) => request(axios, basePath));
        },
        projectsProjectPackagesRepositoriesRepositoryCleanupPost(project, repository, $fields, projectsProjectPackagesRepositoriesRepositoryCleanupPostRequest, options) {
            return localVarFp.projectsProjectPackagesRepositoriesRepositoryCleanupPost(project, repository, $fields, projectsProjectPackagesRepositoriesRepositoryCleanupPostRequest, options).then((request) => request(axios, basePath));
        },
        projectsProjectPackagesRepositoriesRepositoryConnectionsConnectionIdPublishGet(project, repository, connectionId, $skip, $top, $fields, options) {
            return localVarFp.projectsProjectPackagesRepositoriesRepositoryConnectionsConnectionIdPublishGet(project, repository, connectionId, $skip, $top, $fields, options).then((request) => request(axios, basePath));
        },
        projectsProjectPackagesRepositoriesRepositoryConnectionsConnectionIdPublishPost(project, repository, connectionId, projectsProjectPackagesRepositoriesRepositoryConnectionsConnectionIdPublishGetRequest, options) {
            return localVarFp.projectsProjectPackagesRepositoriesRepositoryConnectionsConnectionIdPublishPost(project, repository, connectionId, projectsProjectPackagesRepositoriesRepositoryConnectionsConnectionIdPublishGetRequest, options).then((request) => request(axios, basePath));
        },
        projectsProjectPackagesRepositoriesRepositoryConnectionsGet(project, repository, $fields, options) {
            return localVarFp.projectsProjectPackagesRepositoriesRepositoryConnectionsGet(project, repository, $fields, options).then((request) => request(axios, basePath));
        },
        projectsProjectPackagesRepositoriesRepositoryDelete(project, repository, options) {
            return localVarFp.projectsProjectPackagesRepositoriesRepositoryDelete(project, repository, options).then((request) => request(axios, basePath));
        },
        projectsProjectPackagesRepositoriesRepositoryFilesFolderfolderPathDelete(project, repository, folderPath, options) {
            return localVarFp.projectsProjectPackagesRepositoriesRepositoryFilesFolderfolderPathDelete(project, repository, folderPath, options).then((request) => request(axios, basePath));
        },
        projectsProjectPackagesRepositoriesRepositoryFilesGet(project, repository, parentPath, $fields, options) {
            return localVarFp.projectsProjectPackagesRepositoriesRepositoryFilesGet(project, repository, parentPath, $fields, options).then((request) => request(axios, basePath));
        },
        projectsProjectPackagesRepositoriesRepositoryFilesNamefilePathDelete(project, repository, filePath, options) {
            return localVarFp.projectsProjectPackagesRepositoriesRepositoryFilesNamefilePathDelete(project, repository, filePath, options).then((request) => request(axios, basePath));
        },
        projectsProjectPackagesRepositoriesRepositoryFilesNamefilePathGet(project, repository, filePath, $fields, options) {
            return localVarFp.projectsProjectPackagesRepositoriesRepositoryFilesNamefilePathGet(project, repository, filePath, $fields, options).then((request) => request(axios, basePath));
        },
        projectsProjectPackagesRepositoriesRepositoryGet(project, repository, $fields, options) {
            return localVarFp.projectsProjectPackagesRepositoriesRepositoryGet(project, repository, $fields, options).then((request) => request(axios, basePath));
        },
        projectsProjectPackagesRepositoriesRepositoryPackagesGet(project, repository, query, connectionId, $skip, $top, $fields, options) {
            return localVarFp.projectsProjectPackagesRepositoriesRepositoryPackagesGet(project, repository, query, connectionId, $skip, $top, $fields, options).then((request) => request(axios, basePath));
        },
        projectsProjectPackagesRepositoriesRepositoryPackagesNamepackageNameDelete(project, repository, packageName, options) {
            return localVarFp.projectsProjectPackagesRepositoriesRepositoryPackagesNamepackageNameDelete(project, repository, packageName, options).then((request) => request(axios, basePath));
        },
        projectsProjectPackagesRepositoriesRepositoryPackagesNamepackageNameMetadataGet(project, repository, packageName, $fields, options) {
            return localVarFp.projectsProjectPackagesRepositoriesRepositoryPackagesNamepackageNameMetadataGet(project, repository, packageName, $fields, options).then((request) => request(axios, basePath));
        },
        projectsProjectPackagesRepositoriesRepositoryPackagesNamepackageNameMetadataPut(project, repository, packageName, projectsProjectPackagesRepositoriesRepositoryPackagesNamePackageNameMetadataGetRequest, options) {
            return localVarFp.projectsProjectPackagesRepositoriesRepositoryPackagesNamepackageNameMetadataPut(project, repository, packageName, projectsProjectPackagesRepositoriesRepositoryPackagesNamePackageNameMetadataGetRequest, options).then((request) => request(axios, basePath));
        },
        projectsProjectPackagesRepositoriesRepositoryPackagesNamepackageNameMetadataVersionpackageVersionPut(project, repository, packageName, packageVersion, projectsProjectPackagesRepositoriesRepositoryPackagesNamePackageNameMetadataVersionPackageVersionPutRequest, options) {
            return localVarFp.projectsProjectPackagesRepositoriesRepositoryPackagesNamepackageNameMetadataVersionpackageVersionPut(project, repository, packageName, packageVersion, projectsProjectPackagesRepositoriesRepositoryPackagesNamePackageNameMetadataVersionPackageVersionPutRequest, options).then((request) => request(axios, basePath));
        },
        projectsProjectPackagesRepositoriesRepositoryPackagesNamepackageNameVersionsGet(project, repository, packageName, query, sortColumn, sortOrder, connectionId, pinned, $skip, $top, $fields, options) {
            return localVarFp.projectsProjectPackagesRepositoriesRepositoryPackagesNamepackageNameVersionsGet(project, repository, packageName, query, sortColumn, sortOrder, connectionId, pinned, $skip, $top, $fields, options).then((request) => request(axios, basePath));
        },
        projectsProjectPackagesRepositoriesRepositoryPackagesNamepackageNameVersionsVersionpackageVersionDelete(project, repository, packageName, packageVersion, options) {
            return localVarFp.projectsProjectPackagesRepositoriesRepositoryPackagesNamepackageNameVersionsVersionpackageVersionDelete(project, repository, packageName, packageVersion, options).then((request) => request(axios, basePath));
        },
        projectsProjectPackagesRepositoriesRepositoryPackagesNamepackageNameVersionsVersionpackageVersionGet(project, repository, packageName, packageVersion, $fields, options) {
            return localVarFp.projectsProjectPackagesRepositoriesRepositoryPackagesNamepackageNameVersionsVersionpackageVersionGet(project, repository, packageName, packageVersion, $fields, options).then((request) => request(axios, basePath));
        },
        projectsProjectPackagesRepositoriesRepositoryPatch(project, repository, projectsProjectPackagesRepositoriesRepositoryDeleteRequest, options) {
            return localVarFp.projectsProjectPackagesRepositoriesRepositoryPatch(project, repository, projectsProjectPackagesRepositoriesRepositoryDeleteRequest, options).then((request) => request(axios, basePath));
        },
        projectsProjectPackagesRepositoriesRepositoryUrlGet(project, repository, options) {
            return localVarFp.projectsProjectPackagesRepositoriesRepositoryUrlGet(project, repository, options).then((request) => request(axios, basePath));
        },
        projectsProjectPackagesRepositoriesTypetypeRepositoryrepositoryNamePackagesGet(project, type, repositoryName, query, $skip, $top, $fields, options) {
            return localVarFp.projectsProjectPackagesRepositoriesTypetypeRepositoryrepositoryNamePackagesGet(project, type, repositoryName, query, $skip, $top, $fields, options).then((request) => request(axios, basePath));
        },
        projectsProjectPackagesRepositoriesTypetypeRepositoryrepositoryNamePackagesNamepackageNameVersionsGet(project, type, repositoryName, packageName, query, sortColumn, sortOrder, $skip, $top, $fields, options) {
            return localVarFp.projectsProjectPackagesRepositoriesTypetypeRepositoryrepositoryNamePackagesNamepackageNameVersionsGet(project, type, repositoryName, packageName, query, sortColumn, sortOrder, $skip, $top, $fields, options).then((request) => request(axios, basePath));
        },
        projectsProjectPackagesRepositoriesTypetypeRepositoryrepositoryNamePackagesNamepackageNameVersionsVersionpackageVersionDelete(project, type, repositoryName, packageName, packageVersion, options) {
            return localVarFp.projectsProjectPackagesRepositoriesTypetypeRepositoryrepositoryNamePackagesNamepackageNameVersionsVersionpackageVersionDelete(project, type, repositoryName, packageName, packageVersion, options).then((request) => request(axios, basePath));
        },
        projectsProjectPackagesRepositoriesTypetypeRepositoryrepositoryNamePackagesNamepackageNameVersionsVersionpackageVersionGet(project, type, repositoryName, packageName, packageVersion, $fields, options) {
            return localVarFp.projectsProjectPackagesRepositoriesTypetypeRepositoryrepositoryNamePackagesNamepackageNameVersionsVersionpackageVersionGet(project, type, repositoryName, packageName, packageVersion, $fields, options).then((request) => request(axios, basePath));
        },
        projectsProjectPackagesSearchGet(project, type, query, connectionId, $skip, $top, $fields, options) {
            return localVarFp.projectsProjectPackagesSearchGet(project, type, query, connectionId, $skip, $top, $fields, options).then((request) => request(axios, basePath));
        },
        projectsProjectPackagesTypesGet(project, $fields, options) {
            return localVarFp.projectsProjectPackagesTypesGet(project, $fields, options).then((request) => request(axios, basePath));
        },
        projectsProjectPatch(project, $fields, projectsProjectDeleteRequest, options) {
            return localVarFp.projectsProjectPatch(project, $fields, projectsProjectDeleteRequest, options).then((request) => request(axios, basePath));
        },
        projectsProjectPlanningBoardsBoardArchiveDelete(project, board, options) {
            return localVarFp.projectsProjectPlanningBoardsBoardArchiveDelete(project, board, options).then((request) => request(axios, basePath));
        },
        projectsProjectPlanningBoardsGet(project, $skip, $top, query, $fields, options) {
            return localVarFp.projectsProjectPlanningBoardsGet(project, $skip, $top, query, $fields, options).then((request) => request(axios, basePath));
        },
        projectsProjectPlanningBoardsPost(project, projectsProjectPlanningBoardsGetRequest, $fields, options) {
            return localVarFp.projectsProjectPlanningBoardsPost(project, projectsProjectPlanningBoardsGetRequest, $fields, options).then((request) => request(axios, basePath));
        },
        projectsProjectPlanningBoardsSprintsGet(project, $skip, $top, board, query, $fields, options) {
            return localVarFp.projectsProjectPlanningBoardsSprintsGet(project, $skip, $top, board, query, $fields, options).then((request) => request(axios, basePath));
        },
        projectsProjectPlanningBoardsStarredGet(project, $fields, options) {
            return localVarFp.projectsProjectPlanningBoardsStarredGet(project, $fields, options).then((request) => request(axios, basePath));
        },
        projectsProjectPlanningChecklistsChecklistIdDelete(project, checklistId, options) {
            return localVarFp.projectsProjectPlanningChecklistsChecklistIdDelete(project, checklistId, options).then((request) => request(axios, basePath));
        },
        projectsProjectPlanningChecklistsChecklistIdFullChecklistTreeGet(project, checklistId, $fields, options) {
            return localVarFp.projectsProjectPlanningChecklistsChecklistIdFullChecklistTreeGet(project, checklistId, $fields, options).then((request) => request(axios, basePath));
        },
        projectsProjectPlanningChecklistsChecklistIdImportPost(project, checklistId, projectsProjectPlanningChecklistsChecklistIdImportPostRequest, options) {
            return localVarFp.projectsProjectPlanningChecklistsChecklistIdImportPost(project, checklistId, projectsProjectPlanningChecklistsChecklistIdImportPostRequest, options).then((request) => request(axios, basePath));
        },
        projectsProjectPlanningChecklistsChecklistIdPatch(project, checklistId, projectsProjectPlanningChecklistsChecklistIdDeleteRequest, options) {
            return localVarFp.projectsProjectPlanningChecklistsChecklistIdPatch(project, checklistId, projectsProjectPlanningChecklistsChecklistIdDeleteRequest, options).then((request) => request(axios, basePath));
        },
        projectsProjectPlanningChecklistsGet(project, $skip, $top, query, sorting, descending, $fields, options) {
            return localVarFp.projectsProjectPlanningChecklistsGet(project, $skip, $top, query, sorting, descending, $fields, options).then((request) => request(axios, basePath));
        },
        projectsProjectPlanningChecklistsImportPost(project, projectsProjectPlanningChecklistsImportPostRequest, $fields, options) {
            return localVarFp.projectsProjectPlanningChecklistsImportPost(project, projectsProjectPlanningChecklistsImportPostRequest, $fields, options).then((request) => request(axios, basePath));
        },
        projectsProjectPlanningChecklistsPost(project, chatsChannelsIsNameFreePostRequest, $fields, options) {
            return localVarFp.projectsProjectPlanningChecklistsPost(project, chatsChannelsIsNameFreePostRequest, $fields, options).then((request) => request(axios, basePath));
        },
        projectsProjectPlanningChecklistsStarredGet(project, $fields, options) {
            return localVarFp.projectsProjectPlanningChecklistsStarredGet(project, $fields, options).then((request) => request(axios, basePath));
        },
        projectsProjectPlanningIssuesGet(project, sorting, descending, $skip, $top, assigneeId, createdByProfileId, createdBy, statuses, tagId, query, tags, sprints, boards, customFields, importTransaction, creationTimeFrom, creationTimeTo, dueDateFrom, dueDateTo, topics, grouping, deployment, $fields, options) {
            return localVarFp.projectsProjectPlanningIssuesGet(project, sorting, descending, $skip, $top, assigneeId, createdByProfileId, createdBy, statuses, tagId, query, tags, sprints, boards, customFields, importTransaction, creationTimeFrom, creationTimeTo, dueDateFrom, dueDateTo, topics, grouping, deployment, $fields, options).then((request) => request(axios, basePath));
        },
        projectsProjectPlanningIssuesImportPost(project, projectsProjectPlanningIssuesImportPostRequest, $fields, options) {
            return localVarFp.projectsProjectPlanningIssuesImportPost(project, projectsProjectPlanningIssuesImportPostRequest, $fields, options).then((request) => request(axios, basePath));
        },
        projectsProjectPlanningIssuesIssueIdAttachmentsDelete(project, issueId, identities, options) {
            return localVarFp.projectsProjectPlanningIssuesIssueIdAttachmentsDelete(project, issueId, identities, options).then((request) => request(axios, basePath));
        },
        projectsProjectPlanningIssuesIssueIdAttachmentsPost(project, issueId, projectsProjectPlanningIssuesIssueIdAttachmentsDeleteRequest, options) {
            return localVarFp.projectsProjectPlanningIssuesIssueIdAttachmentsPost(project, issueId, projectsProjectPlanningIssuesIssueIdAttachmentsDeleteRequest, options).then((request) => request(axios, basePath));
        },
        projectsProjectPlanningIssuesIssueIdChecklistsChecklistIdDelete(project, issueId, checklistId, options) {
            return localVarFp.projectsProjectPlanningIssuesIssueIdChecklistsChecklistIdDelete(project, issueId, checklistId, options).then((request) => request(axios, basePath));
        },
        projectsProjectPlanningIssuesIssueIdChecklistsChecklistIdPost(project, issueId, checklistId, options) {
            return localVarFp.projectsProjectPlanningIssuesIssueIdChecklistsChecklistIdPost(project, issueId, checklistId, options).then((request) => request(axios, basePath));
        },
        projectsProjectPlanningIssuesIssueIdCodeReviewsDelete(project, issueId, codeReviewIds, options) {
            return localVarFp.projectsProjectPlanningIssuesIssueIdCodeReviewsDelete(project, issueId, codeReviewIds, options).then((request) => request(axios, basePath));
        },
        projectsProjectPlanningIssuesIssueIdCodeReviewsPost(project, issueId, projectsProjectPlanningIssuesIssueIdCodeReviewsDeleteRequest, options) {
            return localVarFp.projectsProjectPlanningIssuesIssueIdCodeReviewsPost(project, issueId, projectsProjectPlanningIssuesIssueIdCodeReviewsDeleteRequest, options).then((request) => request(axios, basePath));
        },
        projectsProjectPlanningIssuesIssueIdCommentsImportPost(project, issueId, projectsProjectPlanningIssuesIssueIdCommentsImportPostRequest, options) {
            return localVarFp.projectsProjectPlanningIssuesIssueIdCommentsImportPost(project, issueId, projectsProjectPlanningIssuesIssueIdCommentsImportPostRequest, options).then((request) => request(axios, basePath));
        },
        projectsProjectPlanningIssuesIssueIdCommitsDelete(project, issueId, repository, commitIds, options) {
            return localVarFp.projectsProjectPlanningIssuesIssueIdCommitsDelete(project, issueId, repository, commitIds, options).then((request) => request(axios, basePath));
        },
        projectsProjectPlanningIssuesIssueIdCommitsPost(project, issueId, projectsProjectPlanningIssuesIssueIdCommitsDeleteRequest, options) {
            return localVarFp.projectsProjectPlanningIssuesIssueIdCommitsPost(project, issueId, projectsProjectPlanningIssuesIssueIdCommitsDeleteRequest, options).then((request) => request(axios, basePath));
        },
        projectsProjectPlanningIssuesIssueIdDelete(project, issueId, options) {
            return localVarFp.projectsProjectPlanningIssuesIssueIdDelete(project, issueId, options).then((request) => request(axios, basePath));
        },
        projectsProjectPlanningIssuesIssueIdGet(project, issueId, withDeleted, $fields, options) {
            return localVarFp.projectsProjectPlanningIssuesIssueIdGet(project, issueId, withDeleted, $fields, options).then((request) => request(axios, basePath));
        },
        projectsProjectPlanningIssuesIssueIdPatch(project, issueId, projectsProjectPlanningIssuesIssueIdDeleteRequest, options) {
            return localVarFp.projectsProjectPlanningIssuesIssueIdPatch(project, issueId, projectsProjectPlanningIssuesIssueIdDeleteRequest, options).then((request) => request(axios, basePath));
        },
        projectsProjectPlanningIssuesIssueIdRestorePost(project, issueId, options) {
            return localVarFp.projectsProjectPlanningIssuesIssueIdRestorePost(project, issueId, options).then((request) => request(axios, basePath));
        },
        projectsProjectPlanningIssuesIssueIdTagsTagIdDelete(project, issueId, tagId, options) {
            return localVarFp.projectsProjectPlanningIssuesIssueIdTagsTagIdDelete(project, issueId, tagId, options).then((request) => request(axios, basePath));
        },
        projectsProjectPlanningIssuesIssueIdTagsTagIdPost(project, issueId, tagId, options) {
            return localVarFp.projectsProjectPlanningIssuesIssueIdTagsTagIdPost(project, issueId, tagId, options).then((request) => request(axios, basePath));
        },
        projectsProjectPlanningIssuesIssueIdToggleResolvedPost(project, issueId, projectsProjectPlanningIssuesIssueIdToggleResolvedPostRequest, options) {
            return localVarFp.projectsProjectPlanningIssuesIssueIdToggleResolvedPost(project, issueId, projectsProjectPlanningIssuesIssueIdToggleResolvedPostRequest, options).then((request) => request(axios, basePath));
        },
        projectsProjectPlanningIssuesNumbernumberGet(project, number, resolveAlias, withDeleted, $fields, options) {
            return localVarFp.projectsProjectPlanningIssuesNumbernumberGet(project, number, resolveAlias, withDeleted, $fields, options).then((request) => request(axios, basePath));
        },
        projectsProjectPlanningIssuesPost(project, projectsProjectPlanningIssuesGetRequest, $fields, options) {
            return localVarFp.projectsProjectPlanningIssuesPost(project, projectsProjectPlanningIssuesGetRequest, $fields, options).then((request) => request(axios, basePath));
        },
        projectsProjectPlanningIssuesStatusesAutoUpdateOnMergeRequestMergeGet(project, $fields, options) {
            return localVarFp.projectsProjectPlanningIssuesStatusesAutoUpdateOnMergeRequestMergeGet(project, $fields, options).then((request) => request(axios, basePath));
        },
        projectsProjectPlanningIssuesStatusesAutoUpdateOnMergeRequestMergePatch(project, projectsProjectPlanningIssuesStatusesAutoUpdateOnMergeRequestMergeGetRequest, options) {
            return localVarFp.projectsProjectPlanningIssuesStatusesAutoUpdateOnMergeRequestMergePatch(project, projectsProjectPlanningIssuesStatusesAutoUpdateOnMergeRequestMergeGetRequest, options).then((request) => request(axios, basePath));
        },
        projectsProjectPlanningIssuesStatusesDistributionGet(project, $fields, options) {
            return localVarFp.projectsProjectPlanningIssuesStatusesDistributionGet(project, $fields, options).then((request) => request(axios, basePath));
        },
        projectsProjectPlanningIssuesStatusesGet(project, $fields, options) {
            return localVarFp.projectsProjectPlanningIssuesStatusesGet(project, $fields, options).then((request) => request(axios, basePath));
        },
        projectsProjectPlanningIssuesStatusesPatch(project, projectsProjectPlanningIssuesStatusesGetRequest, options) {
            return localVarFp.projectsProjectPlanningIssuesStatusesPatch(project, projectsProjectPlanningIssuesStatusesGetRequest, options).then((request) => request(axios, basePath));
        },
        projectsProjectPlanningTagsGet(project, $skip, $top, query, $fields, options) {
            return localVarFp.projectsProjectPlanningTagsGet(project, $skip, $top, query, $fields, options).then((request) => request(axios, basePath));
        },
        projectsProjectPlanningTagsPost(project, projectsProjectPlanningTagsGetRequest, $fields, options) {
            return localVarFp.projectsProjectPlanningTagsPost(project, projectsProjectPlanningTagsGetRequest, $fields, options).then((request) => request(axios, basePath));
        },
        projectsProjectRepositoriesRepositoryCherryPickCommitPost(project, repository, projectsProjectRepositoriesRepositoryCherryPickCommitPostRequest, $fields, options) {
            return localVarFp.projectsProjectRepositoriesRepositoryCherryPickCommitPost(project, repository, projectsProjectRepositoriesRepositoryCherryPickCommitPostRequest, $fields, options).then((request) => request(axios, basePath));
        },
        projectsProjectRepositoriesRepositoryCommitBranchesGet(project, repository, commit, prefix, limit, $fields, options) {
            return localVarFp.projectsProjectRepositoriesRepositoryCommitBranchesGet(project, repository, commit, prefix, limit, $fields, options).then((request) => request(axios, basePath));
        },
        projectsProjectRepositoriesRepositoryCommitPost(project, repository, projectsProjectRepositoriesRepositoryCommitPostRequest, $fields, options) {
            return localVarFp.projectsProjectRepositoriesRepositoryCommitPost(project, repository, projectsProjectRepositoriesRepositoryCommitPostRequest, $fields, options).then((request) => request(axios, basePath));
        },
        projectsProjectRepositoriesRepositoryCommitsGet(project, repository, $skip, $top, query, $fields, options) {
            return localVarFp.projectsProjectRepositoriesRepositoryCommitsGet(project, repository, $skip, $top, query, $fields, options).then((request) => request(axios, basePath));
        },
        projectsProjectRepositoriesRepositoryDelete(project, repository, options) {
            return localVarFp.projectsProjectRepositoriesRepositoryDelete(project, repository, options).then((request) => request(axios, basePath));
        },
        projectsProjectRepositoriesRepositoryDeleteBranchPost(project, repository, projectsProjectRepositoriesRepositoryDeleteBranchPostRequest, options) {
            return localVarFp.projectsProjectRepositoriesRepositoryDeleteBranchPost(project, repository, projectsProjectRepositoriesRepositoryDeleteBranchPostRequest, options).then((request) => request(axios, basePath));
        },
        projectsProjectRepositoriesRepositoryFilesGet(project, repository, commit, path, $fields, options) {
            return localVarFp.projectsProjectRepositoriesRepositoryFilesGet(project, repository, commit, path, $fields, options).then((request) => request(axios, basePath));
        },
        projectsProjectRepositoriesRepositoryGcPost(project, repository, options) {
            return localVarFp.projectsProjectRepositoriesRepositoryGcPost(project, repository, options).then((request) => request(axios, basePath));
        },
        projectsProjectRepositoriesRepositoryMergeBranchPost(project, repository, projectsProjectRepositoriesRepositoryMergeBranchPostRequest, $fields, options) {
            return localVarFp.projectsProjectRepositoriesRepositoryMergeBranchPost(project, repository, projectsProjectRepositoriesRepositoryMergeBranchPostRequest, $fields, options).then((request) => request(axios, basePath));
        },
        projectsProjectRepositoriesRepositoryPost(project, repository, $fields, projectsProjectRepositoriesRepositoryDeleteRequest, options) {
            return localVarFp.projectsProjectRepositoriesRepositoryPost(project, repository, $fields, projectsProjectRepositoriesRepositoryDeleteRequest, options).then((request) => request(axios, basePath));
        },
        projectsProjectRepositoriesRepositoryReadonlyGet(project, repository, options) {
            return localVarFp.projectsProjectRepositoriesRepositoryReadonlyGet(project, repository, options).then((request) => request(axios, basePath));
        },
        projectsProjectRepositoriesRepositoryReadonlyPost(project, repository, projectsProjectRepositoriesRepositoryReadonlyGetRequest, options) {
            return localVarFp.projectsProjectRepositoriesRepositoryReadonlyPost(project, repository, projectsProjectRepositoriesRepositoryReadonlyGetRequest, options).then((request) => request(axios, basePath));
        },
        projectsProjectRepositoriesRepositoryRebaseBranchPost(project, repository, projectsProjectRepositoriesRepositoryRebaseBranchPostRequest, $fields, options) {
            return localVarFp.projectsProjectRepositoriesRepositoryRebaseBranchPost(project, repository, projectsProjectRepositoriesRepositoryRebaseBranchPostRequest, $fields, options).then((request) => request(axios, basePath));
        },
        projectsProjectRepositoriesRepositoryRevisionsRevisionExternalChecksGet(project, repository, revision, $fields, options) {
            return localVarFp.projectsProjectRepositoriesRepositoryRevisionsRevisionExternalChecksGet(project, repository, revision, $fields, options).then((request) => request(axios, basePath));
        },
        projectsProjectRepositoriesRepositoryRevisionsRevisionExternalChecksPost(project, repository, revision, projectsProjectRepositoriesRepositoryRevisionsRevisionExternalChecksGetRequest, options) {
            return localVarFp.projectsProjectRepositoriesRepositoryRevisionsRevisionExternalChecksPost(project, repository, revision, projectsProjectRepositoriesRepositoryRevisionsRevisionExternalChecksGetRequest, options).then((request) => request(axios, basePath));
        },
        projectsProjectRepositoriesRepositorySettingsGet(project, repository, $fields, options) {
            return localVarFp.projectsProjectRepositoriesRepositorySettingsGet(project, repository, $fields, options).then((request) => request(axios, basePath));
        },
        projectsProjectRepositoriesRepositorySettingsPost(project, repository, projectsProjectRepositoriesRepositorySettingsGetRequest, options) {
            return localVarFp.projectsProjectRepositoriesRepositorySettingsPost(project, repository, projectsProjectRepositoriesRepositorySettingsGetRequest, options).then((request) => request(axios, basePath));
        },
        projectsProjectRepositoriesRepositoryUrlGet(project, repository, $fields, options) {
            return localVarFp.projectsProjectRepositoriesRepositoryUrlGet(project, repository, $fields, options).then((request) => request(axios, basePath));
        },
        projectsProjectResponsibilitiesResponsibilityIdAssigneesProfileIdDelete(project, responsibilityId, profileId, role, options) {
            return localVarFp.projectsProjectResponsibilitiesResponsibilityIdAssigneesProfileIdDelete(project, responsibilityId, profileId, role, options).then((request) => request(axios, basePath));
        },
        projectsProjectResponsibilitiesResponsibilityIdAssigneesProfileIdPost(project, responsibilityId, profileId, projectsProjectResponsibilitiesResponsibilityIdAssigneesProfileIdDeleteRequest, options) {
            return localVarFp.projectsProjectResponsibilitiesResponsibilityIdAssigneesProfileIdPost(project, responsibilityId, profileId, projectsProjectResponsibilitiesResponsibilityIdAssigneesProfileIdDeleteRequest, options).then((request) => request(axios, basePath));
        },
        projectsProjectResponsibilitiesSchemeGet(project, $fields, options) {
            return localVarFp.projectsProjectResponsibilitiesSchemeGet(project, $fields, options).then((request) => request(axios, basePath));
        },
        projectsProjectResponsibilitiesSubjectsPost(project, projectsProjectResponsibilitiesSubjectsPostRequest, options) {
            return localVarFp.projectsProjectResponsibilitiesSubjectsPost(project, projectsProjectResponsibilitiesSubjectsPostRequest, options).then((request) => request(axios, basePath));
        },
        projectsProjectResponsibilitiesSubjectsSubjectIdPatch(project, subjectId, projectsProjectResponsibilitiesSubjectsPostRequest, options) {
            return localVarFp.projectsProjectResponsibilitiesSubjectsSubjectIdPatch(project, subjectId, projectsProjectResponsibilitiesSubjectsPostRequest, options).then((request) => request(axios, basePath));
        },
        projectsProjectTopicsGet(project, $fields, options) {
            return localVarFp.projectsProjectTopicsGet(project, $fields, options).then((request) => request(axios, basePath));
        },
        projectsProjectTopicsIdPatch(project, id, $fields, projectsProjectTopicsIdPatchRequest, options) {
            return localVarFp.projectsProjectTopicsIdPatch(project, id, $fields, projectsProjectTopicsIdPatchRequest, options).then((request) => request(axios, basePath));
        },
        projectsProjectTopicsPost(project, projectsProjectTopicsGetRequest, $fields, options) {
            return localVarFp.projectsProjectTopicsPost(project, projectsProjectTopicsGetRequest, $fields, options).then((request) => request(axios, basePath));
        },
        projectsProjectTopicsRemoveTopicsPost(project, projectsProjectTopicsRemoveTopicsPostRequest, options) {
            return localVarFp.projectsProjectTopicsRemoveTopicsPost(project, projectsProjectTopicsRemoveTopicsPostRequest, options).then((request) => request(axios, basePath));
        },
        projectsProjectTopicsSetResponsiblePost(project, projectsProjectTopicsSetResponsiblePostRequest, options) {
            return localVarFp.projectsProjectTopicsSetResponsiblePost(project, projectsProjectTopicsSetResponsiblePostRequest, options).then((request) => request(axios, basePath));
        },
        projectsRepositoriesFindGet(term, $skip, $top, $fields, options) {
            return localVarFp.projectsRepositoriesFindGet(term, $skip, $top, $fields, options).then((request) => request(axios, basePath));
        },
        projectsResponsibilitiesPost(projectsResponsibilitiesPostRequest, options) {
            return localVarFp.projectsResponsibilitiesPost(projectsResponsibilitiesPostRequest, options).then((request) => request(axios, basePath));
        },
        projectsResponsibilitiesResponsibilityIdDelete(responsibilityId, options) {
            return localVarFp.projectsResponsibilitiesResponsibilityIdDelete(responsibilityId, options).then((request) => request(axios, basePath));
        },
        projectsResponsibilitiesResponsibilityIdPatch(responsibilityId, projectsResponsibilitiesResponsibilityIdDeleteRequest, options) {
            return localVarFp.projectsResponsibilitiesResponsibilityIdPatch(responsibilityId, projectsResponsibilitiesResponsibilityIdDeleteRequest, options).then((request) => request(axios, basePath));
        },
        projectsResponsibilitiesSubjectsSubjectIdDelete(subjectId, project, options) {
            return localVarFp.projectsResponsibilitiesSubjectsSubjectIdDelete(subjectId, project, options).then((request) => request(axios, basePath));
        },
        projectsRightCoderightCodeGet(rightCode, $skip, $top, term, path, starred, $fields, options) {
            return localVarFp.projectsRightCoderightCodeGet(rightCode, $skip, $top, term, path, starred, $fields, options).then((request) => request(axios, basePath));
        },
        projectsRightUniqueCoderightGet(right, $skip, $top, term, path, starred, _private, $fields, options) {
            return localVarFp.projectsRightUniqueCoderightGet(right, $skip, $top, term, path, starred, _private, $fields, options).then((request) => request(axios, basePath));
        },
        projectsSecretsDefaultBundleGet(project, $skip, $top, $fields, options) {
            return localVarFp.projectsSecretsDefaultBundleGet(project, $skip, $top, $fields, options).then((request) => request(axios, basePath));
        },
        projectsSecretsDefaultBundlePost(projectsSecretsDefaultBundleGetRequest, options) {
            return localVarFp.projectsSecretsDefaultBundlePost(projectsSecretsDefaultBundleGetRequest, options).then((request) => request(axios, basePath));
        },
        projectsSecretsIdDelete(id, options) {
            return localVarFp.projectsSecretsIdDelete(id, options).then((request) => request(axios, basePath));
        },
        projectsSecretsIdPatch(id, projectsSecretsIdDeleteRequest, options) {
            return localVarFp.projectsSecretsIdPatch(id, projectsSecretsIdDeleteRequest, options).then((request) => request(axios, basePath));
        },
        projectsSecretsInDefaultBundleGet(projectId, $skip, $top, $fields, options) {
            return localVarFp.projectsSecretsInDefaultBundleGet(projectId, $skip, $top, $fields, options).then((request) => request(axios, basePath));
        },
        projectsSecretsInDefaultBundlePost(projectsSecretsInDefaultBundleGetRequest, options) {
            return localVarFp.projectsSecretsInDefaultBundlePost(projectsSecretsInDefaultBundleGetRequest, options).then((request) => request(axios, basePath));
        },
        projectsTagsGet($fields, options) {
            return localVarFp.projectsTagsGet($fields, options).then((request) => request(axios, basePath));
        },
        projectsTagsTrackAccessPost(projectsTagsTrackAccessPostRequest, options) {
            return localVarFp.projectsTagsTrackAccessPost(projectsTagsTrackAccessPostRequest, options).then((request) => request(axios, basePath));
        },
        projectsTeamteamGet(team, $skip, $top, $fields, options) {
            return localVarFp.projectsTeamteamGet(team, $skip, $top, $fields, options).then((request) => request(axios, basePath));
        },
        projectsVaultGet(project, $fields, options) {
            return localVarFp.projectsVaultGet(project, $fields, options).then((request) => request(axios, basePath));
        },
        projectsVaultIdDelete(id, options) {
            return localVarFp.projectsVaultIdDelete(id, options).then((request) => request(axios, basePath));
        },
        projectsVaultIdPatch(id, projectsVaultIdDeleteRequest, options) {
            return localVarFp.projectsVaultIdPatch(id, projectsVaultIdDeleteRequest, options).then((request) => request(axios, basePath));
        },
        projectsVaultPost(projectsVaultGetRequest, options) {
            return localVarFp.projectsVaultPost(projectsVaultGetRequest, options).then((request) => request(axios, basePath));
        },
        publicHolidaysCalendarsGet($skip, $top, $fields, options) {
            return localVarFp.publicHolidaysCalendarsGet($skip, $top, $fields, options).then((request) => request(axios, basePath));
        },
        publicHolidaysCalendarsIdDelete(id, options) {
            return localVarFp.publicHolidaysCalendarsIdDelete(id, options).then((request) => request(axios, basePath));
        },
        publicHolidaysCalendarsIdPatch(id, publicHolidaysCalendarsGetRequest, $fields, options) {
            return localVarFp.publicHolidaysCalendarsIdPatch(id, publicHolidaysCalendarsGetRequest, $fields, options).then((request) => request(axios, basePath));
        },
        publicHolidaysCalendarsImportPost(publicHolidaysCalendarsImportPostRequest, options) {
            return localVarFp.publicHolidaysCalendarsImportPost(publicHolidaysCalendarsImportPostRequest, options).then((request) => request(axios, basePath));
        },
        publicHolidaysCalendarsPost(publicHolidaysCalendarsGetRequest, $fields, options) {
            return localVarFp.publicHolidaysCalendarsPost(publicHolidaysCalendarsGetRequest, $fields, options).then((request) => request(axios, basePath));
        },
        publicHolidaysHolidaysGet($skip, $top, calendar, location, startDate, endDate, $fields, options) {
            return localVarFp.publicHolidaysHolidaysGet($skip, $top, calendar, location, startDate, endDate, $fields, options).then((request) => request(axios, basePath));
        },
        publicHolidaysHolidaysIdDelete(id, options) {
            return localVarFp.publicHolidaysHolidaysIdDelete(id, options).then((request) => request(axios, basePath));
        },
        publicHolidaysHolidaysIdPatch(id, $fields, publicHolidaysHolidaysIdDeleteRequest, options) {
            return localVarFp.publicHolidaysHolidaysIdPatch(id, $fields, publicHolidaysHolidaysIdDeleteRequest, options).then((request) => request(axios, basePath));
        },
        publicHolidaysHolidaysPost(publicHolidaysHolidaysGetRequest, $fields, options) {
            return localVarFp.publicHolidaysHolidaysPost(publicHolidaysHolidaysGetRequest, $fields, options).then((request) => request(axios, basePath));
        },
        publicHolidaysHolidaysProfileHolidaysGet(startDate, endDate, profile, workingDays, $fields, options) {
            return localVarFp.publicHolidaysHolidaysProfileHolidaysGet(startDate, endDate, profile, workingDays, $fields, options).then((request) => request(axios, basePath));
        },
        publicHolidaysHolidaysRelatedHolidaysGet($skip, $top, startDate, endDate, $fields, options) {
            return localVarFp.publicHolidaysHolidaysRelatedHolidaysGet($skip, $top, startDate, endDate, $fields, options).then((request) => request(axios, basePath));
        },
        reactionsItemEmojiDelete(item, emoji, options) {
            return localVarFp.reactionsItemEmojiDelete(item, emoji, options).then((request) => request(axios, basePath));
        },
        reactionsItemEmojiGet(item, emoji, $fields, options) {
            return localVarFp.reactionsItemEmojiGet(item, emoji, $fields, options).then((request) => request(axios, basePath));
        },
        reactionsItemEmojiPost(item, emoji, options) {
            return localVarFp.reactionsItemEmojiPost(item, emoji, options).then((request) => request(axios, basePath));
        },
        reactionsItemGet(item, $fields, options) {
            return localVarFp.reactionsItemGet(item, $fields, options).then((request) => request(axios, basePath));
        },
        richTextParseMarkdownPost(richTextParseMarkdownPostRequest, $fields, options) {
            return localVarFp.richTextParseMarkdownPost(richTextParseMarkdownPostRequest, $fields, options).then((request) => request(axios, basePath));
        },
        teamDirectoryCalendarEventsAbsenceEventsGet(dateFrom, dateTo, team, location, role, $fields, options) {
            return localVarFp.teamDirectoryCalendarEventsAbsenceEventsGet(dateFrom, dateTo, team, location, role, $fields, options).then((request) => request(axios, basePath));
        },
        teamDirectoryCalendarEventsBirthdayEventsGet(dateFrom, dateTo, team, location, role, $fields, options) {
            return localVarFp.teamDirectoryCalendarEventsBirthdayEventsGet(dateFrom, dateTo, team, location, role, $fields, options).then((request) => request(axios, basePath));
        },
        teamDirectoryCalendarEventsBirthdayEventsStarredGet(dateFrom, dateTo, $fields, options) {
            return localVarFp.teamDirectoryCalendarEventsBirthdayEventsStarredGet(dateFrom, dateTo, $fields, options).then((request) => request(axios, basePath));
        },
        teamDirectoryCalendarEventsGet(dateFrom, dateTo, $fields, options) {
            return localVarFp.teamDirectoryCalendarEventsGet(dateFrom, dateTo, $fields, options).then((request) => request(axios, basePath));
        },
        teamDirectoryCalendarEventsHolidaysGet(startDate, endDate, team, location, role, workingDays, $fields, options) {
            return localVarFp.teamDirectoryCalendarEventsHolidaysGet(startDate, endDate, team, location, role, workingDays, $fields, options).then((request) => request(axios, basePath));
        },
        teamDirectoryCalendarEventsIdGet(id, $fields, options) {
            return localVarFp.teamDirectoryCalendarEventsIdGet(id, $fields, options).then((request) => request(axios, basePath));
        },
        teamDirectoryCalendarEventsMeetingParticipationsIdPatch(id, calendarsEventParticipationsIdPatchRequest, $fields, options) {
            return localVarFp.teamDirectoryCalendarEventsMeetingParticipationsIdPatch(id, calendarsEventParticipationsIdPatchRequest, $fields, options).then((request) => request(axios, basePath));
        },
        teamDirectoryCalendarEventsMembershipEventsGet(dateFrom, dateTo, team, location, role, $fields, options) {
            return localVarFp.teamDirectoryCalendarEventsMembershipEventsGet(dateFrom, dateTo, team, location, role, $fields, options).then((request) => request(axios, basePath));
        },
        teamDirectoryCalendarEventsNonWorkingDaysEventsGet(dateFrom, dateTo, member, team, location, role, $fields, options) {
            return localVarFp.teamDirectoryCalendarEventsNonWorkingDaysEventsGet(dateFrom, dateTo, member, team, location, role, $fields, options).then((request) => request(axios, basePath));
        },
        teamDirectoryInvitationLinksGet($skip, $top, withDeleted, projects, teams, $fields, options) {
            return localVarFp.teamDirectoryInvitationLinksGet($skip, $top, withDeleted, projects, teams, $fields, options).then((request) => request(axios, basePath));
        },
        teamDirectoryInvitationLinksInvitationLinkIdDelete(invitationLinkId, options) {
            return localVarFp.teamDirectoryInvitationLinksInvitationLinkIdDelete(invitationLinkId, options).then((request) => request(axios, basePath));
        },
        teamDirectoryInvitationLinksInvitationLinkIdPatch(invitationLinkId, teamDirectoryInvitationLinksInvitationLinkIdDeleteRequest, options) {
            return localVarFp.teamDirectoryInvitationLinksInvitationLinkIdPatch(invitationLinkId, teamDirectoryInvitationLinksInvitationLinkIdDeleteRequest, options).then((request) => request(axios, basePath));
        },
        teamDirectoryInvitationLinksPost(teamDirectoryInvitationLinksGetRequest, $fields, options) {
            return localVarFp.teamDirectoryInvitationLinksPost(teamDirectoryInvitationLinksGetRequest, $fields, options).then((request) => request(axios, basePath));
        },
        teamDirectoryInvitationsGet($skip, $top, withDeleted, projects, teams, $fields, options) {
            return localVarFp.teamDirectoryInvitationsGet($skip, $top, withDeleted, projects, teams, $fields, options).then((request) => request(axios, basePath));
        },
        teamDirectoryInvitationsIdDelete(id, options) {
            return localVarFp.teamDirectoryInvitationsIdDelete(id, options).then((request) => request(axios, basePath));
        },
        teamDirectoryInvitationsIdPatch(id, teamDirectoryInvitationsIdDeleteRequest, options) {
            return localVarFp.teamDirectoryInvitationsIdPatch(id, teamDirectoryInvitationsIdDeleteRequest, options).then((request) => request(axios, basePath));
        },
        teamDirectoryInvitationsPost(teamDirectoryInvitationsGetRequest, $fields, options) {
            return localVarFp.teamDirectoryInvitationsPost(teamDirectoryInvitationsGetRequest, $fields, options).then((request) => request(axios, basePath));
        },
        teamDirectoryLanguagesGet($fields, options) {
            return localVarFp.teamDirectoryLanguagesGet($fields, options).then((request) => request(axios, basePath));
        },
        teamDirectoryLocationEquipmentTypesGet(withArchived, $fields, options) {
            return localVarFp.teamDirectoryLocationEquipmentTypesGet(withArchived, $fields, options).then((request) => request(axios, basePath));
        },
        teamDirectoryLocationEquipmentTypesNamenameDelete(name, _delete, options) {
            return localVarFp.teamDirectoryLocationEquipmentTypesNamenameDelete(name, _delete, options).then((request) => request(axios, basePath));
        },
        teamDirectoryLocationMapMemberPointsGet(locationId, $skip, $top, includeUnmarked, $fields, options) {
            return localVarFp.teamDirectoryLocationMapMemberPointsGet(locationId, $skip, $top, includeUnmarked, $fields, options).then((request) => request(axios, basePath));
        },
        teamDirectoryLocationMapMemberPointsLocationPointIdDelete(locationPointId, _delete, options) {
            return localVarFp.teamDirectoryLocationMapMemberPointsLocationPointIdDelete(locationPointId, _delete, options).then((request) => request(axios, basePath));
        },
        teamDirectoryLocationMapMemberPointsLocationPointIdPatch(locationPointId, $fields, teamDirectoryLocationMapMemberPointsLocationPointIdDeleteRequest, options) {
            return localVarFp.teamDirectoryLocationMapMemberPointsLocationPointIdPatch(locationPointId, $fields, teamDirectoryLocationMapMemberPointsLocationPointIdDeleteRequest, options).then((request) => request(axios, basePath));
        },
        teamDirectoryLocationMapMemberPointsPost(teamDirectoryLocationMapMemberPointsGetRequest, $fields, options) {
            return localVarFp.teamDirectoryLocationMapMemberPointsPost(teamDirectoryLocationMapMemberPointsGetRequest, $fields, options).then((request) => request(axios, basePath));
        },
        teamDirectoryLocationsGet(query, type, withArchived, $fields, options) {
            return localVarFp.teamDirectoryLocationsGet(query, type, withArchived, $fields, options).then((request) => request(axios, basePath));
        },
        teamDirectoryLocationsIdDelete(id, $fields, options) {
            return localVarFp.teamDirectoryLocationsIdDelete(id, $fields, options).then((request) => request(axios, basePath));
        },
        teamDirectoryLocationsIdGet(id, $fields, options) {
            return localVarFp.teamDirectoryLocationsIdGet(id, $fields, options).then((request) => request(axios, basePath));
        },
        teamDirectoryLocationsIdMapGet(id, $fields, options) {
            return localVarFp.teamDirectoryLocationsIdMapGet(id, $fields, options).then((request) => request(axios, basePath));
        },
        teamDirectoryLocationsIdMapPatch(id, teamDirectoryLocationsIdMapGetRequest, $fields, options) {
            return localVarFp.teamDirectoryLocationsIdMapPatch(id, teamDirectoryLocationsIdMapGetRequest, $fields, options).then((request) => request(axios, basePath));
        },
        teamDirectoryLocationsIdPatch(id, $fields, teamDirectoryLocationsIdDeleteRequest, options) {
            return localVarFp.teamDirectoryLocationsIdPatch(id, $fields, teamDirectoryLocationsIdDeleteRequest, options).then((request) => request(axios, basePath));
        },
        teamDirectoryLocationsIdRestorePost(id, $fields, options) {
            return localVarFp.teamDirectoryLocationsIdRestorePost(id, $fields, options).then((request) => request(axios, basePath));
        },
        teamDirectoryLocationsPost(teamDirectoryLocationsGetRequest, $fields, options) {
            return localVarFp.teamDirectoryLocationsPost(teamDirectoryLocationsGetRequest, $fields, options).then((request) => request(axios, basePath));
        },
        teamDirectoryLocationsRestorePost(projectsProjectTopicsRemoveTopicsPostRequest, $fields, options) {
            return localVarFp.teamDirectoryLocationsRestorePost(projectsProjectTopicsRemoveTopicsPostRequest, $fields, options).then((request) => request(axios, basePath));
        },
        teamDirectoryLocationsWithTimezoneGet($fields, options) {
            return localVarFp.teamDirectoryLocationsWithTimezoneGet($fields, options).then((request) => request(axios, basePath));
        },
        teamDirectoryMemberLocationsGet($skip, $top, profiles, locations, since, till, withArchived, $fields, options) {
            return localVarFp.teamDirectoryMemberLocationsGet($skip, $top, profiles, locations, since, till, withArchived, $fields, options).then((request) => request(axios, basePath));
        },
        teamDirectoryMemberLocationsMemberLocationIdDelete(memberLocationId, _delete, options) {
            return localVarFp.teamDirectoryMemberLocationsMemberLocationIdDelete(memberLocationId, _delete, options).then((request) => request(axios, basePath));
        },
        teamDirectoryMemberLocationsMemberLocationIdGet(memberLocationId, $fields, options) {
            return localVarFp.teamDirectoryMemberLocationsMemberLocationIdGet(memberLocationId, $fields, options).then((request) => request(axios, basePath));
        },
        teamDirectoryMemberLocationsMemberLocationIdPatch(memberLocationId, $fields, teamDirectoryMemberLocationsMemberLocationIdDeleteRequest, options) {
            return localVarFp.teamDirectoryMemberLocationsMemberLocationIdPatch(memberLocationId, $fields, teamDirectoryMemberLocationsMemberLocationIdDeleteRequest, options).then((request) => request(axios, basePath));
        },
        teamDirectoryMemberLocationsPost(teamDirectoryMemberLocationsGetRequest, $fields, options) {
            return localVarFp.teamDirectoryMemberLocationsPost(teamDirectoryMemberLocationsGetRequest, $fields, options).then((request) => request(axios, basePath));
        },
        teamDirectoryMembershipEventsGet($skip, $top, teamId, locationId, roleId, $fields, options) {
            return localVarFp.teamDirectoryMembershipEventsGet($skip, $top, teamId, locationId, roleId, $fields, options).then((request) => request(axios, basePath));
        },
        teamDirectoryMembershipsGet($skip, $top, identifiers, profiles, teams, directTeams, roles, directRoles, since, till, requiresApproval, withArchived, $fields, options) {
            return localVarFp.teamDirectoryMembershipsGet($skip, $top, identifiers, profiles, teams, directTeams, roles, directRoles, since, till, requiresApproval, withArchived, $fields, options).then((request) => request(axios, basePath));
        },
        teamDirectoryMembershipsManagerCandidatesGet(term, $skip, $top, teamId, excludedMemberId, $fields, options) {
            return localVarFp.teamDirectoryMembershipsManagerCandidatesGet(term, $skip, $top, teamId, excludedMemberId, $fields, options).then((request) => request(axios, basePath));
        },
        teamDirectoryMembershipsMembershipIdDelete(membershipId, _delete, options) {
            return localVarFp.teamDirectoryMembershipsMembershipIdDelete(membershipId, _delete, options).then((request) => request(axios, basePath));
        },
        teamDirectoryMembershipsMembershipIdGet(membershipId, $fields, options) {
            return localVarFp.teamDirectoryMembershipsMembershipIdGet(membershipId, $fields, options).then((request) => request(axios, basePath));
        },
        teamDirectoryMembershipsMembershipIdPatch(membershipId, $fields, teamDirectoryMembershipsMembershipIdDeleteRequest, options) {
            return localVarFp.teamDirectoryMembershipsMembershipIdPatch(membershipId, $fields, teamDirectoryMembershipsMembershipIdDeleteRequest, options).then((request) => request(axios, basePath));
        },
        teamDirectoryMembershipsMembershipIdRequestRevokePatch(membershipId, teamDirectoryMembershipsMembershipIdRequestRevokePatchRequest, options) {
            return localVarFp.teamDirectoryMembershipsMembershipIdRequestRevokePatch(membershipId, teamDirectoryMembershipsMembershipIdRequestRevokePatchRequest, options).then((request) => request(axios, basePath));
        },
        teamDirectoryMembershipsMembershipIdRevokeDelete(membershipId, till, options) {
            return localVarFp.teamDirectoryMembershipsMembershipIdRevokeDelete(membershipId, till, options).then((request) => request(axios, basePath));
        },
        teamDirectoryMembershipsPost(teamDirectoryMembershipsGetRequest, $fields, options) {
            return localVarFp.teamDirectoryMembershipsPost(teamDirectoryMembershipsGetRequest, $fields, options).then((request) => request(axios, basePath));
        },
        teamDirectoryMembershipsRequestsGet($skip, $top, teamId, direct, $fields, options) {
            return localVarFp.teamDirectoryMembershipsRequestsGet($skip, $top, teamId, direct, $fields, options).then((request) => request(axios, basePath));
        },
        teamDirectoryMembershipsRequestsMembershipRequestIdDelete(membershipRequestId, $fields, options) {
            return localVarFp.teamDirectoryMembershipsRequestsMembershipRequestIdDelete(membershipRequestId, $fields, options).then((request) => request(axios, basePath));
        },
        teamDirectoryMembershipsRequestsMembershipRequestIdPatch(membershipRequestId, teamDirectoryMembershipsRequestsMembershipRequestIdDeleteRequest, options) {
            return localVarFp.teamDirectoryMembershipsRequestsMembershipRequestIdPatch(membershipRequestId, teamDirectoryMembershipsRequestsMembershipRequestIdDeleteRequest, options).then((request) => request(axios, basePath));
        },
        teamDirectoryProfilesAuthenticationSessionsOwnerGet(owner, $fields, options) {
            return localVarFp.teamDirectoryProfilesAuthenticationSessionsOwnerGet(owner, $fields, options).then((request) => request(axios, basePath));
        },
        teamDirectoryProfilesAuthenticationSessionsOwnerSessionIdDelete(owner, sessionId, options) {
            return localVarFp.teamDirectoryProfilesAuthenticationSessionsOwnerSessionIdDelete(owner, sessionId, options).then((request) => request(axios, basePath));
        },
        teamDirectoryProfilesDashboardsDashboardGet(dashboard, $fields, options) {
            return localVarFp.teamDirectoryProfilesDashboardsDashboardGet(dashboard, $fields, options).then((request) => request(axios, basePath));
        },
        teamDirectoryProfilesDashboardsDashboardPatch(dashboard, teamDirectoryProfilesDashboardsDashboardGetRequest, options) {
            return localVarFp.teamDirectoryProfilesDashboardsDashboardPatch(dashboard, teamDirectoryProfilesDashboardsDashboardGetRequest, options).then((request) => request(axios, basePath));
        },
        teamDirectoryProfilesEmailemailGet(email, verified, $fields, options) {
            return localVarFp.teamDirectoryProfilesEmailemailGet(email, verified, $fields, options).then((request) => request(axios, basePath));
        },
        teamDirectoryProfilesGet($skip, $top, query, reportPastMembers, reportFutureMembers, reportCurrentMembers, teamId, locationId, roleId, meOnTop, order, orgRelation, $fields, options) {
            return localVarFp.teamDirectoryProfilesGet($skip, $top, query, reportPastMembers, reportFutureMembers, reportCurrentMembers, teamId, locationId, roleId, meOnTop, order, orgRelation, $fields, options).then((request) => request(axios, basePath));
        },
        teamDirectoryProfilesOauthConsentsOwnerApplicationsApplicationDelete(owner, application, options) {
            return localVarFp.teamDirectoryProfilesOauthConsentsOwnerApplicationsApplicationDelete(owner, application, options).then((request) => request(axios, basePath));
        },
        teamDirectoryProfilesOauthConsentsOwnerApprovedScopesIdDelete(owner, id, options) {
            return localVarFp.teamDirectoryProfilesOauthConsentsOwnerApprovedScopesIdDelete(owner, id, options).then((request) => request(axios, basePath));
        },
        teamDirectoryProfilesOauthConsentsOwnerGet(owner, $fields, options) {
            return localVarFp.teamDirectoryProfilesOauthConsentsOwnerGet(owner, $fields, options).then((request) => request(axios, basePath));
        },
        teamDirectoryProfilesOauthConsentsOwnerInternalApplicationsClientIdDelete(owner, clientId, options) {
            return localVarFp.teamDirectoryProfilesOauthConsentsOwnerInternalApplicationsClientIdDelete(owner, clientId, options).then((request) => request(axios, basePath));
        },
        teamDirectoryProfilesOauthConsentsOwnerRefreshTokensIdDelete(owner, id, options) {
            return localVarFp.teamDirectoryProfilesOauthConsentsOwnerRefreshTokensIdDelete(owner, id, options).then((request) => request(axios, basePath));
        },
        teamDirectoryProfilesPost(teamDirectoryProfilesGetRequest, $fields, options) {
            return localVarFp.teamDirectoryProfilesPost(teamDirectoryProfilesGetRequest, $fields, options).then((request) => request(axios, basePath));
        },
        teamDirectoryProfilesProfile2FaRequirementsGet(profile, $fields, options) {
            return localVarFp.teamDirectoryProfilesProfile2FaRequirementsGet(profile, $fields, options).then((request) => request(axios, basePath));
        },
        teamDirectoryProfilesProfile2FaStatusGet(profile, options) {
            return localVarFp.teamDirectoryProfilesProfile2FaStatusGet(profile, options).then((request) => request(axios, basePath));
        },
        teamDirectoryProfilesProfile2FaTotpConfirmPost(profile, teamDirectoryProfilesProfile2FaTotpConfirmPostRequest, options) {
            return localVarFp.teamDirectoryProfilesProfile2FaTotpConfirmPost(profile, teamDirectoryProfilesProfile2FaTotpConfirmPostRequest, options).then((request) => request(axios, basePath));
        },
        teamDirectoryProfilesProfile2FaTotpDelete(profile, options) {
            return localVarFp.teamDirectoryProfilesProfile2FaTotpDelete(profile, options).then((request) => request(axios, basePath));
        },
        teamDirectoryProfilesProfile2FaTotpPatch(profile, administrationUserAgreementEnabledGetRequest, options) {
            return localVarFp.teamDirectoryProfilesProfile2FaTotpPatch(profile, administrationUserAgreementEnabledGetRequest, options).then((request) => request(axios, basePath));
        },
        teamDirectoryProfilesProfile2FaTotpPost(profile, $fields, options) {
            return localVarFp.teamDirectoryProfilesProfile2FaTotpPost(profile, $fields, options).then((request) => request(axios, basePath));
        },
        teamDirectoryProfilesProfileApplicationPasswordsGet(profile, $skip, $top, $fields, options) {
            return localVarFp.teamDirectoryProfilesProfileApplicationPasswordsGet(profile, $skip, $top, $fields, options).then((request) => request(axios, basePath));
        },
        teamDirectoryProfilesProfileApplicationPasswordsPasswordIdDelete(profile, passwordId, options) {
            return localVarFp.teamDirectoryProfilesProfileApplicationPasswordsPasswordIdDelete(profile, passwordId, options).then((request) => request(axios, basePath));
        },
        teamDirectoryProfilesProfileApplicationPasswordsPasswordIdPatch(profile, passwordId, teamDirectoryProfilesProfileApplicationPasswordsPasswordIdDeleteRequest, options) {
            return localVarFp.teamDirectoryProfilesProfileApplicationPasswordsPasswordIdPatch(profile, passwordId, teamDirectoryProfilesProfileApplicationPasswordsPasswordIdDeleteRequest, options).then((request) => request(axios, basePath));
        },
        teamDirectoryProfilesProfileApplicationPasswordsPost(profile, teamDirectoryProfilesProfileApplicationPasswordsGetRequest, $fields, options) {
            return localVarFp.teamDirectoryProfilesProfileApplicationPasswordsPost(profile, teamDirectoryProfilesProfileApplicationPasswordsGetRequest, $fields, options).then((request) => request(axios, basePath));
        },
        teamDirectoryProfilesProfileChecklistsChecklistIdDelete(profile, checklistId, options) {
            return localVarFp.teamDirectoryProfilesProfileChecklistsChecklistIdDelete(profile, checklistId, options).then((request) => request(axios, basePath));
        },
        teamDirectoryProfilesProfileChecklistsChecklistIdFullChecklistTreeGet(profile, checklistId, $fields, options) {
            return localVarFp.teamDirectoryProfilesProfileChecklistsChecklistIdFullChecklistTreeGet(profile, checklistId, $fields, options).then((request) => request(axios, basePath));
        },
        teamDirectoryProfilesProfileChecklistsChecklistIdImportPost(profile, checklistId, projectsProjectPlanningChecklistsChecklistIdImportPostRequest, options) {
            return localVarFp.teamDirectoryProfilesProfileChecklistsChecklistIdImportPost(profile, checklistId, projectsProjectPlanningChecklistsChecklistIdImportPostRequest, options).then((request) => request(axios, basePath));
        },
        teamDirectoryProfilesProfileChecklistsChecklistIdPatch(profile, checklistId, teamDirectoryProfilesProfileChecklistsChecklistIdDeleteRequest, options) {
            return localVarFp.teamDirectoryProfilesProfileChecklistsChecklistIdPatch(profile, checklistId, teamDirectoryProfilesProfileChecklistsChecklistIdDeleteRequest, options).then((request) => request(axios, basePath));
        },
        teamDirectoryProfilesProfileChecklistsGet(profile, $fields, options) {
            return localVarFp.teamDirectoryProfilesProfileChecklistsGet(profile, $fields, options).then((request) => request(axios, basePath));
        },
        teamDirectoryProfilesProfileChecklistsImportPost(profile, projectsProjectPlanningChecklistsImportPostRequest, $fields, options) {
            return localVarFp.teamDirectoryProfilesProfileChecklistsImportPost(profile, projectsProjectPlanningChecklistsImportPostRequest, $fields, options).then((request) => request(axios, basePath));
        },
        teamDirectoryProfilesProfileChecklistsPost(profile, chatsChannelsIsNameFreePostRequest, $fields, options) {
            return localVarFp.teamDirectoryProfilesProfileChecklistsPost(profile, chatsChannelsIsNameFreePostRequest, $fields, options).then((request) => request(axios, basePath));
        },
        teamDirectoryProfilesProfileChecklistsStarredGet(profile, $fields, options) {
            return localVarFp.teamDirectoryProfilesProfileChecklistsStarredGet(profile, $fields, options).then((request) => request(axios, basePath));
        },
        teamDirectoryProfilesProfileConvertToGuestPatch(profile, teamDirectoryProfilesProfileConvertToGuestPatchRequest, $fields, options) {
            return localVarFp.teamDirectoryProfilesProfileConvertToGuestPatch(profile, teamDirectoryProfilesProfileConvertToGuestPatchRequest, $fields, options).then((request) => request(axios, basePath));
        },
        teamDirectoryProfilesProfileConvertToMemberPatch(profile, teamDirectoryProfilesProfileConvertToMemberPatchRequest, $fields, options) {
            return localVarFp.teamDirectoryProfilesProfileConvertToMemberPatch(profile, teamDirectoryProfilesProfileConvertToMemberPatchRequest, $fields, options).then((request) => request(axios, basePath));
        },
        teamDirectoryProfilesProfileDeactivateDelete(profile, at, $fields, options) {
            return localVarFp.teamDirectoryProfilesProfileDeactivateDelete(profile, at, $fields, options).then((request) => request(axios, basePath));
        },
        teamDirectoryProfilesProfileDelete(profile, $fields, options) {
            return localVarFp.teamDirectoryProfilesProfileDelete(profile, $fields, options).then((request) => request(axios, basePath));
        },
        teamDirectoryProfilesProfileDocumentsDocumentIdCopyPost(profile, documentId, projectsProjectDocumentsDocumentIdCopyPostRequest, $fields, options) {
            return localVarFp.teamDirectoryProfilesProfileDocumentsDocumentIdCopyPost(profile, documentId, projectsProjectDocumentsDocumentIdCopyPostRequest, $fields, options).then((request) => request(axios, basePath));
        },
        teamDirectoryProfilesProfileDocumentsDocumentIdDelete(profile, documentId, options) {
            return localVarFp.teamDirectoryProfilesProfileDocumentsDocumentIdDelete(profile, documentId, options).then((request) => request(axios, basePath));
        },
        teamDirectoryProfilesProfileDocumentsDocumentIdDeleteForeverDelete(profile, documentId, options) {
            return localVarFp.teamDirectoryProfilesProfileDocumentsDocumentIdDeleteForeverDelete(profile, documentId, options).then((request) => request(axios, basePath));
        },
        teamDirectoryProfilesProfileDocumentsDocumentIdGet(profile, documentId, $fields, options) {
            return localVarFp.teamDirectoryProfilesProfileDocumentsDocumentIdGet(profile, documentId, $fields, options).then((request) => request(axios, basePath));
        },
        teamDirectoryProfilesProfileDocumentsDocumentIdMovePatch(profile, documentId, projectsProjectDocumentsDocumentIdMovePatchRequest, $fields, options) {
            return localVarFp.teamDirectoryProfilesProfileDocumentsDocumentIdMovePatch(profile, documentId, projectsProjectDocumentsDocumentIdMovePatchRequest, $fields, options).then((request) => request(axios, basePath));
        },
        teamDirectoryProfilesProfileDocumentsDocumentIdPatch(profile, documentId, $fields, projectsProjectDocumentsDocumentIdDeleteRequest, options) {
            return localVarFp.teamDirectoryProfilesProfileDocumentsDocumentIdPatch(profile, documentId, $fields, projectsProjectDocumentsDocumentIdDeleteRequest, options).then((request) => request(axios, basePath));
        },
        teamDirectoryProfilesProfileDocumentsDocumentIdUnarchivePatch(profile, documentId, $fields, options) {
            return localVarFp.teamDirectoryProfilesProfileDocumentsDocumentIdUnarchivePatch(profile, documentId, $fields, options).then((request) => request(axios, basePath));
        },
        teamDirectoryProfilesProfileDocumentsFoldersFolderDelete(profile, folder, options) {
            return localVarFp.teamDirectoryProfilesProfileDocumentsFoldersFolderDelete(profile, folder, options).then((request) => request(axios, basePath));
        },
        teamDirectoryProfilesProfileDocumentsFoldersFolderDocumentsGet(profile, folder, withArchived, sortBy, order, $skip, $top, $fields, options) {
            return localVarFp.teamDirectoryProfilesProfileDocumentsFoldersFolderDocumentsGet(profile, folder, withArchived, sortBy, order, $skip, $top, $fields, options).then((request) => request(axios, basePath));
        },
        teamDirectoryProfilesProfileDocumentsFoldersFolderGet(profile, folder, $fields, options) {
            return localVarFp.teamDirectoryProfilesProfileDocumentsFoldersFolderGet(profile, folder, $fields, options).then((request) => request(axios, basePath));
        },
        teamDirectoryProfilesProfileDocumentsFoldersFolderIntroductionDelete(profile, folder, options) {
            return localVarFp.teamDirectoryProfilesProfileDocumentsFoldersFolderIntroductionDelete(profile, folder, options).then((request) => request(axios, basePath));
        },
        teamDirectoryProfilesProfileDocumentsFoldersFolderIntroductionDocumentIdPatch(profile, folder, documentId, options) {
            return localVarFp.teamDirectoryProfilesProfileDocumentsFoldersFolderIntroductionDocumentIdPatch(profile, folder, documentId, options).then((request) => request(axios, basePath));
        },
        teamDirectoryProfilesProfileDocumentsFoldersFolderMovePatch(profile, folder, projectsProjectDocumentsFoldersFolderMovePatchRequest, $fields, options) {
            return localVarFp.teamDirectoryProfilesProfileDocumentsFoldersFolderMovePatch(profile, folder, projectsProjectDocumentsFoldersFolderMovePatchRequest, $fields, options).then((request) => request(axios, basePath));
        },
        teamDirectoryProfilesProfileDocumentsFoldersFolderPatch(profile, folder, chatsChannelsIsNameFreePostRequest, options) {
            return localVarFp.teamDirectoryProfilesProfileDocumentsFoldersFolderPatch(profile, folder, chatsChannelsIsNameFreePostRequest, options).then((request) => request(axios, basePath));
        },
        teamDirectoryProfilesProfileDocumentsFoldersFolderSubfoldersGet(profile, folder, withArchived, sortBy, order, $skip, $top, $fields, options) {
            return localVarFp.teamDirectoryProfilesProfileDocumentsFoldersFolderSubfoldersGet(profile, folder, withArchived, sortBy, order, $skip, $top, $fields, options).then((request) => request(axios, basePath));
        },
        teamDirectoryProfilesProfileDocumentsFoldersPost(profile, projectsProjectDocumentsFoldersPostRequest, $fields, options) {
            return localVarFp.teamDirectoryProfilesProfileDocumentsFoldersPost(profile, projectsProjectDocumentsFoldersPostRequest, $fields, options).then((request) => request(axios, basePath));
        },
        teamDirectoryProfilesProfileDocumentsPost(profile, projectsProjectDocumentsPostRequest, $fields, options) {
            return localVarFp.teamDirectoryProfilesProfileDocumentsPost(profile, projectsProjectDocumentsPostRequest, $fields, options).then((request) => request(axios, basePath));
        },
        teamDirectoryProfilesProfileGet(profile, $fields, options) {
            return localVarFp.teamDirectoryProfilesProfileGet(profile, $fields, options).then((request) => request(axios, basePath));
        },
        teamDirectoryProfilesProfileGpgKeysFingerprintDelete(profile, fingerprint, options) {
            return localVarFp.teamDirectoryProfilesProfileGpgKeysFingerprintDelete(profile, fingerprint, options).then((request) => request(axios, basePath));
        },
        teamDirectoryProfilesProfileGpgKeysFingerprintPatch(profile, fingerprint, teamDirectoryProfilesProfileGpgKeysFingerprintDeleteRequest, options) {
            return localVarFp.teamDirectoryProfilesProfileGpgKeysFingerprintPatch(profile, fingerprint, teamDirectoryProfilesProfileGpgKeysFingerprintDeleteRequest, options).then((request) => request(axios, basePath));
        },
        teamDirectoryProfilesProfileGpgKeysGet(profile, $fields, options) {
            return localVarFp.teamDirectoryProfilesProfileGpgKeysGet(profile, $fields, options).then((request) => request(axios, basePath));
        },
        teamDirectoryProfilesProfileGpgKeysPost(profile, teamDirectoryProfilesProfileGpgKeysGetRequest, $fields, options) {
            return localVarFp.teamDirectoryProfilesProfileGpgKeysPost(profile, teamDirectoryProfilesProfileGpgKeysGetRequest, $fields, options).then((request) => request(axios, basePath));
        },
        teamDirectoryProfilesProfileIsTeamMemberGet(profile, teamIds, options) {
            return localVarFp.teamDirectoryProfilesProfileIsTeamMemberGet(profile, teamIds, options).then((request) => request(axios, basePath));
        },
        teamDirectoryProfilesProfileLeadsGet(profile, $fields, options) {
            return localVarFp.teamDirectoryProfilesProfileLeadsGet(profile, $fields, options).then((request) => request(axios, basePath));
        },
        teamDirectoryProfilesProfileNavBarMenuItemsGet(profile, $fields, options) {
            return localVarFp.teamDirectoryProfilesProfileNavBarMenuItemsGet(profile, $fields, options).then((request) => request(axios, basePath));
        },
        teamDirectoryProfilesProfileNavBarMenuItemsPatch(profile, teamDirectoryProfilesProfileNavBarMenuItemsGetRequest, options) {
            return localVarFp.teamDirectoryProfilesProfileNavBarMenuItemsPatch(profile, teamDirectoryProfilesProfileNavBarMenuItemsGetRequest, options).then((request) => request(axios, basePath));
        },
        teamDirectoryProfilesProfileNavBarProjectsGet(profile, $fields, options) {
            return localVarFp.teamDirectoryProfilesProfileNavBarProjectsGet(profile, $fields, options).then((request) => request(axios, basePath));
        },
        teamDirectoryProfilesProfileNavBarProjectsPost(profile, teamDirectoryProfilesProfileNavBarProjectsGetRequest, options) {
            return localVarFp.teamDirectoryProfilesProfileNavBarProjectsPost(profile, teamDirectoryProfilesProfileNavBarProjectsGetRequest, options).then((request) => request(axios, basePath));
        },
        teamDirectoryProfilesProfileNavBarProjectsProjectDelete(profile, project, options) {
            return localVarFp.teamDirectoryProfilesProfileNavBarProjectsProjectDelete(profile, project, options).then((request) => request(axios, basePath));
        },
        teamDirectoryProfilesProfileNotificationSettingsGet(profile, $fields, options) {
            return localVarFp.teamDirectoryProfilesProfileNotificationSettingsGet(profile, $fields, options).then((request) => request(axios, basePath));
        },
        teamDirectoryProfilesProfileNotificationSettingsPatch(profile, teamDirectoryProfilesProfileNotificationSettingsGetRequest, options) {
            return localVarFp.teamDirectoryProfilesProfileNotificationSettingsPatch(profile, teamDirectoryProfilesProfileNotificationSettingsGetRequest, options).then((request) => request(axios, basePath));
        },
        teamDirectoryProfilesProfilePatch(profile, $fields, teamDirectoryProfilesProfileDeleteRequest, options) {
            return localVarFp.teamDirectoryProfilesProfilePatch(profile, $fields, teamDirectoryProfilesProfileDeleteRequest, options).then((request) => request(axios, basePath));
        },
        teamDirectoryProfilesProfilePermanentTokensCurrentDelete(profile, options) {
            return localVarFp.teamDirectoryProfilesProfilePermanentTokensCurrentDelete(profile, options).then((request) => request(axios, basePath));
        },
        teamDirectoryProfilesProfilePermanentTokensGet(profile, $skip, $top, $fields, options) {
            return localVarFp.teamDirectoryProfilesProfilePermanentTokensGet(profile, $skip, $top, $fields, options).then((request) => request(axios, basePath));
        },
        teamDirectoryProfilesProfilePermanentTokensPost(profile, applicationsApplicationPermanentTokensGetRequest, $fields, options) {
            return localVarFp.teamDirectoryProfilesProfilePermanentTokensPost(profile, applicationsApplicationPermanentTokensGetRequest, $fields, options).then((request) => request(axios, basePath));
        },
        teamDirectoryProfilesProfilePermanentTokensTokenIdDelete(profile, tokenId, options) {
            return localVarFp.teamDirectoryProfilesProfilePermanentTokensTokenIdDelete(profile, tokenId, options).then((request) => request(axios, basePath));
        },
        teamDirectoryProfilesProfilePermanentTokensTokenIdPatch(profile, tokenId, applicationsApplicationPermanentTokensTokenIdDeleteRequest, options) {
            return localVarFp.teamDirectoryProfilesProfilePermanentTokensTokenIdPatch(profile, tokenId, applicationsApplicationPermanentTokensTokenIdDeleteRequest, options).then((request) => request(axios, basePath));
        },
        teamDirectoryProfilesProfileReactivatePatch(profile, $fields, teamDirectoryProfilesProfileReactivatePatchRequest, options) {
            return localVarFp.teamDirectoryProfilesProfileReactivatePatch(profile, $fields, teamDirectoryProfilesProfileReactivatePatchRequest, options).then((request) => request(axios, basePath));
        },
        teamDirectoryProfilesProfileSettingsGet(profile, $fields, options) {
            return localVarFp.teamDirectoryProfilesProfileSettingsGet(profile, $fields, options).then((request) => request(axios, basePath));
        },
        teamDirectoryProfilesProfileSettingsPatch(profile, teamDirectoryProfilesProfileSettingsGetRequest, options) {
            return localVarFp.teamDirectoryProfilesProfileSettingsPatch(profile, teamDirectoryProfilesProfileSettingsGetRequest, options).then((request) => request(axios, basePath));
        },
        teamDirectoryProfilesProfileSpokenLanguagesGet(profile, $fields, options) {
            return localVarFp.teamDirectoryProfilesProfileSpokenLanguagesGet(profile, $fields, options).then((request) => request(axios, basePath));
        },
        teamDirectoryProfilesProfileSpokenLanguagesLanguageDelete(profile, language, options) {
            return localVarFp.teamDirectoryProfilesProfileSpokenLanguagesLanguageDelete(profile, language, options).then((request) => request(axios, basePath));
        },
        teamDirectoryProfilesProfileSpokenLanguagesPost(profile, teamDirectoryProfilesProfileSpokenLanguagesGetRequest, $fields, options) {
            return localVarFp.teamDirectoryProfilesProfileSpokenLanguagesPost(profile, teamDirectoryProfilesProfileSpokenLanguagesGetRequest, $fields, options).then((request) => request(axios, basePath));
        },
        teamDirectoryProfilesProfileSshKeysFingerprintDelete(profile, fingerprint, options) {
            return localVarFp.teamDirectoryProfilesProfileSshKeysFingerprintDelete(profile, fingerprint, options).then((request) => request(axios, basePath));
        },
        teamDirectoryProfilesProfileSshKeysGet(profile, $fields, options) {
            return localVarFp.teamDirectoryProfilesProfileSshKeysGet(profile, $fields, options).then((request) => request(axios, basePath));
        },
        teamDirectoryProfilesProfileSshKeysPost(profile, teamDirectoryProfilesProfileGpgKeysGetRequest, options) {
            return localVarFp.teamDirectoryProfilesProfileSshKeysPost(profile, teamDirectoryProfilesProfileGpgKeysGetRequest, options).then((request) => request(axios, basePath));
        },
        teamDirectoryProfilesProfileTimezoneGet(profile, $fields, options) {
            return localVarFp.teamDirectoryProfilesProfileTimezoneGet(profile, $fields, options).then((request) => request(axios, basePath));
        },
        teamDirectoryProfilesProfileWorkingDaysGet(profile, $skip, $top, $fields, options) {
            return localVarFp.teamDirectoryProfilesProfileWorkingDaysGet(profile, $skip, $top, $fields, options).then((request) => request(axios, basePath));
        },
        teamDirectoryProfilesProfileWorkingDaysPost(profile, teamDirectoryProfilesProfileWorkingDaysGetRequest, $fields, options) {
            return localVarFp.teamDirectoryProfilesProfileWorkingDaysPost(profile, teamDirectoryProfilesProfileWorkingDaysGetRequest, $fields, options).then((request) => request(axios, basePath));
        },
        teamDirectoryProfilesProfileWorkingDaysWorkingDaysIdDelete(profile, workingDaysId, options) {
            return localVarFp.teamDirectoryProfilesProfileWorkingDaysWorkingDaysIdDelete(profile, workingDaysId, options).then((request) => request(axios, basePath));
        },
        teamDirectoryProfilesProfileWorkingDaysWorkingDaysIdPatch(profile, workingDaysId, teamDirectoryProfilesProfileWorkingDaysGetRequest, $fields, options) {
            return localVarFp.teamDirectoryProfilesProfileWorkingDaysWorkingDaysIdPatch(profile, workingDaysId, teamDirectoryProfilesProfileWorkingDaysGetRequest, $fields, options).then((request) => request(axios, basePath));
        },
        teamDirectoryProfilesWorkingDaysGet($skip, $top, profiles, since, till, $fields, options) {
            return localVarFp.teamDirectoryProfilesWorkingDaysGet($skip, $top, profiles, since, till, $fields, options).then((request) => request(axios, basePath));
        },
        teamDirectoryRolesGet(query, withArchived, $fields, options) {
            return localVarFp.teamDirectoryRolesGet(query, withArchived, $fields, options).then((request) => request(axios, basePath));
        },
        teamDirectoryRolesIdDelete(id, options) {
            return localVarFp.teamDirectoryRolesIdDelete(id, options).then((request) => request(axios, basePath));
        },
        teamDirectoryRolesIdGet(id, $fields, options) {
            return localVarFp.teamDirectoryRolesIdGet(id, $fields, options).then((request) => request(axios, basePath));
        },
        teamDirectoryRolesIdPatch(id, $fields, teamDirectoryRolesIdDeleteRequest, options) {
            return localVarFp.teamDirectoryRolesIdPatch(id, $fields, teamDirectoryRolesIdDeleteRequest, options).then((request) => request(axios, basePath));
        },
        teamDirectoryRolesIdRestorePost(id, $fields, options) {
            return localVarFp.teamDirectoryRolesIdRestorePost(id, $fields, options).then((request) => request(axios, basePath));
        },
        teamDirectoryRolesPost(teamDirectoryRolesGetRequest, $fields, options) {
            return localVarFp.teamDirectoryRolesPost(teamDirectoryRolesGetRequest, $fields, options).then((request) => request(axios, basePath));
        },
        teamDirectoryStatsGet(teamId, locationId, roleId, $fields, options) {
            return localVarFp.teamDirectoryStatsGet(teamId, locationId, roleId, $fields, options).then((request) => request(axios, basePath));
        },
        teamDirectoryTeamsGet($skip, $top, query, withArchived, $fields, options) {
            return localVarFp.teamDirectoryTeamsGet($skip, $top, query, withArchived, $fields, options).then((request) => request(axios, basePath));
        },
        teamDirectoryTeamsIdCancelDisbandingPost(id, options) {
            return localVarFp.teamDirectoryTeamsIdCancelDisbandingPost(id, options).then((request) => request(axios, basePath));
        },
        teamDirectoryTeamsIdDelete(id, $fields, options) {
            return localVarFp.teamDirectoryTeamsIdDelete(id, $fields, options).then((request) => request(axios, basePath));
        },
        teamDirectoryTeamsIdDirectMembersGet(id, $skip, $top, query, $fields, options) {
            return localVarFp.teamDirectoryTeamsIdDirectMembersGet(id, $skip, $top, query, $fields, options).then((request) => request(axios, basePath));
        },
        teamDirectoryTeamsIdDisbandDelete(id, $fields, options) {
            return localVarFp.teamDirectoryTeamsIdDisbandDelete(id, $fields, options).then((request) => request(axios, basePath));
        },
        teamDirectoryTeamsIdGet(id, $fields, options) {
            return localVarFp.teamDirectoryTeamsIdGet(id, $fields, options).then((request) => request(axios, basePath));
        },
        teamDirectoryTeamsIdPatch(id, $fields, teamDirectoryTeamsIdDeleteRequest, options) {
            return localVarFp.teamDirectoryTeamsIdPatch(id, $fields, teamDirectoryTeamsIdDeleteRequest, options).then((request) => request(axios, basePath));
        },
        teamDirectoryTeamsIdRestorePost(id, $fields, options) {
            return localVarFp.teamDirectoryTeamsIdRestorePost(id, $fields, options).then((request) => request(axios, basePath));
        },
        teamDirectoryTeamsPost(teamDirectoryTeamsGetRequest, $fields, options) {
            return localVarFp.teamDirectoryTeamsPost(teamDirectoryTeamsGetRequest, $fields, options).then((request) => request(axios, basePath));
        },
        timeTrackingItemsGet(subject, $skip, $top, $fields, options) {
            return localVarFp.timeTrackingItemsGet(subject, $skip, $top, $fields, options).then((request) => request(axios, basePath));
        },
        timeTrackingItemsItemIdDelete(itemId, options) {
            return localVarFp.timeTrackingItemsItemIdDelete(itemId, options).then((request) => request(axios, basePath));
        },
        timeTrackingItemsItemIdPatch(itemId, timeTrackingItemsItemIdDeleteRequest, options) {
            return localVarFp.timeTrackingItemsItemIdPatch(itemId, timeTrackingItemsItemIdDeleteRequest, options).then((request) => request(axios, basePath));
        },
        timeTrackingItemsPost(timeTrackingItemsGetRequest, $fields, options) {
            return localVarFp.timeTrackingItemsPost(timeTrackingItemsGetRequest, $fields, options).then((request) => request(axios, basePath));
        },
        todoGet($skip, $top, open, from, till, $fields, options) {
            return localVarFp.todoGet($skip, $top, open, from, till, $fields, options).then((request) => request(axios, basePath));
        },
        todoIdDelete(id, options) {
            return localVarFp.todoIdDelete(id, options).then((request) => request(axios, basePath));
        },
        todoIdPatch(id, todoIdDeleteRequest, options) {
            return localVarFp.todoIdPatch(id, todoIdDeleteRequest, options).then((request) => request(axios, basePath));
        },
        todoPost(todoGetRequest, $fields, options) {
            return localVarFp.todoPost(todoGetRequest, $fields, options).then((request) => request(axios, basePath));
        },
        trustedCertificatesGet($fields, options) {
            return localVarFp.trustedCertificatesGet($fields, options).then((request) => request(axios, basePath));
        },
        trustedCertificatesIdDelete(id, options) {
            return localVarFp.trustedCertificatesIdDelete(id, options).then((request) => request(axios, basePath));
        },
        trustedCertificatesIdPatch(id, trustedCertificatesIdDeleteRequest, options) {
            return localVarFp.trustedCertificatesIdPatch(id, trustedCertificatesIdDeleteRequest, options).then((request) => request(axios, basePath));
        },
        trustedCertificatesInfoGet(data, $fields, options) {
            return localVarFp.trustedCertificatesInfoGet(data, $fields, options).then((request) => request(axios, basePath));
        },
        trustedCertificatesPost(trustedCertificatesGetRequest, $fields, options) {
            return localVarFp.trustedCertificatesPost(trustedCertificatesGetRequest, $fields, options).then((request) => request(axios, basePath));
        },
        unfurlsBlockUnfurlGlobalPost(unfurlsBlockUnfurlPostRequest, options) {
            return localVarFp.unfurlsBlockUnfurlGlobalPost(unfurlsBlockUnfurlPostRequest, options).then((request) => request(axios, basePath));
        },
        unfurlsBlockUnfurlPost(unfurlsBlockUnfurlPostRequest, options) {
            return localVarFp.unfurlsBlockUnfurlPost(unfurlsBlockUnfurlPostRequest, options).then((request) => request(axios, basePath));
        },
        unfurlsCheckBlockedPost(unfurlsCheckBlockedPostRequest, options) {
            return localVarFp.unfurlsCheckBlockedPost(unfurlsCheckBlockedPostRequest, options).then((request) => request(axios, basePath));
        },
        unfurlsListBlockedGet($skip, $top, $fields, options) {
            return localVarFp.unfurlsListBlockedGet($skip, $top, $fields, options).then((request) => request(axios, basePath));
        },
        unfurlsUnblockUnfurlGlobalPost(unfurlsBlockUnfurlPostRequest, options) {
            return localVarFp.unfurlsUnblockUnfurlGlobalPost(unfurlsBlockUnfurlPostRequest, options).then((request) => request(axios, basePath));
        },
        unfurlsUnblockUnfurlPost(unfurlsBlockUnfurlPostRequest, options) {
            return localVarFp.unfurlsUnblockUnfurlPost(unfurlsBlockUnfurlPostRequest, options).then((request) => request(axios, basePath));
        },
        uploadsChatPublicUrlChannelMessageAttachmentIdGet(channel, message, attachmentId, options) {
            return localVarFp.uploadsChatPublicUrlChannelMessageAttachmentIdGet(channel, message, attachmentId, options).then((request) => request(axios, basePath));
        },
        uploadsImageIdGet(id, $fields, options) {
            return localVarFp.uploadsImageIdGet(id, $fields, options).then((request) => request(axios, basePath));
        },
        uploadsPost(uploadsPostRequest, options) {
            return localVarFp.uploadsPost(uploadsPostRequest, options).then((request) => request(axios, basePath));
        },
    };
};
exports.SpaceApiFactory = SpaceApiFactory;
class SpaceApi extends base_1.BaseAPI {
    absencesAbsenceReasonsGet(withArchived, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).absencesAbsenceReasonsGet(withArchived, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    absencesAbsenceReasonsIdDelete(id, _delete, options) {
        return (0, exports.SpaceApiFp)(this.configuration).absencesAbsenceReasonsIdDelete(id, _delete, options).then((request) => request(this.axios, this.basePath));
    }
    absencesAbsenceReasonsIdGet(id, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).absencesAbsenceReasonsIdGet(id, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    absencesAbsenceReasonsIdPatch(id, absencesAbsenceReasonsGetRequest, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).absencesAbsenceReasonsIdPatch(id, absencesAbsenceReasonsGetRequest, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    absencesAbsenceReasonsPost(absencesAbsenceReasonsGetRequest, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).absencesAbsenceReasonsPost(absencesAbsenceReasonsGetRequest, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    absencesGet($skip, $top, member, members, location, team, since, till, viewMode, reason, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).absencesGet($skip, $top, member, members, location, team, since, till, viewMode, reason, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    absencesIdApprovePost(id, absencesIdApprovePostRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).absencesIdApprovePost(id, absencesIdApprovePostRequest, options).then((request) => request(this.axios, this.basePath));
    }
    absencesIdDelete(id, _delete, options) {
        return (0, exports.SpaceApiFp)(this.configuration).absencesIdDelete(id, _delete, options).then((request) => request(this.axios, this.basePath));
    }
    absencesIdDeleteApprovalDelete(id, options) {
        return (0, exports.SpaceApiFp)(this.configuration).absencesIdDeleteApprovalDelete(id, options).then((request) => request(this.axios, this.basePath));
    }
    absencesIdGet(id, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).absencesIdGet(id, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    absencesIdPatch(id, absencesIdDeleteRequest, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).absencesIdPatch(id, absencesIdDeleteRequest, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    absencesMembermemberGet(member, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).absencesMembermemberGet(member, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    absencesPost(absencesGetRequest, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).absencesPost(absencesGetRequest, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    administrationSupportPost($fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).administrationSupportPost($fields, options).then((request) => request(this.axios, this.basePath));
    }
    administrationUserAgreementEnabledGet(options) {
        return (0, exports.SpaceApiFp)(this.configuration).administrationUserAgreementEnabledGet(options).then((request) => request(this.axios, this.basePath));
    }
    administrationUserAgreementEnabledPost(administrationUserAgreementEnabledGetRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).administrationUserAgreementEnabledPost(administrationUserAgreementEnabledGetRequest, options).then((request) => request(this.axios, this.basePath));
    }
    administrationUserAgreementGet($fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).administrationUserAgreementGet($fields, options).then((request) => request(this.axios, this.basePath));
    }
    administrationUserAgreementPatch(administrationUserAgreementGetRequest, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).administrationUserAgreementPatch(administrationUserAgreementGetRequest, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    administrationUserAgreementStatusGet($skip, $top, query, accepted, activeProfilesOnly, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).administrationUserAgreementStatusGet($skip, $top, query, accepted, activeProfilesOnly, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    administrationUserAgreementStatusProfileGet(profile, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).administrationUserAgreementStatusProfileGet(profile, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    applicationsApplicationAuthorizationsAuthorizedContextsGet(application, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).applicationsApplicationAuthorizationsAuthorizedContextsGet(application, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    applicationsApplicationAuthorizationsAuthorizedRightsDelete(application, contextIdentifier, options) {
        return (0, exports.SpaceApiFp)(this.configuration).applicationsApplicationAuthorizationsAuthorizedRightsDelete(application, contextIdentifier, options).then((request) => request(this.axios, this.basePath));
    }
    applicationsApplicationAuthorizationsAuthorizedRightsGet(application, contextIdentifier, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).applicationsApplicationAuthorizationsAuthorizedRightsGet(application, contextIdentifier, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    applicationsApplicationAuthorizationsAuthorizedRightsPatch(application, applicationsApplicationAuthorizationsAuthorizedRightsDeleteRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).applicationsApplicationAuthorizationsAuthorizedRightsPatch(application, applicationsApplicationAuthorizationsAuthorizedRightsDeleteRequest, options).then((request) => request(this.axios, this.basePath));
    }
    applicationsApplicationAuthorizationsAuthorizedRightsRequestRightsPatch(application, applicationsApplicationAuthorizationsAuthorizedRightsRequestRightsPatchRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).applicationsApplicationAuthorizationsAuthorizedRightsRequestRightsPatch(application, applicationsApplicationAuthorizationsAuthorizedRightsRequestRightsPatchRequest, options).then((request) => request(this.axios, this.basePath));
    }
    applicationsApplicationAuthorizationsRequiredRightsGet(application, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).applicationsApplicationAuthorizationsRequiredRightsGet(application, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    applicationsApplicationAuthorizationsRequiredRightsPatch(application, applicationsApplicationAuthorizationsRequiredRightsGetRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).applicationsApplicationAuthorizationsRequiredRightsPatch(application, applicationsApplicationAuthorizationsRequiredRightsGetRequest, options).then((request) => request(this.axios, this.basePath));
    }
    applicationsApplicationBearerTokenGet(application, options) {
        return (0, exports.SpaceApiFp)(this.configuration).applicationsApplicationBearerTokenGet(application, options).then((request) => request(this.axios, this.basePath));
    }
    applicationsApplicationClientSecretGet(application, options) {
        return (0, exports.SpaceApiFp)(this.configuration).applicationsApplicationClientSecretGet(application, options).then((request) => request(this.axios, this.basePath));
    }
    applicationsApplicationClientSecretRegeneratePost(application, options) {
        return (0, exports.SpaceApiFp)(this.configuration).applicationsApplicationClientSecretRegeneratePost(application, options).then((request) => request(this.axios, this.basePath));
    }
    applicationsApplicationDelete(application, options) {
        return (0, exports.SpaceApiFp)(this.configuration).applicationsApplicationDelete(application, options).then((request) => request(this.axios, this.basePath));
    }
    applicationsApplicationForceRemovePost(application, options) {
        return (0, exports.SpaceApiFp)(this.configuration).applicationsApplicationForceRemovePost(application, options).then((request) => request(this.axios, this.basePath));
    }
    applicationsApplicationGet(application, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).applicationsApplicationGet(application, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    applicationsApplicationLastClientCredentialsAccessGet(application, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).applicationsApplicationLastClientCredentialsAccessGet(application, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    applicationsApplicationPatch(application, $fields, applicationsApplicationDeleteRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).applicationsApplicationPatch(application, $fields, applicationsApplicationDeleteRequest, options).then((request) => request(this.axios, this.basePath));
    }
    applicationsApplicationPermanentTokensCurrentDelete(application, options) {
        return (0, exports.SpaceApiFp)(this.configuration).applicationsApplicationPermanentTokensCurrentDelete(application, options).then((request) => request(this.axios, this.basePath));
    }
    applicationsApplicationPermanentTokensGet(application, $skip, $top, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).applicationsApplicationPermanentTokensGet(application, $skip, $top, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    applicationsApplicationPermanentTokensPost(application, applicationsApplicationPermanentTokensGetRequest, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).applicationsApplicationPermanentTokensPost(application, applicationsApplicationPermanentTokensGetRequest, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    applicationsApplicationPermanentTokensTokenIdDelete(application, tokenId, options) {
        return (0, exports.SpaceApiFp)(this.configuration).applicationsApplicationPermanentTokensTokenIdDelete(application, tokenId, options).then((request) => request(this.axios, this.basePath));
    }
    applicationsApplicationPermanentTokensTokenIdPatch(application, tokenId, applicationsApplicationPermanentTokensTokenIdDeleteRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).applicationsApplicationPermanentTokensTokenIdPatch(application, tokenId, applicationsApplicationPermanentTokensTokenIdDeleteRequest, options).then((request) => request(this.axios, this.basePath));
    }
    applicationsApplicationPublicKeysGet(application, options) {
        return (0, exports.SpaceApiFp)(this.configuration).applicationsApplicationPublicKeysGet(application, options).then((request) => request(this.axios, this.basePath));
    }
    applicationsApplicationRestorePost(application, options) {
        return (0, exports.SpaceApiFp)(this.configuration).applicationsApplicationRestorePost(application, options).then((request) => request(this.axios, this.basePath));
    }
    applicationsApplicationSigningKeyGet(application, options) {
        return (0, exports.SpaceApiFp)(this.configuration).applicationsApplicationSigningKeyGet(application, options).then((request) => request(this.axios, this.basePath));
    }
    applicationsApplicationSigningKeyRegeneratePost(application, options) {
        return (0, exports.SpaceApiFp)(this.configuration).applicationsApplicationSigningKeyRegeneratePost(application, options).then((request) => request(this.axios, this.basePath));
    }
    applicationsApplicationSshKeysFingerprintDelete(application, fingerprint, options) {
        return (0, exports.SpaceApiFp)(this.configuration).applicationsApplicationSshKeysFingerprintDelete(application, fingerprint, options).then((request) => request(this.axios, this.basePath));
    }
    applicationsApplicationSshKeysGet(application, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).applicationsApplicationSshKeysGet(application, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    applicationsApplicationSshKeysPost(application, applicationsApplicationSshKeysGetRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).applicationsApplicationSshKeysPost(application, applicationsApplicationSshKeysGetRequest, options).then((request) => request(this.axios, this.basePath));
    }
    applicationsApplicationUiExtensionsDisableForEverybodyPatch(application, applicationsApplicationUiExtensionsDisableForEverybodyPatchRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).applicationsApplicationUiExtensionsDisableForEverybodyPatch(application, applicationsApplicationUiExtensionsDisableForEverybodyPatchRequest, options).then((request) => request(this.axios, this.basePath));
    }
    applicationsApplicationUiExtensionsDisableForMePatch(application, applicationsApplicationUiExtensionsDisableForEverybodyPatchRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).applicationsApplicationUiExtensionsDisableForMePatch(application, applicationsApplicationUiExtensionsDisableForEverybodyPatchRequest, options).then((request) => request(this.axios, this.basePath));
    }
    applicationsApplicationUiExtensionsEnableForEverybodyPatch(application, applicationsApplicationUiExtensionsDisableForEverybodyPatchRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).applicationsApplicationUiExtensionsEnableForEverybodyPatch(application, applicationsApplicationUiExtensionsDisableForEverybodyPatchRequest, options).then((request) => request(this.axios, this.basePath));
    }
    applicationsApplicationUiExtensionsEnableForMePatch(application, applicationsApplicationUiExtensionsDisableForEverybodyPatchRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).applicationsApplicationUiExtensionsEnableForMePatch(application, applicationsApplicationUiExtensionsDisableForEverybodyPatchRequest, options).then((request) => request(this.axios, this.basePath));
    }
    applicationsApplicationUiExtensionsGet(application, contextIdentifier, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).applicationsApplicationUiExtensionsGet(application, contextIdentifier, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    applicationsApplicationUnfurlDomainsAuthorizePost(application, applicationsApplicationUnfurlDomainsAuthorizePostRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).applicationsApplicationUnfurlDomainsAuthorizePost(application, applicationsApplicationUnfurlDomainsAuthorizePostRequest, options).then((request) => request(this.axios, this.basePath));
    }
    applicationsApplicationUnfurlDomainsGet(application, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).applicationsApplicationUnfurlDomainsGet(application, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    applicationsApplicationUnfurlPatternsAuthorizePost(application, applicationsApplicationUnfurlPatternsAuthorizePostRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).applicationsApplicationUnfurlPatternsAuthorizePost(application, applicationsApplicationUnfurlPatternsAuthorizePostRequest, options).then((request) => request(this.axios, this.basePath));
    }
    applicationsApplicationUnfurlPatternsGet(application, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).applicationsApplicationUnfurlPatternsGet(application, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    applicationsApplicationVerificationTokenGet(application, options) {
        return (0, exports.SpaceApiFp)(this.configuration).applicationsApplicationVerificationTokenGet(application, options).then((request) => request(this.axios, this.basePath));
    }
    applicationsApplicationVerificationTokenRegeneratePost(application, options) {
        return (0, exports.SpaceApiFp)(this.configuration).applicationsApplicationVerificationTokenRegeneratePost(application, options).then((request) => request(this.axios, this.basePath));
    }
    applicationsApplicationWebhooksGet(application, withArchived, query, $skip, $top, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).applicationsApplicationWebhooksGet(application, withArchived, query, $skip, $top, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    applicationsApplicationWebhooksPost(application, applicationsApplicationWebhooksGetRequest, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).applicationsApplicationWebhooksPost(application, applicationsApplicationWebhooksGetRequest, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    applicationsApplicationWebhooksWebhookIdBearerTokenGet(application, webhookId, options) {
        return (0, exports.SpaceApiFp)(this.configuration).applicationsApplicationWebhooksWebhookIdBearerTokenGet(application, webhookId, options).then((request) => request(this.axios, this.basePath));
    }
    applicationsApplicationWebhooksWebhookIdCustomHeadersGet(application, webhookId, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).applicationsApplicationWebhooksWebhookIdCustomHeadersGet(application, webhookId, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    applicationsApplicationWebhooksWebhookIdCustomHeadersPost(application, webhookId, applicationsApplicationWebhooksWebhookIdCustomHeadersGetRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).applicationsApplicationWebhooksWebhookIdCustomHeadersPost(application, webhookId, applicationsApplicationWebhooksWebhookIdCustomHeadersGetRequest, options).then((request) => request(this.axios, this.basePath));
    }
    applicationsApplicationWebhooksWebhookIdDelete(application, webhookId, options) {
        return (0, exports.SpaceApiFp)(this.configuration).applicationsApplicationWebhooksWebhookIdDelete(application, webhookId, options).then((request) => request(this.axios, this.basePath));
    }
    applicationsApplicationWebhooksWebhookIdPatch(application, webhookId, applicationsApplicationWebhooksWebhookIdDeleteRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).applicationsApplicationWebhooksWebhookIdPatch(application, webhookId, applicationsApplicationWebhooksWebhookIdDeleteRequest, options).then((request) => request(this.axios, this.basePath));
    }
    applicationsApplicationWebhooksWebhookIdPost(application, webhookId, options) {
        return (0, exports.SpaceApiFp)(this.configuration).applicationsApplicationWebhooksWebhookIdPost(application, webhookId, options).then((request) => request(this.axios, this.basePath));
    }
    applicationsApplicationWebhooksWebhookIdSigningKeyGet(application, webhookId, options) {
        return (0, exports.SpaceApiFp)(this.configuration).applicationsApplicationWebhooksWebhookIdSigningKeyGet(application, webhookId, options).then((request) => request(this.axios, this.basePath));
    }
    applicationsApplicationWebhooksWebhookIdSigningKeyRegeneratePost(application, webhookId, options) {
        return (0, exports.SpaceApiFp)(this.configuration).applicationsApplicationWebhooksWebhookIdSigningKeyRegeneratePost(application, webhookId, options).then((request) => request(this.axios, this.basePath));
    }
    applicationsApplicationWebhooksWebhookIdSubscriptionsGet(application, webhookId, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).applicationsApplicationWebhooksWebhookIdSubscriptionsGet(application, webhookId, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    applicationsApplicationWebhooksWebhookIdSubscriptionsPost(application, webhookId, applicationsApplicationWebhooksWebhookIdSubscriptionsGetRequest, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).applicationsApplicationWebhooksWebhookIdSubscriptionsPost(application, webhookId, applicationsApplicationWebhooksWebhookIdSubscriptionsGetRequest, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    applicationsApplicationWebhooksWebhookIdSubscriptionsSubscriptionIdDelete(application, webhookId, subscriptionId, options) {
        return (0, exports.SpaceApiFp)(this.configuration).applicationsApplicationWebhooksWebhookIdSubscriptionsSubscriptionIdDelete(application, webhookId, subscriptionId, options).then((request) => request(this.axios, this.basePath));
    }
    applicationsApplicationWebhooksWebhookIdSubscriptionsSubscriptionIdPatch(application, webhookId, subscriptionId, $fields, applicationsApplicationWebhooksWebhookIdSubscriptionsSubscriptionIdDeleteRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).applicationsApplicationWebhooksWebhookIdSubscriptionsSubscriptionIdPatch(application, webhookId, subscriptionId, $fields, applicationsApplicationWebhooksWebhookIdSubscriptionsSubscriptionIdDeleteRequest, options).then((request) => request(this.axios, this.basePath));
    }
    applicationsApplicationWebhooksWebhookIdSubscriptionsSubscriptionIdRequestMissingRightsPost(application, webhookId, subscriptionId, options) {
        return (0, exports.SpaceApiFp)(this.configuration).applicationsApplicationWebhooksWebhookIdSubscriptionsSubscriptionIdRequestMissingRightsPost(application, webhookId, subscriptionId, options).then((request) => request(this.axios, this.basePath));
    }
    applicationsAuthorizationsAuthorizedApplicationsGet(contextIdentifier, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).applicationsAuthorizationsAuthorizedApplicationsGet(contextIdentifier, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    applicationsPagedGet($skip, $top, name, owner, withArchived, withManaged, ordering, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).applicationsPagedGet($skip, $top, name, owner, withArchived, withManaged, ordering, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    applicationsPost(applicationsPostRequest, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).applicationsPost(applicationsPostRequest, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    applicationsUiExtensionsPatch(applicationsUiExtensionsPatchRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).applicationsUiExtensionsPatch(applicationsUiExtensionsPatchRequest, options).then((request) => request(this.axios, this.basePath));
    }
    applicationsUnfurlsDomainsPatch(applicationsUnfurlsDomainsPatchRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).applicationsUnfurlsDomainsPatch(applicationsUnfurlsDomainsPatchRequest, options).then((request) => request(this.axios, this.basePath));
    }
    applicationsUnfurlsPatternsPatch(applicationsUnfurlsPatternsPatchRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).applicationsUnfurlsPatternsPatch(applicationsUnfurlsPatternsPatchRequest, options).then((request) => request(this.axios, this.basePath));
    }
    applicationsUnfurlsQueueContentPost(applicationsUnfurlsQueueContentPostRequest, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).applicationsUnfurlsQueueContentPost(applicationsUnfurlsQueueContentPostRequest, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    applicationsUnfurlsQueueGet(batchSize, fromEtag, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).applicationsUnfurlsQueueGet(batchSize, fromEtag, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    applicationsUnfurlsQueueRequestExternalAuthPost(applicationsUnfurlsQueueRequestExternalAuthPostRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).applicationsUnfurlsQueueRequestExternalAuthPost(applicationsUnfurlsQueueRequestExternalAuthPostRequest, options).then((request) => request(this.axios, this.basePath));
    }
    applicationsUnfurlsQueueResetExternalAuthRequestsPost(applicationsUnfurlsQueueResetExternalAuthRequestsPostRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).applicationsUnfurlsQueueResetExternalAuthRequestsPost(applicationsUnfurlsQueueResetExternalAuthRequestsPostRequest, options).then((request) => request(this.axios, this.basePath));
    }
    authModulesConfigDelete($fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).authModulesConfigDelete($fields, options).then((request) => request(this.axios, this.basePath));
    }
    authModulesConfigGet($fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).authModulesConfigGet($fields, options).then((request) => request(this.axios, this.basePath));
    }
    authModulesConfigPut(authModulesConfigDeleteRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).authModulesConfigPut(authModulesConfigDeleteRequest, options).then((request) => request(this.axios, this.basePath));
    }
    authModulesDiscoverOidcGet(discoveryEndpoint, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).authModulesDiscoverOidcGet(discoveryEndpoint, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    authModulesGet(withDisabled, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).authModulesGet(withDisabled, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    authModulesIdDelete(id, options) {
        return (0, exports.SpaceApiFp)(this.configuration).authModulesIdDelete(id, options).then((request) => request(this.axios, this.basePath));
    }
    authModulesIdLoginsIdentifierChangePost(id, identifier, authModulesIdLoginsIdentifierChangePostRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).authModulesIdLoginsIdentifierChangePost(id, identifier, authModulesIdLoginsIdentifierChangePostRequest, options).then((request) => request(this.axios, this.basePath));
    }
    authModulesIdLoginsIdentifierDelete(identifier, id, options) {
        return (0, exports.SpaceApiFp)(this.configuration).authModulesIdLoginsIdentifierDelete(identifier, id, options).then((request) => request(this.axios, this.basePath));
    }
    authModulesIdLoginsIdentifierResetPost(id, identifier, options) {
        return (0, exports.SpaceApiFp)(this.configuration).authModulesIdLoginsIdentifierResetPost(id, identifier, options).then((request) => request(this.axios, this.basePath));
    }
    authModulesIdPatch(id, authModulesIdDeleteRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).authModulesIdPatch(id, authModulesIdDeleteRequest, options).then((request) => request(this.axios, this.basePath));
    }
    authModulesIdSamlMetadataPost(id, authModulesIdSamlMetadataPostRequest, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).authModulesIdSamlMetadataPost(id, authModulesIdSamlMetadataPostRequest, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    authModulesKeykeyGet(key, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).authModulesKeykeyGet(key, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    authModulesPost(authModulesGetRequest, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).authModulesPost(authModulesGetRequest, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    authModulesReorderPost(authModulesReorderPostRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).authModulesReorderPost(authModulesReorderPostRequest, options).then((request) => request(this.axios, this.basePath));
    }
    authModulesTestBuiltInPost(authModulesTestBuiltInPostRequest, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).authModulesTestBuiltInPost(authModulesTestBuiltInPostRequest, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    authModulesTestLdapPost(authModulesTestLdapPostRequest, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).authModulesTestLdapPost(authModulesTestLdapPostRequest, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    authModulesThrottledLoginsDelete(logins, options) {
        return (0, exports.SpaceApiFp)(this.configuration).authModulesThrottledLoginsDelete(logins, options).then((request) => request(this.axios, this.basePath));
    }
    authModulesThrottledLoginsGet($skip, $top, login, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).authModulesThrottledLoginsGet($skip, $top, login, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    authModulesThrottledLoginsOrgStatusDelete(options) {
        return (0, exports.SpaceApiFp)(this.configuration).authModulesThrottledLoginsOrgStatusDelete(options).then((request) => request(this.axios, this.basePath));
    }
    authModulesThrottledLoginsOrgStatusGet($fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).authModulesThrottledLoginsOrgStatusGet($fields, options).then((request) => request(this.axios, this.basePath));
    }
    authModulesUsagesGet($fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).authModulesUsagesGet($fields, options).then((request) => request(this.axios, this.basePath));
    }
    billingAdminOverdraftsGet($fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).billingAdminOverdraftsGet($fields, options).then((request) => request(this.axios, this.basePath));
    }
    billingAdminOverdraftsPut(billingAdminOverdraftsGetRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).billingAdminOverdraftsPut(billingAdminOverdraftsGetRequest, options).then((request) => request(this.axios, this.basePath));
    }
    billingAdminReportsBillingPeriodGet(billingPeriod, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).billingAdminReportsBillingPeriodGet(billingPeriod, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    billingAdminReportsTodayGet(date, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).billingAdminReportsTodayGet(date, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    billingAdminTrialPut(billingAdminTrialPutRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).billingAdminTrialPut(billingAdminTrialPutRequest, options).then((request) => request(this.axios, this.basePath));
    }
    blogAliasaliasGet(alias, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).blogAliasaliasGet(alias, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    blogExternalIdidGet(id, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).blogExternalIdidGet(id, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    blogGet($skip, $top, term, dateFrom, dateTo, authorId, teamId, locationId, forProfile, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).blogGet($skip, $top, term, dateFrom, dateTo, authorId, teamId, locationId, forProfile, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    blogIdDelete(id, options) {
        return (0, exports.SpaceApiFp)(this.configuration).blogIdDelete(id, options).then((request) => request(this.axios, this.basePath));
    }
    blogIdGet(id, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).blogIdGet(id, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    blogIdPatch(id, $fields, blogIdDeleteRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).blogIdPatch(id, $fields, blogIdDeleteRequest, options).then((request) => request(this.axios, this.basePath));
    }
    blogImportPost(blogImportPostRequest, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).blogImportPost(blogImportPostRequest, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    blogPost(blogGetRequest, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).blogPost(blogGetRequest, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    blogStatsGet(dateFrom, dateTo, authorId, teamId, locationId, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).blogStatsGet(dateFrom, dateTo, authorId, teamId, locationId, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    calendarsAbsenceEventsGet(dateFrom, dateTo, team, location, role, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).calendarsAbsenceEventsGet(dateFrom, dateTo, team, location, role, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    calendarsBirthdayEventsGet(dateFrom, dateTo, team, location, role, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).calendarsBirthdayEventsGet(dateFrom, dateTo, team, location, role, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    calendarsBirthdayEventsStarredGet(dateFrom, dateTo, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).calendarsBirthdayEventsStarredGet(dateFrom, dateTo, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    calendarsEventParticipationsIdPatch(id, calendarsEventParticipationsIdPatchRequest, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).calendarsEventParticipationsIdPatch(id, calendarsEventParticipationsIdPatchRequest, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    calendarsEventsGet(dateFrom, dateTo, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).calendarsEventsGet(dateFrom, dateTo, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    calendarsEventsIdGet(id, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).calendarsEventsIdGet(id, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    calendarsHolidaysGet(startDate, endDate, team, location, role, workingDays, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).calendarsHolidaysGet(startDate, endDate, team, location, role, workingDays, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    calendarsMeetingsGet($skip, $top, summaryQuery, locationsQuery, startingAfter, endingAfter, endingBefore, startingBefore, profiles, teams, organizer, includePrivate, includeArchived, includeMeetingInstances, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).calendarsMeetingsGet($skip, $top, summaryQuery, locationsQuery, startingAfter, endingAfter, endingBefore, startingBefore, profiles, teams, organizer, includePrivate, includeArchived, includeMeetingInstances, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    calendarsMeetingsIdConferenceRoomsDelete(id, roomId, dateTime, options) {
        return (0, exports.SpaceApiFp)(this.configuration).calendarsMeetingsIdConferenceRoomsDelete(id, roomId, dateTime, options).then((request) => request(this.axios, this.basePath));
    }
    calendarsMeetingsIdConferenceRoomsPost(id, calendarsMeetingsIdConferenceRoomsDeleteRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).calendarsMeetingsIdConferenceRoomsPost(id, calendarsMeetingsIdConferenceRoomsDeleteRequest, options).then((request) => request(this.axios, this.basePath));
    }
    calendarsMeetingsIdDelete(id, targetDate, modificationKind, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).calendarsMeetingsIdDelete(id, targetDate, modificationKind, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    calendarsMeetingsIdGet(id, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).calendarsMeetingsIdGet(id, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    calendarsMeetingsIdParticipationStatusPatch(id, calendarsMeetingsIdParticipationStatusPatchRequest, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).calendarsMeetingsIdParticipationStatusPatch(id, calendarsMeetingsIdParticipationStatusPatchRequest, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    calendarsMeetingsIdPatch(id, $fields, calendarsMeetingsIdDeleteRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).calendarsMeetingsIdPatch(id, $fields, calendarsMeetingsIdDeleteRequest, options).then((request) => request(this.axios, this.basePath));
    }
    calendarsMeetingsNextOccurrenceGet(meetingId, since, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).calendarsMeetingsNextOccurrenceGet(meetingId, since, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    calendarsMeetingsOccurrencesByMeetingGet(meetingIds, since, until, limit, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).calendarsMeetingsOccurrencesByMeetingGet(meetingIds, since, until, limit, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    calendarsMeetingsOccurrencesGet(meetingId, since, until, limit, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).calendarsMeetingsOccurrencesGet(meetingId, since, until, limit, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    calendarsMeetingsParticipationStatusesExternalGet(id, emails, options) {
        return (0, exports.SpaceApiFp)(this.configuration).calendarsMeetingsParticipationStatusesExternalGet(id, emails, options).then((request) => request(this.axios, this.basePath));
    }
    calendarsMeetingsParticipationStatusesGet(id, profileIds, options) {
        return (0, exports.SpaceApiFp)(this.configuration).calendarsMeetingsParticipationStatusesGet(id, profileIds, options).then((request) => request(this.axios, this.basePath));
    }
    calendarsMeetingsPost(calendarsMeetingsGetRequest, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).calendarsMeetingsPost(calendarsMeetingsGetRequest, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    calendarsMeetingsProfileParticipationGet(profileId, events, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).calendarsMeetingsProfileParticipationGet(profileId, events, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    calendarsMeetingsProfileParticipationRecordsGet(profileId, events, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).calendarsMeetingsProfileParticipationRecordsGet(profileId, events, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    calendarsMembershipEventsGet(dateFrom, dateTo, team, location, role, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).calendarsMembershipEventsGet(dateFrom, dateTo, team, location, role, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    calendarsNonWorkingDaysEventsGet(dateFrom, dateTo, member, team, location, role, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).calendarsNonWorkingDaysEventsGet(dateFrom, dateTo, member, team, location, role, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    callsPost(callsPostRequest, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).callsPost(callsPostRequest, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    chatsChannelsAllChannelsGet(query, $skip, $top, quickFilter, sortColumn, sortOrder, publicOnly, withArchived, subscriber, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).chatsChannelsAllChannelsGet(query, $skip, $top, quickFilter, sortColumn, sortOrder, publicOnly, withArchived, subscriber, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    chatsChannelsChannelAdministratorGet(channel, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).chatsChannelsChannelAdministratorGet(channel, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    chatsChannelsChannelAdministratorPatch(channel, chatsChannelsChannelAdministratorGetRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).chatsChannelsChannelAdministratorPatch(channel, chatsChannelsChannelAdministratorGetRequest, options).then((request) => request(this.axios, this.basePath));
    }
    chatsChannelsChannelArchiveDelete(channel, options) {
        return (0, exports.SpaceApiFp)(this.configuration).chatsChannelsChannelArchiveDelete(channel, options).then((request) => request(this.axios, this.basePath));
    }
    chatsChannelsChannelAttachmentsFilesGet(channel, $skip, $top, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).chatsChannelsChannelAttachmentsFilesGet(channel, $skip, $top, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    chatsChannelsChannelAttachmentsGet(channel, $skip, $top, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).chatsChannelsChannelAttachmentsGet(channel, $skip, $top, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    chatsChannelsChannelAttachmentsImagesGet(channel, $skip, $top, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).chatsChannelsChannelAttachmentsImagesGet(channel, $skip, $top, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    chatsChannelsChannelAttachmentsLinksGet(channel, $skip, $top, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).chatsChannelsChannelAttachmentsLinksGet(channel, $skip, $top, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    chatsChannelsChannelAttachmentsVideosGet(channel, $skip, $top, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).chatsChannelsChannelAttachmentsVideosGet(channel, $skip, $top, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    chatsChannelsChannelDelete(channel, options) {
        return (0, exports.SpaceApiFp)(this.configuration).chatsChannelsChannelDelete(channel, options).then((request) => request(this.axios, this.basePath));
    }
    chatsChannelsChannelDescriptionPatch(channel, chatsChannelsChannelDescriptionPatchRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).chatsChannelsChannelDescriptionPatch(channel, chatsChannelsChannelDescriptionPatchRequest, options).then((request) => request(this.axios, this.basePath));
    }
    chatsChannelsChannelGet(channel, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).chatsChannelsChannelGet(channel, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    chatsChannelsChannelIconPatch(channel, chatsChannelsChannelIconPatchRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).chatsChannelsChannelIconPatch(channel, chatsChannelsChannelIconPatchRequest, options).then((request) => request(this.axios, this.basePath));
    }
    chatsChannelsChannelNamePatch(channel, chatsChannelsIsNameFreePostRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).chatsChannelsChannelNamePatch(channel, chatsChannelsIsNameFreePostRequest, options).then((request) => request(this.axios, this.basePath));
    }
    chatsChannelsChannelRestoreArchivedPost(channel, options) {
        return (0, exports.SpaceApiFp)(this.configuration).chatsChannelsChannelRestoreArchivedPost(channel, options).then((request) => request(this.axios, this.basePath));
    }
    chatsChannelsChannelSubscribersTeamsDelete(channel, teams, options) {
        return (0, exports.SpaceApiFp)(this.configuration).chatsChannelsChannelSubscribersTeamsDelete(channel, teams, options).then((request) => request(this.axios, this.basePath));
    }
    chatsChannelsChannelSubscribersTeamsGet(channel, query, $skip, $top, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).chatsChannelsChannelSubscribersTeamsGet(channel, query, $skip, $top, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    chatsChannelsChannelSubscribersTeamsPost(channel, chatsChannelsChannelSubscribersTeamsDeleteRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).chatsChannelsChannelSubscribersTeamsPost(channel, chatsChannelsChannelSubscribersTeamsDeleteRequest, options).then((request) => request(this.axios, this.basePath));
    }
    chatsChannelsChannelSubscribersUsersDelete(channel, profiles, options) {
        return (0, exports.SpaceApiFp)(this.configuration).chatsChannelsChannelSubscribersUsersDelete(channel, profiles, options).then((request) => request(this.axios, this.basePath));
    }
    chatsChannelsChannelSubscribersUsersGet(channel, query, $skip, $top, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).chatsChannelsChannelSubscribersUsersGet(channel, query, $skip, $top, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    chatsChannelsChannelSubscribersUsersPost(channel, chatsChannelsChannelSubscribersUsersDeleteRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).chatsChannelsChannelSubscribersUsersPost(channel, chatsChannelsChannelSubscribersUsersDeleteRequest, options).then((request) => request(this.axios, this.basePath));
    }
    chatsChannelsConversationsChannelConvertPost(channel, chatsChannelsConversationsChannelConvertPostRequest, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).chatsChannelsConversationsChannelConvertPost(channel, chatsChannelsConversationsChannelConvertPostRequest, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    chatsChannelsConversationsChannelSubjectPatch(channel, chatsChannelsConversationsChannelSubjectPatchRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).chatsChannelsConversationsChannelSubjectPatch(channel, chatsChannelsConversationsChannelSubjectPatchRequest, options).then((request) => request(this.axios, this.basePath));
    }
    chatsChannelsConversationsPost(chatsChannelsConversationsPostRequest, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).chatsChannelsConversationsPost(chatsChannelsConversationsPostRequest, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    chatsChannelsDmPost(chatsChannelsDmPostRequest, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).chatsChannelsDmPost(chatsChannelsDmPostRequest, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    chatsChannelsIsNameFreePost(chatsChannelsIsNameFreePostRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).chatsChannelsIsNameFreePost(chatsChannelsIsNameFreePostRequest, options).then((request) => request(this.axios, this.basePath));
    }
    chatsChannelsPost(chatsChannelsPostRequest, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).chatsChannelsPost(chatsChannelsPostRequest, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    chatsMessagesDeleteMessagePost(chatsMessagesDeleteMessagePostRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).chatsMessagesDeleteMessagePost(chatsMessagesDeleteMessagePostRequest, options).then((request) => request(this.axios, this.basePath));
    }
    chatsMessagesEditMessagePost(chatsMessagesEditMessagePostRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).chatsMessagesEditMessagePost(chatsMessagesEditMessagePostRequest, options).then((request) => request(this.axios, this.basePath));
    }
    chatsMessagesGet(channel, sorting, batchSize, startFromDate, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).chatsMessagesGet(channel, sorting, batchSize, startFromDate, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    chatsMessagesImportPost(chatsMessagesImportPostRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).chatsMessagesImportPost(chatsMessagesImportPostRequest, options).then((request) => request(this.axios, this.basePath));
    }
    chatsMessagesMessageGet(message, channel, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).chatsMessagesMessageGet(message, channel, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    chatsMessagesPinPatch(chatsMessagesPinPatchRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).chatsMessagesPinPatch(chatsMessagesPinPatchRequest, options).then((request) => request(this.axios, this.basePath));
    }
    chatsMessagesPinnedMessagesGet(channel, $skip, $top, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).chatsMessagesPinnedMessagesGet(channel, $skip, $top, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    chatsMessagesSendMessagePost(chatsMessagesSendMessagePostRequest, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).chatsMessagesSendMessagePost(chatsMessagesSendMessagePostRequest, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    chatsMessagesSendPost(chatsMessagesSendPostRequest, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).chatsMessagesSendPost(chatsMessagesSendPostRequest, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    chatsMessagesUnpinPatch(chatsMessagesPinPatchRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).chatsMessagesUnpinPatch(chatsMessagesPinPatchRequest, options).then((request) => request(this.axios, this.basePath));
    }
    checklistsChecklistItemsPlanItemDelete(checklist, planItem, options) {
        return (0, exports.SpaceApiFp)(this.configuration).checklistsChecklistItemsPlanItemDelete(checklist, planItem, options).then((request) => request(this.axios, this.basePath));
    }
    checklistsChecklistItemsPlanItemGet(checklist, planItem, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).checklistsChecklistItemsPlanItemGet(checklist, planItem, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    checklistsChecklistItemsPlanItemMovePost(checklist, planItem, checklistsChecklistItemsPlanItemMovePostRequest, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).checklistsChecklistItemsPlanItemMovePost(checklist, planItem, checklistsChecklistItemsPlanItemMovePostRequest, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    checklistsChecklistItemsPlanItemPatch(checklist, planItem, $fields, checklistsChecklistItemsPlanItemDeleteRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).checklistsChecklistItemsPlanItemPatch(checklist, planItem, $fields, checklistsChecklistItemsPlanItemDeleteRequest, options).then((request) => request(this.axios, this.basePath));
    }
    checklistsChecklistItemsPost(checklist, checklistsChecklistItemsPostRequest, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).checklistsChecklistItemsPost(checklist, checklistsChecklistItemsPostRequest, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    customFieldsExtendedTypesGet(scope, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).customFieldsExtendedTypesGet(scope, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    customFieldsTypeKeyAllValuesGet(typeKey, $skip, $top, extendedEntityIds, scope, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).customFieldsTypeKeyAllValuesGet(typeKey, $skip, $top, extendedEntityIds, scope, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    customFieldsTypeKeyEntityIdValuesGet(typeKey, entityId, scope, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).customFieldsTypeKeyEntityIdValuesGet(typeKey, entityId, scope, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    customFieldsTypeKeyEntityIdValuesPatch(entityId, typeKey, customFieldsTypeKeyEntityIdValuesGetRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).customFieldsTypeKeyEntityIdValuesPatch(entityId, typeKey, customFieldsTypeKeyEntityIdValuesGetRequest, options).then((request) => request(this.axios, this.basePath));
    }
    customFieldsTypeKeyEnumValuesCustomFieldIdGet(typeKey, customFieldId, $skip, $top, query, ordering, countRecords, addedByProfileId, scope, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).customFieldsTypeKeyEnumValuesCustomFieldIdGet(typeKey, customFieldId, $skip, $top, query, ordering, countRecords, addedByProfileId, scope, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    customFieldsTypeKeyEnumValuesCustomFieldIdPost(typeKey, customFieldId, customFieldsTypeKeyEnumValuesCustomFieldIdGetRequest, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).customFieldsTypeKeyEnumValuesCustomFieldIdPost(typeKey, customFieldId, customFieldsTypeKeyEnumValuesCustomFieldIdGetRequest, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    customFieldsTypeKeyFieldsGet(typeKey, withArchived, scope, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).customFieldsTypeKeyFieldsGet(typeKey, withArchived, scope, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    customFieldsTypeKeyFieldsIdArchivePost(typeKey, id, customFieldsTypeKeyFieldsIdArchivePostRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).customFieldsTypeKeyFieldsIdArchivePost(typeKey, id, customFieldsTypeKeyFieldsIdArchivePostRequest, options).then((request) => request(this.axios, this.basePath));
    }
    customFieldsTypeKeyFieldsIdDelete(typeKey, id, scope, options) {
        return (0, exports.SpaceApiFp)(this.configuration).customFieldsTypeKeyFieldsIdDelete(typeKey, id, scope, options).then((request) => request(this.axios, this.basePath));
    }
    customFieldsTypeKeyFieldsIdFilterValuesGet(typeKey, id, $skip, $top, scope, calculateTotal, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).customFieldsTypeKeyFieldsIdFilterValuesGet(typeKey, id, $skip, $top, scope, calculateTotal, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    customFieldsTypeKeyFieldsIdPatch(typeKey, id, customFieldsTypeKeyFieldsIdDeleteRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).customFieldsTypeKeyFieldsIdPatch(typeKey, id, customFieldsTypeKeyFieldsIdDeleteRequest, options).then((request) => request(this.axios, this.basePath));
    }
    customFieldsTypeKeyFieldsIdRestorePost(typeKey, id, customFieldsTypeKeyFieldsIdArchivePostRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).customFieldsTypeKeyFieldsIdRestorePost(typeKey, id, customFieldsTypeKeyFieldsIdArchivePostRequest, options).then((request) => request(this.axios, this.basePath));
    }
    customFieldsTypeKeyFieldsPost(typeKey, customFieldsTypeKeyFieldsGetRequest, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).customFieldsTypeKeyFieldsPost(typeKey, customFieldsTypeKeyFieldsGetRequest, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    customFieldsTypeKeyFieldsReorderPost(typeKey, customFieldsTypeKeyFieldsReorderPostRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).customFieldsTypeKeyFieldsReorderPost(typeKey, customFieldsTypeKeyFieldsReorderPostRequest, options).then((request) => request(this.axios, this.basePath));
    }
    customFieldsV2EntityTypeFieldsCustomFieldArchivePost(entityType, customField, options) {
        return (0, exports.SpaceApiFp)(this.configuration).customFieldsV2EntityTypeFieldsCustomFieldArchivePost(entityType, customField, options).then((request) => request(this.axios, this.basePath));
    }
    customFieldsV2EntityTypeFieldsCustomFieldDelete(entityType, customField, options) {
        return (0, exports.SpaceApiFp)(this.configuration).customFieldsV2EntityTypeFieldsCustomFieldDelete(entityType, customField, options).then((request) => request(this.axios, this.basePath));
    }
    customFieldsV2EntityTypeFieldsCustomFieldEnumValuesBulkUpdatePost(entityType, customField, customFieldsV2EntityTypeFieldsCustomFieldEnumValuesBulkUpdatePostRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).customFieldsV2EntityTypeFieldsCustomFieldEnumValuesBulkUpdatePost(entityType, customField, customFieldsV2EntityTypeFieldsCustomFieldEnumValuesBulkUpdatePostRequest, options).then((request) => request(this.axios, this.basePath));
    }
    customFieldsV2EntityTypeFieldsCustomFieldEnumValuesEnumValueToRemoveDelete(entityType, customField, enumValueToRemove, options) {
        return (0, exports.SpaceApiFp)(this.configuration).customFieldsV2EntityTypeFieldsCustomFieldEnumValuesEnumValueToRemoveDelete(entityType, customField, enumValueToRemove, options).then((request) => request(this.axios, this.basePath));
    }
    customFieldsV2EntityTypeFieldsCustomFieldEnumValuesGet(entityType, customField, query, ordering, addedByProfileId, $skip, $top, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).customFieldsV2EntityTypeFieldsCustomFieldEnumValuesGet(entityType, customField, query, ordering, addedByProfileId, $skip, $top, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    customFieldsV2EntityTypeFieldsCustomFieldEnumValuesPatch(entityType, customField, customFieldsV2EntityTypeFieldsCustomFieldEnumValuesGetRequest1, options) {
        return (0, exports.SpaceApiFp)(this.configuration).customFieldsV2EntityTypeFieldsCustomFieldEnumValuesPatch(entityType, customField, customFieldsV2EntityTypeFieldsCustomFieldEnumValuesGetRequest1, options).then((request) => request(this.axios, this.basePath));
    }
    customFieldsV2EntityTypeFieldsCustomFieldEnumValuesPost(entityType, customField, customFieldsV2EntityTypeFieldsCustomFieldEnumValuesGetRequest, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).customFieldsV2EntityTypeFieldsCustomFieldEnumValuesPost(entityType, customField, customFieldsV2EntityTypeFieldsCustomFieldEnumValuesGetRequest, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    customFieldsV2EntityTypeFieldsCustomFieldGet(entityType, customField, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).customFieldsV2EntityTypeFieldsCustomFieldGet(entityType, customField, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    customFieldsV2EntityTypeFieldsCustomFieldPatch(entityType, customField, customFieldsV2EntityTypeFieldsCustomFieldDeleteRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).customFieldsV2EntityTypeFieldsCustomFieldPatch(entityType, customField, customFieldsV2EntityTypeFieldsCustomFieldDeleteRequest, options).then((request) => request(this.axios, this.basePath));
    }
    customFieldsV2EntityTypeFieldsCustomFieldRestorePost(entityType, customField, options) {
        return (0, exports.SpaceApiFp)(this.configuration).customFieldsV2EntityTypeFieldsCustomFieldRestorePost(entityType, customField, options).then((request) => request(this.axios, this.basePath));
    }
    customFieldsV2EntityTypeFieldsGet(entityType, withArchived, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).customFieldsV2EntityTypeFieldsGet(entityType, withArchived, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    customFieldsV2EntityTypeFieldsPost(entityType, customFieldsV2EntityTypeFieldsGetRequest, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).customFieldsV2EntityTypeFieldsPost(entityType, customFieldsV2EntityTypeFieldsGetRequest, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    customFieldsV2EntityTypeFieldsReorderPost(entityType, customFieldsV2EntityTypeFieldsReorderPostRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).customFieldsV2EntityTypeFieldsReorderPost(entityType, customFieldsV2EntityTypeFieldsReorderPostRequest, options).then((request) => request(this.axios, this.basePath));
    }
    customFieldsV2ValuesEntityCustomFieldGet(entity, customField, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).customFieldsV2ValuesEntityCustomFieldGet(entity, customField, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    customFieldsV2ValuesEntityCustomFieldPost(entity, customField, customFieldsV2ValuesEntityCustomFieldGetRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).customFieldsV2ValuesEntityCustomFieldPost(entity, customField, customFieldsV2ValuesEntityCustomFieldGetRequest, options).then((request) => request(this.axios, this.basePath));
    }
    customFieldsV2ValuesEntityGet(entity, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).customFieldsV2ValuesEntityGet(entity, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    customFieldsV2ValuesEntityPost(entity, customFieldsV2ValuesEntityGetRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).customFieldsV2ValuesEntityPost(entity, customFieldsV2ValuesEntityGetRequest, options).then((request) => request(this.axios, this.basePath));
    }
    emojisAddPost(emojisAddPostRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).emojisAddPost(emojisAddPostRequest, options).then((request) => request(this.axios, this.basePath));
    }
    emojisDeletePost(emojisDeletePostRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).emojisDeletePost(emojisDeletePostRequest, options).then((request) => request(this.axios, this.basePath));
    }
    emojisExistsGet(emoji, options) {
        return (0, exports.SpaceApiFp)(this.configuration).emojisExistsGet(emoji, options).then((request) => request(this.axios, this.basePath));
    }
    emojisFrequentlyUsedGet(options) {
        return (0, exports.SpaceApiFp)(this.configuration).emojisFrequentlyUsedGet(options).then((request) => request(this.axios, this.basePath));
    }
    emojisRecordUsagePost(emojisRecordUsagePostRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).emojisRecordUsagePost(emojisRecordUsagePostRequest, options).then((request) => request(this.axios, this.basePath));
    }
    emojisSearchGet(query, $skip, $top, version, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).emojisSearchGet(query, $skip, $top, version, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    externalLinkPatternsDelete(pattern, options) {
        return (0, exports.SpaceApiFp)(this.configuration).externalLinkPatternsDelete(pattern, options).then((request) => request(this.axios, this.basePath));
    }
    externalLinkPatternsGet($fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).externalLinkPatternsGet($fields, options).then((request) => request(this.axios, this.basePath));
    }
    externalLinkPatternsPost(externalLinkPatternsDeleteRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).externalLinkPatternsPost(externalLinkPatternsDeleteRequest, options).then((request) => request(this.axios, this.basePath));
    }
    httpApiModelGet($fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).httpApiModelGet($fields, options).then((request) => request(this.axios, this.basePath));
    }
    notificationsChannelSubscriptionsGet(channel, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).notificationsChannelSubscriptionsGet(channel, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    notificationsChannelSubscriptionsIdDelete(id, options) {
        return (0, exports.SpaceApiFp)(this.configuration).notificationsChannelSubscriptionsIdDelete(id, options).then((request) => request(this.axios, this.basePath));
    }
    notificationsChannelSubscriptionsIdPatch(id, $fields, notificationsChannelSubscriptionsIdDeleteRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).notificationsChannelSubscriptionsIdPatch(id, $fields, notificationsChannelSubscriptionsIdDeleteRequest, options).then((request) => request(this.axios, this.basePath));
    }
    notificationsChannelSubscriptionsIdRequestMissingRightsPost(id, options) {
        return (0, exports.SpaceApiFp)(this.configuration).notificationsChannelSubscriptionsIdRequestMissingRightsPost(id, options).then((request) => request(this.axios, this.basePath));
    }
    notificationsChannelSubscriptionsPost(notificationsChannelSubscriptionsGetRequest, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).notificationsChannelSubscriptionsPost(notificationsChannelSubscriptionsGetRequest, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    notificationsGet($fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).notificationsGet($fields, options).then((request) => request(this.axios, this.basePath));
    }
    notificationsPersonalCustomSubscriptionsGet(profile, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).notificationsPersonalCustomSubscriptionsGet(profile, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    notificationsPersonalCustomSubscriptionsIdDelete(id, options) {
        return (0, exports.SpaceApiFp)(this.configuration).notificationsPersonalCustomSubscriptionsIdDelete(id, options).then((request) => request(this.axios, this.basePath));
    }
    notificationsPersonalCustomSubscriptionsIdPatch(id, $fields, notificationsPersonalCustomSubscriptionsIdDeleteRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).notificationsPersonalCustomSubscriptionsIdPatch(id, $fields, notificationsPersonalCustomSubscriptionsIdDeleteRequest, options).then((request) => request(this.axios, this.basePath));
    }
    notificationsPersonalCustomSubscriptionsPost(notificationsPersonalCustomSubscriptionsGetRequest, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).notificationsPersonalCustomSubscriptionsPost(notificationsPersonalCustomSubscriptionsGetRequest, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    notificationsPersonalSubscriptionsAllPersonalSubscriptionTargetsGet($fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).notificationsPersonalSubscriptionsAllPersonalSubscriptionTargetsGet($fields, options).then((request) => request(this.axios, this.basePath));
    }
    notificationsPersonalSubscriptionsPersonalSubscriptionSettingsGet(profile, feed, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).notificationsPersonalSubscriptionsPersonalSubscriptionSettingsGet(profile, feed, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    notificationsPersonalSubscriptionsUpdatePersonalSubscriptionSubjectPost(notificationsPersonalSubscriptionsUpdatePersonalSubscriptionSubjectPostRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).notificationsPersonalSubscriptionsUpdatePersonalSubscriptionSubjectPost(notificationsPersonalSubscriptionsUpdatePersonalSubscriptionSubjectPostRequest, options).then((request) => request(this.axios, this.basePath));
    }
    notificationsPersonalSubscriptionsUpdatePersonalSubscriptionTargetPost(notificationsPersonalSubscriptionsUpdatePersonalSubscriptionTargetPostRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).notificationsPersonalSubscriptionsUpdatePersonalSubscriptionTargetPost(notificationsPersonalSubscriptionsUpdatePersonalSubscriptionTargetPostRequest, options).then((request) => request(this.axios, this.basePath));
    }
    notificationsPrivateFeedsGet(profile, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).notificationsPrivateFeedsGet(profile, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    notificationsPrivateFeedsIdDelete(id, options) {
        return (0, exports.SpaceApiFp)(this.configuration).notificationsPrivateFeedsIdDelete(id, options).then((request) => request(this.axios, this.basePath));
    }
    notificationsPrivateFeedsIdPatch(id, $fields, notificationsPrivateFeedsIdDeleteRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).notificationsPrivateFeedsIdPatch(id, $fields, notificationsPrivateFeedsIdDeleteRequest, options).then((request) => request(this.axios, this.basePath));
    }
    notificationsPrivateFeedsPost(notificationsPrivateFeedsGetRequest, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).notificationsPrivateFeedsPost(notificationsPrivateFeedsGetRequest, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    organizationDomainsCheckGet(domain, options) {
        return (0, exports.SpaceApiFp)(this.configuration).organizationDomainsCheckGet(domain, options).then((request) => request(this.axios, this.basePath));
    }
    organizationDomainsGet($fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).organizationDomainsGet($fields, options).then((request) => request(this.axios, this.basePath));
    }
    organizationDomainsPatch(organizationDomainsGetRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).organizationDomainsPatch(organizationDomainsGetRequest, options).then((request) => request(this.axios, this.basePath));
    }
    organizationGet($fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).organizationGet($fields, options).then((request) => request(this.axios, this.basePath));
    }
    organizationJetSalesLicenseActivationUrlGet(options) {
        return (0, exports.SpaceApiFp)(this.configuration).organizationJetSalesLicenseActivationUrlGet(options).then((request) => request(this.axios, this.basePath));
    }
    organizationJetSalesUrlGet(options) {
        return (0, exports.SpaceApiFp)(this.configuration).organizationJetSalesUrlGet(options).then((request) => request(this.axios, this.basePath));
    }
    organizationPatch(organizationGetRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).organizationPatch(organizationGetRequest, options).then((request) => request(this.axios, this.basePath));
    }
    permissionRolesCreatePost(permissionRolesCreatePostRequest, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).permissionRolesCreatePost(permissionRolesCreatePostRequest, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    permissionRolesGetPost(applicationsApplicationUiExtensionsDisableForEverybodyPatchRequest, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).permissionRolesGetPost(applicationsApplicationUiExtensionsDisableForEverybodyPatchRequest, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    permissionRolesRoleId2FaRequirementGet(roleId, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).permissionRolesRoleId2FaRequirementGet(roleId, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    permissionRolesRoleId2FaRequirementPatch(roleId, permissionRolesRoleId2FaRequirementGetRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).permissionRolesRoleId2FaRequirementPatch(roleId, permissionRolesRoleId2FaRequirementGetRequest, options).then((request) => request(this.axios, this.basePath));
    }
    permissionRolesRoleIdDelete(roleId, options) {
        return (0, exports.SpaceApiFp)(this.configuration).permissionRolesRoleIdDelete(roleId, options).then((request) => request(this.axios, this.basePath));
    }
    permissionRolesRoleIdPatch(roleId, chatsChannelsIsNameFreePostRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).permissionRolesRoleIdPatch(roleId, chatsChannelsIsNameFreePostRequest, options).then((request) => request(this.axios, this.basePath));
    }
    permissionRolesRoleIdPermissionsDelete(roleId, rightCodes, options) {
        return (0, exports.SpaceApiFp)(this.configuration).permissionRolesRoleIdPermissionsDelete(roleId, rightCodes, options).then((request) => request(this.axios, this.basePath));
    }
    permissionRolesRoleIdPermissionsGet(roleId, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).permissionRolesRoleIdPermissionsGet(roleId, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    permissionRolesRoleIdPermissionsPost(roleId, permissionRolesRoleIdPermissionsDeleteRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).permissionRolesRoleIdPermissionsPost(roleId, permissionRolesRoleIdPermissionsDeleteRequest, options).then((request) => request(this.axios, this.basePath));
    }
    permissionRolesRoleIdProfilesGet(roleId, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).permissionRolesRoleIdProfilesGet(roleId, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    permissionRolesRoleIdProfilesProfileDelete(roleId, profile, options) {
        return (0, exports.SpaceApiFp)(this.configuration).permissionRolesRoleIdProfilesProfileDelete(roleId, profile, options).then((request) => request(this.axios, this.basePath));
    }
    permissionRolesRoleIdProfilesProfilePost(roleId, profile, options) {
        return (0, exports.SpaceApiFp)(this.configuration).permissionRolesRoleIdProfilesProfilePost(roleId, profile, options).then((request) => request(this.axios, this.basePath));
    }
    permissionRolesRoleIdResetRolePermissionsToDefaultPost(roleId, options) {
        return (0, exports.SpaceApiFp)(this.configuration).permissionRolesRoleIdResetRolePermissionsToDefaultPost(roleId, options).then((request) => request(this.axios, this.basePath));
    }
    permissionRolesRoleIdTeamsGet(roleId, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).permissionRolesRoleIdTeamsGet(roleId, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    permissionRolesRoleIdTeamsTeamDelete(roleId, team, options) {
        return (0, exports.SpaceApiFp)(this.configuration).permissionRolesRoleIdTeamsTeamDelete(roleId, team, options).then((request) => request(this.axios, this.basePath));
    }
    permissionRolesRoleIdTeamsTeamPost(roleId, team, options) {
        return (0, exports.SpaceApiFp)(this.configuration).permissionRolesRoleIdTeamsTeamPost(roleId, team, options).then((request) => request(this.axios, this.basePath));
    }
    permissionsCheckPermissionPost(permissionsCheckPermissionPostRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).permissionsCheckPermissionPost(permissionsCheckPermissionPostRequest, options).then((request) => request(this.axios, this.basePath));
    }
    permissionsGet($fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).permissionsGet($fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsAutomationDslEvaluationsConfigGet($fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsAutomationDslEvaluationsConfigGet($fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsAutomationGraphExecutionsIdGet(id, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsAutomationGraphExecutionsIdGet(id, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsAutomationGraphExecutionsIdStopPost(id, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsAutomationGraphExecutionsIdStopPost(id, options).then((request) => request(this.axios, this.basePath));
    }
    projectsAutomationJobExecutionsCurrentGet($fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsAutomationJobExecutionsCurrentGet($fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsAutomationJobsJobIdGet(jobId, project, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsAutomationJobsJobIdGet(jobId, project, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsAutomationStepExecutionsStepExecIdParametersKeyDelete(stepExecId, key, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsAutomationStepExecutionsStepExecIdParametersKeyDelete(stepExecId, key, options).then((request) => request(this.axios, this.basePath));
    }
    projectsAutomationStepExecutionsStepExecIdParametersKeyGet(stepExecId, key, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsAutomationStepExecutionsStepExecIdParametersKeyGet(stepExecId, key, options).then((request) => request(this.axios, this.basePath));
    }
    projectsAutomationStepExecutionsStepExecIdParametersKeyPatch(stepExecId, key, projectsAutomationStepExecutionsStepExecIdParametersKeyDeleteRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsAutomationStepExecutionsStepExecIdParametersKeyPatch(stepExecId, key, projectsAutomationStepExecutionsStepExecIdParametersKeyDeleteRequest, options).then((request) => request(this.axios, this.basePath));
    }
    projectsAutomationStepExecutionsUsedParametersParamParameterIdGet(parameterId, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsAutomationStepExecutionsUsedParametersParamParameterIdGet(parameterId, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsAutomationStepExecutionsUsedParametersSecretSecretIdGet(secretId, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsAutomationStepExecutionsUsedParametersSecretSecretIdGet(secretId, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsAutomationSubscriptionsLegacyChannelsDelete(project, jobId, unsubscribedOnly, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsAutomationSubscriptionsLegacyChannelsDelete(project, jobId, unsubscribedOnly, options).then((request) => request(this.axios, this.basePath));
    }
    projectsCollaboratorprofileGet(profile, $skip, $top, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsCollaboratorprofileGet(profile, $skip, $top, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsGet($skip, $top, term, tag, starred, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsGet($skip, $top, term, tag, starred, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsMembermemberGet(member, $skip, $top, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsMembermemberGet(member, $skip, $top, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsParamsDefaultBundleGet(project, $skip, $top, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsParamsDefaultBundleGet(project, $skip, $top, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsParamsDefaultBundlePost(projectsParamsDefaultBundleGetRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsParamsDefaultBundlePost(projectsParamsDefaultBundleGetRequest, options).then((request) => request(this.axios, this.basePath));
    }
    projectsParamsIdDelete(id, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsParamsIdDelete(id, options).then((request) => request(this.axios, this.basePath));
    }
    projectsParamsIdPatch(id, projectsParamsIdDeleteRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsParamsIdPatch(id, projectsParamsIdDeleteRequest, options).then((request) => request(this.axios, this.basePath));
    }
    projectsParamsInDefaultBundleGet(projectId, $skip, $top, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsParamsInDefaultBundleGet(projectId, $skip, $top, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsParamsInDefaultBundlePost(projectsParamsInDefaultBundleGetRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsParamsInDefaultBundlePost(projectsParamsInDefaultBundleGetRequest, options).then((request) => request(this.axios, this.basePath));
    }
    projectsPlanningBoardsBoardDelete(board, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsPlanningBoardsBoardDelete(board, options).then((request) => request(this.axios, this.basePath));
    }
    projectsPlanningBoardsBoardGet(board, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsPlanningBoardsBoardGet(board, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsPlanningBoardsBoardIssuesGet(board, $skip, $top, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsPlanningBoardsBoardIssuesGet(board, $skip, $top, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsPlanningBoardsBoardIssuesIssueDelete(issue, board, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsPlanningBoardsBoardIssuesIssueDelete(issue, board, options).then((request) => request(this.axios, this.basePath));
    }
    projectsPlanningBoardsBoardIssuesIssuePost(issue, board, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsPlanningBoardsBoardIssuesIssuePost(issue, board, options).then((request) => request(this.axios, this.basePath));
    }
    projectsPlanningBoardsBoardPatch(board, projectsPlanningBoardsBoardDeleteRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsPlanningBoardsBoardPatch(board, projectsPlanningBoardsBoardDeleteRequest, options).then((request) => request(this.axios, this.basePath));
    }
    projectsPlanningBoardsSprintsPost(projectsPlanningBoardsSprintsPostRequest, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsPlanningBoardsSprintsPost(projectsPlanningBoardsSprintsPostRequest, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsPlanningBoardsSprintsSprintArchiveDelete(sprint, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsPlanningBoardsSprintsSprintArchiveDelete(sprint, options).then((request) => request(this.axios, this.basePath));
    }
    projectsPlanningBoardsSprintsSprintIssuesGet(sprint, $skip, $top, unresolvedOnly, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsPlanningBoardsSprintsSprintIssuesGet(sprint, $skip, $top, unresolvedOnly, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsPlanningBoardsSprintsSprintIssuesIssueDelete(issue, sprint, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsPlanningBoardsSprintsSprintIssuesIssueDelete(issue, sprint, options).then((request) => request(this.axios, this.basePath));
    }
    projectsPlanningBoardsSprintsSprintIssuesIssuePost(issue, sprint, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsPlanningBoardsSprintsSprintIssuesIssuePost(issue, sprint, options).then((request) => request(this.axios, this.basePath));
    }
    projectsPlanningBoardsSprintsSprintLaunchPost(sprint, projectsPlanningBoardsSprintsSprintLaunchPostRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsPlanningBoardsSprintsSprintLaunchPost(sprint, projectsPlanningBoardsSprintsSprintLaunchPostRequest, options).then((request) => request(this.axios, this.basePath));
    }
    projectsPlanningBoardsSprintsSprintPatch(sprint, projectsPlanningBoardsSprintsSprintPatchRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsPlanningBoardsSprintsSprintPatch(sprint, projectsPlanningBoardsSprintsSprintPatchRequest, options).then((request) => request(this.axios, this.basePath));
    }
    projectsPost(projectsGetRequest, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsPost(projectsGetRequest, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsPrivateProjectsGet($fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsPrivateProjectsGet($fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsPrivateProjectsProjectRequestAccessPost(project, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsPrivateProjectsProjectRequestAccessPost(project, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectAccessAdminsGet(project, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectAccessAdminsGet(project, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectAccessAdminsProfilesPost(project, chatsChannelsChannelAdministratorGetRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectAccessAdminsProfilesPost(project, chatsChannelsChannelAdministratorGetRequest, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectAccessAdminsProfilesProfileDelete(project, profile, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectAccessAdminsProfilesProfileDelete(project, profile, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectAccessAdminsTeamsPost(project, projectsProjectAccessAdminsTeamsPostRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectAccessAdminsTeamsPost(project, projectsProjectAccessAdminsTeamsPostRequest, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectAccessAdminsTeamsTeamIdDelete(project, teamId, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectAccessAdminsTeamsTeamIdDelete(project, teamId, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectAccessCollaboratorsGet(project, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectAccessCollaboratorsGet(project, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectAccessCollaboratorsProfilesDelete(project, profile, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectAccessCollaboratorsProfilesDelete(project, profile, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectAccessCollaboratorsProfilesGet(project, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectAccessCollaboratorsProfilesGet(project, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectAccessCollaboratorsProfilesPost(project, chatsChannelsChannelAdministratorGetRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectAccessCollaboratorsProfilesPost(project, chatsChannelsChannelAdministratorGetRequest, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectAccessCollaboratorsTeamsDelete(project, teamId, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectAccessCollaboratorsTeamsDelete(project, teamId, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectAccessCollaboratorsTeamsGet(project, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectAccessCollaboratorsTeamsGet(project, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectAccessCollaboratorsTeamsPost(project, projectsProjectAccessAdminsTeamsPostRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectAccessCollaboratorsTeamsPost(project, projectsProjectAccessAdminsTeamsPostRequest, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectAccessMemberProfilesGet(project, $skip, $top, query, includingAdmins, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectAccessMemberProfilesGet(project, $skip, $top, query, includingAdmins, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectAccessMembersProfilesPost(project, chatsChannelsChannelAdministratorGetRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectAccessMembersProfilesPost(project, chatsChannelsChannelAdministratorGetRequest, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectAccessMembersProfilesProfileDelete(project, profile, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectAccessMembersProfilesProfileDelete(project, profile, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectAccessMembersTeamsPost(project, projectsProjectAccessAdminsTeamsPostRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectAccessMembersTeamsPost(project, projectsProjectAccessAdminsTeamsPostRequest, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectAccessMembersTeamsTeamIdDelete(project, teamId, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectAccessMembersTeamsTeamIdDelete(project, teamId, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectAccessViewersGet(project, term, $skip, $top, meOnTop, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectAccessViewersGet(project, term, $skip, $top, meOnTop, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectAutomationDeploymentTargetsFavoritesGet(project, sortBy, sortOrder, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectAutomationDeploymentTargetsFavoritesGet(project, sortBy, sortOrder, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectAutomationDeploymentTargetsGet(project, search, sortBy, sortOrder, $skip, $top, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectAutomationDeploymentTargetsGet(project, search, sortBy, sortOrder, $skip, $top, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectAutomationDeploymentTargetsPost(project, projectsProjectAutomationDeploymentTargetsGetRequest, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectAutomationDeploymentTargetsPost(project, projectsProjectAutomationDeploymentTargetsGetRequest, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectAutomationDeploymentTargetsTargetDelete(project, target, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectAutomationDeploymentTargetsTargetDelete(project, target, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectAutomationDeploymentTargetsTargetGet(project, target, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectAutomationDeploymentTargetsTargetGet(project, target, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectAutomationDeploymentTargetsTargetPut(project, target, projectsProjectAutomationDeploymentTargetsTargetDeleteRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectAutomationDeploymentTargetsTargetPut(project, target, projectsProjectAutomationDeploymentTargetsTargetDeleteRequest, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectAutomationDeploymentsFailPost(project, projectsProjectAutomationDeploymentsFailPostRequest, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectAutomationDeploymentsFailPost(project, projectsProjectAutomationDeploymentsFailPostRequest, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectAutomationDeploymentsFinishPost(project, projectsProjectAutomationDeploymentsFinishPostRequest, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectAutomationDeploymentsFinishPost(project, projectsProjectAutomationDeploymentsFinishPostRequest, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectAutomationDeploymentsGet(project, targetIdentifier, jobExecutionId, $skip, $top, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectAutomationDeploymentsGet(project, targetIdentifier, jobExecutionId, $skip, $top, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectAutomationDeploymentsPut(project, projectsProjectAutomationDeploymentsGetRequest, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectAutomationDeploymentsPut(project, projectsProjectAutomationDeploymentsGetRequest, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectAutomationDeploymentsSchedulePost(project, projectsProjectAutomationDeploymentsSchedulePostRequest, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectAutomationDeploymentsSchedulePost(project, projectsProjectAutomationDeploymentsSchedulePostRequest, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectAutomationDeploymentsStartPost(project, projectsProjectAutomationDeploymentsStartPostRequest, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectAutomationDeploymentsStartPost(project, projectsProjectAutomationDeploymentsStartPostRequest, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectAutomationDeploymentsTargetIdentifierDeploymentIdentifierDelete(project, targetIdentifier, deploymentIdentifier, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectAutomationDeploymentsTargetIdentifierDeploymentIdentifierDelete(project, targetIdentifier, deploymentIdentifier, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectAutomationDeploymentsTargetIdentifierDeploymentIdentifierGet(project, targetIdentifier, deploymentIdentifier, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectAutomationDeploymentsTargetIdentifierDeploymentIdentifierGet(project, targetIdentifier, deploymentIdentifier, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectAutomationGraphExecutionsGet(project, jobId, branchFilter, statusFilter, jobTriggerFilter, $skip, $top, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectAutomationGraphExecutionsGet(project, jobId, branchFilter, statusFilter, jobTriggerFilter, $skip, $top, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectAutomationJobsGet(project, repoFilter, branchFilter, trigger, $skip, $top, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectAutomationJobsGet(project, repoFilter, branchFilter, trigger, $skip, $top, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectAutomationJobsJobIdStartPost(project, jobId, projectsProjectAutomationJobsJobIdStartPostRequest, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectAutomationJobsJobIdStartPost(project, jobId, projectsProjectAutomationJobsJobIdStartPostRequest, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectCodeReviewsCodeDiscussionsDiscussionIdAcceptSuggestedEditPost(project, discussionId, projectsProjectCodeReviewsCodeDiscussionsDiscussionIdAcceptSuggestedEditPostRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectCodeReviewsCodeDiscussionsDiscussionIdAcceptSuggestedEditPost(project, discussionId, projectsProjectCodeReviewsCodeDiscussionsDiscussionIdAcceptSuggestedEditPostRequest, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectCodeReviewsCodeDiscussionsDiscussionIdRejectSuggestedEditPost(project, discussionId, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectCodeReviewsCodeDiscussionsDiscussionIdRejectSuggestedEditPost(project, discussionId, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectCodeReviewsCodeDiscussionsDiscussionIdReopenSuggestedEditPost(project, discussionId, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectCodeReviewsCodeDiscussionsDiscussionIdReopenSuggestedEditPost(project, discussionId, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectCodeReviewsCodeDiscussionsDiscussionIdSuggestedEditPatch(project, discussionId, projectsProjectCodeReviewsCodeDiscussionsDiscussionIdSuggestedEditPatchRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectCodeReviewsCodeDiscussionsDiscussionIdSuggestedEditPatch(project, discussionId, projectsProjectCodeReviewsCodeDiscussionsDiscussionIdSuggestedEditPatchRequest, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectCodeReviewsCodeDiscussionsPost(project, projectsProjectCodeReviewsCodeDiscussionsPostRequest, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectCodeReviewsCodeDiscussionsPost(project, projectsProjectCodeReviewsCodeDiscussionsPostRequest, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectCodeReviewsCommitSetReviewPost(project, projectsProjectCodeReviewsCommitSetReviewPostRequest, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectCodeReviewsCommitSetReviewPost(project, projectsProjectCodeReviewsCommitSetReviewPostRequest, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectCodeReviewsGet(project, $skip, $top, state, text, author, from, to, sort, reviewer, type, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectCodeReviewsGet(project, $skip, $top, state, text, author, from, to, sort, reviewer, type, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectCodeReviewsMergeRequestsPost(project, projectsProjectCodeReviewsMergeRequestsPostRequest, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectCodeReviewsMergeRequestsPost(project, projectsProjectCodeReviewsMergeRequestsPostRequest, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectCodeReviewsReviewIdDescriptionPatch(project, reviewId, chatsChannelsChannelDescriptionPatchRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectCodeReviewsReviewIdDescriptionPatch(project, reviewId, chatsChannelsChannelDescriptionPatchRequest, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectCodeReviewsReviewIdDetailsGet(project, reviewId, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectCodeReviewsReviewIdDetailsGet(project, reviewId, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectCodeReviewsReviewIdFilesGet(project, reviewId, $skip, $top, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectCodeReviewsReviewIdFilesGet(project, reviewId, $skip, $top, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectCodeReviewsReviewIdGet(project, reviewId, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectCodeReviewsReviewIdGet(project, reviewId, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectCodeReviewsReviewIdMergeFilesGet(project, reviewId, $skip, $top, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectCodeReviewsReviewIdMergeFilesGet(project, reviewId, $skip, $top, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectCodeReviewsReviewIdMergePut(project, reviewId, projectsProjectCodeReviewsReviewIdMergePutRequest, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectCodeReviewsReviewIdMergePut(project, reviewId, projectsProjectCodeReviewsReviewIdMergePutRequest, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectCodeReviewsReviewIdParticipantsUserDelete(project, reviewId, user, role, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectCodeReviewsReviewIdParticipantsUserDelete(project, reviewId, user, role, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectCodeReviewsReviewIdParticipantsUserPost(project, reviewId, user, projectsProjectCodeReviewsReviewIdParticipantsUserDeleteRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectCodeReviewsReviewIdParticipantsUserPost(project, reviewId, user, projectsProjectCodeReviewsReviewIdParticipantsUserDeleteRequest, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectCodeReviewsReviewIdRebasePut(project, reviewId, projectsProjectCodeReviewsReviewIdRebasePutRequest, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectCodeReviewsReviewIdRebasePut(project, reviewId, projectsProjectCodeReviewsReviewIdRebasePutRequest, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectCodeReviewsReviewIdRevisionsDelete(project, reviewId, revisions, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectCodeReviewsReviewIdRevisionsDelete(project, reviewId, revisions, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectCodeReviewsReviewIdRevisionsPost(project, reviewId, projectsProjectCodeReviewsReviewIdRevisionsDeleteRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectCodeReviewsReviewIdRevisionsPost(project, reviewId, projectsProjectCodeReviewsReviewIdRevisionsDeleteRequest, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectCodeReviewsReviewIdStatePatch(project, reviewId, projectsProjectCodeReviewsReviewIdStatePatchRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectCodeReviewsReviewIdStatePatch(project, reviewId, projectsProjectCodeReviewsReviewIdStatePatchRequest, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectCodeReviewsReviewIdSuggestedReviewersGet(project, reviewId, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectCodeReviewsReviewIdSuggestedReviewersGet(project, reviewId, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectCodeReviewsReviewIdTitlePatch(project, reviewId, projectsProjectCodeReviewsReviewIdTitlePatchRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectCodeReviewsReviewIdTitlePatch(project, reviewId, projectsProjectCodeReviewsReviewIdTitlePatchRequest, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectDelete(project, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectDelete(project, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectDocumentsDocumentIdCopyPost(project, documentId, projectsProjectDocumentsDocumentIdCopyPostRequest, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectDocumentsDocumentIdCopyPost(project, documentId, projectsProjectDocumentsDocumentIdCopyPostRequest, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectDocumentsDocumentIdDelete(project, documentId, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectDocumentsDocumentIdDelete(project, documentId, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectDocumentsDocumentIdDeleteForeverDelete(project, documentId, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectDocumentsDocumentIdDeleteForeverDelete(project, documentId, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectDocumentsDocumentIdGet(project, documentId, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectDocumentsDocumentIdGet(project, documentId, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectDocumentsDocumentIdMovePatch(project, documentId, projectsProjectDocumentsDocumentIdMovePatchRequest, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectDocumentsDocumentIdMovePatch(project, documentId, projectsProjectDocumentsDocumentIdMovePatchRequest, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectDocumentsDocumentIdPatch(project, documentId, $fields, projectsProjectDocumentsDocumentIdDeleteRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectDocumentsDocumentIdPatch(project, documentId, $fields, projectsProjectDocumentsDocumentIdDeleteRequest, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectDocumentsDocumentIdUnarchivePatch(project, documentId, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectDocumentsDocumentIdUnarchivePatch(project, documentId, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectDocumentsFoldersFolderDelete(project, folder, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectDocumentsFoldersFolderDelete(project, folder, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectDocumentsFoldersFolderDocumentsGet(project, folder, withArchived, sortBy, order, $skip, $top, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectDocumentsFoldersFolderDocumentsGet(project, folder, withArchived, sortBy, order, $skip, $top, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectDocumentsFoldersFolderGet(project, folder, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectDocumentsFoldersFolderGet(project, folder, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectDocumentsFoldersFolderIntroductionDelete(project, folder, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectDocumentsFoldersFolderIntroductionDelete(project, folder, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectDocumentsFoldersFolderIntroductionDocumentIdPatch(project, folder, documentId, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectDocumentsFoldersFolderIntroductionDocumentIdPatch(project, folder, documentId, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectDocumentsFoldersFolderMovePatch(project, folder, projectsProjectDocumentsFoldersFolderMovePatchRequest, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectDocumentsFoldersFolderMovePatch(project, folder, projectsProjectDocumentsFoldersFolderMovePatchRequest, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectDocumentsFoldersFolderPatch(project, folder, chatsChannelsIsNameFreePostRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectDocumentsFoldersFolderPatch(project, folder, chatsChannelsIsNameFreePostRequest, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectDocumentsFoldersFolderSubfoldersGet(project, folder, withArchived, sortBy, order, $skip, $top, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectDocumentsFoldersFolderSubfoldersGet(project, folder, withArchived, sortBy, order, $skip, $top, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectDocumentsFoldersPost(project, projectsProjectDocumentsFoldersPostRequest, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectDocumentsFoldersPost(project, projectsProjectDocumentsFoldersPostRequest, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectDocumentsPost(project, projectsProjectDocumentsPostRequest, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectDocumentsPost(project, projectsProjectDocumentsPostRequest, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectGet(project, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectGet(project, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectPackagesRepositoriesGet(project, type, query, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectPackagesRepositoriesGet(project, type, query, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectPackagesRepositoriesPost(project, projectsProjectPackagesRepositoriesGetRequest, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectPackagesRepositoriesPost(project, projectsProjectPackagesRepositoriesGetRequest, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectPackagesRepositoriesRepositoryCleanupDryPost(project, repository, projectsProjectPackagesRepositoriesRepositoryCleanupDryPostRequest, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectPackagesRepositoriesRepositoryCleanupDryPost(project, repository, projectsProjectPackagesRepositoriesRepositoryCleanupDryPostRequest, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectPackagesRepositoriesRepositoryCleanupPost(project, repository, $fields, projectsProjectPackagesRepositoriesRepositoryCleanupPostRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectPackagesRepositoriesRepositoryCleanupPost(project, repository, $fields, projectsProjectPackagesRepositoriesRepositoryCleanupPostRequest, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectPackagesRepositoriesRepositoryConnectionsConnectionIdPublishGet(project, repository, connectionId, $skip, $top, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectPackagesRepositoriesRepositoryConnectionsConnectionIdPublishGet(project, repository, connectionId, $skip, $top, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectPackagesRepositoriesRepositoryConnectionsConnectionIdPublishPost(project, repository, connectionId, projectsProjectPackagesRepositoriesRepositoryConnectionsConnectionIdPublishGetRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectPackagesRepositoriesRepositoryConnectionsConnectionIdPublishPost(project, repository, connectionId, projectsProjectPackagesRepositoriesRepositoryConnectionsConnectionIdPublishGetRequest, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectPackagesRepositoriesRepositoryConnectionsGet(project, repository, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectPackagesRepositoriesRepositoryConnectionsGet(project, repository, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectPackagesRepositoriesRepositoryDelete(project, repository, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectPackagesRepositoriesRepositoryDelete(project, repository, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectPackagesRepositoriesRepositoryFilesFolderfolderPathDelete(project, repository, folderPath, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectPackagesRepositoriesRepositoryFilesFolderfolderPathDelete(project, repository, folderPath, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectPackagesRepositoriesRepositoryFilesGet(project, repository, parentPath, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectPackagesRepositoriesRepositoryFilesGet(project, repository, parentPath, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectPackagesRepositoriesRepositoryFilesNamefilePathDelete(project, repository, filePath, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectPackagesRepositoriesRepositoryFilesNamefilePathDelete(project, repository, filePath, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectPackagesRepositoriesRepositoryFilesNamefilePathGet(project, repository, filePath, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectPackagesRepositoriesRepositoryFilesNamefilePathGet(project, repository, filePath, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectPackagesRepositoriesRepositoryGet(project, repository, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectPackagesRepositoriesRepositoryGet(project, repository, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectPackagesRepositoriesRepositoryPackagesGet(project, repository, query, connectionId, $skip, $top, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectPackagesRepositoriesRepositoryPackagesGet(project, repository, query, connectionId, $skip, $top, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectPackagesRepositoriesRepositoryPackagesNamepackageNameDelete(project, repository, packageName, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectPackagesRepositoriesRepositoryPackagesNamepackageNameDelete(project, repository, packageName, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectPackagesRepositoriesRepositoryPackagesNamepackageNameMetadataGet(project, repository, packageName, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectPackagesRepositoriesRepositoryPackagesNamepackageNameMetadataGet(project, repository, packageName, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectPackagesRepositoriesRepositoryPackagesNamepackageNameMetadataPut(project, repository, packageName, projectsProjectPackagesRepositoriesRepositoryPackagesNamePackageNameMetadataGetRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectPackagesRepositoriesRepositoryPackagesNamepackageNameMetadataPut(project, repository, packageName, projectsProjectPackagesRepositoriesRepositoryPackagesNamePackageNameMetadataGetRequest, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectPackagesRepositoriesRepositoryPackagesNamepackageNameMetadataVersionpackageVersionPut(project, repository, packageName, packageVersion, projectsProjectPackagesRepositoriesRepositoryPackagesNamePackageNameMetadataVersionPackageVersionPutRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectPackagesRepositoriesRepositoryPackagesNamepackageNameMetadataVersionpackageVersionPut(project, repository, packageName, packageVersion, projectsProjectPackagesRepositoriesRepositoryPackagesNamePackageNameMetadataVersionPackageVersionPutRequest, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectPackagesRepositoriesRepositoryPackagesNamepackageNameVersionsGet(project, repository, packageName, query, sortColumn, sortOrder, connectionId, pinned, $skip, $top, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectPackagesRepositoriesRepositoryPackagesNamepackageNameVersionsGet(project, repository, packageName, query, sortColumn, sortOrder, connectionId, pinned, $skip, $top, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectPackagesRepositoriesRepositoryPackagesNamepackageNameVersionsVersionpackageVersionDelete(project, repository, packageName, packageVersion, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectPackagesRepositoriesRepositoryPackagesNamepackageNameVersionsVersionpackageVersionDelete(project, repository, packageName, packageVersion, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectPackagesRepositoriesRepositoryPackagesNamepackageNameVersionsVersionpackageVersionGet(project, repository, packageName, packageVersion, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectPackagesRepositoriesRepositoryPackagesNamepackageNameVersionsVersionpackageVersionGet(project, repository, packageName, packageVersion, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectPackagesRepositoriesRepositoryPatch(project, repository, projectsProjectPackagesRepositoriesRepositoryDeleteRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectPackagesRepositoriesRepositoryPatch(project, repository, projectsProjectPackagesRepositoriesRepositoryDeleteRequest, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectPackagesRepositoriesRepositoryUrlGet(project, repository, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectPackagesRepositoriesRepositoryUrlGet(project, repository, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectPackagesRepositoriesTypetypeRepositoryrepositoryNamePackagesGet(project, type, repositoryName, query, $skip, $top, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectPackagesRepositoriesTypetypeRepositoryrepositoryNamePackagesGet(project, type, repositoryName, query, $skip, $top, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectPackagesRepositoriesTypetypeRepositoryrepositoryNamePackagesNamepackageNameVersionsGet(project, type, repositoryName, packageName, query, sortColumn, sortOrder, $skip, $top, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectPackagesRepositoriesTypetypeRepositoryrepositoryNamePackagesNamepackageNameVersionsGet(project, type, repositoryName, packageName, query, sortColumn, sortOrder, $skip, $top, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectPackagesRepositoriesTypetypeRepositoryrepositoryNamePackagesNamepackageNameVersionsVersionpackageVersionDelete(project, type, repositoryName, packageName, packageVersion, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectPackagesRepositoriesTypetypeRepositoryrepositoryNamePackagesNamepackageNameVersionsVersionpackageVersionDelete(project, type, repositoryName, packageName, packageVersion, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectPackagesRepositoriesTypetypeRepositoryrepositoryNamePackagesNamepackageNameVersionsVersionpackageVersionGet(project, type, repositoryName, packageName, packageVersion, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectPackagesRepositoriesTypetypeRepositoryrepositoryNamePackagesNamepackageNameVersionsVersionpackageVersionGet(project, type, repositoryName, packageName, packageVersion, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectPackagesSearchGet(project, type, query, connectionId, $skip, $top, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectPackagesSearchGet(project, type, query, connectionId, $skip, $top, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectPackagesTypesGet(project, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectPackagesTypesGet(project, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectPatch(project, $fields, projectsProjectDeleteRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectPatch(project, $fields, projectsProjectDeleteRequest, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectPlanningBoardsBoardArchiveDelete(project, board, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectPlanningBoardsBoardArchiveDelete(project, board, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectPlanningBoardsGet(project, $skip, $top, query, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectPlanningBoardsGet(project, $skip, $top, query, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectPlanningBoardsPost(project, projectsProjectPlanningBoardsGetRequest, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectPlanningBoardsPost(project, projectsProjectPlanningBoardsGetRequest, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectPlanningBoardsSprintsGet(project, $skip, $top, board, query, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectPlanningBoardsSprintsGet(project, $skip, $top, board, query, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectPlanningBoardsStarredGet(project, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectPlanningBoardsStarredGet(project, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectPlanningChecklistsChecklistIdDelete(project, checklistId, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectPlanningChecklistsChecklistIdDelete(project, checklistId, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectPlanningChecklistsChecklistIdFullChecklistTreeGet(project, checklistId, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectPlanningChecklistsChecklistIdFullChecklistTreeGet(project, checklistId, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectPlanningChecklistsChecklistIdImportPost(project, checklistId, projectsProjectPlanningChecklistsChecklistIdImportPostRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectPlanningChecklistsChecklistIdImportPost(project, checklistId, projectsProjectPlanningChecklistsChecklistIdImportPostRequest, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectPlanningChecklistsChecklistIdPatch(project, checklistId, projectsProjectPlanningChecklistsChecklistIdDeleteRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectPlanningChecklistsChecklistIdPatch(project, checklistId, projectsProjectPlanningChecklistsChecklistIdDeleteRequest, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectPlanningChecklistsGet(project, $skip, $top, query, sorting, descending, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectPlanningChecklistsGet(project, $skip, $top, query, sorting, descending, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectPlanningChecklistsImportPost(project, projectsProjectPlanningChecklistsImportPostRequest, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectPlanningChecklistsImportPost(project, projectsProjectPlanningChecklistsImportPostRequest, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectPlanningChecklistsPost(project, chatsChannelsIsNameFreePostRequest, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectPlanningChecklistsPost(project, chatsChannelsIsNameFreePostRequest, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectPlanningChecklistsStarredGet(project, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectPlanningChecklistsStarredGet(project, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectPlanningIssuesGet(project, sorting, descending, $skip, $top, assigneeId, createdByProfileId, createdBy, statuses, tagId, query, tags, sprints, boards, customFields, importTransaction, creationTimeFrom, creationTimeTo, dueDateFrom, dueDateTo, topics, grouping, deployment, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectPlanningIssuesGet(project, sorting, descending, $skip, $top, assigneeId, createdByProfileId, createdBy, statuses, tagId, query, tags, sprints, boards, customFields, importTransaction, creationTimeFrom, creationTimeTo, dueDateFrom, dueDateTo, topics, grouping, deployment, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectPlanningIssuesImportPost(project, projectsProjectPlanningIssuesImportPostRequest, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectPlanningIssuesImportPost(project, projectsProjectPlanningIssuesImportPostRequest, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectPlanningIssuesIssueIdAttachmentsDelete(project, issueId, identities, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectPlanningIssuesIssueIdAttachmentsDelete(project, issueId, identities, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectPlanningIssuesIssueIdAttachmentsPost(project, issueId, projectsProjectPlanningIssuesIssueIdAttachmentsDeleteRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectPlanningIssuesIssueIdAttachmentsPost(project, issueId, projectsProjectPlanningIssuesIssueIdAttachmentsDeleteRequest, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectPlanningIssuesIssueIdChecklistsChecklistIdDelete(project, issueId, checklistId, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectPlanningIssuesIssueIdChecklistsChecklistIdDelete(project, issueId, checklistId, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectPlanningIssuesIssueIdChecklistsChecklistIdPost(project, issueId, checklistId, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectPlanningIssuesIssueIdChecklistsChecklistIdPost(project, issueId, checklistId, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectPlanningIssuesIssueIdCodeReviewsDelete(project, issueId, codeReviewIds, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectPlanningIssuesIssueIdCodeReviewsDelete(project, issueId, codeReviewIds, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectPlanningIssuesIssueIdCodeReviewsPost(project, issueId, projectsProjectPlanningIssuesIssueIdCodeReviewsDeleteRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectPlanningIssuesIssueIdCodeReviewsPost(project, issueId, projectsProjectPlanningIssuesIssueIdCodeReviewsDeleteRequest, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectPlanningIssuesIssueIdCommentsImportPost(project, issueId, projectsProjectPlanningIssuesIssueIdCommentsImportPostRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectPlanningIssuesIssueIdCommentsImportPost(project, issueId, projectsProjectPlanningIssuesIssueIdCommentsImportPostRequest, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectPlanningIssuesIssueIdCommitsDelete(project, issueId, repository, commitIds, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectPlanningIssuesIssueIdCommitsDelete(project, issueId, repository, commitIds, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectPlanningIssuesIssueIdCommitsPost(project, issueId, projectsProjectPlanningIssuesIssueIdCommitsDeleteRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectPlanningIssuesIssueIdCommitsPost(project, issueId, projectsProjectPlanningIssuesIssueIdCommitsDeleteRequest, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectPlanningIssuesIssueIdDelete(project, issueId, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectPlanningIssuesIssueIdDelete(project, issueId, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectPlanningIssuesIssueIdGet(project, issueId, withDeleted, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectPlanningIssuesIssueIdGet(project, issueId, withDeleted, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectPlanningIssuesIssueIdPatch(project, issueId, projectsProjectPlanningIssuesIssueIdDeleteRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectPlanningIssuesIssueIdPatch(project, issueId, projectsProjectPlanningIssuesIssueIdDeleteRequest, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectPlanningIssuesIssueIdRestorePost(project, issueId, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectPlanningIssuesIssueIdRestorePost(project, issueId, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectPlanningIssuesIssueIdTagsTagIdDelete(project, issueId, tagId, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectPlanningIssuesIssueIdTagsTagIdDelete(project, issueId, tagId, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectPlanningIssuesIssueIdTagsTagIdPost(project, issueId, tagId, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectPlanningIssuesIssueIdTagsTagIdPost(project, issueId, tagId, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectPlanningIssuesIssueIdToggleResolvedPost(project, issueId, projectsProjectPlanningIssuesIssueIdToggleResolvedPostRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectPlanningIssuesIssueIdToggleResolvedPost(project, issueId, projectsProjectPlanningIssuesIssueIdToggleResolvedPostRequest, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectPlanningIssuesNumbernumberGet(project, number, resolveAlias, withDeleted, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectPlanningIssuesNumbernumberGet(project, number, resolveAlias, withDeleted, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectPlanningIssuesPost(project, projectsProjectPlanningIssuesGetRequest, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectPlanningIssuesPost(project, projectsProjectPlanningIssuesGetRequest, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectPlanningIssuesStatusesAutoUpdateOnMergeRequestMergeGet(project, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectPlanningIssuesStatusesAutoUpdateOnMergeRequestMergeGet(project, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectPlanningIssuesStatusesAutoUpdateOnMergeRequestMergePatch(project, projectsProjectPlanningIssuesStatusesAutoUpdateOnMergeRequestMergeGetRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectPlanningIssuesStatusesAutoUpdateOnMergeRequestMergePatch(project, projectsProjectPlanningIssuesStatusesAutoUpdateOnMergeRequestMergeGetRequest, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectPlanningIssuesStatusesDistributionGet(project, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectPlanningIssuesStatusesDistributionGet(project, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectPlanningIssuesStatusesGet(project, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectPlanningIssuesStatusesGet(project, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectPlanningIssuesStatusesPatch(project, projectsProjectPlanningIssuesStatusesGetRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectPlanningIssuesStatusesPatch(project, projectsProjectPlanningIssuesStatusesGetRequest, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectPlanningTagsGet(project, $skip, $top, query, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectPlanningTagsGet(project, $skip, $top, query, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectPlanningTagsPost(project, projectsProjectPlanningTagsGetRequest, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectPlanningTagsPost(project, projectsProjectPlanningTagsGetRequest, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectRepositoriesRepositoryCherryPickCommitPost(project, repository, projectsProjectRepositoriesRepositoryCherryPickCommitPostRequest, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectRepositoriesRepositoryCherryPickCommitPost(project, repository, projectsProjectRepositoriesRepositoryCherryPickCommitPostRequest, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectRepositoriesRepositoryCommitBranchesGet(project, repository, commit, prefix, limit, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectRepositoriesRepositoryCommitBranchesGet(project, repository, commit, prefix, limit, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectRepositoriesRepositoryCommitPost(project, repository, projectsProjectRepositoriesRepositoryCommitPostRequest, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectRepositoriesRepositoryCommitPost(project, repository, projectsProjectRepositoriesRepositoryCommitPostRequest, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectRepositoriesRepositoryCommitsGet(project, repository, $skip, $top, query, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectRepositoriesRepositoryCommitsGet(project, repository, $skip, $top, query, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectRepositoriesRepositoryDelete(project, repository, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectRepositoriesRepositoryDelete(project, repository, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectRepositoriesRepositoryDeleteBranchPost(project, repository, projectsProjectRepositoriesRepositoryDeleteBranchPostRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectRepositoriesRepositoryDeleteBranchPost(project, repository, projectsProjectRepositoriesRepositoryDeleteBranchPostRequest, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectRepositoriesRepositoryFilesGet(project, repository, commit, path, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectRepositoriesRepositoryFilesGet(project, repository, commit, path, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectRepositoriesRepositoryGcPost(project, repository, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectRepositoriesRepositoryGcPost(project, repository, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectRepositoriesRepositoryMergeBranchPost(project, repository, projectsProjectRepositoriesRepositoryMergeBranchPostRequest, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectRepositoriesRepositoryMergeBranchPost(project, repository, projectsProjectRepositoriesRepositoryMergeBranchPostRequest, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectRepositoriesRepositoryPost(project, repository, $fields, projectsProjectRepositoriesRepositoryDeleteRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectRepositoriesRepositoryPost(project, repository, $fields, projectsProjectRepositoriesRepositoryDeleteRequest, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectRepositoriesRepositoryReadonlyGet(project, repository, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectRepositoriesRepositoryReadonlyGet(project, repository, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectRepositoriesRepositoryReadonlyPost(project, repository, projectsProjectRepositoriesRepositoryReadonlyGetRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectRepositoriesRepositoryReadonlyPost(project, repository, projectsProjectRepositoriesRepositoryReadonlyGetRequest, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectRepositoriesRepositoryRebaseBranchPost(project, repository, projectsProjectRepositoriesRepositoryRebaseBranchPostRequest, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectRepositoriesRepositoryRebaseBranchPost(project, repository, projectsProjectRepositoriesRepositoryRebaseBranchPostRequest, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectRepositoriesRepositoryRevisionsRevisionExternalChecksGet(project, repository, revision, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectRepositoriesRepositoryRevisionsRevisionExternalChecksGet(project, repository, revision, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectRepositoriesRepositoryRevisionsRevisionExternalChecksPost(project, repository, revision, projectsProjectRepositoriesRepositoryRevisionsRevisionExternalChecksGetRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectRepositoriesRepositoryRevisionsRevisionExternalChecksPost(project, repository, revision, projectsProjectRepositoriesRepositoryRevisionsRevisionExternalChecksGetRequest, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectRepositoriesRepositorySettingsGet(project, repository, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectRepositoriesRepositorySettingsGet(project, repository, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectRepositoriesRepositorySettingsPost(project, repository, projectsProjectRepositoriesRepositorySettingsGetRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectRepositoriesRepositorySettingsPost(project, repository, projectsProjectRepositoriesRepositorySettingsGetRequest, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectRepositoriesRepositoryUrlGet(project, repository, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectRepositoriesRepositoryUrlGet(project, repository, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectResponsibilitiesResponsibilityIdAssigneesProfileIdDelete(project, responsibilityId, profileId, role, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectResponsibilitiesResponsibilityIdAssigneesProfileIdDelete(project, responsibilityId, profileId, role, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectResponsibilitiesResponsibilityIdAssigneesProfileIdPost(project, responsibilityId, profileId, projectsProjectResponsibilitiesResponsibilityIdAssigneesProfileIdDeleteRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectResponsibilitiesResponsibilityIdAssigneesProfileIdPost(project, responsibilityId, profileId, projectsProjectResponsibilitiesResponsibilityIdAssigneesProfileIdDeleteRequest, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectResponsibilitiesSchemeGet(project, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectResponsibilitiesSchemeGet(project, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectResponsibilitiesSubjectsPost(project, projectsProjectResponsibilitiesSubjectsPostRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectResponsibilitiesSubjectsPost(project, projectsProjectResponsibilitiesSubjectsPostRequest, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectResponsibilitiesSubjectsSubjectIdPatch(project, subjectId, projectsProjectResponsibilitiesSubjectsPostRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectResponsibilitiesSubjectsSubjectIdPatch(project, subjectId, projectsProjectResponsibilitiesSubjectsPostRequest, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectTopicsGet(project, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectTopicsGet(project, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectTopicsIdPatch(project, id, $fields, projectsProjectTopicsIdPatchRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectTopicsIdPatch(project, id, $fields, projectsProjectTopicsIdPatchRequest, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectTopicsPost(project, projectsProjectTopicsGetRequest, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectTopicsPost(project, projectsProjectTopicsGetRequest, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectTopicsRemoveTopicsPost(project, projectsProjectTopicsRemoveTopicsPostRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectTopicsRemoveTopicsPost(project, projectsProjectTopicsRemoveTopicsPostRequest, options).then((request) => request(this.axios, this.basePath));
    }
    projectsProjectTopicsSetResponsiblePost(project, projectsProjectTopicsSetResponsiblePostRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsProjectTopicsSetResponsiblePost(project, projectsProjectTopicsSetResponsiblePostRequest, options).then((request) => request(this.axios, this.basePath));
    }
    projectsRepositoriesFindGet(term, $skip, $top, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsRepositoriesFindGet(term, $skip, $top, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsResponsibilitiesPost(projectsResponsibilitiesPostRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsResponsibilitiesPost(projectsResponsibilitiesPostRequest, options).then((request) => request(this.axios, this.basePath));
    }
    projectsResponsibilitiesResponsibilityIdDelete(responsibilityId, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsResponsibilitiesResponsibilityIdDelete(responsibilityId, options).then((request) => request(this.axios, this.basePath));
    }
    projectsResponsibilitiesResponsibilityIdPatch(responsibilityId, projectsResponsibilitiesResponsibilityIdDeleteRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsResponsibilitiesResponsibilityIdPatch(responsibilityId, projectsResponsibilitiesResponsibilityIdDeleteRequest, options).then((request) => request(this.axios, this.basePath));
    }
    projectsResponsibilitiesSubjectsSubjectIdDelete(subjectId, project, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsResponsibilitiesSubjectsSubjectIdDelete(subjectId, project, options).then((request) => request(this.axios, this.basePath));
    }
    projectsRightCoderightCodeGet(rightCode, $skip, $top, term, path, starred, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsRightCoderightCodeGet(rightCode, $skip, $top, term, path, starred, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsRightUniqueCoderightGet(right, $skip, $top, term, path, starred, _private, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsRightUniqueCoderightGet(right, $skip, $top, term, path, starred, _private, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsSecretsDefaultBundleGet(project, $skip, $top, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsSecretsDefaultBundleGet(project, $skip, $top, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsSecretsDefaultBundlePost(projectsSecretsDefaultBundleGetRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsSecretsDefaultBundlePost(projectsSecretsDefaultBundleGetRequest, options).then((request) => request(this.axios, this.basePath));
    }
    projectsSecretsIdDelete(id, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsSecretsIdDelete(id, options).then((request) => request(this.axios, this.basePath));
    }
    projectsSecretsIdPatch(id, projectsSecretsIdDeleteRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsSecretsIdPatch(id, projectsSecretsIdDeleteRequest, options).then((request) => request(this.axios, this.basePath));
    }
    projectsSecretsInDefaultBundleGet(projectId, $skip, $top, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsSecretsInDefaultBundleGet(projectId, $skip, $top, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsSecretsInDefaultBundlePost(projectsSecretsInDefaultBundleGetRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsSecretsInDefaultBundlePost(projectsSecretsInDefaultBundleGetRequest, options).then((request) => request(this.axios, this.basePath));
    }
    projectsTagsGet($fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsTagsGet($fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsTagsTrackAccessPost(projectsTagsTrackAccessPostRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsTagsTrackAccessPost(projectsTagsTrackAccessPostRequest, options).then((request) => request(this.axios, this.basePath));
    }
    projectsTeamteamGet(team, $skip, $top, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsTeamteamGet(team, $skip, $top, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsVaultGet(project, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsVaultGet(project, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    projectsVaultIdDelete(id, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsVaultIdDelete(id, options).then((request) => request(this.axios, this.basePath));
    }
    projectsVaultIdPatch(id, projectsVaultIdDeleteRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsVaultIdPatch(id, projectsVaultIdDeleteRequest, options).then((request) => request(this.axios, this.basePath));
    }
    projectsVaultPost(projectsVaultGetRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).projectsVaultPost(projectsVaultGetRequest, options).then((request) => request(this.axios, this.basePath));
    }
    publicHolidaysCalendarsGet($skip, $top, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).publicHolidaysCalendarsGet($skip, $top, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    publicHolidaysCalendarsIdDelete(id, options) {
        return (0, exports.SpaceApiFp)(this.configuration).publicHolidaysCalendarsIdDelete(id, options).then((request) => request(this.axios, this.basePath));
    }
    publicHolidaysCalendarsIdPatch(id, publicHolidaysCalendarsGetRequest, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).publicHolidaysCalendarsIdPatch(id, publicHolidaysCalendarsGetRequest, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    publicHolidaysCalendarsImportPost(publicHolidaysCalendarsImportPostRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).publicHolidaysCalendarsImportPost(publicHolidaysCalendarsImportPostRequest, options).then((request) => request(this.axios, this.basePath));
    }
    publicHolidaysCalendarsPost(publicHolidaysCalendarsGetRequest, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).publicHolidaysCalendarsPost(publicHolidaysCalendarsGetRequest, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    publicHolidaysHolidaysGet($skip, $top, calendar, location, startDate, endDate, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).publicHolidaysHolidaysGet($skip, $top, calendar, location, startDate, endDate, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    publicHolidaysHolidaysIdDelete(id, options) {
        return (0, exports.SpaceApiFp)(this.configuration).publicHolidaysHolidaysIdDelete(id, options).then((request) => request(this.axios, this.basePath));
    }
    publicHolidaysHolidaysIdPatch(id, $fields, publicHolidaysHolidaysIdDeleteRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).publicHolidaysHolidaysIdPatch(id, $fields, publicHolidaysHolidaysIdDeleteRequest, options).then((request) => request(this.axios, this.basePath));
    }
    publicHolidaysHolidaysPost(publicHolidaysHolidaysGetRequest, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).publicHolidaysHolidaysPost(publicHolidaysHolidaysGetRequest, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    publicHolidaysHolidaysProfileHolidaysGet(startDate, endDate, profile, workingDays, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).publicHolidaysHolidaysProfileHolidaysGet(startDate, endDate, profile, workingDays, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    publicHolidaysHolidaysRelatedHolidaysGet($skip, $top, startDate, endDate, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).publicHolidaysHolidaysRelatedHolidaysGet($skip, $top, startDate, endDate, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    reactionsItemEmojiDelete(item, emoji, options) {
        return (0, exports.SpaceApiFp)(this.configuration).reactionsItemEmojiDelete(item, emoji, options).then((request) => request(this.axios, this.basePath));
    }
    reactionsItemEmojiGet(item, emoji, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).reactionsItemEmojiGet(item, emoji, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    reactionsItemEmojiPost(item, emoji, options) {
        return (0, exports.SpaceApiFp)(this.configuration).reactionsItemEmojiPost(item, emoji, options).then((request) => request(this.axios, this.basePath));
    }
    reactionsItemGet(item, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).reactionsItemGet(item, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    richTextParseMarkdownPost(richTextParseMarkdownPostRequest, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).richTextParseMarkdownPost(richTextParseMarkdownPostRequest, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryCalendarEventsAbsenceEventsGet(dateFrom, dateTo, team, location, role, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryCalendarEventsAbsenceEventsGet(dateFrom, dateTo, team, location, role, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryCalendarEventsBirthdayEventsGet(dateFrom, dateTo, team, location, role, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryCalendarEventsBirthdayEventsGet(dateFrom, dateTo, team, location, role, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryCalendarEventsBirthdayEventsStarredGet(dateFrom, dateTo, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryCalendarEventsBirthdayEventsStarredGet(dateFrom, dateTo, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryCalendarEventsGet(dateFrom, dateTo, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryCalendarEventsGet(dateFrom, dateTo, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryCalendarEventsHolidaysGet(startDate, endDate, team, location, role, workingDays, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryCalendarEventsHolidaysGet(startDate, endDate, team, location, role, workingDays, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryCalendarEventsIdGet(id, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryCalendarEventsIdGet(id, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryCalendarEventsMeetingParticipationsIdPatch(id, calendarsEventParticipationsIdPatchRequest, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryCalendarEventsMeetingParticipationsIdPatch(id, calendarsEventParticipationsIdPatchRequest, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryCalendarEventsMembershipEventsGet(dateFrom, dateTo, team, location, role, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryCalendarEventsMembershipEventsGet(dateFrom, dateTo, team, location, role, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryCalendarEventsNonWorkingDaysEventsGet(dateFrom, dateTo, member, team, location, role, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryCalendarEventsNonWorkingDaysEventsGet(dateFrom, dateTo, member, team, location, role, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryInvitationLinksGet($skip, $top, withDeleted, projects, teams, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryInvitationLinksGet($skip, $top, withDeleted, projects, teams, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryInvitationLinksInvitationLinkIdDelete(invitationLinkId, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryInvitationLinksInvitationLinkIdDelete(invitationLinkId, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryInvitationLinksInvitationLinkIdPatch(invitationLinkId, teamDirectoryInvitationLinksInvitationLinkIdDeleteRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryInvitationLinksInvitationLinkIdPatch(invitationLinkId, teamDirectoryInvitationLinksInvitationLinkIdDeleteRequest, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryInvitationLinksPost(teamDirectoryInvitationLinksGetRequest, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryInvitationLinksPost(teamDirectoryInvitationLinksGetRequest, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryInvitationsGet($skip, $top, withDeleted, projects, teams, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryInvitationsGet($skip, $top, withDeleted, projects, teams, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryInvitationsIdDelete(id, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryInvitationsIdDelete(id, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryInvitationsIdPatch(id, teamDirectoryInvitationsIdDeleteRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryInvitationsIdPatch(id, teamDirectoryInvitationsIdDeleteRequest, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryInvitationsPost(teamDirectoryInvitationsGetRequest, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryInvitationsPost(teamDirectoryInvitationsGetRequest, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryLanguagesGet($fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryLanguagesGet($fields, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryLocationEquipmentTypesGet(withArchived, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryLocationEquipmentTypesGet(withArchived, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryLocationEquipmentTypesNamenameDelete(name, _delete, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryLocationEquipmentTypesNamenameDelete(name, _delete, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryLocationMapMemberPointsGet(locationId, $skip, $top, includeUnmarked, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryLocationMapMemberPointsGet(locationId, $skip, $top, includeUnmarked, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryLocationMapMemberPointsLocationPointIdDelete(locationPointId, _delete, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryLocationMapMemberPointsLocationPointIdDelete(locationPointId, _delete, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryLocationMapMemberPointsLocationPointIdPatch(locationPointId, $fields, teamDirectoryLocationMapMemberPointsLocationPointIdDeleteRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryLocationMapMemberPointsLocationPointIdPatch(locationPointId, $fields, teamDirectoryLocationMapMemberPointsLocationPointIdDeleteRequest, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryLocationMapMemberPointsPost(teamDirectoryLocationMapMemberPointsGetRequest, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryLocationMapMemberPointsPost(teamDirectoryLocationMapMemberPointsGetRequest, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryLocationsGet(query, type, withArchived, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryLocationsGet(query, type, withArchived, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryLocationsIdDelete(id, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryLocationsIdDelete(id, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryLocationsIdGet(id, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryLocationsIdGet(id, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryLocationsIdMapGet(id, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryLocationsIdMapGet(id, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryLocationsIdMapPatch(id, teamDirectoryLocationsIdMapGetRequest, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryLocationsIdMapPatch(id, teamDirectoryLocationsIdMapGetRequest, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryLocationsIdPatch(id, $fields, teamDirectoryLocationsIdDeleteRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryLocationsIdPatch(id, $fields, teamDirectoryLocationsIdDeleteRequest, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryLocationsIdRestorePost(id, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryLocationsIdRestorePost(id, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryLocationsPost(teamDirectoryLocationsGetRequest, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryLocationsPost(teamDirectoryLocationsGetRequest, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryLocationsRestorePost(projectsProjectTopicsRemoveTopicsPostRequest, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryLocationsRestorePost(projectsProjectTopicsRemoveTopicsPostRequest, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryLocationsWithTimezoneGet($fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryLocationsWithTimezoneGet($fields, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryMemberLocationsGet($skip, $top, profiles, locations, since, till, withArchived, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryMemberLocationsGet($skip, $top, profiles, locations, since, till, withArchived, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryMemberLocationsMemberLocationIdDelete(memberLocationId, _delete, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryMemberLocationsMemberLocationIdDelete(memberLocationId, _delete, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryMemberLocationsMemberLocationIdGet(memberLocationId, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryMemberLocationsMemberLocationIdGet(memberLocationId, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryMemberLocationsMemberLocationIdPatch(memberLocationId, $fields, teamDirectoryMemberLocationsMemberLocationIdDeleteRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryMemberLocationsMemberLocationIdPatch(memberLocationId, $fields, teamDirectoryMemberLocationsMemberLocationIdDeleteRequest, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryMemberLocationsPost(teamDirectoryMemberLocationsGetRequest, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryMemberLocationsPost(teamDirectoryMemberLocationsGetRequest, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryMembershipEventsGet($skip, $top, teamId, locationId, roleId, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryMembershipEventsGet($skip, $top, teamId, locationId, roleId, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryMembershipsGet($skip, $top, identifiers, profiles, teams, directTeams, roles, directRoles, since, till, requiresApproval, withArchived, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryMembershipsGet($skip, $top, identifiers, profiles, teams, directTeams, roles, directRoles, since, till, requiresApproval, withArchived, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryMembershipsManagerCandidatesGet(term, $skip, $top, teamId, excludedMemberId, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryMembershipsManagerCandidatesGet(term, $skip, $top, teamId, excludedMemberId, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryMembershipsMembershipIdDelete(membershipId, _delete, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryMembershipsMembershipIdDelete(membershipId, _delete, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryMembershipsMembershipIdGet(membershipId, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryMembershipsMembershipIdGet(membershipId, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryMembershipsMembershipIdPatch(membershipId, $fields, teamDirectoryMembershipsMembershipIdDeleteRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryMembershipsMembershipIdPatch(membershipId, $fields, teamDirectoryMembershipsMembershipIdDeleteRequest, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryMembershipsMembershipIdRequestRevokePatch(membershipId, teamDirectoryMembershipsMembershipIdRequestRevokePatchRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryMembershipsMembershipIdRequestRevokePatch(membershipId, teamDirectoryMembershipsMembershipIdRequestRevokePatchRequest, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryMembershipsMembershipIdRevokeDelete(membershipId, till, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryMembershipsMembershipIdRevokeDelete(membershipId, till, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryMembershipsPost(teamDirectoryMembershipsGetRequest, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryMembershipsPost(teamDirectoryMembershipsGetRequest, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryMembershipsRequestsGet($skip, $top, teamId, direct, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryMembershipsRequestsGet($skip, $top, teamId, direct, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryMembershipsRequestsMembershipRequestIdDelete(membershipRequestId, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryMembershipsRequestsMembershipRequestIdDelete(membershipRequestId, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryMembershipsRequestsMembershipRequestIdPatch(membershipRequestId, teamDirectoryMembershipsRequestsMembershipRequestIdDeleteRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryMembershipsRequestsMembershipRequestIdPatch(membershipRequestId, teamDirectoryMembershipsRequestsMembershipRequestIdDeleteRequest, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryProfilesAuthenticationSessionsOwnerGet(owner, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryProfilesAuthenticationSessionsOwnerGet(owner, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryProfilesAuthenticationSessionsOwnerSessionIdDelete(owner, sessionId, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryProfilesAuthenticationSessionsOwnerSessionIdDelete(owner, sessionId, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryProfilesDashboardsDashboardGet(dashboard, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryProfilesDashboardsDashboardGet(dashboard, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryProfilesDashboardsDashboardPatch(dashboard, teamDirectoryProfilesDashboardsDashboardGetRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryProfilesDashboardsDashboardPatch(dashboard, teamDirectoryProfilesDashboardsDashboardGetRequest, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryProfilesEmailemailGet(email, verified, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryProfilesEmailemailGet(email, verified, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryProfilesGet($skip, $top, query, reportPastMembers, reportFutureMembers, reportCurrentMembers, teamId, locationId, roleId, meOnTop, order, orgRelation, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryProfilesGet($skip, $top, query, reportPastMembers, reportFutureMembers, reportCurrentMembers, teamId, locationId, roleId, meOnTop, order, orgRelation, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryProfilesOauthConsentsOwnerApplicationsApplicationDelete(owner, application, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryProfilesOauthConsentsOwnerApplicationsApplicationDelete(owner, application, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryProfilesOauthConsentsOwnerApprovedScopesIdDelete(owner, id, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryProfilesOauthConsentsOwnerApprovedScopesIdDelete(owner, id, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryProfilesOauthConsentsOwnerGet(owner, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryProfilesOauthConsentsOwnerGet(owner, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryProfilesOauthConsentsOwnerInternalApplicationsClientIdDelete(owner, clientId, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryProfilesOauthConsentsOwnerInternalApplicationsClientIdDelete(owner, clientId, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryProfilesOauthConsentsOwnerRefreshTokensIdDelete(owner, id, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryProfilesOauthConsentsOwnerRefreshTokensIdDelete(owner, id, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryProfilesPost(teamDirectoryProfilesGetRequest, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryProfilesPost(teamDirectoryProfilesGetRequest, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryProfilesProfile2FaRequirementsGet(profile, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryProfilesProfile2FaRequirementsGet(profile, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryProfilesProfile2FaStatusGet(profile, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryProfilesProfile2FaStatusGet(profile, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryProfilesProfile2FaTotpConfirmPost(profile, teamDirectoryProfilesProfile2FaTotpConfirmPostRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryProfilesProfile2FaTotpConfirmPost(profile, teamDirectoryProfilesProfile2FaTotpConfirmPostRequest, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryProfilesProfile2FaTotpDelete(profile, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryProfilesProfile2FaTotpDelete(profile, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryProfilesProfile2FaTotpPatch(profile, administrationUserAgreementEnabledGetRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryProfilesProfile2FaTotpPatch(profile, administrationUserAgreementEnabledGetRequest, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryProfilesProfile2FaTotpPost(profile, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryProfilesProfile2FaTotpPost(profile, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryProfilesProfileApplicationPasswordsGet(profile, $skip, $top, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryProfilesProfileApplicationPasswordsGet(profile, $skip, $top, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryProfilesProfileApplicationPasswordsPasswordIdDelete(profile, passwordId, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryProfilesProfileApplicationPasswordsPasswordIdDelete(profile, passwordId, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryProfilesProfileApplicationPasswordsPasswordIdPatch(profile, passwordId, teamDirectoryProfilesProfileApplicationPasswordsPasswordIdDeleteRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryProfilesProfileApplicationPasswordsPasswordIdPatch(profile, passwordId, teamDirectoryProfilesProfileApplicationPasswordsPasswordIdDeleteRequest, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryProfilesProfileApplicationPasswordsPost(profile, teamDirectoryProfilesProfileApplicationPasswordsGetRequest, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryProfilesProfileApplicationPasswordsPost(profile, teamDirectoryProfilesProfileApplicationPasswordsGetRequest, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryProfilesProfileChecklistsChecklistIdDelete(profile, checklistId, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryProfilesProfileChecklistsChecklistIdDelete(profile, checklistId, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryProfilesProfileChecklistsChecklistIdFullChecklistTreeGet(profile, checklistId, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryProfilesProfileChecklistsChecklistIdFullChecklistTreeGet(profile, checklistId, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryProfilesProfileChecklistsChecklistIdImportPost(profile, checklistId, projectsProjectPlanningChecklistsChecklistIdImportPostRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryProfilesProfileChecklistsChecklistIdImportPost(profile, checklistId, projectsProjectPlanningChecklistsChecklistIdImportPostRequest, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryProfilesProfileChecklistsChecklistIdPatch(profile, checklistId, teamDirectoryProfilesProfileChecklistsChecklistIdDeleteRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryProfilesProfileChecklistsChecklistIdPatch(profile, checklistId, teamDirectoryProfilesProfileChecklistsChecklistIdDeleteRequest, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryProfilesProfileChecklistsGet(profile, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryProfilesProfileChecklistsGet(profile, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryProfilesProfileChecklistsImportPost(profile, projectsProjectPlanningChecklistsImportPostRequest, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryProfilesProfileChecklistsImportPost(profile, projectsProjectPlanningChecklistsImportPostRequest, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryProfilesProfileChecklistsPost(profile, chatsChannelsIsNameFreePostRequest, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryProfilesProfileChecklistsPost(profile, chatsChannelsIsNameFreePostRequest, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryProfilesProfileChecklistsStarredGet(profile, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryProfilesProfileChecklistsStarredGet(profile, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryProfilesProfileConvertToGuestPatch(profile, teamDirectoryProfilesProfileConvertToGuestPatchRequest, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryProfilesProfileConvertToGuestPatch(profile, teamDirectoryProfilesProfileConvertToGuestPatchRequest, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryProfilesProfileConvertToMemberPatch(profile, teamDirectoryProfilesProfileConvertToMemberPatchRequest, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryProfilesProfileConvertToMemberPatch(profile, teamDirectoryProfilesProfileConvertToMemberPatchRequest, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryProfilesProfileDeactivateDelete(profile, at, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryProfilesProfileDeactivateDelete(profile, at, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryProfilesProfileDelete(profile, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryProfilesProfileDelete(profile, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryProfilesProfileDocumentsDocumentIdCopyPost(profile, documentId, projectsProjectDocumentsDocumentIdCopyPostRequest, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryProfilesProfileDocumentsDocumentIdCopyPost(profile, documentId, projectsProjectDocumentsDocumentIdCopyPostRequest, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryProfilesProfileDocumentsDocumentIdDelete(profile, documentId, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryProfilesProfileDocumentsDocumentIdDelete(profile, documentId, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryProfilesProfileDocumentsDocumentIdDeleteForeverDelete(profile, documentId, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryProfilesProfileDocumentsDocumentIdDeleteForeverDelete(profile, documentId, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryProfilesProfileDocumentsDocumentIdGet(profile, documentId, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryProfilesProfileDocumentsDocumentIdGet(profile, documentId, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryProfilesProfileDocumentsDocumentIdMovePatch(profile, documentId, projectsProjectDocumentsDocumentIdMovePatchRequest, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryProfilesProfileDocumentsDocumentIdMovePatch(profile, documentId, projectsProjectDocumentsDocumentIdMovePatchRequest, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryProfilesProfileDocumentsDocumentIdPatch(profile, documentId, $fields, projectsProjectDocumentsDocumentIdDeleteRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryProfilesProfileDocumentsDocumentIdPatch(profile, documentId, $fields, projectsProjectDocumentsDocumentIdDeleteRequest, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryProfilesProfileDocumentsDocumentIdUnarchivePatch(profile, documentId, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryProfilesProfileDocumentsDocumentIdUnarchivePatch(profile, documentId, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryProfilesProfileDocumentsFoldersFolderDelete(profile, folder, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryProfilesProfileDocumentsFoldersFolderDelete(profile, folder, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryProfilesProfileDocumentsFoldersFolderDocumentsGet(profile, folder, withArchived, sortBy, order, $skip, $top, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryProfilesProfileDocumentsFoldersFolderDocumentsGet(profile, folder, withArchived, sortBy, order, $skip, $top, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryProfilesProfileDocumentsFoldersFolderGet(profile, folder, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryProfilesProfileDocumentsFoldersFolderGet(profile, folder, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryProfilesProfileDocumentsFoldersFolderIntroductionDelete(profile, folder, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryProfilesProfileDocumentsFoldersFolderIntroductionDelete(profile, folder, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryProfilesProfileDocumentsFoldersFolderIntroductionDocumentIdPatch(profile, folder, documentId, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryProfilesProfileDocumentsFoldersFolderIntroductionDocumentIdPatch(profile, folder, documentId, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryProfilesProfileDocumentsFoldersFolderMovePatch(profile, folder, projectsProjectDocumentsFoldersFolderMovePatchRequest, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryProfilesProfileDocumentsFoldersFolderMovePatch(profile, folder, projectsProjectDocumentsFoldersFolderMovePatchRequest, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryProfilesProfileDocumentsFoldersFolderPatch(profile, folder, chatsChannelsIsNameFreePostRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryProfilesProfileDocumentsFoldersFolderPatch(profile, folder, chatsChannelsIsNameFreePostRequest, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryProfilesProfileDocumentsFoldersFolderSubfoldersGet(profile, folder, withArchived, sortBy, order, $skip, $top, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryProfilesProfileDocumentsFoldersFolderSubfoldersGet(profile, folder, withArchived, sortBy, order, $skip, $top, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryProfilesProfileDocumentsFoldersPost(profile, projectsProjectDocumentsFoldersPostRequest, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryProfilesProfileDocumentsFoldersPost(profile, projectsProjectDocumentsFoldersPostRequest, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryProfilesProfileDocumentsPost(profile, projectsProjectDocumentsPostRequest, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryProfilesProfileDocumentsPost(profile, projectsProjectDocumentsPostRequest, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryProfilesProfileGet(profile, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryProfilesProfileGet(profile, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryProfilesProfileGpgKeysFingerprintDelete(profile, fingerprint, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryProfilesProfileGpgKeysFingerprintDelete(profile, fingerprint, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryProfilesProfileGpgKeysFingerprintPatch(profile, fingerprint, teamDirectoryProfilesProfileGpgKeysFingerprintDeleteRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryProfilesProfileGpgKeysFingerprintPatch(profile, fingerprint, teamDirectoryProfilesProfileGpgKeysFingerprintDeleteRequest, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryProfilesProfileGpgKeysGet(profile, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryProfilesProfileGpgKeysGet(profile, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryProfilesProfileGpgKeysPost(profile, teamDirectoryProfilesProfileGpgKeysGetRequest, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryProfilesProfileGpgKeysPost(profile, teamDirectoryProfilesProfileGpgKeysGetRequest, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryProfilesProfileIsTeamMemberGet(profile, teamIds, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryProfilesProfileIsTeamMemberGet(profile, teamIds, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryProfilesProfileLeadsGet(profile, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryProfilesProfileLeadsGet(profile, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryProfilesProfileNavBarMenuItemsGet(profile, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryProfilesProfileNavBarMenuItemsGet(profile, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryProfilesProfileNavBarMenuItemsPatch(profile, teamDirectoryProfilesProfileNavBarMenuItemsGetRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryProfilesProfileNavBarMenuItemsPatch(profile, teamDirectoryProfilesProfileNavBarMenuItemsGetRequest, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryProfilesProfileNavBarProjectsGet(profile, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryProfilesProfileNavBarProjectsGet(profile, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryProfilesProfileNavBarProjectsPost(profile, teamDirectoryProfilesProfileNavBarProjectsGetRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryProfilesProfileNavBarProjectsPost(profile, teamDirectoryProfilesProfileNavBarProjectsGetRequest, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryProfilesProfileNavBarProjectsProjectDelete(profile, project, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryProfilesProfileNavBarProjectsProjectDelete(profile, project, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryProfilesProfileNotificationSettingsGet(profile, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryProfilesProfileNotificationSettingsGet(profile, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryProfilesProfileNotificationSettingsPatch(profile, teamDirectoryProfilesProfileNotificationSettingsGetRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryProfilesProfileNotificationSettingsPatch(profile, teamDirectoryProfilesProfileNotificationSettingsGetRequest, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryProfilesProfilePatch(profile, $fields, teamDirectoryProfilesProfileDeleteRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryProfilesProfilePatch(profile, $fields, teamDirectoryProfilesProfileDeleteRequest, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryProfilesProfilePermanentTokensCurrentDelete(profile, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryProfilesProfilePermanentTokensCurrentDelete(profile, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryProfilesProfilePermanentTokensGet(profile, $skip, $top, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryProfilesProfilePermanentTokensGet(profile, $skip, $top, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryProfilesProfilePermanentTokensPost(profile, applicationsApplicationPermanentTokensGetRequest, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryProfilesProfilePermanentTokensPost(profile, applicationsApplicationPermanentTokensGetRequest, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryProfilesProfilePermanentTokensTokenIdDelete(profile, tokenId, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryProfilesProfilePermanentTokensTokenIdDelete(profile, tokenId, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryProfilesProfilePermanentTokensTokenIdPatch(profile, tokenId, applicationsApplicationPermanentTokensTokenIdDeleteRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryProfilesProfilePermanentTokensTokenIdPatch(profile, tokenId, applicationsApplicationPermanentTokensTokenIdDeleteRequest, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryProfilesProfileReactivatePatch(profile, $fields, teamDirectoryProfilesProfileReactivatePatchRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryProfilesProfileReactivatePatch(profile, $fields, teamDirectoryProfilesProfileReactivatePatchRequest, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryProfilesProfileSettingsGet(profile, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryProfilesProfileSettingsGet(profile, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryProfilesProfileSettingsPatch(profile, teamDirectoryProfilesProfileSettingsGetRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryProfilesProfileSettingsPatch(profile, teamDirectoryProfilesProfileSettingsGetRequest, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryProfilesProfileSpokenLanguagesGet(profile, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryProfilesProfileSpokenLanguagesGet(profile, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryProfilesProfileSpokenLanguagesLanguageDelete(profile, language, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryProfilesProfileSpokenLanguagesLanguageDelete(profile, language, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryProfilesProfileSpokenLanguagesPost(profile, teamDirectoryProfilesProfileSpokenLanguagesGetRequest, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryProfilesProfileSpokenLanguagesPost(profile, teamDirectoryProfilesProfileSpokenLanguagesGetRequest, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryProfilesProfileSshKeysFingerprintDelete(profile, fingerprint, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryProfilesProfileSshKeysFingerprintDelete(profile, fingerprint, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryProfilesProfileSshKeysGet(profile, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryProfilesProfileSshKeysGet(profile, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryProfilesProfileSshKeysPost(profile, teamDirectoryProfilesProfileGpgKeysGetRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryProfilesProfileSshKeysPost(profile, teamDirectoryProfilesProfileGpgKeysGetRequest, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryProfilesProfileTimezoneGet(profile, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryProfilesProfileTimezoneGet(profile, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryProfilesProfileWorkingDaysGet(profile, $skip, $top, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryProfilesProfileWorkingDaysGet(profile, $skip, $top, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryProfilesProfileWorkingDaysPost(profile, teamDirectoryProfilesProfileWorkingDaysGetRequest, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryProfilesProfileWorkingDaysPost(profile, teamDirectoryProfilesProfileWorkingDaysGetRequest, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryProfilesProfileWorkingDaysWorkingDaysIdDelete(profile, workingDaysId, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryProfilesProfileWorkingDaysWorkingDaysIdDelete(profile, workingDaysId, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryProfilesProfileWorkingDaysWorkingDaysIdPatch(profile, workingDaysId, teamDirectoryProfilesProfileWorkingDaysGetRequest, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryProfilesProfileWorkingDaysWorkingDaysIdPatch(profile, workingDaysId, teamDirectoryProfilesProfileWorkingDaysGetRequest, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryProfilesWorkingDaysGet($skip, $top, profiles, since, till, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryProfilesWorkingDaysGet($skip, $top, profiles, since, till, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryRolesGet(query, withArchived, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryRolesGet(query, withArchived, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryRolesIdDelete(id, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryRolesIdDelete(id, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryRolesIdGet(id, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryRolesIdGet(id, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryRolesIdPatch(id, $fields, teamDirectoryRolesIdDeleteRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryRolesIdPatch(id, $fields, teamDirectoryRolesIdDeleteRequest, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryRolesIdRestorePost(id, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryRolesIdRestorePost(id, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryRolesPost(teamDirectoryRolesGetRequest, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryRolesPost(teamDirectoryRolesGetRequest, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryStatsGet(teamId, locationId, roleId, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryStatsGet(teamId, locationId, roleId, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryTeamsGet($skip, $top, query, withArchived, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryTeamsGet($skip, $top, query, withArchived, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryTeamsIdCancelDisbandingPost(id, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryTeamsIdCancelDisbandingPost(id, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryTeamsIdDelete(id, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryTeamsIdDelete(id, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryTeamsIdDirectMembersGet(id, $skip, $top, query, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryTeamsIdDirectMembersGet(id, $skip, $top, query, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryTeamsIdDisbandDelete(id, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryTeamsIdDisbandDelete(id, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryTeamsIdGet(id, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryTeamsIdGet(id, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryTeamsIdPatch(id, $fields, teamDirectoryTeamsIdDeleteRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryTeamsIdPatch(id, $fields, teamDirectoryTeamsIdDeleteRequest, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryTeamsIdRestorePost(id, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryTeamsIdRestorePost(id, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    teamDirectoryTeamsPost(teamDirectoryTeamsGetRequest, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).teamDirectoryTeamsPost(teamDirectoryTeamsGetRequest, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    timeTrackingItemsGet(subject, $skip, $top, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).timeTrackingItemsGet(subject, $skip, $top, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    timeTrackingItemsItemIdDelete(itemId, options) {
        return (0, exports.SpaceApiFp)(this.configuration).timeTrackingItemsItemIdDelete(itemId, options).then((request) => request(this.axios, this.basePath));
    }
    timeTrackingItemsItemIdPatch(itemId, timeTrackingItemsItemIdDeleteRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).timeTrackingItemsItemIdPatch(itemId, timeTrackingItemsItemIdDeleteRequest, options).then((request) => request(this.axios, this.basePath));
    }
    timeTrackingItemsPost(timeTrackingItemsGetRequest, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).timeTrackingItemsPost(timeTrackingItemsGetRequest, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    todoGet($skip, $top, open, from, till, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).todoGet($skip, $top, open, from, till, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    todoIdDelete(id, options) {
        return (0, exports.SpaceApiFp)(this.configuration).todoIdDelete(id, options).then((request) => request(this.axios, this.basePath));
    }
    todoIdPatch(id, todoIdDeleteRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).todoIdPatch(id, todoIdDeleteRequest, options).then((request) => request(this.axios, this.basePath));
    }
    todoPost(todoGetRequest, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).todoPost(todoGetRequest, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    trustedCertificatesGet($fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).trustedCertificatesGet($fields, options).then((request) => request(this.axios, this.basePath));
    }
    trustedCertificatesIdDelete(id, options) {
        return (0, exports.SpaceApiFp)(this.configuration).trustedCertificatesIdDelete(id, options).then((request) => request(this.axios, this.basePath));
    }
    trustedCertificatesIdPatch(id, trustedCertificatesIdDeleteRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).trustedCertificatesIdPatch(id, trustedCertificatesIdDeleteRequest, options).then((request) => request(this.axios, this.basePath));
    }
    trustedCertificatesInfoGet(data, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).trustedCertificatesInfoGet(data, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    trustedCertificatesPost(trustedCertificatesGetRequest, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).trustedCertificatesPost(trustedCertificatesGetRequest, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    unfurlsBlockUnfurlGlobalPost(unfurlsBlockUnfurlPostRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).unfurlsBlockUnfurlGlobalPost(unfurlsBlockUnfurlPostRequest, options).then((request) => request(this.axios, this.basePath));
    }
    unfurlsBlockUnfurlPost(unfurlsBlockUnfurlPostRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).unfurlsBlockUnfurlPost(unfurlsBlockUnfurlPostRequest, options).then((request) => request(this.axios, this.basePath));
    }
    unfurlsCheckBlockedPost(unfurlsCheckBlockedPostRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).unfurlsCheckBlockedPost(unfurlsCheckBlockedPostRequest, options).then((request) => request(this.axios, this.basePath));
    }
    unfurlsListBlockedGet($skip, $top, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).unfurlsListBlockedGet($skip, $top, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    unfurlsUnblockUnfurlGlobalPost(unfurlsBlockUnfurlPostRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).unfurlsUnblockUnfurlGlobalPost(unfurlsBlockUnfurlPostRequest, options).then((request) => request(this.axios, this.basePath));
    }
    unfurlsUnblockUnfurlPost(unfurlsBlockUnfurlPostRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).unfurlsUnblockUnfurlPost(unfurlsBlockUnfurlPostRequest, options).then((request) => request(this.axios, this.basePath));
    }
    uploadsChatPublicUrlChannelMessageAttachmentIdGet(channel, message, attachmentId, options) {
        return (0, exports.SpaceApiFp)(this.configuration).uploadsChatPublicUrlChannelMessageAttachmentIdGet(channel, message, attachmentId, options).then((request) => request(this.axios, this.basePath));
    }
    uploadsImageIdGet(id, $fields, options) {
        return (0, exports.SpaceApiFp)(this.configuration).uploadsImageIdGet(id, $fields, options).then((request) => request(this.axios, this.basePath));
    }
    uploadsPost(uploadsPostRequest, options) {
        return (0, exports.SpaceApiFp)(this.configuration).uploadsPost(uploadsPostRequest, options).then((request) => request(this.axios, this.basePath));
    }
}
exports.SpaceApi = SpaceApi;
//# sourceMappingURL=api.js.map